/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/ansi/AnsiColor.java#1 $
 *
 * Copyright (c) 2011 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.ansi;

/**
 * <a href="http://en.wikipedia.org/wiki/ANSI_escape_code#Colors">ANSI color codes</a>.
 *
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2011/07/06 $
 */
public enum AnsiColor {

    /*
     * Order matters here since the ordinal() must match the ANSI code
     */

    BLACK,
    RED,
    GREEN,
    YELLOW,
    BLUE,
    MAGENTA,
    CYAN,
    WHITE;

    private static final int FG_BASE = 30;
    private static final int BG_BASE = 40;

    /**
     * The base numeric code for this color.
     */
    public int code() {
        return this.ordinal();
    }

    /**
     * The numeric code for this color when used as foreground.
     */
    public int foregroundCode() {
        return FG_BASE + this.code();
    }

    /**
     * The numeric code for this color when used as background.
     */
    public int backgroundCode() {
        return BG_BASE + this.code();
    }

}
