/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/encryption/StringCipher.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.encryption;

/**
 * Interface for ciphers which can encrypt a string.
 * The encrypted string should be armored in some way to
 * produce a printable string from the input.
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface StringCipher {
    /**
     * Encrypt  an array of bytes.
     * @param plaintext plaintext
     * @return encrypted output
     */
    String encrypt(String plaintext);

    /**
     * Decrypt an array of bytes
     * @param encrypted encrypted input
     * @return plaintext output
     */
    String decrypt(String encrypted);

}
