/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/logging/LogAdapter.java#3 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.logging;

/**
 * Provide a logger-implementation independent interface
 * under {@link NALogger}.
 * @author sunday
 * @version $Revision: #3 $ $Date: 2011/06/24 $
 */
public interface LogAdapter {
    /**
     * Log a localized LogMessage
     * @param msg
     */
    void log(LogMessage msg);


    /**
     * Log a localized LogMessage and associated throwable
     * @param msg
     * @param t
     */
    void log(LogMessage msg, Throwable t);

    /**
     * Log an unlocalized log message
     * @param level LogLevel of this message
     * @param msg Message to log
     */
    void log(LogLevel level, String msg);

    /**
     * Log an unlocalized log message and associated throwable
     * @param level
     * @param msg
     * @param t
     */
    void log(LogLevel level, String msg, Throwable t);

    /***
     * Check if logger is enabled for specified log level.
     * @param level
     * @return True if this Logger is enabled for the LogLevel level,
     * false otherwise.
     */
    boolean isLogLevelEnabled(LogLevel level);
}
