/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/logging/MessageKey.java#3 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.logging;

import java.util.regex.Pattern;

import javax.xml.bind.annotation.XmlType;

/**
 * Interface for generated MsgKey enumerations.
 * @see com.netapp.common.logging.generator.MsgKeyGenerator
 *
 * @author sunday
 * @version $Revision: #3 $ $Date: 2011/06/24 $
 */
@XmlType
public interface MessageKey {
    /**
     * Regex for APPL-01234 codes.
     */
    Pattern CODE_PATTERN = Pattern.compile("^(\\w+-\\d+):.*", Pattern.DOTALL);

    /**
     * Return the property bundle key for this enum.
     * @return The property name used to generate this enum
     */
    String getPropertyName();

    /**
     * Returns the name of this enum constant, exactly as declared in its enum declaration.
     * Defined and implemented by java.lang.Enum.
     * @return the name of this enum constant
     */
    String name();

    /**
     * Localize this message key from the current resource bundle
     * @param params Objects for variable substitution in string
     * @return the message represented by this key, in localized form
     */
    String localize(Object... args);
}
