/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/ManagedRawDeviceMapper.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 *
 */
package com.netapp.common.platform;

import java.io.File;
import java.util.Collection;


/**
 * This interface is for RawDeviceMappers that require SnapManager intervention to
 * save persistent bindings.
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface ManagedRawDeviceMapper {
    RawDeviceMapping createAndAddMapping(boolean isPersistent, File disk);
    RawDeviceMapping createAndAddMapping(boolean isPersistent, File disk, File rawDevice);

    void removeMapping(RawDeviceMapping rawDeviceMapping);

    /**
     * Return an available raw device name.
     * @return an available raw device name.
     */
    File autoGenerateRawDeviceName();

    /**
     * Return an available raw device name that is not in the given unusableNames collection.
     *
     * @param unusableNames the names that cannot be returned
     * @return an available raw device name that is not in the given unusableNames collection
     */
    File autoGenerateRawDeviceName(Collection<String> unusableNames);
}
