/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/remote/jvm/JvmLauncherFactoryImpl.java#2 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.remote.jvm;

import java.io.File;

import com.netapp.common.execution.ShellExecutor;

/**
 * @author claird
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class JvmLauncherFactoryImpl implements JvmLauncherFactory {

    protected File javaLauncher;

    public JvmLauncherFactoryImpl(String javaLauncherPath) {
        this.javaLauncher = new File(javaLauncherPath);
    }

    /**
     *
     * @see com.netapp.common.remote.jvm.JvmLauncherFactory#createLocalJvmLauncher(com.netapp.common.execution.ShellExecutor)
     */
    @Override
    public JvmLauncher createLocalJvmLauncher(ShellExecutor shellExecutor) {
        return new LocalJvmLauncher(shellExecutor, this.javaLauncher);
    }

    /**
     *
     * @see com.netapp.common.remote.jvm.JvmLauncherFactory#createRemoteJvmLauncher(com.netapp.common.remote.jvm.RemoteJvmLauncherInfo)
     */
    @Override
    public JvmLauncher createRemoteJvmLauncher(RemoteJvmLauncherInfo remoteJvmLauncherInfo) {
        return new SshJvmLauncher(remoteJvmLauncherInfo, this.javaLauncher);
    }
}
