/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/remote/jvm/ShellJvmLaunchResult.java#2 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.remote.jvm;

import java.util.List;

import com.netapp.common.execution.ShellResult;
import com.netapp.common.util.CollectionUtils;

/**
 * @author claird
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class ShellJvmLaunchResult implements JvmLaunchResult {

    private ShellResult shellResult;

    public ShellJvmLaunchResult(ShellResult shellResult) {
        super();
        this.shellResult = shellResult;
    }

    public ShellResult getShellResult() {
        return this.shellResult;
    }

    public void setShellResult(ShellResult shellResult) {
        this.shellResult = shellResult;
    }

    /**
     * @see com.netapp.common.remote.jvm.JvmLaunchResult#destroy()
     */
    @Override
    public void destroy() {
        this.shellResult.destroy();
    }

    /**
     * @see com.netapp.common.remote.jvm.JvmLaunchResult#isRunning()
     */
    @Override
    public boolean isRunning() {
        return this.shellResult.isRunning();
    }

    /**
     * @see com.netapp.common.remote.jvm.JvmLaunchResult#getExitValue()
     */
    @Override
    public Integer getExitValue() {
        return this.shellResult.getExitValue();
    }

    /**
     * @see com.netapp.common.remote.jvm.JvmLaunchResult#getStdErr()
     */
    @Override
    public List<String> getStdErr() {
        return this.shellResult.getStdErr();
    }

    /**
     * @see com.netapp.common.remote.jvm.JvmLaunchResult#getStdOut()
     */
    @Override
    public List<String> getStdOut() {
        return this.shellResult.getStdOut();
    }

    /**
     * @see com.netapp.common.remote.jvm.JvmLaunchResult#getAllOut()
     */
    @Override
    public List<String> getAllOut() {
        return this.shellResult.getAllOut();
    }

    @Override
    public String toString() {
        return CollectionUtils.collectionToString(this.getAllOut());
    }
}
