/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/util/TransformerFunctionAdapter.java#3 $
 *
 * Copyright (c) 2010 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

import com.google.common.base.Function;

@SuppressWarnings("deprecation")
public class TransformerFunctionAdapter<F, T> implements Function<F, T> {

    private Transformer<F, T> transformer;

    private TransformerFunctionAdapter(Transformer<F, T> transformer) {
        this.transformer = transformer;
    }

    public static <F, T> TransformerFunctionAdapter<F, T> create(Transformer<F, T> transformer) {
        return new TransformerFunctionAdapter<F, T>(transformer);
    }

    @Override
    public T apply(F from) {
        return this.transformer.transform(from);
    }

}
