/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/util/fault/FaultFactory.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.util.fault;

/**
 * Interface to define extended class replacement mechanisms.
 * Test harnesses should provide an implementation of this
 * and specified as described in {@link FaultInjectionManager}
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface FaultFactory {
    /**
     * Provide a replacement class for a base class
     * @param <T>
     * @param clazz Original application class
     * @param loader Class loader for the fault classpath
     * @return Object of type T or an appropriate subclass
     */
    <T> T createObject(Class<T> clazz, ClassLoader loader) throws InstantiationException, IllegalAccessException;
}
