/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/xml/DefaultErrorHandler.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.xml;

import java.util.ArrayList;
import java.util.List;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class DefaultErrorHandler implements ErrorHandler {
    private List<SAXParseException> errors = new ArrayList<SAXParseException>();
    boolean hasErrors;

    @Override
    public void error(SAXParseException arg0) throws SAXException {
        this.errors.add(arg0);
        this.hasErrors = true;
    }

    @Override
    public void fatalError(SAXParseException arg0) throws SAXException {
        this.errors.add(arg0);
        this.hasErrors = true;
    }

    @Override
    public void warning(SAXParseException arg0) throws SAXException {
        this.errors.add(arg0);
    }

    public boolean hasErrors() {
        return this.hasErrors;
    }

    public List<SAXParseException> getErrors() {
        return this.errors;
    }
}
