package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cifs-nbalias-names-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsNbaliasNamesSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> nbaliasNames;

  @Output("nbalias-names")
  @Type("nbalias-name-info[]")
  @Optional
  public void setNbaliasNames(List<String> paramList)
  {
    this.nbaliasNames = paramList;
  }

  public List<String> getNbaliasNames()
  {
    return this.nbaliasNames;
  }

  public CifsNbaliasNamesSet withNbaliasNames(List<String> paramList)
  {
    this.nbaliasNames = paramList;
    return this;
  }

  public CifsNbaliasNamesSet withNbaliasNames(String[] paramArrayOfString)
  {
    this.nbaliasNames = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}