package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("connection-info")
public class ConnectionInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<AddressInfo> connectedAddress;
  public List<AddressInfo> favoredAddress;
  public List<AddressInfo> otherAddress;
  public List<AddressInfo> preferredAddress;

  @Element("connected-address")
  @Type("address-info[]")
  @Optional
  public void setConnectedAddress(List<AddressInfo> paramList)
  {
    this.connectedAddress = paramList;
  }

  public List<AddressInfo> getConnectedAddress()
  {
    return this.connectedAddress;
  }

  public ConnectionInfo withConnectedAddress(List<AddressInfo> paramList)
  {
    this.connectedAddress = paramList;
    return this;
  }

  public ConnectionInfo withConnectedAddress(AddressInfo[] paramArrayOfAddressInfo)
  {
    this.connectedAddress = new ArrayList(Arrays.asList(paramArrayOfAddressInfo));
    return this;
  }

  @Element("favored-address")
  @Type("address-info[]")
  @Optional
  public void setFavoredAddress(List<AddressInfo> paramList)
  {
    this.favoredAddress = paramList;
  }

  public List<AddressInfo> getFavoredAddress()
  {
    return this.favoredAddress;
  }

  public ConnectionInfo withFavoredAddress(List<AddressInfo> paramList)
  {
    this.favoredAddress = paramList;
    return this;
  }

  public ConnectionInfo withFavoredAddress(AddressInfo[] paramArrayOfAddressInfo)
  {
    this.favoredAddress = new ArrayList(Arrays.asList(paramArrayOfAddressInfo));
    return this;
  }

  @Element("other-address")
  @Type("address-info[]")
  @Optional
  public void setOtherAddress(List<AddressInfo> paramList)
  {
    this.otherAddress = paramList;
  }

  public List<AddressInfo> getOtherAddress()
  {
    return this.otherAddress;
  }

  public ConnectionInfo withOtherAddress(List<AddressInfo> paramList)
  {
    this.otherAddress = paramList;
    return this;
  }

  public ConnectionInfo withOtherAddress(AddressInfo[] paramArrayOfAddressInfo)
  {
    this.otherAddress = new ArrayList(Arrays.asList(paramArrayOfAddressInfo));
    return this;
  }

  @Element("preferred-address")
  @Type("address-info[]")
  @Optional
  public void setPreferredAddress(List<AddressInfo> paramList)
  {
    this.preferredAddress = paramList;
  }

  public List<AddressInfo> getPreferredAddress()
  {
    return this.preferredAddress;
  }

  public ConnectionInfo withPreferredAddress(List<AddressInfo> paramList)
  {
    this.preferredAddress = paramList;
    return this;
  }

  public ConnectionInfo withPreferredAddress(AddressInfo[] paramArrayOfAddressInfo)
  {
    this.preferredAddress = new ArrayList(Arrays.asList(paramArrayOfAddressInfo));
    return this;
  }
}