package com.netapp.filer.clone;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("clone-list-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EDENSE_CLONE_INVALID_ID", "EDENSE_CLONE_INVALID_UUID", "EDENSE_CLONE_VOL_REVERTING", "EDENSE_FAILOVER", "EDENSE_SHUTDOWN", "EDENSE_VOL_NONEXIST"})
@Family({"ontap-c"})
public class CloneListStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public CloneIdInfo cloneId;
  public List<OpsInfo> status;

  @Input("clone-id")
  @Type("clone-id-info")
  @Optional
  public void setCloneId(CloneIdInfo paramCloneIdInfo)
  {
    this.cloneId = paramCloneIdInfo;
  }

  public CloneIdInfo getCloneId()
  {
    return this.cloneId;
  }

  public CloneListStatus withCloneId(CloneIdInfo paramCloneIdInfo)
  {
    this.cloneId = paramCloneIdInfo;
    return this;
  }

  @Output("status")
  @Type("ops-info[]")
  @Optional
  public void setStatus(List<OpsInfo> paramList)
  {
    this.status = paramList;
  }

  public List<OpsInfo> getStatus()
  {
    return this.status;
  }

  public CloneListStatus withStatus(List<OpsInfo> paramList)
  {
    this.status = paramList;
    return this;
  }

  public CloneListStatus withStatus(OpsInfo[] paramArrayOfOpsInfo)
  {
    this.status = new ArrayList(Arrays.asList(paramArrayOfOpsInfo));
    return this;
  }
}