package com.netapp.filer.clone;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("clone-stop")
@Status(StatusEnum.PUBLIC)
@Errno({"EDENSE_CLONE_INVALID_ID", "EDENSE_CLONE_INVALID_UUID", "EDENSE_CLONE_METAFILE_WRITE", "EDENSE_CLONE_NOT_RUNNING", "EDENSE_CLONE_NO_OP", "EDENSE_CLONE_VOL_REVERTING", "EDENSE_FAILOVER", "EDENSE_SHUTDOWN", "EDENSE_VOL_NONEXIST"})
public class CloneStop
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public CloneIdInfo cloneId;

  @Input("clone-id")
  @Type("clone-id-info")
  public void setCloneId(CloneIdInfo paramCloneIdInfo)
  {
    this.cloneId = paramCloneIdInfo;
  }

  public CloneIdInfo getCloneId()
  {
    return this.cloneId;
  }

  public CloneStop withCloneId(CloneIdInfo paramCloneIdInfo)
  {
    this.cloneId = paramCloneIdInfo;
    return this;
  }
}