package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-maint-list")
@Status(StatusEnum.UNSUPPORTED)
@Family({"ontap-c", "ontap-d"})
public class DiskMaintList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<MaintTestListInfo> maintTestList;

  @Output("maint-test-list")
  @Type("maint-test-list-info[]")
  public void setMaintTestList(List<MaintTestListInfo> paramList)
  {
    this.maintTestList = paramList;
  }

  public List<MaintTestListInfo> getMaintTestList()
  {
    return this.maintTestList;
  }

  public DiskMaintList withMaintTestList(List<MaintTestListInfo> paramList)
  {
    this.maintTestList = paramList;
    return this;
  }

  public DiskMaintList withMaintTestList(MaintTestListInfo[] paramArrayOfMaintTestListInfo)
  {
    this.maintTestList = new ArrayList(Arrays.asList(paramArrayOfMaintTestListInfo));
    return this;
  }
}