package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-maint-status")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class DiskMaintStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> disks;
  public List<MaintTestStatusInfo> maintTestStatusList;

  @Input("disks")
  @Type("maint-disk-name[]")
  @Optional
  public void setDisks(List<String> paramList)
  {
    this.disks = paramList;
  }

  public List<String> getDisks()
  {
    return this.disks;
  }

  public DiskMaintStatus withDisks(List<String> paramList)
  {
    this.disks = paramList;
    return this;
  }

  public DiskMaintStatus withDisks(String[] paramArrayOfString)
  {
    this.disks = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Output("maint-test-status-list")
  @Type("maint-test-status-info[]")
  public void setMaintTestStatusList(List<MaintTestStatusInfo> paramList)
  {
    this.maintTestStatusList = paramList;
  }

  public List<MaintTestStatusInfo> getMaintTestStatusList()
  {
    return this.maintTestStatusList;
  }

  public DiskMaintStatus withMaintTestStatusList(List<MaintTestStatusInfo> paramList)
  {
    this.maintTestStatusList = paramList;
    return this;
  }

  public DiskMaintStatus withMaintTestStatusList(MaintTestStatusInfo[] paramArrayOfMaintTestStatusInfo)
  {
    this.maintTestStatusList = new ArrayList(Arrays.asList(paramArrayOfMaintTestStatusInfo));
    return this;
  }
}