package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("d-snapshot-reserve-info")
public class DSnapshotReserveInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer percentage;
  public BigInteger size;

  @Element("percentage")
  @Type("integer")
  @Range(min="0", max="100")
  public void setPercentage(Integer paramInteger)
  {
    this.percentage = paramInteger;
  }

  public Integer getPercentage()
  {
    return this.percentage;
  }

  public DSnapshotReserveInfo withPercentage(Integer paramInteger)
  {
    this.percentage = paramInteger;
    return this;
  }

  @Element("size")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSize(BigInteger paramBigInteger)
  {
    this.size = paramBigInteger;
  }

  public BigInteger getSize()
  {
    return this.size;
  }

  public DSnapshotReserveInfo withSize(BigInteger paramBigInteger)
  {
    this.size = paramBigInteger;
    return this;
  }
}