package com.netapp.filer.fiji;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fiji-list-info")
@Status(StatusEnum.DEBUG)
@Errno({"EFIJIINVALIDINDEX", "EFIJINOFILTER"})
@Family({"ontap-d"})
public class FijiListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<FijiExpressionInfo> fijiExpressions;
  public Integer fijiFilterTag;

  @Output("fiji-expressions")
  @Type("fiji-expression-info[]")
  public void setFijiExpressions(List<FijiExpressionInfo> paramList)
  {
    this.fijiExpressions = paramList;
  }

  public List<FijiExpressionInfo> getFijiExpressions()
  {
    return this.fijiExpressions;
  }

  public FijiListInfo withFijiExpressions(List<FijiExpressionInfo> paramList)
  {
    this.fijiExpressions = paramList;
    return this;
  }

  public FijiListInfo withFijiExpressions(FijiExpressionInfo[] paramArrayOfFijiExpressionInfo)
  {
    this.fijiExpressions = new ArrayList(Arrays.asList(paramArrayOfFijiExpressionInfo));
    return this;
  }

  @Input("fiji-filter-tag")
  @Type("integer")
  @Optional
  @Range(min="0", max="15")
  public void setFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
  }

  public Integer getFijiFilterTag()
  {
    return this.fijiFilterTag;
  }

  public FijiListInfo withFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
    return this;
  }
}