package com.netapp.filer.ic;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("ic-get-perf-stats")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class IcGetPerfStats
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IcCounter> icPerfDetails;
  public List<VirtualInterfaceSocketStatInfo> virtualInterfaceSocketStats;

  @Output("ic-perf-details")
  @Type("ic-counter[]")
  public void setIcPerfDetails(List<IcCounter> paramList)
  {
    this.icPerfDetails = paramList;
  }

  public List<IcCounter> getIcPerfDetails()
  {
    return this.icPerfDetails;
  }

  public IcGetPerfStats withIcPerfDetails(List<IcCounter> paramList)
  {
    this.icPerfDetails = paramList;
    return this;
  }

  public IcGetPerfStats withIcPerfDetails(IcCounter[] paramArrayOfIcCounter)
  {
    this.icPerfDetails = new ArrayList(Arrays.asList(paramArrayOfIcCounter));
    return this;
  }

  @Output("virtual-interface-socket-stats")
  @Type("virtual-interface-socket-stat-info[]")
  public void setVirtualInterfaceSocketStats(List<VirtualInterfaceSocketStatInfo> paramList)
  {
    this.virtualInterfaceSocketStats = paramList;
  }

  public List<VirtualInterfaceSocketStatInfo> getVirtualInterfaceSocketStats()
  {
    return this.virtualInterfaceSocketStats;
  }

  public IcGetPerfStats withVirtualInterfaceSocketStats(List<VirtualInterfaceSocketStatInfo> paramList)
  {
    this.virtualInterfaceSocketStats = paramList;
    return this;
  }

  public IcGetPerfStats withVirtualInterfaceSocketStats(VirtualInterfaceSocketStatInfo[] paramArrayOfVirtualInterfaceSocketStatInfo)
  {
    this.virtualInterfaceSocketStats = new ArrayList(Arrays.asList(paramArrayOfVirtualInterfaceSocketStatInfo));
    return this;
  }
}