package com.netapp.filer.ic;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("queue-info")
public class QueueInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger id;
  public BigInteger lastCompleteId;
  public BigInteger lastPolledId;

  @Element("id")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setId(BigInteger paramBigInteger)
  {
    this.id = paramBigInteger;
  }

  public BigInteger getId()
  {
    return this.id;
  }

  public QueueInfo withId(BigInteger paramBigInteger)
  {
    this.id = paramBigInteger;
    return this;
  }

  @Element("last-complete-id")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLastCompleteId(BigInteger paramBigInteger)
  {
    this.lastCompleteId = paramBigInteger;
  }

  public BigInteger getLastCompleteId()
  {
    return this.lastCompleteId;
  }

  public QueueInfo withLastCompleteId(BigInteger paramBigInteger)
  {
    this.lastCompleteId = paramBigInteger;
    return this;
  }

  @Element("last-polled-id")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLastPolledId(BigInteger paramBigInteger)
  {
    this.lastPolledId = paramBigInteger;
  }

  public BigInteger getLastPolledId()
  {
    return this.lastPolledId;
  }

  public QueueInfo withLastPolledId(BigInteger paramBigInteger)
  {
    this.lastPolledId = paramBigInteger;
    return this;
  }
}