package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-portal-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE"})
@Family({"ontap-c", "vfiler"})
public class IscsiPortalListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IscsiPortalListEntryInfo> iscsiPortalListEntries;

  @Output("iscsi-portal-list-entries")
  @Type("iscsi-portal-list-entry-info[]")
  public void setIscsiPortalListEntries(List<IscsiPortalListEntryInfo> paramList)
  {
    this.iscsiPortalListEntries = paramList;
  }

  public List<IscsiPortalListEntryInfo> getIscsiPortalListEntries()
  {
    return this.iscsiPortalListEntries;
  }

  public IscsiPortalListInfo withIscsiPortalListEntries(List<IscsiPortalListEntryInfo> paramList)
  {
    this.iscsiPortalListEntries = paramList;
    return this;
  }

  public IscsiPortalListInfo withIscsiPortalListEntries(IscsiPortalListEntryInfo[] paramArrayOfIscsiPortalListEntryInfo)
  {
    this.iscsiPortalListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiPortalListEntryInfo));
    return this;
  }
}