package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-stats-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE"})
@Family({"ontap-c", "vfiler"})
public class IscsiStatsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IscsiStatsInfo> iscsiStats;

  @Output("iscsi-stats")
  @Type("iscsi-stats-info[]")
  public void setIscsiStats(List<IscsiStatsInfo> paramList)
  {
    this.iscsiStats = paramList;
  }

  public List<IscsiStatsInfo> getIscsiStats()
  {
    return this.iscsiStats;
  }

  public IscsiStatsListInfo withIscsiStats(List<IscsiStatsInfo> paramList)
  {
    this.iscsiStats = paramList;
    return this;
  }

  public IscsiStatsListInfo withIscsiStats(IscsiStatsInfo[] paramArrayOfIscsiStatsInfo)
  {
    this.iscsiStats = new ArrayList(Arrays.asList(paramArrayOfIscsiStatsInfo));
    return this;
  }
}