package com.netapp.filer.license;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("license-list-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d", "vfiler"})
public class LicenseListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<LicenseInfo> licenses;

  @Output("licenses")
  @Type("license-info[]")
  public void setLicenses(List<LicenseInfo> paramList)
  {
    this.licenses = paramList;
  }

  public List<LicenseInfo> getLicenses()
  {
    return this.licenses;
  }

  public LicenseListInfo withLicenses(List<LicenseInfo> paramList)
  {
    this.licenses = paramList;
    return this;
  }

  public LicenseListInfo withLicenses(LicenseInfo[] paramArrayOfLicenseInfo)
  {
    this.licenses = new ArrayList(Arrays.asList(paramArrayOfLicenseInfo));
    return this;
  }
}