package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-config-check-alua-conflicts-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_NO_SUCH_INITGROUP;"})
public class LunConfigCheckAluaConflictsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ConflictingLunsList> conflictingLuns;

  @Output("conflicting-luns")
  @Type("conflicting-luns-list[]")
  @Optional
  public void setConflictingLuns(List<ConflictingLunsList> paramList)
  {
    this.conflictingLuns = paramList;
  }

  public List<ConflictingLunsList> getConflictingLuns()
  {
    return this.conflictingLuns;
  }

  public LunConfigCheckAluaConflictsInfo withConflictingLuns(List<ConflictingLunsList> paramList)
  {
    this.conflictingLuns = paramList;
    return this;
  }

  public LunConfigCheckAluaConflictsInfo withConflictingLuns(ConflictingLunsList[] paramArrayOfConflictingLunsList)
  {
    this.conflictingLuns = new ArrayList(Arrays.asList(paramArrayOfConflictingLunsList));
    return this;
  }
}