package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("nfs-get-supported-sec-flavors")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsGetSupportedSecFlavors
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SecFlavorInfo> secFlavor;

  @Output("sec-flavor")
  @Type("sec-flavor-info[]")
  public void setSecFlavor(List<SecFlavorInfo> paramList)
  {
    this.secFlavor = paramList;
  }

  public List<SecFlavorInfo> getSecFlavor()
  {
    return this.secFlavor;
  }

  public NfsGetSupportedSecFlavors withSecFlavor(List<SecFlavorInfo> paramList)
  {
    this.secFlavor = paramList;
    return this;
  }

  public NfsGetSupportedSecFlavors withSecFlavor(SecFlavorInfo[] paramArrayOfSecFlavorInfo)
  {
    this.secFlavor = new ArrayList(Arrays.asList(paramArrayOfSecFlavorInfo));
    return this;
  }
}