package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("nfs-monitor-reclaim")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsMonitorReclaim
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> hosts;

  @Input("hosts")
  @Type("hostaddr[]")
  @Optional
  public void setHosts(List<String> paramList)
  {
    this.hosts = paramList;
  }

  public List<String> getHosts()
  {
    return this.hosts;
  }

  public NfsMonitorReclaim withHosts(List<String> paramList)
  {
    this.hosts = paramList;
    return this;
  }

  public NfsMonitorReclaim withHosts(String[] paramArrayOfString)
  {
    this.hosts = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}