package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("nfsv3-client-stats-info")
public class Nfsv3ClientStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger accessOps;
  public BigInteger commitOps;
  public BigInteger createOps;
  public BigInteger fsinfoOps;
  public BigInteger fsstatOps;
  public BigInteger getattrOps;
  public BigInteger linkOps;
  public BigInteger lookupOps;
  public BigInteger mkdirOps;
  public BigInteger mknodOps;
  public BigInteger nullOps;
  public BigInteger pathconfOps;
  public BigInteger readOps;
  public BigInteger readdirOps;
  public BigInteger readdirplusOps;
  public BigInteger readlinkOps;
  public BigInteger removeOps;
  public BigInteger renameOps;
  public BigInteger rmdirOps;
  public BigInteger setattrOps;
  public BigInteger symlinkOps;
  public BigInteger writeOps;

  @Element("access-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setAccessOps(BigInteger paramBigInteger)
  {
    this.accessOps = paramBigInteger;
  }

  public BigInteger getAccessOps()
  {
    return this.accessOps;
  }

  public Nfsv3ClientStatsInfo withAccessOps(BigInteger paramBigInteger)
  {
    this.accessOps = paramBigInteger;
    return this;
  }

  @Element("commit-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCommitOps(BigInteger paramBigInteger)
  {
    this.commitOps = paramBigInteger;
  }

  public BigInteger getCommitOps()
  {
    return this.commitOps;
  }

  public Nfsv3ClientStatsInfo withCommitOps(BigInteger paramBigInteger)
  {
    this.commitOps = paramBigInteger;
    return this;
  }

  @Element("create-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
  }

  public BigInteger getCreateOps()
  {
    return this.createOps;
  }

  public Nfsv3ClientStatsInfo withCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
    return this;
  }

  @Element("fsinfo-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setFsinfoOps(BigInteger paramBigInteger)
  {
    this.fsinfoOps = paramBigInteger;
  }

  public BigInteger getFsinfoOps()
  {
    return this.fsinfoOps;
  }

  public Nfsv3ClientStatsInfo withFsinfoOps(BigInteger paramBigInteger)
  {
    this.fsinfoOps = paramBigInteger;
    return this;
  }

  @Element("fsstat-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setFsstatOps(BigInteger paramBigInteger)
  {
    this.fsstatOps = paramBigInteger;
  }

  public BigInteger getFsstatOps()
  {
    return this.fsstatOps;
  }

  public Nfsv3ClientStatsInfo withFsstatOps(BigInteger paramBigInteger)
  {
    this.fsstatOps = paramBigInteger;
    return this;
  }

  @Element("getattr-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
  }

  public BigInteger getGetattrOps()
  {
    return this.getattrOps;
  }

  public Nfsv3ClientStatsInfo withGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
    return this;
  }

  @Element("link-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLinkOps(BigInteger paramBigInteger)
  {
    this.linkOps = paramBigInteger;
  }

  public BigInteger getLinkOps()
  {
    return this.linkOps;
  }

  public Nfsv3ClientStatsInfo withLinkOps(BigInteger paramBigInteger)
  {
    this.linkOps = paramBigInteger;
    return this;
  }

  @Element("lookup-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
  }

  public BigInteger getLookupOps()
  {
    return this.lookupOps;
  }

  public Nfsv3ClientStatsInfo withLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
    return this;
  }

  @Element("mkdir-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setMkdirOps(BigInteger paramBigInteger)
  {
    this.mkdirOps = paramBigInteger;
  }

  public BigInteger getMkdirOps()
  {
    return this.mkdirOps;
  }

  public Nfsv3ClientStatsInfo withMkdirOps(BigInteger paramBigInteger)
  {
    this.mkdirOps = paramBigInteger;
    return this;
  }

  @Element("mknod-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setMknodOps(BigInteger paramBigInteger)
  {
    this.mknodOps = paramBigInteger;
  }

  public BigInteger getMknodOps()
  {
    return this.mknodOps;
  }

  public Nfsv3ClientStatsInfo withMknodOps(BigInteger paramBigInteger)
  {
    this.mknodOps = paramBigInteger;
    return this;
  }

  @Element("null-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setNullOps(BigInteger paramBigInteger)
  {
    this.nullOps = paramBigInteger;
  }

  public BigInteger getNullOps()
  {
    return this.nullOps;
  }

  public Nfsv3ClientStatsInfo withNullOps(BigInteger paramBigInteger)
  {
    this.nullOps = paramBigInteger;
    return this;
  }

  @Element("pathconf-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setPathconfOps(BigInteger paramBigInteger)
  {
    this.pathconfOps = paramBigInteger;
  }

  public BigInteger getPathconfOps()
  {
    return this.pathconfOps;
  }

  public Nfsv3ClientStatsInfo withPathconfOps(BigInteger paramBigInteger)
  {
    this.pathconfOps = paramBigInteger;
    return this;
  }

  @Element("read-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
  }

  public BigInteger getReadOps()
  {
    return this.readOps;
  }

  public Nfsv3ClientStatsInfo withReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
    return this;
  }

  @Element("readdir-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
  }

  public BigInteger getReaddirOps()
  {
    return this.readdirOps;
  }

  public Nfsv3ClientStatsInfo withReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
    return this;
  }

  @Element("readdirplus-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReaddirplusOps(BigInteger paramBigInteger)
  {
    this.readdirplusOps = paramBigInteger;
  }

  public BigInteger getReaddirplusOps()
  {
    return this.readdirplusOps;
  }

  public Nfsv3ClientStatsInfo withReaddirplusOps(BigInteger paramBigInteger)
  {
    this.readdirplusOps = paramBigInteger;
    return this;
  }

  @Element("readlink-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
  }

  public BigInteger getReadlinkOps()
  {
    return this.readlinkOps;
  }

  public Nfsv3ClientStatsInfo withReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
    return this;
  }

  @Element("remove-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
  }

  public BigInteger getRemoveOps()
  {
    return this.removeOps;
  }

  public Nfsv3ClientStatsInfo withRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
    return this;
  }

  @Element("rename-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRenameOps(BigInteger paramBigInteger)
  {
    this.renameOps = paramBigInteger;
  }

  public BigInteger getRenameOps()
  {
    return this.renameOps;
  }

  public Nfsv3ClientStatsInfo withRenameOps(BigInteger paramBigInteger)
  {
    this.renameOps = paramBigInteger;
    return this;
  }

  @Element("rmdir-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRmdirOps(BigInteger paramBigInteger)
  {
    this.rmdirOps = paramBigInteger;
  }

  public BigInteger getRmdirOps()
  {
    return this.rmdirOps;
  }

  public Nfsv3ClientStatsInfo withRmdirOps(BigInteger paramBigInteger)
  {
    this.rmdirOps = paramBigInteger;
    return this;
  }

  @Element("setattr-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSetattrOps(BigInteger paramBigInteger)
  {
    this.setattrOps = paramBigInteger;
  }

  public BigInteger getSetattrOps()
  {
    return this.setattrOps;
  }

  public Nfsv3ClientStatsInfo withSetattrOps(BigInteger paramBigInteger)
  {
    this.setattrOps = paramBigInteger;
    return this;
  }

  @Element("symlink-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSymlinkOps(BigInteger paramBigInteger)
  {
    this.symlinkOps = paramBigInteger;
  }

  public BigInteger getSymlinkOps()
  {
    return this.symlinkOps;
  }

  public Nfsv3ClientStatsInfo withSymlinkOps(BigInteger paramBigInteger)
  {
    this.symlinkOps = paramBigInteger;
    return this;
  }

  @Element("write-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
  }

  public BigInteger getWriteOps()
  {
    return this.writeOps;
  }

  public Nfsv3ClientStatsInfo withWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
    return this;
  }
}