package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("perf-archive-get-oldest-timestamp")
@Status(StatusEnum.UNSUPPORTED)
@Family({"ontap-c", "ontap-d"})
public class PerfArchiveGetOldestTimestamp
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer timestamp;

  @Output("timestamp")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setTimestamp(Integer paramInteger)
  {
    this.timestamp = paramInteger;
  }

  public Integer getTimestamp()
  {
    return this.timestamp;
  }

  public PerfArchiveGetOldestTimestamp withTimestamp(Integer paramInteger)
  {
    this.timestamp = paramInteger;
    return this;
  }
}