package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("sf-prepare-dblade-for-shutdown")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EONTAPI_EINVAL", "EOPLOCKRECALLFAILED", "ESENDHOMEINPROGRESS", "ESERVICENOTINITIALIZED", "ESERVICENOTLICENSED", "ETAKEOVERINPROGRESS"})
@Family({"ontap-d"})
public class SfPrepareDbladeForShutdown
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer timeout;

  @Input("timeout")
  @Type("integer")
  @Optional
  @Range(min="30", max="300")
  public void setTimeout(Integer paramInteger)
  {
    this.timeout = paramInteger;
  }

  public Integer getTimeout()
  {
    return this.timeout;
  }

  public SfPrepareDbladeForShutdown withTimeout(Integer paramInteger)
  {
    this.timeout = paramInteger;
    return this;
  }
}