package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.filer.nfs.PathnameInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("file-snaplock-retention-time-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EAPITOOMANYENTRIES"})
@Family({"ontap-c", "vfiler"})
public class FileSnaplockRetentionTimeListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<FileRetentionInfo> fileRetentionDetails;
  public List<PathnameInfo> pathnames;

  @Output("file-retention-details")
  @Type("file-retention-info[]")
  public void setFileRetentionDetails(List<FileRetentionInfo> paramList)
  {
    this.fileRetentionDetails = paramList;
  }

  public List<FileRetentionInfo> getFileRetentionDetails()
  {
    return this.fileRetentionDetails;
  }

  public FileSnaplockRetentionTimeListInfo withFileRetentionDetails(List<FileRetentionInfo> paramList)
  {
    this.fileRetentionDetails = paramList;
    return this;
  }

  public FileSnaplockRetentionTimeListInfo withFileRetentionDetails(FileRetentionInfo[] paramArrayOfFileRetentionInfo)
  {
    this.fileRetentionDetails = new ArrayList(Arrays.asList(paramArrayOfFileRetentionInfo));
    return this;
  }

  @Input("pathnames")
  @Type("pathname-info[]")
  public void setPathnames(List<PathnameInfo> paramList)
  {
    this.pathnames = paramList;
  }

  public List<PathnameInfo> getPathnames()
  {
    return this.pathnames;
  }

  public FileSnaplockRetentionTimeListInfo withPathnames(List<PathnameInfo> paramList)
  {
    this.pathnames = paramList;
    return this;
  }

  public FileSnaplockRetentionTimeListInfo withPathnames(PathnameInfo[] paramArrayOfPathnameInfo)
  {
    this.pathnames = new ArrayList(Arrays.asList(paramArrayOfPathnameInfo));
    return this;
  }
}