package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snmp-trap-list")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EONTAPI_ENOMEM"})
public class SnmpTrapList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<TrapInfo> trapList;

  @Output("trap-list")
  @Type("trap-info[]")
  public void setTrapList(List<TrapInfo> paramList)
  {
    this.trapList = paramList;
  }

  public List<TrapInfo> getTrapList()
  {
    return this.trapList;
  }

  public SnmpTrapList withTrapList(List<TrapInfo> paramList)
  {
    this.trapList = paramList;
    return this;
  }

  public SnmpTrapList withTrapList(TrapInfo[] paramArrayOfTrapInfo)
  {
    this.trapList = new ArrayList(Arrays.asList(paramArrayOfTrapInfo));
    return this;
  }
}