package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("system-api-get-elements")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class SystemApiGetElements
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SystemApiEntryInfo> apiEntries;
  public List<String> apiList;

  @Output("api-entries")
  @Type("system-api-entry-info[]")
  public void setApiEntries(List<SystemApiEntryInfo> paramList)
  {
    this.apiEntries = paramList;
  }

  public List<SystemApiEntryInfo> getApiEntries()
  {
    return this.apiEntries;
  }

  public SystemApiGetElements withApiEntries(List<SystemApiEntryInfo> paramList)
  {
    this.apiEntries = paramList;
    return this;
  }

  public SystemApiGetElements withApiEntries(SystemApiEntryInfo[] paramArrayOfSystemApiEntryInfo)
  {
    this.apiEntries = new ArrayList(Arrays.asList(paramArrayOfSystemApiEntryInfo));
    return this;
  }

  @Input("api-list")
  @Type("api-list-info[]")
  public void setApiList(List<String> paramList)
  {
    this.apiList = paramList;
  }

  public List<String> getApiList()
  {
    return this.apiList;
  }

  public SystemApiGetElements withApiList(List<String> paramList)
  {
    this.apiList = paramList;
    return this;
  }

  public SystemApiGetElements withApiList(String[] paramArrayOfString)
  {
    this.apiList = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}