package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("system-api-list")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class SystemApiList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SystemApiInfo> apis;

  @Output("apis")
  @Type("system-api-info[]")
  public void setApis(List<SystemApiInfo> paramList)
  {
    this.apis = paramList;
  }

  public List<SystemApiInfo> getApis()
  {
    return this.apis;
  }

  public SystemApiList withApis(List<SystemApiInfo> paramList)
  {
    this.apis = paramList;
    return this;
  }

  public SystemApiList withApis(SystemApiInfo[] paramArrayOfSystemApiInfo)
  {
    this.apis = new ArrayList(Arrays.asList(paramArrayOfSystemApiInfo));
    return this;
  }
}