package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("system-api-list-types")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d", "vfiler"})
public class SystemApiListTypes
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SystemApiTypeEntryInfo> typeEntries;

  @Output("type-entries")
  @Type("system-api-type-entry-info[]")
  public void setTypeEntries(List<SystemApiTypeEntryInfo> paramList)
  {
    this.typeEntries = paramList;
  }

  public List<SystemApiTypeEntryInfo> getTypeEntries()
  {
    return this.typeEntries;
  }

  public SystemApiListTypes withTypeEntries(List<SystemApiTypeEntryInfo> paramList)
  {
    this.typeEntries = paramList;
    return this;
  }

  public SystemApiListTypes withTypeEntries(SystemApiTypeEntryInfo[] paramArrayOfSystemApiTypeEntryInfo)
  {
    this.typeEntries = new ArrayList(Arrays.asList(paramArrayOfSystemApiTypeEntryInfo));
    return this;
  }
}