package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("vfiler-dr-get-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND"})
public class VfilerDrGetStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<StorageDrStatus> drStatus;
  public VfilerLocation remoteVfilerLocation;

  @Output("dr-status")
  @Type("storage-dr-status[]")
  public void setDrStatus(List<StorageDrStatus> paramList)
  {
    this.drStatus = paramList;
  }

  public List<StorageDrStatus> getDrStatus()
  {
    return this.drStatus;
  }

  public VfilerDrGetStatus withDrStatus(List<StorageDrStatus> paramList)
  {
    this.drStatus = paramList;
    return this;
  }

  public VfilerDrGetStatus withDrStatus(StorageDrStatus[] paramArrayOfStorageDrStatus)
  {
    this.drStatus = new ArrayList(Arrays.asList(paramArrayOfStorageDrStatus));
    return this;
  }

  @Input("remote-vfiler-location")
  @Type("vfiler-location")
  public void setRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
  }

  public VfilerLocation getRemoteVfilerLocation()
  {
    return this.remoteVfilerLocation;
  }

  public VfilerDrGetStatus withRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
    return this;
  }
}