package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("vfiler-migrate-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerMigrateStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<StorageMrStatus> migrateStatus;
  public VfilerLocation remoteVfilerLocation;

  @Output("migrate-status")
  @Type("storage-mr-status[]")
  public void setMigrateStatus(List<StorageMrStatus> paramList)
  {
    this.migrateStatus = paramList;
  }

  public List<StorageMrStatus> getMigrateStatus()
  {
    return this.migrateStatus;
  }

  public VfilerMigrateStatus withMigrateStatus(List<StorageMrStatus> paramList)
  {
    this.migrateStatus = paramList;
    return this;
  }

  public VfilerMigrateStatus withMigrateStatus(StorageMrStatus[] paramArrayOfStorageMrStatus)
  {
    this.migrateStatus = new ArrayList(Arrays.asList(paramArrayOfStorageMrStatus));
    return this;
  }

  @Input("remote-vfiler-location")
  @Type("vfiler-location")
  public void setRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
  }

  public VfilerLocation getRemoteVfilerLocation()
  {
    return this.remoteVfilerLocation;
  }

  public VfilerMigrateStatus withRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
    return this;
  }
}