package com.netapp.filer.wafl;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("wafl-sync")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class WaflSync
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> volumes;

  @Input("volumes")
  @Type("volume-name[]")
  @Optional
  public void setVolumes(List<String> paramList)
  {
    this.volumes = paramList;
  }

  public List<String> getVolumes()
  {
    return this.volumes;
  }

  public WaflSync withVolumes(List<String> paramList)
  {
    this.volumes = paramList;
    return this;
  }

  public WaflSync withVolumes(String[] paramArrayOfString)
  {
    this.volumes = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}