package com.netapp.snapcreator.agent;

import java.io.PrintStream;
import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

@WebServiceClient(name="AgentImplService", wsdlLocation="file:agent.wsdl", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
public class AgentImplService extends Service
{
  public static final URL WSDL_LOCATION = url;

  public static final QName SERVICE = new QName("http://www.netapp.com/SnapCreator/Daemon/Agent", "AgentImplService");
  public static final QName AgentImplPort = new QName("http://www.netapp.com/SnapCreator/Daemon/Agent", "AgentImplPort");

  public AgentImplService(URL wsdlLocation)
  {
    super(wsdlLocation, SERVICE);
  }

  public AgentImplService(URL wsdlLocation, QName serviceName) {
    super(wsdlLocation, serviceName);
  }

  public AgentImplService() {
    super(WSDL_LOCATION, SERVICE);
  }

  @WebEndpoint(name="AgentImplPort")
  public Agent getAgentImplPort()
  {
    return (Agent)super.getPort(AgentImplPort, Agent.class);
  }

  @WebEndpoint(name="AgentImplPort")
  public Agent getAgentImplPort(WebServiceFeature[] features)
  {
    return (Agent)super.getPort(AgentImplPort, Agent.class, features);
  }

  static
  {
    URL url = null;
    try {
      url = new URL("file:agent.wsdl");
    } catch (MalformedURLException e) {
      System.err.println("Can not initialize the default wsdl from file:agent.wsdl");
    }
  }
}