package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayInterfaceType", propOrder={"name", "displayName", "network", "interfaceType", "subnetParticipation", "applyRateLimit", "inRateLimit", "outRateLimit", "useForDefaultRoute"})
public class GatewayInterfaceType extends VCloudExtensibleType
{

  @XmlElement(name="Name")
  protected String name;

  @XmlElement(name="DisplayName")
  protected String displayName;

  @XmlElement(name="Network")
  protected ReferenceType network;

  @XmlElement(name="InterfaceType")
  protected String interfaceType;

  @XmlElement(name="SubnetParticipation")
  protected List<SubnetParticipationType> subnetParticipation;

  @XmlElement(name="ApplyRateLimit")
  protected Boolean applyRateLimit;

  @XmlElement(name="InRateLimit")
  protected Double inRateLimit;

  @XmlElement(name="OutRateLimit")
  protected Double outRateLimit;

  @XmlElement(name="UseForDefaultRoute")
  protected Boolean useForDefaultRoute;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getDisplayName()
  {
    return this.displayName;
  }

  public void setDisplayName(String value)
  {
    this.displayName = value;
  }

  public ReferenceType getNetwork()
  {
    return this.network;
  }

  public void setNetwork(ReferenceType value)
  {
    this.network = value;
  }

  public String getInterfaceType()
  {
    return this.interfaceType;
  }

  public void setInterfaceType(String value)
  {
    this.interfaceType = value;
  }

  public List<SubnetParticipationType> getSubnetParticipation()
  {
    if (this.subnetParticipation == null) {
      this.subnetParticipation = new ArrayList();
    }
    return this.subnetParticipation;
  }

  public Boolean isApplyRateLimit()
  {
    return this.applyRateLimit;
  }

  public void setApplyRateLimit(Boolean value)
  {
    this.applyRateLimit = value;
  }

  public Double getInRateLimit()
  {
    return this.inRateLimit;
  }

  public void setInRateLimit(Double value)
  {
    this.inRateLimit = value;
  }

  public Double getOutRateLimit()
  {
    return this.outRateLimit;
  }

  public void setOutRateLimit(Double value)
  {
    this.outRateLimit = value;
  }

  public Boolean isUseForDefaultRoute()
  {
    return this.useForDefaultRoute;
  }

  public void setUseForDefaultRoute(Boolean value)
  {
    this.useForDefaultRoute = value;
  }
}