package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LoadBalancerPoolType", propOrder={"id", "name", "description", "servicePort", "member", "operational", "errorDetails"})
public class LoadBalancerPoolType extends VCloudExtensibleType
{

  @XmlElement(name="Id")
  protected String id;

  @XmlElement(name="Name")
  protected String name;

  @XmlElement(name="Description")
  protected String description;

  @XmlElement(name="ServicePort")
  protected List<LBPoolServicePortType> servicePort;

  @XmlElement(name="Member")
  protected List<LBPoolMemberType> member;

  @XmlElement(name="Operational")
  protected Boolean operational;

  @XmlElement(name="ErrorDetails")
  protected String errorDetails;

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getDescription()
  {
    return this.description;
  }

  public void setDescription(String value)
  {
    this.description = value;
  }

  public List<LBPoolServicePortType> getServicePort()
  {
    if (this.servicePort == null) {
      this.servicePort = new ArrayList();
    }
    return this.servicePort;
  }

  public List<LBPoolMemberType> getMember()
  {
    if (this.member == null) {
      this.member = new ArrayList();
    }
    return this.member;
  }

  public Boolean isOperational()
  {
    return this.operational;
  }

  public void setOperational(Boolean value)
  {
    this.operational = value;
  }

  public String getErrorDetails()
  {
    return this.errorDetails;
  }

  public void setErrorDetails(String value)
  {
    this.errorDetails = value;
  }
}