package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="MetadataEntryType", propOrder={"domain", "key", "value", "typedValue"})
public class MetadataEntryType extends ResourceType
{

  @XmlElement(name="Domain")
  protected MetadataDomainTagType domain;

  @XmlElement(name="Key", required=true)
  protected String key;

  @XmlElement(name="Value")
  protected String value;

  @XmlElement(name="TypedValue")
  protected MetadataTypedValue typedValue;

  public MetadataDomainTagType getDomain()
  {
    return this.domain;
  }

  public void setDomain(MetadataDomainTagType value)
  {
    this.domain = value;
  }

  public String getKey()
  {
    return this.key;
  }

  public void setKey(String value)
  {
    this.key = value;
  }

  public String getValue()
  {
    return this.value;
  }

  public void setValue(String value)
  {
    this.value = value;
  }

  public MetadataTypedValue getTypedValue()
  {
    return this.typedValue;
  }

  public void setTypedValue(MetadataTypedValue value)
  {
    this.typedValue = value;
  }
}