package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkConfigurationType", propOrder={"backwardCompatibilityMode", "ipScope", "ipScopes", "parentNetwork", "fenceMode", "retainNetInfoAcrossDeployments", "features", "syslogServerSettings", "routerInfo"})
public class NetworkConfigurationType extends VCloudExtensibleType
{

  @XmlElement(name="BackwardCompatibilityMode")
  protected Boolean backwardCompatibilityMode;

  @XmlElement(name="IpScope")
  protected IpScopeType ipScope;

  @XmlElement(name="IpScopes")
  protected IpScopesType ipScopes;

  @XmlElement(name="ParentNetwork")
  protected ReferenceType parentNetwork;

  @XmlElement(name="FenceMode", required=true)
  protected String fenceMode;

  @XmlElement(name="RetainNetInfoAcrossDeployments")
  protected Boolean retainNetInfoAcrossDeployments;

  @XmlElement(name="Features")
  protected NetworkFeaturesType features;

  @XmlElement(name="SyslogServerSettings")
  protected SyslogServerSettingsType syslogServerSettings;

  @XmlElement(name="RouterInfo")
  protected RouterInfoType routerInfo;

  public Boolean isBackwardCompatibilityMode()
  {
    return this.backwardCompatibilityMode;
  }

  public void setBackwardCompatibilityMode(Boolean value)
  {
    this.backwardCompatibilityMode = value;
  }

  public IpScopeType getIpScope()
  {
    return this.ipScope;
  }

  public void setIpScope(IpScopeType value)
  {
    this.ipScope = value;
  }

  public IpScopesType getIpScopes()
  {
    return this.ipScopes;
  }

  public void setIpScopes(IpScopesType value)
  {
    this.ipScopes = value;
  }

  public ReferenceType getParentNetwork()
  {
    return this.parentNetwork;
  }

  public void setParentNetwork(ReferenceType value)
  {
    this.parentNetwork = value;
  }

  public String getFenceMode()
  {
    return this.fenceMode;
  }

  public void setFenceMode(String value)
  {
    this.fenceMode = value;
  }

  public Boolean isRetainNetInfoAcrossDeployments()
  {
    return this.retainNetInfoAcrossDeployments;
  }

  public void setRetainNetInfoAcrossDeployments(Boolean value)
  {
    this.retainNetInfoAcrossDeployments = value;
  }

  public NetworkFeaturesType getFeatures()
  {
    return this.features;
  }

  public void setFeatures(NetworkFeaturesType value)
  {
    this.features = value;
  }

  public SyslogServerSettingsType getSyslogServerSettings()
  {
    return this.syslogServerSettings;
  }

  public void setSyslogServerSettings(SyslogServerSettingsType value)
  {
    this.syslogServerSettings = value;
  }

  public RouterInfoType getRouterInfo()
  {
    return this.routerInfo;
  }

  public void setRouterInfo(RouterInfoType value)
  {
    this.routerInfo = value;
  }
}