package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProviderVdcType", propOrder={"computeCapacity", "storageCapacity", "availableNetworks", "storageProfiles", "capabilities", "vdcs", "isEnabled", "networkPoolReferences"})
public class ProviderVdcType extends EntityType
{

  @XmlElement(name="ComputeCapacity")
  protected RootComputeCapacityType computeCapacity;

  @XmlElement(name="StorageCapacity")
  protected ProviderVdcCapacityType storageCapacity;

  @XmlElement(name="AvailableNetworks")
  protected AvailableNetworksType availableNetworks;

  @XmlElement(name="StorageProfiles")
  protected ProviderVdcStorageProfilesType storageProfiles;

  @XmlElement(name="Capabilities")
  protected CapabilitiesType capabilities;

  @XmlElement(name="Vdcs")
  protected VdcsType vdcs;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="NetworkPoolReferences")
  protected NetworkPoolReferencesType networkPoolReferences;

  @XmlAttribute
  protected Integer status;

  public RootComputeCapacityType getComputeCapacity()
  {
    return this.computeCapacity;
  }

  public void setComputeCapacity(RootComputeCapacityType value)
  {
    this.computeCapacity = value;
  }

  public ProviderVdcCapacityType getStorageCapacity()
  {
    return this.storageCapacity;
  }

  public void setStorageCapacity(ProviderVdcCapacityType value)
  {
    this.storageCapacity = value;
  }

  public AvailableNetworksType getAvailableNetworks()
  {
    return this.availableNetworks;
  }

  public void setAvailableNetworks(AvailableNetworksType value)
  {
    this.availableNetworks = value;
  }

  public ProviderVdcStorageProfilesType getStorageProfiles()
  {
    return this.storageProfiles;
  }

  public void setStorageProfiles(ProviderVdcStorageProfilesType value)
  {
    this.storageProfiles = value;
  }

  public CapabilitiesType getCapabilities()
  {
    return this.capabilities;
  }

  public void setCapabilities(CapabilitiesType value)
  {
    this.capabilities = value;
  }

  public VdcsType getVdcs()
  {
    return this.vdcs;
  }

  public void setVdcs(VdcsType value)
  {
    this.vdcs = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public NetworkPoolReferencesType getNetworkPoolReferences()
  {
    return this.networkPoolReferences;
  }

  public void setNetworkPoolReferences(NetworkPoolReferencesType value)
  {
    this.networkPoolReferences = value;
  }

  public Integer getStatus()
  {
    return this.status;
  }

  public void setStatus(Integer value)
  {
    this.status = value;
  }
}