package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SourcedCompositionItemParamType", propOrder={"source", "vAppScopedLocalId", "instantiationParams", "networkAssignment", "storageProfile"})
public class SourcedCompositionItemParamType extends VCloudExtensibleType
{

  @XmlElement(name="Source", required=true)
  protected ReferenceType source;

  @XmlElement(name="VAppScopedLocalId")
  protected String vAppScopedLocalId;

  @XmlElement(name="InstantiationParams")
  protected InstantiationParamsType instantiationParams;

  @XmlElement(name="NetworkAssignment")
  protected List<NetworkAssignmentType> networkAssignment;

  @XmlElement(name="StorageProfile")
  protected ReferenceType storageProfile;

  @XmlAttribute
  protected Boolean sourceDelete;

  public ReferenceType getSource()
  {
    return this.source;
  }

  public void setSource(ReferenceType value)
  {
    this.source = value;
  }

  public String getVAppScopedLocalId()
  {
    return this.vAppScopedLocalId;
  }

  public void setVAppScopedLocalId(String value)
  {
    this.vAppScopedLocalId = value;
  }

  public InstantiationParamsType getInstantiationParams()
  {
    return this.instantiationParams;
  }

  public void setInstantiationParams(InstantiationParamsType value)
  {
    this.instantiationParams = value;
  }

  public List<NetworkAssignmentType> getNetworkAssignment()
  {
    if (this.networkAssignment == null) {
      this.networkAssignment = new ArrayList();
    }
    return this.networkAssignment;
  }

  public ReferenceType getStorageProfile()
  {
    return this.storageProfile;
  }

  public void setStorageProfile(ReferenceType value)
  {
    this.storageProfile = value;
  }

  public Boolean isSourceDelete()
  {
    return this.sourceDelete;
  }

  public void setSourceDelete(Boolean value)
  {
    this.sourceDelete = value;
  }
}