package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="TaskType", propOrder={"owner", "error", "user", "organization", "progress", "params", "details"})
public class TaskType extends EntityType
{

  @XmlElement(name="Owner")
  protected ReferenceType owner;

  @XmlElement(name="Error")
  protected ErrorType error;

  @XmlElement(name="User")
  protected ReferenceType user;

  @XmlElement(name="Organization")
  protected ReferenceType organization;

  @XmlElement(name="Progress")
  protected Integer progress;

  @XmlElement(name="Params")
  protected Object params;

  @XmlElement(name="Details")
  protected String details;

  @XmlAttribute
  protected Boolean cancelRequested;

  @XmlAttribute
  protected XMLGregorianCalendar endTime;

  @XmlAttribute
  protected XMLGregorianCalendar expiryTime;

  @XmlAttribute
  protected String operation;

  @XmlAttribute
  protected String operationName;

  @XmlAttribute
  protected String serviceNamespace;

  @XmlAttribute
  protected XMLGregorianCalendar startTime;

  @XmlAttribute(required=true)
  protected String status;

  public ReferenceType getOwner()
  {
    return this.owner;
  }

  public void setOwner(ReferenceType value)
  {
    this.owner = value;
  }

  public ErrorType getError()
  {
    return this.error;
  }

  public void setError(ErrorType value)
  {
    this.error = value;
  }

  public ReferenceType getUser()
  {
    return this.user;
  }

  public void setUser(ReferenceType value)
  {
    this.user = value;
  }

  public ReferenceType getOrganization()
  {
    return this.organization;
  }

  public void setOrganization(ReferenceType value)
  {
    this.organization = value;
  }

  public Integer getProgress()
  {
    return this.progress;
  }

  public void setProgress(Integer value)
  {
    this.progress = value;
  }

  public Object getParams()
  {
    return this.params;
  }

  public void setParams(Object value)
  {
    this.params = value;
  }

  public String getDetails()
  {
    return this.details;
  }

  public void setDetails(String value)
  {
    this.details = value;
  }

  public Boolean isCancelRequested()
  {
    return this.cancelRequested;
  }

  public void setCancelRequested(Boolean value)
  {
    this.cancelRequested = value;
  }

  public XMLGregorianCalendar getEndTime()
  {
    return this.endTime;
  }

  public void setEndTime(XMLGregorianCalendar value)
  {
    this.endTime = value;
  }

  public XMLGregorianCalendar getExpiryTime()
  {
    return this.expiryTime;
  }

  public void setExpiryTime(XMLGregorianCalendar value)
  {
    this.expiryTime = value;
  }

  public String getOperation()
  {
    return this.operation;
  }

  public void setOperation(String value)
  {
    this.operation = value;
  }

  public String getOperationName()
  {
    return this.operationName;
  }

  public void setOperationName(String value)
  {
    this.operationName = value;
  }

  public String getServiceNamespace()
  {
    return this.serviceNamespace;
  }

  public void setServiceNamespace(String value)
  {
    this.serviceNamespace = value;
  }

  public XMLGregorianCalendar getStartTime()
  {
    return this.startTime;
  }

  public void setStartTime(XMLGregorianCalendar value)
  {
    this.startTime = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }
}