package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ParamsType;
import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ImportMediaParamsType", propOrder={"datastoreMoRef", "sourcePath", "vdc", "catalog", "vdcStorageProfile"})
public class ImportMediaParamsType extends ParamsType
{

  @XmlElement(name="DatastoreMoRef", required=true)
  protected String datastoreMoRef;

  @XmlElement(name="SourcePath", required=true)
  protected String sourcePath;

  @XmlElement(name="Vdc", required=true)
  protected ReferenceType vdc;

  @XmlElement(name="Catalog")
  protected ReferenceType catalog;

  @XmlElement(name="VdcStorageProfile")
  protected ReferenceType vdcStorageProfile;

  @XmlAttribute
  protected Boolean sourceMove;

  public String getDatastoreMoRef()
  {
    return this.datastoreMoRef;
  }

  public void setDatastoreMoRef(String value)
  {
    this.datastoreMoRef = value;
  }

  public String getSourcePath()
  {
    return this.sourcePath;
  }

  public void setSourcePath(String value)
  {
    this.sourcePath = value;
  }

  public ReferenceType getVdc()
  {
    return this.vdc;
  }

  public void setVdc(ReferenceType value)
  {
    this.vdc = value;
  }

  public ReferenceType getCatalog()
  {
    return this.catalog;
  }

  public void setCatalog(ReferenceType value)
  {
    this.catalog = value;
  }

  public ReferenceType getVdcStorageProfile()
  {
    return this.vdcStorageProfile;
  }

  public void setVdcStorageProfile(ReferenceType value)
  {
    this.vdcStorageProfile = value;
  }

  public boolean isSourceMove()
  {
    if (this.sourceMove == null) {
      return false;
    }
    return this.sourceMove.booleanValue();
  }

  public void setSourceMove(Boolean value)
  {
    this.sourceMove = value;
  }
}