package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LdapGroupAttributesType", propOrder={"objectClass", "objectIdentifier", "groupName", "membership", "membershipIdentifier", "backLinkIdentifier"})
public class LdapGroupAttributesType extends ResourceType
{

  @XmlElement(name="ObjectClass", required=true)
  protected String objectClass;

  @XmlElement(name="ObjectIdentifier", required=true)
  protected String objectIdentifier;

  @XmlElement(name="GroupName", required=true)
  protected String groupName;

  @XmlElement(name="Membership", required=true)
  protected String membership;

  @XmlElement(name="MembershipIdentifier", required=true)
  protected String membershipIdentifier;

  @XmlElement(name="BackLinkIdentifier")
  protected String backLinkIdentifier;

  public String getObjectClass()
  {
    return this.objectClass;
  }

  public void setObjectClass(String value)
  {
    this.objectClass = value;
  }

  public String getObjectIdentifier()
  {
    return this.objectIdentifier;
  }

  public void setObjectIdentifier(String value)
  {
    this.objectIdentifier = value;
  }

  public String getGroupName()
  {
    return this.groupName;
  }

  public void setGroupName(String value)
  {
    this.groupName = value;
  }

  public String getMembership()
  {
    return this.membership;
  }

  public void setMembership(String value)
  {
    this.membership = value;
  }

  public String getMembershipIdentifier()
  {
    return this.membershipIdentifier;
  }

  public void setMembershipIdentifier(String value)
  {
    this.membershipIdentifier = value;
  }

  public String getBackLinkIdentifier()
  {
    return this.backLinkIdentifier;
  }

  public void setBackLinkIdentifier(String value)
  {
    this.backLinkIdentifier = value;
  }
}