package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SystemPasswordPolicySettingsType", propOrder={"accountLockoutEnabled", "adminAccountLockoutEnabled", "invalidLoginsBeforeLockout", "accountLockoutIntervalMinutes"})
public class SystemPasswordPolicySettingsType extends ResourceType
{

  @XmlElement(name="AccountLockoutEnabled")
  protected boolean accountLockoutEnabled;

  @XmlElement(name="AdminAccountLockoutEnabled")
  protected boolean adminAccountLockoutEnabled;

  @XmlElement(name="InvalidLoginsBeforeLockout")
  protected int invalidLoginsBeforeLockout;

  @XmlElement(name="AccountLockoutIntervalMinutes")
  protected int accountLockoutIntervalMinutes;

  public boolean isAccountLockoutEnabled()
  {
    return this.accountLockoutEnabled;
  }

  public void setAccountLockoutEnabled(boolean value)
  {
    this.accountLockoutEnabled = value;
  }

  public boolean isAdminAccountLockoutEnabled()
  {
    return this.adminAccountLockoutEnabled;
  }

  public void setAdminAccountLockoutEnabled(boolean value)
  {
    this.adminAccountLockoutEnabled = value;
  }

  public int getInvalidLoginsBeforeLockout()
  {
    return this.invalidLoginsBeforeLockout;
  }

  public void setInvalidLoginsBeforeLockout(int value)
  {
    this.invalidLoginsBeforeLockout = value;
  }

  public int getAccountLockoutIntervalMinutes()
  {
    return this.accountLockoutIntervalMinutes;
  }

  public void setAccountLockoutIntervalMinutes(int value)
  {
    this.accountLockoutIntervalMinutes = value;
  }
}