package com.vmware.vcloud.api.rest.schema.extension;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VlanPoolType", propOrder={"vlanRange", "vimSwitchRef", "usedNetworksCount", "promiscuousMode"})
public class VlanPoolType extends VMWNetworkPoolType
{

  @XmlElement(name="VlanRange", required=true)
  protected List<NumericRangeType> vlanRange;

  @XmlElement(name="VimSwitchRef")
  protected VimObjectRefType vimSwitchRef;

  @XmlElement(name="UsedNetworksCount")
  protected Integer usedNetworksCount;

  @XmlElement(name="PromiscuousMode")
  protected Boolean promiscuousMode;

  public List<NumericRangeType> getVlanRange()
  {
    if (this.vlanRange == null) {
      this.vlanRange = new ArrayList();
    }
    return this.vlanRange;
  }

  public VimObjectRefType getVimSwitchRef()
  {
    return this.vimSwitchRef;
  }

  public void setVimSwitchRef(VimObjectRefType value)
  {
    this.vimSwitchRef = value;
  }

  public Integer getUsedNetworksCount()
  {
    return this.usedNetworksCount;
  }

  public void setUsedNetworksCount(Integer value)
  {
    this.usedNetworksCount = value;
  }

  public Boolean isPromiscuousMode()
  {
    return this.promiscuousMode;
  }

  public void setPromiscuousMode(Boolean value)
  {
    this.promiscuousMode = value;
  }
}