package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OperatingSystemSection_Type", propOrder={"description", "any"})
public class OperatingSystemSectionType extends SectionType
{

  @XmlElement(name="Description")
  protected MsgType description;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected int id;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String version;

  public MsgType getDescription()
  {
    return this.description;
  }

  public void setDescription(MsgType value)
  {
    this.description = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public int getId()
  {
    return this.id;
  }

  public void setId(int value)
  {
    this.id = value;
  }

  public String getVersion()
  {
    return this.version;
  }

  public void setVersion(String value)
  {
    this.version = value;
  }
}