package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="Section_Type", propOrder={"info"})
public abstract class SectionType
{

  @XmlElement(name="Info", required=true)
  protected MsgType info;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Boolean required;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public MsgType getInfo()
  {
    return this.info;
  }

  public void setInfo(MsgType value)
  {
    this.info = value;
  }

  public boolean isRequired()
  {
    if (this.required == null) {
      return true;
    }
    return this.required.booleanValue();
  }

  public void setRequired(Boolean value)
  {
    this.required = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}