package com.vmware.vcloud.api.rest.schema.versioning;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VersionInfoType", propOrder={"version", "loginUrl", "mediaTypeMapping", "any"})
public class VersionInfoType
{

  @XmlElement(name="Version", required=true)
  protected String version;

  @XmlElement(name="LoginUrl", required=true)
  protected String loginUrl;

  @XmlElement(name="MediaTypeMapping")
  protected List<MediaTypeMappingType> mediaTypeMapping;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public String getVersion()
  {
    return this.version;
  }

  public void setVersion(String value)
  {
    this.version = value;
  }

  public String getLoginUrl()
  {
    return this.loginUrl;
  }

  public void setLoginUrl(String value)
  {
    this.loginUrl = value;
  }

  public List<MediaTypeMappingType> getMediaTypeMapping()
  {
    if (this.mediaTypeMapping == null) {
      this.mediaTypeMapping = new ArrayList();
    }
    return this.mediaTypeMapping;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}