package com.vmware.vcloud.api.rest.schema_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AbstractVAppType", propOrder={"vAppParent", "section"})
public abstract class AbstractVAppType extends ResourceEntityType
{

  @XmlElement(name="VAppParent")
  protected ReferenceType vAppParent;

  @XmlElementRef(name="Section", namespace="http://schemas.dmtf.org/ovf/envelope/1", type=JAXBElement.class)
  protected List<JAXBElement<? extends SectionType>> section;

  @XmlAttribute
  protected Boolean deployed;

  public ReferenceType getVAppParent()
  {
    return this.vAppParent;
  }

  public void setVAppParent(ReferenceType value)
  {
    this.vAppParent = value;
  }

  public List<JAXBElement<? extends SectionType>> getSection()
  {
    if (this.section == null) {
      this.section = new ArrayList();
    }
    return this.section;
  }

  public Boolean isDeployed()
  {
    return this.deployed;
  }

  public void setDeployed(Boolean value)
  {
    this.deployed = value;
  }
}