package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum AccessLevelType
{
  FULL_CONTROL("FullControl"), 

  CHANGE("Change"), 

  READ_ONLY("ReadOnly");

  private final String value;

  private AccessLevelType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static AccessLevelType fromValue(String v) {
    for (AccessLevelType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}