package com.vmware.vcloud.api.rest.schema_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkConfigSectionType", propOrder={"link", "networkConfig", "any"})
public class NetworkConfigSectionType extends SectionType
{

  @XmlElement(name="Link")
  protected List<LinkType> link;

  @XmlElement(name="NetworkConfig")
  protected List<VAppNetworkConfigurationType> networkConfig;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute
  protected String href;

  @XmlAttribute
  protected String type;

  public List<LinkType> getLink()
  {
    if (this.link == null) {
      this.link = new ArrayList();
    }
    return this.link;
  }

  public List<VAppNetworkConfigurationType> getNetworkConfig()
  {
    if (this.networkConfig == null) {
      this.networkConfig = new ArrayList();
    }
    return this.networkConfig;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public String getHref()
  {
    return this.href;
  }

  public void setHref(String value)
  {
    this.href = value;
  }

  public String getType()
  {
    return this.type;
  }

  public void setType(String value)
  {
    this.type = value;
  }
}