package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum RelationType
{
  DOWN("down"), 

  ADD("add"), 

  UP("up"), 

  EDIT("edit"), 

  REMOVE("remove"), 

  COPY("copy"), 

  MOVE("move"), 

  ALTERNATE("alternate"), 

  TASK_CANCEL("task:cancel"), 

  DEPLOY("deploy"), 

  UNDEPLOY("undeploy"), 

  DISCARD_STATE("discardState"), 

  POWER_POWER_ON("power:powerOn"), 

  POWER_POWER_OFF("power:powerOff"), 

  POWER_RESET("power:reset"), 

  POWER_REBOOT("power:reboot"), 

  POWER_SUSPEND("power:suspend"), 

  POWER_SHUTDOWN("power:shutdown"), 

  SCREEN_THUMBNAIL("screen:thumbnail"), 

  SCREEN_ACQUIRE_TICKET("screen:acquireTicket"), 

  MEDIA_INSERT_MEDIA("media:insertMedia"), 

  MEDIA_EJECT_MEDIA("media:ejectMedia"), 

  UPLOAD_DEFAULT("upload:default"), 

  UPLOAD_ALTERNATE("upload:alternate"), 

  DOWNLOAD_DEFAULT("download:default"), 

  DOWNLOAD_ALTERNATE("download:alternate"), 

  OVF("ovf"), 

  OVA("ova"), 

  CONTROL_ACCESS("controlAccess"), 

  PUBLISH("publish"), 

  EXTENSION("extension"), 

  COLLABORATION_RESUME("collaboration:resume"), 

  COLLABORATION_ABORT("collaboration:abort"), 

  ENABLE("enable"), 

  DISABLE("disable"), 

  CATALOG_ITEM("catalogItem"), 

  RECOMPOSE("recompose"), 

  REGISTER("register"), 

  UNREGISTER("unregister"), 

  REPAIR("repair"), 

  RECONNECT("reconnect"), 

  UPGRADE("upgrade");

  private final String value;

  private RelationType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static RelationType fromValue(String v) {
    for (RelationType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}