package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum TaskStatusType
{
  QUEUED("queued"), 

  RUNNING("running"), 

  SUCCESS("success"), 

  ERROR("error"), 

  CANCELED("canceled");

  private final String value;

  private TaskStatusType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static TaskStatusType fromValue(String v) {
    for (TaskStatusType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}