package com.vmware.vcloud.sdk;

import com.vmware.vcloud.sdk.constants.query.FilterType;
import java.util.ArrayList;
import java.util.List;

public class Filter
{
  private String filterText = "";

  public Filter(Expression expression)
  {
    if ((expression != null) && (expression.getExpressionText() != null) && (!expression.getExpressionText().isEmpty()))
    {
      List expressions = new ArrayList();
      expressions.add(expression);
      setFilterText(expressions, null);
    }
  }

  public Filter(FilterType filterType, List<Expression> expressions)
  {
    setFilterText(expressions, filterType);
  }

  public Filter(List<Filter> filters, FilterType filterType)
  {
    StringBuilder filterValue = new StringBuilder();
    if (filters.size() > 0) {
      filterValue.append("(");
    }
    for (int i = 0; i < filters.size(); i++) {
      if (!((Filter)filters.get(i)).getFilterText().isEmpty()) {
        filterValue.append(((Filter)filters.get(i)).getFilterText());
        if ((filterType.value() != null) && (i != filters.size() - 1)) {
          filterValue.append(filterType.value());
        }
      }
    }
    if (filters.size() > 0) {
      filterValue.append(")");
    }

    this.filterText = filterValue.toString();
    if (this.filterText.equals("()"))
      this.filterText = "";
  }

  private void setFilterText(List<Expression> expressions, FilterType filterType)
  {
    StringBuilder filterValue = new StringBuilder();
    if (expressions.size() > 0) {
      filterValue.append("(");
    }
    for (int i = 0; i < expressions.size(); i++) {
      if (!((Expression)expressions.get(i)).getExpressionText().isEmpty()) {
        filterValue.append(((Expression)expressions.get(i)).getExpressionText());
        if ((filterType != null) && (i != expressions.size() - 1) && (!((Expression)expressions.get(i + 1)).getExpressionText().isEmpty()))
        {
          filterValue.append(filterType.value());
        }
      }
    }
    if (expressions.size() > 0) {
      filterValue.append(")");
    }

    this.filterText = filterValue.toString();
    if (this.filterText.equals("()"))
      this.filterText = "";
  }

  String getFilterText()
  {
    return this.filterText;
  }
}