package com.vmware.vcloud.sdk;

import com.vmware.vcloud.api.rest.schema.ovf.CimString;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import java.util.Map;
import java.util.logging.Logger;
import javax.xml.namespace.QName;

public class HardwareItem
{
  private static Logger logger = Logger.getLogger("com.vmware.vcloud.sdk");
  private RASDType itemResource;

  HardwareItem(RASDType virtualCpuItem)
  {
    this.itemResource = virtualCpuItem;
  }

  public RASDType getItemResource()
  {
    return this.itemResource;
  }

  String getCimStringAttributeValue(CimString cimString, String attributeName)
    throws VCloudException
  {
    for (QName name : cimString.getOtherAttributes().keySet()) {
      if (name.getLocalPart().equals(attributeName))
        return (String)cimString.getOtherAttributes().get(name);
    }
    throw new VCloudException("Specified Atrribute not found");
  }
}