package com.vmware.vcloud.sdk;

import com.vmware.vcloud.api.rest.schema.ovf.CimUnsignedLong;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import java.math.BigInteger;

public class VirtualMemory extends HardwareItem
{
  VirtualMemory(RASDType virtualMemoryItem)
  {
    super(virtualMemoryItem);
  }

  public BigInteger getMemorySize()
  {
    return getItemResource().getVirtualQuantity().getValue();
  }

  public void setMemorySize(BigInteger memorySize)
  {
    CimUnsignedLong memory = new CimUnsignedLong();
    memory.setValue(memorySize);
    getItemResource().setVirtualQuantity(memory);
  }
}