package com.vmware.vcloud.sdk.admin;

import com.vmware.vcloud.api.rest.schema.LinkType;
import com.vmware.vcloud.api.rest.schema.ProviderVdcStorageProfileType;
import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.sdk.SdkUtil;
import com.vmware.vcloud.sdk.VCloudException;
import com.vmware.vcloud.sdk.VcloudClient;
import com.vmware.vcloud.sdk.VcloudEntity;
import com.vmware.vcloud.sdk.constants.SdkMessage;
import java.util.logging.Level;
import java.util.logging.Logger;

public class ProviderVdcStorageProfile extends VcloudEntity<ProviderVdcStorageProfileType>
{
  private static Logger logger = Logger.getLogger("com.vmware.vcloud.sdk");
  private ReferenceType providerVdcRef;

  ProviderVdcStorageProfile(VcloudClient client, ProviderVdcStorageProfileType providerVdcStorageProfileType)
  {
    super(client, providerVdcStorageProfileType);
  }

  public static ProviderVdcStorageProfile getProviderVdcStorageProfileByReference(VcloudClient client, ReferenceType providerVdcStorageProfileRef)
    throws VCloudException
  {
    logger.log(Level.INFO, SdkUtil.getI18nString(SdkMessage.GET_URL_MSG) + " - " + providerVdcStorageProfileRef.getHref());

    return new ProviderVdcStorageProfile(client, (ProviderVdcStorageProfileType)getResourceByReference(client, providerVdcStorageProfileRef));
  }

  public ReferenceType getProviderVdcReference()
    throws VCloudException
  {
    if (this.providerVdcRef == null) {
      for (LinkType ref : ((ProviderVdcStorageProfileType)getResource()).getLink())
        if ((ref.getRel().equals("up")) && (ref.getType().equals("application/vnd.vmware.admin.providervdc+xml")))
        {
          return ref;
        }
    }
    else {
      return this.providerVdcRef;
    }
    throw new VCloudException(SdkUtil.getI18nString(SdkMessage.REFERENCE_NOT_FOUND_MSG));
  }
}