package com.vmware.vcloud.sdk.admin.extensions;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.extension.LicensingReportSampleType;
import com.vmware.vcloud.api.rest.schema.extension.LicensingReportType;
import com.vmware.vcloud.sdk.SdkUtil;
import com.vmware.vcloud.sdk.VCloudException;
import com.vmware.vcloud.sdk.VcloudClient;
import com.vmware.vcloud.sdk.VcloudResource;
import com.vmware.vcloud.sdk.constants.SdkMessage;
import java.util.HashMap;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.xml.datatype.XMLGregorianCalendar;

public class LicenseReport extends VcloudResource<LicensingReportType>
{
  private static Logger logger = Logger.getLogger("com.vmware.vcloud.sdk");

  LicenseReport(VcloudClient client, LicensingReportType licensingReportType_v1_5)
  {
    super(client, licensingReportType_v1_5);
  }

  public static LicenseReport getLicenseReportByReference(VcloudClient client, ReferenceType referenceType)
    throws VCloudException
  {
    logger.log(Level.INFO, SdkUtil.getI18nString(SdkMessage.GET_URL_MSG) + " - " + referenceType.getHref());

    return new LicenseReport(client, (LicensingReportType)getResourceByReference(client, referenceType));
  }

  public HashMap<XMLGregorianCalendar, LicensingReportSampleType> getSamplesByDate()
  {
    HashMap samples = new HashMap();
    for (LicensingReportSampleType sample : ((LicensingReportType)getResource()).getSample())
    {
      samples.put(sample.getObservationDate(), sample);
    }return samples;
  }

  public XMLGregorianCalendar getReportDate()
  {
    return ((LicensingReportType)getResource()).getReportDate();
  }

  public String getProductSerialNumber()
  {
    return ((LicensingReportType)getResource()).getProductSerialNumber();
  }
}