package com.vmware.vcloud.sdk.constants;

public enum AccessLevelType
{
  FULLCONTROL("FullControl"), 

  CHANGE("Change"), 

  READONLY("ReadOnly");

  private String value;

  private AccessLevelType() {
  }

  private AccessLevelType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static AccessLevelType fromValue(String value) {
    for (AccessLevelType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}