package com.vmware.vcloud.sdk.constants;

public enum LdapAuthenticationMechanismType
{
  SIMPLE("SIMPLE"), 

  KERBEROS("KERBEROS"), 

  MD5DIGEST("MD5DIGEST"), 

  NTLM("NTLM");

  private String value;

  private LdapAuthenticationMechanismType() {
  }

  private LdapAuthenticationMechanismType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static LdapAuthenticationMechanismType fromValue(String value) {
    for (LdapAuthenticationMechanismType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}