package com.vmware.vcloud.sdk.constants;

public enum VappTemplateStatus
{
  FAILED_CREATION(-1), 

  UNRESOLVED(0), 

  RESOLVED(1), 

  UNKNOWN(6), 

  UNRECOGNIZED(7), 
  POWERED_OFF(8), 

  MIXED(10), 

  DESCRIPTOR_PENDING(11), 
  COPYING_CONTENTS(12), 

  DISK_CONTENTS_PENDING(13), 
  QUARANTINED(14), 
  QUARANTINE_EXPIRED(15), 
  REJECTED(16), 
  TRANSFER_TIMEOUT(17);

  private int value;

  private VappTemplateStatus() {
  }

  private VappTemplateStatus(int value) {
    this.value = value;
  }

  public int value() {
    return this.value;
  }

  public static VappTemplateStatus fromValue(int value) {
    for (VappTemplateStatus vappTemplateStatus : values()) {
      if (vappTemplateStatus.value() == value) {
        return vappTemplateStatus;
      }
    }
    throw new IllegalArgumentException(Integer.toString(value));
  }
}