package com.vmware.vcloud.sdk.constants;

public enum VimObjectTypeEnum
{
  CLUSTER_COMPUTE_RESOURCE("CLUSTER_COMPUTE_RESOURCE"), 

  RESOURCE_POOL("RESOURCE_POOL"), 

  DATASTORE("DATASTORE"), 

  HOST("HOST"), 

  VIRTUAL_MACHINE("VIRTUAL_MACHINE"), 

  VIRTUAL_APP("VIRTUAL_APP"), 

  NETWORK("NETWORK"), 

  DV_PORTGROUP("DV_PORTGROUP"), 

  DV_SWITCH("DV_SWITCH"), 

  FILE("FILE"), 

  FOLDER("FOLDER"), 

  DATASTORE_CLUSTER("DATASTORE_CLUSTER"), 

  STORAGE_PROFILE("STORAGE_PROFILE"), 

  SHIELD_MANAGER("SHIELD_MANAGER");

  private String value;

  private VimObjectTypeEnum()
  {
  }

  private VimObjectTypeEnum(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static VimObjectTypeEnum fromValue(String value) {
    for (VimObjectTypeEnum enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}