package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminEventField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  ENTITY("entity"), 
  ENTITYNAME("entityName"), 
  ENTITYTYPE("entityType"), 
  EVENTID("eventId"), 
  EVENTSTATUS("eventStatus"), 
  EVENTTYPE("eventType"), 
  ORG("org"), 
  ORGNAME("orgName"), 
  PRODUCTVERSION("productVersion"), 
  SERVICENAMESPACE("serviceNamespace"), 
  TIMESTAMP("timeStamp"), 
  USERNAME("userName");

  private String value;

  private QueryAdminEventField() {
  }
  private QueryAdminEventField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminEventField fromValue(String value) {
    for (QueryAdminEventField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}