package com.vmware.vcloud.sdk.constants.query;

public enum QueryCatalogField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CREATIONDATE("creationDate"), 
  ISPUBLISHED("isPublished"), 
  ISSHARED("isShared"), 
  NAME("name"), 
  NUMBEROFMEDIA("numberOfMedia"), 
  NUMBEROFVAPPTEMPLATES("numberOfVAppTemplates"), 
  ORGNAME("orgName"), 
  OWNER("owner"), 
  OWNERNAME("ownerName");

  private String value;

  private QueryCatalogField() {
  }
  private QueryCatalogField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryCatalogField fromValue(String value) {
    for (QueryCatalogField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}