package com.vmware.vcloud.sdk.constants.query;

public enum QueryCatalogItemField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CATALOG("catalog"), 
  CATALOGNAME("catalogName"), 
  CREATIONDATE("creationDate"), 
  ENTITY("entity"), 
  ENTITYNAME("entityName"), 
  ENTITYTYPE("entityType"), 
  ISEXPIRED("isExpired"), 
  ISPUBLISHED("isPublished"), 
  ISVDCENABLED("isVdcEnabled"), 
  NAME("name"), 
  OWNER("owner"), 
  OWNERNAME("ownerName"), 
  STATUS("status"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryCatalogItemField() {
  }
  private QueryCatalogItemField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryCatalogItemField fromValue(String value) {
    for (QueryCatalogItemField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}