package com.vmware.vcloud.sdk.constants.query;

public enum QueryCellField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  BUILDDATE("buildDate"), 
  ISACTIVE("isActive"), 
  ISVMWAREVC("isVMwareVc"), 
  NAME("name"), 
  PRIMARYIP("primaryIp"), 
  VERSION("version");

  private String value;

  private QueryCellField() {
  }
  private QueryCellField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryCellField fromValue(String value) {
    for (QueryCellField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}