package com.vmware.vcloud.sdk.constants.query;

public enum QueryDatastoreField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DATASTORETYPE("datastoreType"), 
  ISDELETED("isDeleted"), 
  ISENABLED("isEnabled"), 
  MOREF("moref"), 
  NAME("name"), 
  NUMBEROFPROVIDERVDCS("numberOfProviderVdcs"), 
  PROVISIONEDSTORAGEMB("provisionedStorageMB"), 
  REQUESTEDSTORAGEMB("requestedStorageMB"), 
  STORAGEMB("storageMB"), 
  STORAGEUSEDMB("storageUsedMB"), 
  VC("vc"), 
  VCNAME("vcName");

  private String value;

  private QueryDatastoreField() {
  }
  private QueryDatastoreField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryDatastoreField fromValue(String value) {
    for (QueryDatastoreField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}