package com.vmware.vcloud.sdk.constants.query;

public enum QueryOrgVdcField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CPUALLOCATIONMHZ("cpuAllocationMhz"), 
  CPULIMITMHZ("cpuLimitMhz"), 
  CPUUSEDMHZ("cpuUsedMhz"), 
  ISBUSY("isBusy"), 
  ISENABLED("isEnabled"), 

  ISSYSTEMVDC("isSystemVdc"), 
  MEMORYALLOCATIONMB("memoryAllocationMB"), 
  MEMORYLIMITMB("memoryLimitMB"), 
  MEMORYUSEDMB("memoryUsedMB"), 
  NAME("name"), 
  NUMBEROFDATASTORES("numberOfDatastores"), 

  NUMBEROFDISKS("numberOfDisks"), 
  NUMBEROFMEDIA("numberOfMedia"), 

  NUMBEROFSTORAGEPROFILES("numberOfStorageProfiles"), 
  NUMBEROFVAPPTEMPLATES("numberOfVAppTemplates"), 
  NUMBEROFVAPPS("numberOfVApps"), 
  ORGNAME("orgName"), 
  PROVIDERVDC("providerVdc"), 
  PROVIDERVDCNAME("providerVdcName"), 
  STATUS("status"), 

  STORAGEALLOCATIONMB("storageAllocationMB"), 
  STORAGELIMITMB("storageLimitMB"), 
  STORAGEUSEDMB("storageUsedMB");

  private String value;

  private QueryOrgVdcField() {
  }
  private QueryOrgVdcField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryOrgVdcField fromValue(String value) {
    for (QueryOrgVdcField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}