package com.vmware.vcloud.sdk.constants.query;

public enum QueryResourceClassField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  MIMETYPE("mimeType"), 
  NAME("name"), 
  NID("nid"), 
  SERVICE("service"), 
  URLTEMPLATE("urlTemplate"), 
  URNPATTERN("urnPattern");

  private String value;

  private QueryResourceClassField() {
  }
  private QueryResourceClassField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryResourceClassField fromValue(String value) {
    for (QueryResourceClassField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}