package com.vmware.vcloud.sdk.constants.query;

public enum QueryServiceLinkField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  LINKHREF("linkHref"), 
  MIMETYPE("mimeType"), 
  REL("rel"), 
  RESOURCEID("resourceId"), 
  RESOURCETYPE("resourceType"), 
  SERVICE("service");

  private String value;

  private QueryServiceLinkField() {
  }
  private QueryServiceLinkField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryServiceLinkField fromValue(String value) {
    for (QueryServiceLinkField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}