package com.vmware.vcloud.sdk.constants.query;

public enum QueryUserField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DEPLOYEDVMQUOTA("deployedVMQuota"), 
  FULLNAME("fullName"), 

  IDENTITYPROVIDERTYPE("identityProviderType"), 
  ISENABLED("isEnabled"), 
  ISLDAPUSER("isLdapUser"), 
  NAME("name"), 
  NUMBEROFDEPLOYEDVMS("numberOfDeployedVMs"), 
  NUMBEROFSTOREDVMS("numberOfStoredVMs"), 
  STOREDVMQUOTA("storedVMQuota");

  private String value;

  private QueryUserField() {
  }
  private QueryUserField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryUserField fromValue(String value) {
    for (QueryUserField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}