package com.vmware.vcloud.sdk_v1_0;

import com.vmware.vcloud.api.rest.schema_v1_0.ReferenceType;
import com.vmware.vcloud.api.rest.schema_v1_0.TaskType;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Task extends VcloudResource<TaskType>
{
  private static Logger logger = Logger.getLogger(Task.class.getSimpleName());

  public Task(VcloudClient client, TaskType taskResource)
  {
    super(client, taskResource);
  }

  public static Task getTaskByReference(VcloudClient client, ReferenceType taskRef)
    throws VCloudException
  {
    Task task = getTask(client, taskRef.getHref());

    return task;
  }

  private static Task getTask(VcloudClient client, String url)
    throws VCloudException
  {
    logger.log(Level.INFO, "GET Task " + url);
    Response response = RestUtil.get(client, url);
    TaskType taskType = null;

    if (response.isExpected(200)) {
      taskType = (TaskType)response.getResource();
    }
    else {
      response.handleUnExpectedResponse();
    }
    Task task = new Task(client, taskType);
    return task;
  }
}