package com.vmware.vcloud.sdk_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.CimString;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import com.vmware.vcloud.api.rest.schema.ovf.ResourceType;
import java.math.BigInteger;
import java.util.List;

public class VirtualDisk extends HardwareItem
{
  public VirtualDisk(RASDType virtualDiskItem)
  {
    super(virtualDiskItem);
  }

  VirtualDisk(VcloudClient client, RASDType itemResource)
  {
    super(client, itemResource);
  }

  public BigInteger getHardDiskSize()
    throws VCloudException
  {
    return new BigInteger(getHostResourceAttributeValue("capacity"));
  }

  public String getHardDiskBusType()
    throws VCloudException
  {
    return getHostResourceAttributeValue("busSubType");
  }

  private String getHostResourceAttributeValue(String attributeName)
    throws VCloudException
  {
    if (getItemResource().getResourceType().getValue().equals("17"))
    {
      List hostResources = getItemResource().getHostResource();
      if (hostResources.size() > 0)
      {
        String attributeValue = getCimStringAttributeValue((CimString)getItemResource().getHostResource().get(0), attributeName);

        if (attributeValue != null)
          return attributeValue;
      }
    }
    throw new VCloudException("Not a Hard Disk: " + getItemResource().getElementName().getValue());
  }
}