package com.vmware.vcloud.sdk_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.CimBoolean;
import com.vmware.vcloud.api.rest.schema.ovf.CimString;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import com.vmware.vcloud.api.rest.schema.ovf.ResourceType;
import java.util.List;

public class VirtualNetworkCard extends HardwareItem
{
  public VirtualNetworkCard(RASDType virtualNetworkCardItem)
  {
    super(virtualNetworkCardItem);
  }

  VirtualNetworkCard(VcloudClient client, RASDType itemResource)
  {
    super(client, itemResource);
  }

  private String getConnectionAttributeValue(String attributeName)
    throws VCloudException
  {
    if (getItemResource().getResourceType().getValue().equals("10"))
    {
      List connectionCimStrings = getItemResource().getConnection();

      if (connectionCimStrings.size() > 0)
      {
        String attributeValue = getCimStringAttributeValue((CimString)getItemResource().getConnection().get(0), attributeName);

        if (attributeValue != null)
          return attributeValue;
      }
    }
    throw new VCloudException(attributeName + " Not Found");
  }

  public String getIpAddress()
    throws VCloudException
  {
    return getConnectionAttributeValue("ipAddress");
  }

  public boolean isPrimaryNetworkConnection()
    throws VCloudException
  {
    return Boolean.parseBoolean(getConnectionAttributeValue("primaryNetworkConnection"));
  }

  public String getIpAddressingMode()
    throws VCloudException
  {
    return getConnectionAttributeValue("ipAddressingMode");
  }

  public boolean isConnected()
    throws VCloudException
  {
    return getItemResource().getAutomaticAllocation().isValue();
  }
}