package devmgr.versioned.jrpc;

public class RPCRejectedReply
  implements XDRType, RPCMsgConstants
{
  private RPCRejectedStatus status = new RPCRejectedStatus();
  private RPCVersionRange versions = new RPCVersionRange();
  private RPCAuthStatus authStatus = new RPCAuthStatus();

  public RPCRejectedReply()
  {
  }

  public RPCRejectedReply(RPCRejectedReply paramRPCRejectedReply)
  {
    this.versions = paramRPCRejectedReply.versions;
    this.authStatus = paramRPCRejectedReply.authStatus;
  }

  public RPCRejectedStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(RPCRejectedStatus paramRPCRejectedStatus)
  {
    this.status = paramRPCRejectedStatus;
  }

  public RPCVersionRange getVersions()
  {
    return this.versions;
  }

  public void setVersions(RPCVersionRange paramRPCVersionRange)
  {
    this.versions = paramRPCVersionRange;
  }

  public RPCAuthStatus getAuthStatus()
  {
    return this.authStatus;
  }

  public void setAuthStatus(RPCAuthStatus paramRPCAuthStatus)
  {
    this.authStatus = paramRPCAuthStatus;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.status.xdrEncode(paramXDROutputStream);
    switch (this.status.getValue())
    {
    case 0:
      this.versions.xdrEncode(paramXDROutputStream);
      break;
    case 1:
      this.authStatus.xdrEncode(paramXDROutputStream);
      break;
    }
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.status.xdrDecode(paramXDRInputStream);
    switch (this.status.getValue())
    {
    case 0:
      this.versions.xdrDecode(paramXDRInputStream);
      break;
    case 1:
      this.authStatus.xdrDecode(paramXDRInputStream);
      break;
    }
  }
}