package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AlarmUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef alarmRef = new ComponentRef();
  private AlarmControl alarmControl = new AlarmControl();

  public AlarmUpdateDescriptor()
  {
  }

  public AlarmUpdateDescriptor(AlarmUpdateDescriptor paramAlarmUpdateDescriptor)
  {
    this.alarmRef = paramAlarmUpdateDescriptor.alarmRef;
    this.alarmControl = paramAlarmUpdateDescriptor.alarmControl;
  }

  public ComponentRef getAlarmRef()
  {
    return this.alarmRef;
  }

  public void setAlarmRef(ComponentRef paramComponentRef)
  {
    this.alarmRef = paramComponentRef;
  }

  public AlarmControl getAlarmControl()
  {
    return this.alarmControl;
  }

  public void setAlarmControl(AlarmControl paramAlarmControl)
  {
    this.alarmControl = paramAlarmControl;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.alarmRef.xdrEncode(paramXDROutputStream);
    this.alarmControl.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.alarmRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.alarmControl.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}