package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class CandidateSelectionTypeData
  implements XDRType, SYMbolAPIConstants
{
  private CandidateSelectionType candidateSelectionType = new CandidateSelectionType();
  private DriveRefList driveRefList = new DriveRefList();

  public CandidateSelectionTypeData()
  {
  }

  public CandidateSelectionTypeData(CandidateSelectionTypeData paramCandidateSelectionTypeData)
  {
    this.driveRefList = paramCandidateSelectionTypeData.driveRefList;
  }

  public CandidateSelectionType getCandidateSelectionType()
  {
    return this.candidateSelectionType;
  }

  public void setCandidateSelectionType(CandidateSelectionType paramCandidateSelectionType)
  {
    this.candidateSelectionType = paramCandidateSelectionType;
  }

  public DriveRefList getDriveRefList()
  {
    return this.driveRefList;
  }

  public void setDriveRefList(DriveRefList paramDriveRefList)
  {
    this.driveRefList = paramDriveRefList;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.candidateSelectionType.xdrEncode(paramXDROutputStream);
    switch (this.candidateSelectionType.getValue())
    {
    case 3:
      break;
    case 1:
      break;
    case 2:
      this.driveRefList.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.candidateSelectionType.xdrDecode(paramXDRInputStream);
    switch (this.candidateSelectionType.getValue())
    {
    case 3:
      break;
    case 1:
      break;
    case 2:
      this.driveRefList.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}