package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ChannelFailedFailure
  implements XDRType, SYMbolAPIConstants
{
  private int[] failedChannels;

  public ChannelFailedFailure()
  {
  }

  public ChannelFailedFailure(ChannelFailedFailure paramChannelFailedFailure)
  {
    this.failedChannels = paramChannelFailedFailure.failedChannels;
  }

  public int[] getFailedChannels()
  {
    return this.failedChannels;
  }

  public void setFailedChannels(int[] paramArrayOfInt)
  {
    this.failedChannels = paramArrayOfInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.failedChannels == null ? 0 : this.failedChannels.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      paramXDROutputStream.putInt(this.failedChannels[k]);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.failedChannels = new int[j];
      for (int k = 0; k < j; k++)
        this.failedChannels[k] = paramXDRInputStream.getInt();
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}