package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Component
  implements XDRType, SYMbolAPIConstants
{
  private ComponentTypeData componentData = new ComponentTypeData();
  private byte[] reserved1;
  private byte[] reserved2;

  public Component()
  {
  }

  public Component(Component paramComponent)
  {
    this.componentData = paramComponent.componentData;
    this.reserved1 = paramComponent.reserved1;
    this.reserved2 = paramComponent.reserved2;
  }

  public ComponentTypeData getComponentData()
  {
    return this.componentData;
  }

  public void setComponentData(ComponentTypeData paramComponentTypeData)
  {
    this.componentData = paramComponentTypeData;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.componentData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.componentData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}