package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveTypeData
  implements XDRType, SYMbolAPIConstants
{
  private DriveType driveType = new DriveType();
  private FibreDriveAddress[] fibre;
  private SCSIDriveAddress scsi = new SCSIDriveAddress();

  public DriveTypeData()
  {
  }

  public DriveTypeData(DriveTypeData paramDriveTypeData)
  {
    this.fibre = paramDriveTypeData.fibre;
    this.scsi = paramDriveTypeData.scsi;
  }

  public DriveType getDriveType()
  {
    return this.driveType;
  }

  public void setDriveType(DriveType paramDriveType)
  {
    this.driveType = paramDriveType;
  }

  public FibreDriveAddress[] getFibre()
  {
    return this.fibre;
  }

  public void setFibre(FibreDriveAddress[] paramArrayOfFibreDriveAddress)
  {
    this.fibre = paramArrayOfFibreDriveAddress;
  }

  public SCSIDriveAddress getScsi()
  {
    return this.scsi;
  }

  public void setScsi(SCSIDriveAddress paramSCSIDriveAddress)
  {
    this.scsi = paramSCSIDriveAddress;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.driveType.xdrEncode(paramXDROutputStream);
    switch (this.driveType.getValue())
    {
    case 2:
      int j = this.fibre == null ? 0 : this.fibre.length;
      paramXDROutputStream.putInt(j);
      for (int k = 0; k < j; k++)
        this.fibre[k].xdrEncode(paramXDROutputStream);
      break;
    case 1:
      this.scsi.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.driveType.xdrDecode(paramXDRInputStream);
    switch (this.driveType.getValue())
    {
    case 2:
      int j = paramXDRInputStream.getInt();
      this.fibre = new FibreDriveAddress[j];
      for (int k = 0; k < j; k++)
      {
        this.fibre[k] = new FibreDriveAddress();
        this.fibre[k].xdrDecode(paramXDRInputStream);
      }
      break;
    case 1:
      this.scsi.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}