package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ESMInterfaceTypeData
  implements XDRType, SYMbolAPIConstants
{
  private IOInterfaceType ioInterfaceType = new IOInterfaceType();
  private PortList portList = new PortList();

  public ESMInterfaceTypeData()
  {
  }

  public ESMInterfaceTypeData(ESMInterfaceTypeData paramESMInterfaceTypeData)
  {
    this.portList = paramESMInterfaceTypeData.portList;
  }

  public IOInterfaceType getIoInterfaceType()
  {
    return this.ioInterfaceType;
  }

  public void setIoInterfaceType(IOInterfaceType paramIOInterfaceType)
  {
    this.ioInterfaceType = paramIOInterfaceType;
  }

  public PortList getPortList()
  {
    return this.portList;
  }

  public void setPortList(PortList paramPortList)
  {
    this.portList = paramPortList;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.ioInterfaceType.xdrEncode(paramXDROutputStream);
    switch (this.ioInterfaceType.getValue())
    {
    case 1:
      break;
    case 2:
      this.portList.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.ioInterfaceType.xdrDecode(paramXDRInputStream);
    switch (this.ioInterfaceType.getValue())
    {
    case 1:
      break;
    case 2:
      this.portList.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}