package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FullRepository
  implements XDRType, SYMbolAPIConstants
{
  private LegacyVolRef repositoryVolume = new LegacyVolRef();
  private RepositoryFullPolicy fullPolicy = new RepositoryFullPolicy();

  public FullRepository()
  {
  }

  public FullRepository(FullRepository paramFullRepository)
  {
    this.repositoryVolume = paramFullRepository.repositoryVolume;
    this.fullPolicy = paramFullRepository.fullPolicy;
  }

  public LegacyVolRef getRepositoryVolume()
  {
    return this.repositoryVolume;
  }

  public void setRepositoryVolume(LegacyVolRef paramLegacyVolRef)
  {
    this.repositoryVolume = paramLegacyVolRef;
  }

  public RepositoryFullPolicy getFullPolicy()
  {
    return this.fullPolicy;
  }

  public void setFullPolicy(RepositoryFullPolicy paramRepositoryFullPolicy)
  {
    this.fullPolicy = paramRepositoryFullPolicy;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.repositoryVolume.xdrEncode(paramXDROutputStream);
    this.fullPolicy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.fullPolicy.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}