package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class GBICParentTypeData
  implements XDRType, SYMbolAPIConstants
{
  private GBICParentType gbicParentType = new GBICParentType();
  private ComponentRef parentEsm = new ComponentRef();
  private ComponentRef parentMinihub = new ComponentRef();
  private ControllerGBIC controllerGBIC = new ControllerGBIC();

  public GBICParentTypeData()
  {
  }

  public GBICParentTypeData(GBICParentTypeData paramGBICParentTypeData)
  {
    this.parentEsm = paramGBICParentTypeData.parentEsm;
    this.parentMinihub = paramGBICParentTypeData.parentMinihub;
    this.controllerGBIC = paramGBICParentTypeData.controllerGBIC;
  }

  public GBICParentType getGbicParentType()
  {
    return this.gbicParentType;
  }

  public void setGbicParentType(GBICParentType paramGBICParentType)
  {
    this.gbicParentType = paramGBICParentType;
  }

  public ComponentRef getParentEsm()
  {
    return this.parentEsm;
  }

  public void setParentEsm(ComponentRef paramComponentRef)
  {
    this.parentEsm = paramComponentRef;
  }

  public ComponentRef getParentMinihub()
  {
    return this.parentMinihub;
  }

  public void setParentMinihub(ComponentRef paramComponentRef)
  {
    this.parentMinihub = paramComponentRef;
  }

  public ControllerGBIC getControllerGBIC()
  {
    return this.controllerGBIC;
  }

  public void setControllerGBIC(ControllerGBIC paramControllerGBIC)
  {
    this.controllerGBIC = paramControllerGBIC;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.gbicParentType.xdrEncode(paramXDROutputStream);
    switch (this.gbicParentType.getValue())
    {
    case 1:
      this.parentEsm.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.parentMinihub.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.controllerGBIC.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.gbicParentType.xdrDecode(paramXDRInputStream);
    switch (this.gbicParentType.getValue())
    {
    case 1:
      this.parentEsm.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.parentMinihub.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.controllerGBIC.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}