package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private UserAssignedLabel label = new UserAssignedLabel();
  private ClusterRef clusterRef = new ClusterRef();

  public HostCreationDescriptor()
  {
  }

  public HostCreationDescriptor(HostCreationDescriptor paramHostCreationDescriptor)
  {
    this.label = paramHostCreationDescriptor.label;
    this.clusterRef = paramHostCreationDescriptor.clusterRef;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public ClusterRef getClusterRef()
  {
    return this.clusterRef;
  }

  public void setClusterRef(ClusterRef paramClusterRef)
  {
    this.clusterRef = paramClusterRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.label.xdrEncode(paramXDROutputStream);
    this.clusterRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.clusterRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}