package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class IOInterfaceTypeData
  implements XDRType, SYMbolAPIConstants
{
  private IOInterfaceType interfaceType = new IOInterfaceType();
  private SCSIInterface scsi = new SCSIInterface();
  private FibreInterface fibre = new FibreInterface();
  private SATAInterface sata = new SATAInterface();

  public IOInterfaceTypeData()
  {
  }

  public IOInterfaceTypeData(IOInterfaceTypeData paramIOInterfaceTypeData)
  {
    this.scsi = paramIOInterfaceTypeData.scsi;
    this.fibre = paramIOInterfaceTypeData.fibre;
    this.sata = paramIOInterfaceTypeData.sata;
  }

  public IOInterfaceType getInterfaceType()
  {
    return this.interfaceType;
  }

  public void setInterfaceType(IOInterfaceType paramIOInterfaceType)
  {
    this.interfaceType = paramIOInterfaceType;
  }

  public SCSIInterface getScsi()
  {
    return this.scsi;
  }

  public void setScsi(SCSIInterface paramSCSIInterface)
  {
    this.scsi = paramSCSIInterface;
  }

  public FibreInterface getFibre()
  {
    return this.fibre;
  }

  public void setFibre(FibreInterface paramFibreInterface)
  {
    this.fibre = paramFibreInterface;
  }

  public SATAInterface getSata()
  {
    return this.sata;
  }

  public void setSata(SATAInterface paramSATAInterface)
  {
    this.sata = paramSATAInterface;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.interfaceType.xdrEncode(paramXDROutputStream);
    switch (this.interfaceType.getValue())
    {
    case 1:
      this.scsi.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.fibre.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.sata.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.interfaceType.xdrDecode(paramXDRInputStream);
    switch (this.interfaceType.getValue())
    {
    case 1:
      this.scsi.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.fibre.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.sata.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}