package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ITNexus
  implements XDRType, SYMbolAPIConstants
{
  private SCSIInitiatorPortId initiatorPortId = new SCSIInitiatorPortId();
  private SCSITargetPortId targetPortId = new SCSITargetPortId();
  private UserAssignedLabel hostLabel = new UserAssignedLabel();

  public ITNexus()
  {
  }

  public ITNexus(ITNexus paramITNexus)
  {
    this.initiatorPortId = paramITNexus.initiatorPortId;
    this.targetPortId = paramITNexus.targetPortId;
    this.hostLabel = paramITNexus.hostLabel;
  }

  public SCSIInitiatorPortId getInitiatorPortId()
  {
    return this.initiatorPortId;
  }

  public void setInitiatorPortId(SCSIInitiatorPortId paramSCSIInitiatorPortId)
  {
    this.initiatorPortId = paramSCSIInitiatorPortId;
  }

  public SCSITargetPortId getTargetPortId()
  {
    return this.targetPortId;
  }

  public void setTargetPortId(SCSITargetPortId paramSCSITargetPortId)
  {
    this.targetPortId = paramSCSITargetPortId;
  }

  public UserAssignedLabel getHostLabel()
  {
    return this.hostLabel;
  }

  public void setHostLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.hostLabel = paramUserAssignedLabel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.initiatorPortId.xdrEncode(paramXDROutputStream);
    this.targetPortId.xdrEncode(paramXDROutputStream);
    this.hostLabel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.initiatorPortId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.targetPortId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostLabel.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}