package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MelEntryList
  implements XDRType, SYMbolAPIConstants
{
  private MelEntry[] events;

  public MelEntryList()
  {
  }

  public MelEntryList(MelEntryList paramMelEntryList)
  {
    this.events = paramMelEntryList.events;
  }

  public MelEntry[] getEvents()
  {
    return this.events;
  }

  public void setEvents(MelEntry[] paramArrayOfMelEntry)
  {
    this.events = paramArrayOfMelEntry;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.events == null ? 0 : this.events.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.events[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.events = new MelEntry[j];
      for (int k = 0; k < j; k++)
      {
        this.events[k] = new MelEntry();
        this.events[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}