package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MetadataOffline
  implements XDRType, SYMbolAPIConstants
{
  private MetadataVolRef metadataVolume = new MetadataVolRef();

  public MetadataOffline()
  {
  }

  public MetadataOffline(MetadataOffline paramMetadataOffline)
  {
    this.metadataVolume = paramMetadataOffline.metadataVolume;
  }

  public MetadataVolRef getMetadataVolume()
  {
    return this.metadataVolume;
  }

  public void setMetadataVolume(MetadataVolRef paramMetadataVolRef)
  {
    this.metadataVolume = paramMetadataVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.metadataVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.metadataVolume.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}