package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MgmtClientRecordDeleteDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private MgmtClientRecordId rangeBegin = new MgmtClientRecordId();
  private MgmtClientRecordId rangeEnd = new MgmtClientRecordId();

  public MgmtClientRecordDeleteDescriptor()
  {
  }

  public MgmtClientRecordDeleteDescriptor(MgmtClientRecordDeleteDescriptor paramMgmtClientRecordDeleteDescriptor)
  {
    this.rangeBegin = paramMgmtClientRecordDeleteDescriptor.rangeBegin;
    this.rangeEnd = paramMgmtClientRecordDeleteDescriptor.rangeEnd;
  }

  public MgmtClientRecordId getRangeBegin()
  {
    return this.rangeBegin;
  }

  public void setRangeBegin(MgmtClientRecordId paramMgmtClientRecordId)
  {
    this.rangeBegin = paramMgmtClientRecordId;
  }

  public MgmtClientRecordId getRangeEnd()
  {
    return this.rangeEnd;
  }

  public void setRangeEnd(MgmtClientRecordId paramMgmtClientRecordId)
  {
    this.rangeEnd = paramMgmtClientRecordId;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.rangeBegin.xdrEncode(paramXDROutputStream);
    this.rangeEnd.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.rangeBegin.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.rangeEnd.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}