package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorVolumeList
  implements XDRType, SYMbolAPIConstants
{
  private MirrorProxyRef[] mirrorVolume;

  public MirrorVolumeList()
  {
  }

  public MirrorVolumeList(MirrorVolumeList paramMirrorVolumeList)
  {
    this.mirrorVolume = paramMirrorVolumeList.mirrorVolume;
  }

  public MirrorProxyRef[] getMirrorVolume()
  {
    return this.mirrorVolume;
  }

  public void setMirrorVolume(MirrorProxyRef[] paramArrayOfMirrorProxyRef)
  {
    this.mirrorVolume = paramArrayOfMirrorProxyRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.mirrorVolume == null ? 0 : this.mirrorVolume.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.mirrorVolume[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.mirrorVolume = new MirrorProxyRef[j];
      for (int k = 0; k < j; k++)
      {
        this.mirrorVolume[k] = new MirrorProxyRef();
        this.mirrorVolume[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}