package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class NVSRAMRegion
  implements XDRType, SYMbolAPIConstants
{
  private NVSRAMRegionId regionId = new NVSRAMRegionId();
  private byte[] regionData;

  public NVSRAMRegion()
  {
  }

  public NVSRAMRegion(NVSRAMRegion paramNVSRAMRegion)
  {
    this.regionId = paramNVSRAMRegion.regionId;
    this.regionData = paramNVSRAMRegion.regionData;
  }

  public NVSRAMRegionId getRegionId()
  {
    return this.regionId;
  }

  public void setRegionId(NVSRAMRegionId paramNVSRAMRegionId)
  {
    this.regionId = paramNVSRAMRegionId;
  }

  public byte[] getRegionData()
  {
    return this.regionData;
  }

  public void setRegionData(byte[] paramArrayOfByte)
  {
    this.regionData = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.regionId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.regionData);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.regionId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.regionData = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}