package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class NVSRAMRegionList
  implements XDRType, SYMbolAPIConstants
{
  private NVSRAMRegion[] nvsram;

  public NVSRAMRegionList()
  {
  }

  public NVSRAMRegionList(NVSRAMRegionList paramNVSRAMRegionList)
  {
    this.nvsram = paramNVSRAMRegionList.nvsram;
  }

  public NVSRAMRegion[] getNvsram()
  {
    return this.nvsram;
  }

  public void setNvsram(NVSRAMRegion[] paramArrayOfNVSRAMRegion)
  {
    this.nvsram = paramArrayOfNVSRAMRegion;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.nvsram == null ? 0 : this.nvsram.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.nvsram[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.nvsram = new NVSRAMRegion[j];
      for (int k = 0; k < j; k++)
      {
        this.nvsram[k] = new NVSRAMRegion();
        this.nvsram[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}