package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class NetInterfaceTypeData
  implements XDRType, SYMbolAPIConstants
{
  private NetInterfaceType interfaceType = new NetInterfaceType();
  private EthernetInterface ethernet = new EthernetInterface();

  public NetInterfaceTypeData()
  {
  }

  public NetInterfaceTypeData(NetInterfaceTypeData paramNetInterfaceTypeData)
  {
    this.ethernet = paramNetInterfaceTypeData.ethernet;
  }

  public NetInterfaceType getInterfaceType()
  {
    return this.interfaceType;
  }

  public void setInterfaceType(NetInterfaceType paramNetInterfaceType)
  {
    this.interfaceType = paramNetInterfaceType;
  }

  public EthernetInterface getEthernet()
  {
    return this.ethernet;
  }

  public void setEthernet(EthernetInterface paramEthernetInterface)
  {
    this.ethernet = paramEthernetInterface;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.interfaceType.xdrEncode(paramXDROutputStream);
    switch (this.interfaceType.getValue())
    {
    case 1:
      this.ethernet.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.interfaceType.xdrDecode(paramXDRInputStream);
    switch (this.interfaceType.getValue())
    {
    case 1:
      this.ethernet.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}