package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PRegistrant
  implements XDRType, SYMbolAPIConstants
{
  private ITNexus itNexus = new ITNexus();
  private byte[] registrationKey;

  public PRegistrant()
  {
  }

  public PRegistrant(PRegistrant paramPRegistrant)
  {
    this.itNexus = paramPRegistrant.itNexus;
    this.registrationKey = paramPRegistrant.registrationKey;
  }

  public ITNexus getItNexus()
  {
    return this.itNexus;
  }

  public void setItNexus(ITNexus paramITNexus)
  {
    this.itNexus = paramITNexus;
  }

  public byte[] getRegistrationKey()
  {
    return this.registrationKey;
  }

  public void setRegistrationKey(byte[] paramArrayOfByte)
  {
    this.registrationKey = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.itNexus.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.registrationKey, 8);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.itNexus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.registrationKey = paramXDRInputStream.getFixedOpaque(8);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}