package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PathDegradedFailure
  implements XDRType, SYMbolAPIConstants
{
  private DegradedPath[] degradedPaths;

  public PathDegradedFailure()
  {
  }

  public PathDegradedFailure(PathDegradedFailure paramPathDegradedFailure)
  {
    this.degradedPaths = paramPathDegradedFailure.degradedPaths;
  }

  public DegradedPath[] getDegradedPaths()
  {
    return this.degradedPaths;
  }

  public void setDegradedPaths(DegradedPath[] paramArrayOfDegradedPath)
  {
    this.degradedPaths = paramArrayOfDegradedPath;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.degradedPaths == null ? 0 : this.degradedPaths.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.degradedPaths[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.degradedPaths = new DegradedPath[j];
      for (int k = 0; k < j; k++)
      {
        this.degradedPaths[k] = new DegradedPath();
        this.degradedPaths[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}