package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RLSDevice
  implements XDRType, SYMbolAPIConstants
{
  private RLSDeviceType type = new RLSDeviceType();
  private ControllerRef controller = new ControllerRef();
  private DriveRef drive = new DriveRef();
  private ComponentRef esm = new ComponentRef();

  public RLSDevice()
  {
  }

  public RLSDevice(RLSDevice paramRLSDevice)
  {
    this.controller = paramRLSDevice.controller;
    this.drive = paramRLSDevice.drive;
    this.esm = paramRLSDevice.esm;
  }

  public RLSDeviceType getType()
  {
    return this.type;
  }

  public void setType(RLSDeviceType paramRLSDeviceType)
  {
    this.type = paramRLSDeviceType;
  }

  public ControllerRef getController()
  {
    return this.controller;
  }

  public void setController(ControllerRef paramControllerRef)
  {
    this.controller = paramControllerRef;
  }

  public DriveRef getDrive()
  {
    return this.drive;
  }

  public void setDrive(DriveRef paramDriveRef)
  {
    this.drive = paramDriveRef;
  }

  public ComponentRef getEsm()
  {
    return this.esm;
  }

  public void setEsm(ComponentRef paramComponentRef)
  {
    this.esm = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.type.xdrEncode(paramXDROutputStream);
    switch (this.type.getValue())
    {
    case 1:
      this.controller.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.drive.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.esm.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.type.xdrDecode(paramXDRInputStream);
    switch (this.type.getValue())
    {
    case 1:
      this.controller.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.drive.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.esm.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}