package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RTRUpdateDescription
  implements XDRType, SYMbolAPIConstants
{
  private RTRObject rtrObject = new RTRObject();
  private RTRControl rtrControl = new RTRControl();

  public RTRUpdateDescription()
  {
  }

  public RTRUpdateDescription(RTRUpdateDescription paramRTRUpdateDescription)
  {
    this.rtrObject = paramRTRUpdateDescription.rtrObject;
    this.rtrControl = paramRTRUpdateDescription.rtrControl;
  }

  public RTRObject getRtrObject()
  {
    return this.rtrObject;
  }

  public void setRtrObject(RTRObject paramRTRObject)
  {
    this.rtrObject = paramRTRObject;
  }

  public RTRControl getRtrControl()
  {
    return this.rtrControl;
  }

  public void setRtrControl(RTRControl paramRTRControl)
  {
    this.rtrControl = paramRTRControl;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.rtrObject.xdrEncode(paramXDROutputStream);
    this.rtrControl.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrObject.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.rtrControl.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}