package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Registrant
  implements XDRType, SYMbolAPIConstants
{
  private HostPortRef hostPortRef = new HostPortRef();
  private HostPortName hostPortName = new HostPortName();
  private ReservedPortID reservedPort = new ReservedPortID();
  private RegisteredPorts registeredPorts = new RegisteredPorts();

  public Registrant()
  {
  }

  public Registrant(Registrant paramRegistrant)
  {
    this.hostPortRef = paramRegistrant.hostPortRef;
    this.hostPortName = paramRegistrant.hostPortName;
    this.reservedPort = paramRegistrant.reservedPort;
    this.registeredPorts = paramRegistrant.registeredPorts;
  }

  public HostPortRef getHostPortRef()
  {
    return this.hostPortRef;
  }

  public void setHostPortRef(HostPortRef paramHostPortRef)
  {
    this.hostPortRef = paramHostPortRef;
  }

  public HostPortName getHostPortName()
  {
    return this.hostPortName;
  }

  public void setHostPortName(HostPortName paramHostPortName)
  {
    this.hostPortName = paramHostPortName;
  }

  public ReservedPortID getReservedPort()
  {
    return this.reservedPort;
  }

  public void setReservedPort(ReservedPortID paramReservedPortID)
  {
    this.reservedPort = paramReservedPortID;
  }

  public RegisteredPorts getRegisteredPorts()
  {
    return this.registeredPorts;
  }

  public void setRegisteredPorts(RegisteredPorts paramRegisteredPorts)
  {
    this.registeredPorts = paramRegisteredPorts;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.hostPortRef.xdrEncode(paramXDROutputStream);
    this.hostPortName.xdrEncode(paramXDROutputStream);
    this.reservedPort.xdrEncode(paramXDROutputStream);
    this.registeredPorts.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortName.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reservedPort.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.registeredPorts.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}