package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RepositoryUtilizationList
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode retCode = new ReturnCode();
  private RepositoryUtilization[] utilization;

  public RepositoryUtilizationList()
  {
  }

  public RepositoryUtilizationList(RepositoryUtilizationList paramRepositoryUtilizationList)
  {
    this.retCode = paramRepositoryUtilizationList.retCode;
    this.utilization = paramRepositoryUtilizationList.utilization;
  }

  public ReturnCode getRetCode()
  {
    return this.retCode;
  }

  public void setRetCode(ReturnCode paramReturnCode)
  {
    this.retCode = paramReturnCode;
  }

  public RepositoryUtilization[] getUtilization()
  {
    return this.utilization;
  }

  public void setUtilization(RepositoryUtilization[] paramArrayOfRepositoryUtilization)
  {
    this.utilization = paramArrayOfRepositoryUtilization;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.retCode.xdrEncode(paramXDROutputStream);
    int j = this.utilization == null ? 0 : this.utilization.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.utilization[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.retCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.utilization = new RepositoryUtilization[j];
      for (int k = 0; k < j; k++)
      {
        this.utilization[k] = new RepositoryUtilization();
        this.utilization[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}