package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SAPortGroup
  implements XDRType, SYMbolAPIConstants
{
  private SAPortGroupRef saPortGroupRef = new SAPortGroupRef();
  private UserAssignedLabel label = new UserAssignedLabel();

  public SAPortGroup()
  {
  }

  public SAPortGroup(SAPortGroup paramSAPortGroup)
  {
    this.saPortGroupRef = paramSAPortGroup.saPortGroupRef;
    this.label = paramSAPortGroup.label;
  }

  public SAPortGroupRef getSaPortGroupRef()
  {
    return this.saPortGroupRef;
  }

  public void setSaPortGroupRef(SAPortGroupRef paramSAPortGroupRef)
  {
    this.saPortGroupRef = paramSAPortGroupRef;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.saPortGroupRef.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.saPortGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}