package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SCSITargetPortId
  implements XDRType, SYMbolAPIConstants
{
  private IOInterfaceType ioInterfaceType = new IOInterfaceType();
  private byte[] portName;

  public SCSITargetPortId()
  {
  }

  public SCSITargetPortId(SCSITargetPortId paramSCSITargetPortId)
  {
    this.portName = paramSCSITargetPortId.portName;
  }

  public IOInterfaceType getIoInterfaceType()
  {
    return this.ioInterfaceType;
  }

  public void setIoInterfaceType(IOInterfaceType paramIOInterfaceType)
  {
    this.ioInterfaceType = paramIOInterfaceType;
  }

  public byte[] getPortName()
  {
    return this.portName;
  }

  public void setPortName(byte[] paramArrayOfByte)
  {
    this.portName = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.ioInterfaceType.xdrEncode(paramXDROutputStream);
    switch (this.ioInterfaceType.getValue())
    {
    case 1:
      break;
    case 2:
      paramXDROutputStream.putFixedOpaque(this.portName, 8);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.ioInterfaceType.xdrDecode(paramXDRInputStream);
    switch (this.ioInterfaceType.getValue())
    {
    case 1:
      break;
    case 2:
      this.portName = paramXDRInputStream.getFixedOpaque(8);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}