package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SYMbolRefWithUAL
  implements XDRType, SYMbolAPIConstants
{
  private SYMbolRef ref = new SYMbolRef();
  private UserAssignedLabel label = new UserAssignedLabel();

  public SYMbolRefWithUAL()
  {
  }

  public SYMbolRefWithUAL(SYMbolRefWithUAL paramSYMbolRefWithUAL)
  {
    this.ref = paramSYMbolRefWithUAL.ref;
    this.label = paramSYMbolRefWithUAL.label;
  }

  public SYMbolRef getRef()
  {
    return this.ref;
  }

  public void setRef(SYMbolRef paramSYMbolRef)
  {
    this.ref = paramSYMbolRef;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.ref.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.ref.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}