package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TrayPositionList
  implements XDRType, SYMbolAPIConstants
{
  private TrayPosition[] trayPosition;

  public TrayPositionList()
  {
  }

  public TrayPositionList(TrayPositionList paramTrayPositionList)
  {
    this.trayPosition = paramTrayPositionList.trayPosition;
  }

  public TrayPosition[] getTrayPosition()
  {
    return this.trayPosition;
  }

  public void setTrayPosition(TrayPosition[] paramArrayOfTrayPosition)
  {
    this.trayPosition = paramArrayOfTrayPosition;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = this.trayPosition == null ? 0 : this.trayPosition.length;
    paramXDROutputStream.putInt(i);
    for (int j = 0; j < i; j++)
      this.trayPosition[j].xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt();
    this.trayPosition = new TrayPosition[i];
    for (int j = 0; j < i; j++)
    {
      this.trayPosition[j] = new TrayPosition();
      this.trayPosition[j].xdrDecode(paramXDRInputStream);
    }
  }
}