package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeGroupOwnershipUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private VolumeGroupRef volumeGroupRef = new VolumeGroupRef();
  private ControllerRef manager = new ControllerRef();

  public VolumeGroupOwnershipUpdateDescriptor()
  {
  }

  public VolumeGroupOwnershipUpdateDescriptor(VolumeGroupOwnershipUpdateDescriptor paramVolumeGroupOwnershipUpdateDescriptor)
  {
    this.volumeGroupRef = paramVolumeGroupOwnershipUpdateDescriptor.volumeGroupRef;
    this.manager = paramVolumeGroupOwnershipUpdateDescriptor.manager;
  }

  public VolumeGroupRef getVolumeGroupRef()
  {
    return this.volumeGroupRef;
  }

  public void setVolumeGroupRef(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volumeGroupRef = paramVolumeGroupRef;
  }

  public ControllerRef getManager()
  {
    return this.manager;
  }

  public void setManager(ControllerRef paramControllerRef)
  {
    this.manager = paramControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeGroupRef.xdrEncode(paramXDROutputStream);
    this.manager.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manager.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}