package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeGroupRefList
  implements XDRType, SYMbolAPIConstants
{
  private VolumeGroupRef[] volumeGroupRef;

  public VolumeGroupRefList()
  {
  }

  public VolumeGroupRefList(VolumeGroupRefList paramVolumeGroupRefList)
  {
    this.volumeGroupRef = paramVolumeGroupRefList.volumeGroupRef;
  }

  public VolumeGroupRef[] getVolumeGroupRef()
  {
    return this.volumeGroupRef;
  }

  public void setVolumeGroupRef(VolumeGroupRef[] paramArrayOfVolumeGroupRef)
  {
    this.volumeGroupRef = paramArrayOfVolumeGroupRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.volumeGroupRef == null ? 0 : this.volumeGroupRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.volumeGroupRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.volumeGroupRef = new VolumeGroupRef[j];
      for (int k = 0; k < j; k++)
      {
        this.volumeGroupRef[k] = new VolumeGroupRef();
        this.volumeGroupRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}