package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeLabelUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private UserAssignedLabel label = new UserAssignedLabel();

  public VolumeLabelUpdateDescriptor()
  {
  }

  public VolumeLabelUpdateDescriptor(VolumeLabelUpdateDescriptor paramVolumeLabelUpdateDescriptor)
  {
    this.volumeRef = paramVolumeLabelUpdateDescriptor.volumeRef;
    this.label = paramVolumeLabelUpdateDescriptor.label;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}