package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeOwnershipUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private ControllerRef manager = new ControllerRef();

  public VolumeOwnershipUpdateDescriptor()
  {
  }

  public VolumeOwnershipUpdateDescriptor(VolumeOwnershipUpdateDescriptor paramVolumeOwnershipUpdateDescriptor)
  {
    this.volumeRef = paramVolumeOwnershipUpdateDescriptor.volumeRef;
    this.manager = paramVolumeOwnershipUpdateDescriptor.manager;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public ControllerRef getManager()
  {
    return this.manager;
  }

  public void setManager(ControllerRef paramControllerRef)
  {
    this.manager = paramControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    this.manager.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manager.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}