package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeRAIDMigrationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private VolumeGroupRef volumeGroupRef = new VolumeGroupRef();
  private RAIDLevel newRaidLevel = new RAIDLevel();

  public VolumeRAIDMigrationDescriptor()
  {
  }

  public VolumeRAIDMigrationDescriptor(VolumeRAIDMigrationDescriptor paramVolumeRAIDMigrationDescriptor)
  {
    this.volumeGroupRef = paramVolumeRAIDMigrationDescriptor.volumeGroupRef;
    this.newRaidLevel = paramVolumeRAIDMigrationDescriptor.newRaidLevel;
  }

  public VolumeGroupRef getVolumeGroupRef()
  {
    return this.volumeGroupRef;
  }

  public void setVolumeGroupRef(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volumeGroupRef = paramVolumeGroupRef;
  }

  public RAIDLevel getNewRaidLevel()
  {
    return this.newRaidLevel;
  }

  public void setNewRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.newRaidLevel = paramRAIDLevel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeGroupRef.xdrEncode(paramXDROutputStream);
    this.newRaidLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.newRaidLevel.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}