/*      */ package org.codehaus.stax2.ri;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.Writer;
/*      */ import java.math.BigDecimal;
/*      */ import java.math.BigInteger;
/*      */ import javax.xml.namespace.NamespaceContext;
/*      */ import javax.xml.namespace.QName;
/*      */ import javax.xml.stream.Location;
/*      */ import javax.xml.stream.XMLStreamException;
/*      */ import javax.xml.stream.XMLStreamReader;
/*      */ import javax.xml.stream.util.StreamReaderDelegate;
/*      */ import org.codehaus.stax2.AttributeInfo;
/*      */ import org.codehaus.stax2.DTDInfo;
/*      */ import org.codehaus.stax2.LocationInfo;
/*      */ import org.codehaus.stax2.XMLStreamLocation2;
/*      */ import org.codehaus.stax2.XMLStreamReader2;
/*      */ import org.codehaus.stax2.ri.typed.StringBase64Decoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.BaseArrayDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.BooleanDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.DecimalDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.DoubleArrayDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.DoubleDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.FloatArrayDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.FloatDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.IntArrayDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.IntDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.IntegerDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.LongArrayDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.LongDecoder;
/*      */ import org.codehaus.stax2.ri.typed.ValueDecoderFactory.QNameDecoder;
/*      */ import org.codehaus.stax2.typed.Base64Variant;
/*      */ import org.codehaus.stax2.typed.Base64Variants;
/*      */ import org.codehaus.stax2.typed.TypedArrayDecoder;
/*      */ import org.codehaus.stax2.typed.TypedValueDecoder;
/*      */ import org.codehaus.stax2.typed.TypedXMLStreamException;
/*      */ import org.codehaus.stax2.validation.DTDValidationSchema;
/*      */ import org.codehaus.stax2.validation.ValidationProblemHandler;
/*      */ import org.codehaus.stax2.validation.XMLValidationSchema;
/*      */ import org.codehaus.stax2.validation.XMLValidator;
/*      */ 
/*      */ public class Stax2ReaderAdapter extends StreamReaderDelegate
/*      */   implements XMLStreamReader2, AttributeInfo, DTDInfo, LocationInfo
/*      */ {
/*      */   static final int INT_SPACE = 32;
/*      */   private static final int MASK_GET_ELEMENT_TEXT = 4688;
/*      */   protected static final int MASK_TYPED_ACCESS_BINARY = 4178;
/*      */   protected ValueDecoderFactory _decoderFactory;
/*   72 */   protected StringBase64Decoder _base64Decoder = null;
/*      */ 
/*   77 */   protected int _depth = 0;
/*      */   protected String _typedContent;
/*      */ 
/*      */   protected Stax2ReaderAdapter(XMLStreamReader paramXMLStreamReader)
/*      */   {
/*   94 */     super(paramXMLStreamReader);
/*      */   }
/*      */ 
/*      */   public static XMLStreamReader2 wrapIfNecessary(XMLStreamReader paramXMLStreamReader)
/*      */   {
/*  106 */     if ((paramXMLStreamReader instanceof LocationInfo)) {
/*  107 */       return (LocationInfo)paramXMLStreamReader;
/*      */     }
/*  109 */     return new Stax2ReaderAdapter(paramXMLStreamReader);
/*      */   }
/*      */ 
/*      */   public int next()
/*      */     throws XMLStreamException
/*      */   {
/*  124 */     if (this._typedContent != null) {
/*  125 */       this._typedContent = null;
/*  126 */       return 2;
/*      */     }
/*      */ 
/*  129 */     int i = super.next();
/*  130 */     if (i == 1)
/*  131 */       this._depth += 1;
/*  132 */     else if (i == 2) {
/*  133 */       this._depth -= 1;
/*      */     }
/*  135 */     return i;
/*      */   }
/*      */ 
/*      */   public String getElementText()
/*      */     throws XMLStreamException
/*      */   {
/*  146 */     int i = getEventType() == 1 ? 1 : 0;
/*  147 */     String str = super.getElementText();
/*  148 */     if (i != 0) {
/*  149 */       this._depth -= 1;
/*      */     }
/*  151 */     return str;
/*      */   }
/*      */ 
/*      */   public boolean getElementAsBoolean()
/*      */     throws XMLStreamException
/*      */   {
/*  162 */     ValueDecoderFactory.BooleanDecoder localBooleanDecoder = _decoderFactory().getBooleanDecoder();
/*  163 */     getElementAs(localBooleanDecoder);
/*  164 */     return localBooleanDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public int getElementAsInt() throws XMLStreamException
/*      */   {
/*  169 */     ValueDecoderFactory.IntDecoder localIntDecoder = _decoderFactory().getIntDecoder();
/*  170 */     getElementAs(localIntDecoder);
/*  171 */     return localIntDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public long getElementAsLong() throws XMLStreamException
/*      */   {
/*  176 */     ValueDecoderFactory.LongDecoder localLongDecoder = _decoderFactory().getLongDecoder();
/*  177 */     getElementAs(localLongDecoder);
/*  178 */     return localLongDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public float getElementAsFloat() throws XMLStreamException
/*      */   {
/*  183 */     ValueDecoderFactory.FloatDecoder localFloatDecoder = _decoderFactory().getFloatDecoder();
/*  184 */     getElementAs(localFloatDecoder);
/*  185 */     return localFloatDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public double getElementAsDouble() throws XMLStreamException
/*      */   {
/*  190 */     ValueDecoderFactory.DoubleDecoder localDoubleDecoder = _decoderFactory().getDoubleDecoder();
/*  191 */     getElementAs(localDoubleDecoder);
/*  192 */     return localDoubleDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public BigInteger getElementAsInteger() throws XMLStreamException
/*      */   {
/*  197 */     ValueDecoderFactory.IntegerDecoder localIntegerDecoder = _decoderFactory().getIntegerDecoder();
/*  198 */     getElementAs(localIntegerDecoder);
/*  199 */     return localIntegerDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public BigDecimal getElementAsDecimal() throws XMLStreamException
/*      */   {
/*  204 */     ValueDecoderFactory.DecimalDecoder localDecimalDecoder = _decoderFactory().getDecimalDecoder();
/*  205 */     getElementAs(localDecimalDecoder);
/*  206 */     return localDecimalDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public QName getElementAsQName() throws XMLStreamException
/*      */   {
/*  211 */     ValueDecoderFactory.QNameDecoder localQNameDecoder = _decoderFactory().getQNameDecoder(getNamespaceContext());
/*  212 */     getElementAs(localQNameDecoder);
/*  213 */     return localQNameDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public byte[] getElementAsBinary() throws XMLStreamException
/*      */   {
/*  218 */     return getElementAsBinary(Base64Variants.getDefaultVariant());
/*      */   }
/*      */ 
/*      */   public byte[] getElementAsBinary(Base64Variant paramBase64Variant)
/*      */     throws XMLStreamException
/*      */   {
/*  224 */     Stax2Util.ByteAggregator localByteAggregator = _base64Decoder().getByteAggregator();
/*  225 */     byte[] arrayOfByte = localByteAggregator.startAggregation();
/*      */     while (true) {
/*  227 */       int i = 0;
/*  228 */       int j = arrayOfByte.length;
/*      */       do {
/*  230 */         int k = readElementAsBinary(arrayOfByte, i, j, paramBase64Variant);
/*  231 */         if (k < 1) {
/*  232 */           return localByteAggregator.aggregateAll(arrayOfByte, i);
/*      */         }
/*  234 */         i += k;
/*  235 */         j -= k;
/*  236 */       }while (j > 0);
/*  237 */       arrayOfByte = localByteAggregator.addFullBlock(arrayOfByte);
/*      */     }
/*      */   }
/*      */ 
/*      */   public void getElementAs(TypedValueDecoder paramTypedValueDecoder) throws XMLStreamException
/*      */   {
/*  243 */     String str = getElementText();
/*  244 */     str = Stax2Util.trimSpaces(str);
/*      */     try {
/*  246 */       if (str == null)
/*  247 */         paramTypedValueDecoder.handleEmptyValue();
/*      */       else
/*  249 */         paramTypedValueDecoder.decode(str);
/*      */     }
/*      */     catch (IllegalArgumentException localIllegalArgumentException) {
/*  252 */       throw _constructTypeException(localIllegalArgumentException, str);
/*      */     }
/*      */   }
/*      */ 
/*      */   public int readElementAsIntArray(int[] paramArrayOfInt, int paramInt1, int paramInt2) throws XMLStreamException
/*      */   {
/*  258 */     return readElementAsArray(_decoderFactory().getIntArrayDecoder(paramArrayOfInt, paramInt1, paramInt2));
/*      */   }
/*      */ 
/*      */   public int readElementAsLongArray(long[] paramArrayOfLong, int paramInt1, int paramInt2) throws XMLStreamException
/*      */   {
/*  263 */     return readElementAsArray(_decoderFactory().getLongArrayDecoder(paramArrayOfLong, paramInt1, paramInt2));
/*      */   }
/*      */ 
/*      */   public int readElementAsFloatArray(float[] paramArrayOfFloat, int paramInt1, int paramInt2) throws XMLStreamException
/*      */   {
/*  268 */     return readElementAsArray(_decoderFactory().getFloatArrayDecoder(paramArrayOfFloat, paramInt1, paramInt2));
/*      */   }
/*      */ 
/*      */   public int readElementAsDoubleArray(double[] paramArrayOfDouble, int paramInt1, int paramInt2) throws XMLStreamException
/*      */   {
/*  273 */     return readElementAsArray(_decoderFactory().getDoubleArrayDecoder(paramArrayOfDouble, paramInt1, paramInt2));
/*      */   }
/*      */ 
/*      */   public int readElementAsArray(TypedArrayDecoder paramTypedArrayDecoder)
/*      */     throws XMLStreamException
/*      */   {
/*  279 */     if (this._typedContent == null) {
/*  280 */       int i = getEventType();
/*  281 */       if (i == 2) {
/*  282 */         return -1;
/*      */       }
/*  284 */       if (i != 1) {
/*  285 */         throw new IllegalStateException("First call to readElementAsArray() must be for a START_ELEMENT");
/*      */       }
/*  287 */       this._typedContent = getElementText();
/*      */     }
/*      */ 
/*  294 */     String str1 = this._typedContent;
/*  295 */     int j = str1.length();
/*  296 */     int k = 0;
/*  297 */     int m = 0;
/*  298 */     String str2 = null;
/*      */     try
/*      */     {
/*  302 */       while (k < j)
/*      */       {
/*  304 */         while (str1.charAt(k) <= ' ') {
/*  305 */           k++; if (k >= j) {
/*  306 */             break label151;
/*      */           }
/*      */         }
/*      */ 
/*  310 */         n = k;
/*  311 */         k++;
/*  312 */         while ((k < j) && (str1.charAt(k) > ' ')) {
/*  313 */           k++;
/*      */         }
/*  315 */         m++;
/*      */ 
/*  317 */         str2 = str1.substring(n, k);
/*      */ 
/*  319 */         k++;
/*  320 */         if (paramTypedArrayDecoder.decodeValue(str2))
/*      */           break;
/*      */       }
/*      */     }
/*      */     catch (IllegalArgumentException localIllegalArgumentException)
/*      */     {
/*      */       int n;
/*  329 */       label151: Location localLocation = getLocation();
/*  330 */       throw new TypedXMLStreamException(str2, localIllegalArgumentException.getMessage(), localLocation, localIllegalArgumentException);
/*      */     } finally {
/*  332 */       int i1 = j - k;
/*      */ 
/*  334 */       this._typedContent = (i1 < 1 ? null : str1.substring(k));
/*      */     }
/*  336 */     return m < 1 ? -1 : m;
/*      */   }
/*      */ 
/*      */   public int readElementAsBinary(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*      */     throws XMLStreamException
/*      */   {
/*  348 */     return readElementAsBinary(paramArrayOfByte, paramInt1, paramInt2, Base64Variants.getDefaultVariant());
/*      */   }
/*      */ 
/*      */   public int readElementAsBinary(byte[] paramArrayOfByte, int paramInt1, int paramInt2, Base64Variant paramBase64Variant)
/*      */     throws XMLStreamException
/*      */   {
/*  355 */     if (paramArrayOfByte == null) {
/*  356 */       throw new IllegalArgumentException("resultBuffer is null");
/*      */     }
/*  358 */     if (paramInt1 < 0) {
/*  359 */       throw new IllegalArgumentException("Illegal offset (" + paramInt1 + "), must be [0, " + paramArrayOfByte.length + "[");
/*      */     }
/*  361 */     if ((paramInt2 < 1) || (paramInt1 + paramInt2 > paramArrayOfByte.length)) {
/*  362 */       if (paramInt2 == 0) {
/*  363 */         return 0;
/*      */       }
/*  365 */       throw new IllegalArgumentException("Illegal maxLength (" + paramInt2 + "), has to be positive number, and offset+maxLength can not exceed" + paramArrayOfByte.length);
/*      */     }
/*      */ 
/*  368 */     StringBase64Decoder localStringBase64Decoder = _base64Decoder();
/*  369 */     int i = getEventType();
/*      */ 
/*  371 */     if ((1 << i & 0x1052) == 0) {
/*  372 */       if (i == 2)
/*      */       {
/*  374 */         if (!localStringBase64Decoder.hasData())
/*  375 */           return -1;
/*      */       }
/*      */       else {
/*  378 */         throwNotStartElemOrTextual(i);
/*      */       }
/*      */ 
/*      */     }
/*      */ 
/*  383 */     if (i == 1)
/*      */     {
/*      */       do {
/*  386 */         i = next();
/*  387 */         if (i == 2)
/*      */         {
/*  389 */           return -1;
/*      */         }
/*      */       }
/*  391 */       while ((i == 5) || (i == 3));
/*      */ 
/*  394 */       if ((1 << i & 0x1250) == 0) {
/*  395 */         throwNotStartElemOrTextual(i);
/*      */       }
/*  397 */       localStringBase64Decoder.init(paramBase64Variant, true, getText());
/*      */     }
/*      */ 
/*  402 */     int j = 0;
/*      */     while (true)
/*      */     {
/*      */       int k;
/*      */       try
/*      */       {
/*  409 */         k = localStringBase64Decoder.decode(paramArrayOfByte, paramInt1, paramInt2);
/*      */       } catch (IllegalArgumentException localIllegalArgumentException) {
/*  411 */         throw _constructTypeException(localIllegalArgumentException, "");
/*      */       }
/*  413 */       paramInt1 += k;
/*  414 */       j += k;
/*  415 */       paramInt2 -= k;
/*      */ 
/*  420 */       if ((paramInt2 < 1) || (getEventType() == 2))
/*      */       {
/*      */         break;
/*      */       }
/*      */       do
/*  425 */         i = next();
/*  426 */       while ((i == 5) || (i == 3) || (i == 6));
/*      */ 
/*  430 */       if (i == 2)
/*      */       {
/*  437 */         int m = localStringBase64Decoder.endOfContent();
/*  438 */         if (m < 0)
/*  439 */           throw _constructTypeException("Incomplete base64 triplet at the end of decoded content", "");
/*  440 */         if (m <= 0) {
/*      */           break;
/*      */         }
/*      */       }
/*      */       else
/*      */       {
/*  446 */         if ((1 << i & 0x1250) == 0) {
/*  447 */           throwNotStartElemOrTextual(i);
/*      */         }
/*  449 */         localStringBase64Decoder.init(paramBase64Variant, false, getText());
/*      */       }
/*      */ 
/*      */     }
/*      */ 
/*  455 */     return j > 0 ? j : -1;
/*      */   }
/*      */ 
/*      */   public int getAttributeIndex(String paramString1, String paramString2)
/*      */   {
/*  466 */     return findAttributeIndex(paramString1, paramString2);
/*      */   }
/*      */ 
/*      */   public boolean getAttributeAsBoolean(int paramInt) throws XMLStreamException
/*      */   {
/*  471 */     ValueDecoderFactory.BooleanDecoder localBooleanDecoder = _decoderFactory().getBooleanDecoder();
/*  472 */     getAttributeAs(paramInt, localBooleanDecoder);
/*  473 */     return localBooleanDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public int getAttributeAsInt(int paramInt) throws XMLStreamException
/*      */   {
/*  478 */     ValueDecoderFactory.IntDecoder localIntDecoder = _decoderFactory().getIntDecoder();
/*  479 */     getAttributeAs(paramInt, localIntDecoder);
/*  480 */     return localIntDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public long getAttributeAsLong(int paramInt) throws XMLStreamException
/*      */   {
/*  485 */     ValueDecoderFactory.LongDecoder localLongDecoder = _decoderFactory().getLongDecoder();
/*  486 */     getAttributeAs(paramInt, localLongDecoder);
/*  487 */     return localLongDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public float getAttributeAsFloat(int paramInt) throws XMLStreamException
/*      */   {
/*  492 */     ValueDecoderFactory.FloatDecoder localFloatDecoder = _decoderFactory().getFloatDecoder();
/*  493 */     getAttributeAs(paramInt, localFloatDecoder);
/*  494 */     return localFloatDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public double getAttributeAsDouble(int paramInt) throws XMLStreamException
/*      */   {
/*  499 */     ValueDecoderFactory.DoubleDecoder localDoubleDecoder = _decoderFactory().getDoubleDecoder();
/*  500 */     getAttributeAs(paramInt, localDoubleDecoder);
/*  501 */     return localDoubleDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public BigInteger getAttributeAsInteger(int paramInt) throws XMLStreamException
/*      */   {
/*  506 */     ValueDecoderFactory.IntegerDecoder localIntegerDecoder = _decoderFactory().getIntegerDecoder();
/*  507 */     getAttributeAs(paramInt, localIntegerDecoder);
/*  508 */     return localIntegerDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public BigDecimal getAttributeAsDecimal(int paramInt) throws XMLStreamException
/*      */   {
/*  513 */     ValueDecoderFactory.DecimalDecoder localDecimalDecoder = _decoderFactory().getDecimalDecoder();
/*  514 */     getAttributeAs(paramInt, localDecimalDecoder);
/*  515 */     return localDecimalDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public QName getAttributeAsQName(int paramInt) throws XMLStreamException
/*      */   {
/*  520 */     ValueDecoderFactory.QNameDecoder localQNameDecoder = _decoderFactory().getQNameDecoder(getNamespaceContext());
/*  521 */     getAttributeAs(paramInt, localQNameDecoder);
/*  522 */     return localQNameDecoder.getValue();
/*      */   }
/*      */ 
/*      */   public void getAttributeAs(int paramInt, TypedValueDecoder paramTypedValueDecoder) throws XMLStreamException
/*      */   {
/*  527 */     String str = getAttributeValue(paramInt);
/*  528 */     str = Stax2Util.trimSpaces(str);
/*      */     try {
/*  530 */       if (str == null)
/*  531 */         paramTypedValueDecoder.handleEmptyValue();
/*      */       else
/*  533 */         paramTypedValueDecoder.decode(str);
/*      */     }
/*      */     catch (IllegalArgumentException localIllegalArgumentException) {
/*  536 */       throw _constructTypeException(localIllegalArgumentException, str);
/*      */     }
/*      */   }
/*      */ 
/*      */   public int[] getAttributeAsIntArray(int paramInt) throws XMLStreamException
/*      */   {
/*  542 */     ValueDecoderFactory.IntArrayDecoder localIntArrayDecoder = _decoderFactory().getIntArrayDecoder();
/*  543 */     _getAttributeAsArray(localIntArrayDecoder, getAttributeValue(paramInt));
/*  544 */     return localIntArrayDecoder.getValues();
/*      */   }
/*      */ 
/*      */   public long[] getAttributeAsLongArray(int paramInt) throws XMLStreamException
/*      */   {
/*  549 */     ValueDecoderFactory.LongArrayDecoder localLongArrayDecoder = _decoderFactory().getLongArrayDecoder();
/*  550 */     _getAttributeAsArray(localLongArrayDecoder, getAttributeValue(paramInt));
/*  551 */     return localLongArrayDecoder.getValues();
/*      */   }
/*      */ 
/*      */   public float[] getAttributeAsFloatArray(int paramInt) throws XMLStreamException
/*      */   {
/*  556 */     ValueDecoderFactory.FloatArrayDecoder localFloatArrayDecoder = _decoderFactory().getFloatArrayDecoder();
/*  557 */     _getAttributeAsArray(localFloatArrayDecoder, getAttributeValue(paramInt));
/*  558 */     return localFloatArrayDecoder.getValues();
/*      */   }
/*      */ 
/*      */   public double[] getAttributeAsDoubleArray(int paramInt) throws XMLStreamException
/*      */   {
/*  563 */     ValueDecoderFactory.DoubleArrayDecoder localDoubleArrayDecoder = _decoderFactory().getDoubleArrayDecoder();
/*  564 */     _getAttributeAsArray(localDoubleArrayDecoder, getAttributeValue(paramInt));
/*  565 */     return localDoubleArrayDecoder.getValues();
/*      */   }
/*      */ 
/*      */   public int getAttributeAsArray(int paramInt, TypedArrayDecoder paramTypedArrayDecoder) throws XMLStreamException
/*      */   {
/*  570 */     return _getAttributeAsArray(paramTypedArrayDecoder, getAttributeValue(paramInt));
/*      */   }
/*      */ 
/*      */   protected int _getAttributeAsArray(TypedArrayDecoder paramTypedArrayDecoder, String paramString) throws XMLStreamException
/*      */   {
/*  575 */     int i = 0;
/*  576 */     int j = 0;
/*  577 */     int k = paramString.length();
/*  578 */     String str = null;
/*  579 */     int m = 0;
/*      */     try
/*      */     {
/*  583 */       while (i < k)
/*      */       {
/*  585 */         while (paramString.charAt(i) <= ' ') {
/*  586 */           i++; if (i >= k) {
/*  587 */             break label115;
/*      */           }
/*      */         }
/*      */ 
/*  591 */         j = i;
/*  592 */         i++;
/*  593 */         while ((i < k) && (paramString.charAt(i) > ' ')) {
/*  594 */           i++;
/*      */         }
/*  596 */         int n = i;
/*  597 */         i++;
/*      */ 
/*  599 */         str = paramString.substring(j, n);
/*  600 */         m++;
/*  601 */         if ((paramTypedArrayDecoder.decodeValue(str)) && 
/*  602 */           (!checkExpand(paramTypedArrayDecoder))) {
/*      */           break;
/*      */         }
/*      */       }
/*      */     }
/*      */     catch (IllegalArgumentException localIllegalArgumentException)
/*      */     {
/*  609 */       label115: Location localLocation = getLocation();
/*  610 */       throw new TypedXMLStreamException(str, localIllegalArgumentException.getMessage(), localLocation, localIllegalArgumentException);
/*      */     }
/*  612 */     return m;
/*      */   }
/*      */ 
/*      */   private final boolean checkExpand(TypedArrayDecoder paramTypedArrayDecoder)
/*      */   {
/*  623 */     if ((paramTypedArrayDecoder instanceof ValueDecoderFactory.BaseArrayDecoder)) {
/*  624 */       ((ValueDecoderFactory.BaseArrayDecoder)paramTypedArrayDecoder).expand();
/*  625 */       return true;
/*      */     }
/*  627 */     return false;
/*      */   }
/*      */ 
/*      */   public byte[] getAttributeAsBinary(int paramInt) throws XMLStreamException
/*      */   {
/*  632 */     return getAttributeAsBinary(paramInt, Base64Variants.getDefaultVariant());
/*      */   }
/*      */ 
/*      */   public byte[] getAttributeAsBinary(int paramInt, Base64Variant paramBase64Variant) throws XMLStreamException
/*      */   {
/*  637 */     String str = getAttributeValue(paramInt);
/*  638 */     StringBase64Decoder localStringBase64Decoder = _base64Decoder();
/*  639 */     localStringBase64Decoder.init(paramBase64Variant, true, str);
/*      */     try {
/*  641 */       return localStringBase64Decoder.decodeCompletely();
/*      */     } catch (IllegalArgumentException localIllegalArgumentException) {
/*  643 */       throw new TypedXMLStreamException(str, localIllegalArgumentException.getMessage(), getLocation(), localIllegalArgumentException);
/*      */     }
/*      */   }
/*      */ 
/*      */   public Object getFeature(String paramString)
/*      */   {
/*  658 */     return null;
/*      */   }
/*      */ 
/*      */   public void setFeature(String paramString, Object paramObject)
/*      */   {
/*      */   }
/*      */ 
/*      */   public boolean isPropertySupported(String paramString)
/*      */   {
/*  673 */     return false;
/*      */   }
/*      */ 
/*      */   public boolean setProperty(String paramString, Object paramObject)
/*      */   {
/*  678 */     return false;
/*      */   }
/*      */ 
/*      */   public void skipElement()
/*      */     throws XMLStreamException
/*      */   {
/*  685 */     if (getEventType() != 1) {
/*  686 */       throwNotStartElem(getEventType());
/*      */     }
/*  688 */     int i = 1;
/*      */     while (true)
/*      */     {
/*  691 */       int j = next();
/*  692 */       if (j == 1) {
/*  693 */         i++;
/*  694 */       } else if (j == 2) {
/*  695 */         i--; if (i == 0)
/*      */           break;
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */   public AttributeInfo getAttributeInfo()
/*      */     throws XMLStreamException
/*      */   {
/*  706 */     if (getEventType() != 1) {
/*  707 */       throwNotStartElem(getEventType());
/*      */     }
/*  709 */     return this;
/*      */   }
/*      */ 
/*      */   public DTDInfo getDTDInfo()
/*      */     throws XMLStreamException
/*      */   {
/*  716 */     if (getEventType() != 11) {
/*  717 */       return null;
/*      */     }
/*  719 */     return this;
/*      */   }
/*      */ 
/*      */   public final LocationInfo getLocationInfo()
/*      */   {
/*  728 */     return this;
/*      */   }
/*      */ 
/*      */   public int getText(Writer paramWriter, boolean paramBoolean)
/*      */     throws IOException, XMLStreamException
/*      */   {
/*  736 */     char[] arrayOfChar = getTextCharacters();
/*  737 */     int i = getTextStart();
/*  738 */     int j = getTextLength();
/*      */ 
/*  740 */     if (j > 0) {
/*  741 */       paramWriter.write(arrayOfChar, i, j);
/*      */     }
/*  743 */     return j;
/*      */   }
/*      */ 
/*      */   public int getDepth()
/*      */   {
/*  757 */     if (getEventType() == 2) {
/*  758 */       return this._depth + 1;
/*      */     }
/*  760 */     return this._depth;
/*      */   }
/*      */ 
/*      */   public boolean isEmptyElement()
/*      */     throws XMLStreamException
/*      */   {
/*  769 */     return false;
/*      */   }
/*      */ 
/*      */   public NamespaceContext getNonTransientNamespaceContext()
/*      */   {
/*  778 */     return null;
/*      */   }
/*      */ 
/*      */   public String getPrefixedName()
/*      */   {
/*  783 */     switch (getEventType())
/*      */     {
/*      */     case 1:
/*      */     case 2:
/*  787 */       String str1 = getPrefix();
/*  788 */       String str2 = getLocalName();
/*      */ 
/*  790 */       if ((str1 == null) || (str1.length() == 0)) {
/*  791 */         return str2;
/*      */       }
/*  793 */       StringBuffer localStringBuffer = new StringBuffer(str2.length() + 1 + str1.length());
/*  794 */       localStringBuffer.append(str1);
/*  795 */       localStringBuffer.append(':');
/*  796 */       localStringBuffer.append(str2);
/*  797 */       return localStringBuffer.toString();
/*      */     case 9:
/*  800 */       return getLocalName();
/*      */     case 3:
/*  802 */       return getPITarget();
/*      */     case 11:
/*  804 */       return getDTDRootName();
/*      */     case 4:
/*      */     case 5:
/*      */     case 6:
/*      */     case 7:
/*      */     case 8:
/*  807 */     case 10: } throw new IllegalStateException("Current state not START_ELEMENT, END_ELEMENT, ENTITY_REFERENCE, PROCESSING_INSTRUCTION or DTD");
/*      */   }
/*      */ 
/*      */   public void closeCompletely()
/*      */     throws XMLStreamException
/*      */   {
/*  815 */     close();
/*      */   }
/*      */ 
/*      */   public int findAttributeIndex(String paramString1, String paramString2)
/*      */   {
/*  829 */     if ("".equals(paramString1)) {
/*  830 */       paramString1 = null;
/*      */     }
/*  832 */     int i = 0; for (int j = getAttributeCount(); i < j; i++) {
/*  833 */       if (getAttributeLocalName(i).equals(paramString2)) {
/*  834 */         String str = getAttributeNamespace(i);
/*  835 */         if (paramString1 == null) {
/*  836 */           if ((str == null) || (str.length() == 0)) {
/*  837 */             return i;
/*      */           }
/*      */         }
/*  840 */         else if (paramString1.equals(str)) {
/*  841 */           return i;
/*      */         }
/*      */       }
/*      */     }
/*      */ 
/*  846 */     return -1;
/*      */   }
/*      */ 
/*      */   public int getIdAttributeIndex()
/*      */   {
/*  851 */     int i = 0; for (int j = getAttributeCount(); i < j; i++) {
/*  852 */       if ("ID".equals(getAttributeType(i))) {
/*  853 */         return i;
/*      */       }
/*      */     }
/*  856 */     return -1;
/*      */   }
/*      */ 
/*      */   public int getNotationAttributeIndex()
/*      */   {
/*  861 */     int i = 0; for (int j = getAttributeCount(); i < j; i++) {
/*  862 */       if ("NOTATION".equals(getAttributeType(i))) {
/*  863 */         return i;
/*      */       }
/*      */     }
/*  866 */     return -1;
/*      */   }
/*      */ 
/*      */   public Object getProcessedDTD()
/*      */   {
/*  876 */     return null;
/*      */   }
/*      */ 
/*      */   public String getDTDRootName() {
/*  880 */     return null;
/*      */   }
/*      */ 
/*      */   public String getDTDPublicId() {
/*  884 */     return null;
/*      */   }
/*      */ 
/*      */   public String getDTDSystemId() {
/*  888 */     return null;
/*      */   }
/*      */ 
/*      */   public String getDTDInternalSubset()
/*      */   {
/*  901 */     if (getEventType() == 11) {
/*  902 */       return getText();
/*      */     }
/*  904 */     return null;
/*      */   }
/*      */ 
/*      */   public DTDValidationSchema getProcessedDTDSchema()
/*      */   {
/*  910 */     return null;
/*      */   }
/*      */ 
/*      */   public long getStartingByteOffset()
/*      */   {
/*  922 */     return -1L;
/*      */   }
/*      */ 
/*      */   public long getStartingCharOffset() {
/*  926 */     return 0L;
/*      */   }
/*      */ 
/*      */   public long getEndingByteOffset() throws XMLStreamException
/*      */   {
/*  931 */     return -1L;
/*      */   }
/*      */ 
/*      */   public long getEndingCharOffset() throws XMLStreamException
/*      */   {
/*  936 */     return -1L;
/*      */   }
/*      */ 
/*      */   public XMLStreamLocation2 getStartLocation()
/*      */   {
/*  947 */     return getCurrentLocation();
/*      */   }
/*      */ 
/*      */   public XMLStreamLocation2 getCurrentLocation()
/*      */   {
/*  953 */     return new Stax2LocationAdapter(getLocation());
/*      */   }
/*      */ 
/*      */   public final XMLStreamLocation2 getEndLocation()
/*      */     throws XMLStreamException
/*      */   {
/*  963 */     return getCurrentLocation();
/*      */   }
/*      */ 
/*      */   public XMLValidator validateAgainst(XMLValidationSchema paramXMLValidationSchema)
/*      */     throws XMLStreamException
/*      */   {
/*  975 */     throwUnsupported();
/*  976 */     return null;
/*      */   }
/*      */ 
/*      */   public XMLValidator stopValidatingAgainst(XMLValidationSchema paramXMLValidationSchema)
/*      */     throws XMLStreamException
/*      */   {
/*  982 */     throwUnsupported();
/*  983 */     return null;
/*      */   }
/*      */ 
/*      */   public XMLValidator stopValidatingAgainst(XMLValidator paramXMLValidator)
/*      */     throws XMLStreamException
/*      */   {
/*  989 */     throwUnsupported();
/*  990 */     return null;
/*      */   }
/*      */ 
/*      */   public ValidationProblemHandler setValidationProblemHandler(ValidationProblemHandler paramValidationProblemHandler)
/*      */   {
/*  995 */     return null;
/*      */   }
/*      */ 
/*      */   protected ValueDecoderFactory _decoderFactory()
/*      */   {
/* 1006 */     if (this._decoderFactory == null) {
/* 1007 */       this._decoderFactory = new ValueDecoderFactory();
/*      */     }
/* 1009 */     return this._decoderFactory;
/*      */   }
/*      */ 
/*      */   protected StringBase64Decoder _base64Decoder()
/*      */   {
/* 1014 */     if (this._base64Decoder == null) {
/* 1015 */       this._base64Decoder = new StringBase64Decoder();
/*      */     }
/* 1017 */     return this._base64Decoder;
/*      */   }
/*      */ 
/*      */   protected void throwUnsupported()
/*      */     throws XMLStreamException
/*      */   {
/* 1023 */     throw new XMLStreamException("Unsupported method");
/*      */   }
/*      */ 
/*      */   protected void throwNotStartElem(int paramInt)
/*      */   {
/* 1028 */     throw new IllegalStateException("Current event (" + Stax2Util.eventTypeDesc(paramInt) + ") not START_ELEMENT");
/*      */   }
/*      */ 
/*      */   protected void throwNotStartElemOrTextual(int paramInt)
/*      */   {
/* 1033 */     throw new IllegalStateException("Current event (" + Stax2Util.eventTypeDesc(paramInt) + ") not START_ELEMENT, END_ELEMENT, CHARACTERS or CDATA");
/*      */   }
/*      */ 
/*      */   protected TypedXMLStreamException _constructTypeException(IllegalArgumentException paramIllegalArgumentException, String paramString)
/*      */   {
/* 1046 */     String str = paramIllegalArgumentException.getMessage();
/* 1047 */     if (str == null) {
/* 1048 */       str = "";
/*      */     }
/* 1050 */     XMLStreamLocation2 localXMLStreamLocation2 = getStartLocation();
/* 1051 */     if (localXMLStreamLocation2 == null) {
/* 1052 */       return new TypedXMLStreamException(paramString, str, paramIllegalArgumentException);
/*      */     }
/* 1054 */     return new TypedXMLStreamException(paramString, str, localXMLStreamLocation2, paramIllegalArgumentException);
/*      */   }
/*      */ 
/*      */   protected TypedXMLStreamException _constructTypeException(String paramString1, String paramString2)
/*      */   {
/* 1059 */     XMLStreamLocation2 localXMLStreamLocation2 = getStartLocation();
/* 1060 */     if (localXMLStreamLocation2 == null) {
/* 1061 */       return new TypedXMLStreamException(paramString2, paramString1);
/*      */     }
/* 1063 */     return new TypedXMLStreamException(paramString2, paramString1, localXMLStreamLocation2);
/*      */   }
/*      */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2ReaderAdapter
 * JD-Core Version:    0.6.2
 */