/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamConstants;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.XMLStreamReader;
/*     */ import javax.xml.stream.events.DTD;
/*     */ import javax.xml.stream.events.EntityReference;
/*     */ import javax.xml.stream.events.StartElement;
/*     */ import javax.xml.stream.events.XMLEvent;
/*     */ import javax.xml.stream.util.XMLEventAllocator;
/*     */ import javax.xml.stream.util.XMLEventConsumer;
/*     */ import org.codehaus.stax2.DTDInfo;
/*     */ import org.codehaus.stax2.XMLStreamReader2;
/*     */ import org.codehaus.stax2.ri.EmptyIterator;
/*     */ 
/*     */ public class Stax2EventAllocatorImpl
/*     */   implements XMLEventAllocator, XMLStreamConstants
/*     */ {
/*     */   public XMLEvent allocate(XMLStreamReader paramXMLStreamReader)
/*     */     throws XMLStreamException
/*     */   {
/*  37 */     Location localLocation = getLocation(paramXMLStreamReader);
/*     */ 
/*  39 */     switch (paramXMLStreamReader.getEventType()) {
/*     */     case 12:
/*  41 */       return new CharactersEventImpl(localLocation, paramXMLStreamReader.getText(), true);
/*     */     case 4:
/*  43 */       return new CharactersEventImpl(localLocation, paramXMLStreamReader.getText(), false);
/*     */     case 5:
/*  45 */       return new CommentEventImpl(localLocation, paramXMLStreamReader.getText());
/*     */     case 11:
/*  47 */       return createDTD(paramXMLStreamReader, localLocation);
/*     */     case 8:
/*  50 */       return new EndDocumentEventImpl(localLocation);
/*     */     case 2:
/*  53 */       return new EndElementEventImpl(localLocation, paramXMLStreamReader);
/*     */     case 3:
/*  56 */       return new ProcInstrEventImpl(localLocation, paramXMLStreamReader.getPITarget(), paramXMLStreamReader.getPIData());
/*     */     case 6:
/*  59 */       CharactersEventImpl localCharactersEventImpl = new CharactersEventImpl(localLocation, paramXMLStreamReader.getText(), false);
/*  60 */       localCharactersEventImpl.setWhitespaceStatus(true);
/*  61 */       return localCharactersEventImpl;
/*     */     case 7:
/*  64 */       return new StartDocumentEventImpl(localLocation, paramXMLStreamReader);
/*     */     case 1:
/*  67 */       return createStartElement(paramXMLStreamReader, localLocation);
/*     */     case 9:
/*  70 */       return createEntityReference(paramXMLStreamReader, localLocation);
/*     */     case 10:
/*     */     case 13:
/*     */     case 14:
/*     */     case 15:
/*     */     }
/*     */ 
/*  85 */     throw new XMLStreamException("Unrecognized event type " + paramXMLStreamReader.getEventType() + ".");
/*     */   }
/*     */ 
/*     */   public void allocate(XMLStreamReader paramXMLStreamReader, XMLEventConsumer paramXMLEventConsumer)
/*     */     throws XMLStreamException
/*     */   {
/*  92 */     paramXMLEventConsumer.add(allocate(paramXMLStreamReader));
/*     */   }
/*     */ 
/*     */   public XMLEventAllocator newInstance() {
/*  96 */     return new Stax2EventAllocatorImpl();
/*     */   }
/*     */ 
/*     */   protected Location getLocation(XMLStreamReader paramXMLStreamReader)
/*     */   {
/* 113 */     return paramXMLStreamReader.getLocation();
/*     */   }
/*     */ 
/*     */   protected EntityReference createEntityReference(XMLStreamReader paramXMLStreamReader, Location paramLocation)
/*     */     throws XMLStreamException
/*     */   {
/* 125 */     return new EntityReferenceEventImpl(paramLocation, paramXMLStreamReader.getLocalName());
/*     */   }
/*     */ 
/*     */   protected DTD createDTD(XMLStreamReader paramXMLStreamReader, Location paramLocation)
/*     */     throws XMLStreamException
/*     */   {
/* 132 */     if ((paramXMLStreamReader instanceof XMLStreamReader2)) {
/* 133 */       XMLStreamReader2 localXMLStreamReader2 = (XMLStreamReader2)paramXMLStreamReader;
/* 134 */       DTDInfo localDTDInfo = localXMLStreamReader2.getDTDInfo();
/* 135 */       return new DTDEventImpl(paramLocation, localDTDInfo.getDTDRootName(), localDTDInfo.getDTDSystemId(), localDTDInfo.getDTDPublicId(), localDTDInfo.getDTDInternalSubset(), localDTDInfo.getProcessedDTD());
/*     */     }
/*     */ 
/* 146 */     return new DTDEventImpl(paramLocation, null, paramXMLStreamReader.getText());
/*     */   }
/*     */ 
/*     */   protected StartElement createStartElement(XMLStreamReader paramXMLStreamReader, Location paramLocation)
/*     */     throws XMLStreamException
/*     */   {
/* 152 */     NamespaceContext localNamespaceContext = null;
/*     */ 
/* 157 */     if ((paramXMLStreamReader instanceof XMLStreamReader2)) {
/* 158 */       localNamespaceContext = ((XMLStreamReader2)paramXMLStreamReader).getNonTransientNamespaceContext();
/*     */     }
/*     */ 
/* 163 */     int i = paramXMLStreamReader.getAttributeCount();
/*     */     ArrayList localArrayList1;
/* 164 */     if (i < 1) {
/* 165 */       localArrayList1 = null;
/*     */     } else {
/* 167 */       localArrayList1 = new ArrayList(i);
/* 168 */       for (j = 0; j < i; j++) {
/* 169 */         QName localQName = paramXMLStreamReader.getAttributeName(j);
/* 170 */         localArrayList1.add(new AttributeEventImpl(paramLocation, localQName, paramXMLStreamReader.getAttributeValue(j), paramXMLStreamReader.isAttributeSpecified(j)));
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 176 */     int j = paramXMLStreamReader.getNamespaceCount();
/*     */     ArrayList localArrayList2;
/* 177 */     if (j < 1) {
/* 178 */       localArrayList2 = null;
/*     */     } else {
/* 180 */       localArrayList2 = new ArrayList(j);
/* 181 */       for (int k = 0; k < j; k++) {
/* 182 */         localArrayList2.add(NamespaceEventImpl.constructNamespace(paramLocation, paramXMLStreamReader.getNamespacePrefix(k), paramXMLStreamReader.getNamespaceURI(k)));
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 187 */     return StartElementEventImpl.construct(paramLocation, paramXMLStreamReader.getName(), localArrayList1 == null ? EmptyIterator.getInstance() : localArrayList1.iterator(), localArrayList2 == null ? EmptyIterator.getInstance() : localArrayList2.iterator(), localNamespaceContext);
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.Stax2EventAllocatorImpl
 * JD-Core Version:    0.6.2
 */