package org.eclipse.jdt.internal.compiler.batch;

import java.io.File;
import org.eclipse.jdt.core.compiler.CharOperation;
import org.eclipse.jdt.internal.compiler.env.AccessRestriction;
import org.eclipse.jdt.internal.compiler.env.AccessRuleSet;
import org.eclipse.jdt.internal.compiler.util.SuffixConstants;

public abstract class ClasspathLocation
  implements FileSystem.Classpath, SuffixConstants
{
  public static final int SOURCE = 1;
  public static final int BINARY = 2;
  public AccessRuleSet accessRuleSet;
  public String destinationPath;

  protected ClasspathLocation(AccessRuleSet accessRuleSet, String destinationPath)
  {
    this.accessRuleSet = accessRuleSet;
    this.destinationPath = destinationPath;
  }

  protected AccessRestriction fetchAccessRestriction(String qualifiedBinaryFileName)
  {
    if (this.accessRuleSet == null)
      return null;
    char[] qualifiedTypeName = qualifiedBinaryFileName
      .substring(0, qualifiedBinaryFileName.length() - SUFFIX_CLASS.length)
      .toCharArray();
    if (File.separatorChar == '\\') {
      CharOperation.replace(qualifiedTypeName, File.separatorChar, '/');
    }
    return this.accessRuleSet.getViolatedRestriction(qualifiedTypeName);
  }
}