package org.eclipse.jdt.internal.compiler.lookup;

import org.eclipse.jdt.internal.compiler.impl.Constant;

public class ParameterizedFieldBinding extends FieldBinding
{
  public FieldBinding originalField;

  public ParameterizedFieldBinding(ParameterizedTypeBinding parameterizedDeclaringClass, FieldBinding originalField)
  {
    super(originalField.name, 
      (originalField.modifiers & 0x8) != 0 ? 
      originalField.type : (originalField.modifiers & 0x4000) != 0 ? 
      parameterizedDeclaringClass : 
      Scope.substitute(parameterizedDeclaringClass, originalField.type), 
      originalField.modifiers, 
      parameterizedDeclaringClass, 
      null);
    this.originalField = originalField;
    this.tagBits = originalField.tagBits;
    this.id = originalField.id;
  }

  public Constant constant()
  {
    return this.originalField.constant();
  }

  public FieldBinding original()
  {
    return this.originalField.original();
  }

  public void setConstant(Constant constant)
  {
    this.originalField.setConstant(constant);
  }
}