package org.eclipse.jdt.internal.compiler.lookup;

public class ProblemReferenceBinding extends ReferenceBinding
{
  private ReferenceBinding closestMatch;
  private int problemReason;

  public ProblemReferenceBinding(char[][] compoundName, ReferenceBinding closestMatch, int problemReason)
  {
    this.compoundName = compoundName;
    this.closestMatch = closestMatch;
    this.problemReason = problemReason;
  }
  public ProblemReferenceBinding(char[] name, ReferenceBinding closestMatch, int problemReason) {
    this(new char[][] { name }, closestMatch, problemReason);
  }

  public ReferenceBinding closestMatch()
  {
    return this.closestMatch;
  }

  public int problemId()
  {
    return this.problemReason;
  }

  public char[] shortReadableName()
  {
    return readableName();
  }
}