package org.eclipse.jdt.internal.compiler.parser;

import org.eclipse.jdt.internal.compiler.ast.ASTNode;
import org.eclipse.jdt.internal.compiler.ast.Statement;

public class RecoveredStatement extends RecoveredElement
{
  public Statement statement;

  public RecoveredStatement(Statement statement, RecoveredElement parent, int bracketBalance)
  {
    super(parent, bracketBalance);
    this.statement = statement;
  }

  public ASTNode parseTree()
  {
    return this.statement;
  }

  public int sourceEnd()
  {
    return this.statement.sourceEnd;
  }
  public String toString(int tab) {
    return tabString(tab) + "Recovered statement:\n" + this.statement.print(tab + 1, new StringBuffer(10));
  }
  public Statement updatedStatement() {
    return this.statement;
  }
  public void updateParseTree() {
    updatedStatement();
  }

  public void updateSourceEndIfNecessary(int bodyStart, int bodyEnd)
  {
    if (this.statement.sourceEnd == 0)
      this.statement.sourceEnd = bodyEnd;
  }
}