package org.quartz.impl.jdbcjobstore;

import java.io.ByteArrayOutputStream;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import org.quartz.spi.ClassLoadHelper;
import org.slf4j.Logger;

public class DB2v7Delegate extends StdJDBCDelegate
{
  public DB2v7Delegate(Logger logger, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper)
  {
    super(logger, tablePrefix, schedName, instanceId, classLoadHelper);
  }

  public DB2v7Delegate(Logger log, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper, Boolean useProperties)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper, useProperties);
  }

  protected void setBytes(PreparedStatement ps, int index, ByteArrayOutputStream baos)
    throws SQLException
  {
    ps.setObject(index, baos == null ? null : baos.toByteArray(), 2004);
  }

  protected void setBoolean(PreparedStatement ps, int index, boolean val)
    throws SQLException
  {
    ps.setString(index, val ? "1" : "0");
  }
}