package org.quartz.impl.jdbcjobstore;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.sql.Blob;
import java.sql.ResultSet;
import java.sql.SQLException;
import org.quartz.spi.ClassLoadHelper;
import org.slf4j.Logger;

public class WebLogicDelegate extends StdJDBCDelegate
{
  public WebLogicDelegate(Logger log, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper);
  }

  public WebLogicDelegate(Logger log, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper, Boolean useProperties)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper, useProperties);
  }

  protected Object getObjectFromBlob(ResultSet rs, String colName)
    throws ClassNotFoundException, IOException, SQLException
  {
    Object obj = null;

    Blob blobLocator = rs.getBlob(colName);
    InputStream binaryInput = null;
    try {
      if ((null != blobLocator) && (blobLocator.length() > 0L))
        binaryInput = blobLocator.getBinaryStream();
    }
    catch (Exception ignore)
    {
    }
    if (null != binaryInput) {
      ObjectInputStream in = new ObjectInputStream(binaryInput);
      try {
        obj = in.readObject();
      } finally {
        in.close();
      }
    }

    return obj;
  }

  protected Object getJobDataFromBlob(ResultSet rs, String colName)
    throws ClassNotFoundException, IOException, SQLException
  {
    if (canUseProperties()) {
      Blob blobLocator = rs.getBlob(colName);
      InputStream binaryInput = null;
      try {
        if ((null != blobLocator) && (blobLocator.length() > 0L))
          binaryInput = blobLocator.getBinaryStream();
      }
      catch (Exception ignore) {
      }
      return binaryInput;
    }

    return getObjectFromBlob(rs, colName);
  }
}