package org.quartz.impl.matchers;

import org.quartz.JobKey;
import org.quartz.Matcher;
import org.quartz.TriggerKey;
import org.quartz.utils.Key;

public class EverythingMatcher<T extends Key<?>>
  implements Matcher<T>
{
  public static EverythingMatcher<JobKey> allJobs()
  {
    return new EverythingMatcher();
  }

  public static EverythingMatcher<TriggerKey> allTriggers()
  {
    return new EverythingMatcher();
  }

  public boolean isMatch(T key) {
    return true;
  }

  public boolean equals(Object obj)
  {
    if (obj == null) {
      return false;
    }
    return obj.getClass().equals(getClass());
  }

  public int hashCode()
  {
    return getClass().getName().hashCode();
  }
}