package org.quartz.simpl;

import java.io.InputStream;
import java.lang.reflect.AccessibleObject;
import java.lang.reflect.Method;
import java.net.URL;
import org.quartz.spi.ClassLoadHelper;

public class SimpleClassLoadHelper
  implements ClassLoadHelper
{
  public void initialize()
  {
  }

  public Class<?> loadClass(String name)
    throws ClassNotFoundException
  {
    return Class.forName(name);
  }

  public <T> Class<? extends T> loadClass(String name, Class<T> clazz)
    throws ClassNotFoundException
  {
    return loadClass(name);
  }

  public URL getResource(String name)
  {
    return getClassLoader().getResource(name);
  }

  public InputStream getResourceAsStream(String name)
  {
    return getClassLoader().getResourceAsStream(name);
  }

  public ClassLoader getClassLoader()
  {
    try
    {
      ClassLoader cl = getClass().getClassLoader();

      Method mthd = ClassLoader.class.getDeclaredMethod("getCallerClassLoader", new Class[0]);

      AccessibleObject.setAccessible(new AccessibleObject[] { mthd }, true);

      return (ClassLoader)mthd.invoke(cl, new Object[0]);
    } catch (Throwable all) {
    }
    return getClass().getClassLoader();
  }
}