package org.quartz.simpl;

import org.quartz.SchedulerException;
import org.quartz.spi.InstanceIdGenerator;

public class SystemPropertyInstanceIdGenerator
  implements InstanceIdGenerator
{
  public static final String SYSTEM_PROPERTY = "org.quartz.scheduler.instanceId";

  public String generateInstanceId()
    throws SchedulerException
  {
    String property = System.getProperty("org.quartz.scheduler.instanceId");
    if (property == null) {
      throw new SchedulerException("No value for 'org.quartz.scheduler.instanceId' system property found, please configure your environment accordingly!");
    }

    return property;
  }
}