package org.quartz.simpl;

import java.io.InputStream;
import java.net.URL;
import org.quartz.spi.ClassLoadHelper;

public class ThreadContextClassLoadHelper
  implements ClassLoadHelper
{
  public void initialize()
  {
  }

  public Class<?> loadClass(String name)
    throws ClassNotFoundException
  {
    return getClassLoader().loadClass(name);
  }

  public <T> Class<? extends T> loadClass(String name, Class<T> clazz)
    throws ClassNotFoundException
  {
    return loadClass(name);
  }

  public URL getResource(String name)
  {
    return getClassLoader().getResource(name);
  }

  public InputStream getResourceAsStream(String name)
  {
    return getClassLoader().getResourceAsStream(name);
  }

  public ClassLoader getClassLoader()
  {
    return Thread.currentThread().getContextClassLoader();
  }
}