package org.quartz.xml;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;

public class ValidationException extends Exception
{
  private Collection<Exception> validationExceptions = new ArrayList();

  public ValidationException()
  {
  }

  public ValidationException(String message)
  {
    super(message);
  }

  public ValidationException(Collection<Exception> errors)
  {
    this();
    this.validationExceptions = Collections.unmodifiableCollection(this.validationExceptions);

    initCause((Throwable)errors.iterator().next());
  }

  public ValidationException(String message, Collection<Exception> errors)
  {
    this(message);
    this.validationExceptions = Collections.unmodifiableCollection(this.validationExceptions);

    initCause((Throwable)errors.iterator().next());
  }

  public Collection<Exception> getValidationExceptions()
  {
    return this.validationExceptions;
  }

  public String getMessage()
  {
    if (getValidationExceptions().size() == 0) return super.getMessage();

    StringBuffer sb = new StringBuffer();

    boolean first = true;

    Iterator iter = getValidationExceptions().iterator();
    while (iter.hasNext()) {
      Exception e = (Exception)iter.next();

      if (!first) {
        sb.append('\n');
        first = false;
      }

      sb.append(e.getMessage());
    }

    return sb.toString();
  }
}