package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("aggr-destroy")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMENAMEINVALID", "EVOLUMEOFFLINE", "EVOLUME_HAS_VFILER_STORAGE"})
@Family({"ontap-c", "ontap-d"})
public class AggrDestroy
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public Boolean force;

  @Input("aggregate")
  @Type("string")
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrDestroy withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public AggrDestroy withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }
}