package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("aggr-options-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "ontap-d"})
public class AggrOptionsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public List<AggrOptionInfo> options;

  @Input("aggregate")
  @Type("string")
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrOptionsListInfo withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Output("options")
  @Type("aggr-option-info[]")
  public void setOptions(List<AggrOptionInfo> paramList)
  {
    this.options = paramList;
  }

  public List<AggrOptionInfo> getOptions()
  {
    return this.options;
  }

  public AggrOptionsListInfo withOptions(List<AggrOptionInfo> paramList)
  {
    this.options = paramList;
    return this;
  }

  public AggrOptionsListInfo withOptions(AggrOptionInfo[] paramArrayOfAggrOptionInfo)
  {
    this.options = new ArrayList(Arrays.asList(paramArrayOfAggrOptionInfo));
    return this;
  }
}