package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("aggr-rename")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMENAMEINVALID"})
@Family({"ontap-c", "ontap-d"})
public class AggrRename
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public String newAggregateName;

  @Input("aggregate")
  @Type("string")
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrRename withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Input("new-aggregate-name")
  @Type("string")
  public void setNewAggregateName(String paramString)
  {
    this.newAggregateName = paramString;
  }

  public String getNewAggregateName()
  {
    return this.newAggregateName;
  }

  public AggrRename withNewAggregateName(String paramString)
  {
    this.newAggregateName = paramString;
    return this;
  }
}