package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.filer.volume.ScrubDetailInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("aggr-scrub-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class AggrScrubListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public List<ScrubDetailInfo> scrubDetails;
  public Boolean verbose;

  @Input("aggregate")
  @Type("string")
  @Optional
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrScrubListInfo withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Output("scrub-details")
  @Type("scrub-detail-info[]")
  public void setScrubDetails(List<ScrubDetailInfo> paramList)
  {
    this.scrubDetails = paramList;
  }

  public List<ScrubDetailInfo> getScrubDetails()
  {
    return this.scrubDetails;
  }

  public AggrScrubListInfo withScrubDetails(List<ScrubDetailInfo> paramList)
  {
    this.scrubDetails = paramList;
    return this;
  }

  public AggrScrubListInfo withScrubDetails(ScrubDetailInfo[] paramArrayOfScrubDetailInfo)
  {
    this.scrubDetails = new ArrayList(Arrays.asList(paramArrayOfScrubDetailInfo));
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public AggrScrubListInfo withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}