package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("aggr-set-option")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d"})
public class AggrSetOption
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public String optionName;
  public String optionValue;

  @Input("aggregate")
  @Type("string")
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrSetOption withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Input("option-name")
  @Type("string")
  public void setOptionName(String paramString)
  {
    this.optionName = paramString;
  }

  public String getOptionName()
  {
    return this.optionName;
  }

  public AggrSetOption withOptionName(String paramString)
  {
    this.optionName = paramString;
    return this;
  }

  @Input("option-value")
  @Type("string")
  public void setOptionValue(String paramString)
  {
    this.optionValue = paramString;
  }

  public String getOptionValue()
  {
    return this.optionValue;
  }

  public AggrSetOption withOptionValue(String paramString)
  {
    this.optionValue = paramString;
    return this;
  }
}