package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("aggr-space-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class AggrSpaceListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public List<AggrSpaceInfo> aggregates;

  @Input("aggregate")
  @Type("string")
  @Optional
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrSpaceListInfo withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Output("aggregates")
  @Type("aggr-space-info[]")
  public void setAggregates(List<AggrSpaceInfo> paramList)
  {
    this.aggregates = paramList;
  }

  public List<AggrSpaceInfo> getAggregates()
  {
    return this.aggregates;
  }

  public AggrSpaceListInfo withAggregates(List<AggrSpaceInfo> paramList)
  {
    this.aggregates = paramList;
    return this;
  }

  public AggrSpaceListInfo withAggregates(AggrSpaceInfo[] paramArrayOfAggrSpaceInfo)
  {
    this.aggregates = new ArrayList(Arrays.asList(paramArrayOfAggrSpaceInfo));
    return this;
  }
}