package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("aggr-verify-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class AggrVerifyStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public Long fixPlex;
  public Boolean logOnly;

  @Input("aggregate")
  @Type("string")
  @Optional
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrVerifyStart withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Input("fix-plex")
  @Type("integer")
  @Optional
  public void setFixPlex(Long paramLong)
  {
    this.fixPlex = paramLong;
  }

  public Long getFixPlex()
  {
    return this.fixPlex;
  }

  public AggrVerifyStart withFixPlex(Long paramLong)
  {
    this.fixPlex = paramLong;
    return this;
  }

  @Input("log-only")
  @Type("boolean")
  @Optional
  public void setLogOnly(Boolean paramBoolean)
  {
    this.logOnly = paramBoolean;
  }

  public Boolean isLogOnly()
  {
    return this.logOnly;
  }

  public AggrVerifyStart withLogOnly(Boolean paramBoolean)
  {
    this.logOnly = paramBoolean;
    return this;
  }
}