package com.netapp.filer.cf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cf-negotiated-failover-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c"})
public class CfNegotiatedFailoverStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean enabled;
  public String module;

  @Output("is-enabled")
  @Type("boolean")
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public CfNegotiatedFailoverStatus withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Input("module")
  @Type("string")
  public void setModule(String paramString)
  {
    this.module = paramString;
  }

  public String getModule()
  {
    return this.module;
  }

  public CfNegotiatedFailoverStatus withModule(String paramString)
  {
    this.module = paramString;
    return this;
  }
}