package com.netapp.filer.cf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.Date;

@Api("cf-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class CfStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Date currentTime;
  public Boolean enabled;
  public Boolean interconnectUp;
  public String partner;
  public String state;
  public String takeoverFailureReason;
  public String timeMasterStatus;
  public Long timeUntilTakeover;

  @Output("current-time")
  @Type("integer")
  public void setCurrentTime(Date paramDate)
  {
    this.currentTime = paramDate;
  }

  public Date getCurrentTime()
  {
    return this.currentTime;
  }

  public CfStatus withCurrentTime(Date paramDate)
  {
    this.currentTime = paramDate;
    return this;
  }

  @Output("is-enabled")
  @Type("boolean")
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public CfStatus withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Output("is-interconnect-up")
  @Type("boolean")
  public void setInterconnectUp(Boolean paramBoolean)
  {
    this.interconnectUp = paramBoolean;
  }

  public Boolean isInterconnectUp()
  {
    return this.interconnectUp;
  }

  public CfStatus withInterconnectUp(Boolean paramBoolean)
  {
    this.interconnectUp = paramBoolean;
    return this;
  }

  @Output("partner")
  @Type("string")
  public void setPartner(String paramString)
  {
    this.partner = paramString;
  }

  public String getPartner()
  {
    return this.partner;
  }

  public CfStatus withPartner(String paramString)
  {
    this.partner = paramString;
    return this;
  }

  @Output("state")
  @Type("string")
  @Optional
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public CfStatus withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Output("takeover-failure-reason")
  @Type("string")
  @Optional
  public void setTakeoverFailureReason(String paramString)
  {
    this.takeoverFailureReason = paramString;
  }

  public String getTakeoverFailureReason()
  {
    return this.takeoverFailureReason;
  }

  public CfStatus withTakeoverFailureReason(String paramString)
  {
    this.takeoverFailureReason = paramString;
    return this;
  }

  @Output("time-master-status")
  @Type("string")
  @Optional
  public void setTimeMasterStatus(String paramString)
  {
    this.timeMasterStatus = paramString;
  }

  public String getTimeMasterStatus()
  {
    return this.timeMasterStatus;
  }

  public CfStatus withTimeMasterStatus(String paramString)
  {
    this.timeMasterStatus = paramString;
    return this;
  }

  @Output("time-until-takeover")
  @Type("integer")
  @Optional
  public void setTimeUntilTakeover(Long paramLong)
  {
    this.timeUntilTakeover = paramLong;
  }

  public Long getTimeUntilTakeover()
  {
    return this.timeUntilTakeover;
  }

  public CfStatus withTimeUntilTakeover(Long paramLong)
  {
    this.timeUntilTakeover = paramLong;
    return this;
  }
}