package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-homedir-path-get-for-user")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EONTAPI_EINVAL", "EONTAPI_ENOMEM", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsHomedirPathGetForUser
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String homedirPathUser;
  public String userName;

  @Output("homedir-path-user")
  @Type("string")
  @Optional
  public void setHomedirPathUser(String paramString)
  {
    this.homedirPathUser = paramString;
  }

  public String getHomedirPathUser()
  {
    return this.homedirPathUser;
  }

  public CifsHomedirPathGetForUser withHomedirPathUser(String paramString)
  {
    this.homedirPathUser = paramString;
    return this;
  }

  @Input("user-name")
  @Type("string")
  public void setUserName(String paramString)
  {
    this.userName = paramString;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public CifsHomedirPathGetForUser withUserName(String paramString)
  {
    this.userName = paramString;
    return this;
  }
}