package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cifs-session-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class CifsSessionListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CifsSessionInfo> cifsSessions;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("cifs-sessions")
  @Type("cifs-session-info[]")
  public void setCifsSessions(List<CifsSessionInfo> paramList)
  {
    this.cifsSessions = paramList;
  }

  public List<CifsSessionInfo> getCifsSessions()
  {
    return this.cifsSessions;
  }

  public CifsSessionListIterNext withCifsSessions(List<CifsSessionInfo> paramList)
  {
    this.cifsSessions = paramList;
    return this;
  }

  public CifsSessionListIterNext withCifsSessions(CifsSessionInfo[] paramArrayOfCifsSessionInfo)
  {
    this.cifsSessions = new ArrayList(Arrays.asList(paramArrayOfCifsSessionInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public CifsSessionListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsSessionListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsSessionListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}