package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-setup-ou-list-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ECIFS_AD_CLOCK_SKEW", "ECIFS_AD_RESET_REQUIRED", "ECIFS_BIND_FAILED", "ECIFS_DC_CONNECT_FAILED", "ECIFS_DNS_REQUIRED", "ECIFS_KRB_CONFLICT", "ECIFS_LIST_UNAVAILABLE", "ECIFS_LOGIN_FAILED", "EINTERNALERROR", "EINVALIDINPUTERROR", "ESVCDISABLED", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsSetupOuListIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String domainName;
  public String loginPassword;
  public String loginUser;
  public Long records;
  public String tag;

  @Input("domain-name")
  @Type("string")
  public void setDomainName(String paramString)
  {
    this.domainName = paramString;
  }

  public String getDomainName()
  {
    return this.domainName;
  }

  public CifsSetupOuListIterStart withDomainName(String paramString)
  {
    this.domainName = paramString;
    return this;
  }

  @Input("login-password")
  @Type("string")
  public void setLoginPassword(String paramString)
  {
    this.loginPassword = paramString;
  }

  public String getLoginPassword()
  {
    return this.loginPassword;
  }

  public CifsSetupOuListIterStart withLoginPassword(String paramString)
  {
    this.loginPassword = paramString;
    return this;
  }

  @Input("login-user")
  @Type("string")
  public void setLoginUser(String paramString)
  {
    this.loginUser = paramString;
  }

  public String getLoginUser()
  {
    return this.loginUser;
  }

  public CifsSetupOuListIterStart withLoginUser(String paramString)
  {
    this.loginUser = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsSetupOuListIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsSetupOuListIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}