package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cifs-setup-site-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class CifsSetupSiteListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> cifsSetupSites;
  public String defaultSite;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("cifs-setup-sites")
  @Type("cifs-setup-site[]")
  public void setCifsSetupSites(List<String> paramList)
  {
    this.cifsSetupSites = paramList;
  }

  public List<String> getCifsSetupSites()
  {
    return this.cifsSetupSites;
  }

  public CifsSetupSiteListIterNext withCifsSetupSites(List<String> paramList)
  {
    this.cifsSetupSites = paramList;
    return this;
  }

  public CifsSetupSiteListIterNext withCifsSetupSites(String[] paramArrayOfString)
  {
    this.cifsSetupSites = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Output("default-site")
  @Type("string")
  @Optional
  public void setDefaultSite(String paramString)
  {
    this.defaultSite = paramString;
  }

  public String getDefaultSite()
  {
    return this.defaultSite;
  }

  public CifsSetupSiteListIterNext withDefaultSite(String paramString)
  {
    this.defaultSite = paramString;
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public CifsSetupSiteListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsSetupSiteListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsSetupSiteListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}