package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-setup-verify-passwd-and-group")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class CifsSetupVerifyPasswdAndGroup
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean groupFileExists;
  public Boolean passwdFileExists;
  public Boolean required;

  @Output("group-file-exists")
  @Type("boolean")
  public void setGroupFileExists(Boolean paramBoolean)
  {
    this.groupFileExists = paramBoolean;
  }

  public Boolean isGroupFileExists()
  {
    return this.groupFileExists;
  }

  public CifsSetupVerifyPasswdAndGroup withGroupFileExists(Boolean paramBoolean)
  {
    this.groupFileExists = paramBoolean;
    return this;
  }

  @Output("passwd-file-exists")
  @Type("boolean")
  public void setPasswdFileExists(Boolean paramBoolean)
  {
    this.passwdFileExists = paramBoolean;
  }

  public Boolean isPasswdFileExists()
  {
    return this.passwdFileExists;
  }

  public CifsSetupVerifyPasswdAndGroup withPasswdFileExists(Boolean paramBoolean)
  {
    this.passwdFileExists = paramBoolean;
    return this;
  }

  @Output("required")
  @Type("boolean")
  public void setRequired(Boolean paramBoolean)
  {
    this.required = paramBoolean;
  }

  public Boolean isRequired()
  {
    return this.required;
  }

  public CifsSetupVerifyPasswdAndGroup withRequired(Boolean paramBoolean)
  {
    this.required = paramBoolean;
    return this;
  }
}