package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("cifs-share-info")
public class CifsShareInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String caching;
  public String description;
  public Long dirUmask;
  public Long fileUmask;
  public String forcegroup;
  public Boolean accessBasedEnum;
  public Boolean symlinkStrictSecurity;
  public Boolean volOffline;
  public Boolean vscan;
  public Boolean vscanread;
  public Boolean widelink;
  public Long maxusers;
  public String mountPoint;
  public String shareName;
  public Long umask;

  @Element("caching")
  @Type("string")
  @Optional
  public void setCaching(String paramString)
  {
    this.caching = paramString;
  }

  public String getCaching()
  {
    return this.caching;
  }

  public CifsShareInfo withCaching(String paramString)
  {
    this.caching = paramString;
    return this;
  }

  @Element("description")
  @Type("string")
  @Optional
  public void setDescription(String paramString)
  {
    this.description = paramString;
  }

  public String getDescription()
  {
    return this.description;
  }

  public CifsShareInfo withDescription(String paramString)
  {
    this.description = paramString;
    return this;
  }

  @Element("dir-umask")
  @Type("integer")
  @Optional
  public void setDirUmask(Long paramLong)
  {
    this.dirUmask = paramLong;
  }

  public Long getDirUmask()
  {
    return this.dirUmask;
  }

  public CifsShareInfo withDirUmask(Long paramLong)
  {
    this.dirUmask = paramLong;
    return this;
  }

  @Element("file-umask")
  @Type("integer")
  @Optional
  public void setFileUmask(Long paramLong)
  {
    this.fileUmask = paramLong;
  }

  public Long getFileUmask()
  {
    return this.fileUmask;
  }

  public CifsShareInfo withFileUmask(Long paramLong)
  {
    this.fileUmask = paramLong;
    return this;
  }

  @Element("forcegroup")
  @Type("string")
  @Optional
  public void setForcegroup(String paramString)
  {
    this.forcegroup = paramString;
  }

  public String getForcegroup()
  {
    return this.forcegroup;
  }

  public CifsShareInfo withForcegroup(String paramString)
  {
    this.forcegroup = paramString;
    return this;
  }

  @Element("is-access-based-enum")
  @Type("boolean")
  @Optional
  public void setAccessBasedEnum(Boolean paramBoolean)
  {
    this.accessBasedEnum = paramBoolean;
  }

  public Boolean isAccessBasedEnum()
  {
    return this.accessBasedEnum;
  }

  public CifsShareInfo withAccessBasedEnum(Boolean paramBoolean)
  {
    this.accessBasedEnum = paramBoolean;
    return this;
  }

  @Element("is-symlink-strict-security")
  @Type("boolean")
  @Optional
  public void setSymlinkStrictSecurity(Boolean paramBoolean)
  {
    this.symlinkStrictSecurity = paramBoolean;
  }

  public Boolean isSymlinkStrictSecurity()
  {
    return this.symlinkStrictSecurity;
  }

  public CifsShareInfo withSymlinkStrictSecurity(Boolean paramBoolean)
  {
    this.symlinkStrictSecurity = paramBoolean;
    return this;
  }

  @Element("is-vol-offline")
  @Type("boolean")
  @Optional
  public void setVolOffline(Boolean paramBoolean)
  {
    this.volOffline = paramBoolean;
  }

  public Boolean isVolOffline()
  {
    return this.volOffline;
  }

  public CifsShareInfo withVolOffline(Boolean paramBoolean)
  {
    this.volOffline = paramBoolean;
    return this;
  }

  @Element("is-vscan")
  @Type("boolean")
  @Optional
  public void setVscan(Boolean paramBoolean)
  {
    this.vscan = paramBoolean;
  }

  public Boolean isVscan()
  {
    return this.vscan;
  }

  public CifsShareInfo withVscan(Boolean paramBoolean)
  {
    this.vscan = paramBoolean;
    return this;
  }

  @Element("is-vscanread")
  @Type("boolean")
  @Optional
  public void setVscanread(Boolean paramBoolean)
  {
    this.vscanread = paramBoolean;
  }

  public Boolean isVscanread()
  {
    return this.vscanread;
  }

  public CifsShareInfo withVscanread(Boolean paramBoolean)
  {
    this.vscanread = paramBoolean;
    return this;
  }

  @Element("is-widelink")
  @Type("boolean")
  @Optional
  public void setWidelink(Boolean paramBoolean)
  {
    this.widelink = paramBoolean;
  }

  public Boolean isWidelink()
  {
    return this.widelink;
  }

  public CifsShareInfo withWidelink(Boolean paramBoolean)
  {
    this.widelink = paramBoolean;
    return this;
  }

  @Element("maxusers")
  @Type("integer")
  @Optional
  public void setMaxusers(Long paramLong)
  {
    this.maxusers = paramLong;
  }

  public Long getMaxusers()
  {
    return this.maxusers;
  }

  public CifsShareInfo withMaxusers(Long paramLong)
  {
    this.maxusers = paramLong;
    return this;
  }

  @Element("mount-point")
  @Type("string")
  public void setMountPoint(String paramString)
  {
    this.mountPoint = paramString;
  }

  public String getMountPoint()
  {
    return this.mountPoint;
  }

  public CifsShareInfo withMountPoint(String paramString)
  {
    this.mountPoint = paramString;
    return this;
  }

  @Element("share-name")
  @Type("string")
  public void setShareName(String paramString)
  {
    this.shareName = paramString;
  }

  public String getShareName()
  {
    return this.shareName;
  }

  public CifsShareInfo withShareName(String paramString)
  {
    this.shareName = paramString;
    return this;
  }

  @Element("umask")
  @Type("integer")
  @Optional
  public void setUmask(Long paramLong)
  {
    this.umask = paramLong;
  }

  public Long getUmask()
  {
    return this.umask;
  }

  public CifsShareInfo withUmask(Long paramLong)
  {
    this.umask = paramLong;
    return this;
  }
}