package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cifs-share-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class CifsShareListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CifsShareInfo> cifsShares;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("cifs-shares")
  @Type("cifs-share-info[]")
  public void setCifsShares(List<CifsShareInfo> paramList)
  {
    this.cifsShares = paramList;
  }

  public List<CifsShareInfo> getCifsShares()
  {
    return this.cifsShares;
  }

  public CifsShareListIterNext withCifsShares(List<CifsShareInfo> paramList)
  {
    this.cifsShares = paramList;
    return this;
  }

  public CifsShareListIterNext withCifsShares(CifsShareInfo[] paramArrayOfCifsShareInfo)
  {
    this.cifsShares = new ArrayList(Arrays.asList(paramArrayOfCifsShareInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public CifsShareListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsShareListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsShareListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}