package com.netapp.filer.clock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("clock-get-timezone")
@Status(StatusEnum.PUBLIC)
@Errno({"ENOTIMEZONESET", "ENOTIMEZONEVERSION"})
@Family({"ontap-c"})
public class ClockGetTimezone
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String timezone;
  public String timezoneUtc;
  public String timezoneVersion;

  @Output("timezone")
  @Type("string")
  public void setTimezone(String paramString)
  {
    this.timezone = paramString;
  }

  public String getTimezone()
  {
    return this.timezone;
  }

  public ClockGetTimezone withTimezone(String paramString)
  {
    this.timezone = paramString;
    return this;
  }

  @Output("timezone-UTC")
  @Type("string")
  public void setTimezoneUtc(String paramString)
  {
    this.timezoneUtc = paramString;
  }

  public String getTimezoneUtc()
  {
    return this.timezoneUtc;
  }

  public ClockGetTimezone withTimezoneUtc(String paramString)
  {
    this.timezoneUtc = paramString;
    return this;
  }

  @Output("timezone-version")
  @Type("string")
  public void setTimezoneVersion(String paramString)
  {
    this.timezoneVersion = paramString;
  }

  public String getTimezoneVersion()
  {
    return this.timezoneVersion;
  }

  public ClockGetTimezone withTimezoneVersion(String paramString)
  {
    this.timezoneVersion = paramString;
    return this;
  }
}