package com.netapp.filer.clock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("clock-set-timezone")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDTIMEZONE", "ETIMEZONEDIFFERENTINRC"})
@Family({"ontap-c"})
public class ClockSetTimezone
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String timezone;

  @Input("timezone")
  @Type("string")
  public void setTimezone(String paramString)
  {
    this.timezone = paramString;
  }

  public String getTimezone()
  {
    return this.timezone;
  }

  public ClockSetTimezone withTimezone(String paramString)
  {
    this.timezone = paramString;
    return this;
  }
}