package com.netapp.filer.clone;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("clone-clear")
@Status(StatusEnum.PUBLIC)
@Errno({"EDENSE_CLONE_DEL_INFO", "EDENSE_CLONE_INVALID_ID", "EDENSE_CLONE_INVALID_UUID", "EDENSE_CLONE_NOT_FAILED", "EDENSE_CLONE_NO_OP", "EDENSE_CLONE_RUNNING_OP", "EDENSE_CLONE_VOL_REVERTING", "EDENSE_FAILOVER", "EDENSE_SHUTDOWN", "EDENSE_VOL_NONEXIST"})
@Family({"ontap-c"})
public class CloneClear
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long cloneId;

  @Input("clone-id")
  @Type("integer")
  public void setCloneId(Long paramLong)
  {
    this.cloneId = paramLong;
  }

  public Long getCloneId()
  {
    return this.cloneId;
  }

  public CloneClear withCloneId(Long paramLong)
  {
    this.cloneId = paramLong;
    return this;
  }
}