package com.netapp.filer.clone;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("clone-id-info")
public class CloneIdInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger cloneOpId;
  public String volumeUuid;

  @Element("clone-op-id")
  @Type("integer")
  @Range(min="1", max="2^64-1")
  public void setCloneOpId(BigInteger paramBigInteger)
  {
    this.cloneOpId = paramBigInteger;
  }

  public BigInteger getCloneOpId()
  {
    return this.cloneOpId;
  }

  public CloneIdInfo withCloneOpId(BigInteger paramBigInteger)
  {
    this.cloneOpId = paramBigInteger;
    return this;
  }

  @Element("volume-uuid")
  @Type("string")
  public void setVolumeUuid(String paramString)
  {
    this.volumeUuid = paramString;
  }

  public String getVolumeUuid()
  {
    return this.volumeUuid;
  }

  public CloneIdInfo withVolumeUuid(String paramString)
  {
    this.volumeUuid = paramString;
    return this;
  }
}