package com.netapp.filer.clone;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("ops-info")
public class OpsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<BlockRange> blockRanges;
  public BigInteger blocksCopied;
  public CloneIdInfo cloneId;
  public String cloneState;
  public String cloneType;
  public String destinationFile;
  public Long error;
  public Integer percentDone;
  public String reason;
  public String sourceFile;
  public BigInteger totalBlocks;

  @Element("block-ranges")
  @Type("block-range[]")
  @Optional
  public void setBlockRanges(List<BlockRange> paramList)
  {
    this.blockRanges = paramList;
  }

  public List<BlockRange> getBlockRanges()
  {
    return this.blockRanges;
  }

  public OpsInfo withBlockRanges(List<BlockRange> paramList)
  {
    this.blockRanges = paramList;
    return this;
  }

  public OpsInfo withBlockRanges(BlockRange[] paramArrayOfBlockRange)
  {
    this.blockRanges = new ArrayList(Arrays.asList(paramArrayOfBlockRange));
    return this;
  }

  @Element("blocks-copied")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setBlocksCopied(BigInteger paramBigInteger)
  {
    this.blocksCopied = paramBigInteger;
  }

  public BigInteger getBlocksCopied()
  {
    return this.blocksCopied;
  }

  public OpsInfo withBlocksCopied(BigInteger paramBigInteger)
  {
    this.blocksCopied = paramBigInteger;
    return this;
  }

  @Element("clone-id")
  @Type("clone-id-info")
  @Optional
  public void setCloneId(CloneIdInfo paramCloneIdInfo)
  {
    this.cloneId = paramCloneIdInfo;
  }

  public CloneIdInfo getCloneId()
  {
    return this.cloneId;
  }

  public OpsInfo withCloneId(CloneIdInfo paramCloneIdInfo)
  {
    this.cloneId = paramCloneIdInfo;
    return this;
  }

  @Element("clone-state")
  @Type("string")
  public void setCloneState(String paramString)
  {
    this.cloneState = paramString;
  }

  public String getCloneState()
  {
    return this.cloneState;
  }

  public OpsInfo withCloneState(String paramString)
  {
    this.cloneState = paramString;
    return this;
  }

  @Element("clone-type")
  @Type("string")
  @Optional
  public void setCloneType(String paramString)
  {
    this.cloneType = paramString;
  }

  public String getCloneType()
  {
    return this.cloneType;
  }

  public OpsInfo withCloneType(String paramString)
  {
    this.cloneType = paramString;
    return this;
  }

  @Element("destination-file")
  @Type("string")
  @Optional
  public void setDestinationFile(String paramString)
  {
    this.destinationFile = paramString;
  }

  public String getDestinationFile()
  {
    return this.destinationFile;
  }

  public OpsInfo withDestinationFile(String paramString)
  {
    this.destinationFile = paramString;
    return this;
  }

  @Element("error")
  @Type("integer")
  @Optional
  public void setError(Long paramLong)
  {
    this.error = paramLong;
  }

  public Long getError()
  {
    return this.error;
  }

  public OpsInfo withError(Long paramLong)
  {
    this.error = paramLong;
    return this;
  }

  @Element("percent-done")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setPercentDone(Integer paramInteger)
  {
    this.percentDone = paramInteger;
  }

  public Integer getPercentDone()
  {
    return this.percentDone;
  }

  public OpsInfo withPercentDone(Integer paramInteger)
  {
    this.percentDone = paramInteger;
    return this;
  }

  @Element("reason")
  @Type("string")
  @Optional
  public void setReason(String paramString)
  {
    this.reason = paramString;
  }

  public String getReason()
  {
    return this.reason;
  }

  public OpsInfo withReason(String paramString)
  {
    this.reason = paramString;
    return this;
  }

  @Element("source-file")
  @Type("string")
  @Optional
  public void setSourceFile(String paramString)
  {
    this.sourceFile = paramString;
  }

  public String getSourceFile()
  {
    return this.sourceFile;
  }

  public OpsInfo withSourceFile(String paramString)
  {
    this.sourceFile = paramString;
    return this;
  }

  @Element("total-blocks")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setTotalBlocks(BigInteger paramBigInteger)
  {
    this.totalBlocks = paramBigInteger;
  }

  public BigInteger getTotalBlocks()
  {
    return this.totalBlocks;
  }

  public OpsInfo withTotalBlocks(BigInteger paramBigInteger)
  {
    this.totalBlocks = paramBigInteger;
    return this;
  }
}