package com.netapp.filer.consistency;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cg-commit")
@Status(StatusEnum.PUBLIC)
@Errno({"ECGERROR", "ECGOFF", "ECGSNAPERR", "EONTAPI_EINVAL", "EONTAPI_ETIMEDOUT"})
@Family({"ontap-c", "vfiler"})
public class CgCommit
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long cgId;

  @Input("cg-id")
  @Type("integer")
  public void setCgId(Long paramLong)
  {
    this.cgId = paramLong;
  }

  public Long getCgId()
  {
    return this.cgId;
  }

  public CgCommit withCgId(Long paramLong)
  {
    this.cgId = paramLong;
    return this;
  }
}