package com.netapp.filer.consistency;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cg-delete")
@Status(StatusEnum.PUBLIC)
@Errno({"ECGERROR", "ECGOFF", "ECGSNAPERR", "EONTAPI_EINVAL"})
@Family({"ontap-c"})
public class CgDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String snapshot;
  public List<String> volumes;

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public CgDelete withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("volumes")
  @Type("volume-name[]")
  public void setVolumes(List<String> paramList)
  {
    this.volumes = paramList;
  }

  public List<String> getVolumes()
  {
    return this.volumes;
  }

  public CgDelete withVolumes(List<String> paramList)
  {
    this.volumes = paramList;
    return this;
  }

  public CgDelete withVolumes(String[] paramArrayOfString)
  {
    this.volumes = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}