package com.netapp.filer.coredump;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("config-detail-info")
public class ConfigDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer asyncBlocks;
  public Integer asyncDisks;
  public String dumptype;
  public Integer neededBlocks;
  public Integer neededDisks;
  public Boolean noSpares;
  public Integer partialDisks;
  public Integer partialDumps;
  public Boolean supportsSpraycore;
  public Integer totalDisks;
  public Integer usedDisks;
  public Integer usedDumps;

  @Element("async-blocks")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setAsyncBlocks(Integer paramInteger)
  {
    this.asyncBlocks = paramInteger;
  }

  public Integer getAsyncBlocks()
  {
    return this.asyncBlocks;
  }

  public ConfigDetailInfo withAsyncBlocks(Integer paramInteger)
  {
    this.asyncBlocks = paramInteger;
    return this;
  }

  @Element("async-disks")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setAsyncDisks(Integer paramInteger)
  {
    this.asyncDisks = paramInteger;
  }

  public Integer getAsyncDisks()
  {
    return this.asyncDisks;
  }

  public ConfigDetailInfo withAsyncDisks(Integer paramInteger)
  {
    this.asyncDisks = paramInteger;
    return this;
  }

  @Element("dumptype")
  @Type("string")
  public void setDumptype(String paramString)
  {
    this.dumptype = paramString;
  }

  public String getDumptype()
  {
    return this.dumptype;
  }

  public ConfigDetailInfo withDumptype(String paramString)
  {
    this.dumptype = paramString;
    return this;
  }

  @Element("needed-blocks")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setNeededBlocks(Integer paramInteger)
  {
    this.neededBlocks = paramInteger;
  }

  public Integer getNeededBlocks()
  {
    return this.neededBlocks;
  }

  public ConfigDetailInfo withNeededBlocks(Integer paramInteger)
  {
    this.neededBlocks = paramInteger;
    return this;
  }

  @Element("needed-disks")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setNeededDisks(Integer paramInteger)
  {
    this.neededDisks = paramInteger;
  }

  public Integer getNeededDisks()
  {
    return this.neededDisks;
  }

  public ConfigDetailInfo withNeededDisks(Integer paramInteger)
  {
    this.neededDisks = paramInteger;
    return this;
  }

  @Element("no-spares")
  @Type("boolean")
  public void setNoSpares(Boolean paramBoolean)
  {
    this.noSpares = paramBoolean;
  }

  public Boolean isNoSpares()
  {
    return this.noSpares;
  }

  public ConfigDetailInfo withNoSpares(Boolean paramBoolean)
  {
    this.noSpares = paramBoolean;
    return this;
  }

  @Element("partial-disks")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setPartialDisks(Integer paramInteger)
  {
    this.partialDisks = paramInteger;
  }

  public Integer getPartialDisks()
  {
    return this.partialDisks;
  }

  public ConfigDetailInfo withPartialDisks(Integer paramInteger)
  {
    this.partialDisks = paramInteger;
    return this;
  }

  @Element("partial-dumps")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setPartialDumps(Integer paramInteger)
  {
    this.partialDumps = paramInteger;
  }

  public Integer getPartialDumps()
  {
    return this.partialDumps;
  }

  public ConfigDetailInfo withPartialDumps(Integer paramInteger)
  {
    this.partialDumps = paramInteger;
    return this;
  }

  @Element("supports-spraycore")
  @Type("boolean")
  public void setSupportsSpraycore(Boolean paramBoolean)
  {
    this.supportsSpraycore = paramBoolean;
  }

  public Boolean isSupportsSpraycore()
  {
    return this.supportsSpraycore;
  }

  public ConfigDetailInfo withSupportsSpraycore(Boolean paramBoolean)
  {
    this.supportsSpraycore = paramBoolean;
    return this;
  }

  @Element("total-disks")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setTotalDisks(Integer paramInteger)
  {
    this.totalDisks = paramInteger;
  }

  public Integer getTotalDisks()
  {
    return this.totalDisks;
  }

  public ConfigDetailInfo withTotalDisks(Integer paramInteger)
  {
    this.totalDisks = paramInteger;
    return this;
  }

  @Element("used-disks")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setUsedDisks(Integer paramInteger)
  {
    this.usedDisks = paramInteger;
  }

  public Integer getUsedDisks()
  {
    return this.usedDisks;
  }

  public ConfigDetailInfo withUsedDisks(Integer paramInteger)
  {
    this.usedDisks = paramInteger;
    return this;
  }

  @Element("used-dumps")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setUsedDumps(Integer paramInteger)
  {
    this.usedDumps = paramInteger;
  }

  public Integer getUsedDumps()
  {
    return this.usedDumps;
  }

  public ConfigDetailInfo withUsedDumps(Integer paramInteger)
  {
    this.usedDumps = paramInteger;
    return this;
  }
}