package com.netapp.filer.coredump;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("coredump-configure")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-d"})
public class CoredumpConfigure
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer dumpAttempts;
  public Long minfree;
  public Integer saveAttempts;
  public Boolean sparsecore;

  @Input("dump-attempts")
  @Type("integer")
  @Range(min="0", max="10")
  public void setDumpAttempts(Integer paramInteger)
  {
    this.dumpAttempts = paramInteger;
  }

  public Integer getDumpAttempts()
  {
    return this.dumpAttempts;
  }

  public CoredumpConfigure withDumpAttempts(Integer paramInteger)
  {
    this.dumpAttempts = paramInteger;
    return this;
  }

  @Input("minfree")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setMinfree(Long paramLong)
  {
    this.minfree = paramLong;
  }

  public Long getMinfree()
  {
    return this.minfree;
  }

  public CoredumpConfigure withMinfree(Long paramLong)
  {
    this.minfree = paramLong;
    return this;
  }

  @Input("save-attempts")
  @Type("integer")
  @Range(min="0", max="10")
  public void setSaveAttempts(Integer paramInteger)
  {
    this.saveAttempts = paramInteger;
  }

  public Integer getSaveAttempts()
  {
    return this.saveAttempts;
  }

  public CoredumpConfigure withSaveAttempts(Integer paramInteger)
  {
    this.saveAttempts = paramInteger;
    return this;
  }

  @Input("sparsecore")
  @Type("boolean")
  public void setSparsecore(Boolean paramBoolean)
  {
    this.sparsecore = paramBoolean;
  }

  public Boolean isSparsecore()
  {
    return this.sparsecore;
  }

  public CoredumpConfigure withSparsecore(Boolean paramBoolean)
  {
    this.sparsecore = paramBoolean;
    return this;
  }
}