package com.netapp.filer.coredump;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("coredump-list-cores-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"ECOREDUMPBUSY", "ECOREDUMPNOTINITIALIZED", "EINTERNALERROR"})
@Family({"ontap-d"})
public class CoredumpListCoresIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String nextTag;

  @Output("next-tag")
  @Type("string")
  public void setNextTag(String paramString)
  {
    this.nextTag = paramString;
  }

  public String getNextTag()
  {
    return this.nextTag;
  }

  public CoredumpListCoresIterStart withNextTag(String paramString)
  {
    this.nextTag = paramString;
    return this;
  }
}