package com.netapp.filer.coredump;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("coredump-save")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "ENOTINMAINTMODE", "ENOTINREADONLYMODE", "ENOTWHILEWAITINGFORGIVEBACK"})
@Family({"ontap-d"})
public class CoredumpSave
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long coreid;
  public Boolean force;

  @Input("coreid")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^63-1")
  public void setCoreid(Long paramLong)
  {
    this.coreid = paramLong;
  }

  public Long getCoreid()
  {
    return this.coreid;
  }

  public CoredumpSave withCoreid(Long paramLong)
  {
    this.coreid = paramLong;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public CoredumpSave withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }
}