package com.netapp.filer.dfm;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("dfm-get-server-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class DfmGetServerInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String dfmServer;
  public Boolean dfmCrossLinked;
  public Integer port;
  public String protocol;

  @Output("dfm-server")
  @Type("string")
  public void setDfmServer(String paramString)
  {
    this.dfmServer = paramString;
  }

  public String getDfmServer()
  {
    return this.dfmServer;
  }

  public DfmGetServerInfo withDfmServer(String paramString)
  {
    this.dfmServer = paramString;
    return this;
  }

  @Output("is-dfm-cross-linked")
  @Type("boolean")
  public void setDfmCrossLinked(Boolean paramBoolean)
  {
    this.dfmCrossLinked = paramBoolean;
  }

  public Boolean isDfmCrossLinked()
  {
    return this.dfmCrossLinked;
  }

  public DfmGetServerInfo withDfmCrossLinked(Boolean paramBoolean)
  {
    this.dfmCrossLinked = paramBoolean;
    return this;
  }

  @Output("port")
  @Type("integer")
  @Optional
  @Range(min="1", max="2^16-1")
  public void setPort(Integer paramInteger)
  {
    this.port = paramInteger;
  }

  public Integer getPort()
  {
    return this.port;
  }

  public DfmGetServerInfo withPort(Integer paramInteger)
  {
    this.port = paramInteger;
    return this;
  }

  @Output("protocol")
  @Type("string")
  @Optional
  public void setProtocol(String paramString)
  {
    this.protocol = paramString;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public DfmGetServerInfo withProtocol(String paramString)
  {
    this.protocol = paramString;
    return this;
  }
}