package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("disk-detail-info")
public class DiskDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public String bay;
  public BigInteger blocksRead;
  public BigInteger blocksWritten;
  public String brokenDetails;
  public Integer bytesPerSector;
  public String checksumCompatibility;
  public String copyDestination;
  public Integer copyPercent;
  public String diskModel;
  public String diskType;
  public String diskUid;
  public String effectiveDiskType;
  public String firmwareRevision;
  public BigInteger grownDefectListCount;
  public String hostAdapter;
  public Integer id;
  public Boolean dynamicallyQualified;
  public Boolean offline;
  public Boolean prefailed;
  public Boolean replacing;
  public Boolean zeroed;
  public String name;
  public BigInteger physicalBlocks;
  public BigInteger physicalSpace;
  public String plex;
  public String pool;
  public String port;
  public String portName;
  public BigInteger poweronHours;
  public String raidGroup;
  public String raidState;
  public String raidType;
  public BigInteger rawDiskSectors;
  public Integer reconstructionPercent;
  public Long rpm;
  public BigInteger scrubCount;
  public BigInteger scrubLastDone;
  public String secondaryName;
  public String secondaryPort;
  public String serialNumber;
  public String shelf;
  public BigInteger shmTimeInterval;
  public BigInteger usedBlocks;
  public BigInteger usedSpace;
  public VSeriesDetailInfo vSeriesDetailInfo;
  public String vendorId;
  public String volume;
  public Integer zeroingPercent;

  @Element("aggregate")
  @Type("string")
  @Optional
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public DiskDetailInfo withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Element("bay")
  @Type("string")
  public void setBay(String paramString)
  {
    this.bay = paramString;
  }

  public String getBay()
  {
    return this.bay;
  }

  public DiskDetailInfo withBay(String paramString)
  {
    this.bay = paramString;
    return this;
  }

  @Element("blocks-read")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setBlocksRead(BigInteger paramBigInteger)
  {
    this.blocksRead = paramBigInteger;
  }

  public BigInteger getBlocksRead()
  {
    return this.blocksRead;
  }

  public DiskDetailInfo withBlocksRead(BigInteger paramBigInteger)
  {
    this.blocksRead = paramBigInteger;
    return this;
  }

  @Element("blocks-written")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setBlocksWritten(BigInteger paramBigInteger)
  {
    this.blocksWritten = paramBigInteger;
  }

  public BigInteger getBlocksWritten()
  {
    return this.blocksWritten;
  }

  public DiskDetailInfo withBlocksWritten(BigInteger paramBigInteger)
  {
    this.blocksWritten = paramBigInteger;
    return this;
  }

  @Element("broken-details")
  @Type("string")
  @Optional
  public void setBrokenDetails(String paramString)
  {
    this.brokenDetails = paramString;
  }

  public String getBrokenDetails()
  {
    return this.brokenDetails;
  }

  public DiskDetailInfo withBrokenDetails(String paramString)
  {
    this.brokenDetails = paramString;
    return this;
  }

  @Element("bytes-per-sector")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setBytesPerSector(Integer paramInteger)
  {
    this.bytesPerSector = paramInteger;
  }

  public Integer getBytesPerSector()
  {
    return this.bytesPerSector;
  }

  public DiskDetailInfo withBytesPerSector(Integer paramInteger)
  {
    this.bytesPerSector = paramInteger;
    return this;
  }

  @Element("checksum-compatibility")
  @Type("string")
  public void setChecksumCompatibility(String paramString)
  {
    this.checksumCompatibility = paramString;
  }

  public String getChecksumCompatibility()
  {
    return this.checksumCompatibility;
  }

  public DiskDetailInfo withChecksumCompatibility(String paramString)
  {
    this.checksumCompatibility = paramString;
    return this;
  }

  @Element("copy-destination")
  @Type("string")
  @Optional
  public void setCopyDestination(String paramString)
  {
    this.copyDestination = paramString;
  }

  public String getCopyDestination()
  {
    return this.copyDestination;
  }

  public DiskDetailInfo withCopyDestination(String paramString)
  {
    this.copyDestination = paramString;
    return this;
  }

  @Element("copy-percent")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setCopyPercent(Integer paramInteger)
  {
    this.copyPercent = paramInteger;
  }

  public Integer getCopyPercent()
  {
    return this.copyPercent;
  }

  public DiskDetailInfo withCopyPercent(Integer paramInteger)
  {
    this.copyPercent = paramInteger;
    return this;
  }

  @Element("disk-model")
  @Type("string")
  public void setDiskModel(String paramString)
  {
    this.diskModel = paramString;
  }

  public String getDiskModel()
  {
    return this.diskModel;
  }

  public DiskDetailInfo withDiskModel(String paramString)
  {
    this.diskModel = paramString;
    return this;
  }

  @Element("disk-type")
  @Type("string")
  public void setDiskType(String paramString)
  {
    this.diskType = paramString;
  }

  public String getDiskType()
  {
    return this.diskType;
  }

  public DiskDetailInfo withDiskType(String paramString)
  {
    this.diskType = paramString;
    return this;
  }

  @Element("disk-uid")
  @Type("string")
  public void setDiskUid(String paramString)
  {
    this.diskUid = paramString;
  }

  public String getDiskUid()
  {
    return this.diskUid;
  }

  public DiskDetailInfo withDiskUid(String paramString)
  {
    this.diskUid = paramString;
    return this;
  }

  @Element("effective-disk-type")
  @Type("string")
  public void setEffectiveDiskType(String paramString)
  {
    this.effectiveDiskType = paramString;
  }

  public String getEffectiveDiskType()
  {
    return this.effectiveDiskType;
  }

  public DiskDetailInfo withEffectiveDiskType(String paramString)
  {
    this.effectiveDiskType = paramString;
    return this;
  }

  @Element("firmware-revision")
  @Type("string")
  public void setFirmwareRevision(String paramString)
  {
    this.firmwareRevision = paramString;
  }

  public String getFirmwareRevision()
  {
    return this.firmwareRevision;
  }

  public DiskDetailInfo withFirmwareRevision(String paramString)
  {
    this.firmwareRevision = paramString;
    return this;
  }

  @Element("grown-defect-list-count")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setGrownDefectListCount(BigInteger paramBigInteger)
  {
    this.grownDefectListCount = paramBigInteger;
  }

  public BigInteger getGrownDefectListCount()
  {
    return this.grownDefectListCount;
  }

  public DiskDetailInfo withGrownDefectListCount(BigInteger paramBigInteger)
  {
    this.grownDefectListCount = paramBigInteger;
    return this;
  }

  @Element("host-adapter")
  @Type("string")
  public void setHostAdapter(String paramString)
  {
    this.hostAdapter = paramString;
  }

  public String getHostAdapter()
  {
    return this.hostAdapter;
  }

  public DiskDetailInfo withHostAdapter(String paramString)
  {
    this.hostAdapter = paramString;
    return this;
  }

  @Element("id")
  @Type("integer")
  @Range(min="-2^31", max="2^31-1")
  public void setId(Integer paramInteger)
  {
    this.id = paramInteger;
  }

  public Integer getId()
  {
    return this.id;
  }

  public DiskDetailInfo withId(Integer paramInteger)
  {
    this.id = paramInteger;
    return this;
  }

  @Element("is-dynamically-qualified")
  @Type("boolean")
  public void setDynamicallyQualified(Boolean paramBoolean)
  {
    this.dynamicallyQualified = paramBoolean;
  }

  public Boolean isDynamicallyQualified()
  {
    return this.dynamicallyQualified;
  }

  public DiskDetailInfo withDynamicallyQualified(Boolean paramBoolean)
  {
    this.dynamicallyQualified = paramBoolean;
    return this;
  }

  @Element("is-offline")
  @Type("boolean")
  @Optional
  public void setOffline(Boolean paramBoolean)
  {
    this.offline = paramBoolean;
  }

  public Boolean isOffline()
  {
    return this.offline;
  }

  public DiskDetailInfo withOffline(Boolean paramBoolean)
  {
    this.offline = paramBoolean;
    return this;
  }

  @Element("is-prefailed")
  @Type("boolean")
  @Optional
  public void setPrefailed(Boolean paramBoolean)
  {
    this.prefailed = paramBoolean;
  }

  public Boolean isPrefailed()
  {
    return this.prefailed;
  }

  public DiskDetailInfo withPrefailed(Boolean paramBoolean)
  {
    this.prefailed = paramBoolean;
    return this;
  }

  @Element("is-replacing")
  @Type("boolean")
  @Optional
  public void setReplacing(Boolean paramBoolean)
  {
    this.replacing = paramBoolean;
  }

  public Boolean isReplacing()
  {
    return this.replacing;
  }

  public DiskDetailInfo withReplacing(Boolean paramBoolean)
  {
    this.replacing = paramBoolean;
    return this;
  }

  @Element("is-zeroed")
  @Type("boolean")
  @Optional
  public void setZeroed(Boolean paramBoolean)
  {
    this.zeroed = paramBoolean;
  }

  public Boolean isZeroed()
  {
    return this.zeroed;
  }

  public DiskDetailInfo withZeroed(Boolean paramBoolean)
  {
    this.zeroed = paramBoolean;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public DiskDetailInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("physical-blocks")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setPhysicalBlocks(BigInteger paramBigInteger)
  {
    this.physicalBlocks = paramBigInteger;
  }

  public BigInteger getPhysicalBlocks()
  {
    return this.physicalBlocks;
  }

  public DiskDetailInfo withPhysicalBlocks(BigInteger paramBigInteger)
  {
    this.physicalBlocks = paramBigInteger;
    return this;
  }

  @Element("physical-space")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setPhysicalSpace(BigInteger paramBigInteger)
  {
    this.physicalSpace = paramBigInteger;
  }

  public BigInteger getPhysicalSpace()
  {
    return this.physicalSpace;
  }

  public DiskDetailInfo withPhysicalSpace(BigInteger paramBigInteger)
  {
    this.physicalSpace = paramBigInteger;
    return this;
  }

  @Element("plex")
  @Type("string")
  @Optional
  public void setPlex(String paramString)
  {
    this.plex = paramString;
  }

  public String getPlex()
  {
    return this.plex;
  }

  public DiskDetailInfo withPlex(String paramString)
  {
    this.plex = paramString;
    return this;
  }

  @Element("pool")
  @Type("string")
  @Optional
  public void setPool(String paramString)
  {
    this.pool = paramString;
  }

  public String getPool()
  {
    return this.pool;
  }

  public DiskDetailInfo withPool(String paramString)
  {
    this.pool = paramString;
    return this;
  }

  @Element("port")
  @Type("string")
  public void setPort(String paramString)
  {
    this.port = paramString;
  }

  public String getPort()
  {
    return this.port;
  }

  public DiskDetailInfo withPort(String paramString)
  {
    this.port = paramString;
    return this;
  }

  @Element("port-name")
  @Type("string")
  public void setPortName(String paramString)
  {
    this.portName = paramString;
  }

  public String getPortName()
  {
    return this.portName;
  }

  public DiskDetailInfo withPortName(String paramString)
  {
    this.portName = paramString;
    return this;
  }

  @Element("poweron-hours")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setPoweronHours(BigInteger paramBigInteger)
  {
    this.poweronHours = paramBigInteger;
  }

  public BigInteger getPoweronHours()
  {
    return this.poweronHours;
  }

  public DiskDetailInfo withPoweronHours(BigInteger paramBigInteger)
  {
    this.poweronHours = paramBigInteger;
    return this;
  }

  @Element("raid-group")
  @Type("string")
  @Optional
  public void setRaidGroup(String paramString)
  {
    this.raidGroup = paramString;
  }

  public String getRaidGroup()
  {
    return this.raidGroup;
  }

  public DiskDetailInfo withRaidGroup(String paramString)
  {
    this.raidGroup = paramString;
    return this;
  }

  @Element("raid-state")
  @Type("string")
  public void setRaidState(String paramString)
  {
    this.raidState = paramString;
  }

  public String getRaidState()
  {
    return this.raidState;
  }

  public DiskDetailInfo withRaidState(String paramString)
  {
    this.raidState = paramString;
    return this;
  }

  @Element("raid-type")
  @Type("string")
  public void setRaidType(String paramString)
  {
    this.raidType = paramString;
  }

  public String getRaidType()
  {
    return this.raidType;
  }

  public DiskDetailInfo withRaidType(String paramString)
  {
    this.raidType = paramString;
    return this;
  }

  @Element("raw-disk-sectors")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRawDiskSectors(BigInteger paramBigInteger)
  {
    this.rawDiskSectors = paramBigInteger;
  }

  public BigInteger getRawDiskSectors()
  {
    return this.rawDiskSectors;
  }

  public DiskDetailInfo withRawDiskSectors(BigInteger paramBigInteger)
  {
    this.rawDiskSectors = paramBigInteger;
    return this;
  }

  @Element("reconstruction-percent")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setReconstructionPercent(Integer paramInteger)
  {
    this.reconstructionPercent = paramInteger;
  }

  public Integer getReconstructionPercent()
  {
    return this.reconstructionPercent;
  }

  public DiskDetailInfo withReconstructionPercent(Integer paramInteger)
  {
    this.reconstructionPercent = paramInteger;
    return this;
  }

  @Element("rpm")
  @Type("integer")
  @Optional
  public void setRpm(Long paramLong)
  {
    this.rpm = paramLong;
  }

  public Long getRpm()
  {
    return this.rpm;
  }

  public DiskDetailInfo withRpm(Long paramLong)
  {
    this.rpm = paramLong;
    return this;
  }

  @Element("scrub-count")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setScrubCount(BigInteger paramBigInteger)
  {
    this.scrubCount = paramBigInteger;
  }

  public BigInteger getScrubCount()
  {
    return this.scrubCount;
  }

  public DiskDetailInfo withScrubCount(BigInteger paramBigInteger)
  {
    this.scrubCount = paramBigInteger;
    return this;
  }

  @Element("scrub-last-done")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setScrubLastDone(BigInteger paramBigInteger)
  {
    this.scrubLastDone = paramBigInteger;
  }

  public BigInteger getScrubLastDone()
  {
    return this.scrubLastDone;
  }

  public DiskDetailInfo withScrubLastDone(BigInteger paramBigInteger)
  {
    this.scrubLastDone = paramBigInteger;
    return this;
  }

  @Element("secondary-name")
  @Type("string")
  public void setSecondaryName(String paramString)
  {
    this.secondaryName = paramString;
  }

  public String getSecondaryName()
  {
    return this.secondaryName;
  }

  public DiskDetailInfo withSecondaryName(String paramString)
  {
    this.secondaryName = paramString;
    return this;
  }

  @Element("secondary-port")
  @Type("string")
  public void setSecondaryPort(String paramString)
  {
    this.secondaryPort = paramString;
  }

  public String getSecondaryPort()
  {
    return this.secondaryPort;
  }

  public DiskDetailInfo withSecondaryPort(String paramString)
  {
    this.secondaryPort = paramString;
    return this;
  }

  @Element("serial-number")
  @Type("string")
  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public DiskDetailInfo withSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
    return this;
  }

  @Element("shelf")
  @Type("string")
  public void setShelf(String paramString)
  {
    this.shelf = paramString;
  }

  public String getShelf()
  {
    return this.shelf;
  }

  public DiskDetailInfo withShelf(String paramString)
  {
    this.shelf = paramString;
    return this;
  }

  @Element("shm-time-interval")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setShmTimeInterval(BigInteger paramBigInteger)
  {
    this.shmTimeInterval = paramBigInteger;
  }

  public BigInteger getShmTimeInterval()
  {
    return this.shmTimeInterval;
  }

  public DiskDetailInfo withShmTimeInterval(BigInteger paramBigInteger)
  {
    this.shmTimeInterval = paramBigInteger;
    return this;
  }

  @Element("used-blocks")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setUsedBlocks(BigInteger paramBigInteger)
  {
    this.usedBlocks = paramBigInteger;
  }

  public BigInteger getUsedBlocks()
  {
    return this.usedBlocks;
  }

  public DiskDetailInfo withUsedBlocks(BigInteger paramBigInteger)
  {
    this.usedBlocks = paramBigInteger;
    return this;
  }

  @Element("used-space")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setUsedSpace(BigInteger paramBigInteger)
  {
    this.usedSpace = paramBigInteger;
  }

  public BigInteger getUsedSpace()
  {
    return this.usedSpace;
  }

  public DiskDetailInfo withUsedSpace(BigInteger paramBigInteger)
  {
    this.usedSpace = paramBigInteger;
    return this;
  }

  @Element("v-series-detail-info")
  @Type("v-series-detail-info")
  @Optional
  public void setVSeriesDetailInfo(VSeriesDetailInfo paramVSeriesDetailInfo)
  {
    this.vSeriesDetailInfo = paramVSeriesDetailInfo;
  }

  public VSeriesDetailInfo getVSeriesDetailInfo()
  {
    return this.vSeriesDetailInfo;
  }

  public DiskDetailInfo withVSeriesDetailInfo(VSeriesDetailInfo paramVSeriesDetailInfo)
  {
    this.vSeriesDetailInfo = paramVSeriesDetailInfo;
    return this;
  }

  @Element("vendor-id")
  @Type("string")
  public void setVendorId(String paramString)
  {
    this.vendorId = paramString;
  }

  public String getVendorId()
  {
    return this.vendorId;
  }

  public DiskDetailInfo withVendorId(String paramString)
  {
    this.vendorId = paramString;
    return this;
  }

  @Element("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public DiskDetailInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }

  @Element("zeroing-percent")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setZeroingPercent(Integer paramInteger)
  {
    this.zeroingPercent = paramInteger;
  }

  public Integer getZeroingPercent()
  {
    return this.zeroingPercent;
  }

  public DiskDetailInfo withZeroingPercent(Integer paramInteger)
  {
    this.zeroingPercent = paramInteger;
    return this;
  }
}