package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKNOTFOUND", "EINTERNALERROR"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class DiskListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String disk;
  public List<DiskDetailInfo> diskDetails;

  @Input("disk")
  @Type("string")
  @Optional
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskListInfo withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }

  @Output("disk-details")
  @Type("disk-detail-info[]")
  public void setDiskDetails(List<DiskDetailInfo> paramList)
  {
    this.diskDetails = paramList;
  }

  public List<DiskDetailInfo> getDiskDetails()
  {
    return this.diskDetails;
  }

  public DiskListInfo withDiskDetails(List<DiskDetailInfo> paramList)
  {
    this.diskDetails = paramList;
    return this;
  }

  public DiskListInfo withDiskDetails(DiskDetailInfo[] paramArrayOfDiskDetailInfo)
  {
    this.diskDetails = new ArrayList(Arrays.asList(paramArrayOfDiskDetailInfo));
    return this;
  }
}