package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("disk-remove")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKNOTFOUND", "EDISKNOTSPARE", "EINTERNALERROR", "ENOTSTARTED", "ESAVECOREDISK"})
@Family({"ontap-c", "ontap-d"})
public class DiskRemove
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String disk;

  @Input("disk")
  @Type("string")
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskRemove withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }
}