package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("disk-replace-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EALREADYSTARTED", "EDISKINRAIDZEROVOL", "EDISKISSPARE", "EDISKNOTFOUND", "EDISKNOTSPARE", "EDISKTOOSMALL", "EINTERNALERROR", "ENOTDISKOWNER", "ERAIDGROUPDEGRADED", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "ontap-d"})
public class DiskReplaceStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String disk;
  public Boolean force;
  public String replacementDisk;

  @Input("disk")
  @Type("string")
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskReplaceStart withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public DiskReplaceStart withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("replacement-disk")
  @Type("string")
  public void setReplacementDisk(String paramString)
  {
    this.replacementDisk = paramString;
  }

  public String getReplacementDisk()
  {
    return this.replacementDisk;
  }

  public DiskReplaceStart withReplacementDisk(String paramString)
  {
    this.replacementDisk = paramString;
    return this;
  }
}