package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("disk-replace-stop")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKISSPARE", "EDISKNOTFOUND", "EINTERNALERROR", "ENOTSTARTED"})
@Family({"ontap-c", "ontap-d"})
public class DiskReplaceStop
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String disk;

  @Input("disk")
  @Type("string")
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskReplaceStop withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }
}