package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("disk-sanown-assign")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKNOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR", "EINVALIDOWNER"})
@Family({"ontap-c", "ontap-d"})
public class DiskSanownAssign
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean auto;
  public String checksum;
  public String disk;
  public Boolean force;
  public String owner;
  public Long ownerId;
  public Long pool;

  @Input("auto")
  @Type("boolean")
  @Optional
  public void setAuto(Boolean paramBoolean)
  {
    this.auto = paramBoolean;
  }

  public Boolean isAuto()
  {
    return this.auto;
  }

  public DiskSanownAssign withAuto(Boolean paramBoolean)
  {
    this.auto = paramBoolean;
    return this;
  }

  @Input("checksum")
  @Type("string")
  @Optional
  public void setChecksum(String paramString)
  {
    this.checksum = paramString;
  }

  public String getChecksum()
  {
    return this.checksum;
  }

  public DiskSanownAssign withChecksum(String paramString)
  {
    this.checksum = paramString;
    return this;
  }

  @Input("disk")
  @Type("string")
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskSanownAssign withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public DiskSanownAssign withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("owner")
  @Type("string")
  @Optional
  public void setOwner(String paramString)
  {
    this.owner = paramString;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public DiskSanownAssign withOwner(String paramString)
  {
    this.owner = paramString;
    return this;
  }

  @Input("owner-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setOwnerId(Long paramLong)
  {
    this.ownerId = paramLong;
  }

  public Long getOwnerId()
  {
    return this.ownerId;
  }

  public DiskSanownAssign withOwnerId(Long paramLong)
  {
    this.ownerId = paramLong;
    return this;
  }

  @Input("pool")
  @Type("integer")
  @Optional
  public void setPool(Long paramLong)
  {
    this.pool = paramLong;
  }

  public Long getPool()
  {
    return this.pool;
  }

  public DiskSanownAssign withPool(Long paramLong)
  {
    this.pool = paramLong;
    return this;
  }
}