package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("disk-sanown-detail-info")
public class DiskSanownDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String checksum;
  public String home;
  public Long homeId;
  public Boolean failed;
  public String name;
  public String owner;
  public Long ownerId;
  public Long pool;
  public Long reservedBy;
  public String serialNo;
  public String type;

  @Element("checksum")
  @Type("string")
  @Optional
  public void setChecksum(String paramString)
  {
    this.checksum = paramString;
  }

  public String getChecksum()
  {
    return this.checksum;
  }

  public DiskSanownDetailInfo withChecksum(String paramString)
  {
    this.checksum = paramString;
    return this;
  }

  @Element("home")
  @Type("string")
  @Optional
  public void setHome(String paramString)
  {
    this.home = paramString;
  }

  public String getHome()
  {
    return this.home;
  }

  public DiskSanownDetailInfo withHome(String paramString)
  {
    this.home = paramString;
    return this;
  }

  @Element("home-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setHomeId(Long paramLong)
  {
    this.homeId = paramLong;
  }

  public Long getHomeId()
  {
    return this.homeId;
  }

  public DiskSanownDetailInfo withHomeId(Long paramLong)
  {
    this.homeId = paramLong;
    return this;
  }

  @Element("is-failed")
  @Type("boolean")
  public void setFailed(Boolean paramBoolean)
  {
    this.failed = paramBoolean;
  }

  public Boolean isFailed()
  {
    return this.failed;
  }

  public DiskSanownDetailInfo withFailed(Boolean paramBoolean)
  {
    this.failed = paramBoolean;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public DiskSanownDetailInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("owner")
  @Type("string")
  @Optional
  public void setOwner(String paramString)
  {
    this.owner = paramString;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public DiskSanownDetailInfo withOwner(String paramString)
  {
    this.owner = paramString;
    return this;
  }

  @Element("owner-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setOwnerId(Long paramLong)
  {
    this.ownerId = paramLong;
  }

  public Long getOwnerId()
  {
    return this.ownerId;
  }

  public DiskSanownDetailInfo withOwnerId(Long paramLong)
  {
    this.ownerId = paramLong;
    return this;
  }

  @Element("pool")
  @Type("integer")
  @Optional
  public void setPool(Long paramLong)
  {
    this.pool = paramLong;
  }

  public Long getPool()
  {
    return this.pool;
  }

  public DiskSanownDetailInfo withPool(Long paramLong)
  {
    this.pool = paramLong;
    return this;
  }

  @Element("reserved-by")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setReservedBy(Long paramLong)
  {
    this.reservedBy = paramLong;
  }

  public Long getReservedBy()
  {
    return this.reservedBy;
  }

  public DiskSanownDetailInfo withReservedBy(Long paramLong)
  {
    this.reservedBy = paramLong;
    return this;
  }

  @Element("serial-no")
  @Type("string")
  public void setSerialNo(String paramString)
  {
    this.serialNo = paramString;
  }

  public String getSerialNo()
  {
    return this.serialNo;
  }

  public DiskSanownDetailInfo withSerialNo(String paramString)
  {
    this.serialNo = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  @Optional
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public DiskSanownDetailInfo withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}