package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("disk-sanown-reassign")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class DiskSanownReassign
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String newOwner;
  public Long newOwnerId;
  public String oldOwner;
  public Long oldOwnerId;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public DiskSanownReassign withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("new-owner")
  @Type("string")
  @Optional
  public void setNewOwner(String paramString)
  {
    this.newOwner = paramString;
  }

  public String getNewOwner()
  {
    return this.newOwner;
  }

  public DiskSanownReassign withNewOwner(String paramString)
  {
    this.newOwner = paramString;
    return this;
  }

  @Input("new-owner-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setNewOwnerId(Long paramLong)
  {
    this.newOwnerId = paramLong;
  }

  public Long getNewOwnerId()
  {
    return this.newOwnerId;
  }

  public DiskSanownReassign withNewOwnerId(Long paramLong)
  {
    this.newOwnerId = paramLong;
    return this;
  }

  @Input("old-owner")
  @Type("string")
  @Optional
  public void setOldOwner(String paramString)
  {
    this.oldOwner = paramString;
  }

  public String getOldOwner()
  {
    return this.oldOwner;
  }

  public DiskSanownReassign withOldOwner(String paramString)
  {
    this.oldOwner = paramString;
    return this;
  }

  @Input("old-owner-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setOldOwnerId(Long paramLong)
  {
    this.oldOwnerId = paramLong;
  }

  public Long getOldOwnerId()
  {
    return this.oldOwnerId;
  }

  public DiskSanownReassign withOldOwnerId(Long paramLong)
  {
    this.oldOwnerId = paramLong;
    return this;
  }
}