package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-sanown-remove-ownership")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKNOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR", "EINVALIDOWNER", "EINVALIDRESERVATION", "EMUSTBEINMAINTMODE", "ENODISKSFOUND"})
@Family({"ontap-c", "ontap-d"})
public class DiskSanownRemoveOwnership
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean all;
  public List<String> diskList;
  public Long ownerId;

  @Input("all")
  @Type("boolean")
  @Optional
  public void setAll(Boolean paramBoolean)
  {
    this.all = paramBoolean;
  }

  public Boolean isAll()
  {
    return this.all;
  }

  public DiskSanownRemoveOwnership withAll(Boolean paramBoolean)
  {
    this.all = paramBoolean;
    return this;
  }

  @Input("disk-list")
  @Type("disk-name[]")
  @Optional
  public void setDiskList(List<String> paramList)
  {
    this.diskList = paramList;
  }

  public List<String> getDiskList()
  {
    return this.diskList;
  }

  public DiskSanownRemoveOwnership withDiskList(List<String> paramList)
  {
    this.diskList = paramList;
    return this;
  }

  public DiskSanownRemoveOwnership withDiskList(String[] paramArrayOfString)
  {
    this.diskList = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("owner-id")
  @Type("integer")
  @Optional
  public void setOwnerId(Long paramLong)
  {
    this.ownerId = paramLong;
  }

  public Long getOwnerId()
  {
    return this.ownerId;
  }

  public DiskSanownRemoveOwnership withOwnerId(Long paramLong)
  {
    this.ownerId = paramLong;
    return this;
  }
}