package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("disk-unfail")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKNOTFOUND", "EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class DiskUnfail
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String disk;
  public Boolean makeSpare;

  @Input("disk")
  @Type("string")
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskUnfail withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }

  @Input("make-spare")
  @Type("boolean")
  @Optional
  public void setMakeSpare(Boolean paramBoolean)
  {
    this.makeSpare = paramBoolean;
  }

  public Boolean isMakeSpare()
  {
    return this.makeSpare;
  }

  public DiskUnfail withMakeSpare(Boolean paramBoolean)
  {
    this.makeSpare = paramBoolean;
    return this;
  }
}