package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("maint-test-result-info")
public class MaintTestResultInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long currentTestCycle;
  public Long currentTestIteration;
  public Date elapsedTime;
  public String name;
  public String status;
  public Long totalTestIterations;

  @Element("current-test-cycle")
  @Type("integer")
  public void setCurrentTestCycle(Long paramLong)
  {
    this.currentTestCycle = paramLong;
  }

  public Long getCurrentTestCycle()
  {
    return this.currentTestCycle;
  }

  public MaintTestResultInfo withCurrentTestCycle(Long paramLong)
  {
    this.currentTestCycle = paramLong;
    return this;
  }

  @Element("current-test-iteration")
  @Type("integer")
  public void setCurrentTestIteration(Long paramLong)
  {
    this.currentTestIteration = paramLong;
  }

  public Long getCurrentTestIteration()
  {
    return this.currentTestIteration;
  }

  public MaintTestResultInfo withCurrentTestIteration(Long paramLong)
  {
    this.currentTestIteration = paramLong;
    return this;
  }

  @Element("elapsed-time")
  @Type("integer")
  @Optional
  public void setElapsedTime(Date paramDate)
  {
    this.elapsedTime = paramDate;
  }

  public Date getElapsedTime()
  {
    return this.elapsedTime;
  }

  public MaintTestResultInfo withElapsedTime(Date paramDate)
  {
    this.elapsedTime = paramDate;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public MaintTestResultInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public MaintTestResultInfo withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Element("total-test-iterations")
  @Type("integer")
  public void setTotalTestIterations(Long paramLong)
  {
    this.totalTestIterations = paramLong;
  }

  public Long getTotalTestIterations()
  {
    return this.totalTestIterations;
  }

  public MaintTestResultInfo withTotalTestIterations(Long paramLong)
  {
    this.totalTestIterations = paramLong;
    return this;
  }
}