package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("maint-test-status-info")
public class MaintTestStatusInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long currentCycle;
  public Long currentTest;
  public String diskName;
  public List<MaintTestResultInfo> maintTestResults;
  public String status;
  public Long totalCycles;
  public Long totalTests;

  @Element("current-cycle")
  @Type("integer")
  @Optional
  public void setCurrentCycle(Long paramLong)
  {
    this.currentCycle = paramLong;
  }

  public Long getCurrentCycle()
  {
    return this.currentCycle;
  }

  public MaintTestStatusInfo withCurrentCycle(Long paramLong)
  {
    this.currentCycle = paramLong;
    return this;
  }

  @Element("current-test")
  @Type("integer")
  @Optional
  public void setCurrentTest(Long paramLong)
  {
    this.currentTest = paramLong;
  }

  public Long getCurrentTest()
  {
    return this.currentTest;
  }

  public MaintTestStatusInfo withCurrentTest(Long paramLong)
  {
    this.currentTest = paramLong;
    return this;
  }

  @Element("disk-name")
  @Type("string")
  public void setDiskName(String paramString)
  {
    this.diskName = paramString;
  }

  public String getDiskName()
  {
    return this.diskName;
  }

  public MaintTestStatusInfo withDiskName(String paramString)
  {
    this.diskName = paramString;
    return this;
  }

  @Element("maint-test-results")
  @Type("maint-test-result-info[]")
  @Optional
  public void setMaintTestResults(List<MaintTestResultInfo> paramList)
  {
    this.maintTestResults = paramList;
  }

  public List<MaintTestResultInfo> getMaintTestResults()
  {
    return this.maintTestResults;
  }

  public MaintTestStatusInfo withMaintTestResults(List<MaintTestResultInfo> paramList)
  {
    this.maintTestResults = paramList;
    return this;
  }

  public MaintTestStatusInfo withMaintTestResults(MaintTestResultInfo[] paramArrayOfMaintTestResultInfo)
  {
    this.maintTestResults = new ArrayList(Arrays.asList(paramArrayOfMaintTestResultInfo));
    return this;
  }

  @Element("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public MaintTestStatusInfo withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Element("total-cycles")
  @Type("integer")
  @Optional
  public void setTotalCycles(Long paramLong)
  {
    this.totalCycles = paramLong;
  }

  public Long getTotalCycles()
  {
    return this.totalCycles;
  }

  public MaintTestStatusInfo withTotalCycles(Long paramLong)
  {
    this.totalCycles = paramLong;
    return this;
  }

  @Element("total-tests")
  @Type("integer")
  @Optional
  public void setTotalTests(Long paramLong)
  {
    this.totalTests = paramLong;
  }

  public Long getTotalTests()
  {
    return this.totalTests;
  }

  public MaintTestStatusInfo withTotalTests(Long paramLong)
  {
    this.totalTests = paramLong;
    return this;
  }
}