package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-snapshot-delta")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDINPUTERROR", "ESNAPSHOTBUSY", "ESNAPSHOTDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOLUMEQUIESCED"})
@Family({"ontap-d"})
public class DSnapshotDelta
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public DSnapshotDeltaInfo delta;
  public String snapId1;
  public String snapId2;
  public String uniqVolumeUuid;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DSnapshotDelta withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Output("delta")
  @Type("d-snapshot-delta-info")
  public void setDelta(DSnapshotDeltaInfo paramDSnapshotDeltaInfo)
  {
    this.delta = paramDSnapshotDeltaInfo;
  }

  public DSnapshotDeltaInfo getDelta()
  {
    return this.delta;
  }

  public DSnapshotDelta withDelta(DSnapshotDeltaInfo paramDSnapshotDeltaInfo)
  {
    this.delta = paramDSnapshotDeltaInfo;
    return this;
  }

  @Input("snap-id-1")
  @Type("string")
  public void setSnapId1(String paramString)
  {
    this.snapId1 = paramString;
  }

  public String getSnapId1()
  {
    return this.snapId1;
  }

  public DSnapshotDelta withSnapId1(String paramString)
  {
    this.snapId1 = paramString;
    return this;
  }

  @Input("snap-id-2")
  @Type("string")
  public void setSnapId2(String paramString)
  {
    this.snapId2 = paramString;
  }

  public String getSnapId2()
  {
    return this.snapId2;
  }

  public DSnapshotDelta withSnapId2(String paramString)
  {
    this.snapId2 = paramString;
    return this;
  }

  @Input("uniq-volume-uuid")
  @Type("string")
  @Optional
  public void setUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
  }

  public String getUniqVolumeUuid()
  {
    return this.uniqVolumeUuid;
  }

  public DSnapshotDelta withUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
    return this;
  }
}