package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-snapshot-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDINPUTERROR", "ELOWMEMORY", "ESNAPSHOTDOESNOTEXIST", "EVOLUMEBUSY", "EVOLUMEOFFLINE", "EVOLUMEQUIESCED"})
@Family({"ontap-d"})
public class DSnapshotListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String desiredAttrs;
  public String snapId;
  public DSnapshotInfo snapshotAttrs;
  public String uniqVolumeUuid;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DSnapshotListInfo withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("desired-attrs")
  @Type("string")
  @Optional
  public void setDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
  }

  public String getDesiredAttrs()
  {
    return this.desiredAttrs;
  }

  public DSnapshotListInfo withDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
    return this;
  }

  @Input("snap-id")
  @Type("string")
  public void setSnapId(String paramString)
  {
    this.snapId = paramString;
  }

  public String getSnapId()
  {
    return this.snapId;
  }

  public DSnapshotListInfo withSnapId(String paramString)
  {
    this.snapId = paramString;
    return this;
  }

  @Output("snapshot-attrs")
  @Type("d-snapshot-info")
  public void setSnapshotAttrs(DSnapshotInfo paramDSnapshotInfo)
  {
    this.snapshotAttrs = paramDSnapshotInfo;
  }

  public DSnapshotInfo getSnapshotAttrs()
  {
    return this.snapshotAttrs;
  }

  public DSnapshotListInfo withSnapshotAttrs(DSnapshotInfo paramDSnapshotInfo)
  {
    this.snapshotAttrs = paramDSnapshotInfo;
    return this;
  }

  @Input("uniq-volume-uuid")
  @Type("string")
  @Optional
  public void setUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
  }

  public String getUniqVolumeUuid()
  {
    return this.uniqVolumeUuid;
  }

  public DSnapshotListInfo withUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
    return this;
  }
}