package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("d-snapshot-list-info-iter-next")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDDSID", "EINVALIDINPUTERROR", "ELOWMEMORY", "EVOLUMEBUSY", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOLUMEQUIESCED"})
@Family({"ontap-d"})
public class DSnapshotListInfoIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean endOfList;
  public Long maximumRecords;
  public String nextTag;
  public Long numRecordsRetrieved;
  public List<DSnapshotInfo> snapshotAttrs;
  public String tag;

  @Output("is-end-of-list")
  @Type("boolean")
  public void setEndOfList(Boolean paramBoolean)
  {
    this.endOfList = paramBoolean;
  }

  public Boolean isEndOfList()
  {
    return this.endOfList;
  }

  public DSnapshotListInfoIterNext withEndOfList(Boolean paramBoolean)
  {
    this.endOfList = paramBoolean;
    return this;
  }

  @Input("maximum-records")
  @Type("integer")
  public void setMaximumRecords(Long paramLong)
  {
    this.maximumRecords = paramLong;
  }

  public Long getMaximumRecords()
  {
    return this.maximumRecords;
  }

  public DSnapshotListInfoIterNext withMaximumRecords(Long paramLong)
  {
    this.maximumRecords = paramLong;
    return this;
  }

  @Output("next-tag")
  @Type("string")
  public void setNextTag(String paramString)
  {
    this.nextTag = paramString;
  }

  public String getNextTag()
  {
    return this.nextTag;
  }

  public DSnapshotListInfoIterNext withNextTag(String paramString)
  {
    this.nextTag = paramString;
    return this;
  }

  @Output("num-records-retrieved")
  @Type("integer")
  public void setNumRecordsRetrieved(Long paramLong)
  {
    this.numRecordsRetrieved = paramLong;
  }

  public Long getNumRecordsRetrieved()
  {
    return this.numRecordsRetrieved;
  }

  public DSnapshotListInfoIterNext withNumRecordsRetrieved(Long paramLong)
  {
    this.numRecordsRetrieved = paramLong;
    return this;
  }

  @Output("snapshot-attrs")
  @Type("d-snapshot-info[]")
  public void setSnapshotAttrs(List<DSnapshotInfo> paramList)
  {
    this.snapshotAttrs = paramList;
  }

  public List<DSnapshotInfo> getSnapshotAttrs()
  {
    return this.snapshotAttrs;
  }

  public DSnapshotListInfoIterNext withSnapshotAttrs(List<DSnapshotInfo> paramList)
  {
    this.snapshotAttrs = paramList;
    return this;
  }

  public DSnapshotListInfoIterNext withSnapshotAttrs(DSnapshotInfo[] paramArrayOfDSnapshotInfo)
  {
    this.snapshotAttrs = new ArrayList(Arrays.asList(paramArrayOfDSnapshotInfo));
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public DSnapshotListInfoIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}