package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-snapshot-restore-striped-volume-conclude")
@Status(StatusEnum.PUBLIC)
@Errno({"ESTRIPEDRESTOREOPNOTFOUND"})
@Family({"ontap-d"})
public class DSnapshotRestoreStripedVolumeConclude
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String operationId;
  public String operationStatus;
  public String snapshotMsid;
  public String stripedVolumeMsid;

  @Input("operation-id")
  @Type("string")
  public void setOperationId(String paramString)
  {
    this.operationId = paramString;
  }

  public String getOperationId()
  {
    return this.operationId;
  }

  public DSnapshotRestoreStripedVolumeConclude withOperationId(String paramString)
  {
    this.operationId = paramString;
    return this;
  }

  @Output("operation-status")
  @Type("string")
  @Optional
  public void setOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
  }

  public String getOperationStatus()
  {
    return this.operationStatus;
  }

  public DSnapshotRestoreStripedVolumeConclude withOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
    return this;
  }

  @Input("snapshot-msid")
  @Type("string")
  public void setSnapshotMsid(String paramString)
  {
    this.snapshotMsid = paramString;
  }

  public String getSnapshotMsid()
  {
    return this.snapshotMsid;
  }

  public DSnapshotRestoreStripedVolumeConclude withSnapshotMsid(String paramString)
  {
    this.snapshotMsid = paramString;
    return this;
  }

  @Input("striped-volume-msid")
  @Type("string")
  public void setStripedVolumeMsid(String paramString)
  {
    this.stripedVolumeMsid = paramString;
  }

  public String getStripedVolumeMsid()
  {
    return this.stripedVolumeMsid;
  }

  public DSnapshotRestoreStripedVolumeConclude withStripedVolumeMsid(String paramString)
  {
    this.stripedVolumeMsid = paramString;
    return this;
  }
}