package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-snapshot-restore-volume")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDINPUTERROR", "EINVALIDSTATE", "ERESTOREINPROGRESS", "ESNAPSHOTDOESNOTEXIST", "EVOLUMEBUSY", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOLUMEQUIESCED", "EVOLUMESNAPRESTOREERROR"})
@Family({"ontap-d"})
public class DSnapshotRestoreVolume
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String operationId;
  public String snapId;
  public String uniqVolumeUuid;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DSnapshotRestoreVolume withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("operation-id")
  @Type("string")
  @Optional
  public void setOperationId(String paramString)
  {
    this.operationId = paramString;
  }

  public String getOperationId()
  {
    return this.operationId;
  }

  public DSnapshotRestoreVolume withOperationId(String paramString)
  {
    this.operationId = paramString;
    return this;
  }

  @Input("snap-id")
  @Type("string")
  public void setSnapId(String paramString)
  {
    this.snapId = paramString;
  }

  public String getSnapId()
  {
    return this.snapId;
  }

  public DSnapshotRestoreVolume withSnapId(String paramString)
  {
    this.snapId = paramString;
    return this;
  }

  @Input("uniq-volume-uuid")
  @Type("string")
  @Optional
  public void setUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
  }

  public String getUniqVolumeUuid()
  {
    return this.uniqVolumeUuid;
  }

  public DSnapshotRestoreVolume withUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
    return this;
  }
}