package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("restore-status-info")
public class RestoreStatusInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String operationId;
  public String operationStatus;
  public Long restoreError;

  @Element("operation-id")
  @Type("string")
  public void setOperationId(String paramString)
  {
    this.operationId = paramString;
  }

  public String getOperationId()
  {
    return this.operationId;
  }

  public RestoreStatusInfo withOperationId(String paramString)
  {
    this.operationId = paramString;
    return this;
  }

  @Element("operation-status")
  @Type("string")
  public void setOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
  }

  public String getOperationStatus()
  {
    return this.operationStatus;
  }

  public RestoreStatusInfo withOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
    return this;
  }

  @Element("restore-error")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setRestoreError(Long paramLong)
  {
    this.restoreError = paramLong;
  }

  public Long getRestoreError()
  {
    return this.restoreError;
  }

  public RestoreStatusInfo withRestoreError(Long paramLong)
  {
    this.restoreError = paramLong;
    return this;
  }
}