package com.netapp.filer.dstriping;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-striping-table-invalidate")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDMSID"})
@Family({"ontap-d"})
public class DStripingTableInvalidate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer epoch;
  public String msid;

  @Input("epoch")
  @Type("integer")
  @Optional
  @Range(min="0", max="255")
  public void setEpoch(Integer paramInteger)
  {
    this.epoch = paramInteger;
  }

  public Integer getEpoch()
  {
    return this.epoch;
  }

  public DStripingTableInvalidate withEpoch(Integer paramInteger)
  {
    this.epoch = paramInteger;
    return this;
  }

  @Input("msid")
  @Type("string")
  public void setMsid(String paramString)
  {
    this.msid = paramString;
  }

  public String getMsid()
  {
    return this.msid;
  }

  public DStripingTableInvalidate withMsid(String paramString)
  {
    this.msid = paramString;
    return this;
  }
}