package com.netapp.filer.dstriping;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("d-striping-table-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-d"})
public class DStripingTableListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger maximum;
  public BigInteger records;
  public List<DStripingTableInfo> stripingListInfo;
  public String tagOutput;
  public String tagInput;

  @Input("maximum")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setMaximum(BigInteger paramBigInteger)
  {
    this.maximum = paramBigInteger;
  }

  public BigInteger getMaximum()
  {
    return this.maximum;
  }

  public DStripingTableListIterNext withMaximum(BigInteger paramBigInteger)
  {
    this.maximum = paramBigInteger;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRecords(BigInteger paramBigInteger)
  {
    this.records = paramBigInteger;
  }

  public BigInteger getRecords()
  {
    return this.records;
  }

  public DStripingTableListIterNext withRecords(BigInteger paramBigInteger)
  {
    this.records = paramBigInteger;
    return this;
  }

  @Output("striping-list-info")
  @Type("d-striping-table-info[]")
  public void setStripingListInfo(List<DStripingTableInfo> paramList)
  {
    this.stripingListInfo = paramList;
  }

  public List<DStripingTableInfo> getStripingListInfo()
  {
    return this.stripingListInfo;
  }

  public DStripingTableListIterNext withStripingListInfo(List<DStripingTableInfo> paramList)
  {
    this.stripingListInfo = paramList;
    return this;
  }

  public DStripingTableListIterNext withStripingListInfo(DStripingTableInfo[] paramArrayOfDStripingTableInfo)
  {
    this.stripingListInfo = new ArrayList(Arrays.asList(paramArrayOfDStripingTableInfo));
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTagOutput(String paramString)
  {
    this.tagOutput = paramString;
  }

  public String getTagOutput()
  {
    return this.tagOutput;
  }

  public DStripingTableListIterNext withTagOutput(String paramString)
  {
    this.tagOutput = paramString;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTagInput(String paramString)
  {
    this.tagInput = paramString;
  }

  public String getTagInput()
  {
    return this.tagInput;
  }

  public DStripingTableListIterNext withTagInput(String paramString)
  {
    this.tagInput = paramString;
    return this;
  }
}