package com.netapp.filer.dsystem;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-system-get-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-d"})
public class DSystemGetInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String backplanePartNumber;
  public String backplaneRevision;
  public String backplaneSerialNumber;
  public Long boardSpeed;
  public String boardType;
  public String cpuCiobRevisionId;
  public String cpuFirmwareRelease;
  public String cpuMicrocodeVersion;
  public String cpuPartNumber;
  public String cpuProcessorId;
  public String cpuProcessorType;
  public String cpuRevision;
  public String cpuSerialNumber;
  public Long memorySize;
  public Long numberOfProcessors;
  public Long nvramId;
  public Long partnerNvramId;
  public String partnerSystemId;
  public String partnerSystemName;
  public String partnerSystemSerialNumber;
  public String systemId;
  public String systemMachineType;
  public String systemModel;
  public String systemName;
  public String systemRevision;
  public String systemSerialNumber;
  public String vendorId;

  @Output("backplane-part-number")
  @Type("string")
  @Optional
  public void setBackplanePartNumber(String paramString)
  {
    this.backplanePartNumber = paramString;
  }

  public String getBackplanePartNumber()
  {
    return this.backplanePartNumber;
  }

  public DSystemGetInfo withBackplanePartNumber(String paramString)
  {
    this.backplanePartNumber = paramString;
    return this;
  }

  @Output("backplane-revision")
  @Type("string")
  @Optional
  public void setBackplaneRevision(String paramString)
  {
    this.backplaneRevision = paramString;
  }

  public String getBackplaneRevision()
  {
    return this.backplaneRevision;
  }

  public DSystemGetInfo withBackplaneRevision(String paramString)
  {
    this.backplaneRevision = paramString;
    return this;
  }

  @Output("backplane-serial-number")
  @Type("string")
  @Optional
  public void setBackplaneSerialNumber(String paramString)
  {
    this.backplaneSerialNumber = paramString;
  }

  public String getBackplaneSerialNumber()
  {
    return this.backplaneSerialNumber;
  }

  public DSystemGetInfo withBackplaneSerialNumber(String paramString)
  {
    this.backplaneSerialNumber = paramString;
    return this;
  }

  @Output("board-speed")
  @Type("integer")
  public void setBoardSpeed(Long paramLong)
  {
    this.boardSpeed = paramLong;
  }

  public Long getBoardSpeed()
  {
    return this.boardSpeed;
  }

  public DSystemGetInfo withBoardSpeed(Long paramLong)
  {
    this.boardSpeed = paramLong;
    return this;
  }

  @Output("board-type")
  @Type("string")
  public void setBoardType(String paramString)
  {
    this.boardType = paramString;
  }

  public String getBoardType()
  {
    return this.boardType;
  }

  public DSystemGetInfo withBoardType(String paramString)
  {
    this.boardType = paramString;
    return this;
  }

  @Output("cpu-ciob-revision-id")
  @Type("string")
  @Optional
  public void setCpuCiobRevisionId(String paramString)
  {
    this.cpuCiobRevisionId = paramString;
  }

  public String getCpuCiobRevisionId()
  {
    return this.cpuCiobRevisionId;
  }

  public DSystemGetInfo withCpuCiobRevisionId(String paramString)
  {
    this.cpuCiobRevisionId = paramString;
    return this;
  }

  @Output("cpu-firmware-release")
  @Type("string")
  @Optional
  public void setCpuFirmwareRelease(String paramString)
  {
    this.cpuFirmwareRelease = paramString;
  }

  public String getCpuFirmwareRelease()
  {
    return this.cpuFirmwareRelease;
  }

  public DSystemGetInfo withCpuFirmwareRelease(String paramString)
  {
    this.cpuFirmwareRelease = paramString;
    return this;
  }

  @Output("cpu-microcode-version")
  @Type("string")
  @Optional
  public void setCpuMicrocodeVersion(String paramString)
  {
    this.cpuMicrocodeVersion = paramString;
  }

  public String getCpuMicrocodeVersion()
  {
    return this.cpuMicrocodeVersion;
  }

  public DSystemGetInfo withCpuMicrocodeVersion(String paramString)
  {
    this.cpuMicrocodeVersion = paramString;
    return this;
  }

  @Output("cpu-part-number")
  @Type("string")
  @Optional
  public void setCpuPartNumber(String paramString)
  {
    this.cpuPartNumber = paramString;
  }

  public String getCpuPartNumber()
  {
    return this.cpuPartNumber;
  }

  public DSystemGetInfo withCpuPartNumber(String paramString)
  {
    this.cpuPartNumber = paramString;
    return this;
  }

  @Output("cpu-processor-id")
  @Type("string")
  @Optional
  public void setCpuProcessorId(String paramString)
  {
    this.cpuProcessorId = paramString;
  }

  public String getCpuProcessorId()
  {
    return this.cpuProcessorId;
  }

  public DSystemGetInfo withCpuProcessorId(String paramString)
  {
    this.cpuProcessorId = paramString;
    return this;
  }

  @Output("cpu-processor-type")
  @Type("string")
  @Optional
  public void setCpuProcessorType(String paramString)
  {
    this.cpuProcessorType = paramString;
  }

  public String getCpuProcessorType()
  {
    return this.cpuProcessorType;
  }

  public DSystemGetInfo withCpuProcessorType(String paramString)
  {
    this.cpuProcessorType = paramString;
    return this;
  }

  @Output("cpu-revision")
  @Type("string")
  @Optional
  public void setCpuRevision(String paramString)
  {
    this.cpuRevision = paramString;
  }

  public String getCpuRevision()
  {
    return this.cpuRevision;
  }

  public DSystemGetInfo withCpuRevision(String paramString)
  {
    this.cpuRevision = paramString;
    return this;
  }

  @Output("cpu-serial-number")
  @Type("string")
  @Optional
  public void setCpuSerialNumber(String paramString)
  {
    this.cpuSerialNumber = paramString;
  }

  public String getCpuSerialNumber()
  {
    return this.cpuSerialNumber;
  }

  public DSystemGetInfo withCpuSerialNumber(String paramString)
  {
    this.cpuSerialNumber = paramString;
    return this;
  }

  @Output("memory-size")
  @Type("integer")
  public void setMemorySize(Long paramLong)
  {
    this.memorySize = paramLong;
  }

  public Long getMemorySize()
  {
    return this.memorySize;
  }

  public DSystemGetInfo withMemorySize(Long paramLong)
  {
    this.memorySize = paramLong;
    return this;
  }

  @Output("number-of-processors")
  @Type("integer")
  public void setNumberOfProcessors(Long paramLong)
  {
    this.numberOfProcessors = paramLong;
  }

  public Long getNumberOfProcessors()
  {
    return this.numberOfProcessors;
  }

  public DSystemGetInfo withNumberOfProcessors(Long paramLong)
  {
    this.numberOfProcessors = paramLong;
    return this;
  }

  @Output("nvram-id")
  @Type("integer")
  public void setNvramId(Long paramLong)
  {
    this.nvramId = paramLong;
  }

  public Long getNvramId()
  {
    return this.nvramId;
  }

  public DSystemGetInfo withNvramId(Long paramLong)
  {
    this.nvramId = paramLong;
    return this;
  }

  @Output("partner-nvram-id")
  @Type("integer")
  public void setPartnerNvramId(Long paramLong)
  {
    this.partnerNvramId = paramLong;
  }

  public Long getPartnerNvramId()
  {
    return this.partnerNvramId;
  }

  public DSystemGetInfo withPartnerNvramId(Long paramLong)
  {
    this.partnerNvramId = paramLong;
    return this;
  }

  @Output("partner-system-id")
  @Type("string")
  @Optional
  public void setPartnerSystemId(String paramString)
  {
    this.partnerSystemId = paramString;
  }

  public String getPartnerSystemId()
  {
    return this.partnerSystemId;
  }

  public DSystemGetInfo withPartnerSystemId(String paramString)
  {
    this.partnerSystemId = paramString;
    return this;
  }

  @Output("partner-system-name")
  @Type("string")
  @Optional
  public void setPartnerSystemName(String paramString)
  {
    this.partnerSystemName = paramString;
  }

  public String getPartnerSystemName()
  {
    return this.partnerSystemName;
  }

  public DSystemGetInfo withPartnerSystemName(String paramString)
  {
    this.partnerSystemName = paramString;
    return this;
  }

  @Output("partner-system-serial-number")
  @Type("string")
  @Optional
  public void setPartnerSystemSerialNumber(String paramString)
  {
    this.partnerSystemSerialNumber = paramString;
  }

  public String getPartnerSystemSerialNumber()
  {
    return this.partnerSystemSerialNumber;
  }

  public DSystemGetInfo withPartnerSystemSerialNumber(String paramString)
  {
    this.partnerSystemSerialNumber = paramString;
    return this;
  }

  @Output("system-id")
  @Type("string")
  public void setSystemId(String paramString)
  {
    this.systemId = paramString;
  }

  public String getSystemId()
  {
    return this.systemId;
  }

  public DSystemGetInfo withSystemId(String paramString)
  {
    this.systemId = paramString;
    return this;
  }

  @Output("system-machine-type")
  @Type("string")
  public void setSystemMachineType(String paramString)
  {
    this.systemMachineType = paramString;
  }

  public String getSystemMachineType()
  {
    return this.systemMachineType;
  }

  public DSystemGetInfo withSystemMachineType(String paramString)
  {
    this.systemMachineType = paramString;
    return this;
  }

  @Output("system-model")
  @Type("string")
  public void setSystemModel(String paramString)
  {
    this.systemModel = paramString;
  }

  public String getSystemModel()
  {
    return this.systemModel;
  }

  public DSystemGetInfo withSystemModel(String paramString)
  {
    this.systemModel = paramString;
    return this;
  }

  @Output("system-name")
  @Type("string")
  public void setSystemName(String paramString)
  {
    this.systemName = paramString;
  }

  public String getSystemName()
  {
    return this.systemName;
  }

  public DSystemGetInfo withSystemName(String paramString)
  {
    this.systemName = paramString;
    return this;
  }

  @Output("system-revision")
  @Type("string")
  @Optional
  public void setSystemRevision(String paramString)
  {
    this.systemRevision = paramString;
  }

  public String getSystemRevision()
  {
    return this.systemRevision;
  }

  public DSystemGetInfo withSystemRevision(String paramString)
  {
    this.systemRevision = paramString;
    return this;
  }

  @Output("system-serial-number")
  @Type("string")
  @Optional
  public void setSystemSerialNumber(String paramString)
  {
    this.systemSerialNumber = paramString;
  }

  public String getSystemSerialNumber()
  {
    return this.systemSerialNumber;
  }

  public DSystemGetInfo withSystemSerialNumber(String paramString)
  {
    this.systemSerialNumber = paramString;
    return this;
  }

  @Output("vendor-id")
  @Type("string")
  public void setVendorId(String paramString)
  {
    this.vendorId = paramString;
  }

  public String getVendorId()
  {
    return this.vendorId;
  }

  public DSystemGetInfo withVendorId(String paramString)
  {
    this.vendorId = paramString;
    return this;
  }
}