package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("d-snapshot-autodelete-info")
public class DSnapshotAutodeleteInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String commitment;
  public String deferDelete;
  public String deleteOrder;
  public Boolean enabled;
  public String prefix;
  public Long targetFreeSpacePercent;
  public String trigger;

  @Element("commitment")
  @Type("string")
  @Optional
  public void setCommitment(String paramString)
  {
    this.commitment = paramString;
  }

  public String getCommitment()
  {
    return this.commitment;
  }

  public DSnapshotAutodeleteInfo withCommitment(String paramString)
  {
    this.commitment = paramString;
    return this;
  }

  @Element("defer-delete")
  @Type("string")
  @Optional
  public void setDeferDelete(String paramString)
  {
    this.deferDelete = paramString;
  }

  public String getDeferDelete()
  {
    return this.deferDelete;
  }

  public DSnapshotAutodeleteInfo withDeferDelete(String paramString)
  {
    this.deferDelete = paramString;
    return this;
  }

  @Element("delete-order")
  @Type("string")
  @Optional
  public void setDeleteOrder(String paramString)
  {
    this.deleteOrder = paramString;
  }

  public String getDeleteOrder()
  {
    return this.deleteOrder;
  }

  public DSnapshotAutodeleteInfo withDeleteOrder(String paramString)
  {
    this.deleteOrder = paramString;
    return this;
  }

  @Element("enabled")
  @Type("boolean")
  @Optional
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public DSnapshotAutodeleteInfo withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Element("prefix")
  @Type("string")
  @Optional
  public void setPrefix(String paramString)
  {
    this.prefix = paramString;
  }

  public String getPrefix()
  {
    return this.prefix;
  }

  public DSnapshotAutodeleteInfo withPrefix(String paramString)
  {
    this.prefix = paramString;
    return this;
  }

  @Element("target-free-space-percent")
  @Type("integer")
  @Optional
  public void setTargetFreeSpacePercent(Long paramLong)
  {
    this.targetFreeSpacePercent = paramLong;
  }

  public Long getTargetFreeSpacePercent()
  {
    return this.targetFreeSpacePercent;
  }

  public DSnapshotAutodeleteInfo withTargetFreeSpacePercent(Long paramLong)
  {
    this.targetFreeSpacePercent = paramLong;
    return this;
  }

  @Element("trigger")
  @Type("string")
  @Optional
  public void setTrigger(String paramString)
  {
    this.trigger = paramString;
  }

  public String getTrigger()
  {
    return this.trigger;
  }

  public DSnapshotAutodeleteInfo withTrigger(String paramString)
  {
    this.trigger = paramString;
    return this;
  }
}