package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-destroy")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EVOLAGGRISIRONING"})
@Family({"ontap-d"})
public class DVolumeDestroy
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String id;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeDestroy withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeDestroy withId(String paramString)
  {
    this.id = paramString;
    return this;
  }
}