package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

@Typedef("d-volume-info")
public class DVolumeInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public DAutosizeInfo autosize;
  public List<DCloneChildInfo> cloneChild;
  public DCloneParentInfo cloneParent;
  public String containingAggregate;
  public String containingAggregateUuid;
  public Date creationTime;
  public Long dataVersion;
  public String dsid;
  public Boolean extentEnabled;
  public BigInteger filesTotal;
  public BigInteger filesUsed;
  public Long fractionalReserve;
  public Boolean fsSizeFixed;
  public Boolean i2pEnabled;
  public Boolean ignoreInconsistent;
  public Boolean home;
  public Boolean inconsistent;
  public Boolean invalid;
  public Boolean mroot;
  public Boolean snaplock;
  public Boolean unrecoverable;
  public String languageCode;
  public Long maxDirSize;
  public Boolean minRa;
  public String mirrorType;
  public String msid;
  public String name;
  public Boolean noAtimeUpdate;
  public Boolean noSnap;
  public Boolean noSnapDir;
  public Boolean nvfail;
  public Boolean ondiskQuiesced;
  public String owningVserverUuid;
  public Integer percentageUsed;
  public Boolean quiesced;
  public Integer quotaInit;
  public DSecurityInfo security;
  public String size;
  public BigInteger sizeAvailable;
  public BigInteger sizeTotal;
  public BigInteger sizeUsed;
  public Boolean snapmirrored;
  public DSnapshotAutodeleteInfo snapshotAutodelete;
  public DSnapshotReserveInfo snapshotReserve;
  public DSnapshotScheduleInfo snapshotSchedule;
  public String spaceGuarantee;
  public Boolean spaceGuaranteeEnabled;
  public String state;
  public DStripingInfo striping;
  public String uuid;
  public DWaflironInfo wafliron;

  @Element("autosize")
  @Type("d-autosize-info")
  @Optional
  public void setAutosize(DAutosizeInfo paramDAutosizeInfo)
  {
    this.autosize = paramDAutosizeInfo;
  }

  public DAutosizeInfo getAutosize()
  {
    return this.autosize;
  }

  public DVolumeInfo withAutosize(DAutosizeInfo paramDAutosizeInfo)
  {
    this.autosize = paramDAutosizeInfo;
    return this;
  }

  @Element("clone-child")
  @Type("d-clone-child-info[]")
  @Optional
  public void setCloneChild(List<DCloneChildInfo> paramList)
  {
    this.cloneChild = paramList;
  }

  public List<DCloneChildInfo> getCloneChild()
  {
    return this.cloneChild;
  }

  public DVolumeInfo withCloneChild(List<DCloneChildInfo> paramList)
  {
    this.cloneChild = paramList;
    return this;
  }

  public DVolumeInfo withCloneChild(DCloneChildInfo[] paramArrayOfDCloneChildInfo)
  {
    this.cloneChild = new ArrayList(Arrays.asList(paramArrayOfDCloneChildInfo));
    return this;
  }

  @Element("clone-parent")
  @Type("d-clone-parent-info")
  @Optional
  public void setCloneParent(DCloneParentInfo paramDCloneParentInfo)
  {
    this.cloneParent = paramDCloneParentInfo;
  }

  public DCloneParentInfo getCloneParent()
  {
    return this.cloneParent;
  }

  public DVolumeInfo withCloneParent(DCloneParentInfo paramDCloneParentInfo)
  {
    this.cloneParent = paramDCloneParentInfo;
    return this;
  }

  @Element("containing-aggregate")
  @Type("string")
  @Optional
  public void setContainingAggregate(String paramString)
  {
    this.containingAggregate = paramString;
  }

  public String getContainingAggregate()
  {
    return this.containingAggregate;
  }

  public DVolumeInfo withContainingAggregate(String paramString)
  {
    this.containingAggregate = paramString;
    return this;
  }

  @Element("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeInfo withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Element("creation-time")
  @Type("integer")
  @Optional
  public void setCreationTime(Date paramDate)
  {
    this.creationTime = paramDate;
  }

  public Date getCreationTime()
  {
    return this.creationTime;
  }

  public DVolumeInfo withCreationTime(Date paramDate)
  {
    this.creationTime = paramDate;
    return this;
  }

  @Element("data-version")
  @Type("integer")
  @Optional
  public void setDataVersion(Long paramLong)
  {
    this.dataVersion = paramLong;
  }

  public Long getDataVersion()
  {
    return this.dataVersion;
  }

  public DVolumeInfo withDataVersion(Long paramLong)
  {
    this.dataVersion = paramLong;
    return this;
  }

  @Element("dsid")
  @Type("string")
  @Optional
  public void setDsid(String paramString)
  {
    this.dsid = paramString;
  }

  public String getDsid()
  {
    return this.dsid;
  }

  public DVolumeInfo withDsid(String paramString)
  {
    this.dsid = paramString;
    return this;
  }

  @Element("extent-enabled")
  @Type("boolean")
  @Optional
  public void setExtentEnabled(Boolean paramBoolean)
  {
    this.extentEnabled = paramBoolean;
  }

  public Boolean isExtentEnabled()
  {
    return this.extentEnabled;
  }

  public DVolumeInfo withExtentEnabled(Boolean paramBoolean)
  {
    this.extentEnabled = paramBoolean;
    return this;
  }

  @Element("files-total")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setFilesTotal(BigInteger paramBigInteger)
  {
    this.filesTotal = paramBigInteger;
  }

  public BigInteger getFilesTotal()
  {
    return this.filesTotal;
  }

  public DVolumeInfo withFilesTotal(BigInteger paramBigInteger)
  {
    this.filesTotal = paramBigInteger;
    return this;
  }

  @Element("files-used")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setFilesUsed(BigInteger paramBigInteger)
  {
    this.filesUsed = paramBigInteger;
  }

  public BigInteger getFilesUsed()
  {
    return this.filesUsed;
  }

  public DVolumeInfo withFilesUsed(BigInteger paramBigInteger)
  {
    this.filesUsed = paramBigInteger;
    return this;
  }

  @Element("fractional-reserve")
  @Type("integer")
  @Optional
  public void setFractionalReserve(Long paramLong)
  {
    this.fractionalReserve = paramLong;
  }

  public Long getFractionalReserve()
  {
    return this.fractionalReserve;
  }

  public DVolumeInfo withFractionalReserve(Long paramLong)
  {
    this.fractionalReserve = paramLong;
    return this;
  }

  @Element("fs-size-fixed")
  @Type("boolean")
  @Optional
  public void setFsSizeFixed(Boolean paramBoolean)
  {
    this.fsSizeFixed = paramBoolean;
  }

  public Boolean isFsSizeFixed()
  {
    return this.fsSizeFixed;
  }

  public DVolumeInfo withFsSizeFixed(Boolean paramBoolean)
  {
    this.fsSizeFixed = paramBoolean;
    return this;
  }

  @Element("i2p-enabled")
  @Type("boolean")
  @Optional
  public void setI2pEnabled(Boolean paramBoolean)
  {
    this.i2pEnabled = paramBoolean;
  }

  public Boolean isI2pEnabled()
  {
    return this.i2pEnabled;
  }

  public DVolumeInfo withI2pEnabled(Boolean paramBoolean)
  {
    this.i2pEnabled = paramBoolean;
    return this;
  }

  @Element("ignore-inconsistent")
  @Type("boolean")
  @Optional
  public void setIgnoreInconsistent(Boolean paramBoolean)
  {
    this.ignoreInconsistent = paramBoolean;
  }

  public Boolean isIgnoreInconsistent()
  {
    return this.ignoreInconsistent;
  }

  public DVolumeInfo withIgnoreInconsistent(Boolean paramBoolean)
  {
    this.ignoreInconsistent = paramBoolean;
    return this;
  }

  @Element("is-home")
  @Type("boolean")
  @Optional
  public void setHome(Boolean paramBoolean)
  {
    this.home = paramBoolean;
  }

  public Boolean isHome()
  {
    return this.home;
  }

  public DVolumeInfo withHome(Boolean paramBoolean)
  {
    this.home = paramBoolean;
    return this;
  }

  @Element("is-inconsistent")
  @Type("boolean")
  @Optional
  public void setInconsistent(Boolean paramBoolean)
  {
    this.inconsistent = paramBoolean;
  }

  public Boolean isInconsistent()
  {
    return this.inconsistent;
  }

  public DVolumeInfo withInconsistent(Boolean paramBoolean)
  {
    this.inconsistent = paramBoolean;
    return this;
  }

  @Element("is-invalid")
  @Type("boolean")
  @Optional
  public void setInvalid(Boolean paramBoolean)
  {
    this.invalid = paramBoolean;
  }

  public Boolean isInvalid()
  {
    return this.invalid;
  }

  public DVolumeInfo withInvalid(Boolean paramBoolean)
  {
    this.invalid = paramBoolean;
    return this;
  }

  @Element("is-mroot")
  @Type("boolean")
  @Optional
  public void setMroot(Boolean paramBoolean)
  {
    this.mroot = paramBoolean;
  }

  public Boolean isMroot()
  {
    return this.mroot;
  }

  public DVolumeInfo withMroot(Boolean paramBoolean)
  {
    this.mroot = paramBoolean;
    return this;
  }

  @Element("is-snaplock")
  @Type("boolean")
  @Optional
  public void setSnaplock(Boolean paramBoolean)
  {
    this.snaplock = paramBoolean;
  }

  public Boolean isSnaplock()
  {
    return this.snaplock;
  }

  public DVolumeInfo withSnaplock(Boolean paramBoolean)
  {
    this.snaplock = paramBoolean;
    return this;
  }

  @Element("is-unrecoverable")
  @Type("boolean")
  @Optional
  public void setUnrecoverable(Boolean paramBoolean)
  {
    this.unrecoverable = paramBoolean;
  }

  public Boolean isUnrecoverable()
  {
    return this.unrecoverable;
  }

  public DVolumeInfo withUnrecoverable(Boolean paramBoolean)
  {
    this.unrecoverable = paramBoolean;
    return this;
  }

  @Element("language-code")
  @Type("string")
  @Optional
  public void setLanguageCode(String paramString)
  {
    this.languageCode = paramString;
  }

  public String getLanguageCode()
  {
    return this.languageCode;
  }

  public DVolumeInfo withLanguageCode(String paramString)
  {
    this.languageCode = paramString;
    return this;
  }

  @Element("max-dir-size")
  @Type("integer")
  @Optional
  public void setMaxDirSize(Long paramLong)
  {
    this.maxDirSize = paramLong;
  }

  public Long getMaxDirSize()
  {
    return this.maxDirSize;
  }

  public DVolumeInfo withMaxDirSize(Long paramLong)
  {
    this.maxDirSize = paramLong;
    return this;
  }

  @Element("min-ra")
  @Type("boolean")
  @Optional
  public void setMinRa(Boolean paramBoolean)
  {
    this.minRa = paramBoolean;
  }

  public Boolean isMinRa()
  {
    return this.minRa;
  }

  public DVolumeInfo withMinRa(Boolean paramBoolean)
  {
    this.minRa = paramBoolean;
    return this;
  }

  @Element("mirror-type")
  @Type("string")
  @Optional
  public void setMirrorType(String paramString)
  {
    this.mirrorType = paramString;
  }

  public String getMirrorType()
  {
    return this.mirrorType;
  }

  public DVolumeInfo withMirrorType(String paramString)
  {
    this.mirrorType = paramString;
    return this;
  }

  @Element("msid")
  @Type("string")
  public void setMsid(String paramString)
  {
    this.msid = paramString;
  }

  public String getMsid()
  {
    return this.msid;
  }

  public DVolumeInfo withMsid(String paramString)
  {
    this.msid = paramString;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public DVolumeInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("no-atime-update")
  @Type("boolean")
  @Optional
  public void setNoAtimeUpdate(Boolean paramBoolean)
  {
    this.noAtimeUpdate = paramBoolean;
  }

  public Boolean isNoAtimeUpdate()
  {
    return this.noAtimeUpdate;
  }

  public DVolumeInfo withNoAtimeUpdate(Boolean paramBoolean)
  {
    this.noAtimeUpdate = paramBoolean;
    return this;
  }

  @Element("no-snap")
  @Type("boolean")
  @Optional
  public void setNoSnap(Boolean paramBoolean)
  {
    this.noSnap = paramBoolean;
  }

  public Boolean isNoSnap()
  {
    return this.noSnap;
  }

  public DVolumeInfo withNoSnap(Boolean paramBoolean)
  {
    this.noSnap = paramBoolean;
    return this;
  }

  @Element("no-snap-dir")
  @Type("boolean")
  @Optional
  public void setNoSnapDir(Boolean paramBoolean)
  {
    this.noSnapDir = paramBoolean;
  }

  public Boolean isNoSnapDir()
  {
    return this.noSnapDir;
  }

  public DVolumeInfo withNoSnapDir(Boolean paramBoolean)
  {
    this.noSnapDir = paramBoolean;
    return this;
  }

  @Element("nvfail")
  @Type("boolean")
  @Optional
  public void setNvfail(Boolean paramBoolean)
  {
    this.nvfail = paramBoolean;
  }

  public Boolean isNvfail()
  {
    return this.nvfail;
  }

  public DVolumeInfo withNvfail(Boolean paramBoolean)
  {
    this.nvfail = paramBoolean;
    return this;
  }

  @Element("ondisk-quiesced")
  @Type("boolean")
  @Optional
  public void setOndiskQuiesced(Boolean paramBoolean)
  {
    this.ondiskQuiesced = paramBoolean;
  }

  public Boolean isOndiskQuiesced()
  {
    return this.ondiskQuiesced;
  }

  public DVolumeInfo withOndiskQuiesced(Boolean paramBoolean)
  {
    this.ondiskQuiesced = paramBoolean;
    return this;
  }

  @Element("owning-vserver-uuid")
  @Type("string")
  @Optional
  public void setOwningVserverUuid(String paramString)
  {
    this.owningVserverUuid = paramString;
  }

  public String getOwningVserverUuid()
  {
    return this.owningVserverUuid;
  }

  public DVolumeInfo withOwningVserverUuid(String paramString)
  {
    this.owningVserverUuid = paramString;
    return this;
  }

  @Element("percentage-used")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setPercentageUsed(Integer paramInteger)
  {
    this.percentageUsed = paramInteger;
  }

  public Integer getPercentageUsed()
  {
    return this.percentageUsed;
  }

  public DVolumeInfo withPercentageUsed(Integer paramInteger)
  {
    this.percentageUsed = paramInteger;
    return this;
  }

  @Element("quiesced")
  @Type("boolean")
  @Optional
  public void setQuiesced(Boolean paramBoolean)
  {
    this.quiesced = paramBoolean;
  }

  public Boolean isQuiesced()
  {
    return this.quiesced;
  }

  public DVolumeInfo withQuiesced(Boolean paramBoolean)
  {
    this.quiesced = paramBoolean;
    return this;
  }

  @Element("quota-init")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setQuotaInit(Integer paramInteger)
  {
    this.quotaInit = paramInteger;
  }

  public Integer getQuotaInit()
  {
    return this.quotaInit;
  }

  public DVolumeInfo withQuotaInit(Integer paramInteger)
  {
    this.quotaInit = paramInteger;
    return this;
  }

  @Element("security")
  @Type("d-security-info")
  @Optional
  public void setSecurity(DSecurityInfo paramDSecurityInfo)
  {
    this.security = paramDSecurityInfo;
  }

  public DSecurityInfo getSecurity()
  {
    return this.security;
  }

  public DVolumeInfo withSecurity(DSecurityInfo paramDSecurityInfo)
  {
    this.security = paramDSecurityInfo;
    return this;
  }

  @Element("size")
  @Type("string")
  @Optional
  public void setSize(String paramString)
  {
    this.size = paramString;
  }

  public String getSize()
  {
    return this.size;
  }

  public DVolumeInfo withSize(String paramString)
  {
    this.size = paramString;
    return this;
  }

  @Element("size-available")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSizeAvailable(BigInteger paramBigInteger)
  {
    this.sizeAvailable = paramBigInteger;
  }

  public BigInteger getSizeAvailable()
  {
    return this.sizeAvailable;
  }

  public DVolumeInfo withSizeAvailable(BigInteger paramBigInteger)
  {
    this.sizeAvailable = paramBigInteger;
    return this;
  }

  @Element("size-total")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSizeTotal(BigInteger paramBigInteger)
  {
    this.sizeTotal = paramBigInteger;
  }

  public BigInteger getSizeTotal()
  {
    return this.sizeTotal;
  }

  public DVolumeInfo withSizeTotal(BigInteger paramBigInteger)
  {
    this.sizeTotal = paramBigInteger;
    return this;
  }

  @Element("size-used")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSizeUsed(BigInteger paramBigInteger)
  {
    this.sizeUsed = paramBigInteger;
  }

  public BigInteger getSizeUsed()
  {
    return this.sizeUsed;
  }

  public DVolumeInfo withSizeUsed(BigInteger paramBigInteger)
  {
    this.sizeUsed = paramBigInteger;
    return this;
  }

  @Element("snapmirrored")
  @Type("boolean")
  @Optional
  public void setSnapmirrored(Boolean paramBoolean)
  {
    this.snapmirrored = paramBoolean;
  }

  public Boolean isSnapmirrored()
  {
    return this.snapmirrored;
  }

  public DVolumeInfo withSnapmirrored(Boolean paramBoolean)
  {
    this.snapmirrored = paramBoolean;
    return this;
  }

  @Element("snapshot-autodelete")
  @Type("d-snapshot-autodelete-info")
  @Optional
  public void setSnapshotAutodelete(DSnapshotAutodeleteInfo paramDSnapshotAutodeleteInfo)
  {
    this.snapshotAutodelete = paramDSnapshotAutodeleteInfo;
  }

  public DSnapshotAutodeleteInfo getSnapshotAutodelete()
  {
    return this.snapshotAutodelete;
  }

  public DVolumeInfo withSnapshotAutodelete(DSnapshotAutodeleteInfo paramDSnapshotAutodeleteInfo)
  {
    this.snapshotAutodelete = paramDSnapshotAutodeleteInfo;
    return this;
  }

  @Element("snapshot-reserve")
  @Type("d-snapshot-reserve-info")
  @Optional
  public void setSnapshotReserve(DSnapshotReserveInfo paramDSnapshotReserveInfo)
  {
    this.snapshotReserve = paramDSnapshotReserveInfo;
  }

  public DSnapshotReserveInfo getSnapshotReserve()
  {
    return this.snapshotReserve;
  }

  public DVolumeInfo withSnapshotReserve(DSnapshotReserveInfo paramDSnapshotReserveInfo)
  {
    this.snapshotReserve = paramDSnapshotReserveInfo;
    return this;
  }

  @Element("snapshot-schedule")
  @Type("d-snapshot-schedule-info")
  @Optional
  public void setSnapshotSchedule(DSnapshotScheduleInfo paramDSnapshotScheduleInfo)
  {
    this.snapshotSchedule = paramDSnapshotScheduleInfo;
  }

  public DSnapshotScheduleInfo getSnapshotSchedule()
  {
    return this.snapshotSchedule;
  }

  public DVolumeInfo withSnapshotSchedule(DSnapshotScheduleInfo paramDSnapshotScheduleInfo)
  {
    this.snapshotSchedule = paramDSnapshotScheduleInfo;
    return this;
  }

  @Element("space-guarantee")
  @Type("string")
  @Optional
  public void setSpaceGuarantee(String paramString)
  {
    this.spaceGuarantee = paramString;
  }

  public String getSpaceGuarantee()
  {
    return this.spaceGuarantee;
  }

  public DVolumeInfo withSpaceGuarantee(String paramString)
  {
    this.spaceGuarantee = paramString;
    return this;
  }

  @Element("space-guarantee-enabled")
  @Type("boolean")
  @Optional
  public void setSpaceGuaranteeEnabled(Boolean paramBoolean)
  {
    this.spaceGuaranteeEnabled = paramBoolean;
  }

  public Boolean isSpaceGuaranteeEnabled()
  {
    return this.spaceGuaranteeEnabled;
  }

  public DVolumeInfo withSpaceGuaranteeEnabled(Boolean paramBoolean)
  {
    this.spaceGuaranteeEnabled = paramBoolean;
    return this;
  }

  @Element("state")
  @Type("string")
  @Optional
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public DVolumeInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("striping")
  @Type("d-striping-info")
  @Optional
  public void setStriping(DStripingInfo paramDStripingInfo)
  {
    this.striping = paramDStripingInfo;
  }

  public DStripingInfo getStriping()
  {
    return this.striping;
  }

  public DVolumeInfo withStriping(DStripingInfo paramDStripingInfo)
  {
    this.striping = paramDStripingInfo;
    return this;
  }

  @Element("uuid")
  @Type("string")
  @Optional
  public void setUuid(String paramString)
  {
    this.uuid = paramString;
  }

  public String getUuid()
  {
    return this.uuid;
  }

  public DVolumeInfo withUuid(String paramString)
  {
    this.uuid = paramString;
    return this;
  }

  @Element("wafliron")
  @Type("d-wafliron-info")
  @Optional
  public void setWafliron(DWaflironInfo paramDWaflironInfo)
  {
    this.wafliron = paramDWaflironInfo;
  }

  public DWaflironInfo getWafliron()
  {
    return this.wafliron;
  }

  public DVolumeInfo withWafliron(DWaflironInfo paramDWaflironInfo)
  {
    this.wafliron = paramDWaflironInfo;
    return this;
  }
}