package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-junction-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EFILEEXISTS", "EINTERNALERROR", "EINVALIDDSID", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE"})
@Family({"ontap-d"})
public class DVolumeJunctionCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String id;
  public String junctionPathRemaining;
  public String junctionPathname;
  public Long junctionVersion;
  public Long newJunctionGenerationNumber;
  public Long newJunctionInodeNumber;
  public Boolean newJunctionWasAlreadyThere;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeJunctionCreate withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeJunctionCreate withId(String paramString)
  {
    this.id = paramString;
    return this;
  }

  @Output("junction-path-remaining")
  @Type("string")
  @Optional
  public void setJunctionPathRemaining(String paramString)
  {
    this.junctionPathRemaining = paramString;
  }

  public String getJunctionPathRemaining()
  {
    return this.junctionPathRemaining;
  }

  public DVolumeJunctionCreate withJunctionPathRemaining(String paramString)
  {
    this.junctionPathRemaining = paramString;
    return this;
  }

  @Input("junction-pathname")
  @Type("string")
  public void setJunctionPathname(String paramString)
  {
    this.junctionPathname = paramString;
  }

  public String getJunctionPathname()
  {
    return this.junctionPathname;
  }

  public DVolumeJunctionCreate withJunctionPathname(String paramString)
  {
    this.junctionPathname = paramString;
    return this;
  }

  @Input("junction-version")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setJunctionVersion(Long paramLong)
  {
    this.junctionVersion = paramLong;
  }

  public Long getJunctionVersion()
  {
    return this.junctionVersion;
  }

  public DVolumeJunctionCreate withJunctionVersion(Long paramLong)
  {
    this.junctionVersion = paramLong;
    return this;
  }

  @Output("new-junction-generation-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNewJunctionGenerationNumber(Long paramLong)
  {
    this.newJunctionGenerationNumber = paramLong;
  }

  public Long getNewJunctionGenerationNumber()
  {
    return this.newJunctionGenerationNumber;
  }

  public DVolumeJunctionCreate withNewJunctionGenerationNumber(Long paramLong)
  {
    this.newJunctionGenerationNumber = paramLong;
    return this;
  }

  @Output("new-junction-inode-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNewJunctionInodeNumber(Long paramLong)
  {
    this.newJunctionInodeNumber = paramLong;
  }

  public Long getNewJunctionInodeNumber()
  {
    return this.newJunctionInodeNumber;
  }

  public DVolumeJunctionCreate withNewJunctionInodeNumber(Long paramLong)
  {
    this.newJunctionInodeNumber = paramLong;
    return this;
  }

  @Output("new-junction-was-already-there")
  @Type("boolean")
  public void setNewJunctionWasAlreadyThere(Boolean paramBoolean)
  {
    this.newJunctionWasAlreadyThere = paramBoolean;
  }

  public Boolean isNewJunctionWasAlreadyThere()
  {
    return this.newJunctionWasAlreadyThere;
  }

  public DVolumeJunctionCreate withNewJunctionWasAlreadyThere(Boolean paramBoolean)
  {
    this.newJunctionWasAlreadyThere = paramBoolean;
    return this;
  }
}