package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-junction-destroy")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EJUNCTIONDOESNOTEXIST", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE"})
@Family({"ontap-d"})
public class DVolumeJunctionDestroy
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String id;
  public Long junctionGenerationNumber;
  public Long junctionInodeNumber;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeJunctionDestroy withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeJunctionDestroy withId(String paramString)
  {
    this.id = paramString;
    return this;
  }

  @Input("junction-generation-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setJunctionGenerationNumber(Long paramLong)
  {
    this.junctionGenerationNumber = paramLong;
  }

  public Long getJunctionGenerationNumber()
  {
    return this.junctionGenerationNumber;
  }

  public DVolumeJunctionDestroy withJunctionGenerationNumber(Long paramLong)
  {
    this.junctionGenerationNumber = paramLong;
    return this;
  }

  @Input("junction-inode-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setJunctionInodeNumber(Long paramLong)
  {
    this.junctionInodeNumber = paramLong;
  }

  public Long getJunctionInodeNumber()
  {
    return this.junctionInodeNumber;
  }

  public DVolumeJunctionDestroy withJunctionInodeNumber(Long paramLong)
  {
    this.junctionInodeNumber = paramLong;
    return this;
  }
}