package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("d-volume-list-info-iter-next")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDDSID"})
@Family({"ontap-d"})
public class DVolumeListInfoIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximumRecords;
  public String nextTag;
  public Long numRecordsRetrieved;
  public String tag;
  public List<DVolumeInfo> volumeAttrs;

  @Input("maximum-records")
  @Type("integer")
  public void setMaximumRecords(Long paramLong)
  {
    this.maximumRecords = paramLong;
  }

  public Long getMaximumRecords()
  {
    return this.maximumRecords;
  }

  public DVolumeListInfoIterNext withMaximumRecords(Long paramLong)
  {
    this.maximumRecords = paramLong;
    return this;
  }

  @Output("next-tag")
  @Type("string")
  public void setNextTag(String paramString)
  {
    this.nextTag = paramString;
  }

  public String getNextTag()
  {
    return this.nextTag;
  }

  public DVolumeListInfoIterNext withNextTag(String paramString)
  {
    this.nextTag = paramString;
    return this;
  }

  @Output("num-records-retrieved")
  @Type("integer")
  public void setNumRecordsRetrieved(Long paramLong)
  {
    this.numRecordsRetrieved = paramLong;
  }

  public Long getNumRecordsRetrieved()
  {
    return this.numRecordsRetrieved;
  }

  public DVolumeListInfoIterNext withNumRecordsRetrieved(Long paramLong)
  {
    this.numRecordsRetrieved = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public DVolumeListInfoIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Output("volume-attrs")
  @Type("d-volume-info[]")
  public void setVolumeAttrs(List<DVolumeInfo> paramList)
  {
    this.volumeAttrs = paramList;
  }

  public List<DVolumeInfo> getVolumeAttrs()
  {
    return this.volumeAttrs;
  }

  public DVolumeListInfoIterNext withVolumeAttrs(List<DVolumeInfo> paramList)
  {
    this.volumeAttrs = paramList;
    return this;
  }

  public DVolumeListInfoIterNext withVolumeAttrs(DVolumeInfo[] paramArrayOfDVolumeInfo)
  {
    this.volumeAttrs = new ArrayList(Arrays.asList(paramArrayOfDVolumeInfo));
    return this;
  }
}