package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-offline")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "ECIFS_HAVE_SESSION_SCOPED_LOCKS", "EINTERNALERROR", "EINVALIDDSID", "EVOLAGGRISIRONING"})
@Family({"ontap-d"})
public class DVolumeOffline
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long cifsDelay;
  public String containingAggregateUuid;
  public String id;
  public String reason;

  @Input("cifs-delay")
  @Type("integer")
  @Optional
  public void setCifsDelay(Long paramLong)
  {
    this.cifsDelay = paramLong;
  }

  public Long getCifsDelay()
  {
    return this.cifsDelay;
  }

  public DVolumeOffline withCifsDelay(Long paramLong)
  {
    this.cifsDelay = paramLong;
    return this;
  }

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeOffline withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeOffline withId(String paramString)
  {
    this.id = paramString;
    return this;
  }

  @Input("reason")
  @Type("string")
  @Optional
  public void setReason(String paramString)
  {
    this.reason = paramString;
  }

  public String getReason()
  {
    return this.reason;
  }

  public DVolumeOffline withReason(String paramString)
  {
    this.reason = paramString;
    return this;
  }
}