package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-online")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EVOL_SPACE_FOR_GUARANTEE"})
@Family({"ontap-d"})
public class DVolumeOnline
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public Boolean force;
  public String id;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeOnline withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public DVolumeOnline withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeOnline withId(String paramString)
  {
    this.id = paramString;
    return this;
  }
}