package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("d-volume-split-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID"})
@Family({"ontap-d"})
public class DVolumeSplitStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<DCloneSplitDetailInfo> cloneSplitDetail;
  public String id;

  @Output("clone-split-detail")
  @Type("d-clone-split-detail-info[]")
  public void setCloneSplitDetail(List<DCloneSplitDetailInfo> paramList)
  {
    this.cloneSplitDetail = paramList;
  }

  public List<DCloneSplitDetailInfo> getCloneSplitDetail()
  {
    return this.cloneSplitDetail;
  }

  public DVolumeSplitStatus withCloneSplitDetail(List<DCloneSplitDetailInfo> paramList)
  {
    this.cloneSplitDetail = paramList;
    return this;
  }

  public DVolumeSplitStatus withCloneSplitDetail(DCloneSplitDetailInfo[] paramArrayOfDCloneSplitDetailInfo)
  {
    this.cloneSplitDetail = new ArrayList(Arrays.asList(paramArrayOfDCloneSplitDetailInfo));
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeSplitStatus withId(String paramString)
  {
    this.id = paramString;
    return this;
  }
}