package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("d-wafliron-info")
public class DWaflironInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer percentInodesScanned;
  public String state;

  @Element("percent-inodes-scanned")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setPercentInodesScanned(Integer paramInteger)
  {
    this.percentInodesScanned = paramInteger;
  }

  public Integer getPercentInodesScanned()
  {
    return this.percentInodesScanned;
  }

  public DWaflironInfo withPercentInodesScanned(Integer paramInteger)
  {
    this.percentInodesScanned = paramInteger;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public DWaflironInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }
}