package com.netapp.filer.fc;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fc-config-adapter-enable")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERINVALIDTYPE", "EADAPTERNOTFOUND", "EINTERNALERROR", "ENOTSTARTED", "EONTAPI_EINVAL"})
@Family({"ontap-c", "ontap-d"})
public class FcConfigAdapterEnable
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String adapterName;

  @Input("adapter-name")
  @Type("string")
  public void setAdapterName(String paramString)
  {
    this.adapterName = paramString;
  }

  public String getAdapterName()
  {
    return this.adapterName;
  }

  public FcConfigAdapterEnable withAdapterName(String paramString)
  {
    this.adapterName = paramString;
    return this;
  }
}