package com.netapp.filer.fc;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fc-config-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "ontap-d"})
public class FcConfigListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<FcConfigInfo> adapterInfo;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("adapter-info")
  @Type("fc-config-info[]")
  public void setAdapterInfo(List<FcConfigInfo> paramList)
  {
    this.adapterInfo = paramList;
  }

  public List<FcConfigInfo> getAdapterInfo()
  {
    return this.adapterInfo;
  }

  public FcConfigListIterNext withAdapterInfo(List<FcConfigInfo> paramList)
  {
    this.adapterInfo = paramList;
    return this;
  }

  public FcConfigListIterNext withAdapterInfo(FcConfigInfo[] paramArrayOfFcConfigInfo)
  {
    this.adapterInfo = new ArrayList(Arrays.asList(paramArrayOfFcConfigInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public FcConfigListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public FcConfigListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public FcConfigListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}