package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-adapter-config-media-type")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERINVALIDTYPE", "EADAPTERNOTFOUND", "EADAPTERPARTNER", "ECLUSTERED", "EINTERNALERROR", "ENOTSTARTED", "EONTAPI_EINVAL"})
@Family({"ontap-c"})
public class FcpAdapterConfigMediaType
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpAdapter;
  public String mediaType;

  @Input("fcp-adapter")
  @Type("string")
  public void setFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
  }

  public String getFcpAdapter()
  {
    return this.fcpAdapter;
  }

  public FcpAdapterConfigMediaType withFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
    return this;
  }

  @Input("media-type")
  @Type("string")
  public void setMediaType(String paramString)
  {
    this.mediaType = paramString;
  }

  public String getMediaType()
  {
    return this.mediaType;
  }

  public FcpAdapterConfigMediaType withMediaType(String paramString)
  {
    this.mediaType = paramString;
    return this;
  }
}