package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("fcp-adapter-initiators-info")
public class FcpAdapterInitiatorsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String adapter;
  public List<FcpConnectedInitiatorInfo> fcpConnectedInitiators;

  @Element("adapter")
  @Type("string")
  public void setAdapter(String paramString)
  {
    this.adapter = paramString;
  }

  public String getAdapter()
  {
    return this.adapter;
  }

  public FcpAdapterInitiatorsInfo withAdapter(String paramString)
  {
    this.adapter = paramString;
    return this;
  }

  @Element("fcp-connected-initiators")
  @Type("fcp-connected-initiator-info[]")
  public void setFcpConnectedInitiators(List<FcpConnectedInitiatorInfo> paramList)
  {
    this.fcpConnectedInitiators = paramList;
  }

  public List<FcpConnectedInitiatorInfo> getFcpConnectedInitiators()
  {
    return this.fcpConnectedInitiators;
  }

  public FcpAdapterInitiatorsInfo withFcpConnectedInitiators(List<FcpConnectedInitiatorInfo> paramList)
  {
    this.fcpConnectedInitiators = paramList;
    return this;
  }

  public FcpAdapterInitiatorsInfo withFcpConnectedInitiators(FcpConnectedInitiatorInfo[] paramArrayOfFcpConnectedInitiatorInfo)
  {
    this.fcpConnectedInitiators = new ArrayList(Arrays.asList(paramArrayOfFcpConnectedInitiatorInfo));
    return this;
  }
}