package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fcp-adapter-initiators-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERNOTFOUND", "EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class FcpAdapterInitiatorsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpAdapter;
  public List<FcpAdapterInitiatorsInfo> fcpAdapters;

  @Input("fcp-adapter")
  @Type("string")
  @Optional
  public void setFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
  }

  public String getFcpAdapter()
  {
    return this.fcpAdapter;
  }

  public FcpAdapterInitiatorsListInfo withFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
    return this;
  }

  @Output("fcp-adapters")
  @Type("fcp-adapter-initiators-info[]")
  public void setFcpAdapters(List<FcpAdapterInitiatorsInfo> paramList)
  {
    this.fcpAdapters = paramList;
  }

  public List<FcpAdapterInitiatorsInfo> getFcpAdapters()
  {
    return this.fcpAdapters;
  }

  public FcpAdapterInitiatorsListInfo withFcpAdapters(List<FcpAdapterInitiatorsInfo> paramList)
  {
    this.fcpAdapters = paramList;
    return this;
  }

  public FcpAdapterInitiatorsListInfo withFcpAdapters(FcpAdapterInitiatorsInfo[] paramArrayOfFcpAdapterInitiatorsInfo)
  {
    this.fcpAdapters = new ArrayList(Arrays.asList(paramArrayOfFcpAdapterInitiatorsInfo));
    return this;
  }
}