package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fcp-adapter-stats-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERNOTFOUND", "EINTERNALERROR"})
@Family({"ontap-c"})
public class FcpAdapterStatsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpAdapter;
  public List<FcpAdapterStatsInfo> fcpAdapterStats;

  @Input("fcp-adapter")
  @Type("string")
  @Optional
  public void setFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
  }

  public String getFcpAdapter()
  {
    return this.fcpAdapter;
  }

  public FcpAdapterStatsListInfo withFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
    return this;
  }

  @Output("fcp-adapter-stats")
  @Type("fcp-adapter-stats-info[]")
  public void setFcpAdapterStats(List<FcpAdapterStatsInfo> paramList)
  {
    this.fcpAdapterStats = paramList;
  }

  public List<FcpAdapterStatsInfo> getFcpAdapterStats()
  {
    return this.fcpAdapterStats;
  }

  public FcpAdapterStatsListInfo withFcpAdapterStats(List<FcpAdapterStatsInfo> paramList)
  {
    this.fcpAdapterStats = paramList;
    return this;
  }

  public FcpAdapterStatsListInfo withFcpAdapterStats(FcpAdapterStatsInfo[] paramArrayOfFcpAdapterStatsInfo)
  {
    this.fcpAdapterStats = new ArrayList(Arrays.asList(paramArrayOfFcpAdapterStatsInfo));
    return this;
  }
}