package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("fcp-config-adapter-info")
public class FcpConfigAdapterInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String adapter;
  public String adapterType;
  public Long cacheLineSize;
  public String connectionEstablished;
  public Long dataLinkRate;
  public String errorMsg;
  public Boolean externalGbicEnabled;
  public Boolean fabricEstablished;
  public String firmwareRev;
  public String hardwareRev;
  public String infoName;
  public Long loopId;
  public String mediaType;
  public String nodeName;
  public Long packetSize;
  public String partnerAdapter;
  public Long pciBusWidth;
  public Long pciClockSpeed;
  public Long portAddress;
  public Long portId;
  public String portName;
  public String speed;
  public Boolean sramParityEnabled;
  public Boolean standby;
  public String state;

  @Element("adapter")
  @Type("string")
  public void setAdapter(String paramString)
  {
    this.adapter = paramString;
  }

  public String getAdapter()
  {
    return this.adapter;
  }

  public FcpConfigAdapterInfo withAdapter(String paramString)
  {
    this.adapter = paramString;
    return this;
  }

  @Element("adapter-type")
  @Type("string")
  @Optional
  public void setAdapterType(String paramString)
  {
    this.adapterType = paramString;
  }

  public String getAdapterType()
  {
    return this.adapterType;
  }

  public FcpConfigAdapterInfo withAdapterType(String paramString)
  {
    this.adapterType = paramString;
    return this;
  }

  @Element("cache-line-size")
  @Type("integer")
  @Optional
  public void setCacheLineSize(Long paramLong)
  {
    this.cacheLineSize = paramLong;
  }

  public Long getCacheLineSize()
  {
    return this.cacheLineSize;
  }

  public FcpConfigAdapterInfo withCacheLineSize(Long paramLong)
  {
    this.cacheLineSize = paramLong;
    return this;
  }

  @Element("connection-established")
  @Type("string")
  @Optional
  public void setConnectionEstablished(String paramString)
  {
    this.connectionEstablished = paramString;
  }

  public String getConnectionEstablished()
  {
    return this.connectionEstablished;
  }

  public FcpConfigAdapterInfo withConnectionEstablished(String paramString)
  {
    this.connectionEstablished = paramString;
    return this;
  }

  @Element("data-link-rate")
  @Type("integer")
  @Optional
  public void setDataLinkRate(Long paramLong)
  {
    this.dataLinkRate = paramLong;
  }

  public Long getDataLinkRate()
  {
    return this.dataLinkRate;
  }

  public FcpConfigAdapterInfo withDataLinkRate(Long paramLong)
  {
    this.dataLinkRate = paramLong;
    return this;
  }

  @Element("error-msg")
  @Type("string")
  @Optional
  public void setErrorMsg(String paramString)
  {
    this.errorMsg = paramString;
  }

  public String getErrorMsg()
  {
    return this.errorMsg;
  }

  public FcpConfigAdapterInfo withErrorMsg(String paramString)
  {
    this.errorMsg = paramString;
    return this;
  }

  @Element("external-gbic-enabled")
  @Type("boolean")
  @Optional
  public void setExternalGbicEnabled(Boolean paramBoolean)
  {
    this.externalGbicEnabled = paramBoolean;
  }

  public Boolean isExternalGbicEnabled()
  {
    return this.externalGbicEnabled;
  }

  public FcpConfigAdapterInfo withExternalGbicEnabled(Boolean paramBoolean)
  {
    this.externalGbicEnabled = paramBoolean;
    return this;
  }

  @Element("fabric-established")
  @Type("boolean")
  @Optional
  public void setFabricEstablished(Boolean paramBoolean)
  {
    this.fabricEstablished = paramBoolean;
  }

  public Boolean isFabricEstablished()
  {
    return this.fabricEstablished;
  }

  public FcpConfigAdapterInfo withFabricEstablished(Boolean paramBoolean)
  {
    this.fabricEstablished = paramBoolean;
    return this;
  }

  @Element("firmware-rev")
  @Type("string")
  @Optional
  public void setFirmwareRev(String paramString)
  {
    this.firmwareRev = paramString;
  }

  public String getFirmwareRev()
  {
    return this.firmwareRev;
  }

  public FcpConfigAdapterInfo withFirmwareRev(String paramString)
  {
    this.firmwareRev = paramString;
    return this;
  }

  @Element("hardware-rev")
  @Type("string")
  @Optional
  public void setHardwareRev(String paramString)
  {
    this.hardwareRev = paramString;
  }

  public String getHardwareRev()
  {
    return this.hardwareRev;
  }

  public FcpConfigAdapterInfo withHardwareRev(String paramString)
  {
    this.hardwareRev = paramString;
    return this;
  }

  @Element("info-name")
  @Type("string")
  @Optional
  public void setInfoName(String paramString)
  {
    this.infoName = paramString;
  }

  public String getInfoName()
  {
    return this.infoName;
  }

  public FcpConfigAdapterInfo withInfoName(String paramString)
  {
    this.infoName = paramString;
    return this;
  }

  @Element("loop-id")
  @Type("integer")
  @Optional
  public void setLoopId(Long paramLong)
  {
    this.loopId = paramLong;
  }

  public Long getLoopId()
  {
    return this.loopId;
  }

  public FcpConfigAdapterInfo withLoopId(Long paramLong)
  {
    this.loopId = paramLong;
    return this;
  }

  @Element("media-type")
  @Type("string")
  @Optional
  public void setMediaType(String paramString)
  {
    this.mediaType = paramString;
  }

  public String getMediaType()
  {
    return this.mediaType;
  }

  public FcpConfigAdapterInfo withMediaType(String paramString)
  {
    this.mediaType = paramString;
    return this;
  }

  @Element("node-name")
  @Type("string")
  @Optional
  public void setNodeName(String paramString)
  {
    this.nodeName = paramString;
  }

  public String getNodeName()
  {
    return this.nodeName;
  }

  public FcpConfigAdapterInfo withNodeName(String paramString)
  {
    this.nodeName = paramString;
    return this;
  }

  @Element("packet-size")
  @Type("integer")
  @Optional
  public void setPacketSize(Long paramLong)
  {
    this.packetSize = paramLong;
  }

  public Long getPacketSize()
  {
    return this.packetSize;
  }

  public FcpConfigAdapterInfo withPacketSize(Long paramLong)
  {
    this.packetSize = paramLong;
    return this;
  }

  @Element("partner-adapter")
  @Type("string")
  @Optional
  public void setPartnerAdapter(String paramString)
  {
    this.partnerAdapter = paramString;
  }

  public String getPartnerAdapter()
  {
    return this.partnerAdapter;
  }

  public FcpConfigAdapterInfo withPartnerAdapter(String paramString)
  {
    this.partnerAdapter = paramString;
    return this;
  }

  @Element("pci-bus-width")
  @Type("integer")
  @Optional
  public void setPciBusWidth(Long paramLong)
  {
    this.pciBusWidth = paramLong;
  }

  public Long getPciBusWidth()
  {
    return this.pciBusWidth;
  }

  public FcpConfigAdapterInfo withPciBusWidth(Long paramLong)
  {
    this.pciBusWidth = paramLong;
    return this;
  }

  @Element("pci-clock-speed")
  @Type("integer")
  @Optional
  public void setPciClockSpeed(Long paramLong)
  {
    this.pciClockSpeed = paramLong;
  }

  public Long getPciClockSpeed()
  {
    return this.pciClockSpeed;
  }

  public FcpConfigAdapterInfo withPciClockSpeed(Long paramLong)
  {
    this.pciClockSpeed = paramLong;
    return this;
  }

  @Element("port-address")
  @Type("integer")
  @Optional
  public void setPortAddress(Long paramLong)
  {
    this.portAddress = paramLong;
  }

  public Long getPortAddress()
  {
    return this.portAddress;
  }

  public FcpConfigAdapterInfo withPortAddress(Long paramLong)
  {
    this.portAddress = paramLong;
    return this;
  }

  @Element("port-id")
  @Type("integer")
  @Optional
  public void setPortId(Long paramLong)
  {
    this.portId = paramLong;
  }

  public Long getPortId()
  {
    return this.portId;
  }

  public FcpConfigAdapterInfo withPortId(Long paramLong)
  {
    this.portId = paramLong;
    return this;
  }

  @Element("port-name")
  @Type("string")
  @Optional
  public void setPortName(String paramString)
  {
    this.portName = paramString;
  }

  public String getPortName()
  {
    return this.portName;
  }

  public FcpConfigAdapterInfo withPortName(String paramString)
  {
    this.portName = paramString;
    return this;
  }

  @Element("speed")
  @Type("string")
  public void setSpeed(String paramString)
  {
    this.speed = paramString;
  }

  public String getSpeed()
  {
    return this.speed;
  }

  public FcpConfigAdapterInfo withSpeed(String paramString)
  {
    this.speed = paramString;
    return this;
  }

  @Element("sram-parity-enabled")
  @Type("boolean")
  @Optional
  public void setSramParityEnabled(Boolean paramBoolean)
  {
    this.sramParityEnabled = paramBoolean;
  }

  public Boolean isSramParityEnabled()
  {
    return this.sramParityEnabled;
  }

  public FcpConfigAdapterInfo withSramParityEnabled(Boolean paramBoolean)
  {
    this.sramParityEnabled = paramBoolean;
    return this;
  }

  @Element("standby")
  @Type("boolean")
  @Optional
  public void setStandby(Boolean paramBoolean)
  {
    this.standby = paramBoolean;
  }

  public Boolean isStandby()
  {
    return this.standby;
  }

  public FcpConfigAdapterInfo withStandby(Boolean paramBoolean)
  {
    this.standby = paramBoolean;
    return this;
  }

  @Element("state")
  @Type("string")
  @Optional
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public FcpConfigAdapterInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }
}