package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("fcp-connected-initiator-info")
public class FcpConnectedInitiatorInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String nodeName;
  public Long portAddress;
  public String portName;
  public List<PortnameAliasListInfo> portnameAliasList;

  @Element("node-name")
  @Type("string")
  public void setNodeName(String paramString)
  {
    this.nodeName = paramString;
  }

  public String getNodeName()
  {
    return this.nodeName;
  }

  public FcpConnectedInitiatorInfo withNodeName(String paramString)
  {
    this.nodeName = paramString;
    return this;
  }

  @Element("port-address")
  @Type("integer")
  public void setPortAddress(Long paramLong)
  {
    this.portAddress = paramLong;
  }

  public Long getPortAddress()
  {
    return this.portAddress;
  }

  public FcpConnectedInitiatorInfo withPortAddress(Long paramLong)
  {
    this.portAddress = paramLong;
    return this;
  }

  @Element("port-name")
  @Type("string")
  public void setPortName(String paramString)
  {
    this.portName = paramString;
  }

  public String getPortName()
  {
    return this.portName;
  }

  public FcpConnectedInitiatorInfo withPortName(String paramString)
  {
    this.portName = paramString;
    return this;
  }

  @Element("portname-alias-list")
  @Type("portname-alias-list-info[]")
  public void setPortnameAliasList(List<PortnameAliasListInfo> paramList)
  {
    this.portnameAliasList = paramList;
  }

  public List<PortnameAliasListInfo> getPortnameAliasList()
  {
    return this.portnameAliasList;
  }

  public FcpConnectedInitiatorInfo withPortnameAliasList(List<PortnameAliasListInfo> paramList)
  {
    this.portnameAliasList = paramList;
    return this;
  }

  public FcpConnectedInitiatorInfo withPortnameAliasList(PortnameAliasListInfo[] paramArrayOfPortnameAliasListInfo)
  {
    this.portnameAliasList = new ArrayList(Arrays.asList(paramArrayOfPortnameAliasListInfo));
    return this;
  }
}