package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-node-get-name")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c"})
public class FcpNodeGetName
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String nodeName;

  @Output("node-name")
  @Type("string")
  public void setNodeName(String paramString)
  {
    this.nodeName = paramString;
  }

  public String getNodeName()
  {
    return this.nodeName;
  }

  public FcpNodeGetName withNodeName(String paramString)
  {
    this.nodeName = paramString;
    return this;
  }
}