package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-node-set-name")
@Status(StatusEnum.PUBLIC)
@Errno({"EALREADYSTARTED", "EINTERNALERROR", "EONTAPI_EINVAL", "EOPNOTSUPPORTED"})
@Family({"ontap-c"})
public class FcpNodeSetName
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String nodeName;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public FcpNodeSetName withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("node-name")
  @Type("string")
  public void setNodeName(String paramString)
  {
    this.nodeName = paramString;
  }

  public String getNodeName()
  {
    return this.nodeName;
  }

  public FcpNodeSetName withNodeName(String paramString)
  {
    this.nodeName = paramString;
    return this;
  }
}