package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fcp-port-name-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EOPNOTSUPPORTED"})
@Family({"ontap-c"})
public class FcpPortNameListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<FcpPortNameInfo> fcpPortNames;
  public Boolean verbose;

  @Output("fcp-port-names")
  @Type("fcp-port-name-info[]")
  public void setFcpPortNames(List<FcpPortNameInfo> paramList)
  {
    this.fcpPortNames = paramList;
  }

  public List<FcpPortNameInfo> getFcpPortNames()
  {
    return this.fcpPortNames;
  }

  public FcpPortNameListInfo withFcpPortNames(List<FcpPortNameInfo> paramList)
  {
    this.fcpPortNames = paramList;
    return this;
  }

  public FcpPortNameListInfo withFcpPortNames(FcpPortNameInfo[] paramArrayOfFcpPortNameInfo)
  {
    this.fcpPortNames = new ArrayList(Arrays.asList(paramArrayOfFcpPortNameInfo));
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public FcpPortNameListInfo withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}