package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-port-name-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERINVALIDTYPE", "EADAPTERNOTFOUND", "EALREADYSTARTED", "EINTERNALERROR", "EONTAPI_EINVAL", "EOPNOTSUPPORTED"})
@Family({"ontap-c"})
public class FcpPortNameSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpAdapter;
  public String portName;

  @Input("fcp-adapter")
  @Type("string")
  public void setFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
  }

  public String getFcpAdapter()
  {
    return this.fcpAdapter;
  }

  public FcpPortNameSet withFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
    return this;
  }

  @Input("port-name")
  @Type("string")
  public void setPortName(String paramString)
  {
    this.portName = paramString;
  }

  public String getPortName()
  {
    return this.portName;
  }

  public FcpPortNameSet withPortName(String paramString)
  {
    this.portName = paramString;
    return this;
  }
}