package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-set-cfmode")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "ENOTCLUSTERED", "EONTAPI_EINVAL", "EONTAPI_EPERM", "ESERVICENOTSTOPPED", "EVDISK_ERROR_IN_TAKEOVER", "EVDISK_ERROR_PARTNER_NOT_REACHABLE"})
@Family({"ontap-c"})
public class FcpSetCfmode
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpCfmode;
  public Boolean force;

  @Input("fcp-cfmode")
  @Type("string")
  public void setFcpCfmode(String paramString)
  {
    this.fcpCfmode = paramString;
  }

  public String getFcpCfmode()
  {
    return this.fcpCfmode;
  }

  public FcpSetCfmode withFcpCfmode(String paramString)
  {
    this.fcpCfmode = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public FcpSetCfmode withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }
}