package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-wwpnalias-remove")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_WWPN_ALIAS_NOT_FOUND", "EVDISK_ERROR_WWPN_ALIAS_REMOVE_INVALID_NUM_ARGS", "EVDISK_ERROR_WWPN_NOT_FOUND"})
@Family({"ontap-c"})
public class FcpWwpnaliasRemove
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String alias;
  public String wwpn;

  @Input("alias")
  @Type("string")
  @Optional
  public void setAlias(String paramString)
  {
    this.alias = paramString;
  }

  public String getAlias()
  {
    return this.alias;
  }

  public FcpWwpnaliasRemove withAlias(String paramString)
  {
    this.alias = paramString;
    return this;
  }

  @Input("wwpn")
  @Type("string")
  @Optional
  public void setWwpn(String paramString)
  {
    this.wwpn = paramString;
  }

  public String getWwpn()
  {
    return this.wwpn;
  }

  public FcpWwpnaliasRemove withWwpn(String paramString)
  {
    this.wwpn = paramString;
    return this;
  }
}