package com.netapp.filer.fcport;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("fc-ports")
public class FcPorts
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String portNumber;
  public String portType;
  public String switchName;
  public String switchWwn;

  @Element("port-number")
  @Type("string")
  @Optional
  public void setPortNumber(String paramString)
  {
    this.portNumber = paramString;
  }

  public String getPortNumber()
  {
    return this.portNumber;
  }

  public FcPorts withPortNumber(String paramString)
  {
    this.portNumber = paramString;
    return this;
  }

  @Element("port-type")
  @Type("string")
  public void setPortType(String paramString)
  {
    this.portType = paramString;
  }

  public String getPortType()
  {
    return this.portType;
  }

  public FcPorts withPortType(String paramString)
  {
    this.portType = paramString;
    return this;
  }

  @Element("switch-name")
  @Type("string")
  @Optional
  public void setSwitchName(String paramString)
  {
    this.switchName = paramString;
  }

  public String getSwitchName()
  {
    return this.switchName;
  }

  public FcPorts withSwitchName(String paramString)
  {
    this.switchName = paramString;
    return this;
  }

  @Element("switch-wwn")
  @Type("string")
  @Optional
  public void setSwitchWwn(String paramString)
  {
    this.switchWwn = paramString;
  }

  public String getSwitchWwn()
  {
    return this.switchWwn;
  }

  public FcPorts withSwitchWwn(String paramString)
  {
    this.switchWwn = paramString;
    return this;
  }
}