package com.netapp.filer.fiji;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fiji-set-filter")
@Status(StatusEnum.DEBUG)
@Errno({"EFIJIINVALIDEXPR", "EFIJIMAXFILTERS"})
@Family({"ontap-d"})
public class FijiSetFilter
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean fijiFilterIsPersistent;
  public String fijiFilterString;
  public Integer fijiFilterTag;

  @Input("fiji-filter-is-persistent")
  @Type("boolean")
  @Optional
  public void setFijiFilterIsPersistent(Boolean paramBoolean)
  {
    this.fijiFilterIsPersistent = paramBoolean;
  }

  public Boolean isFijiFilterIsPersistent()
  {
    return this.fijiFilterIsPersistent;
  }

  public FijiSetFilter withFijiFilterIsPersistent(Boolean paramBoolean)
  {
    this.fijiFilterIsPersistent = paramBoolean;
    return this;
  }

  @Input("fiji-filter-string")
  @Type("string")
  public void setFijiFilterString(String paramString)
  {
    this.fijiFilterString = paramString;
  }

  public String getFijiFilterString()
  {
    return this.fijiFilterString;
  }

  public FijiSetFilter withFijiFilterString(String paramString)
  {
    this.fijiFilterString = paramString;
    return this;
  }

  @Output("fiji-filter-tag")
  @Type("integer")
  @Range(min="0", max="15")
  public void setFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
  }

  public Integer getFijiFilterTag()
  {
    return this.fijiFilterTag;
  }

  public FijiSetFilter withFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
    return this;
  }
}