package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-create-directory")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EONTAPI_EEXIST", "EONTAPI_EINVAL", "EONTAPI_ENOENT", "EONTAPI_ENOSPC", "EONTAPI_EPERM"})
@Family({"ontap-c", "vfiler"})
public class FileCreateDirectory
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public Long perm;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileCreateDirectory withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("perm")
  @Type("integer")
  public void setPerm(Long paramLong)
  {
    this.perm = paramLong;
  }

  public Long getPerm()
  {
    return this.perm;
  }

  public FileCreateDirectory withPerm(Long paramLong)
  {
    this.perm = paramLong;
    return this;
  }
}