package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("file-delete-directory-all")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EONTAPI_EACCES", "EONTAPI_EINVAL", "EONTAPI_ENOENT", "EONTAPI_EPERM", "EONTAPI_ESYSTEMERR"})
@Family({"ontap-c", "vfiler"})
public class FileDeleteDirectoryAll
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean continueOnError;
  public String dirpath;
  public List<FailedDeleteInfo> failedDeleteErrors;

  @Input("continue-on-error")
  @Type("boolean")
  @Optional
  public void setContinueOnError(Boolean paramBoolean)
  {
    this.continueOnError = paramBoolean;
  }

  public Boolean isContinueOnError()
  {
    return this.continueOnError;
  }

  public FileDeleteDirectoryAll withContinueOnError(Boolean paramBoolean)
  {
    this.continueOnError = paramBoolean;
    return this;
  }

  @Input("dirpath")
  @Type("string")
  public void setDirpath(String paramString)
  {
    this.dirpath = paramString;
  }

  public String getDirpath()
  {
    return this.dirpath;
  }

  public FileDeleteDirectoryAll withDirpath(String paramString)
  {
    this.dirpath = paramString;
    return this;
  }

  @Output("failed-delete-errors")
  @Type("failed-delete-info[]")
  @Optional
  public void setFailedDeleteErrors(List<FailedDeleteInfo> paramList)
  {
    this.failedDeleteErrors = paramList;
  }

  public List<FailedDeleteInfo> getFailedDeleteErrors()
  {
    return this.failedDeleteErrors;
  }

  public FileDeleteDirectoryAll withFailedDeleteErrors(List<FailedDeleteInfo> paramList)
  {
    this.failedDeleteErrors = paramList;
    return this;
  }

  public FileDeleteDirectoryAll withFailedDeleteErrors(FailedDeleteInfo[] paramArrayOfFailedDeleteInfo)
  {
    this.failedDeleteErrors = new ArrayList(Arrays.asList(paramArrayOfFailedDeleteInfo));
    return this;
  }
}