package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("file-list-directory-iter-next")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class FileListDirectoryIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<FileInfo> files;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("files")
  @Type("file-info[]")
  public void setFiles(List<FileInfo> paramList)
  {
    this.files = paramList;
  }

  public List<FileInfo> getFiles()
  {
    return this.files;
  }

  public FileListDirectoryIterNext withFiles(List<FileInfo> paramList)
  {
    this.files = paramList;
    return this;
  }

  public FileListDirectoryIterNext withFiles(FileInfo[] paramArrayOfFileInfo)
  {
    this.files = new ArrayList(Arrays.asList(paramArrayOfFileInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public FileListDirectoryIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public FileListDirectoryIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public FileListDirectoryIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}