package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-list-directory-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class FileListDirectoryIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public Long records;
  public String tag;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileListDirectoryIterStart withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public FileListDirectoryIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public FileListDirectoryIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}