package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-read-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class FileReadFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String data;
  public Long lengthOutput;
  public Long lengthInput;
  public Long offset;
  public String path;

  @Output("data")
  @Type("string")
  public void setData(String paramString)
  {
    this.data = paramString;
  }

  public String getData()
  {
    return this.data;
  }

  public FileReadFile withData(String paramString)
  {
    this.data = paramString;
    return this;
  }

  @Output("length")
  @Type("integer")
  public void setLengthOutput(Long paramLong)
  {
    this.lengthOutput = paramLong;
  }

  public Long getLengthOutput()
  {
    return this.lengthOutput;
  }

  public FileReadFile withLengthOutput(Long paramLong)
  {
    this.lengthOutput = paramLong;
    return this;
  }

  @Input("length")
  @Type("integer")
  public void setLengthInput(Long paramLong)
  {
    this.lengthInput = paramLong;
  }

  public Long getLengthInput()
  {
    return this.lengthInput;
  }

  public FileReadFile withLengthInput(Long paramLong)
  {
    this.lengthInput = paramLong;
    return this;
  }

  @Input("offset")
  @Type("integer")
  public void setOffset(Long paramLong)
  {
    this.offset = paramLong;
  }

  public Long getOffset()
  {
    return this.offset;
  }

  public FileReadFile withOffset(Long paramLong)
  {
    this.offset = paramLong;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileReadFile withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}