package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-read-symlink")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class FileReadSymlink
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String symlink;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileReadSymlink withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("symlink")
  @Type("string")
  public void setSymlink(String paramString)
  {
    this.symlink = paramString;
  }

  public String getSymlink()
  {
    return this.symlink;
  }

  public FileReadSymlink withSymlink(String paramString)
  {
    this.symlink = paramString;
    return this;
  }
}