package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-truncate-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class FileTruncateFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String size;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileTruncateFile withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("size")
  @Type("string")
  @Optional
  public void setSize(String paramString)
  {
    this.size = paramString;
  }

  public String getSize()
  {
    return this.size;
  }

  public FileTruncateFile withSize(String paramString)
  {
    this.size = paramString;
    return this;
  }
}