package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fpolicy-create-policy")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyCreatePolicy
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String policyName;
  public String policyType;

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyCreatePolicy withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }

  @Input("policy-type")
  @Type("string")
  public void setPolicyType(String paramString)
  {
    this.policyType = paramString;
  }

  public String getPolicyType()
  {
    return this.policyType;
  }

  public FpolicyCreatePolicy withPolicyType(String paramString)
  {
    this.policyType = paramString;
    return this;
  }
}