package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-extensions")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "vfiler"})
public class FpolicyExtensions
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String command;
  public List<ExtensionListInfo> extensions;
  public String policyName;
  public String setName;

  @Input("command")
  @Type("string")
  public void setCommand(String paramString)
  {
    this.command = paramString;
  }

  public String getCommand()
  {
    return this.command;
  }

  public FpolicyExtensions withCommand(String paramString)
  {
    this.command = paramString;
    return this;
  }

  @Input("extensions")
  @Type("extension-list-info[]")
  @Optional
  public void setExtensions(List<ExtensionListInfo> paramList)
  {
    this.extensions = paramList;
  }

  public List<ExtensionListInfo> getExtensions()
  {
    return this.extensions;
  }

  public FpolicyExtensions withExtensions(List<ExtensionListInfo> paramList)
  {
    this.extensions = paramList;
    return this;
  }

  public FpolicyExtensions withExtensions(ExtensionListInfo[] paramArrayOfExtensionListInfo)
  {
    this.extensions = new ArrayList(Arrays.asList(paramArrayOfExtensionListInfo));
    return this;
  }

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyExtensions withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }

  @Input("set-name")
  @Type("string")
  public void setSetName(String paramString)
  {
    this.setName = paramString;
  }

  public String getSetName()
  {
    return this.setName;
  }

  public FpolicyExtensions withSetName(String paramString)
  {
    this.setName = paramString;
    return this;
  }
}