package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-extensions-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyExtensionsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ExtensionListInfo> excludeExtensions;
  public List<ExtensionListInfo> includeExtensions;
  public String policyName;

  @Output("exclude-extensions")
  @Type("extension-list-info[]")
  public void setExcludeExtensions(List<ExtensionListInfo> paramList)
  {
    this.excludeExtensions = paramList;
  }

  public List<ExtensionListInfo> getExcludeExtensions()
  {
    return this.excludeExtensions;
  }

  public FpolicyExtensionsListInfo withExcludeExtensions(List<ExtensionListInfo> paramList)
  {
    this.excludeExtensions = paramList;
    return this;
  }

  public FpolicyExtensionsListInfo withExcludeExtensions(ExtensionListInfo[] paramArrayOfExtensionListInfo)
  {
    this.excludeExtensions = new ArrayList(Arrays.asList(paramArrayOfExtensionListInfo));
    return this;
  }

  @Output("include-extensions")
  @Type("extension-list-info[]")
  public void setIncludeExtensions(List<ExtensionListInfo> paramList)
  {
    this.includeExtensions = paramList;
  }

  public List<ExtensionListInfo> getIncludeExtensions()
  {
    return this.includeExtensions;
  }

  public FpolicyExtensionsListInfo withIncludeExtensions(List<ExtensionListInfo> paramList)
  {
    this.includeExtensions = paramList;
    return this;
  }

  public FpolicyExtensionsListInfo withIncludeExtensions(ExtensionListInfo[] paramArrayOfExtensionListInfo)
  {
    this.includeExtensions = new ArrayList(Arrays.asList(paramArrayOfExtensionListInfo));
    return this;
  }

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyExtensionsListInfo withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }
}