package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<PolicyInfo> policies;
  public String policyName;

  @Output("policies")
  @Type("policy-info[]")
  public void setPolicies(List<PolicyInfo> paramList)
  {
    this.policies = paramList;
  }

  public List<PolicyInfo> getPolicies()
  {
    return this.policies;
  }

  public FpolicyListInfo withPolicies(List<PolicyInfo> paramList)
  {
    this.policies = paramList;
    return this;
  }

  public FpolicyListInfo withPolicies(PolicyInfo[] paramArrayOfPolicyInfo)
  {
    this.policies = new ArrayList(Arrays.asList(paramArrayOfPolicyInfo));
    return this;
  }

  @Input("policy-name")
  @Type("string")
  @Optional
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyListInfo withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }
}