package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-server-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyServerListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String policyName;
  public List<ServerInfo> servers;

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyServerListInfo withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }

  @Output("servers")
  @Type("server-info[]")
  public void setServers(List<ServerInfo> paramList)
  {
    this.servers = paramList;
  }

  public List<ServerInfo> getServers()
  {
    return this.servers;
  }

  public FpolicyServerListInfo withServers(List<ServerInfo> paramList)
  {
    this.servers = paramList;
    return this;
  }

  public FpolicyServerListInfo withServers(ServerInfo[] paramArrayOfServerInfo)
  {
    this.servers = new ArrayList(Arrays.asList(paramArrayOfServerInfo));
    return this;
  }
}