package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fpolicy-server-stop")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyServerStop
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String policyName;
  public String serverIp;

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyServerStop withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }

  @Input("server-ip")
  @Type("ip-address")
  public void setServerIp(String paramString)
  {
    this.serverIp = paramString;
  }

  public String getServerIp()
  {
    return this.serverIp;
  }

  public FpolicyServerStop withServerIp(String paramString)
  {
    this.serverIp = paramString;
    return this;
  }
}