package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fpolicy-set-required")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicySetRequired
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String policyName;
  public Boolean required;

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicySetRequired withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }

  @Input("required")
  @Type("boolean")
  public void setRequired(Boolean paramBoolean)
  {
    this.required = paramBoolean;
  }

  public Boolean isRequired()
  {
    return this.required;
  }

  public FpolicySetRequired withRequired(Boolean paramBoolean)
  {
    this.required = paramBoolean;
    return this;
  }
}