package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-volume-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyVolumeListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<FpolicyVolumesListInfo> excludeVolumes;
  public List<FpolicyVolumesListInfo> includeVolumes;
  public String policyName;

  @Output("exclude-volumes")
  @Type("fpolicy-volumes-list-info[]")
  public void setExcludeVolumes(List<FpolicyVolumesListInfo> paramList)
  {
    this.excludeVolumes = paramList;
  }

  public List<FpolicyVolumesListInfo> getExcludeVolumes()
  {
    return this.excludeVolumes;
  }

  public FpolicyVolumeListInfo withExcludeVolumes(List<FpolicyVolumesListInfo> paramList)
  {
    this.excludeVolumes = paramList;
    return this;
  }

  public FpolicyVolumeListInfo withExcludeVolumes(FpolicyVolumesListInfo[] paramArrayOfFpolicyVolumesListInfo)
  {
    this.excludeVolumes = new ArrayList(Arrays.asList(paramArrayOfFpolicyVolumesListInfo));
    return this;
  }

  @Output("include-volumes")
  @Type("fpolicy-volumes-list-info[]")
  public void setIncludeVolumes(List<FpolicyVolumesListInfo> paramList)
  {
    this.includeVolumes = paramList;
  }

  public List<FpolicyVolumesListInfo> getIncludeVolumes()
  {
    return this.includeVolumes;
  }

  public FpolicyVolumeListInfo withIncludeVolumes(List<FpolicyVolumesListInfo> paramList)
  {
    this.includeVolumes = paramList;
    return this;
  }

  public FpolicyVolumeListInfo withIncludeVolumes(FpolicyVolumesListInfo[] paramArrayOfFpolicyVolumesListInfo)
  {
    this.includeVolumes = new ArrayList(Arrays.asList(paramArrayOfFpolicyVolumesListInfo));
    return this;
  }

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyVolumeListInfo withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }
}