package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-volume-list-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "vfiler"})
public class FpolicyVolumeListSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String listType;
  public String policyName;
  public List<FpolicyVolumesListInfo> volumes;

  @Input("list-type")
  @Type("string")
  public void setListType(String paramString)
  {
    this.listType = paramString;
  }

  public String getListType()
  {
    return this.listType;
  }

  public FpolicyVolumeListSet withListType(String paramString)
  {
    this.listType = paramString;
    return this;
  }

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyVolumeListSet withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }

  @Input("volumes")
  @Type("fpolicy-volumes-list-info[]")
  public void setVolumes(List<FpolicyVolumesListInfo> paramList)
  {
    this.volumes = paramList;
  }

  public List<FpolicyVolumesListInfo> getVolumes()
  {
    return this.volumes;
  }

  public FpolicyVolumeListSet withVolumes(List<FpolicyVolumesListInfo> paramList)
  {
    this.volumes = paramList;
    return this;
  }

  public FpolicyVolumeListSet withVolumes(FpolicyVolumesListInfo[] paramArrayOfFpolicyVolumesListInfo)
  {
    this.volumes = new ArrayList(Arrays.asList(paramArrayOfFpolicyVolumesListInfo));
    return this;
  }
}