package com.netapp.filer.igroup;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("igroup-bind-portset")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_INITGROUP_ALREADY_BOUND", "EVDISK_ERROR_INITGROUP_BIND_WRONG_TYPE", "EVDISK_ERROR_NO_SUCH_INITGROUP", "EVDISK_ERROR_PORTSET_NO_SUCH_SET", "EVDISK_ERROR_PORTSET_THROTTLE_EXCEEDED"})
public class IgroupBindPortset
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiatorGroupName;
  public String portsetName;

  @Input("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public IgroupBindPortset withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }

  @Input("portset-name")
  @Type("string")
  public void setPortsetName(String paramString)
  {
    this.portsetName = paramString;
  }

  public String getPortsetName()
  {
    return this.portsetName;
  }

  public IgroupBindPortset withPortsetName(String paramString)
  {
    this.portsetName = paramString;
    return this;
  }
}