package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("incr-destination-info")
public class IncrDestinationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationAddress;
  public String destinationAggrUuid;
  public Long destinationTransportType;
  public Long destinationType;
  public OdSpinnpDsid destinationVolumeDsid;
  public Boolean incremental;

  @Element("destination-address")
  @Type("string")
  public void setDestinationAddress(String paramString)
  {
    this.destinationAddress = paramString;
  }

  public String getDestinationAddress()
  {
    return this.destinationAddress;
  }

  public IncrDestinationInfo withDestinationAddress(String paramString)
  {
    this.destinationAddress = paramString;
    return this;
  }

  @Element("destination-aggr-uuid")
  @Type("string")
  public void setDestinationAggrUuid(String paramString)
  {
    this.destinationAggrUuid = paramString;
  }

  public String getDestinationAggrUuid()
  {
    return this.destinationAggrUuid;
  }

  public IncrDestinationInfo withDestinationAggrUuid(String paramString)
  {
    this.destinationAggrUuid = paramString;
    return this;
  }

  @Element("destination-transport-type")
  @Type("integer")
  public void setDestinationTransportType(Long paramLong)
  {
    this.destinationTransportType = paramLong;
  }

  public Long getDestinationTransportType()
  {
    return this.destinationTransportType;
  }

  public IncrDestinationInfo withDestinationTransportType(Long paramLong)
  {
    this.destinationTransportType = paramLong;
    return this;
  }

  @Element("destination-type")
  @Type("integer")
  public void setDestinationType(Long paramLong)
  {
    this.destinationType = paramLong;
  }

  public Long getDestinationType()
  {
    return this.destinationType;
  }

  public IncrDestinationInfo withDestinationType(Long paramLong)
  {
    this.destinationType = paramLong;
    return this;
  }

  @Element("destination-volume-dsid")
  @Type("od-spinnp-dsid")
  public void setDestinationVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.destinationVolumeDsid = paramOdSpinnpDsid;
  }

  public OdSpinnpDsid getDestinationVolumeDsid()
  {
    return this.destinationVolumeDsid;
  }

  public IncrDestinationInfo withDestinationVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.destinationVolumeDsid = paramOdSpinnpDsid;
    return this;
  }

  @Element("is-incremental")
  @Type("boolean")
  public void setIncremental(Boolean paramBoolean)
  {
    this.incremental = paramBoolean;
  }

  public Boolean isIncremental()
  {
    return this.incremental;
  }

  public IncrDestinationInfo withIncremental(Boolean paramBoolean)
  {
    this.incremental = paramBoolean;
    return this;
  }
}