package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("incr-destination-progress-info")
public class IncrDestinationProgressInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationAggrUuid;
  public Long destinationBlocksRemaining;
  public Long destinationBlocksSent;
  public Long destinationCallerId;
  public Boolean destinationIsDone;
  public Long destinationModuleError;
  public Long destinationModuleId;
  public OdSpinnpDsid destinationVolumeDsid;

  @Element("destination-aggr-uuid")
  @Type("string")
  public void setDestinationAggrUuid(String paramString)
  {
    this.destinationAggrUuid = paramString;
  }

  public String getDestinationAggrUuid()
  {
    return this.destinationAggrUuid;
  }

  public IncrDestinationProgressInfo withDestinationAggrUuid(String paramString)
  {
    this.destinationAggrUuid = paramString;
    return this;
  }

  @Element("destination-blocks-remaining")
  @Type("integer")
  public void setDestinationBlocksRemaining(Long paramLong)
  {
    this.destinationBlocksRemaining = paramLong;
  }

  public Long getDestinationBlocksRemaining()
  {
    return this.destinationBlocksRemaining;
  }

  public IncrDestinationProgressInfo withDestinationBlocksRemaining(Long paramLong)
  {
    this.destinationBlocksRemaining = paramLong;
    return this;
  }

  @Element("destination-blocks-sent")
  @Type("integer")
  public void setDestinationBlocksSent(Long paramLong)
  {
    this.destinationBlocksSent = paramLong;
  }

  public Long getDestinationBlocksSent()
  {
    return this.destinationBlocksSent;
  }

  public IncrDestinationProgressInfo withDestinationBlocksSent(Long paramLong)
  {
    this.destinationBlocksSent = paramLong;
    return this;
  }

  @Element("destination-caller-id")
  @Type("integer")
  public void setDestinationCallerId(Long paramLong)
  {
    this.destinationCallerId = paramLong;
  }

  public Long getDestinationCallerId()
  {
    return this.destinationCallerId;
  }

  public IncrDestinationProgressInfo withDestinationCallerId(Long paramLong)
  {
    this.destinationCallerId = paramLong;
    return this;
  }

  @Element("destination-is-done")
  @Type("boolean")
  public void setDestinationIsDone(Boolean paramBoolean)
  {
    this.destinationIsDone = paramBoolean;
  }

  public Boolean isDestinationIsDone()
  {
    return this.destinationIsDone;
  }

  public IncrDestinationProgressInfo withDestinationIsDone(Boolean paramBoolean)
  {
    this.destinationIsDone = paramBoolean;
    return this;
  }

  @Element("destination-module-error")
  @Type("integer")
  public void setDestinationModuleError(Long paramLong)
  {
    this.destinationModuleError = paramLong;
  }

  public Long getDestinationModuleError()
  {
    return this.destinationModuleError;
  }

  public IncrDestinationProgressInfo withDestinationModuleError(Long paramLong)
  {
    this.destinationModuleError = paramLong;
    return this;
  }

  @Element("destination-module-id")
  @Type("integer")
  public void setDestinationModuleId(Long paramLong)
  {
    this.destinationModuleId = paramLong;
  }

  public Long getDestinationModuleId()
  {
    return this.destinationModuleId;
  }

  public IncrDestinationProgressInfo withDestinationModuleId(Long paramLong)
  {
    this.destinationModuleId = paramLong;
    return this;
  }

  @Element("destination-volume-dsid")
  @Type("od-spinnp-dsid")
  public void setDestinationVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.destinationVolumeDsid = paramOdSpinnpDsid;
  }

  public OdSpinnpDsid getDestinationVolumeDsid()
  {
    return this.destinationVolumeDsid;
  }

  public IncrDestinationProgressInfo withDestinationVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.destinationVolumeDsid = paramOdSpinnpDsid;
    return this;
  }
}