package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("incr-progress-info")
public class IncrProgressInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IncrDestinationProgressInfo> destinationsProgress;
  public String operationId;
  public String operationStatus;
  public String sourceAggrUuid;
  public Long sourceBlocksRead;
  public Long sourceBlocksToRead;
  public Long sourceCallerId;
  public Long sourceModuleError;
  public Long sourceModuleId;
  public OdSpinnpDsid sourceVolumeDsid;

  @Element("destinations-progress")
  @Type("incr-destination-progress-info[]")
  public void setDestinationsProgress(List<IncrDestinationProgressInfo> paramList)
  {
    this.destinationsProgress = paramList;
  }

  public List<IncrDestinationProgressInfo> getDestinationsProgress()
  {
    return this.destinationsProgress;
  }

  public IncrProgressInfo withDestinationsProgress(List<IncrDestinationProgressInfo> paramList)
  {
    this.destinationsProgress = paramList;
    return this;
  }

  public IncrProgressInfo withDestinationsProgress(IncrDestinationProgressInfo[] paramArrayOfIncrDestinationProgressInfo)
  {
    this.destinationsProgress = new ArrayList(Arrays.asList(paramArrayOfIncrDestinationProgressInfo));
    return this;
  }

  @Element("operation-id")
  @Type("string")
  public void setOperationId(String paramString)
  {
    this.operationId = paramString;
  }

  public String getOperationId()
  {
    return this.operationId;
  }

  public IncrProgressInfo withOperationId(String paramString)
  {
    this.operationId = paramString;
    return this;
  }

  @Element("operation-status")
  @Type("string")
  public void setOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
  }

  public String getOperationStatus()
  {
    return this.operationStatus;
  }

  public IncrProgressInfo withOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
    return this;
  }

  @Element("source-aggr-uuid")
  @Type("string")
  public void setSourceAggrUuid(String paramString)
  {
    this.sourceAggrUuid = paramString;
  }

  public String getSourceAggrUuid()
  {
    return this.sourceAggrUuid;
  }

  public IncrProgressInfo withSourceAggrUuid(String paramString)
  {
    this.sourceAggrUuid = paramString;
    return this;
  }

  @Element("source-blocks-read")
  @Type("integer")
  public void setSourceBlocksRead(Long paramLong)
  {
    this.sourceBlocksRead = paramLong;
  }

  public Long getSourceBlocksRead()
  {
    return this.sourceBlocksRead;
  }

  public IncrProgressInfo withSourceBlocksRead(Long paramLong)
  {
    this.sourceBlocksRead = paramLong;
    return this;
  }

  @Element("source-blocks-to-read")
  @Type("integer")
  public void setSourceBlocksToRead(Long paramLong)
  {
    this.sourceBlocksToRead = paramLong;
  }

  public Long getSourceBlocksToRead()
  {
    return this.sourceBlocksToRead;
  }

  public IncrProgressInfo withSourceBlocksToRead(Long paramLong)
  {
    this.sourceBlocksToRead = paramLong;
    return this;
  }

  @Element("source-caller-id")
  @Type("integer")
  public void setSourceCallerId(Long paramLong)
  {
    this.sourceCallerId = paramLong;
  }

  public Long getSourceCallerId()
  {
    return this.sourceCallerId;
  }

  public IncrProgressInfo withSourceCallerId(Long paramLong)
  {
    this.sourceCallerId = paramLong;
    return this;
  }

  @Element("source-module-error")
  @Type("integer")
  public void setSourceModuleError(Long paramLong)
  {
    this.sourceModuleError = paramLong;
  }

  public Long getSourceModuleError()
  {
    return this.sourceModuleError;
  }

  public IncrProgressInfo withSourceModuleError(Long paramLong)
  {
    this.sourceModuleError = paramLong;
    return this;
  }

  @Element("source-module-id")
  @Type("integer")
  public void setSourceModuleId(Long paramLong)
  {
    this.sourceModuleId = paramLong;
  }

  public Long getSourceModuleId()
  {
    return this.sourceModuleId;
  }

  public IncrProgressInfo withSourceModuleId(Long paramLong)
  {
    this.sourceModuleId = paramLong;
    return this;
  }

  @Element("source-volume-dsid")
  @Type("od-spinnp-dsid")
  public void setSourceVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceVolumeDsid = paramOdSpinnpDsid;
  }

  public OdSpinnpDsid getSourceVolumeDsid()
  {
    return this.sourceVolumeDsid;
  }

  public IncrProgressInfo withSourceVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceVolumeDsid = paramOdSpinnpDsid;
    return this;
  }
}