package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("incremental-copy-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINCRCOPYFAILED"})
@Family({"ontap-d"})
public class IncrementalCopyStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IncrDestinationInfo> incrDestinations;
  public String operationId;
  public String operationStatus;
  public Long operationTransferMethod;
  public Long operationType;
  public IncrSourceInfo sourceInfo;

  @Input("incr-destinations")
  @Type("incr-destination-info[]")
  public void setIncrDestinations(List<IncrDestinationInfo> paramList)
  {
    this.incrDestinations = paramList;
  }

  public List<IncrDestinationInfo> getIncrDestinations()
  {
    return this.incrDestinations;
  }

  public IncrementalCopyStart withIncrDestinations(List<IncrDestinationInfo> paramList)
  {
    this.incrDestinations = paramList;
    return this;
  }

  public IncrementalCopyStart withIncrDestinations(IncrDestinationInfo[] paramArrayOfIncrDestinationInfo)
  {
    this.incrDestinations = new ArrayList(Arrays.asList(paramArrayOfIncrDestinationInfo));
    return this;
  }

  @Input("operation-id")
  @Type("string")
  public void setOperationId(String paramString)
  {
    this.operationId = paramString;
  }

  public String getOperationId()
  {
    return this.operationId;
  }

  public IncrementalCopyStart withOperationId(String paramString)
  {
    this.operationId = paramString;
    return this;
  }

  @Output("operation-status")
  @Type("string")
  public void setOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
  }

  public String getOperationStatus()
  {
    return this.operationStatus;
  }

  public IncrementalCopyStart withOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
    return this;
  }

  @Input("operation-transfer-method")
  @Type("integer")
  public void setOperationTransferMethod(Long paramLong)
  {
    this.operationTransferMethod = paramLong;
  }

  public Long getOperationTransferMethod()
  {
    return this.operationTransferMethod;
  }

  public IncrementalCopyStart withOperationTransferMethod(Long paramLong)
  {
    this.operationTransferMethod = paramLong;
    return this;
  }

  @Input("operation-type")
  @Type("integer")
  public void setOperationType(Long paramLong)
  {
    this.operationType = paramLong;
  }

  public Long getOperationType()
  {
    return this.operationType;
  }

  public IncrementalCopyStart withOperationType(Long paramLong)
  {
    this.operationType = paramLong;
    return this;
  }

  @Input("source-info")
  @Type("incr-source-info")
  public void setSourceInfo(IncrSourceInfo paramIncrSourceInfo)
  {
    this.sourceInfo = paramIncrSourceInfo;
  }

  public IncrSourceInfo getSourceInfo()
  {
    return this.sourceInfo;
  }

  public IncrementalCopyStart withSourceInfo(IncrSourceInfo paramIncrSourceInfo)
  {
    this.sourceInfo = paramIncrSourceInfo;
    return this;
  }
}