package com.netapp.filer.ipspace;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("ipspace-info")
public class IpspaceInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<InterfaceInfo> interfaces;
  public String name;

  @Element("interfaces")
  @Type("interface-info[]")
  public void setInterfaces(List<InterfaceInfo> paramList)
  {
    this.interfaces = paramList;
  }

  public List<InterfaceInfo> getInterfaces()
  {
    return this.interfaces;
  }

  public IpspaceInfo withInterfaces(List<InterfaceInfo> paramList)
  {
    this.interfaces = paramList;
    return this;
  }

  public IpspaceInfo withInterfaces(InterfaceInfo[] paramArrayOfInterfaceInfo)
  {
    this.interfaces = new ArrayList(Arrays.asList(paramArrayOfInterfaceInfo));
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public IpspaceInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}