package com.netapp.filer.ipspace;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("ipspace-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EIPSPACENOTFOUND"})
public class IpspaceListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String ipspace;
  public List<IpspaceInfo> ipspaces;

  @Input("ipspace")
  @Type("string")
  @Optional
  public void setIpspace(String paramString)
  {
    this.ipspace = paramString;
  }

  public String getIpspace()
  {
    return this.ipspace;
  }

  public IpspaceListInfo withIpspace(String paramString)
  {
    this.ipspace = paramString;
    return this;
  }

  @Output("ipspaces")
  @Type("ipspace-info[]")
  public void setIpspaces(List<IpspaceInfo> paramList)
  {
    this.ipspaces = paramList;
  }

  public List<IpspaceInfo> getIpspaces()
  {
    return this.ipspaces;
  }

  public IpspaceListInfo withIpspaces(List<IpspaceInfo> paramList)
  {
    this.ipspaces = paramList;
    return this;
  }

  public IpspaceListInfo withIpspaces(IpspaceInfo[] paramArrayOfIpspaceInfo)
  {
    this.ipspaces = new ArrayList(Arrays.asList(paramArrayOfIpspaceInfo));
    return this;
  }
}