package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-adapter-stats-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EOPNOTSUPPORTED"})
public class IscsiAdapterStatsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String iscsiAdapter;

  @Input("iscsi-adapter")
  @Type("string")
  @Optional
  public void setIscsiAdapter(String paramString)
  {
    this.iscsiAdapter = paramString;
  }

  public String getIscsiAdapter()
  {
    return this.iscsiAdapter;
  }

  public IscsiAdapterStatsListInfo withIscsiAdapter(String paramString)
  {
    this.iscsiAdapter = paramString;
    return this;
  }
}