package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-initiator-auth-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EISCSISECINITNOTFOUNDERROR", "EISCSISECINVALIDINPUTERROR", "EISCSISECPROCESSINGERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiInitiatorAuthListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiator;
  public List<IscsiSecurityEntryInfo> iscsiSecurityEntries;

  @Input("initiator")
  @Type("string")
  @Optional
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public IscsiInitiatorAuthListInfo withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }

  @Output("iscsi-security-entries")
  @Type("iscsi-security-entry-info[]")
  public void setIscsiSecurityEntries(List<IscsiSecurityEntryInfo> paramList)
  {
    this.iscsiSecurityEntries = paramList;
  }

  public List<IscsiSecurityEntryInfo> getIscsiSecurityEntries()
  {
    return this.iscsiSecurityEntries;
  }

  public IscsiInitiatorAuthListInfo withIscsiSecurityEntries(List<IscsiSecurityEntryInfo> paramList)
  {
    this.iscsiSecurityEntries = paramList;
    return this;
  }

  public IscsiInitiatorAuthListInfo withIscsiSecurityEntries(IscsiSecurityEntryInfo[] paramArrayOfIscsiSecurityEntryInfo)
  {
    this.iscsiSecurityEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiSecurityEntryInfo));
    return this;
  }
}