package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-initiator-delete-auth")
@Status(StatusEnum.PUBLIC)
@Errno({"EISCSISECINITNOTFOUNDERROR", "EISCSISECINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiInitiatorDeleteAuth
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiator;

  @Input("initiator")
  @Type("string")
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public IscsiInitiatorDeleteAuth withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }
}