package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("iscsi-interface-list-entry-info")
public class IscsiInterfaceListEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String interfaceName;
  public Boolean interfaceEnabled;
  public String tpgroupName;
  public Long tpgroupTag;

  @Element("interface-name")
  @Type("string")
  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public IscsiInterfaceListEntryInfo withInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
    return this;
  }

  @Element("is-interface-enabled")
  @Type("boolean")
  public void setInterfaceEnabled(Boolean paramBoolean)
  {
    this.interfaceEnabled = paramBoolean;
  }

  public Boolean isInterfaceEnabled()
  {
    return this.interfaceEnabled;
  }

  public IscsiInterfaceListEntryInfo withInterfaceEnabled(Boolean paramBoolean)
  {
    this.interfaceEnabled = paramBoolean;
    return this;
  }

  @Element("tpgroup-name")
  @Type("string")
  public void setTpgroupName(String paramString)
  {
    this.tpgroupName = paramString;
  }

  public String getTpgroupName()
  {
    return this.tpgroupName;
  }

  public IscsiInterfaceListEntryInfo withTpgroupName(String paramString)
  {
    this.tpgroupName = paramString;
    return this;
  }

  @Element("tpgroup-tag")
  @Type("integer")
  public void setTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
  }

  public Long getTpgroupTag()
  {
    return this.tpgroupTag;
  }

  public IscsiInterfaceListEntryInfo withTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
    return this;
  }
}