package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-isns-config")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR", "ENOTSTARTED"})
@Family({"ontap-c", "vfiler"})
public class IscsiIsnsConfig
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String isnsIpAddr;

  @Input("isns-ip-addr")
  @Type("ip-address")
  public void setIsnsIpAddr(String paramString)
  {
    this.isnsIpAddr = paramString;
  }

  public String getIsnsIpAddr()
  {
    return this.isnsIpAddr;
  }

  public IscsiIsnsConfig withIsnsIpAddr(String paramString)
  {
    this.isnsIpAddr = paramString;
    return this;
  }
}