package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-isns-get-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EAPILICENSE", "ENOTSTARTED"})
@Family({"ontap-c", "vfiler"})
public class IscsiIsnsGetInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean isnsEnabled;
  public String isnsEntityId;
  public String isnsIpAddr;

  @Output("is-isns-enabled")
  @Type("boolean")
  public void setIsnsEnabled(Boolean paramBoolean)
  {
    this.isnsEnabled = paramBoolean;
  }

  public Boolean isIsnsEnabled()
  {
    return this.isnsEnabled;
  }

  public IscsiIsnsGetInfo withIsnsEnabled(Boolean paramBoolean)
  {
    this.isnsEnabled = paramBoolean;
    return this;
  }

  @Output("isns-entity-id")
  @Type("string")
  public void setIsnsEntityId(String paramString)
  {
    this.isnsEntityId = paramString;
  }

  public String getIsnsEntityId()
  {
    return this.isnsEntityId;
  }

  public IscsiIsnsGetInfo withIsnsEntityId(String paramString)
  {
    this.isnsEntityId = paramString;
    return this;
  }

  @Output("isns-ip-addr")
  @Type("ip-address")
  public void setIsnsIpAddr(String paramString)
  {
    this.isnsIpAddr = paramString;
  }

  public String getIsnsIpAddr()
  {
    return this.isnsIpAddr;
  }

  public IscsiIsnsGetInfo withIsnsIpAddr(String paramString)
  {
    this.isnsIpAddr = paramString;
    return this;
  }
}