package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("iscsi-received-stats-info")
public class IscsiReceivedStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long dataOut;
  public Long loginReq;
  public Long logoutReq;
  public Long nopOut;
  public Long scsiCmd;
  public Long scsiTaskMgtCmd;
  public Long snack;
  public Long textReq;
  public Long total;
  public Long unknown;

  @Element("data-out")
  @Type("integer")
  public void setDataOut(Long paramLong)
  {
    this.dataOut = paramLong;
  }

  public Long getDataOut()
  {
    return this.dataOut;
  }

  public IscsiReceivedStatsInfo withDataOut(Long paramLong)
  {
    this.dataOut = paramLong;
    return this;
  }

  @Element("login-req")
  @Type("integer")
  public void setLoginReq(Long paramLong)
  {
    this.loginReq = paramLong;
  }

  public Long getLoginReq()
  {
    return this.loginReq;
  }

  public IscsiReceivedStatsInfo withLoginReq(Long paramLong)
  {
    this.loginReq = paramLong;
    return this;
  }

  @Element("logout-req")
  @Type("integer")
  public void setLogoutReq(Long paramLong)
  {
    this.logoutReq = paramLong;
  }

  public Long getLogoutReq()
  {
    return this.logoutReq;
  }

  public IscsiReceivedStatsInfo withLogoutReq(Long paramLong)
  {
    this.logoutReq = paramLong;
    return this;
  }

  @Element("nop-out")
  @Type("integer")
  public void setNopOut(Long paramLong)
  {
    this.nopOut = paramLong;
  }

  public Long getNopOut()
  {
    return this.nopOut;
  }

  public IscsiReceivedStatsInfo withNopOut(Long paramLong)
  {
    this.nopOut = paramLong;
    return this;
  }

  @Element("scsi-cmd")
  @Type("integer")
  public void setScsiCmd(Long paramLong)
  {
    this.scsiCmd = paramLong;
  }

  public Long getScsiCmd()
  {
    return this.scsiCmd;
  }

  public IscsiReceivedStatsInfo withScsiCmd(Long paramLong)
  {
    this.scsiCmd = paramLong;
    return this;
  }

  @Element("scsi-task-mgt-cmd")
  @Type("integer")
  public void setScsiTaskMgtCmd(Long paramLong)
  {
    this.scsiTaskMgtCmd = paramLong;
  }

  public Long getScsiTaskMgtCmd()
  {
    return this.scsiTaskMgtCmd;
  }

  public IscsiReceivedStatsInfo withScsiTaskMgtCmd(Long paramLong)
  {
    this.scsiTaskMgtCmd = paramLong;
    return this;
  }

  @Element("snack")
  @Type("integer")
  public void setSnack(Long paramLong)
  {
    this.snack = paramLong;
  }

  public Long getSnack()
  {
    return this.snack;
  }

  public IscsiReceivedStatsInfo withSnack(Long paramLong)
  {
    this.snack = paramLong;
    return this;
  }

  @Element("text-req")
  @Type("integer")
  public void setTextReq(Long paramLong)
  {
    this.textReq = paramLong;
  }

  public Long getTextReq()
  {
    return this.textReq;
  }

  public IscsiReceivedStatsInfo withTextReq(Long paramLong)
  {
    this.textReq = paramLong;
    return this;
  }

  @Element("total")
  @Type("integer")
  public void setTotal(Long paramLong)
  {
    this.total = paramLong;
  }

  public Long getTotal()
  {
    return this.total;
  }

  public IscsiReceivedStatsInfo withTotal(Long paramLong)
  {
    this.total = paramLong;
    return this;
  }

  @Element("unknown")
  @Type("integer")
  public void setUnknown(Long paramLong)
  {
    this.unknown = paramLong;
  }

  public Long getUnknown()
  {
    return this.unknown;
  }

  public IscsiReceivedStatsInfo withUnknown(Long paramLong)
  {
    this.unknown = paramLong;
    return this;
  }
}