package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("iscsi-security-entry-info")
public class IscsiSecurityEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String authType;
  public String initiator;
  public String outboundUserName;
  public String userName;

  @Element("auth-type")
  @Type("string")
  public void setAuthType(String paramString)
  {
    this.authType = paramString;
  }

  public String getAuthType()
  {
    return this.authType;
  }

  public IscsiSecurityEntryInfo withAuthType(String paramString)
  {
    this.authType = paramString;
    return this;
  }

  @Element("initiator")
  @Type("string")
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public IscsiSecurityEntryInfo withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }

  @Element("outbound-user-name")
  @Type("string")
  @Optional
  public void setOutboundUserName(String paramString)
  {
    this.outboundUserName = paramString;
  }

  public String getOutboundUserName()
  {
    return this.outboundUserName;
  }

  public IscsiSecurityEntryInfo withOutboundUserName(String paramString)
  {
    this.outboundUserName = paramString;
    return this;
  }

  @Element("user-name")
  @Type("string")
  @Optional
  public void setUserName(String paramString)
  {
    this.userName = paramString;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public IscsiSecurityEntryInfo withUserName(String paramString)
  {
    this.userName = paramString;
    return this;
  }
}