package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("iscsi-session-connection-list-entry-info")
public class IscsiSessionConnectionListEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String authenticationMethod;
  public Long connectionId;
  public Boolean dataDigestEnabled;
  public Boolean headerDigestEnabled;
  public Long initiatorMaxRcvDataSegmentLength;
  public String interfaceName;
  public List<IscsiSesssionCmdListEntryInfo> iscsiSesssionCmdListEntries;
  public String localIpAddress;
  public Long localIpPort;
  public Long rcvWindowSize;
  public String remoteIpAddress;
  public Long remoteIpPort;
  public Long targetMaxRcvDataSegmentLength;

  @Element("authentication-method")
  @Type("string")
  public void setAuthenticationMethod(String paramString)
  {
    this.authenticationMethod = paramString;
  }

  public String getAuthenticationMethod()
  {
    return this.authenticationMethod;
  }

  public IscsiSessionConnectionListEntryInfo withAuthenticationMethod(String paramString)
  {
    this.authenticationMethod = paramString;
    return this;
  }

  @Element("connection-id")
  @Type("integer")
  public void setConnectionId(Long paramLong)
  {
    this.connectionId = paramLong;
  }

  public Long getConnectionId()
  {
    return this.connectionId;
  }

  public IscsiSessionConnectionListEntryInfo withConnectionId(Long paramLong)
  {
    this.connectionId = paramLong;
    return this;
  }

  @Element("data-digest-enabled")
  @Type("boolean")
  public void setDataDigestEnabled(Boolean paramBoolean)
  {
    this.dataDigestEnabled = paramBoolean;
  }

  public Boolean isDataDigestEnabled()
  {
    return this.dataDigestEnabled;
  }

  public IscsiSessionConnectionListEntryInfo withDataDigestEnabled(Boolean paramBoolean)
  {
    this.dataDigestEnabled = paramBoolean;
    return this;
  }

  @Element("header-digest-enabled")
  @Type("boolean")
  public void setHeaderDigestEnabled(Boolean paramBoolean)
  {
    this.headerDigestEnabled = paramBoolean;
  }

  public Boolean isHeaderDigestEnabled()
  {
    return this.headerDigestEnabled;
  }

  public IscsiSessionConnectionListEntryInfo withHeaderDigestEnabled(Boolean paramBoolean)
  {
    this.headerDigestEnabled = paramBoolean;
    return this;
  }

  @Element("initiator-max-rcv-data-segment-length")
  @Type("integer")
  public void setInitiatorMaxRcvDataSegmentLength(Long paramLong)
  {
    this.initiatorMaxRcvDataSegmentLength = paramLong;
  }

  public Long getInitiatorMaxRcvDataSegmentLength()
  {
    return this.initiatorMaxRcvDataSegmentLength;
  }

  public IscsiSessionConnectionListEntryInfo withInitiatorMaxRcvDataSegmentLength(Long paramLong)
  {
    this.initiatorMaxRcvDataSegmentLength = paramLong;
    return this;
  }

  @Element("interface-name")
  @Type("string")
  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public IscsiSessionConnectionListEntryInfo withInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
    return this;
  }

  @Element("iscsi-sesssion-cmd-list-entries")
  @Type("iscsi-sesssion-cmd-list-entry-info[]")
  public void setIscsiSesssionCmdListEntries(List<IscsiSesssionCmdListEntryInfo> paramList)
  {
    this.iscsiSesssionCmdListEntries = paramList;
  }

  public List<IscsiSesssionCmdListEntryInfo> getIscsiSesssionCmdListEntries()
  {
    return this.iscsiSesssionCmdListEntries;
  }

  public IscsiSessionConnectionListEntryInfo withIscsiSesssionCmdListEntries(List<IscsiSesssionCmdListEntryInfo> paramList)
  {
    this.iscsiSesssionCmdListEntries = paramList;
    return this;
  }

  public IscsiSessionConnectionListEntryInfo withIscsiSesssionCmdListEntries(IscsiSesssionCmdListEntryInfo[] paramArrayOfIscsiSesssionCmdListEntryInfo)
  {
    this.iscsiSesssionCmdListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiSesssionCmdListEntryInfo));
    return this;
  }

  @Element("local-ip-address")
  @Type("string")
  public void setLocalIpAddress(String paramString)
  {
    this.localIpAddress = paramString;
  }

  public String getLocalIpAddress()
  {
    return this.localIpAddress;
  }

  public IscsiSessionConnectionListEntryInfo withLocalIpAddress(String paramString)
  {
    this.localIpAddress = paramString;
    return this;
  }

  @Element("local-ip-port")
  @Type("integer")
  public void setLocalIpPort(Long paramLong)
  {
    this.localIpPort = paramLong;
  }

  public Long getLocalIpPort()
  {
    return this.localIpPort;
  }

  public IscsiSessionConnectionListEntryInfo withLocalIpPort(Long paramLong)
  {
    this.localIpPort = paramLong;
    return this;
  }

  @Element("rcv-window-size")
  @Type("integer")
  public void setRcvWindowSize(Long paramLong)
  {
    this.rcvWindowSize = paramLong;
  }

  public Long getRcvWindowSize()
  {
    return this.rcvWindowSize;
  }

  public IscsiSessionConnectionListEntryInfo withRcvWindowSize(Long paramLong)
  {
    this.rcvWindowSize = paramLong;
    return this;
  }

  @Element("remote-ip-address")
  @Type("string")
  public void setRemoteIpAddress(String paramString)
  {
    this.remoteIpAddress = paramString;
  }

  public String getRemoteIpAddress()
  {
    return this.remoteIpAddress;
  }

  public IscsiSessionConnectionListEntryInfo withRemoteIpAddress(String paramString)
  {
    this.remoteIpAddress = paramString;
    return this;
  }

  @Element("remote-ip-port")
  @Type("integer")
  public void setRemoteIpPort(Long paramLong)
  {
    this.remoteIpPort = paramLong;
  }

  public Long getRemoteIpPort()
  {
    return this.remoteIpPort;
  }

  public IscsiSessionConnectionListEntryInfo withRemoteIpPort(Long paramLong)
  {
    this.remoteIpPort = paramLong;
    return this;
  }

  @Element("target-max-rcv-data-segment-length")
  @Type("integer")
  public void setTargetMaxRcvDataSegmentLength(Long paramLong)
  {
    this.targetMaxRcvDataSegmentLength = paramLong;
  }

  public Long getTargetMaxRcvDataSegmentLength()
  {
    return this.targetMaxRcvDataSegmentLength;
  }

  public IscsiSessionConnectionListEntryInfo withTargetMaxRcvDataSegmentLength(Long paramLong)
  {
    this.targetMaxRcvDataSegmentLength = paramLong;
    return this;
  }
}