package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("iscsi-session-list-entry-info")
public class IscsiSessionListEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long cmdWindowSize;
  public Boolean dataPduInOrder;
  public Boolean dataSequenceInOrder;
  public Long defaultTimeToRetain;
  public Long defaultTimeToWait;
  public Long errorRecoveryLevel;
  public Long firstBurstLength;
  public Boolean immediateDataEnabled;
  public Boolean initialR2tEnabled;
  public String initiatorAliasname;
  public String initiatorNodename;
  public List<IscsiSessionConnectionListEntryInfo> iscsiSessionConnectionListEntries;
  public String isid;
  public Long maxBurstLength;
  public Long maxConnections;
  public Long maxOutstandingR2t;
  public String sessionType;
  public Long targetSessionId;
  public Long tpgroupTag;

  @Element("cmd-window-size")
  @Type("integer")
  public void setCmdWindowSize(Long paramLong)
  {
    this.cmdWindowSize = paramLong;
  }

  public Long getCmdWindowSize()
  {
    return this.cmdWindowSize;
  }

  public IscsiSessionListEntryInfo withCmdWindowSize(Long paramLong)
  {
    this.cmdWindowSize = paramLong;
    return this;
  }

  @Element("data-pdu-in-order")
  @Type("boolean")
  public void setDataPduInOrder(Boolean paramBoolean)
  {
    this.dataPduInOrder = paramBoolean;
  }

  public Boolean isDataPduInOrder()
  {
    return this.dataPduInOrder;
  }

  public IscsiSessionListEntryInfo withDataPduInOrder(Boolean paramBoolean)
  {
    this.dataPduInOrder = paramBoolean;
    return this;
  }

  @Element("data-sequence-in-order")
  @Type("boolean")
  public void setDataSequenceInOrder(Boolean paramBoolean)
  {
    this.dataSequenceInOrder = paramBoolean;
  }

  public Boolean isDataSequenceInOrder()
  {
    return this.dataSequenceInOrder;
  }

  public IscsiSessionListEntryInfo withDataSequenceInOrder(Boolean paramBoolean)
  {
    this.dataSequenceInOrder = paramBoolean;
    return this;
  }

  @Element("default-time-to-retain")
  @Type("integer")
  public void setDefaultTimeToRetain(Long paramLong)
  {
    this.defaultTimeToRetain = paramLong;
  }

  public Long getDefaultTimeToRetain()
  {
    return this.defaultTimeToRetain;
  }

  public IscsiSessionListEntryInfo withDefaultTimeToRetain(Long paramLong)
  {
    this.defaultTimeToRetain = paramLong;
    return this;
  }

  @Element("default-time-to-wait")
  @Type("integer")
  public void setDefaultTimeToWait(Long paramLong)
  {
    this.defaultTimeToWait = paramLong;
  }

  public Long getDefaultTimeToWait()
  {
    return this.defaultTimeToWait;
  }

  public IscsiSessionListEntryInfo withDefaultTimeToWait(Long paramLong)
  {
    this.defaultTimeToWait = paramLong;
    return this;
  }

  @Element("error-recovery-level")
  @Type("integer")
  public void setErrorRecoveryLevel(Long paramLong)
  {
    this.errorRecoveryLevel = paramLong;
  }

  public Long getErrorRecoveryLevel()
  {
    return this.errorRecoveryLevel;
  }

  public IscsiSessionListEntryInfo withErrorRecoveryLevel(Long paramLong)
  {
    this.errorRecoveryLevel = paramLong;
    return this;
  }

  @Element("first-burst-length")
  @Type("integer")
  public void setFirstBurstLength(Long paramLong)
  {
    this.firstBurstLength = paramLong;
  }

  public Long getFirstBurstLength()
  {
    return this.firstBurstLength;
  }

  public IscsiSessionListEntryInfo withFirstBurstLength(Long paramLong)
  {
    this.firstBurstLength = paramLong;
    return this;
  }

  @Element("immediate-data-enabled")
  @Type("boolean")
  public void setImmediateDataEnabled(Boolean paramBoolean)
  {
    this.immediateDataEnabled = paramBoolean;
  }

  public Boolean isImmediateDataEnabled()
  {
    return this.immediateDataEnabled;
  }

  public IscsiSessionListEntryInfo withImmediateDataEnabled(Boolean paramBoolean)
  {
    this.immediateDataEnabled = paramBoolean;
    return this;
  }

  @Element("initial-r2t-enabled")
  @Type("boolean")
  public void setInitialR2tEnabled(Boolean paramBoolean)
  {
    this.initialR2tEnabled = paramBoolean;
  }

  public Boolean isInitialR2tEnabled()
  {
    return this.initialR2tEnabled;
  }

  public IscsiSessionListEntryInfo withInitialR2tEnabled(Boolean paramBoolean)
  {
    this.initialR2tEnabled = paramBoolean;
    return this;
  }

  @Element("initiator-aliasname")
  @Type("string")
  public void setInitiatorAliasname(String paramString)
  {
    this.initiatorAliasname = paramString;
  }

  public String getInitiatorAliasname()
  {
    return this.initiatorAliasname;
  }

  public IscsiSessionListEntryInfo withInitiatorAliasname(String paramString)
  {
    this.initiatorAliasname = paramString;
    return this;
  }

  @Element("initiator-nodename")
  @Type("string")
  public void setInitiatorNodename(String paramString)
  {
    this.initiatorNodename = paramString;
  }

  public String getInitiatorNodename()
  {
    return this.initiatorNodename;
  }

  public IscsiSessionListEntryInfo withInitiatorNodename(String paramString)
  {
    this.initiatorNodename = paramString;
    return this;
  }

  @Element("iscsi-session-connection-list-entries")
  @Type("iscsi-session-connection-list-entry-info[]")
  public void setIscsiSessionConnectionListEntries(List<IscsiSessionConnectionListEntryInfo> paramList)
  {
    this.iscsiSessionConnectionListEntries = paramList;
  }

  public List<IscsiSessionConnectionListEntryInfo> getIscsiSessionConnectionListEntries()
  {
    return this.iscsiSessionConnectionListEntries;
  }

  public IscsiSessionListEntryInfo withIscsiSessionConnectionListEntries(List<IscsiSessionConnectionListEntryInfo> paramList)
  {
    this.iscsiSessionConnectionListEntries = paramList;
    return this;
  }

  public IscsiSessionListEntryInfo withIscsiSessionConnectionListEntries(IscsiSessionConnectionListEntryInfo[] paramArrayOfIscsiSessionConnectionListEntryInfo)
  {
    this.iscsiSessionConnectionListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiSessionConnectionListEntryInfo));
    return this;
  }

  @Element("isid")
  @Type("string")
  public void setIsid(String paramString)
  {
    this.isid = paramString;
  }

  public String getIsid()
  {
    return this.isid;
  }

  public IscsiSessionListEntryInfo withIsid(String paramString)
  {
    this.isid = paramString;
    return this;
  }

  @Element("max-burst-length")
  @Type("integer")
  public void setMaxBurstLength(Long paramLong)
  {
    this.maxBurstLength = paramLong;
  }

  public Long getMaxBurstLength()
  {
    return this.maxBurstLength;
  }

  public IscsiSessionListEntryInfo withMaxBurstLength(Long paramLong)
  {
    this.maxBurstLength = paramLong;
    return this;
  }

  @Element("max-connections")
  @Type("integer")
  public void setMaxConnections(Long paramLong)
  {
    this.maxConnections = paramLong;
  }

  public Long getMaxConnections()
  {
    return this.maxConnections;
  }

  public IscsiSessionListEntryInfo withMaxConnections(Long paramLong)
  {
    this.maxConnections = paramLong;
    return this;
  }

  @Element("max-outstanding-r2t")
  @Type("integer")
  public void setMaxOutstandingR2t(Long paramLong)
  {
    this.maxOutstandingR2t = paramLong;
  }

  public Long getMaxOutstandingR2t()
  {
    return this.maxOutstandingR2t;
  }

  public IscsiSessionListEntryInfo withMaxOutstandingR2t(Long paramLong)
  {
    this.maxOutstandingR2t = paramLong;
    return this;
  }

  @Element("session-type")
  @Type("string")
  public void setSessionType(String paramString)
  {
    this.sessionType = paramString;
  }

  public String getSessionType()
  {
    return this.sessionType;
  }

  public IscsiSessionListEntryInfo withSessionType(String paramString)
  {
    this.sessionType = paramString;
    return this;
  }

  @Element("target-session-id")
  @Type("integer")
  public void setTargetSessionId(Long paramLong)
  {
    this.targetSessionId = paramLong;
  }

  public Long getTargetSessionId()
  {
    return this.targetSessionId;
  }

  public IscsiSessionListEntryInfo withTargetSessionId(Long paramLong)
  {
    this.targetSessionId = paramLong;
    return this;
  }

  @Element("tpgroup-tag")
  @Type("integer")
  public void setTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
  }

  public Long getTpgroupTag()
  {
    return this.tpgroupTag;
  }

  public IscsiSessionListEntryInfo withTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
    return this;
  }
}