package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-target-alias-get-alias")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE"})
@Family({"ontap-c", "vfiler"})
public class IscsiTargetAliasGetAlias
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aliasName;
  public Boolean aliasAssigned;

  @Output("alias-name")
  @Type("string")
  @Optional
  public void setAliasName(String paramString)
  {
    this.aliasName = paramString;
  }

  public String getAliasName()
  {
    return this.aliasName;
  }

  public IscsiTargetAliasGetAlias withAliasName(String paramString)
  {
    this.aliasName = paramString;
    return this;
  }

  @Output("is-alias-assigned")
  @Type("boolean")
  public void setAliasAssigned(Boolean paramBoolean)
  {
    this.aliasAssigned = paramBoolean;
  }

  public Boolean isAliasAssigned()
  {
    return this.aliasAssigned;
  }

  public IscsiTargetAliasGetAlias withAliasAssigned(Boolean paramBoolean)
  {
    this.aliasAssigned = paramBoolean;
    return this;
  }
}