package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-target-alias-set-alias")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiTargetAliasSetAlias
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aliasName;

  @Input("alias-name")
  @Type("string")
  public void setAliasName(String paramString)
  {
    this.aliasName = paramString;
  }

  public String getAliasName()
  {
    return this.aliasName;
  }

  public IscsiTargetAliasSetAlias withAliasName(String paramString)
  {
    this.aliasName = paramString;
    return this;
  }
}