package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-tpgroup-interface-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiTpgroupInterfaceAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String interfaceName;
  public Long tpgroupTag;

  @Input("interface-name")
  @Type("string")
  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public IscsiTpgroupInterfaceAdd withInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
    return this;
  }

  @Input("tpgroup-tag")
  @Type("integer")
  public void setTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
  }

  public Long getTpgroupTag()
  {
    return this.tpgroupTag;
  }

  public IscsiTpgroupInterfaceAdd withTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
    return this;
  }
}