package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("iscsi-tpgroup-list-entry-info")
public class IscsiTpgroupListEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<InterfaceListEntryInfo> interfaceListEntries;
  public Boolean tpgroupAluaPreferred;
  public String tpgroupAluaState;
  public String tpgroupName;
  public Long tpgroupTag;

  @Element("interface-list-entries")
  @Type("interface-list-entry-info[]")
  public void setInterfaceListEntries(List<InterfaceListEntryInfo> paramList)
  {
    this.interfaceListEntries = paramList;
  }

  public List<InterfaceListEntryInfo> getInterfaceListEntries()
  {
    return this.interfaceListEntries;
  }

  public IscsiTpgroupListEntryInfo withInterfaceListEntries(List<InterfaceListEntryInfo> paramList)
  {
    this.interfaceListEntries = paramList;
    return this;
  }

  public IscsiTpgroupListEntryInfo withInterfaceListEntries(InterfaceListEntryInfo[] paramArrayOfInterfaceListEntryInfo)
  {
    this.interfaceListEntries = new ArrayList(Arrays.asList(paramArrayOfInterfaceListEntryInfo));
    return this;
  }

  @Element("tpgroup-alua-preferred")
  @Type("boolean")
  @Optional
  public void setTpgroupAluaPreferred(Boolean paramBoolean)
  {
    this.tpgroupAluaPreferred = paramBoolean;
  }

  public Boolean isTpgroupAluaPreferred()
  {
    return this.tpgroupAluaPreferred;
  }

  public IscsiTpgroupListEntryInfo withTpgroupAluaPreferred(Boolean paramBoolean)
  {
    this.tpgroupAluaPreferred = paramBoolean;
    return this;
  }

  @Element("tpgroup-alua-state")
  @Type("string")
  @Optional
  public void setTpgroupAluaState(String paramString)
  {
    this.tpgroupAluaState = paramString;
  }

  public String getTpgroupAluaState()
  {
    return this.tpgroupAluaState;
  }

  public IscsiTpgroupListEntryInfo withTpgroupAluaState(String paramString)
  {
    this.tpgroupAluaState = paramString;
    return this;
  }

  @Element("tpgroup-name")
  @Type("string")
  public void setTpgroupName(String paramString)
  {
    this.tpgroupName = paramString;
  }

  public String getTpgroupName()
  {
    return this.tpgroupName;
  }

  public IscsiTpgroupListEntryInfo withTpgroupName(String paramString)
  {
    this.tpgroupName = paramString;
    return this;
  }

  @Element("tpgroup-tag")
  @Type("integer")
  public void setTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
  }

  public Long getTpgroupTag()
  {
    return this.tpgroupTag;
  }

  public IscsiTpgroupListEntryInfo withTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
    return this;
  }
}