package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-tpgroup-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiTpgroupListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IscsiTpgroupListEntryInfo> iscsiTpgroupListEntries;
  public Long tpgroupTag;

  @Output("iscsi-tpgroup-list-entries")
  @Type("iscsi-tpgroup-list-entry-info[]")
  public void setIscsiTpgroupListEntries(List<IscsiTpgroupListEntryInfo> paramList)
  {
    this.iscsiTpgroupListEntries = paramList;
  }

  public List<IscsiTpgroupListEntryInfo> getIscsiTpgroupListEntries()
  {
    return this.iscsiTpgroupListEntries;
  }

  public IscsiTpgroupListInfo withIscsiTpgroupListEntries(List<IscsiTpgroupListEntryInfo> paramList)
  {
    this.iscsiTpgroupListEntries = paramList;
    return this;
  }

  public IscsiTpgroupListInfo withIscsiTpgroupListEntries(IscsiTpgroupListEntryInfo[] paramArrayOfIscsiTpgroupListEntryInfo)
  {
    this.iscsiTpgroupListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiTpgroupListEntryInfo));
    return this;
  }

  @Input("tpgroup-tag")
  @Type("integer")
  @Optional
  public void setTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
  }

  public Long getTpgroupTag()
  {
    return this.tpgroupTag;
  }

  public IscsiTpgroupListInfo withTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
    return this;
  }
}