package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lock-status-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class LockStatusIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<LockStatusInfo> lockStatus;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("lock-status")
  @Type("lock-status-info[]")
  public void setLockStatus(List<LockStatusInfo> paramList)
  {
    this.lockStatus = paramList;
  }

  public List<LockStatusInfo> getLockStatus()
  {
    return this.lockStatus;
  }

  public LockStatusIterNext withLockStatus(List<LockStatusInfo> paramList)
  {
    this.lockStatus = paramList;
    return this;
  }

  public LockStatusIterNext withLockStatus(LockStatusInfo[] paramArrayOfLockStatusInfo)
  {
    this.lockStatus = new ArrayList(Arrays.asList(paramArrayOfLockStatusInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public LockStatusIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public LockStatusIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public LockStatusIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}