package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lock-status-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVAL", "EPIERROR"})
@Family({"ontap-c", "vfiler"})
public class LockStatusIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fileName;
  public String host;
  public String owner;
  public String protocol;
  public Long records;
  public String tag;

  @Input("file-name")
  @Type("string")
  @Optional
  public void setFileName(String paramString)
  {
    this.fileName = paramString;
  }

  public String getFileName()
  {
    return this.fileName;
  }

  public LockStatusIterStart withFileName(String paramString)
  {
    this.fileName = paramString;
    return this;
  }

  @Input("host")
  @Type("string")
  @Optional
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public LockStatusIterStart withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Input("owner")
  @Type("string")
  @Optional
  public void setOwner(String paramString)
  {
    this.owner = paramString;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public LockStatusIterStart withOwner(String paramString)
  {
    this.owner = paramString;
    return this;
  }

  @Input("protocol")
  @Type("string")
  @Optional
  public void setProtocol(String paramString)
  {
    this.protocol = paramString;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public LockStatusIterStart withProtocol(String paramString)
  {
    this.protocol = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public LockStatusIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public LockStatusIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}