package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("pfs-lock")
public class PfsLock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long fileid;
  public Long fsid;
  public String hostIp;
  public String hostName;
  public String lockError;
  public String mode;
  public String owner;
  public String path;
  public String state;
  public String type;

  @Element("fileid")
  @Type("integer")
  @Optional
  public void setFileid(Long paramLong)
  {
    this.fileid = paramLong;
  }

  public Long getFileid()
  {
    return this.fileid;
  }

  public PfsLock withFileid(Long paramLong)
  {
    this.fileid = paramLong;
    return this;
  }

  @Element("fsid")
  @Type("integer")
  @Optional
  public void setFsid(Long paramLong)
  {
    this.fsid = paramLong;
  }

  public Long getFsid()
  {
    return this.fsid;
  }

  public PfsLock withFsid(Long paramLong)
  {
    this.fsid = paramLong;
    return this;
  }

  @Element("host-ip")
  @Type("ip-address")
  @Optional
  public void setHostIp(String paramString)
  {
    this.hostIp = paramString;
  }

  public String getHostIp()
  {
    return this.hostIp;
  }

  public PfsLock withHostIp(String paramString)
  {
    this.hostIp = paramString;
    return this;
  }

  @Element("host-name")
  @Type("string")
  @Optional
  public void setHostName(String paramString)
  {
    this.hostName = paramString;
  }

  public String getHostName()
  {
    return this.hostName;
  }

  public PfsLock withHostName(String paramString)
  {
    this.hostName = paramString;
    return this;
  }

  @Element("lock-error")
  @Type("string")
  @Optional
  public void setLockError(String paramString)
  {
    this.lockError = paramString;
  }

  public String getLockError()
  {
    return this.lockError;
  }

  public PfsLock withLockError(String paramString)
  {
    this.lockError = paramString;
    return this;
  }

  @Element("mode")
  @Type("string")
  @Optional
  public void setMode(String paramString)
  {
    this.mode = paramString;
  }

  public String getMode()
  {
    return this.mode;
  }

  public PfsLock withMode(String paramString)
  {
    this.mode = paramString;
    return this;
  }

  @Element("owner")
  @Type("string")
  @Optional
  public void setOwner(String paramString)
  {
    this.owner = paramString;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public PfsLock withOwner(String paramString)
  {
    this.owner = paramString;
    return this;
  }

  @Element("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public PfsLock withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public PfsLock withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  @Optional
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public PfsLock withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}