package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-set-space-reservation-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EFILENOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR", "EONTAPI_EISVDISK", "EONTAPI_ENOSPC", "EONTAPI_EROFS", "ESETSPCRESERROR"})
@Family({"ontap-c", "vfiler"})
public class FileSetSpaceReservationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fillEnabled;
  public Boolean overwriteEnabled;
  public String path;

  @Input("is-fill-enabled")
  @Type("string")
  @Optional
  public void setFillEnabled(String paramString)
  {
    this.fillEnabled = paramString;
  }

  public String getFillEnabled()
  {
    return this.fillEnabled;
  }

  public FileSetSpaceReservationInfo withFillEnabled(String paramString)
  {
    this.fillEnabled = paramString;
    return this;
  }

  @Input("is-overwrite-enabled")
  @Type("boolean")
  @Optional
  public void setOverwriteEnabled(Boolean paramBoolean)
  {
    this.overwriteEnabled = paramBoolean;
  }

  public Boolean isOverwriteEnabled()
  {
    return this.overwriteEnabled;
  }

  public FileSetSpaceReservationInfo withOverwriteEnabled(Boolean paramBoolean)
  {
    this.overwriteEnabled = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileSetSpaceReservationInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}