package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("initiator-group-info")
public class InitiatorGroupInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean initiatorGroupAluaEnabled;
  public String initiatorGroupName;
  public String initiatorGroupOsType;
  public String initiatorGroupPortsetName;
  public Boolean initiatorGroupThrottleBorrow;
  public Long initiatorGroupThrottleReserve;
  public String initiatorGroupType;
  public Boolean initiatorGroupUsePartner;
  public Boolean initiatorGroupVsaEnabled;
  public List<InitiatorInfo> initiators;
  public Long lunId;

  @Element("initiator-group-alua-enabled")
  @Type("boolean")
  public void setInitiatorGroupAluaEnabled(Boolean paramBoolean)
  {
    this.initiatorGroupAluaEnabled = paramBoolean;
  }

  public Boolean isInitiatorGroupAluaEnabled()
  {
    return this.initiatorGroupAluaEnabled;
  }

  public InitiatorGroupInfo withInitiatorGroupAluaEnabled(Boolean paramBoolean)
  {
    this.initiatorGroupAluaEnabled = paramBoolean;
    return this;
  }

  @Element("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public InitiatorGroupInfo withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }

  @Element("initiator-group-os-type")
  @Type("string")
  public void setInitiatorGroupOsType(String paramString)
  {
    this.initiatorGroupOsType = paramString;
  }

  public String getInitiatorGroupOsType()
  {
    return this.initiatorGroupOsType;
  }

  public InitiatorGroupInfo withInitiatorGroupOsType(String paramString)
  {
    this.initiatorGroupOsType = paramString;
    return this;
  }

  @Element("initiator-group-portset-name")
  @Type("string")
  @Optional
  public void setInitiatorGroupPortsetName(String paramString)
  {
    this.initiatorGroupPortsetName = paramString;
  }

  public String getInitiatorGroupPortsetName()
  {
    return this.initiatorGroupPortsetName;
  }

  public InitiatorGroupInfo withInitiatorGroupPortsetName(String paramString)
  {
    this.initiatorGroupPortsetName = paramString;
    return this;
  }

  @Element("initiator-group-throttle-borrow")
  @Type("boolean")
  public void setInitiatorGroupThrottleBorrow(Boolean paramBoolean)
  {
    this.initiatorGroupThrottleBorrow = paramBoolean;
  }

  public Boolean isInitiatorGroupThrottleBorrow()
  {
    return this.initiatorGroupThrottleBorrow;
  }

  public InitiatorGroupInfo withInitiatorGroupThrottleBorrow(Boolean paramBoolean)
  {
    this.initiatorGroupThrottleBorrow = paramBoolean;
    return this;
  }

  @Element("initiator-group-throttle-reserve")
  @Type("integer")
  public void setInitiatorGroupThrottleReserve(Long paramLong)
  {
    this.initiatorGroupThrottleReserve = paramLong;
  }

  public Long getInitiatorGroupThrottleReserve()
  {
    return this.initiatorGroupThrottleReserve;
  }

  public InitiatorGroupInfo withInitiatorGroupThrottleReserve(Long paramLong)
  {
    this.initiatorGroupThrottleReserve = paramLong;
    return this;
  }

  @Element("initiator-group-type")
  @Type("string")
  public void setInitiatorGroupType(String paramString)
  {
    this.initiatorGroupType = paramString;
  }

  public String getInitiatorGroupType()
  {
    return this.initiatorGroupType;
  }

  public InitiatorGroupInfo withInitiatorGroupType(String paramString)
  {
    this.initiatorGroupType = paramString;
    return this;
  }

  @Element("initiator-group-use-partner")
  @Type("boolean")
  @Optional
  public void setInitiatorGroupUsePartner(Boolean paramBoolean)
  {
    this.initiatorGroupUsePartner = paramBoolean;
  }

  public Boolean isInitiatorGroupUsePartner()
  {
    return this.initiatorGroupUsePartner;
  }

  public InitiatorGroupInfo withInitiatorGroupUsePartner(Boolean paramBoolean)
  {
    this.initiatorGroupUsePartner = paramBoolean;
    return this;
  }

  @Element("initiator-group-vsa-enabled")
  @Type("boolean")
  public void setInitiatorGroupVsaEnabled(Boolean paramBoolean)
  {
    this.initiatorGroupVsaEnabled = paramBoolean;
  }

  public Boolean isInitiatorGroupVsaEnabled()
  {
    return this.initiatorGroupVsaEnabled;
  }

  public InitiatorGroupInfo withInitiatorGroupVsaEnabled(Boolean paramBoolean)
  {
    this.initiatorGroupVsaEnabled = paramBoolean;
    return this;
  }

  @Element("initiators")
  @Type("initiator-info[]")
  public void setInitiators(List<InitiatorInfo> paramList)
  {
    this.initiators = paramList;
  }

  public List<InitiatorInfo> getInitiators()
  {
    return this.initiators;
  }

  public InitiatorGroupInfo withInitiators(List<InitiatorInfo> paramList)
  {
    this.initiators = paramList;
    return this;
  }

  public InitiatorGroupInfo withInitiators(InitiatorInfo[] paramArrayOfInitiatorInfo)
  {
    this.initiators = new ArrayList(Arrays.asList(paramArrayOfInitiatorInfo));
    return this;
  }

  @Element("lun-id")
  @Type("integer")
  @Optional
  public void setLunId(Long paramLong)
  {
    this.lunId = paramLong;
  }

  public Long getLunId()
  {
    return this.lunId;
  }

  public InitiatorGroupInfo withLunId(Long paramLong)
  {
    this.lunId = paramLong;
    return this;
  }
}