package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-clone-status-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EVDISK_ERROR_CLONE_NOT_SPLITTING", "EVDISK_ERROR_NO_SUCH_ATTRIBUTE", "EVDISK_ERROR_NO_SUCH_CLONE"})
@Family({"ontap-c", "vfiler"})
public class LunCloneStatusListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CloneStatusInfo> cloneStatus;
  public String path;

  @Output("clone-status")
  @Type("clone-status-info[]")
  public void setCloneStatus(List<CloneStatusInfo> paramList)
  {
    this.cloneStatus = paramList;
  }

  public List<CloneStatusInfo> getCloneStatus()
  {
    return this.cloneStatus;
  }

  public LunCloneStatusListInfo withCloneStatus(List<CloneStatusInfo> paramList)
  {
    this.cloneStatus = paramList;
    return this;
  }

  public LunCloneStatusListInfo withCloneStatus(CloneStatusInfo[] paramArrayOfCloneStatusInfo)
  {
    this.cloneStatus = new ArrayList(Arrays.asList(paramArrayOfCloneStatusInfo));
    return this;
  }

  @Input("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunCloneStatusListInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}