package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-get-minsize")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class LunGetMinsize
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long minSize;
  public String type;

  @Output("min-size")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setMinSize(Long paramLong)
  {
    this.minSize = paramLong;
  }

  public Long getMinSize()
  {
    return this.minSize;
  }

  public LunGetMinsize withMinSize(Long paramLong)
  {
    this.minSize = paramLong;
    return this;
  }

  @Input("type")
  @Type("string")
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public LunGetMinsize withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}