package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("lun-get-occupied-size")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_ENOMEM", "EONTAPI_ESTALE", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunGetOccupiedSize
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger occupiedSize;
  public String path;

  @Output("occupied-size")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setOccupiedSize(BigInteger paramBigInteger)
  {
    this.occupiedSize = paramBigInteger;
  }

  public BigInteger getOccupiedSize()
  {
    return this.occupiedSize;
  }

  public LunGetOccupiedSize withOccupiedSize(BigInteger paramBigInteger)
  {
    this.occupiedSize = paramBigInteger;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunGetOccupiedSize withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}