package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-has-scsi-reservations")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunHasScsiReservations
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean reservationHeld;
  public String path;

  @Output("is-reservation-held")
  @Type("boolean")
  public void setReservationHeld(Boolean paramBoolean)
  {
    this.reservationHeld = paramBoolean;
  }

  public Boolean isReservationHeld()
  {
    return this.reservationHeld;
  }

  public LunHasScsiReservations withReservationHeld(Boolean paramBoolean)
  {
    this.reservationHeld = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunHasScsiReservations withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}