package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-id-swap")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class LunIdSwap
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationPath;
  public String sourcePath;

  @Input("destination-path")
  @Type("string")
  public void setDestinationPath(String paramString)
  {
    this.destinationPath = paramString;
  }

  public String getDestinationPath()
  {
    return this.destinationPath;
  }

  public LunIdSwap withDestinationPath(String paramString)
  {
    this.destinationPath = paramString;
    return this;
  }

  @Input("source-path")
  @Type("string")
  public void setSourcePath(String paramString)
  {
    this.sourcePath = paramString;
  }

  public String getSourcePath()
  {
    return this.sourcePath;
  }

  public LunIdSwap withSourcePath(String paramString)
  {
    this.sourcePath = paramString;
    return this;
  }
}