package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("lun-info")
public class LunInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String backingSnapshot;
  public Integer blockSize;
  public String cloneBackingSnapshot;
  public Integer deviceId;
  public Boolean spaceReservationEnabled;
  public Boolean mapped;
  public String multiprotocolType;
  public Boolean online;
  public String path;
  public Boolean readOnly;
  public String serialNumber;
  public String shareState;
  public BigInteger size;
  public BigInteger sizeUsed;
  public Boolean staging;
  public String uuid;

  @Element("backing-snapshot")
  @Type("string")
  @Optional
  public void setBackingSnapshot(String paramString)
  {
    this.backingSnapshot = paramString;
  }

  public String getBackingSnapshot()
  {
    return this.backingSnapshot;
  }

  public LunInfo withBackingSnapshot(String paramString)
  {
    this.backingSnapshot = paramString;
    return this;
  }

  @Element("block-size")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setBlockSize(Integer paramInteger)
  {
    this.blockSize = paramInteger;
  }

  public Integer getBlockSize()
  {
    return this.blockSize;
  }

  public LunInfo withBlockSize(Integer paramInteger)
  {
    this.blockSize = paramInteger;
    return this;
  }

  @Element("clone-backing-snapshot")
  @Type("string")
  public void setCloneBackingSnapshot(String paramString)
  {
    this.cloneBackingSnapshot = paramString;
  }

  public String getCloneBackingSnapshot()
  {
    return this.cloneBackingSnapshot;
  }

  public LunInfo withCloneBackingSnapshot(String paramString)
  {
    this.cloneBackingSnapshot = paramString;
    return this;
  }

  @Element("device-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^31-1")
  public void setDeviceId(Integer paramInteger)
  {
    this.deviceId = paramInteger;
  }

  public Integer getDeviceId()
  {
    return this.deviceId;
  }

  public LunInfo withDeviceId(Integer paramInteger)
  {
    this.deviceId = paramInteger;
    return this;
  }

  @Element("is-space-reservation-enabled")
  @Type("boolean")
  public void setSpaceReservationEnabled(Boolean paramBoolean)
  {
    this.spaceReservationEnabled = paramBoolean;
  }

  public Boolean isSpaceReservationEnabled()
  {
    return this.spaceReservationEnabled;
  }

  public LunInfo withSpaceReservationEnabled(Boolean paramBoolean)
  {
    this.spaceReservationEnabled = paramBoolean;
    return this;
  }

  @Element("mapped")
  @Type("boolean")
  public void setMapped(Boolean paramBoolean)
  {
    this.mapped = paramBoolean;
  }

  public Boolean isMapped()
  {
    return this.mapped;
  }

  public LunInfo withMapped(Boolean paramBoolean)
  {
    this.mapped = paramBoolean;
    return this;
  }

  @Element("multiprotocol-type")
  @Type("string")
  public void setMultiprotocolType(String paramString)
  {
    this.multiprotocolType = paramString;
  }

  public String getMultiprotocolType()
  {
    return this.multiprotocolType;
  }

  public LunInfo withMultiprotocolType(String paramString)
  {
    this.multiprotocolType = paramString;
    return this;
  }

  @Element("online")
  @Type("boolean")
  public void setOnline(Boolean paramBoolean)
  {
    this.online = paramBoolean;
  }

  public Boolean isOnline()
  {
    return this.online;
  }

  public LunInfo withOnline(Boolean paramBoolean)
  {
    this.online = paramBoolean;
    return this;
  }

  @Element("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("read-only")
  @Type("boolean")
  public void setReadOnly(Boolean paramBoolean)
  {
    this.readOnly = paramBoolean;
  }

  public Boolean isReadOnly()
  {
    return this.readOnly;
  }

  public LunInfo withReadOnly(Boolean paramBoolean)
  {
    this.readOnly = paramBoolean;
    return this;
  }

  @Element("serial-number")
  @Type("string")
  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public LunInfo withSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
    return this;
  }

  @Element("share-state")
  @Type("string")
  public void setShareState(String paramString)
  {
    this.shareState = paramString;
  }

  public String getShareState()
  {
    return this.shareState;
  }

  public LunInfo withShareState(String paramString)
  {
    this.shareState = paramString;
    return this;
  }

  @Element("size")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSize(BigInteger paramBigInteger)
  {
    this.size = paramBigInteger;
  }

  public BigInteger getSize()
  {
    return this.size;
  }

  public LunInfo withSize(BigInteger paramBigInteger)
  {
    this.size = paramBigInteger;
    return this;
  }

  @Element("size-used")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSizeUsed(BigInteger paramBigInteger)
  {
    this.sizeUsed = paramBigInteger;
  }

  public BigInteger getSizeUsed()
  {
    return this.sizeUsed;
  }

  public LunInfo withSizeUsed(BigInteger paramBigInteger)
  {
    this.sizeUsed = paramBigInteger;
    return this;
  }

  @Element("staging")
  @Type("boolean")
  public void setStaging(Boolean paramBoolean)
  {
    this.staging = paramBoolean;
  }

  public Boolean isStaging()
  {
    return this.staging;
  }

  public LunInfo withStaging(Boolean paramBoolean)
  {
    this.staging = paramBoolean;
    return this;
  }

  @Element("uuid")
  @Type("string")
  public void setUuid(String paramString)
  {
    this.uuid = paramString;
  }

  public String getUuid()
  {
    return this.uuid;
  }

  public LunInfo withUuid(String paramString)
  {
    this.uuid = paramString;
    return this;
  }
}