package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-initiator-logged-in")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EINVAL"})
@Family({"ontap-c", "vfiler"})
public class LunInitiatorLoggedIn
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiator;
  public Boolean loggedIn;

  @Input("initiator")
  @Type("string")
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public LunInitiatorLoggedIn withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }

  @Output("is-logged-in")
  @Type("boolean")
  public void setLoggedIn(Boolean paramBoolean)
  {
    this.loggedIn = paramBoolean;
  }

  public Boolean isLoggedIn()
  {
    return this.loggedIn;
  }

  public LunInitiatorLoggedIn withLoggedIn(Boolean paramBoolean)
  {
    this.loggedIn = paramBoolean;
    return this;
  }
}