package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("lun-lba-is-hole")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class LunLbaIsHole
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean lbaHole;
  public BigInteger lba;
  public String lunPath;

  @Output("is-lba-hole")
  @Type("boolean")
  public void setLbaHole(Boolean paramBoolean)
  {
    this.lbaHole = paramBoolean;
  }

  public Boolean isLbaHole()
  {
    return this.lbaHole;
  }

  public LunLbaIsHole withLbaHole(Boolean paramBoolean)
  {
    this.lbaHole = paramBoolean;
    return this;
  }

  @Input("lba")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLba(BigInteger paramBigInteger)
  {
    this.lba = paramBigInteger;
  }

  public BigInteger getLba()
  {
    return this.lba;
  }

  public LunLbaIsHole withLba(BigInteger paramBigInteger)
  {
    this.lba = paramBigInteger;
    return this;
  }

  @Input("lun-path")
  @Type("string")
  public void setLunPath(String paramString)
  {
    this.lunPath = paramString;
  }

  public String getLunPath()
  {
    return this.lunPath;
  }

  public LunLbaIsHole withLunPath(String paramString)
  {
    this.lunPath = paramString;
    return this;
  }
}