package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "ENOSYS", "EONTAPI_ENOMEM", "EONTAPI_ESTALE", "EVDISK_ERROR_NO_SUCH_VDISK", "EVDISK_ERROR_VOLUMES_ONLINING"})
@Family({"ontap-c", "vfiler"})
public class LunListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean areVolsOnlining;
  public Boolean getCloneBackingSnapshot;
  public List<LunInfo> luns;
  public String path;

  @Output("are-vols-onlining")
  @Type("boolean")
  public void setAreVolsOnlining(Boolean paramBoolean)
  {
    this.areVolsOnlining = paramBoolean;
  }

  public Boolean isAreVolsOnlining()
  {
    return this.areVolsOnlining;
  }

  public LunListInfo withAreVolsOnlining(Boolean paramBoolean)
  {
    this.areVolsOnlining = paramBoolean;
    return this;
  }

  @Input("get-clone-backing-snapshot")
  @Type("boolean")
  @Optional
  public void setGetCloneBackingSnapshot(Boolean paramBoolean)
  {
    this.getCloneBackingSnapshot = paramBoolean;
  }

  public Boolean isGetCloneBackingSnapshot()
  {
    return this.getCloneBackingSnapshot;
  }

  public LunListInfo withGetCloneBackingSnapshot(Boolean paramBoolean)
  {
    this.getCloneBackingSnapshot = paramBoolean;
    return this;
  }

  @Output("luns")
  @Type("lun-info[]")
  public void setLuns(List<LunInfo> paramList)
  {
    this.luns = paramList;
  }

  public List<LunInfo> getLuns()
  {
    return this.luns;
  }

  public LunListInfo withLuns(List<LunInfo> paramList)
  {
    this.luns = paramList;
    return this;
  }

  public LunListInfo withLuns(LunInfo[] paramArrayOfLunInfo)
  {
    this.luns = new ArrayList(Arrays.asList(paramArrayOfLunInfo));
    return this;
  }

  @Input("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunListInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}