package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-map-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EFILENOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class LunMapListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<InitiatorGroupInfo> initiatorGroups;
  public String path;

  @Output("initiator-groups")
  @Type("initiator-group-info[]")
  public void setInitiatorGroups(List<InitiatorGroupInfo> paramList)
  {
    this.initiatorGroups = paramList;
  }

  public List<InitiatorGroupInfo> getInitiatorGroups()
  {
    return this.initiatorGroups;
  }

  public LunMapListInfo withInitiatorGroups(List<InitiatorGroupInfo> paramList)
  {
    this.initiatorGroups = paramList;
    return this;
  }

  public LunMapListInfo withInitiatorGroups(InitiatorGroupInfo[] paramArrayOfInitiatorGroupInfo)
  {
    this.initiatorGroups = new ArrayList(Arrays.asList(paramArrayOfInitiatorGroupInfo));
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunMapListInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}