package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-online")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EROFS", "EVDISK_ERROR_LUN_HAS_NO_SERIAL_NO", "EVDISK_ERROR_NO_EXPORTED_VDISK_SHARE_WRITE", "EVDISK_ERROR_NO_SUCH_VDISK", "EVDISK_ERROR_PARTNER_HAS_LUN", "EVDISK_ERROR_PARTNER_NOT_REACHABLE", "EVDISK_ERROR_VDISK_NOT_DISABLED"})
@Family({"ontap-c", "vfiler"})
public class LunOnline
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String path;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public LunOnline withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunOnline withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}