package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-read-raw")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunReadRaw
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String encodedData;
  public Long length;
  public Long offset;
  public String path;

  @Output("encoded-data")
  @Type("string")
  public void setEncodedData(String paramString)
  {
    this.encodedData = paramString;
  }

  public String getEncodedData()
  {
    return this.encodedData;
  }

  public LunReadRaw withEncodedData(String paramString)
  {
    this.encodedData = paramString;
    return this;
  }

  @Input("length")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setLength(Long paramLong)
  {
    this.length = paramLong;
  }

  public Long getLength()
  {
    return this.length;
  }

  public LunReadRaw withLength(Long paramLong)
  {
    this.length = paramLong;
    return this;
  }

  @Input("offset")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setOffset(Long paramLong)
  {
    this.offset = paramLong;
  }

  public Long getOffset()
  {
    return this.offset;
  }

  public LunReadRaw withOffset(Long paramLong)
  {
    this.offset = paramLong;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunReadRaw withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}