package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-resize")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EROFS", "EONTAPI_NOSPC", "EVDISK_ERROR_MUST_SPECIFY_F_FLAG", "EVDISK_ERROR_NO_SUCH_VDISK", "EVDISK_ERROR_RESIZE_TOO_LARGE", "EVDISK_ERROR_SIZE_TOO_LARGE", "EVDISK_ERROR_SIZE_TOO_SMALL", "EVDISK_ERROR_SIZE_UNCHANGED"})
@Family({"ontap-c", "vfiler"})
public class LunResize
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long actualSize;
  public Boolean force;
  public String path;
  public Long size;

  @Output("actual-size")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setActualSize(Long paramLong)
  {
    this.actualSize = paramLong;
  }

  public Long getActualSize()
  {
    return this.actualSize;
  }

  public LunResize withActualSize(Long paramLong)
  {
    this.actualSize = paramLong;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public LunResize withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunResize withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("size")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setSize(Long paramLong)
  {
    this.size = paramLong;
  }

  public Long getSize()
  {
    return this.size;
  }

  public LunResize withSize(Long paramLong)
  {
    this.size = paramLong;
    return this;
  }
}