package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-set-comment")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_ENOMEM", "EONTAPI_EROFS", "EVDISK_ERROR_NO_SUCH_ATTRIBUTE", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunSetComment
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String comment;
  public String path;

  @Input("comment")
  @Type("string")
  public void setComment(String paramString)
  {
    this.comment = paramString;
  }

  public String getComment()
  {
    return this.comment;
  }

  public LunSetComment withComment(String paramString)
  {
    this.comment = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunSetComment withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}