package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-set-device-id")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_INVALID_DEVICE_ID", "EVDISK_ERROR_VDISK_NOT_DISABLED", "VDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunSetDeviceId
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String deviceId;
  public String path;

  @Input("device-id")
  @Type("string")
  public void setDeviceId(String paramString)
  {
    this.deviceId = paramString;
  }

  public String getDeviceId()
  {
    return this.deviceId;
  }

  public LunSetDeviceId withDeviceId(String paramString)
  {
    this.deviceId = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunSetDeviceId withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}