package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-set-serial-number")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EROFS", "EVDISK_ERROR_NO_SUCH_VDISK", "EVDISK_ERROR_VDISK_NOT_DISABLED"})
@Family({"ontap-c", "vfiler"})
public class LunSetSerialNumber
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String serialNumber;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunSetSerialNumber withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("serial-number")
  @Type("string")
  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public LunSetSerialNumber withSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
    return this;
  }
}