package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-set-share")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "VDISK_ERROR_NO_EXPORTED_VDISK_SHARE_WRITE", "VDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunSetShare
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String shareType;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunSetShare withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("share-type")
  @Type("string")
  public void setShareType(String paramString)
  {
    this.shareType = paramString;
  }

  public String getShareType()
  {
    return this.shareType;
  }

  public LunSetShare withShareType(String paramString)
  {
    this.shareType = paramString;
    return this;
  }
}