package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-set-space-reservation-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EFILENOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR", "EONTAPI_ENOSPC", "ESETSPCRESERROR"})
@Family({"ontap-c", "vfiler"})
public class LunSetSpaceReservationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean enable;
  public String path;

  @Input("enable")
  @Type("boolean")
  public void setEnable(Boolean paramBoolean)
  {
    this.enable = paramBoolean;
  }

  public Boolean isEnable()
  {
    return this.enable;
  }

  public LunSetSpaceReservationInfo withEnable(Boolean paramBoolean)
  {
    this.enable = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunSetSpaceReservationInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}