package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-stats-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunStatsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<LunStatsInfo> lunStats;
  public String path;

  @Output("lun-stats")
  @Type("lun-stats-info[]")
  public void setLunStats(List<LunStatsInfo> paramList)
  {
    this.lunStats = paramList;
  }

  public List<LunStatsInfo> getLunStats()
  {
    return this.lunStats;
  }

  public LunStatsListInfo withLunStats(List<LunStatsInfo> paramList)
  {
    this.lunStats = paramList;
    return this;
  }

  public LunStatsListInfo withLunStats(LunStatsInfo[] paramArrayOfLunStatsInfo)
  {
    this.lunStats = new ArrayList(Arrays.asList(paramArrayOfLunStatsInfo));
    return this;
  }

  @Input("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunStatsListInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}