package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-unmap")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EROFS", "EVDISK_ERROR_NO_EXPORTED_VDISK_SHARE_WRITE", "EVDISK_ERROR_NO_SUCH_EXPORT", "EVDISK_ERROR_NO_SUCH_INITGROUP", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunUnmap
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiatorGroup;
  public String path;

  @Input("initiator-group")
  @Type("string")
  public void setInitiatorGroup(String paramString)
  {
    this.initiatorGroup = paramString;
  }

  public String getInitiatorGroup()
  {
    return this.initiatorGroup;
  }

  public LunUnmap withInitiatorGroup(String paramString)
  {
    this.initiatorGroup = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunUnmap withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}