package com.netapp.filer.nameservice;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nameservice-map-group-name-to-gid")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class NameserviceMapGroupNameToGid
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long gid;
  public String group;

  @Output("gid")
  @Type("integer")
  public void setGid(Long paramLong)
  {
    this.gid = paramLong;
  }

  public Long getGid()
  {
    return this.gid;
  }

  public NameserviceMapGroupNameToGid withGid(Long paramLong)
  {
    this.gid = paramLong;
    return this;
  }

  @Input("group")
  @Type("string")
  public void setGroup(String paramString)
  {
    this.group = paramString;
  }

  public String getGroup()
  {
    return this.group;
  }

  public NameserviceMapGroupNameToGid withGroup(String paramString)
  {
    this.group = paramString;
    return this;
  }
}