package com.netapp.filer.nameservice;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nameservice-map-sid-to-uid")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class NameserviceMapSidToUid
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String sid;
  public Long uid;

  @Input("sid")
  @Type("string")
  public void setSid(String paramString)
  {
    this.sid = paramString;
  }

  public String getSid()
  {
    return this.sid;
  }

  public NameserviceMapSidToUid withSid(String paramString)
  {
    this.sid = paramString;
    return this;
  }

  @Output("uid")
  @Type("integer")
  public void setUid(Long paramLong)
  {
    this.uid = paramLong;
  }

  public Long getUid()
  {
    return this.uid;
  }

  public NameserviceMapSidToUid withUid(Long paramLong)
  {
    this.uid = paramLong;
    return this;
  }
}