package com.netapp.filer.nameservice;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nameservice-map-user-name-to-uid")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class NameserviceMapUserNameToUid
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long uid;
  public String user;

  @Output("uid")
  @Type("integer")
  public void setUid(Long paramLong)
  {
    this.uid = paramLong;
  }

  public Long getUid()
  {
    return this.uid;
  }

  public NameserviceMapUserNameToUid withUid(Long paramLong)
  {
    this.uid = paramLong;
    return this;
  }

  @Input("user")
  @Type("string")
  public void setUser(String paramString)
  {
    this.user = paramString;
  }

  public String getUser()
  {
    return this.user;
  }

  public NameserviceMapUserNameToUid withUser(String paramString)
  {
    this.user = paramString;
    return this;
  }
}