package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("exports-rule-info")
public class ExportsRuleInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String actualPathname;
  public String anon;
  public Boolean nosuid;
  public String pathname;
  public List<ExportsHostnameInfo> readOnly;
  public List<ExportsHostnameInfo> readWrite;
  public List<ExportsHostnameInfo> root;
  public List<SecFlavorInfo> secFlavor;

  @Element("actual-pathname")
  @Type("string")
  @Optional
  public void setActualPathname(String paramString)
  {
    this.actualPathname = paramString;
  }

  public String getActualPathname()
  {
    return this.actualPathname;
  }

  public ExportsRuleInfo withActualPathname(String paramString)
  {
    this.actualPathname = paramString;
    return this;
  }

  @Element("anon")
  @Type("string")
  @Optional
  public void setAnon(String paramString)
  {
    this.anon = paramString;
  }

  public String getAnon()
  {
    return this.anon;
  }

  public ExportsRuleInfo withAnon(String paramString)
  {
    this.anon = paramString;
    return this;
  }

  @Element("nosuid")
  @Type("boolean")
  @Optional
  public void setNosuid(Boolean paramBoolean)
  {
    this.nosuid = paramBoolean;
  }

  public Boolean isNosuid()
  {
    return this.nosuid;
  }

  public ExportsRuleInfo withNosuid(Boolean paramBoolean)
  {
    this.nosuid = paramBoolean;
    return this;
  }

  @Element("pathname")
  @Type("string")
  public void setPathname(String paramString)
  {
    this.pathname = paramString;
  }

  public String getPathname()
  {
    return this.pathname;
  }

  public ExportsRuleInfo withPathname(String paramString)
  {
    this.pathname = paramString;
    return this;
  }

  @Element("read-only")
  @Type("exports-hostname-info[]")
  @Optional
  public void setReadOnly(List<ExportsHostnameInfo> paramList)
  {
    this.readOnly = paramList;
  }

  public List<ExportsHostnameInfo> getReadOnly()
  {
    return this.readOnly;
  }

  public ExportsRuleInfo withReadOnly(List<ExportsHostnameInfo> paramList)
  {
    this.readOnly = paramList;
    return this;
  }

  public ExportsRuleInfo withReadOnly(ExportsHostnameInfo[] paramArrayOfExportsHostnameInfo)
  {
    this.readOnly = new ArrayList(Arrays.asList(paramArrayOfExportsHostnameInfo));
    return this;
  }

  @Element("read-write")
  @Type("exports-hostname-info[]")
  @Optional
  public void setReadWrite(List<ExportsHostnameInfo> paramList)
  {
    this.readWrite = paramList;
  }

  public List<ExportsHostnameInfo> getReadWrite()
  {
    return this.readWrite;
  }

  public ExportsRuleInfo withReadWrite(List<ExportsHostnameInfo> paramList)
  {
    this.readWrite = paramList;
    return this;
  }

  public ExportsRuleInfo withReadWrite(ExportsHostnameInfo[] paramArrayOfExportsHostnameInfo)
  {
    this.readWrite = new ArrayList(Arrays.asList(paramArrayOfExportsHostnameInfo));
    return this;
  }

  @Element("root")
  @Type("exports-hostname-info[]")
  @Optional
  public void setRoot(List<ExportsHostnameInfo> paramList)
  {
    this.root = paramList;
  }

  public List<ExportsHostnameInfo> getRoot()
  {
    return this.root;
  }

  public ExportsRuleInfo withRoot(List<ExportsHostnameInfo> paramList)
  {
    this.root = paramList;
    return this;
  }

  public ExportsRuleInfo withRoot(ExportsHostnameInfo[] paramArrayOfExportsHostnameInfo)
  {
    this.root = new ArrayList(Arrays.asList(paramArrayOfExportsHostnameInfo));
    return this;
  }

  @Element("sec-flavor")
  @Type("sec-flavor-info[]")
  @Optional
  public void setSecFlavor(List<SecFlavorInfo> paramList)
  {
    this.secFlavor = paramList;
  }

  public List<SecFlavorInfo> getSecFlavor()
  {
    return this.secFlavor;
  }

  public ExportsRuleInfo withSecFlavor(List<SecFlavorInfo> paramList)
  {
    this.secFlavor = paramList;
    return this;
  }

  public ExportsRuleInfo withSecFlavor(SecFlavorInfo[] paramArrayOfSecFlavorInfo)
  {
    this.secFlavor = new ArrayList(Arrays.asList(paramArrayOfSecFlavorInfo));
    return this;
  }
}