package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-exportfs-check-permission")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsExportfsCheckPermission
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String host;
  public Boolean permissible;
  public String pathname;
  public String permission;

  @Input("host")
  @Type("string")
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public NfsExportfsCheckPermission withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Output("is-permissible")
  @Type("boolean")
  public void setPermissible(Boolean paramBoolean)
  {
    this.permissible = paramBoolean;
  }

  public Boolean isPermissible()
  {
    return this.permissible;
  }

  public NfsExportfsCheckPermission withPermissible(Boolean paramBoolean)
  {
    this.permissible = paramBoolean;
    return this;
  }

  @Input("pathname")
  @Type("string")
  public void setPathname(String paramString)
  {
    this.pathname = paramString;
  }

  public String getPathname()
  {
    return this.pathname;
  }

  public NfsExportfsCheckPermission withPathname(String paramString)
  {
    this.pathname = paramString;
    return this;
  }

  @Input("permission")
  @Type("string")
  public void setPermission(String paramString)
  {
    this.permission = paramString;
  }

  public String getPermission()
  {
    return this.permission;
  }

  public NfsExportfsCheckPermission withPermission(String paramString)
  {
    this.permission = paramString;
    return this;
  }
}