package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-exportfs-modify-rule")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsExportfsModifyRule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean persistent;
  public ExportsRuleInfo rule;

  @Input("persistent")
  @Type("boolean")
  public void setPersistent(Boolean paramBoolean)
  {
    this.persistent = paramBoolean;
  }

  public Boolean isPersistent()
  {
    return this.persistent;
  }

  public NfsExportfsModifyRule withPersistent(Boolean paramBoolean)
  {
    this.persistent = paramBoolean;
    return this;
  }

  @Input("rule")
  @Type("exports-rule-info")
  public void setRule(ExportsRuleInfo paramExportsRuleInfo)
  {
    this.rule = paramExportsRuleInfo;
  }

  public ExportsRuleInfo getRule()
  {
    return this.rule;
  }

  public NfsExportfsModifyRule withRule(ExportsRuleInfo paramExportsRuleInfo)
  {
    this.rule = paramExportsRuleInfo;
    return this;
  }
}