package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("nfs-stats-top-clients-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class NfsStatsTopClientsListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public List<NfsTopInfo> nfsTop;
  public Long records;
  public String tag;

  @Input("maximum")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public NfsStatsTopClientsListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("nfs-top")
  @Type("nfs-top-info[]")
  public void setNfsTop(List<NfsTopInfo> paramList)
  {
    this.nfsTop = paramList;
  }

  public List<NfsTopInfo> getNfsTop()
  {
    return this.nfsTop;
  }

  public NfsStatsTopClientsListIterNext withNfsTop(List<NfsTopInfo> paramList)
  {
    this.nfsTop = paramList;
    return this;
  }

  public NfsStatsTopClientsListIterNext withNfsTop(NfsTopInfo[] paramArrayOfNfsTopInfo)
  {
    this.nfsTop = new ArrayList(Arrays.asList(paramArrayOfNfsTopInfo));
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public NfsStatsTopClientsListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public NfsStatsTopClientsListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}