package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-stats-top-clients-list-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "ECLIENTSTATSVFILER", "ENFS_CLIENT_STATS_NOT_ENABLED", "ENOACTIVECLIENTS"})
@Family({"ontap-c", "vfiler"})
public class NfsStatsTopClientsListIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maxclients;
  public Long records;
  public String tag;

  @Input("maxclients")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setMaxclients(Long paramLong)
  {
    this.maxclients = paramLong;
  }

  public Long getMaxclients()
  {
    return this.maxclients;
  }

  public NfsStatsTopClientsListIterStart withMaxclients(Long paramLong)
  {
    this.maxclients = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public NfsStatsTopClientsListIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public NfsStatsTopClientsListIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}