package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("nfs-top-info")
public class NfsTopInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String clientInfo;
  public BigInteger createOps;
  public BigInteger getattrOps;
  public BigInteger lookupOps;
  public BigInteger readOps;
  public BigInteger readdirOps;
  public BigInteger readlinkOps;
  public BigInteger removeOps;
  public BigInteger totalOps;
  public BigInteger writeOps;

  @Element("client-info")
  @Type("string")
  public void setClientInfo(String paramString)
  {
    this.clientInfo = paramString;
  }

  public String getClientInfo()
  {
    return this.clientInfo;
  }

  public NfsTopInfo withClientInfo(String paramString)
  {
    this.clientInfo = paramString;
    return this;
  }

  @Element("create-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
  }

  public BigInteger getCreateOps()
  {
    return this.createOps;
  }

  public NfsTopInfo withCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
    return this;
  }

  @Element("getattr-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
  }

  public BigInteger getGetattrOps()
  {
    return this.getattrOps;
  }

  public NfsTopInfo withGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
    return this;
  }

  @Element("lookup-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
  }

  public BigInteger getLookupOps()
  {
    return this.lookupOps;
  }

  public NfsTopInfo withLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
    return this;
  }

  @Element("read-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
  }

  public BigInteger getReadOps()
  {
    return this.readOps;
  }

  public NfsTopInfo withReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
    return this;
  }

  @Element("readdir-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
  }

  public BigInteger getReaddirOps()
  {
    return this.readdirOps;
  }

  public NfsTopInfo withReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
    return this;
  }

  @Element("readlink-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
  }

  public BigInteger getReadlinkOps()
  {
    return this.readlinkOps;
  }

  public NfsTopInfo withReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
    return this;
  }

  @Element("remove-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
  }

  public BigInteger getRemoveOps()
  {
    return this.removeOps;
  }

  public NfsTopInfo withRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
    return this;
  }

  @Element("total-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setTotalOps(BigInteger paramBigInteger)
  {
    this.totalOps = paramBigInteger;
  }

  public BigInteger getTotalOps()
  {
    return this.totalOps;
  }

  public NfsTopInfo withTotalOps(BigInteger paramBigInteger)
  {
    this.totalOps = paramBigInteger;
    return this;
  }

  @Element("write-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
  }

  public BigInteger getWriteOps()
  {
    return this.writeOps;
  }

  public NfsTopInfo withWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
    return this;
  }
}