package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("nfsv4-client-stats-info")
public class Nfsv4ClientStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger accessOps;
  public Long aclsSetTotal;
  public BigInteger badproc2Ops;
  public BigInteger closeOps;
  public BigInteger commitOps;
  public BigInteger compoundOps;
  public BigInteger createOps;
  public BigInteger delegpurge;
  public BigInteger delegretOps;
  public BigInteger getattrOps;
  public BigInteger getfhOps;
  public BigInteger linkOps;
  public BigInteger lockOps;
  public BigInteger locktOps;
  public BigInteger lockuOps;
  public BigInteger lookupOps;
  public BigInteger lookuppOps;
  public Long noDelegationTotal;
  public BigInteger nullOps;
  public BigInteger nverifyOps;
  public BigInteger openConfirmOps;
  public BigInteger openDowngradeOps;
  public BigInteger openOps;
  public BigInteger openattrOps;
  public BigInteger putfhOps;
  public BigInteger putpubfhOps;
  public BigInteger putrootfhOps;
  public Long readDelegationTotal;
  public BigInteger readOps;
  public BigInteger readdirOps;
  public BigInteger readlinkOps;
  public BigInteger removeOps;
  public BigInteger renameOps;
  public BigInteger renewOps;
  public BigInteger restorefhOps;
  public BigInteger rlsownerOps;
  public BigInteger savefhOps;
  public BigInteger secinfoOps;
  public BigInteger setattrOps;
  public BigInteger setclntidCfmOps;
  public BigInteger setclntidOps;
  public BigInteger verifyOps;
  public Long writeDelegationTotal;
  public BigInteger writeOps;

  @Element("access-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setAccessOps(BigInteger paramBigInteger)
  {
    this.accessOps = paramBigInteger;
  }

  public BigInteger getAccessOps()
  {
    return this.accessOps;
  }

  public Nfsv4ClientStatsInfo withAccessOps(BigInteger paramBigInteger)
  {
    this.accessOps = paramBigInteger;
    return this;
  }

  @Element("acls-set-total")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setAclsSetTotal(Long paramLong)
  {
    this.aclsSetTotal = paramLong;
  }

  public Long getAclsSetTotal()
  {
    return this.aclsSetTotal;
  }

  public Nfsv4ClientStatsInfo withAclsSetTotal(Long paramLong)
  {
    this.aclsSetTotal = paramLong;
    return this;
  }

  @Element("badproc2-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setBadproc2Ops(BigInteger paramBigInteger)
  {
    this.badproc2Ops = paramBigInteger;
  }

  public BigInteger getBadproc2Ops()
  {
    return this.badproc2Ops;
  }

  public Nfsv4ClientStatsInfo withBadproc2Ops(BigInteger paramBigInteger)
  {
    this.badproc2Ops = paramBigInteger;
    return this;
  }

  @Element("close-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setCloseOps(BigInteger paramBigInteger)
  {
    this.closeOps = paramBigInteger;
  }

  public BigInteger getCloseOps()
  {
    return this.closeOps;
  }

  public Nfsv4ClientStatsInfo withCloseOps(BigInteger paramBigInteger)
  {
    this.closeOps = paramBigInteger;
    return this;
  }

  @Element("commit-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setCommitOps(BigInteger paramBigInteger)
  {
    this.commitOps = paramBigInteger;
  }

  public BigInteger getCommitOps()
  {
    return this.commitOps;
  }

  public Nfsv4ClientStatsInfo withCommitOps(BigInteger paramBigInteger)
  {
    this.commitOps = paramBigInteger;
    return this;
  }

  @Element("compound-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setCompoundOps(BigInteger paramBigInteger)
  {
    this.compoundOps = paramBigInteger;
  }

  public BigInteger getCompoundOps()
  {
    return this.compoundOps;
  }

  public Nfsv4ClientStatsInfo withCompoundOps(BigInteger paramBigInteger)
  {
    this.compoundOps = paramBigInteger;
    return this;
  }

  @Element("create-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
  }

  public BigInteger getCreateOps()
  {
    return this.createOps;
  }

  public Nfsv4ClientStatsInfo withCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
    return this;
  }

  @Element("delegpurge")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setDelegpurge(BigInteger paramBigInteger)
  {
    this.delegpurge = paramBigInteger;
  }

  public BigInteger getDelegpurge()
  {
    return this.delegpurge;
  }

  public Nfsv4ClientStatsInfo withDelegpurge(BigInteger paramBigInteger)
  {
    this.delegpurge = paramBigInteger;
    return this;
  }

  @Element("delegret-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setDelegretOps(BigInteger paramBigInteger)
  {
    this.delegretOps = paramBigInteger;
  }

  public BigInteger getDelegretOps()
  {
    return this.delegretOps;
  }

  public Nfsv4ClientStatsInfo withDelegretOps(BigInteger paramBigInteger)
  {
    this.delegretOps = paramBigInteger;
    return this;
  }

  @Element("getattr-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
  }

  public BigInteger getGetattrOps()
  {
    return this.getattrOps;
  }

  public Nfsv4ClientStatsInfo withGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
    return this;
  }

  @Element("getfh-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setGetfhOps(BigInteger paramBigInteger)
  {
    this.getfhOps = paramBigInteger;
  }

  public BigInteger getGetfhOps()
  {
    return this.getfhOps;
  }

  public Nfsv4ClientStatsInfo withGetfhOps(BigInteger paramBigInteger)
  {
    this.getfhOps = paramBigInteger;
    return this;
  }

  @Element("link-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setLinkOps(BigInteger paramBigInteger)
  {
    this.linkOps = paramBigInteger;
  }

  public BigInteger getLinkOps()
  {
    return this.linkOps;
  }

  public Nfsv4ClientStatsInfo withLinkOps(BigInteger paramBigInteger)
  {
    this.linkOps = paramBigInteger;
    return this;
  }

  @Element("lock-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setLockOps(BigInteger paramBigInteger)
  {
    this.lockOps = paramBigInteger;
  }

  public BigInteger getLockOps()
  {
    return this.lockOps;
  }

  public Nfsv4ClientStatsInfo withLockOps(BigInteger paramBigInteger)
  {
    this.lockOps = paramBigInteger;
    return this;
  }

  @Element("lockt-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setLocktOps(BigInteger paramBigInteger)
  {
    this.locktOps = paramBigInteger;
  }

  public BigInteger getLocktOps()
  {
    return this.locktOps;
  }

  public Nfsv4ClientStatsInfo withLocktOps(BigInteger paramBigInteger)
  {
    this.locktOps = paramBigInteger;
    return this;
  }

  @Element("locku-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setLockuOps(BigInteger paramBigInteger)
  {
    this.lockuOps = paramBigInteger;
  }

  public BigInteger getLockuOps()
  {
    return this.lockuOps;
  }

  public Nfsv4ClientStatsInfo withLockuOps(BigInteger paramBigInteger)
  {
    this.lockuOps = paramBigInteger;
    return this;
  }

  @Element("lookup-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
  }

  public BigInteger getLookupOps()
  {
    return this.lookupOps;
  }

  public Nfsv4ClientStatsInfo withLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
    return this;
  }

  @Element("lookupp-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setLookuppOps(BigInteger paramBigInteger)
  {
    this.lookuppOps = paramBigInteger;
  }

  public BigInteger getLookuppOps()
  {
    return this.lookuppOps;
  }

  public Nfsv4ClientStatsInfo withLookuppOps(BigInteger paramBigInteger)
  {
    this.lookuppOps = paramBigInteger;
    return this;
  }

  @Element("no-delegation-total")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setNoDelegationTotal(Long paramLong)
  {
    this.noDelegationTotal = paramLong;
  }

  public Long getNoDelegationTotal()
  {
    return this.noDelegationTotal;
  }

  public Nfsv4ClientStatsInfo withNoDelegationTotal(Long paramLong)
  {
    this.noDelegationTotal = paramLong;
    return this;
  }

  @Element("null-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setNullOps(BigInteger paramBigInteger)
  {
    this.nullOps = paramBigInteger;
  }

  public BigInteger getNullOps()
  {
    return this.nullOps;
  }

  public Nfsv4ClientStatsInfo withNullOps(BigInteger paramBigInteger)
  {
    this.nullOps = paramBigInteger;
    return this;
  }

  @Element("nverify-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setNverifyOps(BigInteger paramBigInteger)
  {
    this.nverifyOps = paramBigInteger;
  }

  public BigInteger getNverifyOps()
  {
    return this.nverifyOps;
  }

  public Nfsv4ClientStatsInfo withNverifyOps(BigInteger paramBigInteger)
  {
    this.nverifyOps = paramBigInteger;
    return this;
  }

  @Element("open-confirm-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setOpenConfirmOps(BigInteger paramBigInteger)
  {
    this.openConfirmOps = paramBigInteger;
  }

  public BigInteger getOpenConfirmOps()
  {
    return this.openConfirmOps;
  }

  public Nfsv4ClientStatsInfo withOpenConfirmOps(BigInteger paramBigInteger)
  {
    this.openConfirmOps = paramBigInteger;
    return this;
  }

  @Element("open-downgrade-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setOpenDowngradeOps(BigInteger paramBigInteger)
  {
    this.openDowngradeOps = paramBigInteger;
  }

  public BigInteger getOpenDowngradeOps()
  {
    return this.openDowngradeOps;
  }

  public Nfsv4ClientStatsInfo withOpenDowngradeOps(BigInteger paramBigInteger)
  {
    this.openDowngradeOps = paramBigInteger;
    return this;
  }

  @Element("open-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setOpenOps(BigInteger paramBigInteger)
  {
    this.openOps = paramBigInteger;
  }

  public BigInteger getOpenOps()
  {
    return this.openOps;
  }

  public Nfsv4ClientStatsInfo withOpenOps(BigInteger paramBigInteger)
  {
    this.openOps = paramBigInteger;
    return this;
  }

  @Element("openattr-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setOpenattrOps(BigInteger paramBigInteger)
  {
    this.openattrOps = paramBigInteger;
  }

  public BigInteger getOpenattrOps()
  {
    return this.openattrOps;
  }

  public Nfsv4ClientStatsInfo withOpenattrOps(BigInteger paramBigInteger)
  {
    this.openattrOps = paramBigInteger;
    return this;
  }

  @Element("putfh-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setPutfhOps(BigInteger paramBigInteger)
  {
    this.putfhOps = paramBigInteger;
  }

  public BigInteger getPutfhOps()
  {
    return this.putfhOps;
  }

  public Nfsv4ClientStatsInfo withPutfhOps(BigInteger paramBigInteger)
  {
    this.putfhOps = paramBigInteger;
    return this;
  }

  @Element("putpubfh-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setPutpubfhOps(BigInteger paramBigInteger)
  {
    this.putpubfhOps = paramBigInteger;
  }

  public BigInteger getPutpubfhOps()
  {
    return this.putpubfhOps;
  }

  public Nfsv4ClientStatsInfo withPutpubfhOps(BigInteger paramBigInteger)
  {
    this.putpubfhOps = paramBigInteger;
    return this;
  }

  @Element("putrootfh-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setPutrootfhOps(BigInteger paramBigInteger)
  {
    this.putrootfhOps = paramBigInteger;
  }

  public BigInteger getPutrootfhOps()
  {
    return this.putrootfhOps;
  }

  public Nfsv4ClientStatsInfo withPutrootfhOps(BigInteger paramBigInteger)
  {
    this.putrootfhOps = paramBigInteger;
    return this;
  }

  @Element("read-delegation-total")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setReadDelegationTotal(Long paramLong)
  {
    this.readDelegationTotal = paramLong;
  }

  public Long getReadDelegationTotal()
  {
    return this.readDelegationTotal;
  }

  public Nfsv4ClientStatsInfo withReadDelegationTotal(Long paramLong)
  {
    this.readDelegationTotal = paramLong;
    return this;
  }

  @Element("read-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
  }

  public BigInteger getReadOps()
  {
    return this.readOps;
  }

  public Nfsv4ClientStatsInfo withReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
    return this;
  }

  @Element("readdir-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
  }

  public BigInteger getReaddirOps()
  {
    return this.readdirOps;
  }

  public Nfsv4ClientStatsInfo withReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
    return this;
  }

  @Element("readlink-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
  }

  public BigInteger getReadlinkOps()
  {
    return this.readlinkOps;
  }

  public Nfsv4ClientStatsInfo withReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
    return this;
  }

  @Element("remove-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
  }

  public BigInteger getRemoveOps()
  {
    return this.removeOps;
  }

  public Nfsv4ClientStatsInfo withRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
    return this;
  }

  @Element("rename-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRenameOps(BigInteger paramBigInteger)
  {
    this.renameOps = paramBigInteger;
  }

  public BigInteger getRenameOps()
  {
    return this.renameOps;
  }

  public Nfsv4ClientStatsInfo withRenameOps(BigInteger paramBigInteger)
  {
    this.renameOps = paramBigInteger;
    return this;
  }

  @Element("renew-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRenewOps(BigInteger paramBigInteger)
  {
    this.renewOps = paramBigInteger;
  }

  public BigInteger getRenewOps()
  {
    return this.renewOps;
  }

  public Nfsv4ClientStatsInfo withRenewOps(BigInteger paramBigInteger)
  {
    this.renewOps = paramBigInteger;
    return this;
  }

  @Element("restorefh-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRestorefhOps(BigInteger paramBigInteger)
  {
    this.restorefhOps = paramBigInteger;
  }

  public BigInteger getRestorefhOps()
  {
    return this.restorefhOps;
  }

  public Nfsv4ClientStatsInfo withRestorefhOps(BigInteger paramBigInteger)
  {
    this.restorefhOps = paramBigInteger;
    return this;
  }

  @Element("rlsowner-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRlsownerOps(BigInteger paramBigInteger)
  {
    this.rlsownerOps = paramBigInteger;
  }

  public BigInteger getRlsownerOps()
  {
    return this.rlsownerOps;
  }

  public Nfsv4ClientStatsInfo withRlsownerOps(BigInteger paramBigInteger)
  {
    this.rlsownerOps = paramBigInteger;
    return this;
  }

  @Element("savefh-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSavefhOps(BigInteger paramBigInteger)
  {
    this.savefhOps = paramBigInteger;
  }

  public BigInteger getSavefhOps()
  {
    return this.savefhOps;
  }

  public Nfsv4ClientStatsInfo withSavefhOps(BigInteger paramBigInteger)
  {
    this.savefhOps = paramBigInteger;
    return this;
  }

  @Element("secinfo-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSecinfoOps(BigInteger paramBigInteger)
  {
    this.secinfoOps = paramBigInteger;
  }

  public BigInteger getSecinfoOps()
  {
    return this.secinfoOps;
  }

  public Nfsv4ClientStatsInfo withSecinfoOps(BigInteger paramBigInteger)
  {
    this.secinfoOps = paramBigInteger;
    return this;
  }

  @Element("setattr-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSetattrOps(BigInteger paramBigInteger)
  {
    this.setattrOps = paramBigInteger;
  }

  public BigInteger getSetattrOps()
  {
    return this.setattrOps;
  }

  public Nfsv4ClientStatsInfo withSetattrOps(BigInteger paramBigInteger)
  {
    this.setattrOps = paramBigInteger;
    return this;
  }

  @Element("setclntid-cfm-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSetclntidCfmOps(BigInteger paramBigInteger)
  {
    this.setclntidCfmOps = paramBigInteger;
  }

  public BigInteger getSetclntidCfmOps()
  {
    return this.setclntidCfmOps;
  }

  public Nfsv4ClientStatsInfo withSetclntidCfmOps(BigInteger paramBigInteger)
  {
    this.setclntidCfmOps = paramBigInteger;
    return this;
  }

  @Element("setclntid-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSetclntidOps(BigInteger paramBigInteger)
  {
    this.setclntidOps = paramBigInteger;
  }

  public BigInteger getSetclntidOps()
  {
    return this.setclntidOps;
  }

  public Nfsv4ClientStatsInfo withSetclntidOps(BigInteger paramBigInteger)
  {
    this.setclntidOps = paramBigInteger;
    return this;
  }

  @Element("verify-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setVerifyOps(BigInteger paramBigInteger)
  {
    this.verifyOps = paramBigInteger;
  }

  public BigInteger getVerifyOps()
  {
    return this.verifyOps;
  }

  public Nfsv4ClientStatsInfo withVerifyOps(BigInteger paramBigInteger)
  {
    this.verifyOps = paramBigInteger;
    return this;
  }

  @Element("write-delegation-total")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setWriteDelegationTotal(Long paramLong)
  {
    this.writeDelegationTotal = paramLong;
  }

  public Long getWriteDelegationTotal()
  {
    return this.writeDelegationTotal;
  }

  public Nfsv4ClientStatsInfo withWriteDelegationTotal(Long paramLong)
  {
    this.writeDelegationTotal = paramLong;
    return this;
  }

  @Element("write-ops")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
  }

  public BigInteger getWriteOps()
  {
    return this.writeOps;
  }

  public Nfsv4ClientStatsInfo withWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
    return this;
  }
}