package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("rpc-data-info")
public class RpcDataInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long badcallsTotal;
  public Long badlenTotal;
  public BigInteger callsTotal;
  public Long nullrecvTotal;
  public Long xdrcallTotal;

  @Element("badcalls-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setBadcallsTotal(Long paramLong)
  {
    this.badcallsTotal = paramLong;
  }

  public Long getBadcallsTotal()
  {
    return this.badcallsTotal;
  }

  public RpcDataInfo withBadcallsTotal(Long paramLong)
  {
    this.badcallsTotal = paramLong;
    return this;
  }

  @Element("badlen-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setBadlenTotal(Long paramLong)
  {
    this.badlenTotal = paramLong;
  }

  public Long getBadlenTotal()
  {
    return this.badlenTotal;
  }

  public RpcDataInfo withBadlenTotal(Long paramLong)
  {
    this.badlenTotal = paramLong;
    return this;
  }

  @Element("calls-total")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCallsTotal(BigInteger paramBigInteger)
  {
    this.callsTotal = paramBigInteger;
  }

  public BigInteger getCallsTotal()
  {
    return this.callsTotal;
  }

  public RpcDataInfo withCallsTotal(BigInteger paramBigInteger)
  {
    this.callsTotal = paramBigInteger;
    return this;
  }

  @Element("nullrecv-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNullrecvTotal(Long paramLong)
  {
    this.nullrecvTotal = paramLong;
  }

  public Long getNullrecvTotal()
  {
    return this.nullrecvTotal;
  }

  public RpcDataInfo withNullrecvTotal(Long paramLong)
  {
    this.nullrecvTotal = paramLong;
    return this;
  }

  @Element("xdrcall-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setXdrcallTotal(Long paramLong)
  {
    this.xdrcallTotal = paramLong;
  }

  public Long getXdrcallTotal()
  {
    return this.xdrcallTotal;
  }

  public RpcDataInfo withXdrcallTotal(Long paramLong)
  {
    this.xdrcallTotal = paramLong;
    return this;
  }
}