package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("security-rule-info")
public class SecurityRuleInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String anon;
  public Boolean nosuid;
  public List<ExportsHostnameInfo> readOnly;
  public List<ExportsHostnameInfo> readWrite;
  public List<ExportsHostnameInfo> root;
  public List<SecFlavorInfo> secFlavor;

  @Element("anon")
  @Type("string")
  @Optional
  public void setAnon(String paramString)
  {
    this.anon = paramString;
  }

  public String getAnon()
  {
    return this.anon;
  }

  public SecurityRuleInfo withAnon(String paramString)
  {
    this.anon = paramString;
    return this;
  }

  @Element("nosuid")
  @Type("boolean")
  @Optional
  public void setNosuid(Boolean paramBoolean)
  {
    this.nosuid = paramBoolean;
  }

  public Boolean isNosuid()
  {
    return this.nosuid;
  }

  public SecurityRuleInfo withNosuid(Boolean paramBoolean)
  {
    this.nosuid = paramBoolean;
    return this;
  }

  @Element("read-only")
  @Type("exports-hostname-info[]")
  @Optional
  public void setReadOnly(List<ExportsHostnameInfo> paramList)
  {
    this.readOnly = paramList;
  }

  public List<ExportsHostnameInfo> getReadOnly()
  {
    return this.readOnly;
  }

  public SecurityRuleInfo withReadOnly(List<ExportsHostnameInfo> paramList)
  {
    this.readOnly = paramList;
    return this;
  }

  public SecurityRuleInfo withReadOnly(ExportsHostnameInfo[] paramArrayOfExportsHostnameInfo)
  {
    this.readOnly = new ArrayList(Arrays.asList(paramArrayOfExportsHostnameInfo));
    return this;
  }

  @Element("read-write")
  @Type("exports-hostname-info[]")
  @Optional
  public void setReadWrite(List<ExportsHostnameInfo> paramList)
  {
    this.readWrite = paramList;
  }

  public List<ExportsHostnameInfo> getReadWrite()
  {
    return this.readWrite;
  }

  public SecurityRuleInfo withReadWrite(List<ExportsHostnameInfo> paramList)
  {
    this.readWrite = paramList;
    return this;
  }

  public SecurityRuleInfo withReadWrite(ExportsHostnameInfo[] paramArrayOfExportsHostnameInfo)
  {
    this.readWrite = new ArrayList(Arrays.asList(paramArrayOfExportsHostnameInfo));
    return this;
  }

  @Element("root")
  @Type("exports-hostname-info[]")
  @Optional
  public void setRoot(List<ExportsHostnameInfo> paramList)
  {
    this.root = paramList;
  }

  public List<ExportsHostnameInfo> getRoot()
  {
    return this.root;
  }

  public SecurityRuleInfo withRoot(List<ExportsHostnameInfo> paramList)
  {
    this.root = paramList;
    return this;
  }

  public SecurityRuleInfo withRoot(ExportsHostnameInfo[] paramArrayOfExportsHostnameInfo)
  {
    this.root = new ArrayList(Arrays.asList(paramArrayOfExportsHostnameInfo));
    return this;
  }

  @Element("sec-flavor")
  @Type("sec-flavor-info[]")
  @Optional
  public void setSecFlavor(List<SecFlavorInfo> paramList)
  {
    this.secFlavor = paramList;
  }

  public List<SecFlavorInfo> getSecFlavor()
  {
    return this.secFlavor;
  }

  public SecurityRuleInfo withSecFlavor(List<SecFlavorInfo> paramList)
  {
    this.secFlavor = paramList;
    return this;
  }

  public SecurityRuleInfo withSecFlavor(SecFlavorInfo[] paramArrayOfSecFlavorInfo)
  {
    this.secFlavor = new ArrayList(Arrays.asList(paramArrayOfSecFlavorInfo));
    return this;
  }
}