package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("tcp-flowcontrol-stats-info")
public class TcpFlowcontrolStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long receiveOutTotal;
  public Long receiveTotal;
  public Long transmitOutTotal;
  public Long transmitTotal;

  @Element("receive-out-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setReceiveOutTotal(Long paramLong)
  {
    this.receiveOutTotal = paramLong;
  }

  public Long getReceiveOutTotal()
  {
    return this.receiveOutTotal;
  }

  public TcpFlowcontrolStatsInfo withReceiveOutTotal(Long paramLong)
  {
    this.receiveOutTotal = paramLong;
    return this;
  }

  @Element("receive-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setReceiveTotal(Long paramLong)
  {
    this.receiveTotal = paramLong;
  }

  public Long getReceiveTotal()
  {
    return this.receiveTotal;
  }

  public TcpFlowcontrolStatsInfo withReceiveTotal(Long paramLong)
  {
    this.receiveTotal = paramLong;
    return this;
  }

  @Element("transmit-out-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setTransmitOutTotal(Long paramLong)
  {
    this.transmitOutTotal = paramLong;
  }

  public Long getTransmitOutTotal()
  {
    return this.transmitOutTotal;
  }

  public TcpFlowcontrolStatsInfo withTransmitOutTotal(Long paramLong)
  {
    this.transmitOutTotal = paramLong;
    return this;
  }

  @Element("transmit-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setTransmitTotal(Long paramLong)
  {
    this.transmitTotal = paramLong;
  }

  public Long getTransmitTotal()
  {
    return this.transmitTotal;
  }

  public TcpFlowcontrolStatsInfo withTransmitTotal(Long paramLong)
  {
    this.transmitTotal = paramLong;
    return this;
  }
}