package com.netapp.filer.options;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("options-get")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class OptionsGet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String clusterConstraint;
  public String name;
  public String value;

  @Output("cluster-constraint")
  @Type("string")
  public void setClusterConstraint(String paramString)
  {
    this.clusterConstraint = paramString;
  }

  public String getClusterConstraint()
  {
    return this.clusterConstraint;
  }

  public OptionsGet withClusterConstraint(String paramString)
  {
    this.clusterConstraint = paramString;
    return this;
  }

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public OptionsGet withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Output("value")
  @Type("string")
  public void setValue(String paramString)
  {
    this.value = paramString;
  }

  public String getValue()
  {
    return this.value;
  }

  public OptionsGet withValue(String paramString)
  {
    this.value = paramString;
    return this;
  }
}