package com.netapp.filer.options;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("options-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EONTAPI_ENOENT"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class OptionsSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String clusterConstraint;
  public String message;
  public String name;
  public String value;

  @Output("cluster-constraint")
  @Type("string")
  public void setClusterConstraint(String paramString)
  {
    this.clusterConstraint = paramString;
  }

  public String getClusterConstraint()
  {
    return this.clusterConstraint;
  }

  public OptionsSet withClusterConstraint(String paramString)
  {
    this.clusterConstraint = paramString;
    return this;
  }

  @Output("message")
  @Type("string")
  @Optional
  public void setMessage(String paramString)
  {
    this.message = paramString;
  }

  public String getMessage()
  {
    return this.message;
  }

  public OptionsSet withMessage(String paramString)
  {
    this.message = paramString;
    return this;
  }

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public OptionsSet withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Input("value")
  @Type("string")
  public void setValue(String paramString)
  {
    this.value = paramString;
  }

  public String getValue()
  {
    return this.value;
  }

  public OptionsSet withValue(String paramString)
  {
    this.value = paramString;
    return this;
  }
}