package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-archive-get-instances-iter-next")
@Status(StatusEnum.UNSUPPORTED)
@Family({"ontap-c", "ontap-d"})
public class PerfArchiveGetInstancesIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ArchiveRecord> archiveRecords;
  public Integer generation;
  public Integer maximum;
  public Integer records;
  public String tag;

  @Output("archive-records")
  @Type("archive-record[]")
  public void setArchiveRecords(List<ArchiveRecord> paramList)
  {
    this.archiveRecords = paramList;
  }

  public List<ArchiveRecord> getArchiveRecords()
  {
    return this.archiveRecords;
  }

  public PerfArchiveGetInstancesIterNext withArchiveRecords(List<ArchiveRecord> paramList)
  {
    this.archiveRecords = paramList;
    return this;
  }

  public PerfArchiveGetInstancesIterNext withArchiveRecords(ArchiveRecord[] paramArrayOfArchiveRecord)
  {
    this.archiveRecords = new ArrayList(Arrays.asList(paramArrayOfArchiveRecord));
    return this;
  }

  @Output("generation")
  @Type("integer")
  @Range(min="1", max="2^31-1")
  public void setGeneration(Integer paramInteger)
  {
    this.generation = paramInteger;
  }

  public Integer getGeneration()
  {
    return this.generation;
  }

  public PerfArchiveGetInstancesIterNext withGeneration(Integer paramInteger)
  {
    this.generation = paramInteger;
    return this;
  }

  @Input("maximum")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setMaximum(Integer paramInteger)
  {
    this.maximum = paramInteger;
  }

  public Integer getMaximum()
  {
    return this.maximum;
  }

  public PerfArchiveGetInstancesIterNext withMaximum(Integer paramInteger)
  {
    this.maximum = paramInteger;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setRecords(Integer paramInteger)
  {
    this.records = paramInteger;
  }

  public Integer getRecords()
  {
    return this.records;
  }

  public PerfArchiveGetInstancesIterNext withRecords(Integer paramInteger)
  {
    this.records = paramInteger;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public PerfArchiveGetInstancesIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}