package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("perf-archive-get-instances-iter-start")
@Status(StatusEnum.UNSUPPORTED)
@Family({"ontap-c", "ontap-d"})
public class PerfArchiveGetInstancesIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String tag;
  public String timestamp;

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public PerfArchiveGetInstancesIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Input("timestamp")
  @Type("string")
  @Range(min="0", max="2^31-1")
  public void setTimestamp(String paramString)
  {
    this.timestamp = paramString;
  }

  public String getTimestamp()
  {
    return this.timestamp;
  }

  public PerfArchiveGetInstancesIterStart withTimestamp(String paramString)
  {
    this.timestamp = paramString;
    return this;
  }
}