package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-object-counter-list-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PerfObjectCounterListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CounterInfo> counters;
  public String objectname;

  @Output("counters")
  @Type("counter-info[]")
  public void setCounters(List<CounterInfo> paramList)
  {
    this.counters = paramList;
  }

  public List<CounterInfo> getCounters()
  {
    return this.counters;
  }

  public PerfObjectCounterListInfo withCounters(List<CounterInfo> paramList)
  {
    this.counters = paramList;
    return this;
  }

  public PerfObjectCounterListInfo withCounters(CounterInfo[] paramArrayOfCounterInfo)
  {
    this.counters = new ArrayList(Arrays.asList(paramArrayOfCounterInfo));
    return this;
  }

  @Input("objectname")
  @Type("string")
  public void setObjectname(String paramString)
  {
    this.objectname = paramString;
  }

  public String getObjectname()
  {
    return this.objectname;
  }

  public PerfObjectCounterListInfo withObjectname(String paramString)
  {
    this.objectname = paramString;
    return this;
  }
}