package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-object-get-instances")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PerfObjectGetInstances
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> counters;
  public List<InstanceData> instancesOutput;
  public List<String> instancesInput;
  public String objectname;
  public String timestamp;

  @Input("counters")
  @Type("counter[]")
  @Optional
  public void setCounters(List<String> paramList)
  {
    this.counters = paramList;
  }

  public List<String> getCounters()
  {
    return this.counters;
  }

  public PerfObjectGetInstances withCounters(List<String> paramList)
  {
    this.counters = paramList;
    return this;
  }

  public PerfObjectGetInstances withCounters(String[] paramArrayOfString)
  {
    this.counters = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Output("instances")
  @Type("instance-data[]")
  public void setInstancesOutput(List<InstanceData> paramList)
  {
    this.instancesOutput = paramList;
  }

  public List<InstanceData> getInstancesOutput()
  {
    return this.instancesOutput;
  }

  public PerfObjectGetInstances withInstancesOutput(List<InstanceData> paramList)
  {
    this.instancesOutput = paramList;
    return this;
  }

  public PerfObjectGetInstances withInstancesOutput(InstanceData[] paramArrayOfInstanceData)
  {
    this.instancesOutput = new ArrayList(Arrays.asList(paramArrayOfInstanceData));
    return this;
  }

  @Input("instances")
  @Type("instance[]")
  @Optional
  public void setInstancesInput(List<String> paramList)
  {
    this.instancesInput = paramList;
  }

  public List<String> getInstancesInput()
  {
    return this.instancesInput;
  }

  public PerfObjectGetInstances withInstancesInput(List<String> paramList)
  {
    this.instancesInput = paramList;
    return this;
  }

  public PerfObjectGetInstances withInstancesInput(String[] paramArrayOfString)
  {
    this.instancesInput = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("objectname")
  @Type("string")
  public void setObjectname(String paramString)
  {
    this.objectname = paramString;
  }

  public String getObjectname()
  {
    return this.objectname;
  }

  public PerfObjectGetInstances withObjectname(String paramString)
  {
    this.objectname = paramString;
    return this;
  }

  @Output("timestamp")
  @Type("string")
  public void setTimestamp(String paramString)
  {
    this.timestamp = paramString;
  }

  public String getTimestamp()
  {
    return this.timestamp;
  }

  public PerfObjectGetInstances withTimestamp(String paramString)
  {
    this.timestamp = paramString;
    return this;
  }
}