package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-object-get-instances-iter-start")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PerfObjectGetInstancesIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> counters;
  public List<String> instances;
  public String objectname;
  public Integer records;
  public String tag;
  public String timestamp;

  @Input("counters")
  @Type("counter[]")
  @Optional
  public void setCounters(List<String> paramList)
  {
    this.counters = paramList;
  }

  public List<String> getCounters()
  {
    return this.counters;
  }

  public PerfObjectGetInstancesIterStart withCounters(List<String> paramList)
  {
    this.counters = paramList;
    return this;
  }

  public PerfObjectGetInstancesIterStart withCounters(String[] paramArrayOfString)
  {
    this.counters = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("instances")
  @Type("instance[]")
  @Optional
  public void setInstances(List<String> paramList)
  {
    this.instances = paramList;
  }

  public List<String> getInstances()
  {
    return this.instances;
  }

  public PerfObjectGetInstancesIterStart withInstances(List<String> paramList)
  {
    this.instances = paramList;
    return this;
  }

  public PerfObjectGetInstancesIterStart withInstances(String[] paramArrayOfString)
  {
    this.instances = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("objectname")
  @Type("string")
  public void setObjectname(String paramString)
  {
    this.objectname = paramString;
  }

  public String getObjectname()
  {
    return this.objectname;
  }

  public PerfObjectGetInstancesIterStart withObjectname(String paramString)
  {
    this.objectname = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setRecords(Integer paramInteger)
  {
    this.records = paramInteger;
  }

  public Integer getRecords()
  {
    return this.records;
  }

  public PerfObjectGetInstancesIterStart withRecords(Integer paramInteger)
  {
    this.records = paramInteger;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public PerfObjectGetInstancesIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Output("timestamp")
  @Type("string")
  public void setTimestamp(String paramString)
  {
    this.timestamp = paramString;
  }

  public String getTimestamp()
  {
    return this.timestamp;
  }

  public PerfObjectGetInstancesIterStart withTimestamp(String paramString)
  {
    this.timestamp = paramString;
    return this;
  }
}