package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-object-instance-list-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PerfObjectInstanceListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<InstanceInfo> instances;
  public String objectname;

  @Output("instances")
  @Type("instance-info[]")
  public void setInstances(List<InstanceInfo> paramList)
  {
    this.instances = paramList;
  }

  public List<InstanceInfo> getInstances()
  {
    return this.instances;
  }

  public PerfObjectInstanceListInfo withInstances(List<InstanceInfo> paramList)
  {
    this.instances = paramList;
    return this;
  }

  public PerfObjectInstanceListInfo withInstances(InstanceInfo[] paramArrayOfInstanceInfo)
  {
    this.instances = new ArrayList(Arrays.asList(paramArrayOfInstanceInfo));
    return this;
  }

  @Input("objectname")
  @Type("string")
  public void setObjectname(String paramString)
  {
    this.objectname = paramString;
  }

  public String getObjectname()
  {
    return this.objectname;
  }

  public PerfObjectInstanceListInfo withObjectname(String paramString)
  {
    this.objectname = paramString;
    return this;
  }
}