package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-object-instance-list-info-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PerfObjectInstanceListInfoIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<InstanceInfo> instances;
  public Integer maximum;
  public Integer records;
  public String tag;

  @Output("instances")
  @Type("instance-info[]")
  public void setInstances(List<InstanceInfo> paramList)
  {
    this.instances = paramList;
  }

  public List<InstanceInfo> getInstances()
  {
    return this.instances;
  }

  public PerfObjectInstanceListInfoIterNext withInstances(List<InstanceInfo> paramList)
  {
    this.instances = paramList;
    return this;
  }

  public PerfObjectInstanceListInfoIterNext withInstances(InstanceInfo[] paramArrayOfInstanceInfo)
  {
    this.instances = new ArrayList(Arrays.asList(paramArrayOfInstanceInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setMaximum(Integer paramInteger)
  {
    this.maximum = paramInteger;
  }

  public Integer getMaximum()
  {
    return this.maximum;
  }

  public PerfObjectInstanceListInfoIterNext withMaximum(Integer paramInteger)
  {
    this.maximum = paramInteger;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setRecords(Integer paramInteger)
  {
    this.records = paramInteger;
  }

  public Integer getRecords()
  {
    return this.records;
  }

  public PerfObjectInstanceListInfoIterNext withRecords(Integer paramInteger)
  {
    this.records = paramInteger;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public PerfObjectInstanceListInfoIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}