package com.netapp.filer.portset;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("portset-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_PORTSET_BOTH_INVALID_PORT_NAMES", "EVDISK_ERROR_PORTSET_HAS_PORT", "EVDISK_ERROR_PORTSET_INVALID_PARTNER_PORT_NAME", "EVDISK_ERROR_PORTSET_INVALID_PORT_NAME", "EVDISK_ERROR_PORTSET_NO_SUCH_SET", "EVDISK_ERROR_PORTSET_THROTTLE_EXCEEDED", "EVDISK_ERROR_PORTSET_TOO_FEW_PORTS", "EVDISK_ERROR_PORTSET_TOO_MANY_PORTS"})
public class PortsetAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String portsetName;
  public String portsetPortName;

  @Input("portset-name")
  @Type("string")
  public void setPortsetName(String paramString)
  {
    this.portsetName = paramString;
  }

  public String getPortsetName()
  {
    return this.portsetName;
  }

  public PortsetAdd withPortsetName(String paramString)
  {
    this.portsetName = paramString;
    return this;
  }

  @Input("portset-port-name")
  @Type("string")
  public void setPortsetPortName(String paramString)
  {
    this.portsetPortName = paramString;
  }

  public String getPortsetPortName()
  {
    return this.portsetPortName;
  }

  public PortsetAdd withPortsetPortName(String paramString)
  {
    this.portsetPortName = paramString;
    return this;
  }
}