package com.netapp.filer.portset;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("portset-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_PORTSET_ALREADY_EXIST", "EVDISK_ERROR_PORTSET_BOTH_INVALID_PORT_NAMES", "EVDISK_ERROR_PORTSET_IC_DOWN", "EVDISK_ERROR_PORTSET_INVALID_PARTNER_PORT_NAME", "EVDISK_ERROR_PORTSET_INVALID_TYPE", "EVDISK_ERROR_PORTSET_NO_SUCH_PORT", "EVDISK_ERROR_PORTSET_TOO_FEW_PORTS", "EVDISK_ERROR_PORTSET_WRONG_TYPE"})
public class PortsetCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String portsetName;
  public String portsetType;

  @Input("portset-name")
  @Type("string")
  public void setPortsetName(String paramString)
  {
    this.portsetName = paramString;
  }

  public String getPortsetName()
  {
    return this.portsetName;
  }

  public PortsetCreate withPortsetName(String paramString)
  {
    this.portsetName = paramString;
    return this;
  }

  @Input("portset-type")
  @Type("string")
  public void setPortsetType(String paramString)
  {
    this.portsetType = paramString;
  }

  public String getPortsetType()
  {
    return this.portsetType;
  }

  public PortsetCreate withPortsetType(String paramString)
  {
    this.portsetType = paramString;
    return this;
  }
}