package com.netapp.filer.portset;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("portset-ports")
public class PortsetPorts
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<PortsetInitiatorGroups> initiatorGroupInfo;
  public String portName;

  @Element("initiator-group-info")
  @Type("portset-initiator-groups[]")
  public void setInitiatorGroupInfo(List<PortsetInitiatorGroups> paramList)
  {
    this.initiatorGroupInfo = paramList;
  }

  public List<PortsetInitiatorGroups> getInitiatorGroupInfo()
  {
    return this.initiatorGroupInfo;
  }

  public PortsetPorts withInitiatorGroupInfo(List<PortsetInitiatorGroups> paramList)
  {
    this.initiatorGroupInfo = paramList;
    return this;
  }

  public PortsetPorts withInitiatorGroupInfo(PortsetInitiatorGroups[] paramArrayOfPortsetInitiatorGroups)
  {
    this.initiatorGroupInfo = new ArrayList(Arrays.asList(paramArrayOfPortsetInitiatorGroups));
    return this;
  }

  @Element("port-name")
  @Type("string")
  public void setPortName(String paramString)
  {
    this.portName = paramString;
  }

  public String getPortName()
  {
    return this.portName;
  }

  public PortsetPorts withPortName(String paramString)
  {
    this.portName = paramString;
    return this;
  }
}