package com.netapp.filer.priority;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("priority-list-info-default")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PriorityListInfoDefault
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long level;
  public Long nvlogLimit;
  public Long system;
  public Long systemReadLimit;
  public Long userReadLimit;

  @Output("level")
  @Type("integer")
  @Optional
  public void setLevel(Long paramLong)
  {
    this.level = paramLong;
  }

  public Long getLevel()
  {
    return this.level;
  }

  public PriorityListInfoDefault withLevel(Long paramLong)
  {
    this.level = paramLong;
    return this;
  }

  @Output("nvlog-limit")
  @Type("integer")
  public void setNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
  }

  public Long getNvlogLimit()
  {
    return this.nvlogLimit;
  }

  public PriorityListInfoDefault withNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
    return this;
  }

  @Output("system")
  @Type("integer")
  public void setSystem(Long paramLong)
  {
    this.system = paramLong;
  }

  public Long getSystem()
  {
    return this.system;
  }

  public PriorityListInfoDefault withSystem(Long paramLong)
  {
    this.system = paramLong;
    return this;
  }

  @Output("system-read-limit")
  @Type("integer")
  public void setSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
  }

  public Long getSystemReadLimit()
  {
    return this.systemReadLimit;
  }

  public PriorityListInfoDefault withSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
    return this;
  }

  @Output("user-read-limit")
  @Type("integer")
  public void setUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
  }

  public Long getUserReadLimit()
  {
    return this.userReadLimit;
  }

  public PriorityListInfoDefault withUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
    return this;
  }
}