package com.netapp.filer.priority;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("priority-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
@Family({"ontap-c", "ontap-d"})
public class PrioritySet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long ioConcurrency;
  public String nvlogCpCompletion;
  public Integer nvlogCpThreshold;

  @Input("io-concurrency")
  @Type("integer")
  @Optional
  public void setIoConcurrency(Long paramLong)
  {
    this.ioConcurrency = paramLong;
  }

  public Long getIoConcurrency()
  {
    return this.ioConcurrency;
  }

  public PrioritySet withIoConcurrency(Long paramLong)
  {
    this.ioConcurrency = paramLong;
    return this;
  }

  @Input("nvlog-cp-completion")
  @Type("string")
  @Optional
  public void setNvlogCpCompletion(String paramString)
  {
    this.nvlogCpCompletion = paramString;
  }

  public String getNvlogCpCompletion()
  {
    return this.nvlogCpCompletion;
  }

  public PrioritySet withNvlogCpCompletion(String paramString)
  {
    this.nvlogCpCompletion = paramString;
    return this;
  }

  @Input("nvlog-cp-threshold")
  @Type("integer")
  @Optional
  @Range(min="1", max="100")
  public void setNvlogCpThreshold(Integer paramInteger)
  {
    this.nvlogCpThreshold = paramInteger;
  }

  public Integer getNvlogCpThreshold()
  {
    return this.nvlogCpThreshold;
  }

  public PrioritySet withNvlogCpThreshold(Integer paramInteger)
  {
    this.nvlogCpThreshold = paramInteger;
    return this;
  }
}