package com.netapp.filer.priority;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("priority-set-default")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
@Family({"ontap-c", "ontap-d"})
public class PrioritySetDefault
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long level;
  public Long nvlogLimit;
  public Long system;
  public Long systemReadLimit;
  public Long userReadLimit;

  @Input("level")
  @Type("integer")
  @Optional
  public void setLevel(Long paramLong)
  {
    this.level = paramLong;
  }

  public Long getLevel()
  {
    return this.level;
  }

  public PrioritySetDefault withLevel(Long paramLong)
  {
    this.level = paramLong;
    return this;
  }

  @Input("nvlog-limit")
  @Type("integer")
  @Optional
  public void setNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
  }

  public Long getNvlogLimit()
  {
    return this.nvlogLimit;
  }

  public PrioritySetDefault withNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
    return this;
  }

  @Input("system")
  @Type("integer")
  @Optional
  public void setSystem(Long paramLong)
  {
    this.system = paramLong;
  }

  public Long getSystem()
  {
    return this.system;
  }

  public PrioritySetDefault withSystem(Long paramLong)
  {
    this.system = paramLong;
    return this;
  }

  @Input("system-read-limit")
  @Type("integer")
  @Optional
  public void setSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
  }

  public Long getSystemReadLimit()
  {
    return this.systemReadLimit;
  }

  public PrioritySetDefault withSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
    return this;
  }

  @Input("user-read-limit")
  @Type("integer")
  @Optional
  public void setUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
  }

  public Long getUserReadLimit()
  {
    return this.userReadLimit;
  }

  public PrioritySetDefault withUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
    return this;
  }
}