package com.netapp.filer.priority;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("priority-volume-info")
public class PriorityVolumeInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String cachePolicy;
  public Long level;
  public Long nvlogLimit;
  public String service;
  public Long system;
  public Long systemReadLimit;
  public Long userReadLimit;
  public String volume;

  @Element("cache-policy")
  @Type("string")
  public void setCachePolicy(String paramString)
  {
    this.cachePolicy = paramString;
  }

  public String getCachePolicy()
  {
    return this.cachePolicy;
  }

  public PriorityVolumeInfo withCachePolicy(String paramString)
  {
    this.cachePolicy = paramString;
    return this;
  }

  @Element("level")
  @Type("integer")
  public void setLevel(Long paramLong)
  {
    this.level = paramLong;
  }

  public Long getLevel()
  {
    return this.level;
  }

  public PriorityVolumeInfo withLevel(Long paramLong)
  {
    this.level = paramLong;
    return this;
  }

  @Element("nvlog-limit")
  @Type("integer")
  public void setNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
  }

  public Long getNvlogLimit()
  {
    return this.nvlogLimit;
  }

  public PriorityVolumeInfo withNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
    return this;
  }

  @Element("service")
  @Type("string")
  public void setService(String paramString)
  {
    this.service = paramString;
  }

  public String getService()
  {
    return this.service;
  }

  public PriorityVolumeInfo withService(String paramString)
  {
    this.service = paramString;
    return this;
  }

  @Element("system")
  @Type("integer")
  public void setSystem(Long paramLong)
  {
    this.system = paramLong;
  }

  public Long getSystem()
  {
    return this.system;
  }

  public PriorityVolumeInfo withSystem(Long paramLong)
  {
    this.system = paramLong;
    return this;
  }

  @Element("system-read-limit")
  @Type("integer")
  public void setSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
  }

  public Long getSystemReadLimit()
  {
    return this.systemReadLimit;
  }

  public PriorityVolumeInfo withSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
    return this;
  }

  @Element("user-read-limit")
  @Type("integer")
  public void setUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
  }

  public Long getUserReadLimit()
  {
    return this.userReadLimit;
  }

  public PriorityVolumeInfo withUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
    return this;
  }

  @Element("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public PriorityVolumeInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}