package com.netapp.filer.qtree;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("qtree-list")
@Status(StatusEnum.PUBLIC)
@Errno({"EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class QtreeList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<QtreeInfo> qtrees;
  public String volume;

  @Output("qtrees")
  @Type("qtree-info[]")
  public void setQtrees(List<QtreeInfo> paramList)
  {
    this.qtrees = paramList;
  }

  public List<QtreeInfo> getQtrees()
  {
    return this.qtrees;
  }

  public QtreeList withQtrees(List<QtreeInfo> paramList)
  {
    this.qtrees = paramList;
    return this;
  }

  public QtreeList withQtrees(QtreeInfo[] paramArrayOfQtreeInfo)
  {
    this.qtrees = new ArrayList(Arrays.asList(paramArrayOfQtreeInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QtreeList withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}