package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("quota-delete-entry")
@Status(StatusEnum.PUBLIC)
@Errno({"EQUOTADIRECTIVE", "EQUOTAINVALID"})
@Family({"ontap-c", "vfiler"})
public class QuotaDeleteEntry
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String qtree;
  public String quotaTarget;
  public String quotaType;
  public String volume;

  @Input("qtree")
  @Type("string")
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QuotaDeleteEntry withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }

  @Input("quota-target")
  @Type("string")
  public void setQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
  }

  public String getQuotaTarget()
  {
    return this.quotaTarget;
  }

  public QuotaDeleteEntry withQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
    return this;
  }

  @Input("quota-type")
  @Type("string")
  public void setQuotaType(String paramString)
  {
    this.quotaType = paramString;
  }

  public String getQuotaType()
  {
    return this.quotaType;
  }

  public QuotaDeleteEntry withQuotaType(String paramString)
  {
    this.quotaType = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaDeleteEntry withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}