package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("quota-entry")
public class QuotaEntry
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String line;
  public String qtree;
  public QuotaError quotaError;
  public String quotaTarget;
  public String quotaType;
  public String volume;

  @Element("line")
  @Type("string")
  @Optional
  public void setLine(String paramString)
  {
    this.line = paramString;
  }

  public String getLine()
  {
    return this.line;
  }

  public QuotaEntry withLine(String paramString)
  {
    this.line = paramString;
    return this;
  }

  @Element("qtree")
  @Type("string")
  @Optional
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QuotaEntry withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }

  @Element("quota-error")
  @Type("quota-error")
  @Optional
  public void setQuotaError(QuotaError paramQuotaError)
  {
    this.quotaError = paramQuotaError;
  }

  public QuotaError getQuotaError()
  {
    return this.quotaError;
  }

  public QuotaEntry withQuotaError(QuotaError paramQuotaError)
  {
    this.quotaError = paramQuotaError;
    return this;
  }

  @Element("quota-target")
  @Type("string")
  @Optional
  public void setQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
  }

  public String getQuotaTarget()
  {
    return this.quotaTarget;
  }

  public QuotaEntry withQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
    return this;
  }

  @Element("quota-type")
  @Type("string")
  @Optional
  public void setQuotaType(String paramString)
  {
    this.quotaType = paramString;
  }

  public String getQuotaType()
  {
    return this.quotaType;
  }

  public QuotaEntry withQuotaType(String paramString)
  {
    this.quotaType = paramString;
    return this;
  }

  @Element("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaEntry withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}