package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("quota-list-entries-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class QuotaListEntriesIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public List<QuotaEntry> quotaEntries;
  public Long records;
  public String tag;

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public QuotaListEntriesIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("quota-entries")
  @Type("quota-entry[]")
  @Optional
  public void setQuotaEntries(List<QuotaEntry> paramList)
  {
    this.quotaEntries = paramList;
  }

  public List<QuotaEntry> getQuotaEntries()
  {
    return this.quotaEntries;
  }

  public QuotaListEntriesIterNext withQuotaEntries(List<QuotaEntry> paramList)
  {
    this.quotaEntries = paramList;
    return this;
  }

  public QuotaListEntriesIterNext withQuotaEntries(QuotaEntry[] paramArrayOfQuotaEntry)
  {
    this.quotaEntries = new ArrayList(Arrays.asList(paramArrayOfQuotaEntry));
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public QuotaListEntriesIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public QuotaListEntriesIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}