package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("quota-modify-entry")
@Status(StatusEnum.PUBLIC)
@Errno({"EQUOTADIRECTIVE", "EQUOTADOESNOTEXIST", "EQUOTAINVALID"})
@Family({"ontap-c", "vfiler"})
public class QuotaModifyEntry
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String diskLimit;
  public String fileLimit;
  public String qtree;
  public String quotaTarget;
  public String quotaType;
  public String softDiskLimit;
  public String softFileLimit;
  public String threshold;
  public String volume;

  @Input("disk-limit")
  @Type("string")
  @Optional
  public void setDiskLimit(String paramString)
  {
    this.diskLimit = paramString;
  }

  public String getDiskLimit()
  {
    return this.diskLimit;
  }

  public QuotaModifyEntry withDiskLimit(String paramString)
  {
    this.diskLimit = paramString;
    return this;
  }

  @Input("file-limit")
  @Type("string")
  @Optional
  public void setFileLimit(String paramString)
  {
    this.fileLimit = paramString;
  }

  public String getFileLimit()
  {
    return this.fileLimit;
  }

  public QuotaModifyEntry withFileLimit(String paramString)
  {
    this.fileLimit = paramString;
    return this;
  }

  @Input("qtree")
  @Type("string")
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QuotaModifyEntry withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }

  @Input("quota-target")
  @Type("string")
  public void setQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
  }

  public String getQuotaTarget()
  {
    return this.quotaTarget;
  }

  public QuotaModifyEntry withQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
    return this;
  }

  @Input("quota-type")
  @Type("string")
  public void setQuotaType(String paramString)
  {
    this.quotaType = paramString;
  }

  public String getQuotaType()
  {
    return this.quotaType;
  }

  public QuotaModifyEntry withQuotaType(String paramString)
  {
    this.quotaType = paramString;
    return this;
  }

  @Input("soft-disk-limit")
  @Type("string")
  @Optional
  public void setSoftDiskLimit(String paramString)
  {
    this.softDiskLimit = paramString;
  }

  public String getSoftDiskLimit()
  {
    return this.softDiskLimit;
  }

  public QuotaModifyEntry withSoftDiskLimit(String paramString)
  {
    this.softDiskLimit = paramString;
    return this;
  }

  @Input("soft-file-limit")
  @Type("string")
  @Optional
  public void setSoftFileLimit(String paramString)
  {
    this.softFileLimit = paramString;
  }

  public String getSoftFileLimit()
  {
    return this.softFileLimit;
  }

  public QuotaModifyEntry withSoftFileLimit(String paramString)
  {
    this.softFileLimit = paramString;
    return this;
  }

  @Input("threshold")
  @Type("string")
  @Optional
  public void setThreshold(String paramString)
  {
    this.threshold = paramString;
  }

  public String getThreshold()
  {
    return this.threshold;
  }

  public QuotaModifyEntry withThreshold(String paramString)
  {
    this.threshold = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaModifyEntry withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}