package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("quota-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class QuotaStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long percentComplete;
  public String quotaErrors;
  public String reason;
  public String status;
  public String substatus;
  public String volume;

  @Output("percent-complete")
  @Type("integer")
  @Optional
  public void setPercentComplete(Long paramLong)
  {
    this.percentComplete = paramLong;
  }

  public Long getPercentComplete()
  {
    return this.percentComplete;
  }

  public QuotaStatus withPercentComplete(Long paramLong)
  {
    this.percentComplete = paramLong;
    return this;
  }

  @Output("quota-errors")
  @Type("string")
  @Optional
  public void setQuotaErrors(String paramString)
  {
    this.quotaErrors = paramString;
  }

  public String getQuotaErrors()
  {
    return this.quotaErrors;
  }

  public QuotaStatus withQuotaErrors(String paramString)
  {
    this.quotaErrors = paramString;
    return this;
  }

  @Output("reason")
  @Type("string")
  @Optional
  public void setReason(String paramString)
  {
    this.reason = paramString;
  }

  public String getReason()
  {
    return this.reason;
  }

  public QuotaStatus withReason(String paramString)
  {
    this.reason = paramString;
    return this;
  }

  @Output("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public QuotaStatus withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Output("substatus")
  @Type("string")
  public void setSubstatus(String paramString)
  {
    this.substatus = paramString;
  }

  public String getSubstatus()
  {
    return this.substatus;
  }

  public QuotaStatus withSubstatus(String paramString)
  {
    this.substatus = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaStatus withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}