package com.netapp.filer.rdbha;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("rdb-ha-enter-ha-config")
@Status(StatusEnum.INTERNAL)
@Errno({"ERDB_HA_CONFIG_UUID_MISMATCH", "ERDB_HA_ID_MISMATCH", "ERDB_HA_IO_ERROR", "ERDB_HA_SF_NOT_INITIALIZED"})
@Family({"ontap-d"})
public class RdbHaEnterHaConfig
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String clusterUuid;
  public Long configState;
  public Long localId;
  public Long partnerId;

  @Input("cluster-uuid")
  @Type("string")
  public void setClusterUuid(String paramString)
  {
    this.clusterUuid = paramString;
  }

  public String getClusterUuid()
  {
    return this.clusterUuid;
  }

  public RdbHaEnterHaConfig withClusterUuid(String paramString)
  {
    this.clusterUuid = paramString;
    return this;
  }

  @Output("config-state")
  @Type("integer")
  public void setConfigState(Long paramLong)
  {
    this.configState = paramLong;
  }

  public Long getConfigState()
  {
    return this.configState;
  }

  public RdbHaEnterHaConfig withConfigState(Long paramLong)
  {
    this.configState = paramLong;
    return this;
  }

  @Input("local-id")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setLocalId(Long paramLong)
  {
    this.localId = paramLong;
  }

  public Long getLocalId()
  {
    return this.localId;
  }

  public RdbHaEnterHaConfig withLocalId(Long paramLong)
  {
    this.localId = paramLong;
    return this;
  }

  @Input("partner-id")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setPartnerId(Long paramLong)
  {
    this.partnerId = paramLong;
  }

  public Long getPartnerId()
  {
    return this.partnerId;
  }

  public RdbHaEnterHaConfig withPartnerId(Long paramLong)
  {
    this.partnerId = paramLong;
    return this;
  }
}