package com.netapp.filer.rdbha;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("rdb-ha-set-slot-uuid")
@Status(StatusEnum.INTERNAL)
@Errno({"ERDB_HA_CONFIG_UUID_MISMATCH", "ERDB_HA_INVALID_SLOT", "ERDB_HA_IO_ERROR", "ERDB_HA_NOT_CONFIGURED", "ERDB_HA_OLD_COOKIE"})
@Family({"ontap-d"})
public class RdbHaSetSlotUuid
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger cookie;
  public BigInteger currentCookie;
  public Integer slot;
  public String uuid;

  @Input("cookie")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCookie(BigInteger paramBigInteger)
  {
    this.cookie = paramBigInteger;
  }

  public BigInteger getCookie()
  {
    return this.cookie;
  }

  public RdbHaSetSlotUuid withCookie(BigInteger paramBigInteger)
  {
    this.cookie = paramBigInteger;
    return this;
  }

  @Output("current-cookie")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCurrentCookie(BigInteger paramBigInteger)
  {
    this.currentCookie = paramBigInteger;
  }

  public BigInteger getCurrentCookie()
  {
    return this.currentCookie;
  }

  public RdbHaSetSlotUuid withCurrentCookie(BigInteger paramBigInteger)
  {
    this.currentCookie = paramBigInteger;
    return this;
  }

  @Input("slot")
  @Type("integer")
  @Range(min="0", max="12")
  public void setSlot(Integer paramInteger)
  {
    this.slot = paramInteger;
  }

  public Integer getSlot()
  {
    return this.slot;
  }

  public RdbHaSetSlotUuid withSlot(Integer paramInteger)
  {
    this.slot = paramInteger;
    return this;
  }

  @Input("uuid")
  @Type("string")
  public void setUuid(String paramString)
  {
    this.uuid = paramString;
  }

  public String getUuid()
  {
    return this.uuid;
  }

  public RdbHaSetSlotUuid withUuid(String paramString)
  {
    this.uuid = paramString;
    return this;
  }
}