package com.netapp.filer.reallocate;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("reallocate-job-info")
public class ReallocateJobInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String flags;
  public String interval;
  public Long layoutFactor;
  public String measureLogfile;
  public Boolean measureOnly;
  public String path;
  public String scanDetail;
  public String schedule;
  public String state;
  public Long threshold;

  @Element("flags")
  @Type("string")
  @Optional
  public void setFlags(String paramString)
  {
    this.flags = paramString;
  }

  public String getFlags()
  {
    return this.flags;
  }

  public ReallocateJobInfo withFlags(String paramString)
  {
    this.flags = paramString;
    return this;
  }

  @Element("interval")
  @Type("string")
  public void setInterval(String paramString)
  {
    this.interval = paramString;
  }

  public String getInterval()
  {
    return this.interval;
  }

  public ReallocateJobInfo withInterval(String paramString)
  {
    this.interval = paramString;
    return this;
  }

  @Element("layout-factor")
  @Type("integer")
  public void setLayoutFactor(Long paramLong)
  {
    this.layoutFactor = paramLong;
  }

  public Long getLayoutFactor()
  {
    return this.layoutFactor;
  }

  public ReallocateJobInfo withLayoutFactor(Long paramLong)
  {
    this.layoutFactor = paramLong;
    return this;
  }

  @Element("measure-logfile")
  @Type("string")
  @Optional
  public void setMeasureLogfile(String paramString)
  {
    this.measureLogfile = paramString;
  }

  public String getMeasureLogfile()
  {
    return this.measureLogfile;
  }

  public ReallocateJobInfo withMeasureLogfile(String paramString)
  {
    this.measureLogfile = paramString;
    return this;
  }

  @Element("measure-only")
  @Type("boolean")
  public void setMeasureOnly(Boolean paramBoolean)
  {
    this.measureOnly = paramBoolean;
  }

  public Boolean isMeasureOnly()
  {
    return this.measureOnly;
  }

  public ReallocateJobInfo withMeasureOnly(Boolean paramBoolean)
  {
    this.measureOnly = paramBoolean;
    return this;
  }

  @Element("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public ReallocateJobInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("scan-detail")
  @Type("string")
  public void setScanDetail(String paramString)
  {
    this.scanDetail = paramString;
  }

  public String getScanDetail()
  {
    return this.scanDetail;
  }

  public ReallocateJobInfo withScanDetail(String paramString)
  {
    this.scanDetail = paramString;
    return this;
  }

  @Element("schedule")
  @Type("string")
  public void setSchedule(String paramString)
  {
    this.schedule = paramString;
  }

  public String getSchedule()
  {
    return this.schedule;
  }

  public ReallocateJobInfo withSchedule(String paramString)
  {
    this.schedule = paramString;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public ReallocateJobInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("threshold")
  @Type("integer")
  @Optional
  public void setThreshold(Long paramLong)
  {
    this.threshold = paramLong;
  }

  public Long getThreshold()
  {
    return this.threshold;
  }

  public ReallocateJobInfo withThreshold(Long paramLong)
  {
    this.threshold = paramLong;
    return this;
  }
}