package com.netapp.filer.reallocate;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("reallocate-measure")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EREALLOCATE_BADPATH", "EREALLOCATE_BADVOL", "EREALLOCATE_EXISTS", "EREALLOCATE_NOMEM", "EREALLOCATE_OFF", "EREALLOCATE_READONLY"})
public class ReallocateMeasure
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String interval;
  public String measureLogfile;
  public String path;
  public Boolean runOnce;
  public Integer threshold;

  @Input("interval")
  @Type("string")
  @Optional
  public void setInterval(String paramString)
  {
    this.interval = paramString;
  }

  public String getInterval()
  {
    return this.interval;
  }

  public ReallocateMeasure withInterval(String paramString)
  {
    this.interval = paramString;
    return this;
  }

  @Input("measure-logfile")
  @Type("string")
  @Optional
  public void setMeasureLogfile(String paramString)
  {
    this.measureLogfile = paramString;
  }

  public String getMeasureLogfile()
  {
    return this.measureLogfile;
  }

  public ReallocateMeasure withMeasureLogfile(String paramString)
  {
    this.measureLogfile = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public ReallocateMeasure withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("run-once")
  @Type("boolean")
  @Optional
  public void setRunOnce(Boolean paramBoolean)
  {
    this.runOnce = paramBoolean;
  }

  public Boolean isRunOnce()
  {
    return this.runOnce;
  }

  public ReallocateMeasure withRunOnce(Boolean paramBoolean)
  {
    this.runOnce = paramBoolean;
    return this;
  }

  @Input("threshold")
  @Type("integer")
  @Optional
  @Range(min="3", max="10")
  public void setThreshold(Integer paramInteger)
  {
    this.threshold = paramInteger;
  }

  public Integer getThreshold()
  {
    return this.threshold;
  }

  public ReallocateMeasure withThreshold(Integer paramInteger)
  {
    this.threshold = paramInteger;
    return this;
  }
}