package com.netapp.filer.reallocate;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("reallocate-set-schedule")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EREALLOCATE_BADPATH", "EREALLOCATE_BADSCHED", "EREALLOCATE_BADVOL", "EREALLOCATE_NOMEM", "EREALLOCATE_NOSCAN", "EREALLOCATE_OFF"})
public class ReallocateSetSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String schedule;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public ReallocateSetSchedule withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("schedule")
  @Type("string")
  public void setSchedule(String paramString)
  {
    this.schedule = paramString;
  }

  public String getSchedule()
  {
    return this.schedule;
  }

  public ReallocateSetSchedule withSchedule(String paramString)
  {
    this.schedule = paramString;
    return this;
  }
}