package com.netapp.filer.reallocate;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("reallocate-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EREALLOCATE_BADPATH", "EREALLOCATE_BADVOL", "EREALLOCATE_EXISTS", "EREALLOCATE_NOMEM", "EREALLOCATE_OFF", "EREALLOCATE_READONLY"})
public class ReallocateStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean full;
  public String interval;
  public Boolean aggregate;
  public Boolean noCheck;
  public String path;
  public Boolean preserveLogicalBno;
  public Boolean runOnce;
  public Integer threshold;

  @Input("full")
  @Type("boolean")
  @Optional
  public void setFull(Boolean paramBoolean)
  {
    this.full = paramBoolean;
  }

  public Boolean isFull()
  {
    return this.full;
  }

  public ReallocateStart withFull(Boolean paramBoolean)
  {
    this.full = paramBoolean;
    return this;
  }

  @Input("interval")
  @Type("string")
  @Optional
  public void setInterval(String paramString)
  {
    this.interval = paramString;
  }

  public String getInterval()
  {
    return this.interval;
  }

  public ReallocateStart withInterval(String paramString)
  {
    this.interval = paramString;
    return this;
  }

  @Input("is-aggregate")
  @Type("boolean")
  @Optional
  public void setAggregate(Boolean paramBoolean)
  {
    this.aggregate = paramBoolean;
  }

  public Boolean isAggregate()
  {
    return this.aggregate;
  }

  public ReallocateStart withAggregate(Boolean paramBoolean)
  {
    this.aggregate = paramBoolean;
    return this;
  }

  @Input("no-check")
  @Type("boolean")
  @Optional
  public void setNoCheck(Boolean paramBoolean)
  {
    this.noCheck = paramBoolean;
  }

  public Boolean isNoCheck()
  {
    return this.noCheck;
  }

  public ReallocateStart withNoCheck(Boolean paramBoolean)
  {
    this.noCheck = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public ReallocateStart withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("preserve-logical-bno")
  @Type("boolean")
  @Optional
  public void setPreserveLogicalBno(Boolean paramBoolean)
  {
    this.preserveLogicalBno = paramBoolean;
  }

  public Boolean isPreserveLogicalBno()
  {
    return this.preserveLogicalBno;
  }

  public ReallocateStart withPreserveLogicalBno(Boolean paramBoolean)
  {
    this.preserveLogicalBno = paramBoolean;
    return this;
  }

  @Input("run-once")
  @Type("boolean")
  @Optional
  public void setRunOnce(Boolean paramBoolean)
  {
    this.runOnce = paramBoolean;
  }

  public Boolean isRunOnce()
  {
    return this.runOnce;
  }

  public ReallocateStart withRunOnce(Boolean paramBoolean)
  {
    this.runOnce = paramBoolean;
    return this;
  }

  @Input("threshold")
  @Type("integer")
  @Optional
  @Range(min="3", max="10")
  public void setThreshold(Integer paramInteger)
  {
    this.threshold = paramInteger;
  }

  public Integer getThreshold()
  {
    return this.threshold;
  }

  public ReallocateStart withThreshold(Integer paramInteger)
  {
    this.threshold = paramInteger;
    return this;
  }
}