package com.netapp.filer.registry;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("registry-pair")
public class RegistryPair
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String registryKey;
  public String registryValue;

  @Element("registry-key")
  @Type("registry-key-string")
  public void setRegistryKey(String paramString)
  {
    this.registryKey = paramString;
  }

  public String getRegistryKey()
  {
    return this.registryKey;
  }

  public RegistryPair withRegistryKey(String paramString)
  {
    this.registryKey = paramString;
    return this;
  }

  @Element("registry-value")
  @Type("registry-value-string")
  @Optional
  public void setRegistryValue(String paramString)
  {
    this.registryValue = paramString;
  }

  public String getRegistryValue()
  {
    return this.registryValue;
  }

  public RegistryPair withRegistryValue(String paramString)
  {
    this.registryValue = paramString;
    return this;
  }
}