package com.netapp.filer.rsh;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("rsh-session-info")
public class RshSessionInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String auditLog;
  public String auditShell;
  public String command;
  public Date commandTime;
  public Date connectionTime;
  public Date getHostTime;
  public String ipAddr;
  public Long sessionId;
  public String vfiler;

  @Element("audit-log")
  @Type("string")
  @Optional
  public void setAuditLog(String paramString)
  {
    this.auditLog = paramString;
  }

  public String getAuditLog()
  {
    return this.auditLog;
  }

  public RshSessionInfo withAuditLog(String paramString)
  {
    this.auditLog = paramString;
    return this;
  }

  @Element("audit-shell")
  @Type("string")
  @Optional
  public void setAuditShell(String paramString)
  {
    this.auditShell = paramString;
  }

  public String getAuditShell()
  {
    return this.auditShell;
  }

  public RshSessionInfo withAuditShell(String paramString)
  {
    this.auditShell = paramString;
    return this;
  }

  @Element("command")
  @Type("string")
  public void setCommand(String paramString)
  {
    this.command = paramString;
  }

  public String getCommand()
  {
    return this.command;
  }

  public RshSessionInfo withCommand(String paramString)
  {
    this.command = paramString;
    return this;
  }

  @Element("command-time")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setCommandTime(Date paramDate)
  {
    this.commandTime = paramDate;
  }

  public Date getCommandTime()
  {
    return this.commandTime;
  }

  public RshSessionInfo withCommandTime(Date paramDate)
  {
    this.commandTime = paramDate;
    return this;
  }

  @Element("connection-time")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setConnectionTime(Date paramDate)
  {
    this.connectionTime = paramDate;
  }

  public Date getConnectionTime()
  {
    return this.connectionTime;
  }

  public RshSessionInfo withConnectionTime(Date paramDate)
  {
    this.connectionTime = paramDate;
    return this;
  }

  @Element("get-host-time")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setGetHostTime(Date paramDate)
  {
    this.getHostTime = paramDate;
  }

  public Date getGetHostTime()
  {
    return this.getHostTime;
  }

  public RshSessionInfo withGetHostTime(Date paramDate)
  {
    this.getHostTime = paramDate;
    return this;
  }

  @Element("ip-addr")
  @Type("string")
  public void setIpAddr(String paramString)
  {
    this.ipAddr = paramString;
  }

  public String getIpAddr()
  {
    return this.ipAddr;
  }

  public RshSessionInfo withIpAddr(String paramString)
  {
    this.ipAddr = paramString;
    return this;
  }

  @Element("session-id")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setSessionId(Long paramLong)
  {
    this.sessionId = paramLong;
  }

  public Long getSessionId()
  {
    return this.sessionId;
  }

  public RshSessionInfo withSessionId(Long paramLong)
  {
    this.sessionId = paramLong;
    return this;
  }

  @Element("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public RshSessionInfo withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}