package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("eurologic-specific-info")
public class EurologicSpecificInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String eurologicApplicationVersion;
  public String eurologicBackplaneByte;
  public String eurologicBackplaneFunction;
  public String eurologicBackplaneId;
  public String eurologicCabinetId;
  public String eurologicKernelVersion;
  public String eurologicSerialNo;

  @Element("eurologic-application-version")
  @Type("string")
  public void setEurologicApplicationVersion(String paramString)
  {
    this.eurologicApplicationVersion = paramString;
  }

  public String getEurologicApplicationVersion()
  {
    return this.eurologicApplicationVersion;
  }

  public EurologicSpecificInfo withEurologicApplicationVersion(String paramString)
  {
    this.eurologicApplicationVersion = paramString;
    return this;
  }

  @Element("eurologic-backplane-byte")
  @Type("string")
  public void setEurologicBackplaneByte(String paramString)
  {
    this.eurologicBackplaneByte = paramString;
  }

  public String getEurologicBackplaneByte()
  {
    return this.eurologicBackplaneByte;
  }

  public EurologicSpecificInfo withEurologicBackplaneByte(String paramString)
  {
    this.eurologicBackplaneByte = paramString;
    return this;
  }

  @Element("eurologic-backplane-function")
  @Type("string")
  public void setEurologicBackplaneFunction(String paramString)
  {
    this.eurologicBackplaneFunction = paramString;
  }

  public String getEurologicBackplaneFunction()
  {
    return this.eurologicBackplaneFunction;
  }

  public EurologicSpecificInfo withEurologicBackplaneFunction(String paramString)
  {
    this.eurologicBackplaneFunction = paramString;
    return this;
  }

  @Element("eurologic-backplane-id")
  @Type("string")
  public void setEurologicBackplaneId(String paramString)
  {
    this.eurologicBackplaneId = paramString;
  }

  public String getEurologicBackplaneId()
  {
    return this.eurologicBackplaneId;
  }

  public EurologicSpecificInfo withEurologicBackplaneId(String paramString)
  {
    this.eurologicBackplaneId = paramString;
    return this;
  }

  @Element("eurologic-cabinet-id")
  @Type("string")
  public void setEurologicCabinetId(String paramString)
  {
    this.eurologicCabinetId = paramString;
  }

  public String getEurologicCabinetId()
  {
    return this.eurologicCabinetId;
  }

  public EurologicSpecificInfo withEurologicCabinetId(String paramString)
  {
    this.eurologicCabinetId = paramString;
    return this;
  }

  @Element("eurologic-kernel-version")
  @Type("string")
  public void setEurologicKernelVersion(String paramString)
  {
    this.eurologicKernelVersion = paramString;
  }

  public String getEurologicKernelVersion()
  {
    return this.eurologicKernelVersion;
  }

  public EurologicSpecificInfo withEurologicKernelVersion(String paramString)
  {
    this.eurologicKernelVersion = paramString;
    return this;
  }

  @Element("eurologic-serial-no")
  @Type("string")
  @Optional
  public void setEurologicSerialNo(String paramString)
  {
    this.eurologicSerialNo = paramString;
  }

  public String getEurologicSerialNo()
  {
    return this.eurologicSerialNo;
  }

  public EurologicSpecificInfo withEurologicSerialNo(String paramString)
  {
    this.eurologicSerialNo = paramString;
    return this;
  }
}