package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("shelf-environ-shelf-info")
public class ShelfEnvironShelfInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public AriodataSpecificInfo ariodataSpecificInfo;
  public String attachedShelfBayList;
  public Long controlWritesAttempted;
  public Long controlWritesFailed;
  public String controllerDevicePath;
  public Long controllerDevicePathPort;
  public List<CoolingElementInfo> coolingElementList;
  public List<EsElectronicsInfo> esElectronicsList;
  public EurologicSpecificInfo eurologicSpecificInfo;
  public Boolean shelfMonitorEnabled;
  public List<PowerSupplyInfo> powerSupplyList;
  public SesGenericInfo sesGenericInfo;
  public Integer shelfId;
  public String shelfStatus;
  public String shelfType;
  public Long statusReadsAttempted;
  public Long statusReadsFailed;
  public List<TempSensorInfo> tempSensorList;
  public XyratexSpecificInfo xyratexSpecificInfo;

  @Element("ariodata-specific-info")
  @Type("ariodata-specific-info")
  @Optional
  public void setAriodataSpecificInfo(AriodataSpecificInfo paramAriodataSpecificInfo)
  {
    this.ariodataSpecificInfo = paramAriodataSpecificInfo;
  }

  public AriodataSpecificInfo getAriodataSpecificInfo()
  {
    return this.ariodataSpecificInfo;
  }

  public ShelfEnvironShelfInfo withAriodataSpecificInfo(AriodataSpecificInfo paramAriodataSpecificInfo)
  {
    this.ariodataSpecificInfo = paramAriodataSpecificInfo;
    return this;
  }

  @Element("attached-shelf-bay-list")
  @Type("string")
  public void setAttachedShelfBayList(String paramString)
  {
    this.attachedShelfBayList = paramString;
  }

  public String getAttachedShelfBayList()
  {
    return this.attachedShelfBayList;
  }

  public ShelfEnvironShelfInfo withAttachedShelfBayList(String paramString)
  {
    this.attachedShelfBayList = paramString;
    return this;
  }

  @Element("control-writes-attempted")
  @Type("integer")
  public void setControlWritesAttempted(Long paramLong)
  {
    this.controlWritesAttempted = paramLong;
  }

  public Long getControlWritesAttempted()
  {
    return this.controlWritesAttempted;
  }

  public ShelfEnvironShelfInfo withControlWritesAttempted(Long paramLong)
  {
    this.controlWritesAttempted = paramLong;
    return this;
  }

  @Element("control-writes-failed")
  @Type("integer")
  public void setControlWritesFailed(Long paramLong)
  {
    this.controlWritesFailed = paramLong;
  }

  public Long getControlWritesFailed()
  {
    return this.controlWritesFailed;
  }

  public ShelfEnvironShelfInfo withControlWritesFailed(Long paramLong)
  {
    this.controlWritesFailed = paramLong;
    return this;
  }

  @Element("controller-device-path")
  @Type("string")
  public void setControllerDevicePath(String paramString)
  {
    this.controllerDevicePath = paramString;
  }

  public String getControllerDevicePath()
  {
    return this.controllerDevicePath;
  }

  public ShelfEnvironShelfInfo withControllerDevicePath(String paramString)
  {
    this.controllerDevicePath = paramString;
    return this;
  }

  @Element("controller-device-path-port")
  @Type("integer")
  @Optional
  public void setControllerDevicePathPort(Long paramLong)
  {
    this.controllerDevicePathPort = paramLong;
  }

  public Long getControllerDevicePathPort()
  {
    return this.controllerDevicePathPort;
  }

  public ShelfEnvironShelfInfo withControllerDevicePathPort(Long paramLong)
  {
    this.controllerDevicePathPort = paramLong;
    return this;
  }

  @Element("cooling-element-list")
  @Type("cooling-element-info[]")
  @Optional
  public void setCoolingElementList(List<CoolingElementInfo> paramList)
  {
    this.coolingElementList = paramList;
  }

  public List<CoolingElementInfo> getCoolingElementList()
  {
    return this.coolingElementList;
  }

  public ShelfEnvironShelfInfo withCoolingElementList(List<CoolingElementInfo> paramList)
  {
    this.coolingElementList = paramList;
    return this;
  }

  public ShelfEnvironShelfInfo withCoolingElementList(CoolingElementInfo[] paramArrayOfCoolingElementInfo)
  {
    this.coolingElementList = new ArrayList(Arrays.asList(paramArrayOfCoolingElementInfo));
    return this;
  }

  @Element("es-electronics-list")
  @Type("es-electronics-info[]")
  @Optional
  public void setEsElectronicsList(List<EsElectronicsInfo> paramList)
  {
    this.esElectronicsList = paramList;
  }

  public List<EsElectronicsInfo> getEsElectronicsList()
  {
    return this.esElectronicsList;
  }

  public ShelfEnvironShelfInfo withEsElectronicsList(List<EsElectronicsInfo> paramList)
  {
    this.esElectronicsList = paramList;
    return this;
  }

  public ShelfEnvironShelfInfo withEsElectronicsList(EsElectronicsInfo[] paramArrayOfEsElectronicsInfo)
  {
    this.esElectronicsList = new ArrayList(Arrays.asList(paramArrayOfEsElectronicsInfo));
    return this;
  }

  @Element("eurologic-specific-info")
  @Type("eurologic-specific-info")
  @Optional
  public void setEurologicSpecificInfo(EurologicSpecificInfo paramEurologicSpecificInfo)
  {
    this.eurologicSpecificInfo = paramEurologicSpecificInfo;
  }

  public EurologicSpecificInfo getEurologicSpecificInfo()
  {
    return this.eurologicSpecificInfo;
  }

  public ShelfEnvironShelfInfo withEurologicSpecificInfo(EurologicSpecificInfo paramEurologicSpecificInfo)
  {
    this.eurologicSpecificInfo = paramEurologicSpecificInfo;
    return this;
  }

  @Element("is-shelf-monitor-enabled")
  @Type("boolean")
  public void setShelfMonitorEnabled(Boolean paramBoolean)
  {
    this.shelfMonitorEnabled = paramBoolean;
  }

  public Boolean isShelfMonitorEnabled()
  {
    return this.shelfMonitorEnabled;
  }

  public ShelfEnvironShelfInfo withShelfMonitorEnabled(Boolean paramBoolean)
  {
    this.shelfMonitorEnabled = paramBoolean;
    return this;
  }

  @Element("power-supply-list")
  @Type("power-supply-info[]")
  @Optional
  public void setPowerSupplyList(List<PowerSupplyInfo> paramList)
  {
    this.powerSupplyList = paramList;
  }

  public List<PowerSupplyInfo> getPowerSupplyList()
  {
    return this.powerSupplyList;
  }

  public ShelfEnvironShelfInfo withPowerSupplyList(List<PowerSupplyInfo> paramList)
  {
    this.powerSupplyList = paramList;
    return this;
  }

  public ShelfEnvironShelfInfo withPowerSupplyList(PowerSupplyInfo[] paramArrayOfPowerSupplyInfo)
  {
    this.powerSupplyList = new ArrayList(Arrays.asList(paramArrayOfPowerSupplyInfo));
    return this;
  }

  @Element("ses-generic-info")
  @Type("ses-generic-info")
  public void setSesGenericInfo(SesGenericInfo paramSesGenericInfo)
  {
    this.sesGenericInfo = paramSesGenericInfo;
  }

  public SesGenericInfo getSesGenericInfo()
  {
    return this.sesGenericInfo;
  }

  public ShelfEnvironShelfInfo withSesGenericInfo(SesGenericInfo paramSesGenericInfo)
  {
    this.sesGenericInfo = paramSesGenericInfo;
    return this;
  }

  @Element("shelf-id")
  @Type("integer")
  @Range(min="0", max="255")
  public void setShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
  }

  public Integer getShelfId()
  {
    return this.shelfId;
  }

  public ShelfEnvironShelfInfo withShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
    return this;
  }

  @Element("shelf-status")
  @Type("string")
  public void setShelfStatus(String paramString)
  {
    this.shelfStatus = paramString;
  }

  public String getShelfStatus()
  {
    return this.shelfStatus;
  }

  public ShelfEnvironShelfInfo withShelfStatus(String paramString)
  {
    this.shelfStatus = paramString;
    return this;
  }

  @Element("shelf-type")
  @Type("string")
  public void setShelfType(String paramString)
  {
    this.shelfType = paramString;
  }

  public String getShelfType()
  {
    return this.shelfType;
  }

  public ShelfEnvironShelfInfo withShelfType(String paramString)
  {
    this.shelfType = paramString;
    return this;
  }

  @Element("status-reads-attempted")
  @Type("integer")
  public void setStatusReadsAttempted(Long paramLong)
  {
    this.statusReadsAttempted = paramLong;
  }

  public Long getStatusReadsAttempted()
  {
    return this.statusReadsAttempted;
  }

  public ShelfEnvironShelfInfo withStatusReadsAttempted(Long paramLong)
  {
    this.statusReadsAttempted = paramLong;
    return this;
  }

  @Element("status-reads-failed")
  @Type("integer")
  public void setStatusReadsFailed(Long paramLong)
  {
    this.statusReadsFailed = paramLong;
  }

  public Long getStatusReadsFailed()
  {
    return this.statusReadsFailed;
  }

  public ShelfEnvironShelfInfo withStatusReadsFailed(Long paramLong)
  {
    this.statusReadsFailed = paramLong;
    return this;
  }

  @Element("temp-sensor-list")
  @Type("temp-sensor-info[]")
  @Optional
  public void setTempSensorList(List<TempSensorInfo> paramList)
  {
    this.tempSensorList = paramList;
  }

  public List<TempSensorInfo> getTempSensorList()
  {
    return this.tempSensorList;
  }

  public ShelfEnvironShelfInfo withTempSensorList(List<TempSensorInfo> paramList)
  {
    this.tempSensorList = paramList;
    return this;
  }

  public ShelfEnvironShelfInfo withTempSensorList(TempSensorInfo[] paramArrayOfTempSensorInfo)
  {
    this.tempSensorList = new ArrayList(Arrays.asList(paramArrayOfTempSensorInfo));
    return this;
  }

  @Element("xyratex-specific-info")
  @Type("xyratex-specific-info")
  @Optional
  public void setXyratexSpecificInfo(XyratexSpecificInfo paramXyratexSpecificInfo)
  {
    this.xyratexSpecificInfo = paramXyratexSpecificInfo;
  }

  public XyratexSpecificInfo getXyratexSpecificInfo()
  {
    return this.xyratexSpecificInfo;
  }

  public ShelfEnvironShelfInfo withXyratexSpecificInfo(XyratexSpecificInfo paramXyratexSpecificInfo)
  {
    this.xyratexSpecificInfo = paramXyratexSpecificInfo;
    return this;
  }
}