package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("storage-shelf-environment-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"ECHANNELNOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR", "ESHELFNOTFOUND"})
@Family({"ontap-c", "ontap-d"})
public class StorageShelfEnvironmentListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String channelName;
  public List<ShelfEnvironChannelInfo> shelfEnvironChannelList;
  public Integer shelfId;

  @Input("channel-name")
  @Type("string")
  @Optional
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public StorageShelfEnvironmentListInfo withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Output("shelf-environ-channel-list")
  @Type("shelf-environ-channel-info[]")
  public void setShelfEnvironChannelList(List<ShelfEnvironChannelInfo> paramList)
  {
    this.shelfEnvironChannelList = paramList;
  }

  public List<ShelfEnvironChannelInfo> getShelfEnvironChannelList()
  {
    return this.shelfEnvironChannelList;
  }

  public StorageShelfEnvironmentListInfo withShelfEnvironChannelList(List<ShelfEnvironChannelInfo> paramList)
  {
    this.shelfEnvironChannelList = paramList;
    return this;
  }

  public StorageShelfEnvironmentListInfo withShelfEnvironChannelList(ShelfEnvironChannelInfo[] paramArrayOfShelfEnvironChannelInfo)
  {
    this.shelfEnvironChannelList = new ArrayList(Arrays.asList(paramArrayOfShelfEnvironChannelInfo));
    return this;
  }

  @Input("shelf-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="255")
  public void setShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
  }

  public Integer getShelfId()
  {
    return this.shelfId;
  }

  public StorageShelfEnvironmentListInfo withShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
    return this;
  }
}