package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("storage-shelf-get-shelf-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-d"})
public class StorageShelfGetShelfInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer bayCount;
  public List<BayInfo> bayList;
  public String channelName;
  public String firmwareRevA;
  public String firmwareRevB;
  public String firmwareRevision;
  public Integer shelfId;
  public String shelfType;

  @Output("bay-count")
  @Type("integer")
  @Range(min="0", max="255")
  public void setBayCount(Integer paramInteger)
  {
    this.bayCount = paramInteger;
  }

  public Integer getBayCount()
  {
    return this.bayCount;
  }

  public StorageShelfGetShelfInfo withBayCount(Integer paramInteger)
  {
    this.bayCount = paramInteger;
    return this;
  }

  @Output("bay-list")
  @Type("bay-info[]")
  public void setBayList(List<BayInfo> paramList)
  {
    this.bayList = paramList;
  }

  public List<BayInfo> getBayList()
  {
    return this.bayList;
  }

  public StorageShelfGetShelfInfo withBayList(List<BayInfo> paramList)
  {
    this.bayList = paramList;
    return this;
  }

  public StorageShelfGetShelfInfo withBayList(BayInfo[] paramArrayOfBayInfo)
  {
    this.bayList = new ArrayList(Arrays.asList(paramArrayOfBayInfo));
    return this;
  }

  @Input("channel-name")
  @Type("string")
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public StorageShelfGetShelfInfo withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Output("firmware-rev-A")
  @Type("string")
  @Optional
  public void setFirmwareRevA(String paramString)
  {
    this.firmwareRevA = paramString;
  }

  public String getFirmwareRevA()
  {
    return this.firmwareRevA;
  }

  public StorageShelfGetShelfInfo withFirmwareRevA(String paramString)
  {
    this.firmwareRevA = paramString;
    return this;
  }

  @Output("firmware-rev-B")
  @Type("string")
  @Optional
  public void setFirmwareRevB(String paramString)
  {
    this.firmwareRevB = paramString;
  }

  public String getFirmwareRevB()
  {
    return this.firmwareRevB;
  }

  public StorageShelfGetShelfInfo withFirmwareRevB(String paramString)
  {
    this.firmwareRevB = paramString;
    return this;
  }

  @Output("firmware-revision")
  @Type("string")
  public void setFirmwareRevision(String paramString)
  {
    this.firmwareRevision = paramString;
  }

  public String getFirmwareRevision()
  {
    return this.firmwareRevision;
  }

  public StorageShelfGetShelfInfo withFirmwareRevision(String paramString)
  {
    this.firmwareRevision = paramString;
    return this;
  }

  @Input("shelf-id")
  @Type("integer")
  @Range(min="0", max="2^24-1")
  public void setShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
  }

  public Integer getShelfId()
  {
    return this.shelfId;
  }

  public StorageShelfGetShelfInfo withShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
    return this;
  }

  @Output("shelf-type")
  @Type("string")
  @Optional
  public void setShelfType(String paramString)
  {
    this.shelfType = paramString;
  }

  public String getShelfType()
  {
    return this.shelfType;
  }

  public StorageShelfGetShelfInfo withShelfType(String paramString)
  {
    this.shelfType = paramString;
    return this;
  }
}