package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("storage-shelf-set-led-state")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EDISKNOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d"})
public class StorageShelfSetLedState
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String action;
  public String channelName;
  public Long duration;
  public Boolean identify;
  public Integer lun;
  public Integer shelfBay;
  public Integer shelfId;

  @Input("action")
  @Type("string")
  public void setAction(String paramString)
  {
    this.action = paramString;
  }

  public String getAction()
  {
    return this.action;
  }

  public StorageShelfSetLedState withAction(String paramString)
  {
    this.action = paramString;
    return this;
  }

  @Input("channel-name")
  @Type("string")
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public StorageShelfSetLedState withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Input("duration")
  @Type("integer")
  @Optional
  public void setDuration(Long paramLong)
  {
    this.duration = paramLong;
  }

  public Long getDuration()
  {
    return this.duration;
  }

  public StorageShelfSetLedState withDuration(Long paramLong)
  {
    this.duration = paramLong;
    return this;
  }

  @Input("identify")
  @Type("boolean")
  @Optional
  public void setIdentify(Boolean paramBoolean)
  {
    this.identify = paramBoolean;
  }

  public Boolean isIdentify()
  {
    return this.identify;
  }

  public StorageShelfSetLedState withIdentify(Boolean paramBoolean)
  {
    this.identify = paramBoolean;
    return this;
  }

  @Input("lun")
  @Type("integer")
  @Optional
  @Range(min="0", max="255")
  public void setLun(Integer paramInteger)
  {
    this.lun = paramInteger;
  }

  public Integer getLun()
  {
    return this.lun;
  }

  public StorageShelfSetLedState withLun(Integer paramInteger)
  {
    this.lun = paramInteger;
    return this;
  }

  @Input("shelf-bay")
  @Type("integer")
  @Optional
  @Range(min="0", max="255")
  public void setShelfBay(Integer paramInteger)
  {
    this.shelfBay = paramInteger;
  }

  public Integer getShelfBay()
  {
    return this.shelfBay;
  }

  public StorageShelfSetLedState withShelfBay(Integer paramInteger)
  {
    this.shelfBay = paramInteger;
    return this;
  }

  @Input("shelf-id")
  @Type("integer")
  @Range(min="0", max="2^24-1")
  public void setShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
  }

  public Integer getShelfId()
  {
    return this.shelfId;
  }

  public StorageShelfSetLedState withShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
    return this;
  }
}