package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("storage-shelf-update-fw")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d"})
public class StorageShelfUpdateFw
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String channelName;
  public String shelfId;

  @Input("channel-name")
  @Type("string")
  @Optional
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public StorageShelfUpdateFw withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Input("shelf-id")
  @Type("string")
  @Optional
  public void setShelfId(String paramString)
  {
    this.shelfId = paramString;
  }

  public String getShelfId()
  {
    return this.shelfId;
  }

  public StorageShelfUpdateFw withShelfId(String paramString)
  {
    this.shelfId = paramString;
    return this;
  }
}