package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("sf-shutdown-options")
@Status(StatusEnum.PUBLIC)
@Errno({"ESERVICENOTINITIALIZED", "ESERVICENOTLICENSED"})
@Family({"ontap-d"})
public class SfShutdownOptions
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean inhibitTakeOver;

  @Input("inhibit-take-over")
  @Type("boolean")
  public void setInhibitTakeOver(Boolean paramBoolean)
  {
    this.inhibitTakeOver = paramBoolean;
  }

  public Boolean isInhibitTakeOver()
  {
    return this.inhibitTakeOver;
  }

  public SfShutdownOptions withInhibitTakeOver(Boolean paramBoolean)
  {
    this.inhibitTakeOver = paramBoolean;
    return this;
  }
}