package com.netapp.filer.sis;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Typedef("dense-status")
public class DenseStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String checkpointOpType;
  public String checkpointProgress;
  public String checkpointStage;
  public String checkpointSubStage;
  public Date checkpointTime;
  public Date lastOperationBeginTimestamp;
  public Date lastOperationEndTimestamp;
  public String lastOperationError;
  public BigInteger lastOperationSize;
  public String path;
  public String progress;
  public String schedule;
  public String state;
  public String status;
  public String type;

  @Element("checkpoint-op-type")
  @Type("string")
  @Optional
  public void setCheckpointOpType(String paramString)
  {
    this.checkpointOpType = paramString;
  }

  public String getCheckpointOpType()
  {
    return this.checkpointOpType;
  }

  public DenseStatus withCheckpointOpType(String paramString)
  {
    this.checkpointOpType = paramString;
    return this;
  }

  @Element("checkpoint-progress")
  @Type("string")
  @Optional
  public void setCheckpointProgress(String paramString)
  {
    this.checkpointProgress = paramString;
  }

  public String getCheckpointProgress()
  {
    return this.checkpointProgress;
  }

  public DenseStatus withCheckpointProgress(String paramString)
  {
    this.checkpointProgress = paramString;
    return this;
  }

  @Element("checkpoint-stage")
  @Type("string")
  @Optional
  public void setCheckpointStage(String paramString)
  {
    this.checkpointStage = paramString;
  }

  public String getCheckpointStage()
  {
    return this.checkpointStage;
  }

  public DenseStatus withCheckpointStage(String paramString)
  {
    this.checkpointStage = paramString;
    return this;
  }

  @Element("checkpoint-sub-stage")
  @Type("string")
  @Optional
  public void setCheckpointSubStage(String paramString)
  {
    this.checkpointSubStage = paramString;
  }

  public String getCheckpointSubStage()
  {
    return this.checkpointSubStage;
  }

  public DenseStatus withCheckpointSubStage(String paramString)
  {
    this.checkpointSubStage = paramString;
    return this;
  }

  @Element("checkpoint-time")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setCheckpointTime(Date paramDate)
  {
    this.checkpointTime = paramDate;
  }

  public Date getCheckpointTime()
  {
    return this.checkpointTime;
  }

  public DenseStatus withCheckpointTime(Date paramDate)
  {
    this.checkpointTime = paramDate;
    return this;
  }

  @Element("last-operation-begin-timestamp")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^31-1")
  public void setLastOperationBeginTimestamp(Date paramDate)
  {
    this.lastOperationBeginTimestamp = paramDate;
  }

  public Date getLastOperationBeginTimestamp()
  {
    return this.lastOperationBeginTimestamp;
  }

  public DenseStatus withLastOperationBeginTimestamp(Date paramDate)
  {
    this.lastOperationBeginTimestamp = paramDate;
    return this;
  }

  @Element("last-operation-end-timestamp")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^31-1")
  public void setLastOperationEndTimestamp(Date paramDate)
  {
    this.lastOperationEndTimestamp = paramDate;
  }

  public Date getLastOperationEndTimestamp()
  {
    return this.lastOperationEndTimestamp;
  }

  public DenseStatus withLastOperationEndTimestamp(Date paramDate)
  {
    this.lastOperationEndTimestamp = paramDate;
    return this;
  }

  @Element("last-operation-error")
  @Type("string")
  @Optional
  public void setLastOperationError(String paramString)
  {
    this.lastOperationError = paramString;
  }

  public String getLastOperationError()
  {
    return this.lastOperationError;
  }

  public DenseStatus withLastOperationError(String paramString)
  {
    this.lastOperationError = paramString;
    return this;
  }

  @Element("last-operation-size")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setLastOperationSize(BigInteger paramBigInteger)
  {
    this.lastOperationSize = paramBigInteger;
  }

  public BigInteger getLastOperationSize()
  {
    return this.lastOperationSize;
  }

  public DenseStatus withLastOperationSize(BigInteger paramBigInteger)
  {
    this.lastOperationSize = paramBigInteger;
    return this;
  }

  @Element("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public DenseStatus withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("progress")
  @Type("string")
  public void setProgress(String paramString)
  {
    this.progress = paramString;
  }

  public String getProgress()
  {
    return this.progress;
  }

  public DenseStatus withProgress(String paramString)
  {
    this.progress = paramString;
    return this;
  }

  @Element("schedule")
  @Type("string")
  @Optional
  public void setSchedule(String paramString)
  {
    this.schedule = paramString;
  }

  public String getSchedule()
  {
    return this.schedule;
  }

  public DenseStatus withSchedule(String paramString)
  {
    this.schedule = paramString;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public DenseStatus withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public DenseStatus withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  @Optional
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public DenseStatus withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}