package com.netapp.filer.sis;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("sis-stop")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EAPIMISSINGARGUMENT", "EONTAPI_EINVAL"})
@Family({"ontap-c", "vfiler"})
public class SisStop
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public SisStop withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}