package com.netapp.filer.snapdiff;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("change-rec")
public class ChangeRec
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer atime;
  public String changeType;
  public Integer crtime;
  public Integer ctime;
  public Long dosBits;
  public Long fattr;
  public String filename;
  public Long ftype;
  public Long group;
  public Long inode;
  public Long links;
  public Integer mtime;
  public Long owner;
  public Integer size;

  @Element("atime")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setAtime(Integer paramInteger)
  {
    this.atime = paramInteger;
  }

  public Integer getAtime()
  {
    return this.atime;
  }

  public ChangeRec withAtime(Integer paramInteger)
  {
    this.atime = paramInteger;
    return this;
  }

  @Element("change-type")
  @Type("string")
  public void setChangeType(String paramString)
  {
    this.changeType = paramString;
  }

  public String getChangeType()
  {
    return this.changeType;
  }

  public ChangeRec withChangeType(String paramString)
  {
    this.changeType = paramString;
    return this;
  }

  @Element("crtime")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setCrtime(Integer paramInteger)
  {
    this.crtime = paramInteger;
  }

  public Integer getCrtime()
  {
    return this.crtime;
  }

  public ChangeRec withCrtime(Integer paramInteger)
  {
    this.crtime = paramInteger;
    return this;
  }

  @Element("ctime")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setCtime(Integer paramInteger)
  {
    this.ctime = paramInteger;
  }

  public Integer getCtime()
  {
    return this.ctime;
  }

  public ChangeRec withCtime(Integer paramInteger)
  {
    this.ctime = paramInteger;
    return this;
  }

  @Element("dos-bits")
  @Type("integer")
  public void setDosBits(Long paramLong)
  {
    this.dosBits = paramLong;
  }

  public Long getDosBits()
  {
    return this.dosBits;
  }

  public ChangeRec withDosBits(Long paramLong)
  {
    this.dosBits = paramLong;
    return this;
  }

  @Element("fattr")
  @Type("integer")
  public void setFattr(Long paramLong)
  {
    this.fattr = paramLong;
  }

  public Long getFattr()
  {
    return this.fattr;
  }

  public ChangeRec withFattr(Long paramLong)
  {
    this.fattr = paramLong;
    return this;
  }

  @Element("filename")
  @Type("string")
  public void setFilename(String paramString)
  {
    this.filename = paramString;
  }

  public String getFilename()
  {
    return this.filename;
  }

  public ChangeRec withFilename(String paramString)
  {
    this.filename = paramString;
    return this;
  }

  @Element("ftype")
  @Type("integer")
  public void setFtype(Long paramLong)
  {
    this.ftype = paramLong;
  }

  public Long getFtype()
  {
    return this.ftype;
  }

  public ChangeRec withFtype(Long paramLong)
  {
    this.ftype = paramLong;
    return this;
  }

  @Element("group")
  @Type("integer")
  public void setGroup(Long paramLong)
  {
    this.group = paramLong;
  }

  public Long getGroup()
  {
    return this.group;
  }

  public ChangeRec withGroup(Long paramLong)
  {
    this.group = paramLong;
    return this;
  }

  @Element("inode")
  @Type("integer")
  public void setInode(Long paramLong)
  {
    this.inode = paramLong;
  }

  public Long getInode()
  {
    return this.inode;
  }

  public ChangeRec withInode(Long paramLong)
  {
    this.inode = paramLong;
    return this;
  }

  @Element("links")
  @Type("integer")
  public void setLinks(Long paramLong)
  {
    this.links = paramLong;
  }

  public Long getLinks()
  {
    return this.links;
  }

  public ChangeRec withLinks(Long paramLong)
  {
    this.links = paramLong;
    return this;
  }

  @Element("mtime")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setMtime(Integer paramInteger)
  {
    this.mtime = paramInteger;
  }

  public Integer getMtime()
  {
    return this.mtime;
  }

  public ChangeRec withMtime(Integer paramInteger)
  {
    this.mtime = paramInteger;
    return this;
  }

  @Element("owner")
  @Type("integer")
  public void setOwner(Long paramLong)
  {
    this.owner = paramLong;
  }

  public Long getOwner()
  {
    return this.owner;
  }

  public ChangeRec withOwner(Long paramLong)
  {
    this.owner = paramLong;
    return this;
  }

  @Element("size")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setSize(Integer paramInteger)
  {
    this.size = paramInteger;
  }

  public Integer getSize()
  {
    return this.size;
  }

  public ChangeRec withSize(Integer paramInteger)
  {
    this.size = paramInteger;
    return this;
  }
}