package com.netapp.filer.snapdiff;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapdiff-iter-start")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"ESNAPDIFFINTERROR", "ESNAPDIFFINVINPUT", "ESNAPDIFFINVSNAPSHOT", "ESNAPDIFFMAXSESSIONSEXCEEDED", "ESNAPDIFFNOI2P", "ESNAPDIFFSNAPSHOTEARLIER", "EVOLUMEDOESNOTEXIST"})
public class SnapdiffIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean atime;
  public String baseSnapshot;
  public String diffSnapshot;
  public Long maxDiffs;
  public String sessionId;
  public String volume;

  @Input("atime")
  @Type("boolean")
  @Optional
  public void setAtime(Boolean paramBoolean)
  {
    this.atime = paramBoolean;
  }

  public Boolean isAtime()
  {
    return this.atime;
  }

  public SnapdiffIterStart withAtime(Boolean paramBoolean)
  {
    this.atime = paramBoolean;
    return this;
  }

  @Input("base-snapshot")
  @Type("string")
  @Optional
  public void setBaseSnapshot(String paramString)
  {
    this.baseSnapshot = paramString;
  }

  public String getBaseSnapshot()
  {
    return this.baseSnapshot;
  }

  public SnapdiffIterStart withBaseSnapshot(String paramString)
  {
    this.baseSnapshot = paramString;
    return this;
  }

  @Input("diff-snapshot")
  @Type("string")
  public void setDiffSnapshot(String paramString)
  {
    this.diffSnapshot = paramString;
  }

  public String getDiffSnapshot()
  {
    return this.diffSnapshot;
  }

  public SnapdiffIterStart withDiffSnapshot(String paramString)
  {
    this.diffSnapshot = paramString;
    return this;
  }

  @Input("max-diffs")
  @Type("integer")
  public void setMaxDiffs(Long paramLong)
  {
    this.maxDiffs = paramLong;
  }

  public Long getMaxDiffs()
  {
    return this.maxDiffs;
  }

  public SnapdiffIterStart withMaxDiffs(Long paramLong)
  {
    this.maxDiffs = paramLong;
    return this;
  }

  @Output("session-id")
  @Type("string")
  @Optional
  public void setSessionId(String paramString)
  {
    this.sessionId = paramString;
  }

  public String getSessionId()
  {
    return this.sessionId;
  }

  public SnapdiffIterStart withSessionId(String paramString)
  {
    this.sessionId = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapdiffIterStart withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}