package com.netapp.filer.snapdiff;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapdiff-iter-status")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"ESNAPDIFFINVALIDSESSION", "ESNAPDIFFINVINPUT"})
public class SnapdiffIterStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String sessionId;
  public String sessionStatus;

  @Input("session-id")
  @Type("string")
  public void setSessionId(String paramString)
  {
    this.sessionId = paramString;
  }

  public String getSessionId()
  {
    return this.sessionId;
  }

  public SnapdiffIterStatus withSessionId(String paramString)
  {
    this.sessionId = paramString;
    return this;
  }

  @Output("session-status")
  @Type("string")
  @Optional
  public void setSessionStatus(String paramString)
  {
    this.sessionStatus = paramString;
  }

  public String getSessionStatus()
  {
    return this.sessionStatus;
  }

  public SnapdiffIterStatus withSessionStatus(String paramString)
  {
    this.sessionStatus = paramString;
    return this;
  }
}