package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.Date;

@Api("file-set-snaplock-retention-time")
@Status(StatusEnum.PUBLIC)
@Errno({"EFILENOTFOUND", "EINTERNALERROR", "EONTAPI_EINVAL", "EONTAPI_EIO", "EONTAPI_ENOENT", "EONTAPI_ENXIO", "EONTAPI_ERANGE", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOLUMEQUIESCED"})
@Family({"ontap-c", "vfiler"})
public class FileSetSnaplockRetentionTime
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public Date retentionTime;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileSetSnaplockRetentionTime withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("retention-time")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRetentionTime(Date paramDate)
  {
    this.retentionTime = paramDate;
  }

  public Date getRetentionTime()
  {
    return this.retentionTime;
  }

  public FileSetSnaplockRetentionTime withRetentionTime(Date paramDate)
  {
    this.retentionTime = paramDate;
    return this;
  }
}