package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("snaplock-get-compliance-clock")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c"})
public class SnaplockGetComplianceClock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String formattedSnaplockComplianceClock;
  public BigInteger snaplockComplianceClock;

  @Output("formatted-snaplock-compliance-clock")
  @Type("string")
  public void setFormattedSnaplockComplianceClock(String paramString)
  {
    this.formattedSnaplockComplianceClock = paramString;
  }

  public String getFormattedSnaplockComplianceClock()
  {
    return this.formattedSnaplockComplianceClock;
  }

  public SnaplockGetComplianceClock withFormattedSnaplockComplianceClock(String paramString)
  {
    this.formattedSnaplockComplianceClock = paramString;
    return this;
  }

  @Output("snaplock-compliance-clock")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setSnaplockComplianceClock(BigInteger paramBigInteger)
  {
    this.snaplockComplianceClock = paramBigInteger;
  }

  public BigInteger getSnaplockComplianceClock()
  {
    return this.snaplockComplianceClock;
  }

  public SnaplockGetComplianceClock withSnaplockComplianceClock(BigInteger paramBigInteger)
  {
    this.snaplockComplianceClock = paramBigInteger;
    return this;
  }
}