package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snaplock-set-log-volume")
@Status(StatusEnum.PUBLIC)
@Errno({"ENOENT", "EONTAPI_EIO"})
public class SnaplockSetLogVolume
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String logVolume;

  @Input("is-force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public SnaplockSetLogVolume withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("log-volume")
  @Type("string")
  public void setLogVolume(String paramString)
  {
    this.logVolume = paramString;
  }

  public String getLogVolume()
  {
    return this.logVolume;
  }

  public SnaplockSetLogVolume withLogVolume(String paramString)
  {
    this.logVolume = paramString;
    return this;
  }
}