package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapmirror-list-destinations")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorListDestinations
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<DestinationInfo> destinations;
  public String sourceLocation;

  @Output("destinations")
  @Type("destination-info[]")
  public void setDestinations(List<DestinationInfo> paramList)
  {
    this.destinations = paramList;
  }

  public List<DestinationInfo> getDestinations()
  {
    return this.destinations;
  }

  public SnapmirrorListDestinations withDestinations(List<DestinationInfo> paramList)
  {
    this.destinations = paramList;
    return this;
  }

  public SnapmirrorListDestinations withDestinations(DestinationInfo[] paramArrayOfDestinationInfo)
  {
    this.destinations = new ArrayList(Arrays.asList(paramArrayOfDestinationInfo));
    return this;
  }

  @Input("source-location")
  @Type("string")
  @Optional
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorListDestinations withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }
}