package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snapmirror-schedule-info")
public class SnapmirrorScheduleInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String daysOfMonth;
  public String daysOfWeek;
  public String destinationLocation;
  public String hours;
  public Long maxTransferRate;
  public String minutes;
  public SnapmirrorError snapmirrorError;
  public String sourceLocation;

  @Element("days-of-month")
  @Type("string")
  @Optional
  public void setDaysOfMonth(String paramString)
  {
    this.daysOfMonth = paramString;
  }

  public String getDaysOfMonth()
  {
    return this.daysOfMonth;
  }

  public SnapmirrorScheduleInfo withDaysOfMonth(String paramString)
  {
    this.daysOfMonth = paramString;
    return this;
  }

  @Element("days-of-week")
  @Type("string")
  @Optional
  public void setDaysOfWeek(String paramString)
  {
    this.daysOfWeek = paramString;
  }

  public String getDaysOfWeek()
  {
    return this.daysOfWeek;
  }

  public SnapmirrorScheduleInfo withDaysOfWeek(String paramString)
  {
    this.daysOfWeek = paramString;
    return this;
  }

  @Element("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorScheduleInfo withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Element("hours")
  @Type("string")
  @Optional
  public void setHours(String paramString)
  {
    this.hours = paramString;
  }

  public String getHours()
  {
    return this.hours;
  }

  public SnapmirrorScheduleInfo withHours(String paramString)
  {
    this.hours = paramString;
    return this;
  }

  @Element("max-transfer-rate")
  @Type("integer")
  @Optional
  public void setMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
  }

  public Long getMaxTransferRate()
  {
    return this.maxTransferRate;
  }

  public SnapmirrorScheduleInfo withMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
    return this;
  }

  @Element("minutes")
  @Type("string")
  @Optional
  public void setMinutes(String paramString)
  {
    this.minutes = paramString;
  }

  public String getMinutes()
  {
    return this.minutes;
  }

  public SnapmirrorScheduleInfo withMinutes(String paramString)
  {
    this.minutes = paramString;
    return this;
  }

  @Element("snapmirror-error")
  @Type("snapmirror-error")
  @Optional
  public void setSnapmirrorError(SnapmirrorError paramSnapmirrorError)
  {
    this.snapmirrorError = paramSnapmirrorError;
  }

  public SnapmirrorError getSnapmirrorError()
  {
    return this.snapmirrorError;
  }

  public SnapmirrorScheduleInfo withSnapmirrorError(SnapmirrorError paramSnapmirrorError)
  {
    this.snapmirrorError = paramSnapmirrorError;
    return this;
  }

  @Element("source-location")
  @Type("string")
  @Optional
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorScheduleInfo withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }
}