package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-set-schedule")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorSetSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String daysOfMonth;
  public String daysOfWeek;
  public String destinationLocation;
  public String hours;
  public Long maxTransferRate;
  public String minutes;
  public String restart;
  public String sourceLocation;

  @Input("days-of-month")
  @Type("string")
  public void setDaysOfMonth(String paramString)
  {
    this.daysOfMonth = paramString;
  }

  public String getDaysOfMonth()
  {
    return this.daysOfMonth;
  }

  public SnapmirrorSetSchedule withDaysOfMonth(String paramString)
  {
    this.daysOfMonth = paramString;
    return this;
  }

  @Input("days-of-week")
  @Type("string")
  public void setDaysOfWeek(String paramString)
  {
    this.daysOfWeek = paramString;
  }

  public String getDaysOfWeek()
  {
    return this.daysOfWeek;
  }

  public SnapmirrorSetSchedule withDaysOfWeek(String paramString)
  {
    this.daysOfWeek = paramString;
    return this;
  }

  @Input("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorSetSchedule withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Input("hours")
  @Type("string")
  public void setHours(String paramString)
  {
    this.hours = paramString;
  }

  public String getHours()
  {
    return this.hours;
  }

  public SnapmirrorSetSchedule withHours(String paramString)
  {
    this.hours = paramString;
    return this;
  }

  @Input("max-transfer-rate")
  @Type("integer")
  @Optional
  public void setMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
  }

  public Long getMaxTransferRate()
  {
    return this.maxTransferRate;
  }

  public SnapmirrorSetSchedule withMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
    return this;
  }

  @Input("minutes")
  @Type("string")
  public void setMinutes(String paramString)
  {
    this.minutes = paramString;
  }

  public String getMinutes()
  {
    return this.minutes;
  }

  public SnapmirrorSetSchedule withMinutes(String paramString)
  {
    this.minutes = paramString;
    return this;
  }

  @Input("restart")
  @Type("string")
  @Optional
  public void setRestart(String paramString)
  {
    this.restart = paramString;
  }

  public String getRestart()
  {
    return this.restart;
  }

  public SnapmirrorSetSchedule withRestart(String paramString)
  {
    this.restart = paramString;
    return this;
  }

  @Input("source-location")
  @Type("string")
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorSetSchedule withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }
}