package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-update")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorUpdate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationLocation;
  public String destinationSnapshot;
  public Long maxTransferRate;
  public String sourceLocation;
  public String sourceSnapshot;

  @Input("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorUpdate withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Input("destination-snapshot")
  @Type("string")
  @Optional
  public void setDestinationSnapshot(String paramString)
  {
    this.destinationSnapshot = paramString;
  }

  public String getDestinationSnapshot()
  {
    return this.destinationSnapshot;
  }

  public SnapmirrorUpdate withDestinationSnapshot(String paramString)
  {
    this.destinationSnapshot = paramString;
    return this;
  }

  @Input("max-transfer-rate")
  @Type("integer")
  @Optional
  public void setMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
  }

  public Long getMaxTransferRate()
  {
    return this.maxTransferRate;
  }

  public SnapmirrorUpdate withMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
    return this;
  }

  @Input("source-location")
  @Type("string")
  @Optional
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorUpdate withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }

  @Input("source-snapshot")
  @Type("string")
  @Optional
  public void setSourceSnapshot(String paramString)
  {
    this.sourceSnapshot = paramString;
  }

  public String getSourceSnapshot()
  {
    return this.sourceSnapshot;
  }

  public SnapmirrorUpdate withSourceSnapshot(String paramString)
  {
    this.sourceSnapshot = paramString;
    return this;
  }
}