package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapshot-autodelete-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVOLUMEBUSY", "EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotAutodeleteListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapshotAutodeleteInfo> options;
  public String volume;

  @Output("options")
  @Type("snapshot-autodelete-info[]")
  public void setOptions(List<SnapshotAutodeleteInfo> paramList)
  {
    this.options = paramList;
  }

  public List<SnapshotAutodeleteInfo> getOptions()
  {
    return this.options;
  }

  public SnapshotAutodeleteListInfo withOptions(List<SnapshotAutodeleteInfo> paramList)
  {
    this.options = paramList;
    return this;
  }

  public SnapshotAutodeleteListInfo withOptions(SnapshotAutodeleteInfo[] paramArrayOfSnapshotAutodeleteInfo)
  {
    this.options = new ArrayList(Arrays.asList(paramArrayOfSnapshotAutodeleteInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotAutodeleteListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}