package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-create")
@Status(StatusEnum.PUBLIC)
@Errno({"ENOMORESNAPS", "ENOSPCSNAP", "EONTAPI_EINVAL", "EONTAPI_ENOMEM", "EONTAPI_ETIMEDOUT", "ESNAPSHOTEXISTS", "EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean async;
  public Boolean validLunCloneSnapshot;
  public String snapshot;
  public String volume;

  @Input("async")
  @Type("boolean")
  @Optional
  public void setAsync(Boolean paramBoolean)
  {
    this.async = paramBoolean;
  }

  public Boolean isAsync()
  {
    return this.async;
  }

  public SnapshotCreate withAsync(Boolean paramBoolean)
  {
    this.async = paramBoolean;
    return this;
  }

  @Input("is-valid-lun-clone-snapshot")
  @Type("boolean")
  @Optional
  public void setValidLunCloneSnapshot(Boolean paramBoolean)
  {
    this.validLunCloneSnapshot = paramBoolean;
  }

  public Boolean isValidLunCloneSnapshot()
  {
    return this.validLunCloneSnapshot;
  }

  public SnapshotCreate withValidLunCloneSnapshot(Boolean paramBoolean)
  {
    this.validLunCloneSnapshot = paramBoolean;
    return this;
  }

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public SnapshotCreate withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotCreate withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}