package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-get-reserve")
@Status(StatusEnum.PUBLIC)
@Errno({"EOPNOTSUPPORTED", "ESNAPSHOTDOESNOTEXIST", "EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotGetReserve
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long blocksReserved;
  public Long percentReserved;
  public String volume;

  @Output("blocks-reserved")
  @Type("integer")
  public void setBlocksReserved(Long paramLong)
  {
    this.blocksReserved = paramLong;
  }

  public Long getBlocksReserved()
  {
    return this.blocksReserved;
  }

  public SnapshotGetReserve withBlocksReserved(Long paramLong)
  {
    this.blocksReserved = paramLong;
    return this;
  }

  @Output("percent-reserved")
  @Type("integer")
  public void setPercentReserved(Long paramLong)
  {
    this.percentReserved = paramLong;
  }

  public Long getPercentReserved()
  {
    return this.percentReserved;
  }

  public SnapshotGetReserve withPercentReserved(Long paramLong)
  {
    this.percentReserved = paramLong;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotGetReserve withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}