package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("snapshot-partial-restore-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class SnapshotPartialRestoreFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger byteCount;
  public String path;
  public String snapshot;
  public BigInteger startByte;

  @Input("byte-count")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setByteCount(BigInteger paramBigInteger)
  {
    this.byteCount = paramBigInteger;
  }

  public BigInteger getByteCount()
  {
    return this.byteCount;
  }

  public SnapshotPartialRestoreFile withByteCount(BigInteger paramBigInteger)
  {
    this.byteCount = paramBigInteger;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public SnapshotPartialRestoreFile withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public SnapshotPartialRestoreFile withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("start-byte")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setStartByte(BigInteger paramBigInteger)
  {
    this.startByte = paramBigInteger;
  }

  public BigInteger getStartByte()
  {
    return this.startByte;
  }

  public SnapshotPartialRestoreFile withStartByte(BigInteger paramBigInteger)
  {
    this.startByte = paramBigInteger;
    return this;
  }
}