package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-rename")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapshotRename
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String currentName;
  public String newName;
  public String volume;

  @Input("current-name")
  @Type("string")
  public void setCurrentName(String paramString)
  {
    this.currentName = paramString;
  }

  public String getCurrentName()
  {
    return this.currentName;
  }

  public SnapshotRename withCurrentName(String paramString)
  {
    this.currentName = paramString;
    return this;
  }

  @Input("new-name")
  @Type("string")
  public void setNewName(String paramString)
  {
    this.newName = paramString;
  }

  public String getNewName()
  {
    return this.newName;
  }

  public SnapshotRename withNewName(String paramString)
  {
    this.newName = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotRename withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}