package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("snapshot-reserve-detail-info")
public class SnapshotReserveDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer percentage;
  public BigInteger size;
  public String volume;

  @Element("percentage")
  @Type("integer")
  @Range(min="0", max="100")
  public void setPercentage(Integer paramInteger)
  {
    this.percentage = paramInteger;
  }

  public Integer getPercentage()
  {
    return this.percentage;
  }

  public SnapshotReserveDetailInfo withPercentage(Integer paramInteger)
  {
    this.percentage = paramInteger;
    return this;
  }

  @Element("size")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSize(BigInteger paramBigInteger)
  {
    this.size = paramBigInteger;
  }

  public BigInteger getSize()
  {
    return this.size;
  }

  public SnapshotReserveDetailInfo withSize(BigInteger paramBigInteger)
  {
    this.size = paramBigInteger;
    return this;
  }

  @Element("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotReserveDetailInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}