package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapshot-reserve-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EOPNOTSUPPORTED", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class SnapshotReserveListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapshotReserveDetailInfo> snapshotReserveDetails;
  public String volume;

  @Output("snapshot-reserve-details")
  @Type("snapshot-reserve-detail-info[]")
  public void setSnapshotReserveDetails(List<SnapshotReserveDetailInfo> paramList)
  {
    this.snapshotReserveDetails = paramList;
  }

  public List<SnapshotReserveDetailInfo> getSnapshotReserveDetails()
  {
    return this.snapshotReserveDetails;
  }

  public SnapshotReserveListInfo withSnapshotReserveDetails(List<SnapshotReserveDetailInfo> paramList)
  {
    this.snapshotReserveDetails = paramList;
    return this;
  }

  public SnapshotReserveListInfo withSnapshotReserveDetails(SnapshotReserveDetailInfo[] paramArrayOfSnapshotReserveDetailInfo)
  {
    this.snapshotReserveDetails = new ArrayList(Arrays.asList(paramArrayOfSnapshotReserveDetailInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotReserveListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}