package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("snapshot-volume-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotVolumeInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger sizeAvailable;
  public String volume;

  @Output("size-available")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSizeAvailable(BigInteger paramBigInteger)
  {
    this.sizeAvailable = paramBigInteger;
  }

  public BigInteger getSizeAvailable()
  {
    return this.sizeAvailable;
  }

  public SnapshotVolumeInfo withSizeAvailable(BigInteger paramBigInteger)
  {
    this.sizeAvailable = paramBigInteger;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotVolumeInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}