package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("snapvault-destination-info")
public class SnapvaultDestinationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapvaultChainedDestinationInfo> chainedDestinations;
  public String sourcePath;
  public String sourceSnapshot;

  @Element("chained-destinations")
  @Type("snapvault-chained-destination-info[]")
  public void setChainedDestinations(List<SnapvaultChainedDestinationInfo> paramList)
  {
    this.chainedDestinations = paramList;
  }

  public List<SnapvaultChainedDestinationInfo> getChainedDestinations()
  {
    return this.chainedDestinations;
  }

  public SnapvaultDestinationInfo withChainedDestinations(List<SnapvaultChainedDestinationInfo> paramList)
  {
    this.chainedDestinations = paramList;
    return this;
  }

  public SnapvaultDestinationInfo withChainedDestinations(SnapvaultChainedDestinationInfo[] paramArrayOfSnapvaultChainedDestinationInfo)
  {
    this.chainedDestinations = new ArrayList(Arrays.asList(paramArrayOfSnapvaultChainedDestinationInfo));
    return this;
  }

  @Element("source-path")
  @Type("string")
  public void setSourcePath(String paramString)
  {
    this.sourcePath = paramString;
  }

  public String getSourcePath()
  {
    return this.sourcePath;
  }

  public SnapvaultDestinationInfo withSourcePath(String paramString)
  {
    this.sourcePath = paramString;
    return this;
  }

  @Element("source-snapshot")
  @Type("string")
  public void setSourceSnapshot(String paramString)
  {
    this.sourceSnapshot = paramString;
  }

  public String getSourceSnapshot()
  {
    return this.sourceSnapshot;
  }

  public SnapvaultDestinationInfo withSourceSnapshot(String paramString)
  {
    this.sourceSnapshot = paramString;
    return this;
  }
}