package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-get-softlocks")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT"})
@Family({"ontap-c"})
public class SnapvaultGetSoftlocks
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String snapshot;
  public SnapvaultSoftlockInfo snapvaultSoftlocks;
  public String volume;

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public SnapvaultGetSoftlocks withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Output("snapvault-softlocks")
  @Type("snapvault-softlock-info")
  public void setSnapvaultSoftlocks(SnapvaultSoftlockInfo paramSnapvaultSoftlockInfo)
  {
    this.snapvaultSoftlocks = paramSnapvaultSoftlockInfo;
  }

  public SnapvaultSoftlockInfo getSnapvaultSoftlocks()
  {
    return this.snapvaultSoftlocks;
  }

  public SnapvaultGetSoftlocks withSnapvaultSoftlocks(SnapvaultSoftlockInfo paramSnapvaultSoftlockInfo)
  {
    this.snapvaultSoftlocks = paramSnapvaultSoftlockInfo;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapvaultGetSoftlocks withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}