package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-primary-abort-transfer")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimaryAbortTransfer
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean hardAbort;
  public String systemPath;
  public String targetSystem;

  @Input("is-hard-abort")
  @Type("boolean")
  @Optional
  public void setHardAbort(Boolean paramBoolean)
  {
    this.hardAbort = paramBoolean;
  }

  public Boolean isHardAbort()
  {
    return this.hardAbort;
  }

  public SnapvaultPrimaryAbortTransfer withHardAbort(Boolean paramBoolean)
  {
    this.hardAbort = paramBoolean;
    return this;
  }

  @Input("system-path")
  @Type("string")
  public void setSystemPath(String paramString)
  {
    this.systemPath = paramString;
  }

  public String getSystemPath()
  {
    return this.systemPath;
  }

  public SnapvaultPrimaryAbortTransfer withSystemPath(String paramString)
  {
    this.systemPath = paramString;
    return this;
  }

  @Input("target-system")
  @Type("string")
  @Optional
  public void setTargetSystem(String paramString)
  {
    this.targetSystem = paramString;
  }

  public String getTargetSystem()
  {
    return this.targetSystem;
  }

  public SnapvaultPrimaryAbortTransfer withTargetSystem(String paramString)
  {
    this.targetSystem = paramString;
    return this;
  }
}