package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapvault-primary-get-relationship-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimaryGetRelationshipStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapvaultStatusInfo> status;
  public String systemPath;

  @Output("status")
  @Type("snapvault-status-info[]")
  public void setStatus(List<SnapvaultStatusInfo> paramList)
  {
    this.status = paramList;
  }

  public List<SnapvaultStatusInfo> getStatus()
  {
    return this.status;
  }

  public SnapvaultPrimaryGetRelationshipStatus withStatus(List<SnapvaultStatusInfo> paramList)
  {
    this.status = paramList;
    return this;
  }

  public SnapvaultPrimaryGetRelationshipStatus withStatus(SnapvaultStatusInfo[] paramArrayOfSnapvaultStatusInfo)
  {
    this.status = new ArrayList(Arrays.asList(paramArrayOfSnapvaultStatusInfo));
    return this;
  }

  @Input("system-path")
  @Type("string")
  public void setSystemPath(String paramString)
  {
    this.systemPath = paramString;
  }

  public String getSystemPath()
  {
    return this.systemPath;
  }

  public SnapvaultPrimaryGetRelationshipStatus withSystemPath(String paramString)
  {
    this.systemPath = paramString;
    return this;
  }
}