package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-primary-initiate-snapshot-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTBUSY", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimaryInitiateSnapshotCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SnapvaultSnapcreateOptions options;
  public String scheduleName;
  public String volumeName;

  @Input("options")
  @Type("snapvault-snapcreate-options")
  @Optional
  public void setOptions(SnapvaultSnapcreateOptions paramSnapvaultSnapcreateOptions)
  {
    this.options = paramSnapvaultSnapcreateOptions;
  }

  public SnapvaultSnapcreateOptions getOptions()
  {
    return this.options;
  }

  public SnapvaultPrimaryInitiateSnapshotCreate withOptions(SnapvaultSnapcreateOptions paramSnapvaultSnapcreateOptions)
  {
    this.options = paramSnapvaultSnapcreateOptions;
    return this;
  }

  @Input("schedule-name")
  @Type("string")
  public void setScheduleName(String paramString)
  {
    this.scheduleName = paramString;
  }

  public String getScheduleName()
  {
    return this.scheduleName;
  }

  public SnapvaultPrimaryInitiateSnapshotCreate withScheduleName(String paramString)
  {
    this.scheduleName = paramString;
    return this;
  }

  @Input("volume-name")
  @Type("string")
  public void setVolumeName(String paramString)
  {
    this.volumeName = paramString;
  }

  public String getVolumeName()
  {
    return this.volumeName;
  }

  public SnapvaultPrimaryInitiateSnapshotCreate withVolumeName(String paramString)
  {
    this.volumeName = paramString;
    return this;
  }
}