package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapvault-primary-snapshot-schedule-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimarySnapshotScheduleListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapvaultPrimarySnapshotScheduleInfo> snapshotSchedules;
  public String volumeName;

  @Output("snapshot-schedules")
  @Type("snapvault-primary-snapshot-schedule-info[]")
  @Optional
  public void setSnapshotSchedules(List<SnapvaultPrimarySnapshotScheduleInfo> paramList)
  {
    this.snapshotSchedules = paramList;
  }

  public List<SnapvaultPrimarySnapshotScheduleInfo> getSnapshotSchedules()
  {
    return this.snapshotSchedules;
  }

  public SnapvaultPrimarySnapshotScheduleListInfo withSnapshotSchedules(List<SnapvaultPrimarySnapshotScheduleInfo> paramList)
  {
    this.snapshotSchedules = paramList;
    return this;
  }

  public SnapvaultPrimarySnapshotScheduleListInfo withSnapshotSchedules(SnapvaultPrimarySnapshotScheduleInfo[] paramArrayOfSnapvaultPrimarySnapshotScheduleInfo)
  {
    this.snapshotSchedules = new ArrayList(Arrays.asList(paramArrayOfSnapvaultPrimarySnapshotScheduleInfo));
    return this;
  }

  @Input("volume-name")
  @Type("string")
  @Optional
  public void setVolumeName(String paramString)
  {
    this.volumeName = paramString;
  }

  public String getVolumeName()
  {
    return this.volumeName;
  }

  public SnapvaultPrimarySnapshotScheduleListInfo withVolumeName(String paramString)
  {
    this.volumeName = paramString;
    return this;
  }
}