package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-remove-softlock")
@Status(StatusEnum.PUBLIC)
@Errno({"ESNAPVAULTERR"})
@Family({"ontap-c"})
public class SnapvaultRemoveSoftlock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String snapshot;
  public String softlockName;
  public String volume;

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public SnapvaultRemoveSoftlock withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("softlock-name")
  @Type("string")
  @Optional
  public void setSoftlockName(String paramString)
  {
    this.softlockName = paramString;
  }

  public String getSoftlockName()
  {
    return this.softlockName;
  }

  public SnapvaultRemoveSoftlock withSoftlockName(String paramString)
  {
    this.softlockName = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapvaultRemoveSoftlock withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}