package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-secondary-create-relationship")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTBUSY", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultSecondaryCreateRelationship
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SnapvaultConfigurationInfo configuration;
  public Boolean noLunCloneExpansion;

  @Input("configuration")
  @Type("snapvault-configuration-info")
  public void setConfiguration(SnapvaultConfigurationInfo paramSnapvaultConfigurationInfo)
  {
    this.configuration = paramSnapvaultConfigurationInfo;
  }

  public SnapvaultConfigurationInfo getConfiguration()
  {
    return this.configuration;
  }

  public SnapvaultSecondaryCreateRelationship withConfiguration(SnapvaultConfigurationInfo paramSnapvaultConfigurationInfo)
  {
    this.configuration = paramSnapvaultConfigurationInfo;
    return this;
  }

  @Input("no-lun-clone-expansion")
  @Type("boolean")
  @Optional
  public void setNoLunCloneExpansion(Boolean paramBoolean)
  {
    this.noLunCloneExpansion = paramBoolean;
  }

  public Boolean isNoLunCloneExpansion()
  {
    return this.noLunCloneExpansion;
  }

  public SnapvaultSecondaryCreateRelationship withNoLunCloneExpansion(Boolean paramBoolean)
  {
    this.noLunCloneExpansion = paramBoolean;
    return this;
  }
}