package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-secondary-get-configuration")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultSecondaryGetConfiguration
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SnapvaultConfigurationInfo configuration;
  public String secondaryPath;

  @Output("configuration")
  @Type("snapvault-configuration-info")
  @Optional
  public void setConfiguration(SnapvaultConfigurationInfo paramSnapvaultConfigurationInfo)
  {
    this.configuration = paramSnapvaultConfigurationInfo;
  }

  public SnapvaultConfigurationInfo getConfiguration()
  {
    return this.configuration;
  }

  public SnapvaultSecondaryGetConfiguration withConfiguration(SnapvaultConfigurationInfo paramSnapvaultConfigurationInfo)
  {
    this.configuration = paramSnapvaultConfigurationInfo;
    return this;
  }

  @Input("secondary-path")
  @Type("string")
  public void setSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
  }

  public String getSecondaryPath()
  {
    return this.secondaryPath;
  }

  public SnapvaultSecondaryGetConfiguration withSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
    return this;
  }
}