package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-secondary-relationship-status-list-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultSecondaryRelationshipStatusListIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long records;
  public String tag;

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public SnapvaultSecondaryRelationshipStatusListIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public SnapvaultSecondaryRelationshipStatusListIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}