package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snapvault-secondary-snapshot-schedule-info")
public class SnapvaultSecondarySnapshotScheduleInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean autoUpdate;
  public SnapvaultScheduleOptions options;
  public String preserveSnapshots;
  public Integer retentionCount;
  public SnapvaultScheduleInfo schedule;
  public String scheduleName;
  public String volumeName;
  public Long warnAtCount;

  @Element("is-auto-update")
  @Type("boolean")
  public void setAutoUpdate(Boolean paramBoolean)
  {
    this.autoUpdate = paramBoolean;
  }

  public Boolean isAutoUpdate()
  {
    return this.autoUpdate;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withAutoUpdate(Boolean paramBoolean)
  {
    this.autoUpdate = paramBoolean;
    return this;
  }

  @Element("options")
  @Type("snapvault-schedule-options")
  @Optional
  public void setOptions(SnapvaultScheduleOptions paramSnapvaultScheduleOptions)
  {
    this.options = paramSnapvaultScheduleOptions;
  }

  public SnapvaultScheduleOptions getOptions()
  {
    return this.options;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withOptions(SnapvaultScheduleOptions paramSnapvaultScheduleOptions)
  {
    this.options = paramSnapvaultScheduleOptions;
    return this;
  }

  @Element("preserve-snapshots")
  @Type("string")
  @Optional
  public void setPreserveSnapshots(String paramString)
  {
    this.preserveSnapshots = paramString;
  }

  public String getPreserveSnapshots()
  {
    return this.preserveSnapshots;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withPreserveSnapshots(String paramString)
  {
    this.preserveSnapshots = paramString;
    return this;
  }

  @Element("retention-count")
  @Type("integer")
  @Range(min="0", max="254")
  public void setRetentionCount(Integer paramInteger)
  {
    this.retentionCount = paramInteger;
  }

  public Integer getRetentionCount()
  {
    return this.retentionCount;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withRetentionCount(Integer paramInteger)
  {
    this.retentionCount = paramInteger;
    return this;
  }

  @Element("schedule")
  @Type("snapvault-schedule-info")
  @Optional
  public void setSchedule(SnapvaultScheduleInfo paramSnapvaultScheduleInfo)
  {
    this.schedule = paramSnapvaultScheduleInfo;
  }

  public SnapvaultScheduleInfo getSchedule()
  {
    return this.schedule;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withSchedule(SnapvaultScheduleInfo paramSnapvaultScheduleInfo)
  {
    this.schedule = paramSnapvaultScheduleInfo;
    return this;
  }

  @Element("schedule-name")
  @Type("string")
  public void setScheduleName(String paramString)
  {
    this.scheduleName = paramString;
  }

  public String getScheduleName()
  {
    return this.scheduleName;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withScheduleName(String paramString)
  {
    this.scheduleName = paramString;
    return this;
  }

  @Element("volume-name")
  @Type("string")
  public void setVolumeName(String paramString)
  {
    this.volumeName = paramString;
  }

  public String getVolumeName()
  {
    return this.volumeName;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withVolumeName(String paramString)
  {
    this.volumeName = paramString;
    return this;
  }

  @Element("warn-at-count")
  @Type("integer")
  @Optional
  public void setWarnAtCount(Long paramLong)
  {
    this.warnAtCount = paramLong;
  }

  public Long getWarnAtCount()
  {
    return this.warnAtCount;
  }

  public SnapvaultSecondarySnapshotScheduleInfo withWarnAtCount(Long paramLong)
  {
    this.warnAtCount = paramLong;
    return this;
  }
}