package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snmp-get")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
public class SnmpGet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean valueHexadecimal;
  public String objectId;
  public String value;

  @Output("is-value-hexadecimal")
  @Type("boolean")
  @Optional
  public void setValueHexadecimal(Boolean paramBoolean)
  {
    this.valueHexadecimal = paramBoolean;
  }

  public Boolean isValueHexadecimal()
  {
    return this.valueHexadecimal;
  }

  public SnmpGet withValueHexadecimal(Boolean paramBoolean)
  {
    this.valueHexadecimal = paramBoolean;
    return this;
  }

  @Input("object-id")
  @Type("string")
  public void setObjectId(String paramString)
  {
    this.objectId = paramString;
  }

  public String getObjectId()
  {
    return this.objectId;
  }

  public SnmpGet withObjectId(String paramString)
  {
    this.objectId = paramString;
    return this;
  }

  @Output("value")
  @Type("string")
  public void setValue(String paramString)
  {
    this.value = paramString;
  }

  public String getValue()
  {
    return this.value;
  }

  public SnmpGet withValue(String paramString)
  {
    this.value = paramString;
    return this;
  }
}