package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snmp-status")
@Status(StatusEnum.PUBLIC)
public class SnmpStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CommunityInfo> communities;
  public String contact;
  public Boolean trapEnabled;
  public String location;
  public List<TraphostInfo> traphosts;

  @Output("communities")
  @Type("community-info[]")
  public void setCommunities(List<CommunityInfo> paramList)
  {
    this.communities = paramList;
  }

  public List<CommunityInfo> getCommunities()
  {
    return this.communities;
  }

  public SnmpStatus withCommunities(List<CommunityInfo> paramList)
  {
    this.communities = paramList;
    return this;
  }

  public SnmpStatus withCommunities(CommunityInfo[] paramArrayOfCommunityInfo)
  {
    this.communities = new ArrayList(Arrays.asList(paramArrayOfCommunityInfo));
    return this;
  }

  @Output("contact")
  @Type("string")
  public void setContact(String paramString)
  {
    this.contact = paramString;
  }

  public String getContact()
  {
    return this.contact;
  }

  public SnmpStatus withContact(String paramString)
  {
    this.contact = paramString;
    return this;
  }

  @Output("is-trap-enabled")
  @Type("boolean")
  public void setTrapEnabled(Boolean paramBoolean)
  {
    this.trapEnabled = paramBoolean;
  }

  public Boolean isTrapEnabled()
  {
    return this.trapEnabled;
  }

  public SnmpStatus withTrapEnabled(Boolean paramBoolean)
  {
    this.trapEnabled = paramBoolean;
    return this;
  }

  @Output("location")
  @Type("string")
  public void setLocation(String paramString)
  {
    this.location = paramString;
  }

  public String getLocation()
  {
    return this.location;
  }

  public SnmpStatus withLocation(String paramString)
  {
    this.location = paramString;
    return this;
  }

  @Output("traphosts")
  @Type("traphost-info[]")
  public void setTraphosts(List<TraphostInfo> paramList)
  {
    this.traphosts = paramList;
  }

  public List<TraphostInfo> getTraphosts()
  {
    return this.traphosts;
  }

  public SnmpStatus withTraphosts(List<TraphostInfo> paramList)
  {
    this.traphosts = paramList;
    return this;
  }

  public SnmpStatus withTraphosts(TraphostInfo[] paramArrayOfTraphostInfo)
  {
    this.traphosts = new ArrayList(Arrays.asList(paramArrayOfTraphostInfo));
    return this;
  }
}