package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snmp-traphost-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
public class SnmpTraphostAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String host;

  @Input("host")
  @Type("string")
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public SnmpTraphostAdd withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }
}