package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("trap-info")
public class TrapInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String oid;
  public String active;
  public String backoffCalculator;
  public Long backoffMultiplier;
  public Long backoffStep;
  public Long currentValue;
  public Long edge1;
  public String edge1Direction;
  public Long edge2;
  public String edge2Direction;
  public Long interval;
  public Long intervalOffset;
  public String message;
  public String priority;
  public Long rateInterval;
  public String trapName;
  public String trigger;

  @Element("OID")
  @Type("string")
  @Optional
  public void setOid(String paramString)
  {
    this.oid = paramString;
  }

  public String getOid()
  {
    return this.oid;
  }

  public TrapInfo withOid(String paramString)
  {
    this.oid = paramString;
    return this;
  }

  @Element("active")
  @Type("string")
  @Optional
  public void setActive(String paramString)
  {
    this.active = paramString;
  }

  public String getActive()
  {
    return this.active;
  }

  public TrapInfo withActive(String paramString)
  {
    this.active = paramString;
    return this;
  }

  @Element("backoff-calculator")
  @Type("string")
  @Optional
  public void setBackoffCalculator(String paramString)
  {
    this.backoffCalculator = paramString;
  }

  public String getBackoffCalculator()
  {
    return this.backoffCalculator;
  }

  public TrapInfo withBackoffCalculator(String paramString)
  {
    this.backoffCalculator = paramString;
    return this;
  }

  @Element("backoff-multiplier")
  @Type("integer")
  @Optional
  public void setBackoffMultiplier(Long paramLong)
  {
    this.backoffMultiplier = paramLong;
  }

  public Long getBackoffMultiplier()
  {
    return this.backoffMultiplier;
  }

  public TrapInfo withBackoffMultiplier(Long paramLong)
  {
    this.backoffMultiplier = paramLong;
    return this;
  }

  @Element("backoff-step")
  @Type("integer")
  @Optional
  public void setBackoffStep(Long paramLong)
  {
    this.backoffStep = paramLong;
  }

  public Long getBackoffStep()
  {
    return this.backoffStep;
  }

  public TrapInfo withBackoffStep(Long paramLong)
  {
    this.backoffStep = paramLong;
    return this;
  }

  @Element("current-value")
  @Type("integer")
  @Optional
  public void setCurrentValue(Long paramLong)
  {
    this.currentValue = paramLong;
  }

  public Long getCurrentValue()
  {
    return this.currentValue;
  }

  public TrapInfo withCurrentValue(Long paramLong)
  {
    this.currentValue = paramLong;
    return this;
  }

  @Element("edge-1")
  @Type("integer")
  @Optional
  public void setEdge1(Long paramLong)
  {
    this.edge1 = paramLong;
  }

  public Long getEdge1()
  {
    return this.edge1;
  }

  public TrapInfo withEdge1(Long paramLong)
  {
    this.edge1 = paramLong;
    return this;
  }

  @Element("edge-1-direction")
  @Type("string")
  @Optional
  public void setEdge1Direction(String paramString)
  {
    this.edge1Direction = paramString;
  }

  public String getEdge1Direction()
  {
    return this.edge1Direction;
  }

  public TrapInfo withEdge1Direction(String paramString)
  {
    this.edge1Direction = paramString;
    return this;
  }

  @Element("edge-2")
  @Type("integer")
  @Optional
  public void setEdge2(Long paramLong)
  {
    this.edge2 = paramLong;
  }

  public Long getEdge2()
  {
    return this.edge2;
  }

  public TrapInfo withEdge2(Long paramLong)
  {
    this.edge2 = paramLong;
    return this;
  }

  @Element("edge-2-direction")
  @Type("string")
  @Optional
  public void setEdge2Direction(String paramString)
  {
    this.edge2Direction = paramString;
  }

  public String getEdge2Direction()
  {
    return this.edge2Direction;
  }

  public TrapInfo withEdge2Direction(String paramString)
  {
    this.edge2Direction = paramString;
    return this;
  }

  @Element("interval")
  @Type("integer")
  @Optional
  public void setInterval(Long paramLong)
  {
    this.interval = paramLong;
  }

  public Long getInterval()
  {
    return this.interval;
  }

  public TrapInfo withInterval(Long paramLong)
  {
    this.interval = paramLong;
    return this;
  }

  @Element("interval-offset")
  @Type("integer")
  @Optional
  public void setIntervalOffset(Long paramLong)
  {
    this.intervalOffset = paramLong;
  }

  public Long getIntervalOffset()
  {
    return this.intervalOffset;
  }

  public TrapInfo withIntervalOffset(Long paramLong)
  {
    this.intervalOffset = paramLong;
    return this;
  }

  @Element("message")
  @Type("string")
  @Optional
  public void setMessage(String paramString)
  {
    this.message = paramString;
  }

  public String getMessage()
  {
    return this.message;
  }

  public TrapInfo withMessage(String paramString)
  {
    this.message = paramString;
    return this;
  }

  @Element("priority")
  @Type("string")
  @Optional
  public void setPriority(String paramString)
  {
    this.priority = paramString;
  }

  public String getPriority()
  {
    return this.priority;
  }

  public TrapInfo withPriority(String paramString)
  {
    this.priority = paramString;
    return this;
  }

  @Element("rate-interval")
  @Type("integer")
  @Optional
  public void setRateInterval(Long paramLong)
  {
    this.rateInterval = paramLong;
  }

  public Long getRateInterval()
  {
    return this.rateInterval;
  }

  public TrapInfo withRateInterval(Long paramLong)
  {
    this.rateInterval = paramLong;
    return this;
  }

  @Element("trap-name")
  @Type("string")
  public void setTrapName(String paramString)
  {
    this.trapName = paramString;
  }

  public String getTrapName()
  {
    return this.trapName;
  }

  public TrapInfo withTrapName(String paramString)
  {
    this.trapName = paramString;
    return this;
  }

  @Element("trigger")
  @Type("string")
  @Optional
  public void setTrigger(String paramString)
  {
    this.trigger = paramString;
  }

  public String getTrigger()
  {
    return this.trigger;
  }

  public TrapInfo withTrigger(String paramString)
  {
    this.trigger = paramString;
    return this;
  }
}