package com.netapp.filer.software;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("software-async-status")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "EONTAPI_EBUSY"})
public class SoftwareAsyncStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long asyncOpErrorCode;
  public String asyncOpName;
  public Long asyncOpPercentDone;

  @Output("async-op-error-code")
  @Type("integer")
  @Optional
  public void setAsyncOpErrorCode(Long paramLong)
  {
    this.asyncOpErrorCode = paramLong;
  }

  public Long getAsyncOpErrorCode()
  {
    return this.asyncOpErrorCode;
  }

  public SoftwareAsyncStatus withAsyncOpErrorCode(Long paramLong)
  {
    this.asyncOpErrorCode = paramLong;
    return this;
  }

  @Output("async-op-name")
  @Type("string")
  public void setAsyncOpName(String paramString)
  {
    this.asyncOpName = paramString;
  }

  public String getAsyncOpName()
  {
    return this.asyncOpName;
  }

  public SoftwareAsyncStatus withAsyncOpName(String paramString)
  {
    this.asyncOpName = paramString;
    return this;
  }

  @Output("async-op-percent-done")
  @Type("integer")
  @Optional
  public void setAsyncOpPercentDone(Long paramLong)
  {
    this.asyncOpPercentDone = paramLong;
  }

  public Long getAsyncOpPercentDone()
  {
    return this.asyncOpPercentDone;
  }

  public SoftwareAsyncStatus withAsyncOpPercentDone(Long paramLong)
  {
    this.asyncOpPercentDone = paramLong;
    return this;
  }
}