package com.netapp.filer.software;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("software-async-transfer-package")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "ENPMNOPKG", "EONTAPI_EAGAIN", "EONTAPI_EBUSY"})
public class SoftwareAsyncTransferPackage
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationFileName;
  public String httpUrl;

  @Input("destination-file-name")
  @Type("string")
  @Optional
  public void setDestinationFileName(String paramString)
  {
    this.destinationFileName = paramString;
  }

  public String getDestinationFileName()
  {
    return this.destinationFileName;
  }

  public SoftwareAsyncTransferPackage withDestinationFileName(String paramString)
  {
    this.destinationFileName = paramString;
    return this;
  }

  @Input("http-url")
  @Type("string")
  public void setHttpUrl(String paramString)
  {
    this.httpUrl = paramString;
  }

  public String getHttpUrl()
  {
    return this.httpUrl;
  }

  public SoftwareAsyncTransferPackage withHttpUrl(String paramString)
  {
    this.httpUrl = paramString;
    return this;
  }
}