package com.netapp.filer.software;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("software-async-update")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "ENPMNOPKG", "EONTAPI_EAGAIN", "EONTAPI_EBUSY"})
public class SoftwareAsyncUpdate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean install;
  public String packageName;
  public Boolean reboot;

  @Input("install")
  @Type("boolean")
  @Optional
  public void setInstall(Boolean paramBoolean)
  {
    this.install = paramBoolean;
  }

  public Boolean isInstall()
  {
    return this.install;
  }

  public SoftwareAsyncUpdate withInstall(Boolean paramBoolean)
  {
    this.install = paramBoolean;
    return this;
  }

  @Input("package-name")
  @Type("string")
  public void setPackageName(String paramString)
  {
    this.packageName = paramString;
  }

  public String getPackageName()
  {
    return this.packageName;
  }

  public SoftwareAsyncUpdate withPackageName(String paramString)
  {
    this.packageName = paramString;
    return this;
  }

  @Input("reboot")
  @Type("boolean")
  @Optional
  public void setReboot(Boolean paramBoolean)
  {
    this.reboot = paramBoolean;
  }

  public Boolean isReboot()
  {
    return this.reboot;
  }

  public SoftwareAsyncUpdate withReboot(Boolean paramBoolean)
  {
    this.reboot = paramBoolean;
    return this;
  }
}