package com.netapp.filer.software;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("software-delete-package")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "ENPMNOPKG", "EONTAPI_EAGAIN", "EONTAPI_EBUSY"})
public class SoftwareDeletePackage
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String packageName;

  @Input("package-name")
  @Type("string")
  public void setPackageName(String paramString)
  {
    this.packageName = paramString;
  }

  public String getPackageName()
  {
    return this.packageName;
  }

  public SoftwareDeletePackage withPackageName(String paramString)
  {
    this.packageName = paramString;
    return this;
  }
}