package com.netapp.filer.software;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("software-list-package")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "ENPMNOPKG", "EONTAPI_EAGAIN", "EONTAPI_EBUSY"})
public class SoftwareListPackage
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String softwarePackageList;

  @Output("software-package-list")
  @Type("string")
  public void setSoftwarePackageList(String paramString)
  {
    this.softwarePackageList = paramString;
  }

  public String getSoftwarePackageList()
  {
    return this.softwarePackageList;
  }

  public SoftwareListPackage withSoftwarePackageList(String paramString)
  {
    this.softwarePackageList = paramString;
    return this;
  }
}