package com.netapp.filer.storageadapter;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("adapter-detail-info")
public class AdapterDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public AdapterFcInfo adapterFc;
  public String adapterName;
  public AdapterParallelScsiInfo adapterParallelScsi;
  public AdapterSasInfo adapterSas;
  public String adapterType;

  @Element("adapter-fc")
  @Type("adapter-fc-info")
  @Optional
  public void setAdapterFc(AdapterFcInfo paramAdapterFcInfo)
  {
    this.adapterFc = paramAdapterFcInfo;
  }

  public AdapterFcInfo getAdapterFc()
  {
    return this.adapterFc;
  }

  public AdapterDetailInfo withAdapterFc(AdapterFcInfo paramAdapterFcInfo)
  {
    this.adapterFc = paramAdapterFcInfo;
    return this;
  }

  @Element("adapter-name")
  @Type("string")
  public void setAdapterName(String paramString)
  {
    this.adapterName = paramString;
  }

  public String getAdapterName()
  {
    return this.adapterName;
  }

  public AdapterDetailInfo withAdapterName(String paramString)
  {
    this.adapterName = paramString;
    return this;
  }

  @Element("adapter-parallel-scsi")
  @Type("adapter-parallel-scsi-info")
  @Optional
  public void setAdapterParallelScsi(AdapterParallelScsiInfo paramAdapterParallelScsiInfo)
  {
    this.adapterParallelScsi = paramAdapterParallelScsiInfo;
  }

  public AdapterParallelScsiInfo getAdapterParallelScsi()
  {
    return this.adapterParallelScsi;
  }

  public AdapterDetailInfo withAdapterParallelScsi(AdapterParallelScsiInfo paramAdapterParallelScsiInfo)
  {
    this.adapterParallelScsi = paramAdapterParallelScsiInfo;
    return this;
  }

  @Element("adapter-sas")
  @Type("adapter-sas-info")
  @Optional
  public void setAdapterSas(AdapterSasInfo paramAdapterSasInfo)
  {
    this.adapterSas = paramAdapterSasInfo;
  }

  public AdapterSasInfo getAdapterSas()
  {
    return this.adapterSas;
  }

  public AdapterDetailInfo withAdapterSas(AdapterSasInfo paramAdapterSasInfo)
  {
    this.adapterSas = paramAdapterSasInfo;
    return this;
  }

  @Element("adapter-type")
  @Type("string")
  public void setAdapterType(String paramString)
  {
    this.adapterType = paramString;
  }

  public String getAdapterType()
  {
    return this.adapterType;
  }

  public AdapterDetailInfo withAdapterType(String paramString)
  {
    this.adapterType = paramString;
    return this;
  }
}