package com.netapp.filer.storageadapter;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("adapter-sas-info")
public class AdapterSasInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String adapterModel;
  public String baseWwn;
  public String firmwareRev;
  public String hardwareRev;
  public Boolean enabled;
  public Boolean inUse;
  public Boolean redundant;
  public List<PhyStateInfo> sasPhy;

  @Element("adapter-model")
  @Type("string")
  public void setAdapterModel(String paramString)
  {
    this.adapterModel = paramString;
  }

  public String getAdapterModel()
  {
    return this.adapterModel;
  }

  public AdapterSasInfo withAdapterModel(String paramString)
  {
    this.adapterModel = paramString;
    return this;
  }

  @Element("base-wwn")
  @Type("string")
  public void setBaseWwn(String paramString)
  {
    this.baseWwn = paramString;
  }

  public String getBaseWwn()
  {
    return this.baseWwn;
  }

  public AdapterSasInfo withBaseWwn(String paramString)
  {
    this.baseWwn = paramString;
    return this;
  }

  @Element("firmware-rev")
  @Type("string")
  public void setFirmwareRev(String paramString)
  {
    this.firmwareRev = paramString;
  }

  public String getFirmwareRev()
  {
    return this.firmwareRev;
  }

  public AdapterSasInfo withFirmwareRev(String paramString)
  {
    this.firmwareRev = paramString;
    return this;
  }

  @Element("hardware-rev")
  @Type("string")
  public void setHardwareRev(String paramString)
  {
    this.hardwareRev = paramString;
  }

  public String getHardwareRev()
  {
    return this.hardwareRev;
  }

  public AdapterSasInfo withHardwareRev(String paramString)
  {
    this.hardwareRev = paramString;
    return this;
  }

  @Element("is-enabled")
  @Type("boolean")
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public AdapterSasInfo withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Element("is-in-use")
  @Type("boolean")
  public void setInUse(Boolean paramBoolean)
  {
    this.inUse = paramBoolean;
  }

  public Boolean isInUse()
  {
    return this.inUse;
  }

  public AdapterSasInfo withInUse(Boolean paramBoolean)
  {
    this.inUse = paramBoolean;
    return this;
  }

  @Element("is-redundant")
  @Type("boolean")
  public void setRedundant(Boolean paramBoolean)
  {
    this.redundant = paramBoolean;
  }

  public Boolean isRedundant()
  {
    return this.redundant;
  }

  public AdapterSasInfo withRedundant(Boolean paramBoolean)
  {
    this.redundant = paramBoolean;
    return this;
  }

  @Element("sas-phy")
  @Type("phy-state-info[]")
  @Optional
  public void setSasPhy(List<PhyStateInfo> paramList)
  {
    this.sasPhy = paramList;
  }

  public List<PhyStateInfo> getSasPhy()
  {
    return this.sasPhy;
  }

  public AdapterSasInfo withSasPhy(List<PhyStateInfo> paramList)
  {
    this.sasPhy = paramList;
    return this;
  }

  public AdapterSasInfo withSasPhy(PhyStateInfo[] paramArrayOfPhyStateInfo)
  {
    this.sasPhy = new ArrayList(Arrays.asList(paramArrayOfPhyStateInfo));
    return this;
  }
}