package com.netapp.filer.storageadapter;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("storage-adapter-get-adapter-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class StorageAdapterGetAdapterInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public AdapterDetailInfo adapterDetails;
  public String adapterName;

  @Output("adapter-details")
  @Type("adapter-detail-info")
  public void setAdapterDetails(AdapterDetailInfo paramAdapterDetailInfo)
  {
    this.adapterDetails = paramAdapterDetailInfo;
  }

  public AdapterDetailInfo getAdapterDetails()
  {
    return this.adapterDetails;
  }

  public StorageAdapterGetAdapterInfo withAdapterDetails(AdapterDetailInfo paramAdapterDetailInfo)
  {
    this.adapterDetails = paramAdapterDetailInfo;
    return this;
  }

  @Input("adapter-name")
  @Type("string")
  public void setAdapterName(String paramString)
  {
    this.adapterName = paramString;
  }

  public String getAdapterName()
  {
    return this.adapterName;
  }

  public StorageAdapterGetAdapterInfo withAdapterName(String paramString)
  {
    this.adapterName = paramString;
    return this;
  }
}