package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("replication-transfer-info")
public class ReplicationTransferInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long replicationAvailableTransfers;
  public Long replicationMaximumTransfers;
  public String replicationType;

  @Element("replication-available-transfers")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setReplicationAvailableTransfers(Long paramLong)
  {
    this.replicationAvailableTransfers = paramLong;
  }

  public Long getReplicationAvailableTransfers()
  {
    return this.replicationAvailableTransfers;
  }

  public ReplicationTransferInfo withReplicationAvailableTransfers(Long paramLong)
  {
    this.replicationAvailableTransfers = paramLong;
    return this;
  }

  @Element("replication-maximum-transfers")
  @Type("integer")
  @Range(min="1", max="2^32-1")
  public void setReplicationMaximumTransfers(Long paramLong)
  {
    this.replicationMaximumTransfers = paramLong;
  }

  public Long getReplicationMaximumTransfers()
  {
    return this.replicationMaximumTransfers;
  }

  public ReplicationTransferInfo withReplicationMaximumTransfers(Long paramLong)
  {
    this.replicationMaximumTransfers = paramLong;
    return this;
  }

  @Element("replication-type")
  @Type("string")
  public void setReplicationType(String paramString)
  {
    this.replicationType = paramString;
  }

  public String getReplicationType()
  {
    return this.replicationType;
  }

  public ReplicationTransferInfo withReplicationType(String paramString)
  {
    this.replicationType = paramString;
    return this;
  }
}