package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("system-api-info")
public class SystemApiInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean streaming;
  public String license;
  public String name;

  @Element("is-streaming")
  @Type("boolean")
  @Optional
  public void setStreaming(Boolean paramBoolean)
  {
    this.streaming = paramBoolean;
  }

  public Boolean isStreaming()
  {
    return this.streaming;
  }

  public SystemApiInfo withStreaming(Boolean paramBoolean)
  {
    this.streaming = paramBoolean;
    return this;
  }

  @Element("license")
  @Type("string")
  @Optional
  public void setLicense(String paramString)
  {
    this.license = paramString;
  }

  public String getLicense()
  {
    return this.license;
  }

  public SystemApiInfo withLicense(String paramString)
  {
    this.license = paramString;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public SystemApiInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}