package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("system-info")
public class SystemInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String backplanePartNumber;
  public String backplaneRevision;
  public String backplaneSerialNumber;
  public Long boardSpeed;
  public String boardType;
  public String controllerAddress;
  public String cpuCiobRevisionId;
  public String cpuFirmwareRelease;
  public String cpuMicrocodeVersion;
  public String cpuPartNumber;
  public String cpuProcessorId;
  public String cpuProcessorType;
  public String cpuRevision;
  public String cpuSerialNumber;
  public Long memorySize;
  public Long numberOfProcessors;
  public String partnerSystemId;
  public String partnerSystemName;
  public String partnerSystemSerialNumber;
  public String prodType;
  public Boolean supportsRaidArray;
  public String systemId;
  public String systemMachineType;
  public String systemModel;
  public String systemName;
  public String systemRevision;
  public String systemSerialNumber;
  public String vendorId;

  @Element("backplane-part-number")
  @Type("string")
  @Optional
  public void setBackplanePartNumber(String paramString)
  {
    this.backplanePartNumber = paramString;
  }

  public String getBackplanePartNumber()
  {
    return this.backplanePartNumber;
  }

  public SystemInfo withBackplanePartNumber(String paramString)
  {
    this.backplanePartNumber = paramString;
    return this;
  }

  @Element("backplane-revision")
  @Type("string")
  @Optional
  public void setBackplaneRevision(String paramString)
  {
    this.backplaneRevision = paramString;
  }

  public String getBackplaneRevision()
  {
    return this.backplaneRevision;
  }

  public SystemInfo withBackplaneRevision(String paramString)
  {
    this.backplaneRevision = paramString;
    return this;
  }

  @Element("backplane-serial-number")
  @Type("string")
  @Optional
  public void setBackplaneSerialNumber(String paramString)
  {
    this.backplaneSerialNumber = paramString;
  }

  public String getBackplaneSerialNumber()
  {
    return this.backplaneSerialNumber;
  }

  public SystemInfo withBackplaneSerialNumber(String paramString)
  {
    this.backplaneSerialNumber = paramString;
    return this;
  }

  @Element("board-speed")
  @Type("integer")
  public void setBoardSpeed(Long paramLong)
  {
    this.boardSpeed = paramLong;
  }

  public Long getBoardSpeed()
  {
    return this.boardSpeed;
  }

  public SystemInfo withBoardSpeed(Long paramLong)
  {
    this.boardSpeed = paramLong;
    return this;
  }

  @Element("board-type")
  @Type("string")
  public void setBoardType(String paramString)
  {
    this.boardType = paramString;
  }

  public String getBoardType()
  {
    return this.boardType;
  }

  public SystemInfo withBoardType(String paramString)
  {
    this.boardType = paramString;
    return this;
  }

  @Element("controller-address")
  @Type("string")
  @Optional
  public void setControllerAddress(String paramString)
  {
    this.controllerAddress = paramString;
  }

  public String getControllerAddress()
  {
    return this.controllerAddress;
  }

  public SystemInfo withControllerAddress(String paramString)
  {
    this.controllerAddress = paramString;
    return this;
  }

  @Element("cpu-ciob-revision-id")
  @Type("string")
  @Optional
  public void setCpuCiobRevisionId(String paramString)
  {
    this.cpuCiobRevisionId = paramString;
  }

  public String getCpuCiobRevisionId()
  {
    return this.cpuCiobRevisionId;
  }

  public SystemInfo withCpuCiobRevisionId(String paramString)
  {
    this.cpuCiobRevisionId = paramString;
    return this;
  }

  @Element("cpu-firmware-release")
  @Type("string")
  @Optional
  public void setCpuFirmwareRelease(String paramString)
  {
    this.cpuFirmwareRelease = paramString;
  }

  public String getCpuFirmwareRelease()
  {
    return this.cpuFirmwareRelease;
  }

  public SystemInfo withCpuFirmwareRelease(String paramString)
  {
    this.cpuFirmwareRelease = paramString;
    return this;
  }

  @Element("cpu-microcode-version")
  @Type("string")
  @Optional
  public void setCpuMicrocodeVersion(String paramString)
  {
    this.cpuMicrocodeVersion = paramString;
  }

  public String getCpuMicrocodeVersion()
  {
    return this.cpuMicrocodeVersion;
  }

  public SystemInfo withCpuMicrocodeVersion(String paramString)
  {
    this.cpuMicrocodeVersion = paramString;
    return this;
  }

  @Element("cpu-part-number")
  @Type("string")
  @Optional
  public void setCpuPartNumber(String paramString)
  {
    this.cpuPartNumber = paramString;
  }

  public String getCpuPartNumber()
  {
    return this.cpuPartNumber;
  }

  public SystemInfo withCpuPartNumber(String paramString)
  {
    this.cpuPartNumber = paramString;
    return this;
  }

  @Element("cpu-processor-id")
  @Type("string")
  @Optional
  public void setCpuProcessorId(String paramString)
  {
    this.cpuProcessorId = paramString;
  }

  public String getCpuProcessorId()
  {
    return this.cpuProcessorId;
  }

  public SystemInfo withCpuProcessorId(String paramString)
  {
    this.cpuProcessorId = paramString;
    return this;
  }

  @Element("cpu-processor-type")
  @Type("string")
  @Optional
  public void setCpuProcessorType(String paramString)
  {
    this.cpuProcessorType = paramString;
  }

  public String getCpuProcessorType()
  {
    return this.cpuProcessorType;
  }

  public SystemInfo withCpuProcessorType(String paramString)
  {
    this.cpuProcessorType = paramString;
    return this;
  }

  @Element("cpu-revision")
  @Type("string")
  @Optional
  public void setCpuRevision(String paramString)
  {
    this.cpuRevision = paramString;
  }

  public String getCpuRevision()
  {
    return this.cpuRevision;
  }

  public SystemInfo withCpuRevision(String paramString)
  {
    this.cpuRevision = paramString;
    return this;
  }

  @Element("cpu-serial-number")
  @Type("string")
  @Optional
  public void setCpuSerialNumber(String paramString)
  {
    this.cpuSerialNumber = paramString;
  }

  public String getCpuSerialNumber()
  {
    return this.cpuSerialNumber;
  }

  public SystemInfo withCpuSerialNumber(String paramString)
  {
    this.cpuSerialNumber = paramString;
    return this;
  }

  @Element("memory-size")
  @Type("integer")
  public void setMemorySize(Long paramLong)
  {
    this.memorySize = paramLong;
  }

  public Long getMemorySize()
  {
    return this.memorySize;
  }

  public SystemInfo withMemorySize(Long paramLong)
  {
    this.memorySize = paramLong;
    return this;
  }

  @Element("number-of-processors")
  @Type("integer")
  public void setNumberOfProcessors(Long paramLong)
  {
    this.numberOfProcessors = paramLong;
  }

  public Long getNumberOfProcessors()
  {
    return this.numberOfProcessors;
  }

  public SystemInfo withNumberOfProcessors(Long paramLong)
  {
    this.numberOfProcessors = paramLong;
    return this;
  }

  @Element("partner-system-id")
  @Type("string")
  @Optional
  public void setPartnerSystemId(String paramString)
  {
    this.partnerSystemId = paramString;
  }

  public String getPartnerSystemId()
  {
    return this.partnerSystemId;
  }

  public SystemInfo withPartnerSystemId(String paramString)
  {
    this.partnerSystemId = paramString;
    return this;
  }

  @Element("partner-system-name")
  @Type("string")
  @Optional
  public void setPartnerSystemName(String paramString)
  {
    this.partnerSystemName = paramString;
  }

  public String getPartnerSystemName()
  {
    return this.partnerSystemName;
  }

  public SystemInfo withPartnerSystemName(String paramString)
  {
    this.partnerSystemName = paramString;
    return this;
  }

  @Element("partner-system-serial-number")
  @Type("string")
  @Optional
  public void setPartnerSystemSerialNumber(String paramString)
  {
    this.partnerSystemSerialNumber = paramString;
  }

  public String getPartnerSystemSerialNumber()
  {
    return this.partnerSystemSerialNumber;
  }

  public SystemInfo withPartnerSystemSerialNumber(String paramString)
  {
    this.partnerSystemSerialNumber = paramString;
    return this;
  }

  @Element("prod-type")
  @Type("string")
  @Optional
  public void setProdType(String paramString)
  {
    this.prodType = paramString;
  }

  public String getProdType()
  {
    return this.prodType;
  }

  public SystemInfo withProdType(String paramString)
  {
    this.prodType = paramString;
    return this;
  }

  @Element("supports-raid-array")
  @Type("boolean")
  public void setSupportsRaidArray(Boolean paramBoolean)
  {
    this.supportsRaidArray = paramBoolean;
  }

  public Boolean isSupportsRaidArray()
  {
    return this.supportsRaidArray;
  }

  public SystemInfo withSupportsRaidArray(Boolean paramBoolean)
  {
    this.supportsRaidArray = paramBoolean;
    return this;
  }

  @Element("system-id")
  @Type("string")
  public void setSystemId(String paramString)
  {
    this.systemId = paramString;
  }

  public String getSystemId()
  {
    return this.systemId;
  }

  public SystemInfo withSystemId(String paramString)
  {
    this.systemId = paramString;
    return this;
  }

  @Element("system-machine-type")
  @Type("string")
  public void setSystemMachineType(String paramString)
  {
    this.systemMachineType = paramString;
  }

  public String getSystemMachineType()
  {
    return this.systemMachineType;
  }

  public SystemInfo withSystemMachineType(String paramString)
  {
    this.systemMachineType = paramString;
    return this;
  }

  @Element("system-model")
  @Type("string")
  public void setSystemModel(String paramString)
  {
    this.systemModel = paramString;
  }

  public String getSystemModel()
  {
    return this.systemModel;
  }

  public SystemInfo withSystemModel(String paramString)
  {
    this.systemModel = paramString;
    return this;
  }

  @Element("system-name")
  @Type("string")
  public void setSystemName(String paramString)
  {
    this.systemName = paramString;
  }

  public String getSystemName()
  {
    return this.systemName;
  }

  public SystemInfo withSystemName(String paramString)
  {
    this.systemName = paramString;
    return this;
  }

  @Element("system-revision")
  @Type("string")
  @Optional
  public void setSystemRevision(String paramString)
  {
    this.systemRevision = paramString;
  }

  public String getSystemRevision()
  {
    return this.systemRevision;
  }

  public SystemInfo withSystemRevision(String paramString)
  {
    this.systemRevision = paramString;
    return this;
  }

  @Element("system-serial-number")
  @Type("string")
  @Optional
  public void setSystemSerialNumber(String paramString)
  {
    this.systemSerialNumber = paramString;
  }

  public String getSystemSerialNumber()
  {
    return this.systemSerialNumber;
  }

  public SystemInfo withSystemSerialNumber(String paramString)
  {
    this.systemSerialNumber = paramString;
    return this;
  }

  @Element("vendor-id")
  @Type("string")
  public void setVendorId(String paramString)
  {
    this.vendorId = paramString;
  }

  public String getVendorId()
  {
    return this.vendorId;
  }

  public SystemInfo withVendorId(String paramString)
  {
    this.vendorId = paramString;
    return this;
  }
}