package com.netapp.filer.test;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("test-iter-next")
@Status(StatusEnum.UNSUPPORTED)
public class TestIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public Long records;
  public String tag;
  public List<Testinfo> testinfos;

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public TestIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public TestIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public TestIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Output("testinfos")
  @Type("testinfo[]")
  public void setTestinfos(List<Testinfo> paramList)
  {
    this.testinfos = paramList;
  }

  public List<Testinfo> getTestinfos()
  {
    return this.testinfos;
  }

  public TestIterNext withTestinfos(List<Testinfo> paramList)
  {
    this.testinfos = paramList;
    return this;
  }

  public TestIterNext withTestinfos(Testinfo[] paramArrayOfTestinfo)
  {
    this.testinfos = new ArrayList(Arrays.asList(paramArrayOfTestinfo));
    return this;
  }
}