package com.netapp.filer.test;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("test-password-get")
@Status(StatusEnum.UNSUPPORTED)
public class TestPasswordGet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String decryptedPassword;
  public String passwordOutput;
  public String passwordInput;

  @Output("decrypted-password")
  @Type("string")
  public void setDecryptedPassword(String paramString)
  {
    this.decryptedPassword = paramString;
  }

  public String getDecryptedPassword()
  {
    return this.decryptedPassword;
  }

  public TestPasswordGet withDecryptedPassword(String paramString)
  {
    this.decryptedPassword = paramString;
    return this;
  }

  @Output("password")
  @Type("string")
  public void setPasswordOutput(String paramString)
  {
    this.passwordOutput = paramString;
  }

  public String getPasswordOutput()
  {
    return this.passwordOutput;
  }

  public TestPasswordGet withPasswordOutput(String paramString)
  {
    this.passwordOutput = paramString;
    return this;
  }

  @Input("password")
  @Type("string")
  @Optional
  public void setPasswordInput(String paramString)
  {
    this.passwordInput = paramString;
  }

  public String getPasswordInput()
  {
    return this.passwordInput;
  }

  public TestPasswordGet withPasswordInput(String paramString)
  {
    this.passwordInput = paramString;
    return this;
  }
}