package com.netapp.filer.test;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("test-password-set")
@Status(StatusEnum.UNSUPPORTED)
public class TestPasswordSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String decryptedPassword;
  public String password;

  @Output("decrypted-password")
  @Type("string")
  public void setDecryptedPassword(String paramString)
  {
    this.decryptedPassword = paramString;
  }

  public String getDecryptedPassword()
  {
    return this.decryptedPassword;
  }

  public TestPasswordSet withDecryptedPassword(String paramString)
  {
    this.decryptedPassword = paramString;
    return this;
  }

  @Input("password")
  @Type("string")
  public void setPassword(String paramString)
  {
    this.password = paramString;
  }

  public String getPassword()
  {
    return this.password;
  }

  public TestPasswordSet withPassword(String paramString)
  {
    this.password = paramString;
    return this;
  }
}