package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("useradmin-domainuser-delete")
@Status(StatusEnum.PUBLIC)
@Errno({"ECIFSNOTCONFIGURED", "EINTERNALERROR", "EONTAPI_EPERM"})
@Family({"ontap-c", "vfiler"})
public class UseradminDomainuserDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String userIdentifier;
  public List<UseradminGroupInfo> useradminGroups;

  @Input("user-identifier")
  @Type("string")
  public void setUserIdentifier(String paramString)
  {
    this.userIdentifier = paramString;
  }

  public String getUserIdentifier()
  {
    return this.userIdentifier;
  }

  public UseradminDomainuserDelete withUserIdentifier(String paramString)
  {
    this.userIdentifier = paramString;
    return this;
  }

  @Input("useradmin-groups")
  @Type("useradmin-group-info[]")
  public void setUseradminGroups(List<UseradminGroupInfo> paramList)
  {
    this.useradminGroups = paramList;
  }

  public List<UseradminGroupInfo> getUseradminGroups()
  {
    return this.useradminGroups;
  }

  public UseradminDomainuserDelete withUseradminGroups(List<UseradminGroupInfo> paramList)
  {
    this.useradminGroups = paramList;
    return this;
  }

  public UseradminDomainuserDelete withUseradminGroups(UseradminGroupInfo[] paramArrayOfUseradminGroupInfo)
  {
    this.useradminGroups = new ArrayList(Arrays.asList(paramArrayOfUseradminGroupInfo));
    return this;
  }
}