package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("useradmin-group-info")
public class UseradminGroupInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<UseradminCapabilityInfo> allowedCapabilities;
  public String comment;
  public String name;
  public String rid;
  public List<UseradminRoleInfo> useradminRoles;

  @Element("allowed-capabilities")
  @Type("useradmin-capability-info[]")
  @Optional
  public void setAllowedCapabilities(List<UseradminCapabilityInfo> paramList)
  {
    this.allowedCapabilities = paramList;
  }

  public List<UseradminCapabilityInfo> getAllowedCapabilities()
  {
    return this.allowedCapabilities;
  }

  public UseradminGroupInfo withAllowedCapabilities(List<UseradminCapabilityInfo> paramList)
  {
    this.allowedCapabilities = paramList;
    return this;
  }

  public UseradminGroupInfo withAllowedCapabilities(UseradminCapabilityInfo[] paramArrayOfUseradminCapabilityInfo)
  {
    this.allowedCapabilities = new ArrayList(Arrays.asList(paramArrayOfUseradminCapabilityInfo));
    return this;
  }

  @Element("comment")
  @Type("string")
  @Optional
  public void setComment(String paramString)
  {
    this.comment = paramString;
  }

  public String getComment()
  {
    return this.comment;
  }

  public UseradminGroupInfo withComment(String paramString)
  {
    this.comment = paramString;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public UseradminGroupInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("rid")
  @Type("string")
  @Optional
  public void setRid(String paramString)
  {
    this.rid = paramString;
  }

  public String getRid()
  {
    return this.rid;
  }

  public UseradminGroupInfo withRid(String paramString)
  {
    this.rid = paramString;
    return this;
  }

  @Element("useradmin-roles")
  @Type("useradmin-role-info[]")
  @Optional
  public void setUseradminRoles(List<UseradminRoleInfo> paramList)
  {
    this.useradminRoles = paramList;
  }

  public List<UseradminRoleInfo> getUseradminRoles()
  {
    return this.useradminRoles;
  }

  public UseradminGroupInfo withUseradminRoles(List<UseradminRoleInfo> paramList)
  {
    this.useradminRoles = paramList;
    return this;
  }

  public UseradminGroupInfo withUseradminRoles(UseradminRoleInfo[] paramArrayOfUseradminRoleInfo)
  {
    this.useradminRoles = new ArrayList(Arrays.asList(paramArrayOfUseradminRoleInfo));
    return this;
  }
}