package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("useradmin-role-info")
public class UseradminRoleInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<UseradminCapabilityInfo> allowedCapabilities;
  public String comment;
  public String name;

  @Element("allowed-capabilities")
  @Type("useradmin-capability-info[]")
  @Optional
  public void setAllowedCapabilities(List<UseradminCapabilityInfo> paramList)
  {
    this.allowedCapabilities = paramList;
  }

  public List<UseradminCapabilityInfo> getAllowedCapabilities()
  {
    return this.allowedCapabilities;
  }

  public UseradminRoleInfo withAllowedCapabilities(List<UseradminCapabilityInfo> paramList)
  {
    this.allowedCapabilities = paramList;
    return this;
  }

  public UseradminRoleInfo withAllowedCapabilities(UseradminCapabilityInfo[] paramArrayOfUseradminCapabilityInfo)
  {
    this.allowedCapabilities = new ArrayList(Arrays.asList(paramArrayOfUseradminCapabilityInfo));
    return this;
  }

  @Element("comment")
  @Type("string")
  @Optional
  public void setComment(String paramString)
  {
    this.comment = paramString;
  }

  public String getComment()
  {
    return this.comment;
  }

  public UseradminRoleInfo withComment(String paramString)
  {
    this.comment = paramString;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public UseradminRoleInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}