package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("useradmin-user-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDPASSWORD"})
@Family({"ontap-c", "vfiler"})
public class UseradminUserAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String password;
  public UseradminUserInfo useradminUser;

  @Input("password")
  @Type("string")
  public void setPassword(String paramString)
  {
    this.password = paramString;
  }

  public String getPassword()
  {
    return this.password;
  }

  public UseradminUserAdd withPassword(String paramString)
  {
    this.password = paramString;
    return this;
  }

  @Input("useradmin-user")
  @Type("useradmin-user-info")
  public void setUseradminUser(UseradminUserInfo paramUseradminUserInfo)
  {
    this.useradminUser = paramUseradminUserInfo;
  }

  public UseradminUserInfo getUseradminUser()
  {
    return this.useradminUser;
  }

  public UseradminUserAdd withUseradminUser(UseradminUserInfo paramUseradminUserInfo)
  {
    this.useradminUser = paramUseradminUserInfo;
    return this;
  }
}