package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("useradmin-user-info")
public class UseradminUserInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<UseradminCapabilityInfo> allowedCapabilities;
  public String comment;
  public String fullName;
  public String name;
  public Long passwordMaximumAge;
  public Long passwordMinimumAge;
  public String rid;
  public String status;
  public List<UseradminGroupInfo> useradminGroups;

  @Element("allowed-capabilities")
  @Type("useradmin-capability-info[]")
  @Optional
  public void setAllowedCapabilities(List<UseradminCapabilityInfo> paramList)
  {
    this.allowedCapabilities = paramList;
  }

  public List<UseradminCapabilityInfo> getAllowedCapabilities()
  {
    return this.allowedCapabilities;
  }

  public UseradminUserInfo withAllowedCapabilities(List<UseradminCapabilityInfo> paramList)
  {
    this.allowedCapabilities = paramList;
    return this;
  }

  public UseradminUserInfo withAllowedCapabilities(UseradminCapabilityInfo[] paramArrayOfUseradminCapabilityInfo)
  {
    this.allowedCapabilities = new ArrayList(Arrays.asList(paramArrayOfUseradminCapabilityInfo));
    return this;
  }

  @Element("comment")
  @Type("string")
  @Optional
  public void setComment(String paramString)
  {
    this.comment = paramString;
  }

  public String getComment()
  {
    return this.comment;
  }

  public UseradminUserInfo withComment(String paramString)
  {
    this.comment = paramString;
    return this;
  }

  @Element("full-name")
  @Type("string")
  @Optional
  public void setFullName(String paramString)
  {
    this.fullName = paramString;
  }

  public String getFullName()
  {
    return this.fullName;
  }

  public UseradminUserInfo withFullName(String paramString)
  {
    this.fullName = paramString;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public UseradminUserInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("password-maximum-age")
  @Type("integer")
  @Optional
  public void setPasswordMaximumAge(Long paramLong)
  {
    this.passwordMaximumAge = paramLong;
  }

  public Long getPasswordMaximumAge()
  {
    return this.passwordMaximumAge;
  }

  public UseradminUserInfo withPasswordMaximumAge(Long paramLong)
  {
    this.passwordMaximumAge = paramLong;
    return this;
  }

  @Element("password-minimum-age")
  @Type("integer")
  @Optional
  public void setPasswordMinimumAge(Long paramLong)
  {
    this.passwordMinimumAge = paramLong;
  }

  public Long getPasswordMinimumAge()
  {
    return this.passwordMinimumAge;
  }

  public UseradminUserInfo withPasswordMinimumAge(Long paramLong)
  {
    this.passwordMinimumAge = paramLong;
    return this;
  }

  @Element("rid")
  @Type("string")
  @Optional
  public void setRid(String paramString)
  {
    this.rid = paramString;
  }

  public String getRid()
  {
    return this.rid;
  }

  public UseradminUserInfo withRid(String paramString)
  {
    this.rid = paramString;
    return this;
  }

  @Element("status")
  @Type("string")
  @Optional
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public UseradminUserInfo withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Element("useradmin-groups")
  @Type("useradmin-group-info[]")
  public void setUseradminGroups(List<UseradminGroupInfo> paramList)
  {
    this.useradminGroups = paramList;
  }

  public List<UseradminGroupInfo> getUseradminGroups()
  {
    return this.useradminGroups;
  }

  public UseradminUserInfo withUseradminGroups(List<UseradminGroupInfo> paramList)
  {
    this.useradminGroups = paramList;
    return this;
  }

  public UseradminUserInfo withUseradminGroups(UseradminGroupInfo[] paramArrayOfUseradminGroupInfo)
  {
    this.useradminGroups = new ArrayList(Arrays.asList(paramArrayOfUseradminGroupInfo));
    return this;
  }
}