package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("useradmin-user-list")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminUserList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String groupName;
  public String userName;
  public List<UseradminUserInfo> useradminUsers;
  public Boolean verbose;

  @Input("group-name")
  @Type("string")
  @Optional
  public void setGroupName(String paramString)
  {
    this.groupName = paramString;
  }

  public String getGroupName()
  {
    return this.groupName;
  }

  public UseradminUserList withGroupName(String paramString)
  {
    this.groupName = paramString;
    return this;
  }

  @Input("user-name")
  @Type("string")
  @Optional
  public void setUserName(String paramString)
  {
    this.userName = paramString;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public UseradminUserList withUserName(String paramString)
  {
    this.userName = paramString;
    return this;
  }

  @Output("useradmin-users")
  @Type("useradmin-user-info[]")
  public void setUseradminUsers(List<UseradminUserInfo> paramList)
  {
    this.useradminUsers = paramList;
  }

  public List<UseradminUserInfo> getUseradminUsers()
  {
    return this.useradminUsers;
  }

  public UseradminUserList withUseradminUsers(List<UseradminUserInfo> paramList)
  {
    this.useradminUsers = paramList;
    return this;
  }

  public UseradminUserList withUseradminUsers(UseradminUserInfo[] paramArrayOfUseradminUserInfo)
  {
    this.useradminUsers = new ArrayList(Arrays.asList(paramArrayOfUseradminUserInfo));
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public UseradminUserList withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}