package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("useradmin-user-modify-password")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDPASSWORD", "EONTAPI_EPERM"})
@Family({"ontap-c", "vfiler"})
public class UseradminUserModifyPassword
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String newPassword;
  public String oldPassword;
  public String userName;

  @Input("new-password")
  @Type("string")
  public void setNewPassword(String paramString)
  {
    this.newPassword = paramString;
  }

  public String getNewPassword()
  {
    return this.newPassword;
  }

  public UseradminUserModifyPassword withNewPassword(String paramString)
  {
    this.newPassword = paramString;
    return this;
  }

  @Input("old-password")
  @Type("string")
  @Optional
  public void setOldPassword(String paramString)
  {
    this.oldPassword = paramString;
  }

  public String getOldPassword()
  {
    return this.oldPassword;
  }

  public UseradminUserModifyPassword withOldPassword(String paramString)
  {
    this.oldPassword = paramString;
    return this;
  }

  @Input("user-name")
  @Type("string")
  public void setUserName(String paramString)
  {
    this.userName = paramString;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public UseradminUserModifyPassword withUserName(String paramString)
  {
    this.userName = paramString;
    return this;
  }
}