package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("nis-info")
public class NisInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String nisDomainName;
  public List<ServerAddress> nisServers;

  @Element("nis-domain-name")
  @Type("string")
  @Optional
  public void setNisDomainName(String paramString)
  {
    this.nisDomainName = paramString;
  }

  public String getNisDomainName()
  {
    return this.nisDomainName;
  }

  public NisInfo withNisDomainName(String paramString)
  {
    this.nisDomainName = paramString;
    return this;
  }

  @Element("nis-servers")
  @Type("server-address[]")
  @Optional
  public void setNisServers(List<ServerAddress> paramList)
  {
    this.nisServers = paramList;
  }

  public List<ServerAddress> getNisServers()
  {
    return this.nisServers;
  }

  public NisInfo withNisServers(List<ServerAddress> paramList)
  {
    this.nisServers = paramList;
    return this;
  }

  public NisInfo withNisServers(ServerAddress[] paramArrayOfServerAddress)
  {
    this.nisServers = new ArrayList(Arrays.asList(paramArrayOfServerAddress));
    return this;
  }
}