package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("storage-mr-status")
public class StorageMrStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String errorMsg;
  public String status;
  public String storagePath;

  @Element("error-msg")
  @Type("string")
  @Optional
  public void setErrorMsg(String paramString)
  {
    this.errorMsg = paramString;
  }

  public String getErrorMsg()
  {
    return this.errorMsg;
  }

  public StorageMrStatus withErrorMsg(String paramString)
  {
    this.errorMsg = paramString;
    return this;
  }

  @Element("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public StorageMrStatus withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Element("storage-path")
  @Type("string")
  public void setStoragePath(String paramString)
  {
    this.storagePath = paramString;
  }

  public String getStoragePath()
  {
    return this.storagePath;
  }

  public StorageMrStatus withStoragePath(String paramString)
  {
    this.storagePath = paramString;
    return this;
  }
}