package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-disallow-protocol")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerDisallowProtocol
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String protocol;
  public String vfiler;

  @Input("protocol")
  @Type("string")
  public void setProtocol(String paramString)
  {
    this.protocol = paramString;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public VfilerDisallowProtocol withProtocol(String paramString)
  {
    this.protocol = paramString;
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerDisallowProtocol withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}