package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-dr-resync")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND"})
public class VfilerDrResync
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public HostnamePair alternateSrcDst;
  public Boolean synchronous;
  public AuthenticationInfo remoteAuthenticationInfo;
  public VfilerLocation remoteVfilerLocation;
  public Boolean useSecureCommandChannel;

  @Input("alternate-src-dst")
  @Type("hostname-pair")
  @Optional
  public void setAlternateSrcDst(HostnamePair paramHostnamePair)
  {
    this.alternateSrcDst = paramHostnamePair;
  }

  public HostnamePair getAlternateSrcDst()
  {
    return this.alternateSrcDst;
  }

  public VfilerDrResync withAlternateSrcDst(HostnamePair paramHostnamePair)
  {
    this.alternateSrcDst = paramHostnamePair;
    return this;
  }

  @Input("is-synchronous")
  @Type("boolean")
  public void setSynchronous(Boolean paramBoolean)
  {
    this.synchronous = paramBoolean;
  }

  public Boolean isSynchronous()
  {
    return this.synchronous;
  }

  public VfilerDrResync withSynchronous(Boolean paramBoolean)
  {
    this.synchronous = paramBoolean;
    return this;
  }

  @Input("remote-authentication-info")
  @Type("authentication-info")
  public void setRemoteAuthenticationInfo(AuthenticationInfo paramAuthenticationInfo)
  {
    this.remoteAuthenticationInfo = paramAuthenticationInfo;
  }

  public AuthenticationInfo getRemoteAuthenticationInfo()
  {
    return this.remoteAuthenticationInfo;
  }

  public VfilerDrResync withRemoteAuthenticationInfo(AuthenticationInfo paramAuthenticationInfo)
  {
    this.remoteAuthenticationInfo = paramAuthenticationInfo;
    return this;
  }

  @Input("remote-vfiler-location")
  @Type("vfiler-location")
  public void setRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
  }

  public VfilerLocation getRemoteVfilerLocation()
  {
    return this.remoteVfilerLocation;
  }

  public VfilerDrResync withRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
    return this;
  }

  @Input("use-secure-command-channel")
  @Type("boolean")
  @Optional
  public void setUseSecureCommandChannel(Boolean paramBoolean)
  {
    this.useSecureCommandChannel = paramBoolean;
  }

  public Boolean isUseSecureCommandChannel()
  {
    return this.useSecureCommandChannel;
  }

  public VfilerDrResync withUseSecureCommandChannel(Boolean paramBoolean)
  {
    this.useSecureCommandChannel = paramBoolean;
    return this;
  }
}