package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("vfiler-get-disallowed-protocols")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerGetDisallowedProtocols
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ProtocolInfo> disallowedProtocols;
  public String vfiler;

  @Output("disallowed-protocols")
  @Type("protocol-info[]")
  public void setDisallowedProtocols(List<ProtocolInfo> paramList)
  {
    this.disallowedProtocols = paramList;
  }

  public List<ProtocolInfo> getDisallowedProtocols()
  {
    return this.disallowedProtocols;
  }

  public VfilerGetDisallowedProtocols withDisallowedProtocols(List<ProtocolInfo> paramList)
  {
    this.disallowedProtocols = paramList;
    return this;
  }

  public VfilerGetDisallowedProtocols withDisallowedProtocols(ProtocolInfo[] paramArrayOfProtocolInfo)
  {
    this.disallowedProtocols = new ArrayList(Arrays.asList(paramArrayOfProtocolInfo));
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerGetDisallowedProtocols withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}