package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("vfiler-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
@Family({"ontap-c", "vfiler"})
public class VfilerListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String vfiler;
  public List<VfilerInfo> vfilers;

  @Input("vfiler")
  @Type("string")
  @Optional
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerListInfo withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }

  @Output("vfilers")
  @Type("vfiler-info[]")
  public void setVfilers(List<VfilerInfo> paramList)
  {
    this.vfilers = paramList;
  }

  public List<VfilerInfo> getVfilers()
  {
    return this.vfilers;
  }

  public VfilerListInfo withVfilers(List<VfilerInfo> paramList)
  {
    this.vfilers = paramList;
    return this;
  }

  public VfilerListInfo withVfilers(VfilerInfo[] paramArrayOfVfilerInfo)
  {
    this.vfilers = new ArrayList(Arrays.asList(paramArrayOfVfilerInfo));
    return this;
  }
}