package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("autosize-info")
public class AutosizeInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long incrementSize;
  public Boolean enabled;
  public Long maximumSize;

  @Element("increment-size")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setIncrementSize(Long paramLong)
  {
    this.incrementSize = paramLong;
  }

  public Long getIncrementSize()
  {
    return this.incrementSize;
  }

  public AutosizeInfo withIncrementSize(Long paramLong)
  {
    this.incrementSize = paramLong;
    return this;
  }

  @Element("is-enabled")
  @Type("boolean")
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public AutosizeInfo withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Element("maximum-size")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setMaximumSize(Long paramLong)
  {
    this.maximumSize = paramLong;
  }

  public Long getMaximumSize()
  {
    return this.maximumSize;
  }

  public AutosizeInfo withMaximumSize(Long paramLong)
  {
    this.maximumSize = paramLong;
    return this;
  }
}