package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("raid-group-info")
public class RaidGroupInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<DiskInfo> disks;
  public Boolean reconstructing;
  public String name;
  public Integer reconstructionPercentage;

  @Element("disks")
  @Type("disk-info[]")
  public void setDisks(List<DiskInfo> paramList)
  {
    this.disks = paramList;
  }

  public List<DiskInfo> getDisks()
  {
    return this.disks;
  }

  public RaidGroupInfo withDisks(List<DiskInfo> paramList)
  {
    this.disks = paramList;
    return this;
  }

  public RaidGroupInfo withDisks(DiskInfo[] paramArrayOfDiskInfo)
  {
    this.disks = new ArrayList(Arrays.asList(paramArrayOfDiskInfo));
    return this;
  }

  @Element("is-reconstructing")
  @Type("boolean")
  public void setReconstructing(Boolean paramBoolean)
  {
    this.reconstructing = paramBoolean;
  }

  public Boolean isReconstructing()
  {
    return this.reconstructing;
  }

  public RaidGroupInfo withReconstructing(Boolean paramBoolean)
  {
    this.reconstructing = paramBoolean;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public RaidGroupInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("reconstruction-percentage")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setReconstructionPercentage(Integer paramInteger)
  {
    this.reconstructionPercentage = paramInteger;
  }

  public Integer getReconstructionPercentage()
  {
    return this.reconstructionPercentage;
  }

  public RaidGroupInfo withReconstructionPercentage(Integer paramInteger)
  {
    this.reconstructionPercentage = paramInteger;
    return this;
  }
}