package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("raidgroup-size-info")
public class RaidgroupSizeInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer defaultSize;
  public Integer maximumSize;
  public Long minimumSize;
  public String raidtype;

  @Element("default-size")
  @Type("integer")
  @Range(min="6", max="16")
  public void setDefaultSize(Integer paramInteger)
  {
    this.defaultSize = paramInteger;
  }

  public Integer getDefaultSize()
  {
    return this.defaultSize;
  }

  public RaidgroupSizeInfo withDefaultSize(Integer paramInteger)
  {
    this.defaultSize = paramInteger;
    return this;
  }

  @Element("maximum-size")
  @Type("integer")
  @Range(min="6", max="28")
  public void setMaximumSize(Integer paramInteger)
  {
    this.maximumSize = paramInteger;
  }

  public Integer getMaximumSize()
  {
    return this.maximumSize;
  }

  public RaidgroupSizeInfo withMaximumSize(Integer paramInteger)
  {
    this.maximumSize = paramInteger;
    return this;
  }

  @Element("minimum-size")
  @Type("integer")
  public void setMinimumSize(Long paramLong)
  {
    this.minimumSize = paramLong;
  }

  public Long getMinimumSize()
  {
    return this.minimumSize;
  }

  public RaidgroupSizeInfo withMinimumSize(Long paramLong)
  {
    this.minimumSize = paramLong;
    return this;
  }

  @Element("raidtype")
  @Type("string")
  public void setRaidtype(String paramString)
  {
    this.raidtype = paramString;
  }

  public String getRaidtype()
  {
    return this.raidtype;
  }

  public RaidgroupSizeInfo withRaidtype(String paramString)
  {
    this.raidtype = paramString;
    return this;
  }
}