package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("scrub-detail-info")
public class ScrubDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean suspended;
  public Date lastScrubTimestamp;
  public Integer percentageComplete;
  public String raidGroup;

  @Element("is-suspended")
  @Type("boolean")
  public void setSuspended(Boolean paramBoolean)
  {
    this.suspended = paramBoolean;
  }

  public Boolean isSuspended()
  {
    return this.suspended;
  }

  public ScrubDetailInfo withSuspended(Boolean paramBoolean)
  {
    this.suspended = paramBoolean;
    return this;
  }

  @Element("last-scrub-timestamp")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^31-1")
  public void setLastScrubTimestamp(Date paramDate)
  {
    this.lastScrubTimestamp = paramDate;
  }

  public Date getLastScrubTimestamp()
  {
    return this.lastScrubTimestamp;
  }

  public ScrubDetailInfo withLastScrubTimestamp(Date paramDate)
  {
    this.lastScrubTimestamp = paramDate;
    return this;
  }

  @Element("percentage-complete")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setPercentageComplete(Integer paramInteger)
  {
    this.percentageComplete = paramInteger;
  }

  public Integer getPercentageComplete()
  {
    return this.percentageComplete;
  }

  public ScrubDetailInfo withPercentageComplete(Integer paramInteger)
  {
    this.percentageComplete = paramInteger;
    return this;
  }

  @Element("raid-group")
  @Type("string")
  public void setRaidGroup(String paramString)
  {
    this.raidGroup = paramString;
  }

  public String getRaidGroup()
  {
    return this.raidGroup;
  }

  public ScrubDetailInfo withRaidGroup(String paramString)
  {
    this.raidGroup = paramString;
    return this;
  }
}