package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("sis-info")
public class SisInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String lastOperationBegin;
  public String lastOperationEnd;
  public String lastOperationError;
  public BigInteger lastOperationSize;
  public Integer percentageSaved;
  public String progress;
  public String schedule;
  public BigInteger sizeSaved;
  public BigInteger sizeShared;
  public String state;
  public String status;
  public String type;

  @Element("last-operation-begin")
  @Type("string")
  public void setLastOperationBegin(String paramString)
  {
    this.lastOperationBegin = paramString;
  }

  public String getLastOperationBegin()
  {
    return this.lastOperationBegin;
  }

  public SisInfo withLastOperationBegin(String paramString)
  {
    this.lastOperationBegin = paramString;
    return this;
  }

  @Element("last-operation-end")
  @Type("string")
  public void setLastOperationEnd(String paramString)
  {
    this.lastOperationEnd = paramString;
  }

  public String getLastOperationEnd()
  {
    return this.lastOperationEnd;
  }

  public SisInfo withLastOperationEnd(String paramString)
  {
    this.lastOperationEnd = paramString;
    return this;
  }

  @Element("last-operation-error")
  @Type("string")
  public void setLastOperationError(String paramString)
  {
    this.lastOperationError = paramString;
  }

  public String getLastOperationError()
  {
    return this.lastOperationError;
  }

  public SisInfo withLastOperationError(String paramString)
  {
    this.lastOperationError = paramString;
    return this;
  }

  @Element("last-operation-size")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLastOperationSize(BigInteger paramBigInteger)
  {
    this.lastOperationSize = paramBigInteger;
  }

  public BigInteger getLastOperationSize()
  {
    return this.lastOperationSize;
  }

  public SisInfo withLastOperationSize(BigInteger paramBigInteger)
  {
    this.lastOperationSize = paramBigInteger;
    return this;
  }

  @Element("percentage-saved")
  @Type("integer")
  @Range(min="0", max="100")
  public void setPercentageSaved(Integer paramInteger)
  {
    this.percentageSaved = paramInteger;
  }

  public Integer getPercentageSaved()
  {
    return this.percentageSaved;
  }

  public SisInfo withPercentageSaved(Integer paramInteger)
  {
    this.percentageSaved = paramInteger;
    return this;
  }

  @Element("progress")
  @Type("string")
  public void setProgress(String paramString)
  {
    this.progress = paramString;
  }

  public String getProgress()
  {
    return this.progress;
  }

  public SisInfo withProgress(String paramString)
  {
    this.progress = paramString;
    return this;
  }

  @Element("schedule")
  @Type("string")
  public void setSchedule(String paramString)
  {
    this.schedule = paramString;
  }

  public String getSchedule()
  {
    return this.schedule;
  }

  public SisInfo withSchedule(String paramString)
  {
    this.schedule = paramString;
    return this;
  }

  @Element("size-saved")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSizeSaved(BigInteger paramBigInteger)
  {
    this.sizeSaved = paramBigInteger;
  }

  public BigInteger getSizeSaved()
  {
    return this.sizeSaved;
  }

  public SisInfo withSizeSaved(BigInteger paramBigInteger)
  {
    this.sizeSaved = paramBigInteger;
    return this;
  }

  @Element("size-shared")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSizeShared(BigInteger paramBigInteger)
  {
    this.sizeShared = paramBigInteger;
  }

  public BigInteger getSizeShared()
  {
    return this.sizeShared;
  }

  public SisInfo withSizeShared(BigInteger paramBigInteger)
  {
    this.sizeShared = paramBigInteger;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public SisInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public SisInfo withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public SisInfo withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}