package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-autosize-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
public class VolumeAutosizeSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String incrementSize;
  public Boolean enabled;
  public String maximumSize;
  public String volume;

  @Input("increment-size")
  @Type("string")
  @Optional
  public void setIncrementSize(String paramString)
  {
    this.incrementSize = paramString;
  }

  public String getIncrementSize()
  {
    return this.incrementSize;
  }

  public VolumeAutosizeSet withIncrementSize(String paramString)
  {
    this.incrementSize = paramString;
    return this;
  }

  @Input("is-enabled")
  @Type("boolean")
  @Optional
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public VolumeAutosizeSet withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Input("maximum-size")
  @Type("string")
  @Optional
  public void setMaximumSize(String paramString)
  {
    this.maximumSize = paramString;
  }

  public String getMaximumSize()
  {
    return this.maximumSize;
  }

  public VolumeAutosizeSet withMaximumSize(String paramString)
  {
    this.maximumSize = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeAutosizeSet withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}