package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-clone-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class VolumeCloneCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean forceWormClone;
  public String parentSnapshot;
  public String parentVolume;
  public String spaceReserve;
  public String volume;

  @Input("force-worm-clone")
  @Type("boolean")
  @Optional
  public void setForceWormClone(Boolean paramBoolean)
  {
    this.forceWormClone = paramBoolean;
  }

  public Boolean isForceWormClone()
  {
    return this.forceWormClone;
  }

  public VolumeCloneCreate withForceWormClone(Boolean paramBoolean)
  {
    this.forceWormClone = paramBoolean;
    return this;
  }

  @Input("parent-snapshot")
  @Type("string")
  @Optional
  public void setParentSnapshot(String paramString)
  {
    this.parentSnapshot = paramString;
  }

  public String getParentSnapshot()
  {
    return this.parentSnapshot;
  }

  public VolumeCloneCreate withParentSnapshot(String paramString)
  {
    this.parentSnapshot = paramString;
    return this;
  }

  @Input("parent-volume")
  @Type("string")
  public void setParentVolume(String paramString)
  {
    this.parentVolume = paramString;
  }

  public String getParentVolume()
  {
    return this.parentVolume;
  }

  public VolumeCloneCreate withParentVolume(String paramString)
  {
    this.parentVolume = paramString;
    return this;
  }

  @Input("space-reserve")
  @Type("string")
  @Optional
  public void setSpaceReserve(String paramString)
  {
    this.spaceReserve = paramString;
  }

  public String getSpaceReserve()
  {
    return this.spaceReserve;
  }

  public VolumeCloneCreate withSpaceReserve(String paramString)
  {
    this.spaceReserve = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeCloneCreate withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}