package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-get-language")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEBUSY", "EVOLUMEDOESNOTEXIST", "EVOLUMENOTONLINE"})
@Family({"ontap-c", "vfiler"})
public class VolumeGetLanguage
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String language;
  public String languageCode;
  public String nfsCharacterSet;
  public String oemCharacterSet;
  public String volume;

  @Output("language")
  @Type("string")
  public void setLanguage(String paramString)
  {
    this.language = paramString;
  }

  public String getLanguage()
  {
    return this.language;
  }

  public VolumeGetLanguage withLanguage(String paramString)
  {
    this.language = paramString;
    return this;
  }

  @Output("language-code")
  @Type("string")
  public void setLanguageCode(String paramString)
  {
    this.languageCode = paramString;
  }

  public String getLanguageCode()
  {
    return this.languageCode;
  }

  public VolumeGetLanguage withLanguageCode(String paramString)
  {
    this.languageCode = paramString;
    return this;
  }

  @Output("nfs-character-set")
  @Type("string")
  public void setNfsCharacterSet(String paramString)
  {
    this.nfsCharacterSet = paramString;
  }

  public String getNfsCharacterSet()
  {
    return this.nfsCharacterSet;
  }

  public VolumeGetLanguage withNfsCharacterSet(String paramString)
  {
    this.nfsCharacterSet = paramString;
    return this;
  }

  @Output("oem-character-set")
  @Type("string")
  public void setOemCharacterSet(String paramString)
  {
    this.oemCharacterSet = paramString;
  }

  public String getOemCharacterSet()
  {
    return this.oemCharacterSet;
  }

  public VolumeGetLanguage withOemCharacterSet(String paramString)
  {
    this.oemCharacterSet = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeGetLanguage withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}