package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-get-supported-guarantees")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EOPNOTSUPPORTED", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class VolumeGetSupportedGuarantees
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<Guarantee> guaranteeTypes;
  public String volume;

  @Output("guarantee-types")
  @Type("guarantee[]")
  public void setGuaranteeTypes(List<Guarantee> paramList)
  {
    this.guaranteeTypes = paramList;
  }

  public List<Guarantee> getGuaranteeTypes()
  {
    return this.guaranteeTypes;
  }

  public VolumeGetSupportedGuarantees withGuaranteeTypes(List<Guarantee> paramList)
  {
    this.guaranteeTypes = paramList;
    return this;
  }

  public VolumeGetSupportedGuarantees withGuaranteeTypes(Guarantee[] paramArrayOfGuarantee)
  {
    this.guaranteeTypes = new ArrayList(Arrays.asList(paramArrayOfGuarantee));
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeGetSupportedGuarantees withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}