package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-list-info-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class VolumeListInfoIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public Long records;
  public String tag;
  public List<VolumeInfo> volumes;

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public VolumeListInfoIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public VolumeListInfoIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public VolumeListInfoIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Output("volumes")
  @Type("volume-info[]")
  public void setVolumes(List<VolumeInfo> paramList)
  {
    this.volumes = paramList;
  }

  public List<VolumeInfo> getVolumes()
  {
    return this.volumes;
  }

  public VolumeListInfoIterNext withVolumes(List<VolumeInfo> paramList)
  {
    this.volumes = paramList;
    return this;
  }

  public VolumeListInfoIterNext withVolumes(VolumeInfo[] paramArrayOfVolumeInfo)
  {
    this.volumes = new ArrayList(Arrays.asList(paramArrayOfVolumeInfo));
    return this;
  }
}