package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-options-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class VolumeOptionsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<VolumeOptionInfo> options;
  public String volume;

  @Output("options")
  @Type("volume-option-info[]")
  public void setOptions(List<VolumeOptionInfo> paramList)
  {
    this.options = paramList;
  }

  public List<VolumeOptionInfo> getOptions()
  {
    return this.options;
  }

  public VolumeOptionsListInfo withOptions(List<VolumeOptionInfo> paramList)
  {
    this.options = paramList;
    return this;
  }

  public VolumeOptionsListInfo withOptions(VolumeOptionInfo[] paramArrayOfVolumeOptionInfo)
  {
    this.options = new ArrayList(Arrays.asList(paramArrayOfVolumeOptionInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeOptionsListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}