package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-restrict")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMECIFSTERMINATE"})
@Family({"ontap-c", "vfiler"})
public class VolumeRestrict
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long cifsDelay;
  public String name;

  @Input("cifs-delay")
  @Type("integer")
  @Optional
  public void setCifsDelay(Long paramLong)
  {
    this.cifsDelay = paramLong;
  }

  public Long getCifsDelay()
  {
    return this.cifsDelay;
  }

  public VolumeRestrict withCifsDelay(Long paramLong)
  {
    this.cifsDelay = paramLong;
    return this;
  }

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public VolumeRestrict withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}