package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-scrub-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
public class VolumeScrubListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String name;
  public List<ScrubDetailInfo> scrubDetails;
  public Boolean verbose;

  @Input("name")
  @Type("string")
  @Optional
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public VolumeScrubListInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Output("scrub-details")
  @Type("scrub-detail-info[]")
  public void setScrubDetails(List<ScrubDetailInfo> paramList)
  {
    this.scrubDetails = paramList;
  }

  public List<ScrubDetailInfo> getScrubDetails()
  {
    return this.scrubDetails;
  }

  public VolumeScrubListInfo withScrubDetails(List<ScrubDetailInfo> paramList)
  {
    this.scrubDetails = paramList;
    return this;
  }

  public VolumeScrubListInfo withScrubDetails(ScrubDetailInfo[] paramArrayOfScrubDetailInfo)
  {
    this.scrubDetails = new ArrayList(Arrays.asList(paramArrayOfScrubDetailInfo));
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public VolumeScrubListInfo withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}