package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-set-option")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class VolumeSetOption
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String optionName;
  public String optionValue;
  public String volume;

  @Input("option-name")
  @Type("string")
  public void setOptionName(String paramString)
  {
    this.optionName = paramString;
  }

  public String getOptionName()
  {
    return this.optionName;
  }

  public VolumeSetOption withOptionName(String paramString)
  {
    this.optionName = paramString;
    return this;
  }

  @Input("option-value")
  @Type("string")
  public void setOptionValue(String paramString)
  {
    this.optionValue = paramString;
  }

  public String getOptionValue()
  {
    return this.optionValue;
  }

  public VolumeSetOption withOptionValue(String paramString)
  {
    this.optionValue = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeSetOption withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}