package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-split")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEPLEXINVALID"})
public class VolumeSplit
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String newVolumeName;
  public String plex;

  @Input("new-volume-name")
  @Type("string")
  public void setNewVolumeName(String paramString)
  {
    this.newVolumeName = paramString;
  }

  public String getNewVolumeName()
  {
    return this.newVolumeName;
  }

  public VolumeSplit withNewVolumeName(String paramString)
  {
    this.newVolumeName = paramString;
    return this;
  }

  @Input("plex")
  @Type("string")
  public void setPlex(String paramString)
  {
    this.plex = paramString;
  }

  public String getPlex()
  {
    return this.plex;
  }

  public VolumeSplit withPlex(String paramString)
  {
    this.plex = paramString;
    return this;
  }
}