package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.filer.aggr.VerifyDetailInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-verify-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
public class VolumeVerifyListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<VerifyDetailInfo> verifyDetails;
  public String volume;

  @Output("verify-details")
  @Type("verify-detail-info[]")
  public void setVerifyDetails(List<VerifyDetailInfo> paramList)
  {
    this.verifyDetails = paramList;
  }

  public List<VerifyDetailInfo> getVerifyDetails()
  {
    return this.verifyDetails;
  }

  public VolumeVerifyListInfo withVerifyDetails(List<VerifyDetailInfo> paramList)
  {
    this.verifyDetails = paramList;
    return this;
  }

  public VolumeVerifyListInfo withVerifyDetails(VerifyDetailInfo[] paramArrayOfVerifyDetailInfo)
  {
    this.verifyDetails = new ArrayList(Arrays.asList(paramArrayOfVerifyDetailInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeVerifyListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}