package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-verify-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
public class VolumeVerifyStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long fixPlex;
  public Boolean logOnly;
  public String volume;

  @Input("fix-plex")
  @Type("integer")
  @Optional
  public void setFixPlex(Long paramLong)
  {
    this.fixPlex = paramLong;
  }

  public Long getFixPlex()
  {
    return this.fixPlex;
  }

  public VolumeVerifyStart withFixPlex(Long paramLong)
  {
    this.fixPlex = paramLong;
    return this;
  }

  @Input("log-only")
  @Type("boolean")
  @Optional
  public void setLogOnly(Boolean paramBoolean)
  {
    this.logOnly = paramBoolean;
  }

  public Boolean isLogOnly()
  {
    return this.logOnly;
  }

  public VolumeVerifyStart withLogOnly(Boolean paramBoolean)
  {
    this.logOnly = paramBoolean;
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeVerifyStart withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}