package devmgr.versioned.jrpc;

import java.io.IOException;
import java.net.InetAddress;

public class RPCClient
{
  private RPCClientGeneric m_Client;

  public RPCClient(InetAddress paramInetAddress, int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean)
    throws RPCError, IOException
  {
    if (paramBoolean)
      this.m_Client = new RPCClientTCP(paramInetAddress, paramInt1, paramInt2, paramInt3);
    else
      this.m_Client = new RPCClientUDP(paramInetAddress, paramInt1, paramInt2, paramInt3);
  }

  public void call(int paramInt, XDRType paramXDRType1, XDRType paramXDRType2)
    throws RPCError, IOException
  {
    this.m_Client.call(paramInt, paramXDRType1, paramXDRType2);
  }

  public void close()
    throws IOException
  {
    this.m_Client.close();
    this.m_Client = null;
  }

  public void setTimeout(int paramInt)
    throws IOException
  {
    this.m_Client.setTimeout(paramInt);
  }

  public InetAddress getLocalAddress()
  {
    return this.m_Client.getLocalAddress();
  }

  public void setAuthGenerator(RPCAuthGenerator paramRPCAuthGenerator)
  {
    this.m_Client.setAuthGenerator(paramRPCAuthGenerator);
  }

  public InetAddress getDestinationIP()
  {
    return this.m_Client.getDestinationIP();
  }
}