package devmgr.versioned.jrpc;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;

class RPCClientTCP extends RPCClientGeneric
{
  private static final int DEFAULT_TIMEOUT = 25;
  private TCPChannel m_Channel = null;

  RPCClientTCP(InetAddress paramInetAddress, int paramInt1, int paramInt2, int paramInt3)
    throws RPCError, IOException
  {
    super(paramInt1, paramInt2);
    prepareConnection(paramInetAddress, paramInt3);
  }

  protected void finalize()
    throws Throwable
  {
    if (this.m_Channel != null)
      this.m_Channel.close();
  }

  public void setTimeout(int paramInt)
    throws IOException
  {
    this.m_Channel.setTimeout(paramInt);
  }

  public void close()
    throws IOException
  {
    this.m_Channel.close();
    this.m_Channel = null;
  }

  public InetAddress getLocalAddress()
  {
    return this.m_Channel.getLocalAddress();
  }

  public XDRMessageIOV transact(XDRMessageIOV paramXDRMessageIOV, int paramInt)
    throws RPCError, IOException
  {
    this.m_Channel.sendMsg(paramXDRMessageIOV);
    return this.m_Channel.receiveMsg();
  }

  private void prepareConnection(InetAddress paramInetAddress, int paramInt)
    throws IOException
  {
    this.m_Channel = new TCPChannel(new Socket(paramInetAddress, paramInt));
    setTimeout(25);
  }

  public InetAddress getDestinationIP()
  {
    return this.m_Channel.getServerAddress();
  }
}