package devmgr.versioned.jrpc;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;

class UDPChannel
{
  private static final int MAX_MSG_SIZE = 8800;
  private DatagramSocket m_Sock = null;

  UDPChannel(DatagramSocket paramDatagramSocket)
  {
    this.m_Sock = paramDatagramSocket;
  }

  protected void finalize()
    throws Throwable
  {
    if (this.m_Sock != null)
      this.m_Sock.close();
  }

  void setTimeout(int paramInt)
    throws IOException
  {
    this.m_Sock.setSoTimeout(paramInt);
  }

  void close()
    throws IOException
  {
    this.m_Sock.close();
    this.m_Sock = null;
  }

  public InetAddress getLocalAddress()
  {
    return this.m_Sock.getLocalAddress();
  }

  void sendMsg(UDPMessageBundle paramUDPMessageBundle)
    throws RPCError, IOException
  {
    XDRMessageIOV localXDRMessageIOV = paramUDPMessageBundle.getMsg();
    int i = localXDRMessageIOV.getMessageSize();
    DatagramPacket localDatagramPacket = null;
    byte[] arrayOfByte = localXDRMessageIOV.getContiguousBuffer();
    localDatagramPacket = new DatagramPacket(arrayOfByte, i, paramUDPMessageBundle.getAddress(), paramUDPMessageBundle.getPort());
    this.m_Sock.send(localDatagramPacket);
  }

  UDPMessageBundle receiveMsg()
    throws RPCError, IOException
  {
    XDRMessageIOV localXDRMessageIOV = new XDRMessageIOV();
    byte[] arrayOfByte = new byte[8800];
    DatagramPacket localDatagramPacket = new DatagramPacket(arrayOfByte, 8800);
    this.m_Sock.receive(localDatagramPacket);
    localXDRMessageIOV.addLastBuffer(arrayOfByte, localDatagramPacket.getLength());
    UDPMessageBundle localUDPMessageBundle = new UDPMessageBundle(localXDRMessageIOV, localDatagramPacket.getAddress(), localDatagramPacket.getPort());
    return localUDPMessageBundle;
  }
}