package devmgr.versioned.jrpc;

import java.util.Vector;

public class XDRMessageIOV
{
  private static final int INITIAL_BUFS = 32;
  private static final int INCREMENTAL_BUFS = 32;
  private Vector m_Buffers = new Vector(32, 32);
  private int m_TotalSize = 0;

  public int getMessageSize()
  {
    return this.m_TotalSize;
  }

  public byte[] getBuffer(int paramInt)
  {
    return (byte[])this.m_Buffers.elementAt(paramInt);
  }

  public void copyData(byte[] paramArrayOfByte)
  {
    int i = 0;
    int j = 0;
    while (i < this.m_TotalSize)
    {
      byte[] arrayOfByte = getBuffer(j++);
      int k = Math.min(arrayOfByte.length, this.m_TotalSize - i);
      System.arraycopy(arrayOfByte, 0, paramArrayOfByte, i, k);
      i += k;
    }
  }

  public void addFullBuffer(byte[] paramArrayOfByte)
  {
    this.m_Buffers.addElement(paramArrayOfByte);
    this.m_TotalSize += paramArrayOfByte.length;
  }

  public void addLastBuffer(byte[] paramArrayOfByte, int paramInt)
  {
    this.m_Buffers.addElement(paramArrayOfByte);
    this.m_TotalSize += paramInt;
  }

  public byte[] getContiguousBuffer()
  {
    byte[] arrayOfByte2 = getBuffer(0);
    byte[] arrayOfByte1;
    if (arrayOfByte2.length >= this.m_TotalSize)
    {
      arrayOfByte1 = arrayOfByte2;
    }
    else
    {
      arrayOfByte1 = new byte[this.m_TotalSize];
      copyData(arrayOfByte1);
    }
    return arrayOfByte1;
  }
}