package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AccessVolume
  implements XDRType, SYMbolAPIConstants
{
  private boolean enabled;
  private int volumeHandle;
  private long capacity;
  private AccessVolumeRef accessVolumeRef = new AccessVolumeRef();
  private byte[] reserved1;

  public AccessVolume()
  {
  }

  public AccessVolume(AccessVolume paramAccessVolume)
  {
    this.enabled = paramAccessVolume.enabled;
    this.volumeHandle = paramAccessVolume.volumeHandle;
    this.capacity = paramAccessVolume.capacity;
    this.accessVolumeRef = paramAccessVolume.accessVolumeRef;
    this.reserved1 = paramAccessVolume.reserved1;
  }

  public boolean getEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public int getVolumeHandle()
  {
    return this.volumeHandle;
  }

  public void setVolumeHandle(int paramInt)
  {
    this.volumeHandle = paramInt;
  }

  public long getCapacity()
  {
    return this.capacity;
  }

  public void setCapacity(long paramLong)
  {
    this.capacity = paramLong;
  }

  public AccessVolumeRef getAccessVolumeRef()
  {
    return this.accessVolumeRef;
  }

  public void setAccessVolumeRef(AccessVolumeRef paramAccessVolumeRef)
  {
    this.accessVolumeRef = paramAccessVolumeRef;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.enabled);
    paramXDROutputStream.putInt(this.volumeHandle);
    paramXDROutputStream.putLong(this.capacity);
    this.accessVolumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.reserved1);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.enabled = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeHandle = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.capacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.accessVolumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}