package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AutoConfigSummary
  implements XDRType, SYMbolAPIConstants
{
  private int totalVolumeGroups;
  private int hotSpareCount;
  private int unassignedCount;
  private VolumeGroupSummary[] volumeGroupSummary;

  public AutoConfigSummary()
  {
  }

  public AutoConfigSummary(AutoConfigSummary paramAutoConfigSummary)
  {
    this.totalVolumeGroups = paramAutoConfigSummary.totalVolumeGroups;
    this.hotSpareCount = paramAutoConfigSummary.hotSpareCount;
    this.unassignedCount = paramAutoConfigSummary.unassignedCount;
    this.volumeGroupSummary = paramAutoConfigSummary.volumeGroupSummary;
  }

  public int getTotalVolumeGroups()
  {
    return this.totalVolumeGroups;
  }

  public void setTotalVolumeGroups(int paramInt)
  {
    this.totalVolumeGroups = paramInt;
  }

  public int getHotSpareCount()
  {
    return this.hotSpareCount;
  }

  public void setHotSpareCount(int paramInt)
  {
    this.hotSpareCount = paramInt;
  }

  public int getUnassignedCount()
  {
    return this.unassignedCount;
  }

  public void setUnassignedCount(int paramInt)
  {
    this.unassignedCount = paramInt;
  }

  public VolumeGroupSummary[] getVolumeGroupSummary()
  {
    return this.volumeGroupSummary;
  }

  public void setVolumeGroupSummary(VolumeGroupSummary[] paramArrayOfVolumeGroupSummary)
  {
    this.volumeGroupSummary = paramArrayOfVolumeGroupSummary;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.totalVolumeGroups);
    paramXDROutputStream.putInt(this.hotSpareCount);
    paramXDROutputStream.putInt(this.unassignedCount);
    int j = this.volumeGroupSummary == null ? 0 : this.volumeGroupSummary.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.volumeGroupSummary[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.totalVolumeGroups = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.hotSpareCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.unassignedCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.volumeGroupSummary = new VolumeGroupSummary[j];
      for (int k = 0; k < j; k++)
      {
        this.volumeGroupSummary[k] = new VolumeGroupSummary();
        this.volumeGroupSummary[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}