package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Battery
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef batteryRef = new ComponentRef();
  private BatteryStatus status = new BatteryStatus();
  private Location physicalLocation = new Location();
  private int batteryAge;
  private int batteryLifeRemaining;
  private BatteryTypeData batteryTypeData = new BatteryTypeData();
  private byte[] reserved1;
  private byte[] reserved2;
  private long manufacturerDate;
  private String vendorName;
  private String vendorPN;
  private String vendorSN;
  private String fruType;
  private RTRAttributes rtrAttributes = new RTRAttributes();

  public Battery()
  {
  }

  public Battery(Battery paramBattery)
  {
    this.batteryRef = paramBattery.batteryRef;
    this.status = paramBattery.status;
    this.physicalLocation = paramBattery.physicalLocation;
    this.batteryAge = paramBattery.batteryAge;
    this.batteryLifeRemaining = paramBattery.batteryLifeRemaining;
    this.batteryTypeData = paramBattery.batteryTypeData;
    this.reserved1 = paramBattery.reserved1;
    this.reserved2 = paramBattery.reserved2;
    this.manufacturerDate = paramBattery.manufacturerDate;
    this.vendorName = paramBattery.vendorName;
    this.vendorPN = paramBattery.vendorPN;
    this.vendorSN = paramBattery.vendorSN;
    this.fruType = paramBattery.fruType;
    this.rtrAttributes = paramBattery.rtrAttributes;
  }

  public ComponentRef getBatteryRef()
  {
    return this.batteryRef;
  }

  public void setBatteryRef(ComponentRef paramComponentRef)
  {
    this.batteryRef = paramComponentRef;
  }

  public BatteryStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(BatteryStatus paramBatteryStatus)
  {
    this.status = paramBatteryStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public int getBatteryAge()
  {
    return this.batteryAge;
  }

  public void setBatteryAge(int paramInt)
  {
    this.batteryAge = paramInt;
  }

  public int getBatteryLifeRemaining()
  {
    return this.batteryLifeRemaining;
  }

  public void setBatteryLifeRemaining(int paramInt)
  {
    this.batteryLifeRemaining = paramInt;
  }

  public BatteryTypeData getBatteryTypeData()
  {
    return this.batteryTypeData;
  }

  public void setBatteryTypeData(BatteryTypeData paramBatteryTypeData)
  {
    this.batteryTypeData = paramBatteryTypeData;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getVendorName()
  {
    return this.vendorName;
  }

  public void setVendorName(String paramString)
  {
    this.vendorName = paramString;
  }

  public String getVendorPN()
  {
    return this.vendorPN;
  }

  public void setVendorPN(String paramString)
  {
    this.vendorPN = paramString;
  }

  public String getVendorSN()
  {
    return this.vendorSN;
  }

  public void setVendorSN(String paramString)
  {
    this.vendorSN = paramString;
  }

  public String getFruType()
  {
    return this.fruType;
  }

  public void setFruType(String paramString)
  {
    this.fruType = paramString;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.batteryRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.batteryAge);
    paramXDROutputStream.putInt(this.batteryLifeRemaining);
    this.batteryTypeData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.vendorName);
    paramXDROutputStream.putString(this.vendorPN);
    paramXDROutputStream.putString(this.vendorSN);
    paramXDROutputStream.putString(this.fruType);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.batteryRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.batteryAge = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.batteryLifeRemaining = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.batteryTypeData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorPN = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorSN = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.fruType = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}