package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class BatteryStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int BATTERY_STAT_OPTIMAL = 1;
  public static final int BATTERY_STAT_CHARGING = 2;
  public static final int BATTERY_STAT_NEAR_EXPIRATION = 3;
  public static final int BATTERY_STAT_FAILED = 4;
  public static final int BATTERY_STAT_REMOVED = 5;
  public static final int BATTERY_STAT_UNKNOWN = 6;
  public static final int BATTERY_STAT_NOT_IN_CONFIG = 7;
  public static final int BATTERY_STAT_CONFIG_MISMATCH = 8;
  private int value;

  public BatteryStatus()
  {
  }

  public BatteryStatus(BatteryStatus paramBatteryStatus)
  {
    this.value = paramBatteryStatus.value;
  }

  public BatteryStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}