package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Capability
  implements XDRType, SYMbolAPIConstants
{
  public static final int CAPABILITY_NONE = 0;
  public static final int CAPABILITY_SHARED_VOLUME = 1;
  public static final int CAPABILITY_STORAGE_POOLS_TO_4 = 2;
  public static final int CAPABILITY_MIXED_RAIDLEVEL = 3;
  public static final int CAPABILITY_AUTO_CODE_SYNC = 4;
  public static final int CAPABILITY_AUTO_LUN_TRANSFER = 5;
  public static final int CAPABILITY_SUB_LUNS_ALLOWED = 6;
  public static final int CAPABILITY_STORAGE_POOLS_TO_8 = 7;
  public static final int CAPABILITY_STORAGE_POOLS_TO_2 = 8;
  public static final int CAPABILITY_STORAGE_POOLS_TO_MAX = 9;
  public static final int CAPABILITY_STORAGE_POOLS_TO_64 = 10;
  public static final int CAPABILITY_STORAGE_POOLS_TO_16 = 11;
  public static final int CAPABILITY_SNAPSHOTS = 12;
  public static final int CAPABILITY_REMOTE_MIRRORING = 13;
  public static final int CAPABILITY_VOLUME_COPY = 14;
  public static final int CAPABILITY_STAGED_DOWNLOAD = 15;
  public static final int CAPABILITY_MIXED_DRIVE_TYPES = 16;
  public static final int CAPABILITY_GOLD_KEY = 17;
  public static final int NUMBER_OF_CAPABILITIES = 17;
  private int value;

  public Capability()
  {
  }

  public Capability(Capability paramCapability)
  {
    this.value = paramCapability.value;
  }

  public Capability(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}