package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ChangeQueryDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private int maxWait;
  private ChangeState lastKnown = new ChangeState();

  public ChangeQueryDescriptor()
  {
  }

  public ChangeQueryDescriptor(ChangeQueryDescriptor paramChangeQueryDescriptor)
  {
    this.maxWait = paramChangeQueryDescriptor.maxWait;
    this.lastKnown = paramChangeQueryDescriptor.lastKnown;
  }

  public int getMaxWait()
  {
    return this.maxWait;
  }

  public void setMaxWait(int paramInt)
  {
    this.maxWait = paramInt;
  }

  public ChangeState getLastKnown()
  {
    return this.lastKnown;
  }

  public void setLastKnown(ChangeState paramChangeState)
  {
    this.lastKnown = paramChangeState;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.maxWait);
    this.lastKnown.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.maxWait = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.lastKnown.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}