package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ChannelPorts
  implements XDRType, SYMbolAPIConstants
{
  private boolean speedDetError;
  private boolean manuallyBypassed;
  private SFPPort portNumber = new SFPPort();

  public ChannelPorts()
  {
  }

  public ChannelPorts(ChannelPorts paramChannelPorts)
  {
    this.speedDetError = paramChannelPorts.speedDetError;
    this.manuallyBypassed = paramChannelPorts.manuallyBypassed;
    this.portNumber = paramChannelPorts.portNumber;
  }

  public boolean getSpeedDetError()
  {
    return this.speedDetError;
  }

  public void setSpeedDetError(boolean paramBoolean)
  {
    this.speedDetError = paramBoolean;
  }

  public boolean getManuallyBypassed()
  {
    return this.manuallyBypassed;
  }

  public void setManuallyBypassed(boolean paramBoolean)
  {
    this.manuallyBypassed = paramBoolean;
  }

  public SFPPort getPortNumber()
  {
    return this.portNumber;
  }

  public void setPortNumber(SFPPort paramSFPPort)
  {
    this.portNumber = paramSFPPort;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.speedDetError);
    paramXDROutputStream.putBoolean(this.manuallyBypassed);
    this.portNumber.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.speedDetError = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.manuallyBypassed = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.portNumber.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}