package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class CompatibleFirmware
  implements XDRType, SYMbolAPIConstants
{
  private byte[] fwVersion;
  private boolean compatible;

  public CompatibleFirmware()
  {
  }

  public CompatibleFirmware(CompatibleFirmware paramCompatibleFirmware)
  {
    this.fwVersion = paramCompatibleFirmware.fwVersion;
    this.compatible = paramCompatibleFirmware.compatible;
  }

  public byte[] getFwVersion()
  {
    return this.fwVersion;
  }

  public void setFwVersion(byte[] paramArrayOfByte)
  {
    this.fwVersion = paramArrayOfByte;
  }

  public boolean getCompatible()
  {
    return this.compatible;
  }

  public void setCompatible(boolean paramBoolean)
  {
    this.compatible = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putFixedOpaque(this.fwVersion, 4);
    paramXDROutputStream.putBoolean(this.compatible);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.fwVersion = paramXDRInputStream.getFixedOpaque(4);
    if (paramXDRInputStream.getPosition() < i)
      this.compatible = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}