package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ComponentLocation
  implements XDRType, SYMbolAPIConstants
{
  private EventComponentType eventComponentType = new EventComponentType();
  private TraySlot driveLoc = new TraySlot();
  private TraySlot controllerLoc = new TraySlot();
  private int batteryTray;
  private int fanTray;
  private MinihubLocation minihubLoc = new MinihubLocation();
  private int tempSensorTray;
  private ChannelLocation channelLoc = new ChannelLocation();
  private int powerSupplyTray;
  private int enclosureTray;
  private int esmTray;
  private TraySlot chipLoc = new TraySlot();
  private UserAssignedLabel label = new UserAssignedLabel();
  private int groupNumber;
  private int portCruTray;
  private TraySlot interconnectCruLocation = new TraySlot();
  private TraySlot supportCruLocation = new TraySlot();
  private TraySlot alarmLocation = new TraySlot();
  private int channelPort;
  private TraySlot sfpLocation = new TraySlot();
  private ControllerSfpLocation ctlrSfpLocation = new ControllerSfpLocation();
  private SocLocation socLocation = new SocLocation();

  public ComponentLocation()
  {
  }

  public ComponentLocation(ComponentLocation paramComponentLocation)
  {
    this.driveLoc = paramComponentLocation.driveLoc;
    this.controllerLoc = paramComponentLocation.controllerLoc;
    this.batteryTray = paramComponentLocation.batteryTray;
    this.fanTray = paramComponentLocation.fanTray;
    this.minihubLoc = paramComponentLocation.minihubLoc;
    this.tempSensorTray = paramComponentLocation.tempSensorTray;
    this.channelLoc = paramComponentLocation.channelLoc;
    this.powerSupplyTray = paramComponentLocation.powerSupplyTray;
    this.enclosureTray = paramComponentLocation.enclosureTray;
    this.esmTray = paramComponentLocation.esmTray;
    this.chipLoc = paramComponentLocation.chipLoc;
    this.label = paramComponentLocation.label;
    this.groupNumber = paramComponentLocation.groupNumber;
    this.portCruTray = paramComponentLocation.portCruTray;
    this.interconnectCruLocation = paramComponentLocation.interconnectCruLocation;
    this.supportCruLocation = paramComponentLocation.supportCruLocation;
    this.alarmLocation = paramComponentLocation.alarmLocation;
    this.channelPort = paramComponentLocation.channelPort;
    this.sfpLocation = paramComponentLocation.sfpLocation;
    this.ctlrSfpLocation = paramComponentLocation.ctlrSfpLocation;
    this.socLocation = paramComponentLocation.socLocation;
  }

  public EventComponentType getEventComponentType()
  {
    return this.eventComponentType;
  }

  public void setEventComponentType(EventComponentType paramEventComponentType)
  {
    this.eventComponentType = paramEventComponentType;
  }

  public TraySlot getDriveLoc()
  {
    return this.driveLoc;
  }

  public void setDriveLoc(TraySlot paramTraySlot)
  {
    this.driveLoc = paramTraySlot;
  }

  public TraySlot getControllerLoc()
  {
    return this.controllerLoc;
  }

  public void setControllerLoc(TraySlot paramTraySlot)
  {
    this.controllerLoc = paramTraySlot;
  }

  public int getBatteryTray()
  {
    return this.batteryTray;
  }

  public void setBatteryTray(int paramInt)
  {
    this.batteryTray = paramInt;
  }

  public int getFanTray()
  {
    return this.fanTray;
  }

  public void setFanTray(int paramInt)
  {
    this.fanTray = paramInt;
  }

  public MinihubLocation getMinihubLoc()
  {
    return this.minihubLoc;
  }

  public void setMinihubLoc(MinihubLocation paramMinihubLocation)
  {
    this.minihubLoc = paramMinihubLocation;
  }

  public int getTempSensorTray()
  {
    return this.tempSensorTray;
  }

  public void setTempSensorTray(int paramInt)
  {
    this.tempSensorTray = paramInt;
  }

  public ChannelLocation getChannelLoc()
  {
    return this.channelLoc;
  }

  public void setChannelLoc(ChannelLocation paramChannelLocation)
  {
    this.channelLoc = paramChannelLocation;
  }

  public int getPowerSupplyTray()
  {
    return this.powerSupplyTray;
  }

  public void setPowerSupplyTray(int paramInt)
  {
    this.powerSupplyTray = paramInt;
  }

  public int getEnclosureTray()
  {
    return this.enclosureTray;
  }

  public void setEnclosureTray(int paramInt)
  {
    this.enclosureTray = paramInt;
  }

  public int getEsmTray()
  {
    return this.esmTray;
  }

  public void setEsmTray(int paramInt)
  {
    this.esmTray = paramInt;
  }

  public TraySlot getChipLoc()
  {
    return this.chipLoc;
  }

  public void setChipLoc(TraySlot paramTraySlot)
  {
    this.chipLoc = paramTraySlot;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public int getGroupNumber()
  {
    return this.groupNumber;
  }

  public void setGroupNumber(int paramInt)
  {
    this.groupNumber = paramInt;
  }

  public int getPortCruTray()
  {
    return this.portCruTray;
  }

  public void setPortCruTray(int paramInt)
  {
    this.portCruTray = paramInt;
  }

  public TraySlot getInterconnectCruLocation()
  {
    return this.interconnectCruLocation;
  }

  public void setInterconnectCruLocation(TraySlot paramTraySlot)
  {
    this.interconnectCruLocation = paramTraySlot;
  }

  public TraySlot getSupportCruLocation()
  {
    return this.supportCruLocation;
  }

  public void setSupportCruLocation(TraySlot paramTraySlot)
  {
    this.supportCruLocation = paramTraySlot;
  }

  public TraySlot getAlarmLocation()
  {
    return this.alarmLocation;
  }

  public void setAlarmLocation(TraySlot paramTraySlot)
  {
    this.alarmLocation = paramTraySlot;
  }

  public int getChannelPort()
  {
    return this.channelPort;
  }

  public void setChannelPort(int paramInt)
  {
    this.channelPort = paramInt;
  }

  public TraySlot getSfpLocation()
  {
    return this.sfpLocation;
  }

  public void setSfpLocation(TraySlot paramTraySlot)
  {
    this.sfpLocation = paramTraySlot;
  }

  public ControllerSfpLocation getCtlrSfpLocation()
  {
    return this.ctlrSfpLocation;
  }

  public void setCtlrSfpLocation(ControllerSfpLocation paramControllerSfpLocation)
  {
    this.ctlrSfpLocation = paramControllerSfpLocation;
  }

  public SocLocation getSocLocation()
  {
    return this.socLocation;
  }

  public void setSocLocation(SocLocation paramSocLocation)
  {
    this.socLocation = paramSocLocation;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.eventComponentType.xdrEncode(paramXDROutputStream);
    switch (this.eventComponentType.getValue())
    {
    case 0:
      break;
    case 1:
      this.driveLoc.xdrEncode(paramXDROutputStream);
      break;
    case 8:
      this.controllerLoc.xdrEncode(paramXDROutputStream);
      break;
    case 9:
      paramXDROutputStream.putInt(this.batteryTray);
      break;
    case 3:
      paramXDROutputStream.putInt(this.fanTray);
      break;
    case 4:
      this.minihubLoc.xdrEncode(paramXDROutputStream);
      break;
    case 5:
      paramXDROutputStream.putInt(this.tempSensorTray);
      break;
    case 6:
      this.channelLoc.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      paramXDROutputStream.putInt(this.powerSupplyTray);
      break;
    case 10:
      paramXDROutputStream.putInt(this.enclosureTray);
      break;
    case 7:
      paramXDROutputStream.putInt(this.esmTray);
      break;
    case 11:
      break;
    case 12:
      this.chipLoc.xdrEncode(paramXDROutputStream);
      break;
    case 13:
      this.label.xdrEncode(paramXDROutputStream);
      break;
    case 14:
      paramXDROutputStream.putInt(this.groupNumber);
      break;
    case 15:
      paramXDROutputStream.putInt(this.portCruTray);
      break;
    case 16:
      this.interconnectCruLocation.xdrEncode(paramXDROutputStream);
      break;
    case 17:
      this.supportCruLocation.xdrEncode(paramXDROutputStream);
      break;
    case 18:
      this.alarmLocation.xdrEncode(paramXDROutputStream);
      break;
    case 19:
      paramXDROutputStream.putInt(this.channelPort);
      break;
    case 20:
      this.sfpLocation.xdrEncode(paramXDROutputStream);
      break;
    case 21:
      break;
    case 22:
      break;
    case 23:
      this.ctlrSfpLocation.xdrEncode(paramXDROutputStream);
      break;
    case 24:
      this.socLocation.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.eventComponentType.xdrDecode(paramXDRInputStream);
    switch (this.eventComponentType.getValue())
    {
    case 0:
      break;
    case 1:
      this.driveLoc.xdrDecode(paramXDRInputStream);
      break;
    case 8:
      this.controllerLoc.xdrDecode(paramXDRInputStream);
      break;
    case 9:
      this.batteryTray = paramXDRInputStream.getInt();
      break;
    case 3:
      this.fanTray = paramXDRInputStream.getInt();
      break;
    case 4:
      this.minihubLoc.xdrDecode(paramXDRInputStream);
      break;
    case 5:
      this.tempSensorTray = paramXDRInputStream.getInt();
      break;
    case 6:
      this.channelLoc.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.powerSupplyTray = paramXDRInputStream.getInt();
      break;
    case 10:
      this.enclosureTray = paramXDRInputStream.getInt();
      break;
    case 7:
      this.esmTray = paramXDRInputStream.getInt();
      break;
    case 11:
      break;
    case 12:
      this.chipLoc.xdrDecode(paramXDRInputStream);
      break;
    case 13:
      this.label.xdrDecode(paramXDRInputStream);
      break;
    case 14:
      this.groupNumber = paramXDRInputStream.getInt();
      break;
    case 15:
      this.portCruTray = paramXDRInputStream.getInt();
      break;
    case 16:
      this.interconnectCruLocation.xdrDecode(paramXDRInputStream);
      break;
    case 17:
      this.supportCruLocation.xdrDecode(paramXDRInputStream);
      break;
    case 18:
      this.alarmLocation.xdrDecode(paramXDRInputStream);
      break;
    case 19:
      this.channelPort = paramXDRInputStream.getInt();
      break;
    case 20:
      this.sfpLocation.xdrDecode(paramXDRInputStream);
      break;
    case 21:
      break;
    case 22:
      break;
    case 23:
      this.ctlrSfpLocation.xdrDecode(paramXDRInputStream);
      break;
    case 24:
      this.socLocation.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}