package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Controller
  implements XDRType, SYMbolAPIConstants
{
  private boolean active;
  private boolean quiesced;
  private ControllerStatus status = new ControllerStatus();
  private ControllerRef controllerRef = new ControllerRef();
  private Location physicalLocation = new Location();
  private String manufacturer;
  private long manufacturerDate;
  private String appVersion;
  private String bootVersion;
  private String productID;
  private String productRevLevel;
  private String serialNumber;
  private String boardID;
  private int cacheMemorySize;
  private int processorMemorySize;
  private IOInterfaceTypeData[] hostInterfaces;
  private IOInterfaceTypeData[] driveInterfaces;
  private NetInterfaceTypeData[] netInterfaces;
  private InventoryItem[] inventory;
  private byte[] reserved1;
  private byte[] reserved2;
  private String hostBoardID;
  private int physicalCacheMemorySize;
  private boolean readyToRemove;
  private String boardSubmodelID;
  private boolean submodelSupported;
  private String oemPartNumber;
  private String partNumber;
  private RTRAttributes rtrAttributes = new RTRAttributes();

  public Controller()
  {
  }

  public Controller(Controller paramController)
  {
    this.active = paramController.active;
    this.quiesced = paramController.quiesced;
    this.status = paramController.status;
    this.controllerRef = paramController.controllerRef;
    this.physicalLocation = paramController.physicalLocation;
    this.manufacturer = paramController.manufacturer;
    this.manufacturerDate = paramController.manufacturerDate;
    this.appVersion = paramController.appVersion;
    this.bootVersion = paramController.bootVersion;
    this.productID = paramController.productID;
    this.productRevLevel = paramController.productRevLevel;
    this.serialNumber = paramController.serialNumber;
    this.boardID = paramController.boardID;
    this.cacheMemorySize = paramController.cacheMemorySize;
    this.processorMemorySize = paramController.processorMemorySize;
    this.hostInterfaces = paramController.hostInterfaces;
    this.driveInterfaces = paramController.driveInterfaces;
    this.netInterfaces = paramController.netInterfaces;
    this.inventory = paramController.inventory;
    this.reserved1 = paramController.reserved1;
    this.reserved2 = paramController.reserved2;
    this.hostBoardID = paramController.hostBoardID;
    this.physicalCacheMemorySize = paramController.physicalCacheMemorySize;
    this.readyToRemove = paramController.readyToRemove;
    this.boardSubmodelID = paramController.boardSubmodelID;
    this.submodelSupported = paramController.submodelSupported;
    this.oemPartNumber = paramController.oemPartNumber;
    this.partNumber = paramController.partNumber;
    this.rtrAttributes = paramController.rtrAttributes;
  }

  public boolean getActive()
  {
    return this.active;
  }

  public void setActive(boolean paramBoolean)
  {
    this.active = paramBoolean;
  }

  public boolean getQuiesced()
  {
    return this.quiesced;
  }

  public void setQuiesced(boolean paramBoolean)
  {
    this.quiesced = paramBoolean;
  }

  public ControllerStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(ControllerStatus paramControllerStatus)
  {
    this.status = paramControllerStatus;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public String getManufacturer()
  {
    return this.manufacturer;
  }

  public void setManufacturer(String paramString)
  {
    this.manufacturer = paramString;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getAppVersion()
  {
    return this.appVersion;
  }

  public void setAppVersion(String paramString)
  {
    this.appVersion = paramString;
  }

  public String getBootVersion()
  {
    return this.bootVersion;
  }

  public void setBootVersion(String paramString)
  {
    this.bootVersion = paramString;
  }

  public String getProductID()
  {
    return this.productID;
  }

  public void setProductID(String paramString)
  {
    this.productID = paramString;
  }

  public String getProductRevLevel()
  {
    return this.productRevLevel;
  }

  public void setProductRevLevel(String paramString)
  {
    this.productRevLevel = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getBoardID()
  {
    return this.boardID;
  }

  public void setBoardID(String paramString)
  {
    this.boardID = paramString;
  }

  public int getCacheMemorySize()
  {
    return this.cacheMemorySize;
  }

  public void setCacheMemorySize(int paramInt)
  {
    this.cacheMemorySize = paramInt;
  }

  public int getProcessorMemorySize()
  {
    return this.processorMemorySize;
  }

  public void setProcessorMemorySize(int paramInt)
  {
    this.processorMemorySize = paramInt;
  }

  public IOInterfaceTypeData[] getHostInterfaces()
  {
    return this.hostInterfaces;
  }

  public void setHostInterfaces(IOInterfaceTypeData[] paramArrayOfIOInterfaceTypeData)
  {
    this.hostInterfaces = paramArrayOfIOInterfaceTypeData;
  }

  public IOInterfaceTypeData[] getDriveInterfaces()
  {
    return this.driveInterfaces;
  }

  public void setDriveInterfaces(IOInterfaceTypeData[] paramArrayOfIOInterfaceTypeData)
  {
    this.driveInterfaces = paramArrayOfIOInterfaceTypeData;
  }

  public NetInterfaceTypeData[] getNetInterfaces()
  {
    return this.netInterfaces;
  }

  public void setNetInterfaces(NetInterfaceTypeData[] paramArrayOfNetInterfaceTypeData)
  {
    this.netInterfaces = paramArrayOfNetInterfaceTypeData;
  }

  public InventoryItem[] getInventory()
  {
    return this.inventory;
  }

  public void setInventory(InventoryItem[] paramArrayOfInventoryItem)
  {
    this.inventory = paramArrayOfInventoryItem;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public String getHostBoardID()
  {
    return this.hostBoardID;
  }

  public void setHostBoardID(String paramString)
  {
    this.hostBoardID = paramString;
  }

  public int getPhysicalCacheMemorySize()
  {
    return this.physicalCacheMemorySize;
  }

  public void setPhysicalCacheMemorySize(int paramInt)
  {
    this.physicalCacheMemorySize = paramInt;
  }

  public boolean getReadyToRemove()
  {
    return this.readyToRemove;
  }

  public void setReadyToRemove(boolean paramBoolean)
  {
    this.readyToRemove = paramBoolean;
  }

  public String getBoardSubmodelID()
  {
    return this.boardSubmodelID;
  }

  public void setBoardSubmodelID(String paramString)
  {
    this.boardSubmodelID = paramString;
  }

  public boolean getSubmodelSupported()
  {
    return this.submodelSupported;
  }

  public void setSubmodelSupported(boolean paramBoolean)
  {
    this.submodelSupported = paramBoolean;
  }

  public String getOemPartNumber()
  {
    return this.oemPartNumber;
  }

  public void setOemPartNumber(String paramString)
  {
    this.oemPartNumber = paramString;
  }

  public String getPartNumber()
  {
    return this.partNumber;
  }

  public void setPartNumber(String paramString)
  {
    this.partNumber = paramString;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.active);
    paramXDROutputStream.putBoolean(this.quiesced);
    this.status.xdrEncode(paramXDROutputStream);
    this.controllerRef.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.manufacturer);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.appVersion);
    paramXDROutputStream.putString(this.bootVersion);
    paramXDROutputStream.putString(this.productID);
    paramXDROutputStream.putString(this.productRevLevel);
    paramXDROutputStream.putString(this.serialNumber);
    paramXDROutputStream.putString(this.boardID);
    paramXDROutputStream.putInt(this.cacheMemorySize);
    paramXDROutputStream.putInt(this.processorMemorySize);
    int j = this.hostInterfaces == null ? 0 : this.hostInterfaces.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.hostInterfaces[k].xdrEncode(paramXDROutputStream);
    j = this.driveInterfaces == null ? 0 : this.driveInterfaces.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.driveInterfaces[k].xdrEncode(paramXDROutputStream);
    j = this.netInterfaces == null ? 0 : this.netInterfaces.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.netInterfaces[k].xdrEncode(paramXDROutputStream);
    j = this.inventory == null ? 0 : this.inventory.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.inventory[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.putString(this.hostBoardID);
    paramXDROutputStream.putInt(this.physicalCacheMemorySize);
    paramXDROutputStream.putBoolean(this.readyToRemove);
    paramXDROutputStream.putString(this.boardSubmodelID);
    paramXDROutputStream.putBoolean(this.submodelSupported);
    paramXDROutputStream.putString(this.oemPartNumber);
    paramXDROutputStream.putString(this.partNumber);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.active = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.quiesced = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturer = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.appVersion = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.bootVersion = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.productID = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.productRevLevel = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.serialNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.boardID = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.cacheMemorySize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.processorMemorySize = paramXDRInputStream.getInt();
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.hostInterfaces = new IOInterfaceTypeData[j];
      for (k = 0; k < j; k++)
      {
        this.hostInterfaces[k] = new IOInterfaceTypeData();
        this.hostInterfaces[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.driveInterfaces = new IOInterfaceTypeData[j];
      for (k = 0; k < j; k++)
      {
        this.driveInterfaces[k] = new IOInterfaceTypeData();
        this.driveInterfaces[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.netInterfaces = new NetInterfaceTypeData[j];
      for (k = 0; k < j; k++)
      {
        this.netInterfaces[k] = new NetInterfaceTypeData();
        this.netInterfaces[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.inventory = new InventoryItem[j];
      for (k = 0; k < j; k++)
      {
        this.inventory[k] = new InventoryItem();
        this.inventory[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.hostBoardID = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.physicalCacheMemorySize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.readyToRemove = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.boardSubmodelID = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.submodelSupported = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.oemPartNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.partNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}