package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerTime
  implements XDRType, SYMbolAPIConstants
{
  private long controllerATime;
  private long controllerBTime;

  public ControllerTime()
  {
  }

  public ControllerTime(ControllerTime paramControllerTime)
  {
    this.controllerATime = paramControllerTime.controllerATime;
    this.controllerBTime = paramControllerTime.controllerBTime;
  }

  public long getControllerATime()
  {
    return this.controllerATime;
  }

  public void setControllerATime(long paramLong)
  {
    this.controllerATime = paramLong;
  }

  public long getControllerBTime()
  {
    return this.controllerBTime;
  }

  public void setControllerBTime(long paramLong)
  {
    this.controllerBTime = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.controllerATime);
    paramXDROutputStream.putLong(this.controllerBTime);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerATime = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerBTime = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}