package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class CruType
  implements XDRType, SYMbolAPIConstants
{
  public static final int CRU_TYPE_UNKNOWN = 1;
  public static final int CRU_TYPE_DEDICATED = 2;
  public static final int CRU_TYPE_SHARED = 3;
  private int value;

  public CruType()
  {
  }

  public CruType(CruType paramCruType)
  {
    this.value = paramCruType.value;
  }

  public CruType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}