package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DVEVolume
  implements XDRType, SYMbolAPIConstants
{
  private VolumeRef volume = new VolumeRef();
  private long amountOfIncrease;

  public DVEVolume()
  {
  }

  public DVEVolume(DVEVolume paramDVEVolume)
  {
    this.volume = paramDVEVolume.volume;
    this.amountOfIncrease = paramDVEVolume.amountOfIncrease;
  }

  public VolumeRef getVolume()
  {
    return this.volume;
  }

  public void setVolume(VolumeRef paramVolumeRef)
  {
    this.volume = paramVolumeRef;
  }

  public long getAmountOfIncrease()
  {
    return this.amountOfIncrease;
  }

  public void setAmountOfIncrease(long paramLong)
  {
    this.amountOfIncrease = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.amountOfIncrease);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.amountOfIncrease = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}