package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DdcExtent
  implements XDRType, SYMbolAPIConstants
{
  private DdcTag ddcTag = new DdcTag();
  private int chunkNumber;
  private ControllerRef controllerRef = new ControllerRef();

  public DdcExtent()
  {
  }

  public DdcExtent(DdcExtent paramDdcExtent)
  {
    this.ddcTag = paramDdcExtent.ddcTag;
    this.chunkNumber = paramDdcExtent.chunkNumber;
    this.controllerRef = paramDdcExtent.controllerRef;
  }

  public DdcTag getDdcTag()
  {
    return this.ddcTag;
  }

  public void setDdcTag(DdcTag paramDdcTag)
  {
    this.ddcTag = paramDdcTag;
  }

  public int getChunkNumber()
  {
    return this.chunkNumber;
  }

  public void setChunkNumber(int paramInt)
  {
    this.chunkNumber = paramInt;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.ddcTag.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.chunkNumber);
    this.controllerRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.ddcTag.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.chunkNumber = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}