package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DegradedPath
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private DriveRef[] drives;

  public DegradedPath()
  {
  }

  public DegradedPath(DegradedPath paramDegradedPath)
  {
    this.channel = paramDegradedPath.channel;
    this.drives = paramDegradedPath.drives;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public DriveRef[] getDrives()
  {
    return this.drives;
  }

  public void setDrives(DriveRef[] paramArrayOfDriveRef)
  {
    this.drives = paramArrayOfDriveRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    int j = this.drives == null ? 0 : this.drives.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.drives[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.drives = new DriveRef[j];
      for (int k = 0; k < j; k++)
      {
        this.drives[k] = new DriveRef();
        this.drives[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}