package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DiscoveryResponse
  implements XDRType, SYMbolAPIConstants
{
  private boolean responseFromAgent;
  private byte[] agentId;
  private AccessibleController[] controllers;

  public DiscoveryResponse()
  {
  }

  public DiscoveryResponse(DiscoveryResponse paramDiscoveryResponse)
  {
    this.responseFromAgent = paramDiscoveryResponse.responseFromAgent;
    this.agentId = paramDiscoveryResponse.agentId;
    this.controllers = paramDiscoveryResponse.controllers;
  }

  public boolean getResponseFromAgent()
  {
    return this.responseFromAgent;
  }

  public void setResponseFromAgent(boolean paramBoolean)
  {
    this.responseFromAgent = paramBoolean;
  }

  public byte[] getAgentId()
  {
    return this.agentId;
  }

  public void setAgentId(byte[] paramArrayOfByte)
  {
    this.agentId = paramArrayOfByte;
  }

  public AccessibleController[] getControllers()
  {
    return this.controllers;
  }

  public void setControllers(AccessibleController[] paramArrayOfAccessibleController)
  {
    this.controllers = paramArrayOfAccessibleController;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putBoolean(this.responseFromAgent);
    paramXDROutputStream.putVariableOpaque(this.agentId);
    int i = this.controllers == null ? 0 : this.controllers.length;
    paramXDROutputStream.putInt(i);
    for (int j = 0; j < i; j++)
      this.controllers[j].xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.responseFromAgent = paramXDRInputStream.getBoolean();
    this.agentId = paramXDRInputStream.getVariableOpaque();
    int i = paramXDRInputStream.getInt();
    this.controllers = new AccessibleController[i];
    for (int j = 0; j < i; j++)
    {
      this.controllers[j] = new AccessibleController();
      this.controllers[j].xdrDecode(paramXDRInputStream);
    }
  }
}