package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannel
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private DriveChannelState state = new DriveChannelState();
  private DriveChannelDegradeReason reason = new DriveChannelDegradeReason();
  private ControllerRef degradingController = new ControllerRef();
  private DriveChannelStatistics statsControllerA = new DriveChannelStatistics();
  private DriveChannelStatistics statsControllerB = new DriveChannelStatistics();

  public DriveChannel()
  {
  }

  public DriveChannel(DriveChannel paramDriveChannel)
  {
    this.channel = paramDriveChannel.channel;
    this.state = paramDriveChannel.state;
    this.reason = paramDriveChannel.reason;
    this.degradingController = paramDriveChannel.degradingController;
    this.statsControllerA = paramDriveChannel.statsControllerA;
    this.statsControllerB = paramDriveChannel.statsControllerB;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public DriveChannelState getState()
  {
    return this.state;
  }

  public void setState(DriveChannelState paramDriveChannelState)
  {
    this.state = paramDriveChannelState;
  }

  public DriveChannelDegradeReason getReason()
  {
    return this.reason;
  }

  public void setReason(DriveChannelDegradeReason paramDriveChannelDegradeReason)
  {
    this.reason = paramDriveChannelDegradeReason;
  }

  public ControllerRef getDegradingController()
  {
    return this.degradingController;
  }

  public void setDegradingController(ControllerRef paramControllerRef)
  {
    this.degradingController = paramControllerRef;
  }

  public DriveChannelStatistics getStatsControllerA()
  {
    return this.statsControllerA;
  }

  public void setStatsControllerA(DriveChannelStatistics paramDriveChannelStatistics)
  {
    this.statsControllerA = paramDriveChannelStatistics;
  }

  public DriveChannelStatistics getStatsControllerB()
  {
    return this.statsControllerB;
  }

  public void setStatsControllerB(DriveChannelStatistics paramDriveChannelStatistics)
  {
    this.statsControllerB = paramDriveChannelStatistics;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    this.state.xdrEncode(paramXDROutputStream);
    this.reason.xdrEncode(paramXDROutputStream);
    this.degradingController.xdrEncode(paramXDROutputStream);
    this.statsControllerA.xdrEncode(paramXDROutputStream);
    this.statsControllerB.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.state.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reason.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.degradingController.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.statsControllerA.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.statsControllerB.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}