package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveDownloadSet
  implements XDRType, SYMbolAPIConstants
{
  private int fileSize;
  private DriveRef[] driveList;

  public DriveDownloadSet()
  {
  }

  public DriveDownloadSet(DriveDownloadSet paramDriveDownloadSet)
  {
    this.fileSize = paramDriveDownloadSet.fileSize;
    this.driveList = paramDriveDownloadSet.driveList;
  }

  public int getFileSize()
  {
    return this.fileSize;
  }

  public void setFileSize(int paramInt)
  {
    this.fileSize = paramInt;
  }

  public DriveRef[] getDriveList()
  {
    return this.driveList;
  }

  public void setDriveList(DriveRef[] paramArrayOfDriveRef)
  {
    this.driveList = paramArrayOfDriveRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.fileSize);
    int j = this.driveList == null ? 0 : this.driveList.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.driveList[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.fileSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.driveList = new DriveRef[j];
      for (int k = 0; k < j; k++)
      {
        this.driveList[k] = new DriveRef();
        this.driveList[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}