package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EthernetInterface
  implements XDRType, SYMbolAPIConstants
{
  private String interfaceName;
  private int channel;
  private int speed;
  private int ip;
  private String alias;
  private byte[] macAddr;
  private int gatewayIp;
  private int subnetMask;
  private boolean bootpUsed;
  private boolean rloginEnabled;
  private byte[] reserved1;
  private boolean setupError;
  private byte[] reserved2;

  public EthernetInterface()
  {
  }

  public EthernetInterface(EthernetInterface paramEthernetInterface)
  {
    this.interfaceName = paramEthernetInterface.interfaceName;
    this.channel = paramEthernetInterface.channel;
    this.speed = paramEthernetInterface.speed;
    this.ip = paramEthernetInterface.ip;
    this.alias = paramEthernetInterface.alias;
    this.macAddr = paramEthernetInterface.macAddr;
    this.gatewayIp = paramEthernetInterface.gatewayIp;
    this.subnetMask = paramEthernetInterface.subnetMask;
    this.bootpUsed = paramEthernetInterface.bootpUsed;
    this.rloginEnabled = paramEthernetInterface.rloginEnabled;
    this.reserved1 = paramEthernetInterface.reserved1;
    this.setupError = paramEthernetInterface.setupError;
    this.reserved2 = paramEthernetInterface.reserved2;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getSpeed()
  {
    return this.speed;
  }

  public void setSpeed(int paramInt)
  {
    this.speed = paramInt;
  }

  public int getIp()
  {
    return this.ip;
  }

  public void setIp(int paramInt)
  {
    this.ip = paramInt;
  }

  public String getAlias()
  {
    return this.alias;
  }

  public void setAlias(String paramString)
  {
    this.alias = paramString;
  }

  public byte[] getMacAddr()
  {
    return this.macAddr;
  }

  public void setMacAddr(byte[] paramArrayOfByte)
  {
    this.macAddr = paramArrayOfByte;
  }

  public int getGatewayIp()
  {
    return this.gatewayIp;
  }

  public void setGatewayIp(int paramInt)
  {
    this.gatewayIp = paramInt;
  }

  public int getSubnetMask()
  {
    return this.subnetMask;
  }

  public void setSubnetMask(int paramInt)
  {
    this.subnetMask = paramInt;
  }

  public boolean getBootpUsed()
  {
    return this.bootpUsed;
  }

  public void setBootpUsed(boolean paramBoolean)
  {
    this.bootpUsed = paramBoolean;
  }

  public boolean getRloginEnabled()
  {
    return this.rloginEnabled;
  }

  public void setRloginEnabled(boolean paramBoolean)
  {
    this.rloginEnabled = paramBoolean;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public boolean getSetupError()
  {
    return this.setupError;
  }

  public void setSetupError(boolean paramBoolean)
  {
    this.setupError = paramBoolean;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putString(this.interfaceName);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.speed);
    paramXDROutputStream.putInt(this.ip);
    paramXDROutputStream.putString(this.alias);
    paramXDROutputStream.putFixedOpaque(this.macAddr, 6);
    paramXDROutputStream.putInt(this.gatewayIp);
    paramXDROutputStream.putInt(this.subnetMask);
    paramXDROutputStream.putBoolean(this.bootpUsed);
    paramXDROutputStream.putBoolean(this.rloginEnabled);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putBoolean(this.setupError);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.interfaceName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.speed = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.ip = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.alias = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.macAddr = paramXDRInputStream.getFixedOpaque(6);
    if (paramXDRInputStream.getPosition() < i)
      this.gatewayIp = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.subnetMask = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.bootpUsed = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.rloginEnabled = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.setupError = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}