package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EventPriority
  implements XDRType, SYMbolAPIConstants
{
  public static final int EVENT_PRIORITY_CRITICAL = 0;
  public static final int EVENT_PRIORITY_INFO = 1;
  private int value;

  public EventPriority()
  {
  }

  public EventPriority(EventPriority paramEventPriority)
  {
    this.value = paramEventPriority.value;
  }

  public EventPriority(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}