package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FibreESMAddress
  implements XDRType, SYMbolAPIConstants
{
  private DriveChannelPortRef esmPortRef = new DriveChannelPortRef();
  private int loopID;

  public FibreESMAddress()
  {
  }

  public FibreESMAddress(FibreESMAddress paramFibreESMAddress)
  {
    this.esmPortRef = paramFibreESMAddress.esmPortRef;
    this.loopID = paramFibreESMAddress.loopID;
  }

  public DriveChannelPortRef getEsmPortRef()
  {
    return this.esmPortRef;
  }

  public void setEsmPortRef(DriveChannelPortRef paramDriveChannelPortRef)
  {
    this.esmPortRef = paramDriveChannelPortRef;
  }

  public int getLoopID()
  {
    return this.loopID;
  }

  public void setLoopID(int paramInt)
  {
    this.loopID = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.esmPortRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.loopID);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.esmPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.loopID = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}