package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FibreEsmAttributes
  implements XDRType, SYMbolAPIConstants
{
  private boolean isSwitched;
  private FibreESMAddress fibreEsmAddress = new FibreESMAddress();

  public FibreEsmAttributes()
  {
  }

  public FibreEsmAttributes(FibreEsmAttributes paramFibreEsmAttributes)
  {
    this.isSwitched = paramFibreEsmAttributes.isSwitched;
    this.fibreEsmAddress = paramFibreEsmAttributes.fibreEsmAddress;
  }

  public boolean getIsSwitched()
  {
    return this.isSwitched;
  }

  public void setIsSwitched(boolean paramBoolean)
  {
    this.isSwitched = paramBoolean;
  }

  public FibreESMAddress getFibreEsmAddress()
  {
    return this.fibreEsmAddress;
  }

  public void setFibreEsmAddress(FibreESMAddress paramFibreESMAddress)
  {
    this.fibreEsmAddress = paramFibreESMAddress;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.isSwitched);
    this.fibreEsmAddress.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.isSwitched = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.fibreEsmAddress.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}