package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FibreInterface
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private int loopID;
  private int speed;
  private int hardAddress;
  private byte[] nodeName;
  private byte[] portName;
  private byte[] portId;
  private FibreTopologyType topology = new FibreTopologyType();
  private String part;
  private int revision;
  private boolean chanMiswire;
  private boolean esmMiswire;
  private LinkStatus linkStatus = new LinkStatus();
  private boolean isDegraded;
  private SpeedControl speedControl = new SpeedControl();
  private int maxSpeed;
  private boolean speedNegError;
  private byte[] reserved1;
  private byte[] reserved2;
  private int ddsChannelState;
  private int ddsStateReason;
  private int ddsStateWho;
  private boolean isLocal;
  private ChannelPorts[] channelPorts;
  private InterfaceSpeed currentInterfaceSpeed = new InterfaceSpeed();
  private InterfaceSpeed maximumInterfaceSpeed = new InterfaceSpeed();

  public FibreInterface()
  {
  }

  public FibreInterface(FibreInterface paramFibreInterface)
  {
    this.channel = paramFibreInterface.channel;
    this.loopID = paramFibreInterface.loopID;
    this.speed = paramFibreInterface.speed;
    this.hardAddress = paramFibreInterface.hardAddress;
    this.nodeName = paramFibreInterface.nodeName;
    this.portName = paramFibreInterface.portName;
    this.portId = paramFibreInterface.portId;
    this.topology = paramFibreInterface.topology;
    this.part = paramFibreInterface.part;
    this.revision = paramFibreInterface.revision;
    this.chanMiswire = paramFibreInterface.chanMiswire;
    this.esmMiswire = paramFibreInterface.esmMiswire;
    this.linkStatus = paramFibreInterface.linkStatus;
    this.isDegraded = paramFibreInterface.isDegraded;
    this.speedControl = paramFibreInterface.speedControl;
    this.maxSpeed = paramFibreInterface.maxSpeed;
    this.speedNegError = paramFibreInterface.speedNegError;
    this.reserved1 = paramFibreInterface.reserved1;
    this.reserved2 = paramFibreInterface.reserved2;
    this.ddsChannelState = paramFibreInterface.ddsChannelState;
    this.ddsStateReason = paramFibreInterface.ddsStateReason;
    this.ddsStateWho = paramFibreInterface.ddsStateWho;
    this.isLocal = paramFibreInterface.isLocal;
    this.channelPorts = paramFibreInterface.channelPorts;
    this.currentInterfaceSpeed = paramFibreInterface.currentInterfaceSpeed;
    this.maximumInterfaceSpeed = paramFibreInterface.maximumInterfaceSpeed;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getLoopID()
  {
    return this.loopID;
  }

  public void setLoopID(int paramInt)
  {
    this.loopID = paramInt;
  }

  public int getSpeed()
  {
    return this.speed;
  }

  public void setSpeed(int paramInt)
  {
    this.speed = paramInt;
  }

  public int getHardAddress()
  {
    return this.hardAddress;
  }

  public void setHardAddress(int paramInt)
  {
    this.hardAddress = paramInt;
  }

  public byte[] getNodeName()
  {
    return this.nodeName;
  }

  public void setNodeName(byte[] paramArrayOfByte)
  {
    this.nodeName = paramArrayOfByte;
  }

  public byte[] getPortName()
  {
    return this.portName;
  }

  public void setPortName(byte[] paramArrayOfByte)
  {
    this.portName = paramArrayOfByte;
  }

  public byte[] getPortId()
  {
    return this.portId;
  }

  public void setPortId(byte[] paramArrayOfByte)
  {
    this.portId = paramArrayOfByte;
  }

  public FibreTopologyType getTopology()
  {
    return this.topology;
  }

  public void setTopology(FibreTopologyType paramFibreTopologyType)
  {
    this.topology = paramFibreTopologyType;
  }

  public String getPart()
  {
    return this.part;
  }

  public void setPart(String paramString)
  {
    this.part = paramString;
  }

  public int getRevision()
  {
    return this.revision;
  }

  public void setRevision(int paramInt)
  {
    this.revision = paramInt;
  }

  public boolean getChanMiswire()
  {
    return this.chanMiswire;
  }

  public void setChanMiswire(boolean paramBoolean)
  {
    this.chanMiswire = paramBoolean;
  }

  public boolean getEsmMiswire()
  {
    return this.esmMiswire;
  }

  public void setEsmMiswire(boolean paramBoolean)
  {
    this.esmMiswire = paramBoolean;
  }

  public LinkStatus getLinkStatus()
  {
    return this.linkStatus;
  }

  public void setLinkStatus(LinkStatus paramLinkStatus)
  {
    this.linkStatus = paramLinkStatus;
  }

  public boolean getIsDegraded()
  {
    return this.isDegraded;
  }

  public void setIsDegraded(boolean paramBoolean)
  {
    this.isDegraded = paramBoolean;
  }

  public SpeedControl getSpeedControl()
  {
    return this.speedControl;
  }

  public void setSpeedControl(SpeedControl paramSpeedControl)
  {
    this.speedControl = paramSpeedControl;
  }

  public int getMaxSpeed()
  {
    return this.maxSpeed;
  }

  public void setMaxSpeed(int paramInt)
  {
    this.maxSpeed = paramInt;
  }

  public boolean getSpeedNegError()
  {
    return this.speedNegError;
  }

  public void setSpeedNegError(boolean paramBoolean)
  {
    this.speedNegError = paramBoolean;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public int getDdsChannelState()
  {
    return this.ddsChannelState;
  }

  public void setDdsChannelState(int paramInt)
  {
    this.ddsChannelState = paramInt;
  }

  public int getDdsStateReason()
  {
    return this.ddsStateReason;
  }

  public void setDdsStateReason(int paramInt)
  {
    this.ddsStateReason = paramInt;
  }

  public int getDdsStateWho()
  {
    return this.ddsStateWho;
  }

  public void setDdsStateWho(int paramInt)
  {
    this.ddsStateWho = paramInt;
  }

  public boolean getIsLocal()
  {
    return this.isLocal;
  }

  public void setIsLocal(boolean paramBoolean)
  {
    this.isLocal = paramBoolean;
  }

  public ChannelPorts[] getChannelPorts()
  {
    return this.channelPorts;
  }

  public void setChannelPorts(ChannelPorts[] paramArrayOfChannelPorts)
  {
    this.channelPorts = paramArrayOfChannelPorts;
  }

  public InterfaceSpeed getCurrentInterfaceSpeed()
  {
    return this.currentInterfaceSpeed;
  }

  public void setCurrentInterfaceSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.currentInterfaceSpeed = paramInterfaceSpeed;
  }

  public InterfaceSpeed getMaximumInterfaceSpeed()
  {
    return this.maximumInterfaceSpeed;
  }

  public void setMaximumInterfaceSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.maximumInterfaceSpeed = paramInterfaceSpeed;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.loopID);
    paramXDROutputStream.putInt(this.speed);
    paramXDROutputStream.putInt(this.hardAddress);
    paramXDROutputStream.putFixedOpaque(this.nodeName, 8);
    paramXDROutputStream.putFixedOpaque(this.portName, 8);
    paramXDROutputStream.putFixedOpaque(this.portId, 3);
    this.topology.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.part);
    paramXDROutputStream.putInt(this.revision);
    paramXDROutputStream.putBoolean(this.chanMiswire);
    paramXDROutputStream.putBoolean(this.esmMiswire);
    this.linkStatus.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.isDegraded);
    this.speedControl.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.maxSpeed);
    paramXDROutputStream.putBoolean(this.speedNegError);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.putInt(this.ddsChannelState);
    paramXDROutputStream.putInt(this.ddsStateReason);
    paramXDROutputStream.putInt(this.ddsStateWho);
    paramXDROutputStream.putBoolean(this.isLocal);
    int j = this.channelPorts == null ? 0 : this.channelPorts.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.channelPorts[k].xdrEncode(paramXDROutputStream);
    this.currentInterfaceSpeed.xdrEncode(paramXDROutputStream);
    this.maximumInterfaceSpeed.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.loopID = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.speed = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.hardAddress = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.nodeName = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.portName = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.portId = paramXDRInputStream.getFixedOpaque(3);
    if (paramXDRInputStream.getPosition() < i)
      this.topology.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.part = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.revision = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.chanMiswire = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.esmMiswire = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.linkStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.isDegraded = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.speedControl.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.maxSpeed = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.speedNegError = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.ddsChannelState = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.ddsStateReason = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.ddsStateWho = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.isLocal = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.channelPorts = new ChannelPorts[j];
      for (int k = 0; k < j; k++)
      {
        this.channelPorts[k] = new ChannelPorts();
        this.channelPorts[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.currentInterfaceSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.maximumInterfaceSpeed.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}