package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostBoard
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef parentController = new ControllerRef();
  private String partNumber;
  private String serialNumber;
  private String vendorName;
  private long manufacturerDate;
  private String fruType;
  private String hostBoardId;
  private HostBoardStatus status = new HostBoardStatus();
  private HostBoardType type = new HostBoardType();
  private ComponentRef hostBoardRef = new ComponentRef();

  public HostBoard()
  {
  }

  public HostBoard(HostBoard paramHostBoard)
  {
    this.parentController = paramHostBoard.parentController;
    this.partNumber = paramHostBoard.partNumber;
    this.serialNumber = paramHostBoard.serialNumber;
    this.vendorName = paramHostBoard.vendorName;
    this.manufacturerDate = paramHostBoard.manufacturerDate;
    this.fruType = paramHostBoard.fruType;
    this.hostBoardId = paramHostBoard.hostBoardId;
    this.status = paramHostBoard.status;
    this.type = paramHostBoard.type;
    this.hostBoardRef = paramHostBoard.hostBoardRef;
  }

  public ControllerRef getParentController()
  {
    return this.parentController;
  }

  public void setParentController(ControllerRef paramControllerRef)
  {
    this.parentController = paramControllerRef;
  }

  public String getPartNumber()
  {
    return this.partNumber;
  }

  public void setPartNumber(String paramString)
  {
    this.partNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getVendorName()
  {
    return this.vendorName;
  }

  public void setVendorName(String paramString)
  {
    this.vendorName = paramString;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getFruType()
  {
    return this.fruType;
  }

  public void setFruType(String paramString)
  {
    this.fruType = paramString;
  }

  public String getHostBoardId()
  {
    return this.hostBoardId;
  }

  public void setHostBoardId(String paramString)
  {
    this.hostBoardId = paramString;
  }

  public HostBoardStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(HostBoardStatus paramHostBoardStatus)
  {
    this.status = paramHostBoardStatus;
  }

  public HostBoardType getType()
  {
    return this.type;
  }

  public void setType(HostBoardType paramHostBoardType)
  {
    this.type = paramHostBoardType;
  }

  public ComponentRef getHostBoardRef()
  {
    return this.hostBoardRef;
  }

  public void setHostBoardRef(ComponentRef paramComponentRef)
  {
    this.hostBoardRef = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.parentController.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.partNumber);
    paramXDROutputStream.putString(this.serialNumber);
    paramXDROutputStream.putString(this.vendorName);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.fruType);
    paramXDROutputStream.putString(this.hostBoardId);
    this.status.xdrEncode(paramXDROutputStream);
    this.type.xdrEncode(paramXDROutputStream);
    this.hostBoardRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.parentController.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.partNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.serialNumber = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.fruType = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.hostBoardId = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.type.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostBoardRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}