package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostBoardType
  implements XDRType, SYMbolAPIConstants
{
  public static final int HB_TYPE_UNKNOWN = 1;
  public static final int HB_TYPE_4PORT_FC = 2;
  public static final int HB_TYPE_20PORT_SWITCHED_FC = 3;
  private int value;

  public HostBoardType()
  {
  }

  public HostBoardType(HostBoardType paramHostBoardType)
  {
    this.value = paramHostBoardType.value;
  }

  public HostBoardType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}