package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostPort
  implements XDRType, SYMbolAPIConstants
{
  private HostPortRef hostPortRef = new HostPortRef();
  private HostPortName hostPortName = new HostPortName();
  private UserAssignedLabel label = new UserAssignedLabel();
  private HostRef hostRef = new HostRef();
  private int hostPortTypeIndex;
  private boolean isSAControlled;
  private boolean confirmLUNMappingCreation;

  public HostPort()
  {
  }

  public HostPort(HostPort paramHostPort)
  {
    this.hostPortRef = paramHostPort.hostPortRef;
    this.hostPortName = paramHostPort.hostPortName;
    this.label = paramHostPort.label;
    this.hostRef = paramHostPort.hostRef;
    this.hostPortTypeIndex = paramHostPort.hostPortTypeIndex;
    this.isSAControlled = paramHostPort.isSAControlled;
    this.confirmLUNMappingCreation = paramHostPort.confirmLUNMappingCreation;
  }

  public HostPortRef getHostPortRef()
  {
    return this.hostPortRef;
  }

  public void setHostPortRef(HostPortRef paramHostPortRef)
  {
    this.hostPortRef = paramHostPortRef;
  }

  public HostPortName getHostPortName()
  {
    return this.hostPortName;
  }

  public void setHostPortName(HostPortName paramHostPortName)
  {
    this.hostPortName = paramHostPortName;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public HostRef getHostRef()
  {
    return this.hostRef;
  }

  public void setHostRef(HostRef paramHostRef)
  {
    this.hostRef = paramHostRef;
  }

  public int getHostPortTypeIndex()
  {
    return this.hostPortTypeIndex;
  }

  public void setHostPortTypeIndex(int paramInt)
  {
    this.hostPortTypeIndex = paramInt;
  }

  public boolean getIsSAControlled()
  {
    return this.isSAControlled;
  }

  public void setIsSAControlled(boolean paramBoolean)
  {
    this.isSAControlled = paramBoolean;
  }

  public boolean getConfirmLUNMappingCreation()
  {
    return this.confirmLUNMappingCreation;
  }

  public void setConfirmLUNMappingCreation(boolean paramBoolean)
  {
    this.confirmLUNMappingCreation = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.hostPortRef.xdrEncode(paramXDROutputStream);
    this.hostPortName.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    this.hostRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.hostPortTypeIndex);
    paramXDROutputStream.putBoolean(this.isSAControlled);
    paramXDROutputStream.putBoolean(this.confirmLUNMappingCreation);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortName.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortTypeIndex = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.isSAControlled = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.confirmLUNMappingCreation = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}