package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostPortCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private HostPortName hostPortName = new HostPortName();
  private UserAssignedLabel label = new UserAssignedLabel();
  private int hostPortTypeIndex;
  private HostRef hostRef = new HostRef();

  public HostPortCreationDescriptor()
  {
  }

  public HostPortCreationDescriptor(HostPortCreationDescriptor paramHostPortCreationDescriptor)
  {
    this.hostPortName = paramHostPortCreationDescriptor.hostPortName;
    this.label = paramHostPortCreationDescriptor.label;
    this.hostPortTypeIndex = paramHostPortCreationDescriptor.hostPortTypeIndex;
    this.hostRef = paramHostPortCreationDescriptor.hostRef;
  }

  public HostPortName getHostPortName()
  {
    return this.hostPortName;
  }

  public void setHostPortName(HostPortName paramHostPortName)
  {
    this.hostPortName = paramHostPortName;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public int getHostPortTypeIndex()
  {
    return this.hostPortTypeIndex;
  }

  public void setHostPortTypeIndex(int paramInt)
  {
    this.hostPortTypeIndex = paramInt;
  }

  public HostRef getHostRef()
  {
    return this.hostRef;
  }

  public void setHostRef(HostRef paramHostRef)
  {
    this.hostRef = paramHostRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.hostPortName.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.hostPortTypeIndex);
    this.hostRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortName.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortTypeIndex = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.hostRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}