package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class IOInterfaceType
  implements XDRType, SYMbolAPIConstants
{
  public static final int IO_IF_NOT_IMPLEMENTED = 0;
  public static final int IO_IF_SCSI = 1;
  public static final int IO_IF_FC = 2;
  public static final int IO_IF_SATA = 3;
  private int value;

  public IOInterfaceType()
  {
  }

  public IOInterfaceType(IOInterfaceType paramIOInterfaceType)
  {
    this.value = paramIOInterfaceType.value;
  }

  public IOInterfaceType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}