package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class InterfaceSpeed
  implements XDRType, SYMbolAPIConstants
{
  public static final int SPEED_UNKNOWN = 1;
  public static final int SPEED_1GIG = 2;
  public static final int SPEED_2GIG = 3;
  public static final int SPEED_4GIG = 4;
  public static final int SPEED_10GIG = 5;
  public static final int SPEED_1_5GIG = 6;
  public static final int SPEED_3GIG = 7;
  private int value;

  public InterfaceSpeed()
  {
  }

  public InterfaceSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.value = paramInterfaceSpeed.value;
  }

  public InterfaceSpeed(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}