package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class InventoryItem
  implements XDRType, SYMbolAPIConstants
{
  private String itemName;
  private String itemVersion;

  public InventoryItem()
  {
  }

  public InventoryItem(InventoryItem paramInventoryItem)
  {
    this.itemName = paramInventoryItem.itemName;
    this.itemVersion = paramInventoryItem.itemVersion;
  }

  public String getItemName()
  {
    return this.itemName;
  }

  public void setItemName(String paramString)
  {
    this.itemName = paramString;
  }

  public String getItemVersion()
  {
    return this.itemVersion;
  }

  public void setItemVersion(String paramString)
  {
    this.itemVersion = paramString;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putString(this.itemName);
    paramXDROutputStream.putString(this.itemVersion);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.itemName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.itemVersion = paramXDRInputStream.getString();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}