package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class LUNMappingType
  implements XDRType, SYMbolAPIConstants
{
  public static final int LUMTYPE_NONE = 1;
  public static final int LUMTYPE_HOSTPORT = 2;
  public static final int LUMTYPE_HOST = 3;
  public static final int LUMTYPE_CLUSTER = 4;
  public static final int LUMTYPE_SAPORT = 5;
  public static final int LUMTYPE_SAPORTGROUP = 6;
  public static final int LUMTYPE_HOSTSACONNECTION = 7;
  public static final int LUMTYPE_ALL = 8;
  private int value;

  public LUNMappingType()
  {
  }

  public LUNMappingType(LUNMappingType paramLUNMappingType)
  {
    this.value = paramLUNMappingType.value;
  }

  public LUNMappingType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}