package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class LinkSpeedDetectionError
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef parentRef = new ControllerRef();
  private int channel;
  private int channelPort;
  private SFP_CONNECT_TYPE connector = new SFP_CONNECT_TYPE();
  private SFP_SPEED supportedLinkSpeeds = new SFP_SPEED();
  private int currentLinkSpeed;
  private boolean manuallyBypassed;
  private boolean supportsSpeed;

  public LinkSpeedDetectionError()
  {
  }

  public LinkSpeedDetectionError(LinkSpeedDetectionError paramLinkSpeedDetectionError)
  {
    this.parentRef = paramLinkSpeedDetectionError.parentRef;
    this.channel = paramLinkSpeedDetectionError.channel;
    this.channelPort = paramLinkSpeedDetectionError.channelPort;
    this.connector = paramLinkSpeedDetectionError.connector;
    this.supportedLinkSpeeds = paramLinkSpeedDetectionError.supportedLinkSpeeds;
    this.currentLinkSpeed = paramLinkSpeedDetectionError.currentLinkSpeed;
    this.manuallyBypassed = paramLinkSpeedDetectionError.manuallyBypassed;
    this.supportsSpeed = paramLinkSpeedDetectionError.supportsSpeed;
  }

  public ControllerRef getParentRef()
  {
    return this.parentRef;
  }

  public void setParentRef(ControllerRef paramControllerRef)
  {
    this.parentRef = paramControllerRef;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getChannelPort()
  {
    return this.channelPort;
  }

  public void setChannelPort(int paramInt)
  {
    this.channelPort = paramInt;
  }

  public SFP_CONNECT_TYPE getConnector()
  {
    return this.connector;
  }

  public void setConnector(SFP_CONNECT_TYPE paramSFP_CONNECT_TYPE)
  {
    this.connector = paramSFP_CONNECT_TYPE;
  }

  public SFP_SPEED getSupportedLinkSpeeds()
  {
    return this.supportedLinkSpeeds;
  }

  public void setSupportedLinkSpeeds(SFP_SPEED paramSFP_SPEED)
  {
    this.supportedLinkSpeeds = paramSFP_SPEED;
  }

  public int getCurrentLinkSpeed()
  {
    return this.currentLinkSpeed;
  }

  public void setCurrentLinkSpeed(int paramInt)
  {
    this.currentLinkSpeed = paramInt;
  }

  public boolean getManuallyBypassed()
  {
    return this.manuallyBypassed;
  }

  public void setManuallyBypassed(boolean paramBoolean)
  {
    this.manuallyBypassed = paramBoolean;
  }

  public boolean getSupportsSpeed()
  {
    return this.supportsSpeed;
  }

  public void setSupportsSpeed(boolean paramBoolean)
  {
    this.supportsSpeed = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.parentRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.channelPort);
    this.connector.xdrEncode(paramXDROutputStream);
    this.supportedLinkSpeeds.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.currentLinkSpeed);
    paramXDROutputStream.putBoolean(this.manuallyBypassed);
    paramXDROutputStream.putBoolean(this.supportsSpeed);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.parentRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.channelPort = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.connector.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.supportedLinkSpeeds.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.currentLinkSpeed = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.manuallyBypassed = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.supportsSpeed = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}