package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class LinkStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int LINK_STATUS_UP = 1;
  public static final int LINK_STATUS_DOWN = 2;
  public static final int LINK_STATUS_FAILED = 3;
  private int value;

  public LinkStatus()
  {
  }

  public LinkStatus(LinkStatus paramLinkStatus)
  {
    this.value = paramLinkStatus.value;
  }

  public LinkStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}