package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Location
  implements XDRType, SYMbolAPIConstants
{
  private TrayRef trayRef = new TrayRef();
  private int slot;

  public Location()
  {
  }

  public Location(Location paramLocation)
  {
    this.trayRef = paramLocation.trayRef;
    this.slot = paramLocation.slot;
  }

  public TrayRef getTrayRef()
  {
    return this.trayRef;
  }

  public void setTrayRef(TrayRef paramTrayRef)
  {
    this.trayRef = paramTrayRef;
  }

  public int getSlot()
  {
    return this.slot;
  }

  public void setSlot(int paramInt)
  {
    this.slot = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.trayRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.slot);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.trayRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.slot = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}