package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MelExtent
  implements XDRType, SYMbolAPIConstants
{
  private long startingSeqNum;
  private long endingSeqNum;

  public MelExtent()
  {
  }

  public MelExtent(MelExtent paramMelExtent)
  {
    this.startingSeqNum = paramMelExtent.startingSeqNum;
    this.endingSeqNum = paramMelExtent.endingSeqNum;
  }

  public long getStartingSeqNum()
  {
    return this.startingSeqNum;
  }

  public void setStartingSeqNum(long paramLong)
  {
    this.startingSeqNum = paramLong;
  }

  public long getEndingSeqNum()
  {
    return this.endingSeqNum;
  }

  public void setEndingSeqNum(long paramLong)
  {
    this.endingSeqNum = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.startingSeqNum);
    paramXDROutputStream.putLong(this.endingSeqNum);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.startingSeqNum = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.endingSeqNum = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}