package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MetadataVolType
  implements XDRType, SYMbolAPIConstants
{
  public static final int ALL_MDAT_TYPES = -1;
  public static final int REMOTE_MIRROR = 1;
  private int value;

  public MetadataVolType()
  {
  }

  public MetadataVolType(MetadataVolType paramMetadataVolType)
  {
    this.value = paramMetadataVolType.value;
  }

  public MetadataVolType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}