package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MinihubStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int MINIHUB_STAT_OPTIMAL = 1;
  public static final int MINIHUB_STAT_FAILED = 2;
  public static final int MINIHUB_STAT_UNSUPPORTED = 3;
  public static final int MINIHUB_STAT_UNKNOWN = 4;
  private int value;

  public MinihubStatus()
  {
  }

  public MinihubStatus(MinihubStatus paramMinihubStatus)
  {
    this.value = paramMinihubStatus.value;
  }

  public MinihubStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}