package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorVolumeCandidate
  implements XDRType, SYMbolAPIConstants
{
  private byte[] remoteVolWWN;
  private UserAssignedLabel remoteVolLabel = new UserAssignedLabel();
  private long capacity;
  private RAIDLevel raidLevel = new RAIDLevel();

  public MirrorVolumeCandidate()
  {
  }

  public MirrorVolumeCandidate(MirrorVolumeCandidate paramMirrorVolumeCandidate)
  {
    this.remoteVolWWN = paramMirrorVolumeCandidate.remoteVolWWN;
    this.remoteVolLabel = paramMirrorVolumeCandidate.remoteVolLabel;
    this.capacity = paramMirrorVolumeCandidate.capacity;
    this.raidLevel = paramMirrorVolumeCandidate.raidLevel;
  }

  public byte[] getRemoteVolWWN()
  {
    return this.remoteVolWWN;
  }

  public void setRemoteVolWWN(byte[] paramArrayOfByte)
  {
    this.remoteVolWWN = paramArrayOfByte;
  }

  public UserAssignedLabel getRemoteVolLabel()
  {
    return this.remoteVolLabel;
  }

  public void setRemoteVolLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.remoteVolLabel = paramUserAssignedLabel;
  }

  public long getCapacity()
  {
    return this.capacity;
  }

  public void setCapacity(long paramLong)
  {
    this.capacity = paramLong;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.remoteVolWWN);
    this.remoteVolLabel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.capacity);
    this.raidLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolWWN = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolLabel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.capacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}