package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class NVSRAMRegionId
  implements XDRType, SYMbolAPIConstants
{
  public static final int REGION_ALL_REGIONS = -1;
  public static final int REGION_NON_USER_CONFIG_DATA = 226;
  public static final int REGION_SUBSYSTEM_ID = 232;
  public static final int REGION_SUBSYSTEM_FAULT_DATA = 233;
  public static final int REGION_DRIVE_FAULT_DATA = 234;
  public static final int REGION_HOST_MANAGED_DATA = 236;
  public static final int REGION_HOST_INTERFACE_DATA = 237;
  public static final int REGION_USER_CONFIG_DATA = 238;
  public static final int REGION_BOOTP_DATA = 240;
  public static final int REGION_EXT_USER_CONFIG_DATA = 241;
  public static final int REGION_HOST_TYPE_DEPENDENT_DATA = 242;
  private int value;

  public NVSRAMRegionId()
  {
  }

  public NVSRAMRegionId(NVSRAMRegionId paramNVSRAMRegionId)
  {
    this.value = paramNVSRAMRegionId.value;
  }

  public NVSRAMRegionId(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}