package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class NetInterfaceType
  implements XDRType, SYMbolAPIConstants
{
  public static final int NET_IF_ETHERNET = 1;
  private int value;

  public NetInterfaceType()
  {
  }

  public NetInterfaceType(NetInterfaceType paramNetInterfaceType)
  {
    this.value = paramNetInterfaceType.value;
  }

  public NetInterfaceType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}