package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PortStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int PORT_STATUS_BYPASSED = 1;
  public static final int PORT_STATUS_NOT_BYPASSED = 2;
  private int value;

  public PortStatus()
  {
  }

  public PortStatus(PortStatus paramPortStatus)
  {
    this.value = paramPortStatus.value;
  }

  public PortStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}