package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RLSData
  implements XDRType, SYMbolAPIConstants
{
  private RLSDevice device = new RLSDevice();
  private int channel;
  private int loopMapIndex;
  private RLSCount rlsCount = new RLSCount();
  private long baselineTime;
  private boolean valid;

  public RLSData()
  {
  }

  public RLSData(RLSData paramRLSData)
  {
    this.device = paramRLSData.device;
    this.channel = paramRLSData.channel;
    this.loopMapIndex = paramRLSData.loopMapIndex;
    this.rlsCount = paramRLSData.rlsCount;
    this.baselineTime = paramRLSData.baselineTime;
    this.valid = paramRLSData.valid;
  }

  public RLSDevice getDevice()
  {
    return this.device;
  }

  public void setDevice(RLSDevice paramRLSDevice)
  {
    this.device = paramRLSDevice;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getLoopMapIndex()
  {
    return this.loopMapIndex;
  }

  public void setLoopMapIndex(int paramInt)
  {
    this.loopMapIndex = paramInt;
  }

  public RLSCount getRlsCount()
  {
    return this.rlsCount;
  }

  public void setRlsCount(RLSCount paramRLSCount)
  {
    this.rlsCount = paramRLSCount;
  }

  public long getBaselineTime()
  {
    return this.baselineTime;
  }

  public void setBaselineTime(long paramLong)
  {
    this.baselineTime = paramLong;
  }

  public boolean getValid()
  {
    return this.valid;
  }

  public void setValid(boolean paramBoolean)
  {
    this.valid = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.device.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.loopMapIndex);
    this.rlsCount.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.baselineTime);
    paramXDROutputStream.putBoolean(this.valid);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.device.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.loopMapIndex = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.rlsCount.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.baselineTime = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.valid = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}