package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RLSResults
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private long overallRLSTime;
  private RLSData[] controllers;
  private RLSData[] drives;
  private RLSData[] esms;

  public RLSResults()
  {
  }

  public RLSResults(RLSResults paramRLSResults)
  {
    this.returnCode = paramRLSResults.returnCode;
    this.overallRLSTime = paramRLSResults.overallRLSTime;
    this.controllers = paramRLSResults.controllers;
    this.drives = paramRLSResults.drives;
    this.esms = paramRLSResults.esms;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public long getOverallRLSTime()
  {
    return this.overallRLSTime;
  }

  public void setOverallRLSTime(long paramLong)
  {
    this.overallRLSTime = paramLong;
  }

  public RLSData[] getControllers()
  {
    return this.controllers;
  }

  public void setControllers(RLSData[] paramArrayOfRLSData)
  {
    this.controllers = paramArrayOfRLSData;
  }

  public RLSData[] getDrives()
  {
    return this.drives;
  }

  public void setDrives(RLSData[] paramArrayOfRLSData)
  {
    this.drives = paramArrayOfRLSData;
  }

  public RLSData[] getEsms()
  {
    return this.esms;
  }

  public void setEsms(RLSData[] paramArrayOfRLSData)
  {
    this.esms = paramArrayOfRLSData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.overallRLSTime);
    int j = this.controllers == null ? 0 : this.controllers.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.controllers[k].xdrEncode(paramXDROutputStream);
    j = this.drives == null ? 0 : this.drives.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.drives[k].xdrEncode(paramXDROutputStream);
    j = this.esms == null ? 0 : this.esms.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.esms[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.overallRLSTime = paramXDRInputStream.getLong();
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.controllers = new RLSData[j];
      for (k = 0; k < j; k++)
      {
        this.controllers[k] = new RLSData();
        this.controllers[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.drives = new RLSData[j];
      for (k = 0; k < j; k++)
      {
        this.drives[k] = new RLSData();
        this.drives[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.esms = new RLSData[j];
      for (k = 0; k < j; k++)
      {
        this.esms[k] = new RLSData();
        this.esms[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}