package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteMirrorAuthentication
  implements XDRType, SYMbolAPIConstants
{
  private SAIdentifier arrayId = new SAIdentifier();
  private long cfgGen;
  private byte[] volWwn;

  public RemoteMirrorAuthentication()
  {
  }

  public RemoteMirrorAuthentication(RemoteMirrorAuthentication paramRemoteMirrorAuthentication)
  {
    this.arrayId = paramRemoteMirrorAuthentication.arrayId;
    this.cfgGen = paramRemoteMirrorAuthentication.cfgGen;
    this.volWwn = paramRemoteMirrorAuthentication.volWwn;
  }

  public SAIdentifier getArrayId()
  {
    return this.arrayId;
  }

  public void setArrayId(SAIdentifier paramSAIdentifier)
  {
    this.arrayId = paramSAIdentifier;
  }

  public long getCfgGen()
  {
    return this.cfgGen;
  }

  public void setCfgGen(long paramLong)
  {
    this.cfgGen = paramLong;
  }

  public byte[] getVolWwn()
  {
    return this.volWwn;
  }

  public void setVolWwn(byte[] paramArrayOfByte)
  {
    this.volWwn = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.arrayId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.cfgGen);
    paramXDROutputStream.putVariableOpaque(this.volWwn);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.arrayId.xdrDecode(paramXDRInputStream);
    this.cfgGen = paramXDRInputStream.getLong();
    this.volWwn = paramXDRInputStream.getVariableOpaque();
  }
}