package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RepositoryFullPolicy
  implements XDRType, SYMbolAPIConstants
{
  public static final int REPFULLPOLICY_FAILWRITES = 1;
  public static final int REPFULLPOLICY_FAILSNAP = 2;
  private int value;

  public RepositoryFullPolicy()
  {
  }

  public RepositoryFullPolicy(RepositoryFullPolicy paramRepositoryFullPolicy)
  {
    this.value = paramRepositoryFullPolicy.value;
  }

  public RepositoryFullPolicy(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}