package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RuntimeDiagTestResults
  implements XDRType, SYMbolAPIConstants
{
  private RuntimeDiagTestID testID = new RuntimeDiagTestID();
  private int channel;
  private RuntimeDiagTestStatus testStatus = new RuntimeDiagTestStatus();
  private RuntimeDiagTestLevel testLevel = new RuntimeDiagTestLevel();

  public RuntimeDiagTestResults()
  {
  }

  public RuntimeDiagTestResults(RuntimeDiagTestResults paramRuntimeDiagTestResults)
  {
    this.testID = paramRuntimeDiagTestResults.testID;
    this.channel = paramRuntimeDiagTestResults.channel;
    this.testStatus = paramRuntimeDiagTestResults.testStatus;
    this.testLevel = paramRuntimeDiagTestResults.testLevel;
  }

  public RuntimeDiagTestID getTestID()
  {
    return this.testID;
  }

  public void setTestID(RuntimeDiagTestID paramRuntimeDiagTestID)
  {
    this.testID = paramRuntimeDiagTestID;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public RuntimeDiagTestStatus getTestStatus()
  {
    return this.testStatus;
  }

  public void setTestStatus(RuntimeDiagTestStatus paramRuntimeDiagTestStatus)
  {
    this.testStatus = paramRuntimeDiagTestStatus;
  }

  public RuntimeDiagTestLevel getTestLevel()
  {
    return this.testLevel;
  }

  public void setTestLevel(RuntimeDiagTestLevel paramRuntimeDiagTestLevel)
  {
    this.testLevel = paramRuntimeDiagTestLevel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.testID.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    this.testStatus.xdrEncode(paramXDROutputStream);
    this.testLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.testID.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.testStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.testLevel.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}