package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SAPortGetDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef controllerRef = new ControllerRef();
  private int portId;

  public SAPortGetDescriptor()
  {
  }

  public SAPortGetDescriptor(SAPortGetDescriptor paramSAPortGetDescriptor)
  {
    this.controllerRef = paramSAPortGetDescriptor.controllerRef;
    this.portId = paramSAPortGetDescriptor.portId;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public int getPortId()
  {
    return this.portId;
  }

  public void setPortId(int paramInt)
  {
    this.portId = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.portId);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.portId = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}