package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SATAInterface
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private InterfaceSpeed currentInterfaceSpeed = new InterfaceSpeed();
  private InterfaceSpeed maximumInterfaceSpeed = new InterfaceSpeed();
  private SpeedControl speedControl = new SpeedControl();
  private String part;
  private int revision;

  public SATAInterface()
  {
  }

  public SATAInterface(SATAInterface paramSATAInterface)
  {
    this.channel = paramSATAInterface.channel;
    this.currentInterfaceSpeed = paramSATAInterface.currentInterfaceSpeed;
    this.maximumInterfaceSpeed = paramSATAInterface.maximumInterfaceSpeed;
    this.speedControl = paramSATAInterface.speedControl;
    this.part = paramSATAInterface.part;
    this.revision = paramSATAInterface.revision;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public InterfaceSpeed getCurrentInterfaceSpeed()
  {
    return this.currentInterfaceSpeed;
  }

  public void setCurrentInterfaceSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.currentInterfaceSpeed = paramInterfaceSpeed;
  }

  public InterfaceSpeed getMaximumInterfaceSpeed()
  {
    return this.maximumInterfaceSpeed;
  }

  public void setMaximumInterfaceSpeed(InterfaceSpeed paramInterfaceSpeed)
  {
    this.maximumInterfaceSpeed = paramInterfaceSpeed;
  }

  public SpeedControl getSpeedControl()
  {
    return this.speedControl;
  }

  public void setSpeedControl(SpeedControl paramSpeedControl)
  {
    this.speedControl = paramSpeedControl;
  }

  public String getPart()
  {
    return this.part;
  }

  public void setPart(String paramString)
  {
    this.part = paramString;
  }

  public int getRevision()
  {
    return this.revision;
  }

  public void setRevision(int paramInt)
  {
    this.revision = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    this.currentInterfaceSpeed.xdrEncode(paramXDROutputStream);
    this.maximumInterfaceSpeed.xdrEncode(paramXDROutputStream);
    this.speedControl.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.part);
    paramXDROutputStream.putInt(this.revision);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.currentInterfaceSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.maximumInterfaceSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.speedControl.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.part = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.revision = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}