package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SFP_CONNECT_TYPE
  implements XDRType, SYMbolAPIConstants
{
  public static final int SFP_CONNECT_TYPE_UNKNOWN = 0;
  public static final int SFP_CONNECT_TYPE_SC = 1;
  public static final int SFP_CONNECT_TYPE_FCS1CC = 2;
  public static final int SFP_CONNECT_TYPE_FCS2CC = 3;
  public static final int SFP_CONNECT_TYPE_BNCorTNC = 4;
  public static final int SFP_CONNECT_TYPE_FC_COAX = 5;
  public static final int SFP_CONNECT_TYPE_F_JACK = 6;
  public static final int SFP_CONNECT_TYPE_LC = 7;
  public static final int SFP_CONNECT_TYPE_MT_RJ = 8;
  public static final int SFP_CONNECT_TYPE_MU = 9;
  public static final int SFP_CONNECT_TYPE_SG = 10;
  public static final int SFP_CONNECT_TYPE_OPT_PIGTAIL = 11;
  public static final int SFP_CONNECT_TYPE_HSSDCII = 12;
  public static final int SFP_CONNECT_TYPE_COP_PIGTAIL = 13;
  private int value;

  public SFP_CONNECT_TYPE()
  {
  }

  public SFP_CONNECT_TYPE(SFP_CONNECT_TYPE paramSFP_CONNECT_TYPE)
  {
    this.value = paramSFP_CONNECT_TYPE.value;
  }

  public SFP_CONNECT_TYPE(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}