package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRMessageIOV;
import devmgr.versioned.jrpc.XDROutputStream;
import java.security.MessageDigest;

public class SYMbolRVMAuthGen
{
  private static final int DIGEST_LENGTH = 20;

  public static byte[] encodeRemoteAuthenticator(SAIdentifier paramSAIdentifier, String paramString, long paramLong, byte[] paramArrayOfByte)
    throws RPCError
  {
    RemoteMirrorAuthentication localRemoteMirrorAuthentication = new RemoteMirrorAuthentication();
    byte[] arrayOfByte1 = new byte[20];
    XDROutputStream localXDROutputStream = new XDROutputStream();
    byte[] arrayOfByte2 = UnicodeTranslator.getBytes(paramString);
    int i = 0;
    int j = 0;
    int k = 0;
    localRemoteMirrorAuthentication.setArrayId(paramSAIdentifier);
    localRemoteMirrorAuthentication.setCfgGen(paramLong);
    localRemoteMirrorAuthentication.setVolWwn(paramArrayOfByte);
    MessageDigest localMessageDigest;
    try
    {
      localMessageDigest = MessageDigest.getInstance("SHA");
    }
    catch (Exception localException)
    {
      throw new RPCError("AUTH_ALGORITHM");
    }
    localMessageDigest.update(arrayOfByte2);
    try
    {
      localRemoteMirrorAuthentication.xdrEncode(localXDROutputStream);
    }
    catch (RPCError localRPCError)
    {
      throw new RPCError("AUTH_ALGORITHM");
    }
    XDRMessageIOV localXDRMessageIOV = localXDROutputStream.getMessage();
    i = localXDRMessageIOV.getMessageSize();
    while (j < i)
    {
      byte[] arrayOfByte4 = localXDRMessageIOV.getBuffer(k);
      int m = Math.min(arrayOfByte4.length, i - j);
      localMessageDigest.update(arrayOfByte4, 0, m);
      k++;
      j += m;
    }
    byte[] arrayOfByte3 = localMessageDigest.digest();
    System.arraycopy(arrayOfByte3, 0, arrayOfByte1, 0, Math.min(arrayOfByte3.length, arrayOfByte1.length));
    return arrayOfByte1;
  }
}