package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SegmentSizeTransition
  implements XDRType, SYMbolAPIConstants
{
  public static final int SEG_TRANSITION_HALF = 1;
  public static final int SEG_TRANSITION_DOUBLE = 2;
  private int value;

  public SegmentSizeTransition()
  {
  }

  public SegmentSizeTransition(SegmentSizeTransition paramSegmentSizeTransition)
  {
    this.value = paramSegmentSizeTransition.value;
  }

  public SegmentSizeTransition(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}