package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SnapshotParamsUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private SnapshotRef snapRef = new SnapshotRef();
  private int warnThreshold;
  private long extentStart;
  private long extentSize;
  private RepositoryFullPolicy repFullPolicy = new RepositoryFullPolicy();
  private int rollbackPriority;

  public SnapshotParamsUpdateDescriptor()
  {
  }

  public SnapshotParamsUpdateDescriptor(SnapshotParamsUpdateDescriptor paramSnapshotParamsUpdateDescriptor)
  {
    this.snapRef = paramSnapshotParamsUpdateDescriptor.snapRef;
    this.warnThreshold = paramSnapshotParamsUpdateDescriptor.warnThreshold;
    this.extentStart = paramSnapshotParamsUpdateDescriptor.extentStart;
    this.extentSize = paramSnapshotParamsUpdateDescriptor.extentSize;
    this.repFullPolicy = paramSnapshotParamsUpdateDescriptor.repFullPolicy;
    this.rollbackPriority = paramSnapshotParamsUpdateDescriptor.rollbackPriority;
  }

  public SnapshotRef getSnapRef()
  {
    return this.snapRef;
  }

  public void setSnapRef(SnapshotRef paramSnapshotRef)
  {
    this.snapRef = paramSnapshotRef;
  }

  public int getWarnThreshold()
  {
    return this.warnThreshold;
  }

  public void setWarnThreshold(int paramInt)
  {
    this.warnThreshold = paramInt;
  }

  public long getExtentStart()
  {
    return this.extentStart;
  }

  public void setExtentStart(long paramLong)
  {
    this.extentStart = paramLong;
  }

  public long getExtentSize()
  {
    return this.extentSize;
  }

  public void setExtentSize(long paramLong)
  {
    this.extentSize = paramLong;
  }

  public RepositoryFullPolicy getRepFullPolicy()
  {
    return this.repFullPolicy;
  }

  public void setRepFullPolicy(RepositoryFullPolicy paramRepositoryFullPolicy)
  {
    this.repFullPolicy = paramRepositoryFullPolicy;
  }

  public int getRollbackPriority()
  {
    return this.rollbackPriority;
  }

  public void setRollbackPriority(int paramInt)
  {
    this.rollbackPriority = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.snapRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.warnThreshold);
    paramXDROutputStream.putLong(this.extentStart);
    paramXDROutputStream.putLong(this.extentSize);
    this.repFullPolicy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.rollbackPriority);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.snapRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.warnThreshold = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.extentStart = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.extentSize = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.repFullPolicy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.rollbackPriority = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}