package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class StagedFirmware
  implements XDRType, SYMbolAPIConstants
{
  private boolean stagedFwValid;
  private byte[] fwVersion;
  private byte[] appVersion;
  private byte[] bootVersion;
  private byte[] nvsramVersion;
  private long timeStamp;

  public StagedFirmware()
  {
  }

  public StagedFirmware(StagedFirmware paramStagedFirmware)
  {
    this.stagedFwValid = paramStagedFirmware.stagedFwValid;
    this.fwVersion = paramStagedFirmware.fwVersion;
    this.appVersion = paramStagedFirmware.appVersion;
    this.bootVersion = paramStagedFirmware.bootVersion;
    this.nvsramVersion = paramStagedFirmware.nvsramVersion;
    this.timeStamp = paramStagedFirmware.timeStamp;
  }

  public boolean getStagedFwValid()
  {
    return this.stagedFwValid;
  }

  public void setStagedFwValid(boolean paramBoolean)
  {
    this.stagedFwValid = paramBoolean;
  }

  public byte[] getFwVersion()
  {
    return this.fwVersion;
  }

  public void setFwVersion(byte[] paramArrayOfByte)
  {
    this.fwVersion = paramArrayOfByte;
  }

  public byte[] getAppVersion()
  {
    return this.appVersion;
  }

  public void setAppVersion(byte[] paramArrayOfByte)
  {
    this.appVersion = paramArrayOfByte;
  }

  public byte[] getBootVersion()
  {
    return this.bootVersion;
  }

  public void setBootVersion(byte[] paramArrayOfByte)
  {
    this.bootVersion = paramArrayOfByte;
  }

  public byte[] getNvsramVersion()
  {
    return this.nvsramVersion;
  }

  public void setNvsramVersion(byte[] paramArrayOfByte)
  {
    this.nvsramVersion = paramArrayOfByte;
  }

  public long getTimeStamp()
  {
    return this.timeStamp;
  }

  public void setTimeStamp(long paramLong)
  {
    this.timeStamp = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.stagedFwValid);
    paramXDROutputStream.putFixedOpaque(this.fwVersion, 4);
    paramXDROutputStream.putFixedOpaque(this.appVersion, 4);
    paramXDROutputStream.putFixedOpaque(this.bootVersion, 4);
    paramXDROutputStream.putFixedOpaque(this.nvsramVersion, 17);
    paramXDROutputStream.putLong(this.timeStamp);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.stagedFwValid = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.fwVersion = paramXDRInputStream.getFixedOpaque(4);
    if (paramXDRInputStream.getPosition() < i)
      this.appVersion = paramXDRInputStream.getFixedOpaque(4);
    if (paramXDRInputStream.getPosition() < i)
      this.bootVersion = paramXDRInputStream.getFixedOpaque(4);
    if (paramXDRInputStream.getPosition() < i)
      this.nvsramVersion = paramXDRInputStream.getFixedOpaque(17);
    if (paramXDRInputStream.getPosition() < i)
      this.timeStamp = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}