package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TrayLostRedundancyFailure
  implements XDRType, SYMbolAPIConstants
{
  private TrayRef trayLostRedundancy = new TrayRef();
  private int workingChannel;
  private ComponentRef failedEsm = new ComponentRef();

  public TrayLostRedundancyFailure()
  {
  }

  public TrayLostRedundancyFailure(TrayLostRedundancyFailure paramTrayLostRedundancyFailure)
  {
    this.trayLostRedundancy = paramTrayLostRedundancyFailure.trayLostRedundancy;
    this.workingChannel = paramTrayLostRedundancyFailure.workingChannel;
    this.failedEsm = paramTrayLostRedundancyFailure.failedEsm;
  }

  public TrayRef getTrayLostRedundancy()
  {
    return this.trayLostRedundancy;
  }

  public void setTrayLostRedundancy(TrayRef paramTrayRef)
  {
    this.trayLostRedundancy = paramTrayRef;
  }

  public int getWorkingChannel()
  {
    return this.workingChannel;
  }

  public void setWorkingChannel(int paramInt)
  {
    this.workingChannel = paramInt;
  }

  public ComponentRef getFailedEsm()
  {
    return this.failedEsm;
  }

  public void setFailedEsm(ComponentRef paramComponentRef)
  {
    this.failedEsm = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.trayLostRedundancy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.workingChannel);
    this.failedEsm.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.trayLostRedundancy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.workingChannel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.failedEsm.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}