package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UPSStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int UPS_STAT_OPTIMAL = 1;
  public static final int UPS_STAT_ON_BATTERY = 2;
  private int value;

  public UPSStatus()
  {
  }

  public UPSStatus(UPSStatus paramUPSStatus)
  {
    this.value = paramUPSStatus.value;
  }

  public UPSStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}