package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Volume
  implements XDRType, SYMbolAPIConstants
{
  private boolean offline;
  private boolean extremeProtection;
  private int volumeHandle;
  private RAIDLevel raidLevel = new RAIDLevel();
  private long sectorOffset;
  private byte[] worldWideName;
  private UserAssignedLabel label = new UserAssignedLabel();
  private int blkSize;
  private long capacity;
  private int reconPriority;
  private int segmentSize;
  private VolumeAction action = new VolumeAction();
  private VolumeCache cache = new VolumeCache();
  private VolumeMediaScanParams mediaScan = new VolumeMediaScanParams();
  private VolumeRef volumeRef = new VolumeRef();
  private VolumeStatus status = new VolumeStatus();
  private VolumeGroupRef volumeGroupRef = new VolumeGroupRef();
  private ControllerRef currentManager = new ControllerRef();
  private ControllerRef preferredManager = new ControllerRef();
  private VolumePerms perms = new VolumePerms();
  private int mgmtClientAttribute;

  public Volume()
  {
  }

  public Volume(Volume paramVolume)
  {
    this.offline = paramVolume.offline;
    this.extremeProtection = paramVolume.extremeProtection;
    this.volumeHandle = paramVolume.volumeHandle;
    this.raidLevel = paramVolume.raidLevel;
    this.sectorOffset = paramVolume.sectorOffset;
    this.worldWideName = paramVolume.worldWideName;
    this.label = paramVolume.label;
    this.blkSize = paramVolume.blkSize;
    this.capacity = paramVolume.capacity;
    this.reconPriority = paramVolume.reconPriority;
    this.segmentSize = paramVolume.segmentSize;
    this.action = paramVolume.action;
    this.cache = paramVolume.cache;
    this.mediaScan = paramVolume.mediaScan;
    this.volumeRef = paramVolume.volumeRef;
    this.status = paramVolume.status;
    this.volumeGroupRef = paramVolume.volumeGroupRef;
    this.currentManager = paramVolume.currentManager;
    this.preferredManager = paramVolume.preferredManager;
    this.perms = paramVolume.perms;
    this.mgmtClientAttribute = paramVolume.mgmtClientAttribute;
  }

  public boolean getOffline()
  {
    return this.offline;
  }

  public void setOffline(boolean paramBoolean)
  {
    this.offline = paramBoolean;
  }

  public boolean getExtremeProtection()
  {
    return this.extremeProtection;
  }

  public void setExtremeProtection(boolean paramBoolean)
  {
    this.extremeProtection = paramBoolean;
  }

  public int getVolumeHandle()
  {
    return this.volumeHandle;
  }

  public void setVolumeHandle(int paramInt)
  {
    this.volumeHandle = paramInt;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public long getSectorOffset()
  {
    return this.sectorOffset;
  }

  public void setSectorOffset(long paramLong)
  {
    this.sectorOffset = paramLong;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public int getBlkSize()
  {
    return this.blkSize;
  }

  public void setBlkSize(int paramInt)
  {
    this.blkSize = paramInt;
  }

  public long getCapacity()
  {
    return this.capacity;
  }

  public void setCapacity(long paramLong)
  {
    this.capacity = paramLong;
  }

  public int getReconPriority()
  {
    return this.reconPriority;
  }

  public void setReconPriority(int paramInt)
  {
    this.reconPriority = paramInt;
  }

  public int getSegmentSize()
  {
    return this.segmentSize;
  }

  public void setSegmentSize(int paramInt)
  {
    this.segmentSize = paramInt;
  }

  public VolumeAction getAction()
  {
    return this.action;
  }

  public void setAction(VolumeAction paramVolumeAction)
  {
    this.action = paramVolumeAction;
  }

  public VolumeCache getCache()
  {
    return this.cache;
  }

  public void setCache(VolumeCache paramVolumeCache)
  {
    this.cache = paramVolumeCache;
  }

  public VolumeMediaScanParams getMediaScan()
  {
    return this.mediaScan;
  }

  public void setMediaScan(VolumeMediaScanParams paramVolumeMediaScanParams)
  {
    this.mediaScan = paramVolumeMediaScanParams;
  }

  public VolumeRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(VolumeRef paramVolumeRef)
  {
    this.volumeRef = paramVolumeRef;
  }

  public VolumeStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(VolumeStatus paramVolumeStatus)
  {
    this.status = paramVolumeStatus;
  }

  public VolumeGroupRef getVolumeGroupRef()
  {
    return this.volumeGroupRef;
  }

  public void setVolumeGroupRef(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volumeGroupRef = paramVolumeGroupRef;
  }

  public ControllerRef getCurrentManager()
  {
    return this.currentManager;
  }

  public void setCurrentManager(ControllerRef paramControllerRef)
  {
    this.currentManager = paramControllerRef;
  }

  public ControllerRef getPreferredManager()
  {
    return this.preferredManager;
  }

  public void setPreferredManager(ControllerRef paramControllerRef)
  {
    this.preferredManager = paramControllerRef;
  }

  public VolumePerms getPerms()
  {
    return this.perms;
  }

  public void setPerms(VolumePerms paramVolumePerms)
  {
    this.perms = paramVolumePerms;
  }

  public int getMgmtClientAttribute()
  {
    return this.mgmtClientAttribute;
  }

  public void setMgmtClientAttribute(int paramInt)
  {
    this.mgmtClientAttribute = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.offline);
    paramXDROutputStream.putBoolean(this.extremeProtection);
    paramXDROutputStream.putInt(this.volumeHandle);
    this.raidLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.sectorOffset);
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    this.label.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.blkSize);
    paramXDROutputStream.putLong(this.capacity);
    paramXDROutputStream.putInt(this.reconPriority);
    paramXDROutputStream.putInt(this.segmentSize);
    this.action.xdrEncode(paramXDROutputStream);
    this.cache.xdrEncode(paramXDROutputStream);
    this.mediaScan.xdrEncode(paramXDROutputStream);
    this.volumeRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.volumeGroupRef.xdrEncode(paramXDROutputStream);
    this.currentManager.xdrEncode(paramXDROutputStream);
    this.preferredManager.xdrEncode(paramXDROutputStream);
    this.perms.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.mgmtClientAttribute);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.offline = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.extremeProtection = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeHandle = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sectorOffset = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.blkSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.capacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.reconPriority = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.segmentSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.action.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.cache.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.mediaScan.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.currentManager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.preferredManager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.perms.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.mgmtClientAttribute = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}