package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeAction
  implements XDRType, SYMbolAPIConstants
{
  public static final int VOL_ACTION_NONE = 1;
  public static final int VOL_ACTION_COPYBACK = 2;
  public static final int VOL_ACTION_INITIALIZING = 3;
  public static final int VOL_ACTION_RECONSTRUCTING = 4;
  public static final int VOL_ACTION_REMAPPING_DCE = 5;
  public static final int VOL_ACTION_REMAPPING_DRM = 6;
  public static final int VOL_ACTION_REMAPPING_DCEDRM = 7;
  public static final int VOL_ACTION_REMAPPING_DSEG = 8;
  public static final int VOL_ACTION_REMAPPING_DVE = 9;
  public static final int VOL_ACTION_REMAPPING_DCEDVE = 10;
  public static final int VOL_ACTION_REMAPPING_INTERNAL = 11;
  public static final int VOL_ACTION_REMAPPING_DEFRAG = 12;
  public static final int VOL_ACTION_FORMATTING = 13;
  public static final int VOL_ACTION_SYNCHRONIZING = 14;
  private int value;

  public VolumeAction()
  {
  }

  public VolumeAction(VolumeAction paramVolumeAction)
  {
    this.value = paramVolumeAction.value;
  }

  public VolumeAction(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}