package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCopy
  implements XDRType, SYMbolAPIConstants
{
  private byte[] worldWideName;
  private int volcopyHandle;
  private VolumeCopyRef volcopyRef = new VolumeCopyRef();
  private VolumeCopyStatus status = new VolumeCopyStatus();
  private AbstractVolRef sourceVolume = new AbstractVolRef();
  private LegacyVolRef targetVolume = new LegacyVolRef();
  private ControllerRef currentManager = new ControllerRef();
  private boolean idleTargetWriteProt;
  private long copyCompleteTime;
  private long copyStartTime;
  private VolumeCopyPriority copyPriority = new VolumeCopyPriority();
  private byte[] reserved1;

  public VolumeCopy()
  {
  }

  public VolumeCopy(VolumeCopy paramVolumeCopy)
  {
    this.worldWideName = paramVolumeCopy.worldWideName;
    this.volcopyHandle = paramVolumeCopy.volcopyHandle;
    this.volcopyRef = paramVolumeCopy.volcopyRef;
    this.status = paramVolumeCopy.status;
    this.sourceVolume = paramVolumeCopy.sourceVolume;
    this.targetVolume = paramVolumeCopy.targetVolume;
    this.currentManager = paramVolumeCopy.currentManager;
    this.idleTargetWriteProt = paramVolumeCopy.idleTargetWriteProt;
    this.copyCompleteTime = paramVolumeCopy.copyCompleteTime;
    this.copyStartTime = paramVolumeCopy.copyStartTime;
    this.copyPriority = paramVolumeCopy.copyPriority;
    this.reserved1 = paramVolumeCopy.reserved1;
  }

  public byte[] getWorldWideName()
  {
    return this.worldWideName;
  }

  public void setWorldWideName(byte[] paramArrayOfByte)
  {
    this.worldWideName = paramArrayOfByte;
  }

  public int getVolcopyHandle()
  {
    return this.volcopyHandle;
  }

  public void setVolcopyHandle(int paramInt)
  {
    this.volcopyHandle = paramInt;
  }

  public VolumeCopyRef getVolcopyRef()
  {
    return this.volcopyRef;
  }

  public void setVolcopyRef(VolumeCopyRef paramVolumeCopyRef)
  {
    this.volcopyRef = paramVolumeCopyRef;
  }

  public VolumeCopyStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(VolumeCopyStatus paramVolumeCopyStatus)
  {
    this.status = paramVolumeCopyStatus;
  }

  public AbstractVolRef getSourceVolume()
  {
    return this.sourceVolume;
  }

  public void setSourceVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.sourceVolume = paramAbstractVolRef;
  }

  public LegacyVolRef getTargetVolume()
  {
    return this.targetVolume;
  }

  public void setTargetVolume(LegacyVolRef paramLegacyVolRef)
  {
    this.targetVolume = paramLegacyVolRef;
  }

  public ControllerRef getCurrentManager()
  {
    return this.currentManager;
  }

  public void setCurrentManager(ControllerRef paramControllerRef)
  {
    this.currentManager = paramControllerRef;
  }

  public boolean getIdleTargetWriteProt()
  {
    return this.idleTargetWriteProt;
  }

  public void setIdleTargetWriteProt(boolean paramBoolean)
  {
    this.idleTargetWriteProt = paramBoolean;
  }

  public long getCopyCompleteTime()
  {
    return this.copyCompleteTime;
  }

  public void setCopyCompleteTime(long paramLong)
  {
    this.copyCompleteTime = paramLong;
  }

  public long getCopyStartTime()
  {
    return this.copyStartTime;
  }

  public void setCopyStartTime(long paramLong)
  {
    this.copyStartTime = paramLong;
  }

  public VolumeCopyPriority getCopyPriority()
  {
    return this.copyPriority;
  }

  public void setCopyPriority(VolumeCopyPriority paramVolumeCopyPriority)
  {
    this.copyPriority = paramVolumeCopyPriority;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.worldWideName);
    paramXDROutputStream.putInt(this.volcopyHandle);
    this.volcopyRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.sourceVolume.xdrEncode(paramXDROutputStream);
    this.targetVolume.xdrEncode(paramXDROutputStream);
    this.currentManager.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.idleTargetWriteProt);
    paramXDROutputStream.putLong(this.copyCompleteTime);
    paramXDROutputStream.putLong(this.copyStartTime);
    this.copyPriority.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 4);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideName = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.volcopyHandle = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.volcopyRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sourceVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.targetVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.currentManager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.idleTargetWriteProt = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.copyCompleteTime = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.copyStartTime = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.copyPriority.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(4);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}