package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCopyParamsUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private VolumeCopyRef volCopyRef = new VolumeCopyRef();
  private VolumeCopyPriority copyPriority = new VolumeCopyPriority();
  private boolean idleTargetWriteProt;

  public VolumeCopyParamsUpdateDescriptor()
  {
  }

  public VolumeCopyParamsUpdateDescriptor(VolumeCopyParamsUpdateDescriptor paramVolumeCopyParamsUpdateDescriptor)
  {
    this.volCopyRef = paramVolumeCopyParamsUpdateDescriptor.volCopyRef;
    this.copyPriority = paramVolumeCopyParamsUpdateDescriptor.copyPriority;
    this.idleTargetWriteProt = paramVolumeCopyParamsUpdateDescriptor.idleTargetWriteProt;
  }

  public VolumeCopyRef getVolCopyRef()
  {
    return this.volCopyRef;
  }

  public void setVolCopyRef(VolumeCopyRef paramVolumeCopyRef)
  {
    this.volCopyRef = paramVolumeCopyRef;
  }

  public VolumeCopyPriority getCopyPriority()
  {
    return this.copyPriority;
  }

  public void setCopyPriority(VolumeCopyPriority paramVolumeCopyPriority)
  {
    this.copyPriority = paramVolumeCopyPriority;
  }

  public boolean getIdleTargetWriteProt()
  {
    return this.idleTargetWriteProt;
  }

  public void setIdleTargetWriteProt(boolean paramBoolean)
  {
    this.idleTargetWriteProt = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volCopyRef.xdrEncode(paramXDROutputStream);
    this.copyPriority.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.idleTargetWriteProt);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volCopyRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.copyPriority.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.idleTargetWriteProt = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}