package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCopyPriority
  implements XDRType, SYMbolAPIConstants
{
  public static final int VOLUME_COPY_PRIORITY_0 = 0;
  public static final int VOLUME_COPY_PRIORITY_1 = 1;
  public static final int VOLUME_COPY_PRIORITY_2 = 2;
  public static final int VOLUME_COPY_PRIORITY_3 = 3;
  public static final int VOLUME_COPY_PRIORITY_4 = 4;
  private int value;

  public VolumeCopyPriority()
  {
  }

  public VolumeCopyPriority(VolumeCopyPriority paramVolumeCopyPriority)
  {
    this.value = paramVolumeCopyPriority.value;
  }

  public VolumeCopyPriority(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}