package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private VolumeCandidate candidate = new VolumeCandidate();
  private UserAssignedLabel label = new UserAssignedLabel();
  private ControllerRef manager = new ControllerRef();
  private long capacity;
  private int segmentSize;
  private int readAhead;
  private boolean writeZeros;
  private boolean noMapping;

  public VolumeCreationDescriptor()
  {
  }

  public VolumeCreationDescriptor(VolumeCreationDescriptor paramVolumeCreationDescriptor)
  {
    this.candidate = paramVolumeCreationDescriptor.candidate;
    this.label = paramVolumeCreationDescriptor.label;
    this.manager = paramVolumeCreationDescriptor.manager;
    this.capacity = paramVolumeCreationDescriptor.capacity;
    this.segmentSize = paramVolumeCreationDescriptor.segmentSize;
    this.readAhead = paramVolumeCreationDescriptor.readAhead;
    this.writeZeros = paramVolumeCreationDescriptor.writeZeros;
    this.noMapping = paramVolumeCreationDescriptor.noMapping;
  }

  public VolumeCandidate getCandidate()
  {
    return this.candidate;
  }

  public void setCandidate(VolumeCandidate paramVolumeCandidate)
  {
    this.candidate = paramVolumeCandidate;
  }

  public UserAssignedLabel getLabel()
  {
    return this.label;
  }

  public void setLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.label = paramUserAssignedLabel;
  }

  public ControllerRef getManager()
  {
    return this.manager;
  }

  public void setManager(ControllerRef paramControllerRef)
  {
    this.manager = paramControllerRef;
  }

  public long getCapacity()
  {
    return this.capacity;
  }

  public void setCapacity(long paramLong)
  {
    this.capacity = paramLong;
  }

  public int getSegmentSize()
  {
    return this.segmentSize;
  }

  public void setSegmentSize(int paramInt)
  {
    this.segmentSize = paramInt;
  }

  public int getReadAhead()
  {
    return this.readAhead;
  }

  public void setReadAhead(int paramInt)
  {
    this.readAhead = paramInt;
  }

  public boolean getWriteZeros()
  {
    return this.writeZeros;
  }

  public void setWriteZeros(boolean paramBoolean)
  {
    this.writeZeros = paramBoolean;
  }

  public boolean getNoMapping()
  {
    return this.noMapping;
  }

  public void setNoMapping(boolean paramBoolean)
  {
    this.noMapping = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.candidate.xdrEncode(paramXDROutputStream);
    this.label.xdrEncode(paramXDROutputStream);
    this.manager.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.capacity);
    paramXDROutputStream.putInt(this.segmentSize);
    paramXDROutputStream.putInt(this.readAhead);
    paramXDROutputStream.putBoolean(this.writeZeros);
    paramXDROutputStream.putBoolean(this.noMapping);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.candidate.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.capacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.segmentSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.readAhead = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.writeZeros = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.noMapping = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}