package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeExpansionDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private LegacyVolRef volumeRef = new LegacyVolRef();
  private DriveRef[] driveRef;
  private long newCapacity;

  public VolumeExpansionDescriptor()
  {
  }

  public VolumeExpansionDescriptor(VolumeExpansionDescriptor paramVolumeExpansionDescriptor)
  {
    this.volumeRef = paramVolumeExpansionDescriptor.volumeRef;
    this.driveRef = paramVolumeExpansionDescriptor.driveRef;
    this.newCapacity = paramVolumeExpansionDescriptor.newCapacity;
  }

  public LegacyVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(LegacyVolRef paramLegacyVolRef)
  {
    this.volumeRef = paramLegacyVolRef;
  }

  public DriveRef[] getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef[] paramArrayOfDriveRef)
  {
    this.driveRef = paramArrayOfDriveRef;
  }

  public long getNewCapacity()
  {
    return this.newCapacity;
  }

  public void setNewCapacity(long paramLong)
  {
    this.newCapacity = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    int j = this.driveRef == null ? 0 : this.driveRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.driveRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.newCapacity);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.driveRef = new DriveRef[j];
      for (int k = 0; k < j; k++)
      {
        this.driveRef[k] = new DriveRef();
        this.driveRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.newCapacity = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}