package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeScanDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private long startingLBA;
  private long endingLBA;
  private boolean repairMedia;
  private boolean repairParity;
  private VolumeScanPriority priority = new VolumeScanPriority();
  private int timeout;

  public VolumeScanDescriptor()
  {
  }

  public VolumeScanDescriptor(VolumeScanDescriptor paramVolumeScanDescriptor)
  {
    this.volumeRef = paramVolumeScanDescriptor.volumeRef;
    this.startingLBA = paramVolumeScanDescriptor.startingLBA;
    this.endingLBA = paramVolumeScanDescriptor.endingLBA;
    this.repairMedia = paramVolumeScanDescriptor.repairMedia;
    this.repairParity = paramVolumeScanDescriptor.repairParity;
    this.priority = paramVolumeScanDescriptor.priority;
    this.timeout = paramVolumeScanDescriptor.timeout;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public long getStartingLBA()
  {
    return this.startingLBA;
  }

  public void setStartingLBA(long paramLong)
  {
    this.startingLBA = paramLong;
  }

  public long getEndingLBA()
  {
    return this.endingLBA;
  }

  public void setEndingLBA(long paramLong)
  {
    this.endingLBA = paramLong;
  }

  public boolean getRepairMedia()
  {
    return this.repairMedia;
  }

  public void setRepairMedia(boolean paramBoolean)
  {
    this.repairMedia = paramBoolean;
  }

  public boolean getRepairParity()
  {
    return this.repairParity;
  }

  public void setRepairParity(boolean paramBoolean)
  {
    this.repairParity = paramBoolean;
  }

  public VolumeScanPriority getPriority()
  {
    return this.priority;
  }

  public void setPriority(VolumeScanPriority paramVolumeScanPriority)
  {
    this.priority = paramVolumeScanPriority;
  }

  public int getTimeout()
  {
    return this.timeout;
  }

  public void setTimeout(int paramInt)
  {
    this.timeout = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.startingLBA);
    paramXDROutputStream.putLong(this.endingLBA);
    paramXDROutputStream.putBoolean(this.repairMedia);
    paramXDROutputStream.putBoolean(this.repairParity);
    this.priority.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.timeout);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.startingLBA = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.endingLBA = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.repairMedia = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.repairParity = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.priority.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.timeout = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}