package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeSegmentSizingDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private int newSegmentSize;

  public VolumeSegmentSizingDescriptor()
  {
  }

  public VolumeSegmentSizingDescriptor(VolumeSegmentSizingDescriptor paramVolumeSegmentSizingDescriptor)
  {
    this.volumeRef = paramVolumeSegmentSizingDescriptor.volumeRef;
    this.newSegmentSize = paramVolumeSegmentSizingDescriptor.newSegmentSize;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public int getNewSegmentSize()
  {
    return this.newSegmentSize;
  }

  public void setNewSegmentSize(int paramInt)
  {
    this.newSegmentSize = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.newSegmentSize);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.newSegmentSize = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}