package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int VOL_STATUS_OPTIMAL = 1;
  public static final int VOL_STATUS_DEGRADED = 2;
  public static final int VOL_STATUS_FAILED = 3;
  public static final int VOL_STATUS_IMPAIRED = 4;
  private int value;

  public VolumeStatus()
  {
  }

  public VolumeStatus(VolumeStatus paramVolumeStatus)
  {
    this.value = paramVolumeStatus.value;
  }

  public VolumeStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}