/*     */ package org.codehaus.stax2.ri;
/*     */ 
/*     */ import java.util.Iterator;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.events.Attribute;
/*     */ import javax.xml.stream.events.Characters;
/*     */ import javax.xml.stream.events.Comment;
/*     */ import javax.xml.stream.events.DTD;
/*     */ import javax.xml.stream.events.EndDocument;
/*     */ import javax.xml.stream.events.EndElement;
/*     */ import javax.xml.stream.events.EntityDeclaration;
/*     */ import javax.xml.stream.events.EntityReference;
/*     */ import javax.xml.stream.events.Namespace;
/*     */ import javax.xml.stream.events.ProcessingInstruction;
/*     */ import javax.xml.stream.events.StartDocument;
/*     */ import javax.xml.stream.events.StartElement;
/*     */ import org.codehaus.stax2.evt.DTD2;
/*     */ import org.codehaus.stax2.evt.XMLEventFactory2;
/*     */ import org.codehaus.stax2.ri.evt.AttributeEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.CharactersEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.CommentEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.DTDEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.EndDocumentEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.EndElementEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.EntityReferenceEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.NamespaceEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.ProcInstrEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.StartDocumentEventImpl;
/*     */ import org.codehaus.stax2.ri.evt.StartElementEventImpl;
/*     */ 
/*     */ public abstract class Stax2EventFactoryImpl extends XMLEventFactory2
/*     */ {
/*     */   protected Location mLocation;
/*     */ 
/*     */   public Attribute createAttribute(QName paramQName, String paramString)
/*     */   {
/*  41 */     return new AttributeEventImpl(this.mLocation, paramQName, paramString, true);
/*     */   }
/*     */ 
/*     */   public Attribute createAttribute(String paramString1, String paramString2)
/*     */   {
/*  46 */     return new AttributeEventImpl(this.mLocation, paramString1, null, null, paramString2, true);
/*     */   }
/*     */ 
/*     */   public Attribute createAttribute(String paramString1, String paramString2, String paramString3, String paramString4)
/*     */   {
/*  52 */     return new AttributeEventImpl(this.mLocation, paramString3, paramString2, paramString1, paramString4, true);
/*     */   }
/*     */ 
/*     */   public Characters createCData(String paramString)
/*     */   {
/*  57 */     return new CharactersEventImpl(this.mLocation, paramString, true);
/*     */   }
/*     */ 
/*     */   public Characters createCharacters(String paramString)
/*     */   {
/*  62 */     return new CharactersEventImpl(this.mLocation, paramString, false);
/*     */   }
/*     */ 
/*     */   public Comment createComment(String paramString)
/*     */   {
/*  67 */     return new CommentEventImpl(this.mLocation, paramString);
/*     */   }
/*     */ 
/*     */   public DTD createDTD(String paramString)
/*     */   {
/*  77 */     return new DTDEventImpl(this.mLocation, paramString);
/*     */   }
/*     */ 
/*     */   public EndDocument createEndDocument()
/*     */   {
/*  82 */     return new EndDocumentEventImpl(this.mLocation);
/*     */   }
/*     */ 
/*     */   public EndElement createEndElement(QName paramQName, Iterator paramIterator)
/*     */   {
/*  87 */     return new EndElementEventImpl(this.mLocation, paramQName, paramIterator);
/*     */   }
/*     */ 
/*     */   public EndElement createEndElement(String paramString1, String paramString2, String paramString3)
/*     */   {
/*  93 */     return createEndElement(createQName(paramString2, paramString3, paramString1), null);
/*     */   }
/*     */ 
/*     */   public EndElement createEndElement(String paramString1, String paramString2, String paramString3, Iterator paramIterator)
/*     */   {
/* 100 */     return createEndElement(createQName(paramString2, paramString3, paramString1), paramIterator);
/*     */   }
/*     */ 
/*     */   public EntityReference createEntityReference(String paramString, EntityDeclaration paramEntityDeclaration)
/*     */   {
/* 106 */     return new EntityReferenceEventImpl(this.mLocation, paramEntityDeclaration);
/*     */   }
/*     */ 
/*     */   public Characters createIgnorableSpace(String paramString)
/*     */   {
/* 111 */     return CharactersEventImpl.createIgnorableWS(this.mLocation, paramString);
/*     */   }
/*     */ 
/*     */   public Namespace createNamespace(String paramString)
/*     */   {
/* 116 */     return NamespaceEventImpl.constructDefaultNamespace(this.mLocation, paramString);
/*     */   }
/*     */ 
/*     */   public Namespace createNamespace(String paramString1, String paramString2)
/*     */   {
/* 121 */     return NamespaceEventImpl.constructNamespace(this.mLocation, paramString1, paramString2);
/*     */   }
/*     */ 
/*     */   public ProcessingInstruction createProcessingInstruction(String paramString1, String paramString2)
/*     */   {
/* 126 */     return new ProcInstrEventImpl(this.mLocation, paramString1, paramString2);
/*     */   }
/*     */ 
/*     */   public Characters createSpace(String paramString)
/*     */   {
/* 131 */     return CharactersEventImpl.createNonIgnorableWS(this.mLocation, paramString);
/*     */   }
/*     */ 
/*     */   public StartDocument createStartDocument()
/*     */   {
/* 136 */     return new StartDocumentEventImpl(this.mLocation);
/*     */   }
/*     */ 
/*     */   public StartDocument createStartDocument(String paramString)
/*     */   {
/* 141 */     return new StartDocumentEventImpl(this.mLocation, paramString);
/*     */   }
/*     */ 
/*     */   public StartDocument createStartDocument(String paramString1, String paramString2)
/*     */   {
/* 146 */     return new StartDocumentEventImpl(this.mLocation, paramString1, paramString2);
/*     */   }
/*     */ 
/*     */   public StartDocument createStartDocument(String paramString1, String paramString2, boolean paramBoolean)
/*     */   {
/* 151 */     return new StartDocumentEventImpl(this.mLocation, paramString1, paramString2, true, paramBoolean);
/*     */   }
/*     */ 
/*     */   public StartElement createStartElement(QName paramQName, Iterator paramIterator1, Iterator paramIterator2)
/*     */   {
/* 156 */     return createStartElement(paramQName, paramIterator1, paramIterator2, null);
/*     */   }
/*     */ 
/*     */   public StartElement createStartElement(String paramString1, String paramString2, String paramString3)
/*     */   {
/* 161 */     return createStartElement(createQName(paramString2, paramString3, paramString1), null, null, null);
/*     */   }
/*     */ 
/*     */   public StartElement createStartElement(String paramString1, String paramString2, String paramString3, Iterator paramIterator1, Iterator paramIterator2)
/*     */   {
/* 170 */     return createStartElement(createQName(paramString2, paramString3, paramString1), paramIterator1, paramIterator2, null);
/*     */   }
/*     */ 
/*     */   public StartElement createStartElement(String paramString1, String paramString2, String paramString3, Iterator paramIterator1, Iterator paramIterator2, NamespaceContext paramNamespaceContext)
/*     */   {
/* 179 */     return createStartElement(createQName(paramString2, paramString3, paramString1), paramIterator1, paramIterator2, paramNamespaceContext);
/*     */   }
/*     */ 
/*     */   public void setLocation(Location paramLocation)
/*     */   {
/* 186 */     this.mLocation = paramLocation;
/*     */   }
/*     */ 
/*     */   public DTD2 createDTD(String paramString1, String paramString2, String paramString3, String paramString4)
/*     */   {
/* 199 */     return new DTDEventImpl(this.mLocation, paramString1, paramString2, paramString3, paramString4, null);
/*     */   }
/*     */ 
/*     */   public DTD2 createDTD(String paramString1, String paramString2, String paramString3, String paramString4, Object paramObject)
/*     */   {
/* 206 */     return new DTDEventImpl(this.mLocation, paramString1, paramString2, paramString3, paramString4, paramObject);
/*     */   }
/*     */ 
/*     */   protected abstract QName createQName(String paramString1, String paramString2);
/*     */ 
/*     */   protected abstract QName createQName(String paramString1, String paramString2, String paramString3);
/*     */ 
/*     */   protected StartElement createStartElement(QName paramQName, Iterator<?> paramIterator1, Iterator<?> paramIterator2, NamespaceContext paramNamespaceContext)
/*     */   {
/* 223 */     return StartElementEventImpl.construct(this.mLocation, paramQName, paramIterator1, paramIterator2, paramNamespaceContext);
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2EventFactoryImpl
 * JD-Core Version:    0.6.2
 */