/*     */ package org.codehaus.stax2.ri;
/*     */ 
/*     */ import java.util.NoSuchElementException;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamConstants;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.XMLStreamReader;
/*     */ import javax.xml.stream.events.Characters;
/*     */ import javax.xml.stream.events.XMLEvent;
/*     */ import javax.xml.stream.util.XMLEventAllocator;
/*     */ import org.codehaus.stax2.XMLEventReader2;
/*     */ import org.codehaus.stax2.XMLStreamReader2;
/*     */ 
/*     */ public abstract class Stax2EventReaderImpl
/*     */   implements XMLEventReader2, XMLStreamConstants
/*     */ {
/*     */   protected static final int STATE_INITIAL = 1;
/*     */   protected static final int STATE_END_OF_INPUT = 2;
/*     */   protected static final int STATE_CONTENT = 3;
/*     */   protected static final int ERR_GETELEMTEXT_NOT_START_ELEM = 1;
/*     */   protected static final int ERR_GETELEMTEXT_NON_TEXT_EVENT = 2;
/*     */   protected static final int ERR_NEXTTAG_NON_WS_TEXT = 3;
/*     */   protected static final int ERR_NEXTTAG_WRONG_TYPE = 4;
/*     */   protected final XMLEventAllocator mAllocator;
/*     */   protected final XMLStreamReader2 mReader;
/* 106 */   private XMLEvent mPeekedEvent = null;
/*     */ 
/* 116 */   protected int mState = 1;
/*     */ 
/* 124 */   protected int mPrePeekEvent = 7;
/*     */ 
/*     */   protected Stax2EventReaderImpl(XMLEventAllocator paramXMLEventAllocator, XMLStreamReader2 paramXMLStreamReader2)
/*     */   {
/* 134 */     this.mAllocator = paramXMLEventAllocator;
/* 135 */     this.mReader = paramXMLStreamReader2;
/*     */   }
/*     */ 
/*     */   public abstract boolean isPropertySupported(String paramString);
/*     */ 
/*     */   public abstract boolean setProperty(String paramString, Object paramObject);
/*     */ 
/*     */   protected abstract String getErrorDesc(int paramInt1, int paramInt2);
/*     */ 
/*     */   public void close()
/*     */     throws XMLStreamException
/*     */   {
/* 170 */     this.mReader.close();
/*     */   }
/*     */ 
/*     */   public String getElementText()
/*     */     throws XMLStreamException
/*     */   {
/* 179 */     if (this.mPeekedEvent == null) {
/* 180 */       return this.mReader.getElementText();
/*     */     }
/*     */ 
/* 183 */     XMLEvent localXMLEvent = this.mPeekedEvent;
/* 184 */     this.mPeekedEvent = null;
/*     */ 
/* 189 */     if (this.mPrePeekEvent != 1) {
/* 190 */       reportProblem(findErrorDesc(1, this.mPrePeekEvent));
/*     */     }
/*     */ 
/* 194 */     Object localObject = null;
/* 195 */     StringBuffer localStringBuffer = null;
/*     */ 
/* 200 */     for (; 
/* 201 */       !localXMLEvent.isEndElement(); localXMLEvent = nextEvent())
/*     */     {
/* 204 */       int i = localXMLEvent.getEventType();
/* 205 */       if ((i != 5) && (i != 3))
/*     */       {
/* 209 */         if (!localXMLEvent.isCharacters()) {
/* 210 */           reportProblem(findErrorDesc(2, i));
/*     */         }
/* 212 */         String str = localXMLEvent.asCharacters().getData();
/* 213 */         if (localObject == null) {
/* 214 */           localObject = str;
/*     */         } else {
/* 216 */           if (localStringBuffer == null) {
/* 217 */             localStringBuffer = new StringBuffer(localObject.length() + str.length());
/* 218 */             localStringBuffer.append(localObject);
/*     */           }
/* 220 */           localStringBuffer.append(str);
/*     */         }
/*     */       }
/*     */     }
/* 224 */     if (localStringBuffer != null) {
/* 225 */       return localStringBuffer.toString();
/*     */     }
/* 227 */     return localObject == null ? "" : localObject;
/*     */   }
/*     */ 
/*     */   public Object getProperty(String paramString) {
/* 231 */     return this.mReader.getProperty(paramString);
/*     */   }
/*     */ 
/*     */   public boolean hasNext() {
/* 235 */     return this.mState != 2;
/*     */   }
/*     */ 
/*     */   public XMLEvent nextEvent()
/*     */     throws XMLStreamException
/*     */   {
/* 241 */     if (this.mState == 2) {
/* 242 */       throwEndOfInput();
/* 243 */     } else if (this.mState == 1) {
/* 244 */       this.mState = 3;
/* 245 */       return createStartDocumentEvent();
/*     */     }
/* 247 */     if (this.mPeekedEvent != null) {
/* 248 */       XMLEvent localXMLEvent = this.mPeekedEvent;
/* 249 */       this.mPeekedEvent = null;
/* 250 */       if (localXMLEvent.isEndDocument()) {
/* 251 */         this.mState = 2;
/*     */       }
/* 253 */       return localXMLEvent;
/*     */     }
/* 255 */     return createNextEvent(true, this.mReader.next());
/*     */   }
/*     */ 
/*     */   public Object next() {
/*     */     try {
/* 260 */       return nextEvent();
/*     */     } catch (XMLStreamException localXMLStreamException) {
/* 262 */       throwUnchecked(localXMLStreamException);
/* 263 */     }return null;
/*     */   }
/*     */ 
/*     */   public XMLEvent nextTag()
/*     */     throws XMLStreamException
/*     */   {
/* 271 */     if (this.mPeekedEvent != null) {
/* 272 */       XMLEvent localXMLEvent = this.mPeekedEvent;
/* 273 */       this.mPeekedEvent = null;
/* 274 */       int j = localXMLEvent.getEventType();
/* 275 */       switch (j) {
/*     */       case 8:
/* 277 */         return null;
/*     */       case 7:
/* 280 */         break;
/*     */       case 6:
/* 283 */         break;
/*     */       case 3:
/*     */       case 5:
/* 291 */         break;
/*     */       case 4:
/*     */       case 12:
/* 294 */         if (!((Characters)localXMLEvent).isWhiteSpace())
/*     */         {
/* 297 */           reportProblem(findErrorDesc(3, j));
/* 298 */         }break;
/*     */       case 1:
/*     */       case 2:
/* 301 */         return localXMLEvent;
/*     */       case 9:
/*     */       case 10:
/*     */       case 11:
/*     */       default:
/* 304 */         reportProblem(findErrorDesc(4, j));
/*     */       }
/*     */ 
/*     */     }
/* 314 */     else if (this.mState == 1) {
/* 315 */       this.mState = 3;
/*     */     }
/*     */ 
/*     */     while (true)
/*     */     {
/* 320 */       int i = this.mReader.next();
/*     */ 
/* 322 */       switch (i) {
/*     */       case 8:
/* 324 */         return null;
/*     */       case 3:
/*     */       case 5:
/*     */       case 6:
/* 332 */         break;
/*     */       case 4:
/*     */       case 12:
/* 335 */         if (!this.mReader.isWhiteSpace())
/*     */         {
/* 338 */           reportProblem(findErrorDesc(3, i));
/* 339 */         }break;
/*     */       case 1:
/*     */       case 2:
/* 343 */         return createNextEvent(false, i);
/*     */       case 7:
/*     */       case 9:
/*     */       case 10:
/*     */       case 11:
/*     */       default:
/* 346 */         reportProblem(findErrorDesc(4, i));
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */   public XMLEvent peek()
/*     */     throws XMLStreamException
/*     */   {
/* 354 */     if (this.mPeekedEvent == null) {
/* 355 */       if (this.mState == 2)
/*     */       {
/* 358 */         return null;
/*     */       }
/* 360 */       if (this.mState == 1)
/*     */       {
/* 362 */         this.mPrePeekEvent = 7;
/* 363 */         this.mPeekedEvent = createStartDocumentEvent();
/* 364 */         this.mState = 3;
/*     */       } else {
/* 366 */         this.mPrePeekEvent = this.mReader.getEventType();
/* 367 */         this.mPeekedEvent = createNextEvent(false, this.mReader.next());
/*     */       }
/*     */     }
/* 370 */     return this.mPeekedEvent;
/*     */   }
/*     */ 
/*     */   public void remove()
/*     */   {
/* 378 */     throw new UnsupportedOperationException("Can not remove events from XMLEventReader.");
/*     */   }
/*     */ 
/*     */   public boolean hasNextEvent()
/*     */     throws XMLStreamException
/*     */   {
/* 398 */     return this.mState != 2;
/*     */   }
/*     */ 
/*     */   protected XMLEvent createNextEvent(boolean paramBoolean, int paramInt)
/*     */     throws XMLStreamException
/*     */   {
/*     */     try
/*     */     {
/* 411 */       XMLEvent localXMLEvent = this.mAllocator.allocate(this.mReader);
/* 412 */       if ((paramBoolean) && (paramInt == 8)) {
/* 413 */         this.mState = 2;
/*     */       }
/* 415 */       return localXMLEvent;
/*     */     }
/*     */     catch (RuntimeException localRuntimeException)
/*     */     {
/* 423 */       Throwable localThrowable = localRuntimeException.getCause();
/* 424 */       while (localThrowable != null) {
/* 425 */         if ((localThrowable instanceof XMLStreamException)) {
/* 426 */           throw ((XMLStreamException)localThrowable);
/*     */         }
/* 428 */         localThrowable = localThrowable.getCause();
/*     */       }
/*     */ 
/* 431 */       throw localRuntimeException;
/*     */     }
/*     */   }
/*     */ 
/*     */   protected XMLEvent createStartDocumentEvent()
/*     */     throws XMLStreamException
/*     */   {
/* 441 */     XMLEvent localXMLEvent = this.mAllocator.allocate(this.mReader);
/* 442 */     return localXMLEvent;
/*     */   }
/*     */ 
/*     */   private void throwEndOfInput()
/*     */   {
/* 453 */     throw new NoSuchElementException();
/*     */   }
/*     */ 
/*     */   protected void throwUnchecked(XMLStreamException paramXMLStreamException)
/*     */   {
/* 461 */     Throwable localThrowable = paramXMLStreamException.getNestedException() == null ? paramXMLStreamException : paramXMLStreamException.getNestedException();
/*     */ 
/* 463 */     if ((localThrowable instanceof RuntimeException)) {
/* 464 */       throw ((RuntimeException)localThrowable);
/*     */     }
/* 466 */     if ((localThrowable instanceof Error)) {
/* 467 */       throw ((Error)localThrowable);
/*     */     }
/*     */ 
/* 470 */     throw new RuntimeException("[was " + localThrowable.getClass() + "] " + localThrowable.getMessage(), localThrowable);
/*     */   }
/*     */ 
/*     */   protected void reportProblem(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 476 */     reportProblem(paramString, this.mReader.getLocation());
/*     */   }
/*     */ 
/*     */   protected void reportProblem(String paramString, Location paramLocation)
/*     */     throws XMLStreamException
/*     */   {
/* 482 */     if (paramLocation == null) {
/* 483 */       throw new XMLStreamException(paramString);
/*     */     }
/* 485 */     throw new XMLStreamException(paramString, paramLocation);
/*     */   }
/*     */ 
/*     */   protected XMLStreamReader getStreamReader()
/*     */   {
/* 496 */     return this.mReader;
/*     */   }
/*     */ 
/*     */   private final String findErrorDesc(int paramInt1, int paramInt2)
/*     */   {
/* 512 */     String str = getErrorDesc(paramInt1, paramInt2);
/* 513 */     if (str != null) {
/* 514 */       return str;
/*     */     }
/* 516 */     switch (paramInt1) {
/*     */     case 1:
/* 518 */       return "Current state not START_ELEMENT when calling getElementText()";
/*     */     case 2:
/* 520 */       return "Expected a text token";
/*     */     case 3:
/* 522 */       return "Only all-whitespace CHARACTERS/CDATA (or SPACE) allowed for nextTag()";
/*     */     case 4:
/* 524 */       return "Should only encounter START_ELEMENT/END_ELEMENT, SPACE, or all-white-space CHARACTERS";
/*     */     }
/*     */ 
/* 528 */     return "Internal error (unrecognized error type: " + paramInt1 + ")";
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2EventReaderImpl
 * JD-Core Version:    0.6.2
 */