/*     */ package org.codehaus.stax2.ri;
/*     */ 
/*     */ import javax.xml.stream.XMLStreamConstants;
/*     */ 
/*     */ public final class Stax2Util
/*     */   implements XMLStreamConstants
/*     */ {
/*     */   public static String eventTypeDesc(int paramInt)
/*     */   {
/*  31 */     switch (paramInt) {
/*     */     case 1:
/*  33 */       return "START_ELEMENT";
/*     */     case 2:
/*  35 */       return "END_ELEMENT";
/*     */     case 7:
/*  37 */       return "START_DOCUMENT";
/*     */     case 8:
/*  39 */       return "END_DOCUMENT";
/*     */     case 4:
/*  42 */       return "CHARACTERS";
/*     */     case 12:
/*  44 */       return "CDATA";
/*     */     case 6:
/*  46 */       return "SPACE";
/*     */     case 5:
/*  49 */       return "COMMENT";
/*     */     case 3:
/*  51 */       return "PROCESSING_INSTRUCTION";
/*     */     case 11:
/*  53 */       return "DTD";
/*     */     case 9:
/*  55 */       return "ENTITY_REFERENCE";
/*     */     case 10:
/*  57 */     }return "[" + paramInt + "]";
/*     */   }
/*     */ 
/*     */   public static String trimSpaces(String paramString)
/*     */   {
/*  68 */     int i = paramString.length();
/*  69 */     int j = 0;
/*     */     while (true)
/*     */     {
/*  72 */       if (j >= i) {
/*  73 */         return null;
/*     */       }
/*  75 */       if (!_isSpace(paramString.charAt(j))) {
/*     */         break;
/*     */       }
/*  78 */       j++;
/*     */     }
/*     */ 
/*  81 */     i--;
/*  82 */     if (!_isSpace(paramString.charAt(i))) {
/*  83 */       return j == 0 ? paramString : paramString.substring(j);
/*     */     }
/*     */     do
/*     */     {
/*  87 */       i--; } while ((i > j) && (_isSpace(paramString.charAt(i))));
/*     */ 
/*  89 */     return paramString.substring(j, i + 1);
/*     */   }
/*     */ 
/*     */   private static final boolean _isSpace(char paramChar)
/*     */   {
/* 101 */     return paramChar <= ' ';
/*     */   }
/*     */ 
/*     */   public static final class ByteAggregator
/*     */   {
/* 163 */     private static final byte[] NO_BYTES = new byte[0];
/*     */     private static final int INITIAL_BLOCK_SIZE = 500;
/*     */     static final int DEFAULT_BLOCK_ARRAY_SIZE = 100;
/*     */     private byte[][] mBlocks;
/*     */     private int mBlockCount;
/*     */     private int mTotalLen;
/*     */     private byte[] mSpareBlock;
/*     */ 
/*     */     public byte[] startAggregation()
/*     */     {
/* 199 */       this.mTotalLen = 0;
/* 200 */       this.mBlockCount = 0;
/* 201 */       byte[] arrayOfByte = this.mSpareBlock;
/* 202 */       if (arrayOfByte == null)
/* 203 */         arrayOfByte = new byte[500];
/*     */       else {
/* 205 */         this.mSpareBlock = null;
/*     */       }
/* 207 */       return arrayOfByte;
/*     */     }
/*     */ 
/*     */     public byte[] addFullBlock(byte[] paramArrayOfByte)
/*     */     {
/* 220 */       int i = paramArrayOfByte.length;
/*     */ 
/* 222 */       if (this.mBlocks == null) {
/* 223 */         this.mBlocks = new byte[100][];
/*     */       } else {
/* 225 */         j = this.mBlocks.length;
/* 226 */         if (this.mBlockCount >= j) {
/* 227 */           byte[][] arrayOfByte = this.mBlocks;
/* 228 */           this.mBlocks = new byte[j + j][];
/* 229 */           System.arraycopy(arrayOfByte, 0, this.mBlocks, 0, j);
/*     */         }
/*     */       }
/* 232 */       this.mBlocks[this.mBlockCount] = paramArrayOfByte;
/* 233 */       this.mBlockCount += 1;
/* 234 */       this.mTotalLen += i;
/*     */ 
/* 242 */       int j = Math.max(this.mTotalLen >> 1, 1000);
/* 243 */       return new byte[j];
/*     */     }
/*     */ 
/*     */     public byte[] aggregateAll(byte[] paramArrayOfByte, int paramInt)
/*     */     {
/* 252 */       int i = this.mTotalLen + paramInt;
/*     */ 
/* 254 */       if (i == 0) {
/* 255 */         return NO_BYTES;
/*     */       }
/*     */ 
/* 258 */       byte[] arrayOfByte1 = new byte[i];
/* 259 */       int j = 0;
/*     */ 
/* 261 */       if (this.mBlocks != null) {
/* 262 */         for (int k = 0; k < this.mBlockCount; k++) {
/* 263 */           byte[] arrayOfByte2 = this.mBlocks[k];
/* 264 */           int m = arrayOfByte2.length;
/* 265 */           System.arraycopy(arrayOfByte2, 0, arrayOfByte1, j, m);
/* 266 */           j += m;
/*     */         }
/*     */       }
/* 269 */       System.arraycopy(paramArrayOfByte, 0, arrayOfByte1, j, paramInt);
/*     */ 
/* 271 */       this.mSpareBlock = paramArrayOfByte;
/* 272 */       j += paramInt;
/* 273 */       if (j != i) {
/* 274 */         throw new RuntimeException("Internal error: total len assumed to be " + i + ", copied " + j + " bytes");
/*     */       }
/* 276 */       return arrayOfByte1;
/*     */     }
/*     */   }
/*     */ 
/*     */   public static final class TextBuffer
/*     */   {
/* 110 */     private String mText = null;
/*     */ 
/* 115 */     private StringBuffer mBuilder = null;
/*     */ 
/*     */     public void reset()
/*     */     {
/* 121 */       this.mText = null;
/* 122 */       this.mBuilder = null;
/*     */     }
/*     */ 
/*     */     public void append(String paramString)
/*     */     {
/* 127 */       int i = paramString.length();
/* 128 */       if (i > 0)
/*     */       {
/* 130 */         if (this.mText != null) {
/* 131 */           this.mBuilder = new StringBuffer(this.mText.length() + i);
/* 132 */           this.mBuilder.append(this.mText);
/* 133 */           this.mText = null;
/*     */         }
/* 135 */         if (this.mBuilder != null)
/* 136 */           this.mBuilder.append(paramString);
/*     */         else
/* 138 */           this.mText = paramString;
/*     */       }
/*     */     }
/*     */ 
/*     */     public String get()
/*     */     {
/* 145 */       if (this.mText != null) {
/* 146 */         return this.mText;
/*     */       }
/* 148 */       if (this.mBuilder != null) {
/* 149 */         return this.mBuilder.toString();
/*     */       }
/* 151 */       return "";
/*     */     }
/*     */     public boolean isEmpty() {
/* 154 */       return (this.mText == null) && (this.mBuilder == null);
/*     */     }
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2Util
 * JD-Core Version:    0.6.2
 */