/*     */ package org.codehaus.stax2.ri;
/*     */ 
/*     */ import java.math.BigDecimal;
/*     */ import java.math.BigInteger;
/*     */ import javax.xml.namespace.NamespaceContext;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.XMLStreamConstants;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.XMLStreamReader;
/*     */ import javax.xml.stream.XMLStreamWriter;
/*     */ import org.codehaus.stax2.DTDInfo;
/*     */ import org.codehaus.stax2.XMLStreamLocation2;
/*     */ import org.codehaus.stax2.XMLStreamReader2;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ import org.codehaus.stax2.ri.typed.SimpleValueEncoder;
/*     */ import org.codehaus.stax2.typed.Base64Variant;
/*     */ import org.codehaus.stax2.typed.Base64Variants;
/*     */ import org.codehaus.stax2.util.StreamWriterDelegate;
/*     */ import org.codehaus.stax2.validation.ValidationProblemHandler;
/*     */ import org.codehaus.stax2.validation.XMLValidationSchema;
/*     */ import org.codehaus.stax2.validation.XMLValidator;
/*     */ 
/*     */ public class Stax2WriterAdapter extends StreamWriterDelegate
/*     */   implements XMLStreamWriter2, XMLStreamConstants
/*     */ {
/*     */   protected String mEncoding;
/*     */   protected SimpleValueEncoder mValueEncoder;
/*     */   protected final boolean mNsRepairing;
/*     */ 
/*     */   protected Stax2WriterAdapter(XMLStreamWriter paramXMLStreamWriter)
/*     */   {
/*  75 */     super(paramXMLStreamWriter);
/*  76 */     this.mDelegate = paramXMLStreamWriter;
/*  77 */     Object localObject = paramXMLStreamWriter.getProperty("javax.xml.stream.isRepairingNamespaces");
/*  78 */     this.mNsRepairing = (((localObject instanceof Boolean)) && (((Boolean)localObject).booleanValue()));
/*     */   }
/*     */ 
/*     */   public static XMLStreamWriter2 wrapIfNecessary(XMLStreamWriter paramXMLStreamWriter)
/*     */   {
/*  91 */     if ((paramXMLStreamWriter instanceof XMLStreamConstants)) {
/*  92 */       return (XMLStreamConstants)paramXMLStreamWriter;
/*     */     }
/*  94 */     return new Stax2WriterAdapter(paramXMLStreamWriter);
/*     */   }
/*     */ 
/*     */   public void writeBoolean(boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 108 */     this.mDelegate.writeCharacters(paramBoolean ? "true" : "false");
/*     */   }
/*     */ 
/*     */   public void writeInt(int paramInt) throws XMLStreamException
/*     */   {
/* 113 */     this.mDelegate.writeCharacters(String.valueOf(paramInt));
/*     */   }
/*     */ 
/*     */   public void writeLong(long paramLong) throws XMLStreamException
/*     */   {
/* 118 */     this.mDelegate.writeCharacters(String.valueOf(paramLong));
/*     */   }
/*     */ 
/*     */   public void writeFloat(float paramFloat) throws XMLStreamException
/*     */   {
/* 123 */     this.mDelegate.writeCharacters(String.valueOf(paramFloat));
/*     */   }
/*     */ 
/*     */   public void writeDouble(double paramDouble) throws XMLStreamException
/*     */   {
/* 128 */     this.mDelegate.writeCharacters(String.valueOf(paramDouble));
/*     */   }
/*     */ 
/*     */   public void writeInteger(BigInteger paramBigInteger) throws XMLStreamException
/*     */   {
/* 133 */     this.mDelegate.writeCharacters(paramBigInteger.toString());
/*     */   }
/*     */ 
/*     */   public void writeDecimal(BigDecimal paramBigDecimal) throws XMLStreamException
/*     */   {
/* 138 */     this.mDelegate.writeCharacters(paramBigDecimal.toString());
/*     */   }
/*     */ 
/*     */   public void writeQName(QName paramQName) throws XMLStreamException
/*     */   {
/* 143 */     this.mDelegate.writeCharacters(serializeQNameValue(paramQName));
/*     */   }
/*     */ 
/*     */   public void writeIntArray(int[] paramArrayOfInt, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 149 */     this.mDelegate.writeCharacters(getValueEncoder().encodeAsString(paramArrayOfInt, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeLongArray(long[] paramArrayOfLong, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 155 */     this.mDelegate.writeCharacters(getValueEncoder().encodeAsString(paramArrayOfLong, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeFloatArray(float[] paramArrayOfFloat, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 161 */     this.mDelegate.writeCharacters(getValueEncoder().encodeAsString(paramArrayOfFloat, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeDoubleArray(double[] paramArrayOfDouble, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 167 */     this.mDelegate.writeCharacters(getValueEncoder().encodeAsString(paramArrayOfDouble, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeBinary(Base64Variant paramBase64Variant, byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 173 */     this.mDelegate.writeCharacters(getValueEncoder().encodeAsString(paramBase64Variant, paramArrayOfByte, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeBinary(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 179 */     writeBinary(Base64Variants.getDefaultVariant(), paramArrayOfByte, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */   public void writeBooleanAttribute(String paramString1, String paramString2, String paramString3, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 186 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, paramBoolean ? "true" : "false");
/*     */   }
/*     */ 
/*     */   public void writeIntAttribute(String paramString1, String paramString2, String paramString3, int paramInt) throws XMLStreamException
/*     */   {
/* 191 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramInt));
/*     */   }
/*     */ 
/*     */   public void writeLongAttribute(String paramString1, String paramString2, String paramString3, long paramLong) throws XMLStreamException
/*     */   {
/* 196 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramLong));
/*     */   }
/*     */ 
/*     */   public void writeFloatAttribute(String paramString1, String paramString2, String paramString3, float paramFloat) throws XMLStreamException
/*     */   {
/* 201 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramFloat));
/*     */   }
/*     */ 
/*     */   public void writeDoubleAttribute(String paramString1, String paramString2, String paramString3, double paramDouble) throws XMLStreamException
/*     */   {
/* 206 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, String.valueOf(paramDouble));
/*     */   }
/*     */ 
/*     */   public void writeIntegerAttribute(String paramString1, String paramString2, String paramString3, BigInteger paramBigInteger) throws XMLStreamException
/*     */   {
/* 211 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, paramBigInteger.toString());
/*     */   }
/*     */ 
/*     */   public void writeDecimalAttribute(String paramString1, String paramString2, String paramString3, BigDecimal paramBigDecimal) throws XMLStreamException
/*     */   {
/* 216 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, paramBigDecimal.toString());
/*     */   }
/*     */ 
/*     */   public void writeQNameAttribute(String paramString1, String paramString2, String paramString3, QName paramQName) throws XMLStreamException
/*     */   {
/* 221 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, serializeQNameValue(paramQName));
/*     */   }
/*     */ 
/*     */   public void writeIntArrayAttribute(String paramString1, String paramString2, String paramString3, int[] paramArrayOfInt) throws XMLStreamException
/*     */   {
/* 226 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfInt, 0, paramArrayOfInt.length));
/*     */   }
/*     */ 
/*     */   public void writeLongArrayAttribute(String paramString1, String paramString2, String paramString3, long[] paramArrayOfLong)
/*     */     throws XMLStreamException
/*     */   {
/* 232 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfLong, 0, paramArrayOfLong.length));
/*     */   }
/*     */ 
/*     */   public void writeFloatArrayAttribute(String paramString1, String paramString2, String paramString3, float[] paramArrayOfFloat)
/*     */     throws XMLStreamException
/*     */   {
/* 238 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfFloat, 0, paramArrayOfFloat.length));
/*     */   }
/*     */ 
/*     */   public void writeDoubleArrayAttribute(String paramString1, String paramString2, String paramString3, double[] paramArrayOfDouble)
/*     */     throws XMLStreamException
/*     */   {
/* 244 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramArrayOfDouble, 0, paramArrayOfDouble.length));
/*     */   }
/*     */ 
/*     */   public void writeBinaryAttribute(String paramString1, String paramString2, String paramString3, byte[] paramArrayOfByte)
/*     */     throws XMLStreamException
/*     */   {
/* 250 */     writeBinaryAttribute(Base64Variants.getDefaultVariant(), paramString1, paramString2, paramString3, paramArrayOfByte);
/*     */   }
/*     */ 
/*     */   public void writeBinaryAttribute(Base64Variant paramBase64Variant, String paramString1, String paramString2, String paramString3, byte[] paramArrayOfByte) throws XMLStreamException
/*     */   {
/* 255 */     this.mDelegate.writeAttribute(paramString1, paramString2, paramString3, getValueEncoder().encodeAsString(paramBase64Variant, paramArrayOfByte, 0, paramArrayOfByte.length));
/*     */   }
/*     */ 
/*     */   public boolean isPropertySupported(String paramString)
/*     */   {
/* 270 */     return false;
/*     */   }
/*     */ 
/*     */   public boolean setProperty(String paramString, Object paramObject)
/*     */   {
/* 275 */     throw new IllegalArgumentException("No settable property '" + paramString + "'");
/*     */   }
/*     */ 
/*     */   public XMLStreamLocation2 getLocation()
/*     */   {
/* 281 */     return null;
/*     */   }
/*     */ 
/*     */   public String getEncoding()
/*     */   {
/* 287 */     return this.mEncoding;
/*     */   }
/*     */ 
/*     */   public void writeCData(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 293 */     writeCData(new String(paramArrayOfChar, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void writeDTD(String paramString1, String paramString2, String paramString3, String paramString4)
/*     */     throws XMLStreamException
/*     */   {
/* 303 */     StringBuffer localStringBuffer = new StringBuffer();
/* 304 */     localStringBuffer.append("<!DOCTYPE");
/* 305 */     localStringBuffer.append(paramString1);
/* 306 */     if (paramString2 != null) {
/* 307 */       if (paramString3 != null) {
/* 308 */         localStringBuffer.append(" PUBLIC \"");
/* 309 */         localStringBuffer.append(paramString3);
/* 310 */         localStringBuffer.append("\" \"");
/*     */       } else {
/* 312 */         localStringBuffer.append(" SYSTEM \"");
/*     */       }
/* 314 */       localStringBuffer.append(paramString2);
/* 315 */       localStringBuffer.append('"');
/*     */     }
/*     */ 
/* 318 */     if ((paramString4 != null) && (paramString4.length() > 0)) {
/* 319 */       localStringBuffer.append(" [");
/* 320 */       localStringBuffer.append(paramString4);
/* 321 */       localStringBuffer.append(']');
/*     */     }
/* 323 */     localStringBuffer.append('>');
/* 324 */     writeDTD(localStringBuffer.toString());
/*     */   }
/*     */ 
/*     */   public void writeFullEndElement()
/*     */     throws XMLStreamException
/*     */   {
/* 334 */     this.mDelegate.writeCharacters("");
/* 335 */     this.mDelegate.writeEndElement();
/*     */   }
/*     */ 
/*     */   public void writeSpace(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 346 */     writeRaw(paramString);
/*     */   }
/*     */ 
/*     */   public void writeSpace(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 353 */     writeRaw(paramArrayOfChar, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */   public void writeStartDocument(String paramString1, String paramString2, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/* 361 */     writeStartDocument(paramString2, paramString1);
/*     */   }
/*     */ 
/*     */   public void writeRaw(String paramString)
/*     */     throws XMLStreamException
/*     */   {
/* 373 */     writeRaw(paramString, 0, paramString.length());
/*     */   }
/*     */ 
/*     */   public void writeRaw(String paramString, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 380 */     throw new UnsupportedOperationException("Not implemented");
/*     */   }
/*     */ 
/*     */   public void writeRaw(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     throws XMLStreamException
/*     */   {
/* 386 */     writeRaw(new String(paramArrayOfChar, paramInt1, paramInt2));
/*     */   }
/*     */ 
/*     */   public void copyEventFromReader(XMLStreamReader2 paramXMLStreamReader2, boolean paramBoolean)
/*     */     throws XMLStreamException
/*     */   {
/*     */     Object localObject;
/* 392 */     switch (paramXMLStreamReader2.getEventType())
/*     */     {
/*     */     case 7:
/* 395 */       localObject = paramXMLStreamReader2.getVersion();
/*     */ 
/* 400 */       if ((localObject != null) && (((String)localObject).length() != 0))
/*     */       {
/* 403 */         if (paramXMLStreamReader2.standaloneSet()) {
/* 404 */           writeStartDocument(paramXMLStreamReader2.getVersion(), paramXMLStreamReader2.getCharacterEncodingScheme(), paramXMLStreamReader2.isStandalone());
/*     */         }
/*     */         else
/*     */         {
/* 408 */           writeStartDocument(paramXMLStreamReader2.getCharacterEncodingScheme(), paramXMLStreamReader2.getVersion());
/*     */         }
/*     */ 
/*     */       }
/*     */ 
/* 413 */       return;
/*     */     case 8:
/* 416 */       writeEndDocument();
/* 417 */       return;
/*     */     case 1:
/* 425 */       copyStartElement(paramXMLStreamReader2);
/* 426 */       return;
/*     */     case 2:
/* 429 */       writeEndElement();
/* 430 */       return;
/*     */     case 6:
/* 433 */       writeSpace(paramXMLStreamReader2.getTextCharacters(), paramXMLStreamReader2.getTextStart(), paramXMLStreamReader2.getTextLength());
/* 434 */       return;
/*     */     case 12:
/* 437 */       writeCData(paramXMLStreamReader2.getTextCharacters(), paramXMLStreamReader2.getTextStart(), paramXMLStreamReader2.getTextLength());
/* 438 */       return;
/*     */     case 4:
/* 441 */       writeCharacters(paramXMLStreamReader2.getTextCharacters(), paramXMLStreamReader2.getTextStart(), paramXMLStreamReader2.getTextLength());
/* 442 */       return;
/*     */     case 5:
/* 445 */       writeComment(paramXMLStreamReader2.getText());
/* 446 */       return;
/*     */     case 3:
/* 449 */       writeProcessingInstruction(paramXMLStreamReader2.getPITarget(), paramXMLStreamReader2.getPIData());
/* 450 */       return;
/*     */     case 11:
/* 454 */       localObject = paramXMLStreamReader2.getDTDInfo();
/* 455 */       if (localObject == null)
/*     */       {
/* 459 */         throw new XMLStreamException("Current state DOCTYPE, but not DTDInfo Object returned -- reader doesn't support DTDs?");
/*     */       }
/* 461 */       writeDTD(((DTDInfo)localObject).getDTDRootName(), ((DTDInfo)localObject).getDTDSystemId(), ((DTDInfo)localObject).getDTDPublicId(), ((DTDInfo)localObject).getDTDInternalSubset());
/*     */ 
/* 464 */       return;
/*     */     case 9:
/* 467 */       writeEntityRef(paramXMLStreamReader2.getLocalName());
/* 468 */       return;
/*     */     case 10:
/*     */     case 13:
/*     */     case 14:
/*     */     case 15:
/*     */     }
/*     */ 
/* 476 */     throw new XMLStreamException("Unrecognized event type (" + paramXMLStreamReader2.getEventType() + "); not sure how to copy");
/*     */   }
/*     */ 
/*     */   public void closeCompletely()
/*     */     throws XMLStreamException
/*     */   {
/* 492 */     close();
/*     */   }
/*     */ 
/*     */   public XMLValidator validateAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 505 */     throw new UnsupportedOperationException("Not yet implemented");
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidationSchema paramXMLValidationSchema)
/*     */     throws XMLStreamException
/*     */   {
/* 511 */     return null;
/*     */   }
/*     */ 
/*     */   public XMLValidator stopValidatingAgainst(XMLValidator paramXMLValidator)
/*     */     throws XMLStreamException
/*     */   {
/* 517 */     return null;
/*     */   }
/*     */ 
/*     */   public ValidationProblemHandler setValidationProblemHandler(ValidationProblemHandler paramValidationProblemHandler)
/*     */   {
/* 525 */     return null;
/*     */   }
/*     */ 
/*     */   protected void copyStartElement(XMLStreamReader paramXMLStreamReader)
/*     */     throws XMLStreamException
/*     */   {
/* 538 */     int i = paramXMLStreamReader.getNamespaceCount();
/*     */     String str1;
/*     */     String str2;
/* 539 */     if (i > 0)
/*     */     {
/* 544 */       for (j = 0; j < i; j++) {
/* 545 */         str1 = paramXMLStreamReader.getNamespacePrefix(j);
/* 546 */         str2 = paramXMLStreamReader.getNamespaceURI(j);
/* 547 */         if ((str1 == null) || (str1.length() == 0))
/* 548 */           setDefaultNamespace(str2);
/*     */         else {
/* 550 */           setPrefix(str1, str2);
/*     */         }
/*     */       }
/*     */     }
/* 554 */     writeStartElement(paramXMLStreamReader.getPrefix(), paramXMLStreamReader.getLocalName(), paramXMLStreamReader.getNamespaceURI());
/*     */ 
/* 556 */     if (i > 0)
/*     */     {
/* 558 */       for (j = 0; j < i; j++) {
/* 559 */         str1 = paramXMLStreamReader.getNamespacePrefix(j);
/* 560 */         str2 = paramXMLStreamReader.getNamespaceURI(j);
/*     */ 
/* 562 */         if ((str1 == null) || (str1.length() == 0))
/* 563 */           writeDefaultNamespace(str2);
/*     */         else {
/* 565 */           writeNamespace(str1, str2);
/*     */         }
/*     */ 
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 573 */     int j = paramXMLStreamReader.getAttributeCount();
/* 574 */     if (j > 0)
/* 575 */       for (int k = 0; k < j; k++)
/* 576 */         writeAttribute(paramXMLStreamReader.getAttributePrefix(k), paramXMLStreamReader.getAttributeNamespace(k), paramXMLStreamReader.getAttributeLocalName(k), paramXMLStreamReader.getAttributeValue(k));
/*     */   }
/*     */ 
/*     */   protected String serializeQNameValue(QName paramQName)
/*     */     throws XMLStreamException
/*     */   {
/*     */     Object localObject;
/* 594 */     if (this.mNsRepairing) {
/* 595 */       str1 = paramQName.getNamespaceURI();
/*     */ 
/* 597 */       NamespaceContext localNamespaceContext = getNamespaceContext();
/* 598 */       localObject = localNamespaceContext == null ? null : localNamespaceContext.getPrefix(str1);
/* 599 */       if (localObject == null)
/*     */       {
/* 601 */         String str2 = paramQName.getPrefix();
/* 602 */         if ((str2 == null) || (str2.length() == 0)) {
/* 603 */           localObject = "";
/*     */ 
/* 608 */           writeDefaultNamespace(str1);
/*     */         } else {
/* 610 */           localObject = str2;
/* 611 */           writeNamespace((String)localObject, str1);
/*     */         }
/*     */       }
/*     */     } else {
/* 615 */       localObject = paramQName.getPrefix();
/*     */     }
/* 617 */     String str1 = paramQName.getLocalPart();
/* 618 */     if ((localObject == null) || (((String)localObject).length() == 0)) {
/* 619 */       return str1;
/*     */     }
/*     */ 
/* 623 */     return (String)localObject + ":" + str1;
/*     */   }
/*     */ 
/*     */   protected SimpleValueEncoder getValueEncoder()
/*     */   {
/* 628 */     if (this.mValueEncoder == null) {
/* 629 */       this.mValueEncoder = new SimpleValueEncoder();
/*     */     }
/* 631 */     return this.mValueEncoder;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.Stax2WriterAdapter
 * JD-Core Version:    0.6.2
 */