/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.Writer;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.events.Characters;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ 
/*     */ public class CharactersEventImpl extends BaseEventImpl
/*     */   implements Characters
/*     */ {
/*     */   final String mContent;
/*     */   final boolean mIsCData;
/*     */   final boolean mIgnorableWS;
/*  20 */   boolean mWhitespaceChecked = false;
/*  21 */   boolean mIsWhitespace = false;
/*     */ 
/*     */   public CharactersEventImpl(Location paramLocation, String paramString, boolean paramBoolean)
/*     */   {
/*  30 */     super(paramLocation);
/*  31 */     this.mContent = paramString;
/*  32 */     this.mIsCData = paramBoolean;
/*  33 */     this.mIgnorableWS = false;
/*     */   }
/*     */ 
/*     */   private CharactersEventImpl(Location paramLocation, String paramString, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3)
/*     */   {
/*  42 */     super(paramLocation);
/*  43 */     this.mContent = paramString;
/*  44 */     this.mIsCData = paramBoolean1;
/*  45 */     this.mIsWhitespace = paramBoolean2;
/*  46 */     if (paramBoolean2) {
/*  47 */       this.mWhitespaceChecked = true;
/*  48 */       this.mIgnorableWS = paramBoolean3;
/*     */     } else {
/*  50 */       this.mWhitespaceChecked = false;
/*  51 */       this.mIgnorableWS = false;
/*     */     }
/*     */   }
/*     */ 
/*     */   public static final CharactersEventImpl createIgnorableWS(Location paramLocation, String paramString) {
/*  56 */     return new CharactersEventImpl(paramLocation, paramString, false, true, true);
/*     */   }
/*     */ 
/*     */   public static final CharactersEventImpl createNonIgnorableWS(Location paramLocation, String paramString) {
/*  60 */     return new CharactersEventImpl(paramLocation, paramString, false, true, false);
/*     */   }
/*     */ 
/*     */   public Characters asCharacters()
/*     */   {
/*  70 */     return this;
/*     */   }
/*     */ 
/*     */   public int getEventType() {
/*  74 */     return this.mIsCData ? 12 : 4;
/*     */   }
/*     */   public boolean isCharacters() {
/*  77 */     return true;
/*     */   }
/*     */ 
/*     */   public void writeAsEncodedUnicode(Writer paramWriter) throws XMLStreamException
/*     */   {
/*     */     try {
/*  83 */       if (this.mIsCData) {
/*  84 */         paramWriter.write("<![CDATA[");
/*  85 */         paramWriter.write(this.mContent);
/*  86 */         paramWriter.write("]]>");
/*     */       } else {
/*  88 */         writeEscapedXMLText(paramWriter, this.mContent);
/*     */       }
/*     */     } catch (IOException localIOException) {
/*  91 */       throwFromIOE(localIOException);
/*     */     }
/*     */   }
/*     */ 
/*     */   public void writeUsing(XMLStreamWriter2 paramXMLStreamWriter2) throws XMLStreamException
/*     */   {
/*  97 */     if (this.mIsCData)
/*  98 */       paramXMLStreamWriter2.writeCData(this.mContent);
/*     */     else
/* 100 */       paramXMLStreamWriter2.writeCharacters(this.mContent);
/*     */   }
/*     */ 
/*     */   public String getData()
/*     */   {
/* 111 */     return this.mContent;
/*     */   }
/*     */ 
/*     */   public boolean isCData() {
/* 115 */     return this.mIsCData;
/*     */   }
/*     */ 
/*     */   public boolean isIgnorableWhiteSpace() {
/* 119 */     return this.mIgnorableWS;
/*     */   }
/*     */ 
/*     */   public boolean isWhiteSpace()
/*     */   {
/* 124 */     if (!this.mWhitespaceChecked) {
/* 125 */       this.mWhitespaceChecked = true;
/* 126 */       String str = this.mContent;
/* 127 */       int i = 0;
/* 128 */       int j = str.length();
/* 129 */       while ((i < j) && 
/* 130 */         (str.charAt(i) <= ' ')) {
/* 129 */         i++;
/*     */       }
/*     */ 
/* 134 */       this.mIsWhitespace = (i == j);
/*     */     }
/* 136 */     return this.mIsWhitespace;
/*     */   }
/*     */ 
/*     */   public void setWhitespaceStatus(boolean paramBoolean)
/*     */   {
/* 147 */     this.mWhitespaceChecked = true;
/* 148 */     this.mIsWhitespace = paramBoolean;
/*     */   }
/*     */ 
/*     */   public boolean equals(Object paramObject)
/*     */   {
/* 159 */     if (paramObject == this) return true;
/* 160 */     if (paramObject == null) return false;
/* 161 */     if (!(paramObject instanceof Characters)) return false;
/*     */ 
/* 163 */     Characters localCharacters = (Characters)paramObject;
/*     */ 
/* 165 */     if (this.mContent.equals(localCharacters.getData()))
/*     */     {
/* 168 */       return isCData() == localCharacters.isCData();
/*     */     }
/* 170 */     return false;
/*     */   }
/*     */ 
/*     */   public int hashCode()
/*     */   {
/* 175 */     return this.mContent.hashCode();
/*     */   }
/*     */ 
/*     */   protected static void writeEscapedXMLText(Writer paramWriter, String paramString)
/*     */     throws IOException
/*     */   {
/* 187 */     int i = paramString.length();
/*     */ 
/* 189 */     int j = 0;
/* 190 */     while (j < i) {
/* 191 */       int k = j;
/* 192 */       int m = 0;
/*     */ 
/* 194 */       while (j < i) {
/* 195 */         m = paramString.charAt(j);
/* 196 */         if ((m == 60) || (m == 38)) {
/*     */           break;
/*     */         }
/* 199 */         if ((m == 62) && (j >= 2) && (paramString.charAt(j - 1) == ']') && (paramString.charAt(j - 2) == ']'))
/*     */         {
/*     */           break;
/*     */         }
/* 203 */         j++;
/*     */       }
/* 205 */       int n = j - k;
/* 206 */       if (n > 0) {
/* 207 */         paramWriter.write(paramString, k, n);
/*     */       }
/* 209 */       if (j < i) {
/* 210 */         if (m == 60)
/* 211 */           paramWriter.write("&lt;");
/* 212 */         else if (m == 38)
/* 213 */           paramWriter.write("&amp;");
/* 214 */         else if (m == 62) {
/* 215 */           paramWriter.write("&gt;");
/*     */         }
/*     */       }
/* 218 */       j++;
/*     */     }
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.CharactersEventImpl
 * JD-Core Version:    0.6.2
 */