/*     */ package org.codehaus.stax2.ri.typed;
/*     */ 
/*     */ import org.codehaus.stax2.typed.Base64Variant;
/*     */ 
/*     */ public final class ValueEncoderFactory
/*     */ {
/*     */   static final byte BYTE_SPACE = 32;
/*  39 */   protected TokenEncoder _tokenEncoder = null;
/*  40 */   protected IntEncoder _intEncoder = null;
/*  41 */   protected LongEncoder _longEncoder = null;
/*  42 */   protected FloatEncoder _floatEncoder = null;
/*  43 */   protected DoubleEncoder _doubleEncoder = null;
/*     */ 
/*     */   public ScalarEncoder getScalarEncoder(String paramString)
/*     */   {
/*  52 */     if (paramString.length() > 64) {
/*  53 */       if (this._tokenEncoder == null) {
/*  54 */         this._tokenEncoder = new TokenEncoder();
/*     */       }
/*  56 */       this._tokenEncoder.reset(paramString);
/*  57 */       return this._tokenEncoder;
/*     */     }
/*     */ 
/*  60 */     return new StringEncoder(paramString);
/*     */   }
/*     */ 
/*     */   public ScalarEncoder getEncoder(boolean paramBoolean)
/*     */   {
/*  66 */     return getScalarEncoder(paramBoolean ? "true" : "false");
/*     */   }
/*     */ 
/*     */   public IntEncoder getEncoder(int paramInt)
/*     */   {
/*  71 */     if (this._intEncoder == null) {
/*  72 */       this._intEncoder = new IntEncoder();
/*     */     }
/*  74 */     this._intEncoder.reset(paramInt);
/*  75 */     return this._intEncoder;
/*     */   }
/*     */ 
/*     */   public LongEncoder getEncoder(long paramLong)
/*     */   {
/*  80 */     if (this._longEncoder == null) {
/*  81 */       this._longEncoder = new LongEncoder();
/*     */     }
/*  83 */     this._longEncoder.reset(paramLong);
/*  84 */     return this._longEncoder;
/*     */   }
/*     */ 
/*     */   public FloatEncoder getEncoder(float paramFloat)
/*     */   {
/*  89 */     if (this._floatEncoder == null) {
/*  90 */       this._floatEncoder = new FloatEncoder();
/*     */     }
/*  92 */     this._floatEncoder.reset(paramFloat);
/*  93 */     return this._floatEncoder;
/*     */   }
/*     */ 
/*     */   public DoubleEncoder getEncoder(double paramDouble)
/*     */   {
/*  98 */     if (this._doubleEncoder == null) {
/*  99 */       this._doubleEncoder = new DoubleEncoder();
/*     */     }
/* 101 */     this._doubleEncoder.reset(paramDouble);
/* 102 */     return this._doubleEncoder;
/*     */   }
/*     */ 
/*     */   public IntArrayEncoder getEncoder(int[] paramArrayOfInt, int paramInt1, int paramInt2)
/*     */   {
/* 109 */     return new IntArrayEncoder(paramArrayOfInt, paramInt1, paramInt1 + paramInt2);
/*     */   }
/*     */ 
/*     */   public LongArrayEncoder getEncoder(long[] paramArrayOfLong, int paramInt1, int paramInt2)
/*     */   {
/* 114 */     return new LongArrayEncoder(paramArrayOfLong, paramInt1, paramInt1 + paramInt2);
/*     */   }
/*     */ 
/*     */   public FloatArrayEncoder getEncoder(float[] paramArrayOfFloat, int paramInt1, int paramInt2)
/*     */   {
/* 119 */     return new FloatArrayEncoder(paramArrayOfFloat, paramInt1, paramInt1 + paramInt2);
/*     */   }
/*     */ 
/*     */   public DoubleArrayEncoder getEncoder(double[] paramArrayOfDouble, int paramInt1, int paramInt2)
/*     */   {
/* 124 */     return new DoubleArrayEncoder(paramArrayOfDouble, paramInt1, paramInt1 + paramInt2);
/*     */   }
/*     */ 
/*     */   public Base64Encoder getEncoder(Base64Variant paramBase64Variant, byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */   {
/* 131 */     return new Base64Encoder(paramBase64Variant, paramArrayOfByte, paramInt1, paramInt1 + paramInt2);
/*     */   }
/*     */ 
/*     */   static final class Base64Encoder extends AsciiValueEncoder
/*     */   {
/*     */     static final char PAD_CHAR = '=';
/*     */     static final byte PAD_BYTE = 61;
/*     */     static final byte LF_CHAR = 10;
/*     */     static final byte LF_BYTE = 10;
/*     */     final Base64Variant _variant;
/*     */     final byte[] _input;
/*     */     int _inputPtr;
/*     */     final int _inputEnd;
/*     */     int _chunksBeforeLf;
/*     */ 
/*     */     protected Base64Encoder(Base64Variant paramBase64Variant, byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 548 */       this._variant = paramBase64Variant;
/* 549 */       this._input = paramArrayOfByte;
/* 550 */       this._inputPtr = paramInt1;
/* 551 */       this._inputEnd = paramInt2;
/* 552 */       this._chunksBeforeLf = (this._variant.getMaxLineLength() >> 2);
/*     */     }
/*     */     public boolean isCompleted() {
/* 555 */       return this._inputPtr >= this._inputEnd;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 560 */       int i = this._inputEnd - 3;
/*     */ 
/* 562 */       paramInt2 -= 5;
/*     */ 
/* 564 */       while (this._inputPtr <= i) {
/* 565 */         if (paramInt1 > paramInt2) {
/* 566 */           return paramInt1;
/*     */         }
/*     */ 
/* 569 */         j = this._input[(this._inputPtr++)] << 8;
/* 570 */         j |= this._input[(this._inputPtr++)] & 0xFF;
/* 571 */         j = j << 8 | this._input[(this._inputPtr++)] & 0xFF;
/* 572 */         paramInt1 = this._variant.encodeBase64Chunk(j, paramArrayOfChar, paramInt1);
/*     */ 
/* 574 */         if (--this._chunksBeforeLf <= 0) {
/* 575 */           paramArrayOfChar[(paramInt1++)] = '\n';
/* 576 */           this._chunksBeforeLf = (this._variant.getMaxLineLength() >> 2);
/*     */         }
/*     */       }
/*     */ 
/* 580 */       int j = this._inputEnd - this._inputPtr;
/* 581 */       if ((j > 0) && 
/* 582 */         (paramInt1 <= paramInt2)) {
/* 583 */         int k = this._input[(this._inputPtr++)] << 16;
/* 584 */         if (j == 2) {
/* 585 */           k |= (this._input[(this._inputPtr++)] & 0xFF) << 8;
/*     */         }
/* 587 */         paramInt1 = this._variant.encodeBase64Partial(k, j, paramArrayOfChar, paramInt1);
/*     */       }
/*     */ 
/* 590 */       return paramInt1;
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 595 */       int i = this._inputEnd - 3;
/* 596 */       paramInt2 -= 5;
/*     */ 
/* 598 */       while (this._inputPtr <= i) {
/* 599 */         if (paramInt1 > paramInt2) {
/* 600 */           return paramInt1;
/*     */         }
/*     */ 
/* 603 */         j = this._input[(this._inputPtr++)] << 8;
/* 604 */         j |= this._input[(this._inputPtr++)] & 0xFF;
/* 605 */         j = j << 8 | this._input[(this._inputPtr++)] & 0xFF;
/* 606 */         paramInt1 = this._variant.encodeBase64Chunk(j, paramArrayOfByte, paramInt1);
/*     */ 
/* 608 */         if (--this._chunksBeforeLf <= 0) {
/* 609 */           paramArrayOfByte[(paramInt1++)] = 10;
/* 610 */           this._chunksBeforeLf = (this._variant.getMaxLineLength() >> 2);
/*     */         }
/*     */       }
/*     */ 
/* 614 */       int j = this._inputEnd - this._inputPtr;
/* 615 */       if ((j > 0) && 
/* 616 */         (paramInt1 <= paramInt2)) {
/* 617 */         int k = this._input[(this._inputPtr++)] << 16;
/* 618 */         if (j == 2) {
/* 619 */           k |= (this._input[(this._inputPtr++)] & 0xFF) << 8;
/*     */         }
/* 621 */         paramInt1 = this._variant.encodeBase64Partial(k, j, paramArrayOfByte, paramInt1);
/*     */       }
/*     */ 
/* 624 */       return paramInt1;
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class DoubleArrayEncoder extends ValueEncoderFactory.ArrayEncoder
/*     */   {
/*     */     final double[] _values;
/*     */ 
/*     */     protected DoubleArrayEncoder(double[] paramArrayOfDouble, int paramInt1, int paramInt2)
/*     */     {
/* 489 */       super(paramInt2);
/* 490 */       this._values = paramArrayOfDouble;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 495 */       int i = paramInt2 - 33;
/* 496 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 497 */         paramArrayOfChar[(paramInt1++)] = ' ';
/* 498 */         paramInt1 = NumberUtil.writeDouble(this._values[(this._ptr++)], paramArrayOfChar, paramInt1);
/*     */       }
/* 500 */       return paramInt1;
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 505 */       int i = paramInt2 - 33;
/* 506 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 507 */         paramArrayOfByte[(paramInt1++)] = 32;
/* 508 */         paramInt1 = NumberUtil.writeDouble(this._values[(this._ptr++)], paramArrayOfByte, paramInt1);
/*     */       }
/* 510 */       return paramInt1;
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class FloatArrayEncoder extends ValueEncoderFactory.ArrayEncoder
/*     */   {
/*     */     final float[] _values;
/*     */ 
/*     */     protected FloatArrayEncoder(float[] paramArrayOfFloat, int paramInt1, int paramInt2)
/*     */     {
/* 457 */       super(paramInt2);
/* 458 */       this._values = paramArrayOfFloat;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 463 */       int i = paramInt2 - 33;
/* 464 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 465 */         paramArrayOfChar[(paramInt1++)] = ' ';
/* 466 */         paramInt1 = NumberUtil.writeFloat(this._values[(this._ptr++)], paramArrayOfChar, paramInt1);
/*     */       }
/* 468 */       return paramInt1;
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 473 */       int i = paramInt2 - 33;
/* 474 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 475 */         paramArrayOfByte[(paramInt1++)] = 32;
/* 476 */         paramInt1 = NumberUtil.writeFloat(this._values[(this._ptr++)], paramArrayOfByte, paramInt1);
/*     */       }
/* 478 */       return paramInt1;
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class LongArrayEncoder extends ValueEncoderFactory.ArrayEncoder
/*     */   {
/*     */     final long[] _values;
/*     */ 
/*     */     protected LongArrayEncoder(long[] paramArrayOfLong, int paramInt1, int paramInt2)
/*     */     {
/* 425 */       super(paramInt2);
/* 426 */       this._values = paramArrayOfLong;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 431 */       int i = paramInt2 - 22;
/* 432 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 433 */         paramArrayOfChar[(paramInt1++)] = ' ';
/* 434 */         paramInt1 = NumberUtil.writeLong(this._values[(this._ptr++)], paramArrayOfChar, paramInt1);
/*     */       }
/* 436 */       return paramInt1;
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 441 */       int i = paramInt2 - 22;
/* 442 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 443 */         paramArrayOfByte[(paramInt1++)] = 32;
/* 444 */         paramInt1 = NumberUtil.writeLong(this._values[(this._ptr++)], paramArrayOfByte, paramInt1);
/*     */       }
/* 446 */       return paramInt1;
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class IntArrayEncoder extends ValueEncoderFactory.ArrayEncoder
/*     */   {
/*     */     final int[] _values;
/*     */ 
/*     */     protected IntArrayEncoder(int[] paramArrayOfInt, int paramInt1, int paramInt2)
/*     */     {
/* 393 */       super(paramInt2);
/* 394 */       this._values = paramArrayOfInt;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 399 */       int i = paramInt2 - 12;
/* 400 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 401 */         paramArrayOfChar[(paramInt1++)] = ' ';
/* 402 */         paramInt1 = NumberUtil.writeInt(this._values[(this._ptr++)], paramArrayOfChar, paramInt1);
/*     */       }
/* 404 */       return paramInt1;
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 409 */       int i = paramInt2 - 12;
/* 410 */       while ((paramInt1 <= i) && (this._ptr < this._end)) {
/* 411 */         paramArrayOfByte[(paramInt1++)] = 32;
/* 412 */         paramInt1 = NumberUtil.writeInt(this._values[(this._ptr++)], paramArrayOfByte, paramInt1);
/*     */       }
/* 414 */       return paramInt1;
/*     */     }
/*     */   }
/*     */ 
/*     */   static abstract class ArrayEncoder extends AsciiValueEncoder
/*     */   {
/*     */     int _ptr;
/*     */     final int _end;
/*     */ 
/*     */     protected ArrayEncoder(int paramInt1, int paramInt2)
/*     */     {
/* 374 */       this._ptr = paramInt1;
/* 375 */       this._end = paramInt2;
/*     */     }
/*     */     public final boolean isCompleted() {
/* 378 */       return this._ptr >= this._end;
/*     */     }
/*     */ 
/*     */     public abstract int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2);
/*     */   }
/*     */ 
/*     */   static final class DoubleEncoder extends ValueEncoderFactory.TypedScalarEncoder
/*     */   {
/*     */     double _value;
/*     */ 
/*     */     protected void reset(double paramDouble)
/*     */     {
/* 342 */       this._value = paramDouble;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 347 */       return NumberUtil.writeDouble(this._value, paramArrayOfChar, paramInt1);
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 352 */       return NumberUtil.writeDouble(this._value, paramArrayOfByte, paramInt1);
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class FloatEncoder extends ValueEncoderFactory.TypedScalarEncoder
/*     */   {
/*     */     float _value;
/*     */ 
/*     */     protected void reset(float paramFloat)
/*     */     {
/* 320 */       this._value = paramFloat;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 325 */       return NumberUtil.writeFloat(this._value, paramArrayOfChar, paramInt1);
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 330 */       return NumberUtil.writeFloat(this._value, paramArrayOfByte, paramInt1);
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class LongEncoder extends ValueEncoderFactory.TypedScalarEncoder
/*     */   {
/*     */     long _value;
/*     */ 
/*     */     protected void reset(long paramLong)
/*     */     {
/* 298 */       this._value = paramLong;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 303 */       return NumberUtil.writeLong(this._value, paramArrayOfChar, paramInt1);
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 308 */       return NumberUtil.writeLong(this._value, paramArrayOfByte, paramInt1);
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class IntEncoder extends ValueEncoderFactory.TypedScalarEncoder
/*     */   {
/*     */     int _value;
/*     */ 
/*     */     protected void reset(int paramInt)
/*     */     {
/* 276 */       this._value = paramInt;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*     */     {
/* 281 */       return NumberUtil.writeInt(this._value, paramArrayOfChar, paramInt1);
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 286 */       return NumberUtil.writeInt(this._value, paramArrayOfByte, paramInt1);
/*     */     }
/*     */   }
/*     */ 
/*     */   static abstract class TypedScalarEncoder extends ValueEncoderFactory.ScalarEncoder
/*     */   {
/*     */     public final boolean isCompleted()
/*     */     {
/* 265 */       return true;
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class StringEncoder extends ValueEncoderFactory.ScalarEncoder
/*     */   {
/*     */     String _value;
/*     */     int _offset;
/*     */ 
/*     */     protected StringEncoder(String paramString)
/*     */     {
/* 214 */       this._value = paramString;
/*     */     }
/*     */     public boolean isCompleted() {
/* 217 */       return this._value == null;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2) {
/* 221 */       int i = this._value.length() - this._offset;
/* 222 */       int j = paramInt2 - paramInt1;
/* 223 */       if (j >= i) {
/* 224 */         this._value.getChars(this._offset, i, paramArrayOfChar, paramInt1);
/* 225 */         this._value = null;
/* 226 */         return paramInt1 + i;
/*     */       }
/* 228 */       this._value.getChars(this._offset, j, paramArrayOfChar, paramInt1);
/* 229 */       this._offset += j;
/* 230 */       return paramInt2;
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 235 */       int i = this._value.length() - this._offset;
/* 236 */       int j = paramInt2 - paramInt1;
/* 237 */       if (j >= i) {
/* 238 */         String str = this._value;
/* 239 */         this._value = null;
/* 240 */         int k = str.length(); for (int m = this._offset; m < k; m++) {
/* 241 */           paramArrayOfByte[(paramInt1++)] = ((byte)str.charAt(m));
/*     */         }
/* 243 */         return paramInt1;
/*     */       }
/* 245 */       for (; paramInt1 < paramInt2; paramInt1++) {
/* 246 */         paramArrayOfByte[paramInt1] = ((byte)this._value.charAt(this._offset++));
/*     */       }
/* 248 */       return paramInt1;
/*     */     }
/*     */   }
/*     */ 
/*     */   static final class TokenEncoder extends ValueEncoderFactory.ScalarEncoder
/*     */   {
/*     */     String _value;
/*     */ 
/*     */     protected void reset(String paramString)
/*     */     {
/* 168 */       this._value = paramString;
/*     */     }
/*     */     public boolean isCompleted() {
/* 171 */       return this._value == null;
/*     */     }
/*     */ 
/*     */     public int encodeMore(char[] paramArrayOfChar, int paramInt1, int paramInt2) {
/* 175 */       String str = this._value;
/* 176 */       this._value = null;
/* 177 */       int i = str.length();
/* 178 */       str.getChars(0, i, paramArrayOfChar, paramInt1);
/* 179 */       paramInt1 += i;
/* 180 */       return paramInt1;
/*     */     }
/*     */ 
/*     */     public int encodeMore(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     {
/* 185 */       String str = this._value;
/* 186 */       this._value = null;
/* 187 */       int i = str.length();
/* 188 */       for (int j = 0; j < i; j++) {
/* 189 */         paramArrayOfByte[(paramInt1++)] = ((byte)str.charAt(j));
/*     */       }
/* 191 */       return paramInt1;
/*     */     }
/*     */   }
/*     */ 
/*     */   static abstract class ScalarEncoder extends AsciiValueEncoder
/*     */   {
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.typed.ValueEncoderFactory
 * JD-Core Version:    0.6.2
 */