package org.quartz;

import java.util.Date;

public abstract interface JobExecutionContext
{
  public abstract Scheduler getScheduler();

  public abstract Trigger getTrigger();

  public abstract Calendar getCalendar();

  public abstract boolean isRecovering();

  public abstract int getRefireCount();

  public abstract JobDataMap getMergedJobDataMap();

  public abstract JobDetail getJobDetail();

  public abstract Job getJobInstance();

  public abstract Date getFireTime();

  public abstract Date getScheduledFireTime();

  public abstract Date getPreviousFireTime();

  public abstract Date getNextFireTime();

  public abstract String getFireInstanceId();

  public abstract Object getResult();

  public abstract void setResult(Object paramObject);

  public abstract long getJobRunTime();

  public abstract void put(Object paramObject1, Object paramObject2);

  public abstract Object get(Object paramObject);
}