package org.quartz.impl.jdbcjobstore;

import java.io.IOException;
import java.sql.Connection;
import java.sql.SQLException;
import org.quartz.JobDetail;
import org.quartz.ScheduleBuilder;
import org.quartz.TriggerKey;
import org.quartz.spi.OperableTrigger;

public abstract interface TriggerPersistenceDelegate
{
  public abstract void initialize(String paramString1, String paramString2);

  public abstract boolean canHandleTriggerType(OperableTrigger paramOperableTrigger);

  public abstract String getHandledTriggerTypeDiscriminator();

  public abstract int insertExtendedTriggerProperties(Connection paramConnection, OperableTrigger paramOperableTrigger, String paramString, JobDetail paramJobDetail)
    throws SQLException, IOException;

  public abstract int updateExtendedTriggerProperties(Connection paramConnection, OperableTrigger paramOperableTrigger, String paramString, JobDetail paramJobDetail)
    throws SQLException, IOException;

  public abstract int deleteExtendedTriggerProperties(Connection paramConnection, TriggerKey paramTriggerKey)
    throws SQLException;

  public abstract TriggerPropertyBundle loadExtendedTriggerProperties(Connection paramConnection, TriggerKey paramTriggerKey)
    throws SQLException;

  public static class TriggerPropertyBundle
  {
    private ScheduleBuilder<?> sb;
    private String[] statePropertyNames;
    private Object[] statePropertyValues;

    public TriggerPropertyBundle(ScheduleBuilder<?> sb, String[] statePropertyNames, Object[] statePropertyValues)
    {
      this.sb = sb;
      this.statePropertyNames = statePropertyNames;
      this.statePropertyValues = statePropertyValues;
    }

    public ScheduleBuilder<?> getScheduleBuilder() {
      return this.sb;
    }

    public String[] getStatePropertyNames() {
      return this.statePropertyNames;
    }

    public Object[] getStatePropertyValues() {
      return this.statePropertyValues;
    }
  }
}